diff -pruN 2.9.8-1/aclocal.m4 3.0-1/aclocal.m4
--- 2.9.8-1/aclocal.m4	2018-06-02 08:22:06.000000000 +0000
+++ 3.0-1/aclocal.m4	2018-09-09 09:47:35.000000000 +0000
@@ -21,7 +21,7 @@ If you have problems, you may need to re
 To do so, use the procedure documented by the package, typically 'autoreconf'.])])
 
 # pkg.m4 - Macros to locate and utilise pkg-config.   -*- Autoconf -*-
-# serial 12 (pkg-config-0.29.2)
+# serial 11 (pkg-config-0.29.1)
 
 dnl Copyright © 2004 Scott James Remnant <scott@netsplit.com>.
 dnl Copyright © 2012-2015 Dan Nicholson <dbn.lists@gmail.com>
@@ -63,7 +63,7 @@ dnl
 dnl See the "Since" comment for each macro you use to see what version
 dnl of the macros you require.
 m4_defun([PKG_PREREQ],
-[m4_define([PKG_MACROS_VERSION], [0.29.2])
+[m4_define([PKG_MACROS_VERSION], [0.29.1])
 m4_if(m4_version_compare(PKG_MACROS_VERSION, [$1]), -1,
     [m4_fatal([pkg.m4 version $1 or higher is required but ]PKG_MACROS_VERSION[ found])])
 ])dnl PKG_PREREQ
@@ -164,7 +164,7 @@ AC_ARG_VAR([$1][_CFLAGS], [C compiler fl
 AC_ARG_VAR([$1][_LIBS], [linker flags for $1, overriding pkg-config])dnl
 
 pkg_failed=no
-AC_MSG_CHECKING([for $2])
+AC_MSG_CHECKING([for $1])
 
 _PKG_CONFIG([$1][_CFLAGS], [cflags], [$2])
 _PKG_CONFIG([$1][_LIBS], [libs], [$2])
@@ -174,11 +174,11 @@ and $1[]_LIBS to avoid the need to call
 See the pkg-config man page for more details.])
 
 if test $pkg_failed = yes; then
-        AC_MSG_RESULT([no])
+   	AC_MSG_RESULT([no])
         _PKG_SHORT_ERRORS_SUPPORTED
         if test $_pkg_short_errors_supported = yes; then
 	        $1[]_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors --cflags --libs "$2" 2>&1`
-        else
+        else 
 	        $1[]_PKG_ERRORS=`$PKG_CONFIG --print-errors --cflags --libs "$2" 2>&1`
         fi
 	# Put the nasty error message in config.log where it belongs
@@ -195,7 +195,7 @@ installed software in a non-standard pre
 _PKG_TEXT])[]dnl
         ])
 elif test $pkg_failed = untried; then
-        AC_MSG_RESULT([no])
+     	AC_MSG_RESULT([no])
 	m4_default([$4], [AC_MSG_FAILURE(
 [The pkg-config script could not be found or is too old.  Make sure it
 is in your PATH or set the PKG_CONFIG environment variable to the full
@@ -296,6 +296,74 @@ AS_VAR_COPY([$1], [pkg_cv_][$1])
 AS_VAR_IF([$1], [""], [$5], [$4])dnl
 ])dnl PKG_CHECK_VAR
 
+dnl PKG_WITH_MODULES(VARIABLE-PREFIX, MODULES,
+dnl   [ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND],
+dnl   [DESCRIPTION], [DEFAULT])
+dnl ------------------------------------------
+dnl
+dnl Prepare a "--with-" configure option using the lowercase
+dnl [VARIABLE-PREFIX] name, merging the behaviour of AC_ARG_WITH and
+dnl PKG_CHECK_MODULES in a single macro.
+AC_DEFUN([PKG_WITH_MODULES],
+[
+m4_pushdef([with_arg], m4_tolower([$1]))
+
+m4_pushdef([description],
+           [m4_default([$5], [build with ]with_arg[ support])])
+
+m4_pushdef([def_arg], [m4_default([$6], [auto])])
+m4_pushdef([def_action_if_found], [AS_TR_SH([with_]with_arg)=yes])
+m4_pushdef([def_action_if_not_found], [AS_TR_SH([with_]with_arg)=no])
+
+m4_case(def_arg,
+            [yes],[m4_pushdef([with_without], [--without-]with_arg)],
+            [m4_pushdef([with_without],[--with-]with_arg)])
+
+AC_ARG_WITH(with_arg,
+     AS_HELP_STRING(with_without, description[ @<:@default=]def_arg[@:>@]),,
+    [AS_TR_SH([with_]with_arg)=def_arg])
+
+AS_CASE([$AS_TR_SH([with_]with_arg)],
+            [yes],[PKG_CHECK_MODULES([$1],[$2],$3,$4)],
+            [auto],[PKG_CHECK_MODULES([$1],[$2],
+                                        [m4_n([def_action_if_found]) $3],
+                                        [m4_n([def_action_if_not_found]) $4])])
+
+m4_popdef([with_arg])
+m4_popdef([description])
+m4_popdef([def_arg])
+
+])dnl PKG_WITH_MODULES
+
+dnl PKG_HAVE_WITH_MODULES(VARIABLE-PREFIX, MODULES,
+dnl   [DESCRIPTION], [DEFAULT])
+dnl -----------------------------------------------
+dnl
+dnl Convenience macro to trigger AM_CONDITIONAL after PKG_WITH_MODULES
+dnl check._[VARIABLE-PREFIX] is exported as make variable.
+AC_DEFUN([PKG_HAVE_WITH_MODULES],
+[
+PKG_WITH_MODULES([$1],[$2],,,[$3],[$4])
+
+AM_CONDITIONAL([HAVE_][$1],
+               [test "$AS_TR_SH([with_]m4_tolower([$1]))" = "yes"])
+])dnl PKG_HAVE_WITH_MODULES
+
+dnl PKG_HAVE_DEFINE_WITH_MODULES(VARIABLE-PREFIX, MODULES,
+dnl   [DESCRIPTION], [DEFAULT])
+dnl ------------------------------------------------------
+dnl
+dnl Convenience macro to run AM_CONDITIONAL and AC_DEFINE after
+dnl PKG_WITH_MODULES check. HAVE_[VARIABLE-PREFIX] is exported as make
+dnl and preprocessor variable.
+AC_DEFUN([PKG_HAVE_DEFINE_WITH_MODULES],
+[
+PKG_HAVE_WITH_MODULES([$1],[$2],[$3],[$4])
+
+AS_IF([test "$AS_TR_SH([with_]m4_tolower([$1]))" = "yes"],
+        [AC_DEFINE([HAVE_][$1], 1, [Enable ]m4_tolower([$1])[ support])])
+])dnl PKG_HAVE_DEFINE_WITH_MODULES
+
 # Copyright (C) 2002-2017 Free Software Foundation, Inc.
 #
 # This file is free software; the Free Software Foundation
@@ -1437,6 +1505,7 @@ m4_include([m4/fcntl_h.m4])
 m4_include([m4/flexmember.m4])
 m4_include([m4/float_h.m4])
 m4_include([m4/fnmatch.m4])
+m4_include([m4/fnmatch_h.m4])
 m4_include([m4/fpieee.m4])
 m4_include([m4/frexp.m4])
 m4_include([m4/frexpl.m4])
@@ -1452,9 +1521,9 @@ m4_include([m4/gettime.m4])
 m4_include([m4/gettimeofday.m4])
 m4_include([m4/glibc21.m4])
 m4_include([m4/glob.m4])
+m4_include([m4/glob_h.m4])
 m4_include([m4/gnulib-common.m4])
 m4_include([m4/gnulib-comp.m4])
-m4_include([m4/hard-locale.m4])
 m4_include([m4/host-cpu-c-abi.m4])
 m4_include([m4/iconv.m4])
 m4_include([m4/include_next.m4])
diff -pruN 2.9.8-1/ChangeLog 3.0-1/ChangeLog
--- 2.9.8-1/ChangeLog	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/ChangeLog	2018-09-09 09:42:04.000000000 +0000
@@ -1,3 +1,154 @@
+Changes between v2.9.8 and v3.0:
+--------------------------------
+
+Benno Schulenberg (113):
+      bindings: bind M-Q to 'findprevious' by default, and M-W to 'findnext'
+      bindings: hard-bind <Ctrl+Shift+Delete> to 'cutwordleft'
+      bindings: make ^Q and M-Q available also in the help viewer
+      bindings: move the noconvert toggle from the main to the insert menu
+      bindings: reassign the M-| keystroke to 'cutwordleft' by default
+      bindings: remove backup and new-buffer toggles (M-B, M-F) from main menu
+      bindings: remove the More-Space toggle entirely
+      bindings: remove the 'searchagain' function entirely
+      bindings: rename two bindable functions: copytext to copy, uncut to paste
+      bindings: unassign the M-? keystroke, to free it up for future use
+      build: add the release script to the repository
+      build: fix compilation again when configured with --enable-tiny
+      build: fix compilation when configured with --enable-tiny
+      build: verify that 'msgfmt' is available when building from git
+      bump version numbers and add a news item for the 3.0 release
+      chars: make the UTF-8 case ever so slightly faster by eliding an 'if'
+      chars: speed up the counting of string length for the plain ASCII case
+      chars: speed up the parsing of a character for the plain ASCII case
+      completion: when the cursor is not after a word fragment, say so
+      cut: concentrate the logic for clearing the cutbuffer mostly in one place
+      cutting: when deleting whole words, don't join lines unexpectedly
+      debug: add some code to time the performance of get_totsize()
+      docs: improve a comment about rebinding <Backspace>
+      docs: mention that also Ctrl increases the stride when selecting text
+      docs: mention that "normal" can be used to give things the default color
+      docs: mention that the 'formatter' command has been superseded
+      docs: reshuffle a bindable function to a slightly better position
+      docs: say that 'cutwordright' is now bound to <Ctrl+Delete> by default
+      docs: slightly reword the description of four bindable functions
+      docs: the 'noconvert' bindable function was renamed to 'flipconvert'
+      dropping a feature: remove the ability to use the 'formatter' command
+      easter: show the crawl only when there is room enough for the lines
+      files: add the file format on the status bar when switching buffers
+      filtering: wait for the data-sending process to terminate too
+      gnulib: update to its current upstream state
+      help: for ^R^X, mention that the buffer can be piped to the command
+      help: move "Search Again" away from "Find Next" and "Find Previous"
+      input: consume the whole escape sequence for modified PgUp and PgDn keys
+      input: fully consume modified PgUp and PgDn keys also in the tiny version
+      input: ignore any <Escape>s before a valid command keystroke
+      input: stop <Alt+Insert> from entering "3~" into the buffer
+      input: stop a modified Delete key from entering stuff into the buffer
+      mouse: put the row/column arguments in the proper order  [coverity scan]
+      prompt: concentrate manipulations of 'statusbar_x' into a single file
+      prompt: remove redundant redrawings of the prompt bar
+      rcfile: allow to rebind the Cancel function in the yesno menu
+      rcfile, docs: no longer recognize nor mention 'set backwards'
+      rcfile: do not accept rebinding F0 nor function keys above F16
+      rcfile: ensure that in the yesno menu Cancel is bound to some keystroke
+      rcfile: explicitly check for disallowed keywords in included files
+      rcfile: reject things like "M-Del" and "^{" as invalid key names
+      rcfile: when a vital function is not mapped, mention in which menu
+      search: include 'findprevious' and 'findnext' in the tiny version
+      signals: don't call a print routine in a signal handler
+      speller: do not replace the text when the temporary file did not change
+      startup: don't overwrite rcfile error messages on a Linux console
+      startup: show the correct number of lines when opening multiple files
+      syntax: awk: recognize any {g,m,n,}awk script also by its shebang line
+      syntax: default: colorize also two-digit and capitalized nano versions
+      syntaxes: remove all traces of the 'formatter' command
+      syntax: nanorc: recognize 'yesno' as a valid menu to bind/unbind keys in
+      syntax: nanorc: show ^@ as validly rebindable, but not any ^digit
+      syntax: python: avoid coloring the three special values inside strings
+      text: add auto-whitespace to the file size after creating the undo item
+      tweaks: adjust indentation after the previous change
+      tweaks: adjust one more translator hint, for removed toggles
+      tweaks: adjust some translator hints for past changes, and add two more
+      tweaks: adjust two comments, to be more accurate and general
+      tweaks: avoid dereferencing a pointer when it is NULL  [coverity scan]
+      tweaks: close a temp file only when descriptor is valid  [coverity scan]
+      tweaks: correct a comment, rewrap a line, and drop some debugging stuff
+      tweaks: delete some old debugging code that no longer seems useful
+      tweaks: don't bother having debug code that deallocates all memory
+      tweaks: don't call va_start() without calling va_end()  [coverity scan]
+      tweaks: drop a condition that has been made redundant two commits ago
+      tweaks: drop some old debugging code
+      tweaks: elide a bunch of unneeded constant strings
+      tweaks: elide a function that is used just once
+      tweaks: elide another function that is used just once
+      tweaks: elide an unneeded/duplicate variable
+      tweaks: elide a one-line function -- no, a half-line function
+      tweaks: elide a subfunction that is used just once
+      tweaks: exclude a global flagging variable when it is not needed
+      tweaks: exclude the file-prepending code from the tiny version
+      tweaks: fix a pasting error from a month ago
+      tweaks: implement the name-to-menu function in another manner
+      tweaks: improve a couple of comments in the sample nanorc
+      tweaks: improve a translator hint and some other comments
+      tweaks: move a call to where it will be executed  [coverity scan]
+      tweaks: normalize the indentation after the previous change
+      tweaks: properly escape "\" in a man page and "@" in a texi document
+      tweaks: recognize escape sequences of modified Ins/Del more precisely
+      tweaks: reduce the counting of characters to just the needed function
+      tweaks: remove a redundant "struct" word, and replace it in comments
+      tweaks: remove a superfluous condition and a redundant refresh
+      tweaks: remove redundant braces and conditions after the previous change
+      tweaks: remove some braces that are now superfluous
+      tweaks: remove some ineffectual parts from header-line regexes
+      tweaks: remove the superfluous calls that reset the mbtowc() state
+      tweaks: remove two needless words, and split up a changed text further
+      tweaks: remove two superfluous assignments
+      tweaks: rename a constant, to match what it actually means
+      tweaks: rename a function and place its call better
+      tweaks: rename a function to better match its counterpart
+      tweaks: rename a function, to better state what it does
+      tweaks: rename a variable and a function, for more clarity
+      tweaks: rename a variable, to better match its task
+      tweaks: reshuffle some lines, in order to elide one
+      tweaks: reshuffle the order of the bindings, for help-line esthetics
+      tweaks: show "Space" and "Bsp" in the help text of the browser
+      tweaks: slightly improve error message when vital function is unmapped
+      tweaks: use a shorter message, because when the screen is small...
+      undo: differentiate between general filtering and spell checking
+
+Brand Huntsman (4):
+      input: give feedback for all unbound keys also in the help viewer
+      statusbar: elevate three messages to an ALERT, to make them more visible
+      tweaks: correct four spaces of indentation to a tab, in two places
+      tweaks: remove the 'bright' field from the colortype struct
+
+David Lawrence Ramsey (13):
+      bindings: make "n" work again in file browser and help viewer
+      bindings: make ^Q start a backward search also in the file browser
+      docs: mention that "Ins" and "Del" are valid rebindable keys
+      justify: verify being in a paragraph before trying to find its beginning
+      speller: hook up a full alternative spellcheck to the undo system
+      speller: hook up a marked-text alternative spellcheck to the undo system
+      speller: make replace_buffer() use the cutting functions directly
+      speller: make replace_marked_buffer() use the cutting functions directly
+      undo: actually enable undoing/redoing an alternative spellcheck
+      undo: always initialize the 'newsize' element in the undo struct
+      undo: position the cursor properly when undoing/redoing magicline cuts
+      undo: restore the cursor position when a cut and paste are paired
+      undo: store the correct cursor position after a paired cut+insert
+
+Devin Hussey (2):
+      files: speed up reading by using getc_unlocked() instead of getc()
+      syntax: sh: recognize more file extensions and header lines
+
+Marco Diego Aurélio Mesquita (1):
+      input: erase the next word when Ctrl is held while pressing Delete
+
+Mark-Weston (2):
+      build: fix compilation when CC=tcc
+      syntax: lua: do not color strings inside comments, and add a linter
+
+
 Changes between v2.9.7 and v2.9.8:
 ----------------------------------
 
diff -pruN 2.9.8-1/ChangeLog.2007-2015 3.0-1/ChangeLog.2007-2015
--- 2.9.8-1/ChangeLog.2007-2015	2017-04-06 09:44:39.000000000 +0000
+++ 3.0-1/ChangeLog.2007-2015	2018-07-12 07:02:56.000000000 +0000
@@ -3555,10 +3555,10 @@ GNU nano 2.1.4 - 2008.08.09
 	* text.c (add_undo): Fix check for multi-line cut check skips adding other new legit events.
 
 2008-07-23 Chris Allegretta <chrisa@asty.org>
-	* text.c: Reset openfile-> to OTHER after an undo or redo so we don't
-	  mistakenly think this is an update when it's really an add.  Also
-	  fix an extra ; after an if statement which makes nano try to free
-	  a struct which may be NULL.
+	* text.c: Reset openfile->last_action to OTHER after an undo or redo
+	  so we don't mistakenly think this is an update when it's really an
+	  add.  Also fix a mistaken ; after an if statement which made nano
+	  try to free a struct which might be NULL.
 
 GNU nano 2.1.3 - 2008.08.04
 
diff -pruN 2.9.8-1/config.h.in 3.0-1/config.h.in
--- 2.9.8-1/config.h.in	2018-06-02 08:22:18.000000000 +0000
+++ 3.0-1/config.h.in	2018-09-09 09:47:46.000000000 +0000
@@ -293,6 +293,9 @@
 /* Define to 1 when the gnulib module dirfd should be tested. */
 #undef GNULIB_TEST_DIRFD
 
+/* Define to 1 when the gnulib module fnmatch should be tested. */
+#undef GNULIB_TEST_FNMATCH
+
 /* Define to 1 when the gnulib module frexp should be tested. */
 #undef GNULIB_TEST_FREXP
 
@@ -317,6 +320,9 @@
 /* Define to 1 when the gnulib module gettimeofday should be tested. */
 #undef GNULIB_TEST_GETTIMEOFDAY
 
+/* Define to 1 when the gnulib module glob should be tested. */
+#undef GNULIB_TEST_GLOB
+
 /* Define to 1 when the gnulib module iswblank should be tested. */
 #undef GNULIB_TEST_ISWBLANK
 
@@ -552,6 +558,12 @@
 /* Define to 1 if you have the `flockfile' function. */
 #undef HAVE_FLOCKFILE
 
+/* Define to 1 if you have the `fnmatch' function. */
+#undef HAVE_FNMATCH
+
+/* Define to 1 if you have the <fnmatch.h> header file. */
+#undef HAVE_FNMATCH_H
+
 /* Define if the frexpl function is available in libc. */
 #undef HAVE_FREXPL_IN_LIBC
 
@@ -591,9 +603,15 @@
 /* Define to 1 if you have the `gettimeofday' function. */
 #undef HAVE_GETTIMEOFDAY
 
+/* Define to 1 if you have the `glob' function. */
+#undef HAVE_GLOB
+
 /* Define to 1 if you have the <glob.h> header file. */
 #undef HAVE_GLOB_H
 
+/* Define to 1 if you have the `glob_pattern_p' function. */
+#undef HAVE_GLOB_PATTERN_P
+
 /* Define if you have the iconv() function and it works. */
 #undef HAVE_ICONV
 
@@ -748,853 +766,6 @@
 /* Define to 1 if you have the `raise' function. */
 #undef HAVE_RAISE
 
-/* Define to 1 if acosf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ACOSF
-
-/* Define to 1 if acosl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ACOSL
-
-/* Define to 1 if alphasort is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ALPHASORT
-
-/* Define to 1 if asinf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ASINF
-
-/* Define to 1 if asinl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ASINL
-
-/* Define to 1 if atanf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ATANF
-
-/* Define to 1 if atanl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ATANL
-
-/* Define to 1 if atoll is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ATOLL
-
-/* Define to 1 if btowc is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_BTOWC
-
-/* Define to 1 if canonicalize_file_name is declared even after undefining
-   macros. */
-#undef HAVE_RAW_DECL_CANONICALIZE_FILE_NAME
-
-/* Define to 1 if cbrt is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_CBRT
-
-/* Define to 1 if cbrtf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_CBRTF
-
-/* Define to 1 if cbrtl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_CBRTL
-
-/* Define to 1 if ceilf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_CEILF
-
-/* Define to 1 if ceill is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_CEILL
-
-/* Define to 1 if chdir is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_CHDIR
-
-/* Define to 1 if chown is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_CHOWN
-
-/* Define to 1 if closedir is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_CLOSEDIR
-
-/* Define to 1 if copysign is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_COPYSIGN
-
-/* Define to 1 if copysignf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_COPYSIGNF
-
-/* Define to 1 if copysignl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_COPYSIGNL
-
-/* Define to 1 if cosf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_COSF
-
-/* Define to 1 if coshf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_COSHF
-
-/* Define to 1 if cosl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_COSL
-
-/* Define to 1 if dirfd is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_DIRFD
-
-/* Define to 1 if dprintf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_DPRINTF
-
-/* Define to 1 if dup is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_DUP
-
-/* Define to 1 if dup2 is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_DUP2
-
-/* Define to 1 if dup3 is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_DUP3
-
-/* Define to 1 if duplocale is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_DUPLOCALE
-
-/* Define to 1 if endusershell is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ENDUSERSHELL
-
-/* Define to 1 if environ is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ENVIRON
-
-/* Define to 1 if euidaccess is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_EUIDACCESS
-
-/* Define to 1 if exp2 is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_EXP2
-
-/* Define to 1 if exp2f is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_EXP2F
-
-/* Define to 1 if exp2l is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_EXP2L
-
-/* Define to 1 if expf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_EXPF
-
-/* Define to 1 if expl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_EXPL
-
-/* Define to 1 if expm1 is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_EXPM1
-
-/* Define to 1 if expm1f is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_EXPM1F
-
-/* Define to 1 if expm1l is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_EXPM1L
-
-/* Define to 1 if fabsf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FABSF
-
-/* Define to 1 if fabsl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FABSL
-
-/* Define to 1 if faccessat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FACCESSAT
-
-/* Define to 1 if fchdir is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FCHDIR
-
-/* Define to 1 if fchmodat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FCHMODAT
-
-/* Define to 1 if fchownat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FCHOWNAT
-
-/* Define to 1 if fcntl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FCNTL
-
-/* Define to 1 if fdatasync is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FDATASYNC
-
-/* Define to 1 if fdopendir is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FDOPENDIR
-
-/* Define to 1 if ffs is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FFS
-
-/* Define to 1 if ffsl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FFSL
-
-/* Define to 1 if ffsll is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FFSLL
-
-/* Define to 1 if floorf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FLOORF
-
-/* Define to 1 if floorl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FLOORL
-
-/* Define to 1 if fma is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FMA
-
-/* Define to 1 if fmaf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FMAF
-
-/* Define to 1 if fmal is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FMAL
-
-/* Define to 1 if fmod is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FMOD
-
-/* Define to 1 if fmodf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FMODF
-
-/* Define to 1 if fmodl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FMODL
-
-/* Define to 1 if fpurge is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FPURGE
-
-/* Define to 1 if frexpf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FREXPF
-
-/* Define to 1 if frexpl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FREXPL
-
-/* Define to 1 if fseeko is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FSEEKO
-
-/* Define to 1 if fstat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FSTAT
-
-/* Define to 1 if fstatat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FSTATAT
-
-/* Define to 1 if fsync is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FSYNC
-
-/* Define to 1 if ftello is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FTELLO
-
-/* Define to 1 if ftruncate is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FTRUNCATE
-
-/* Define to 1 if futimens is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_FUTIMENS
-
-/* Define to 1 if getcwd is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETCWD
-
-/* Define to 1 if getdelim is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETDELIM
-
-/* Define to 1 if getdomainname is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETDOMAINNAME
-
-/* Define to 1 if getdtablesize is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETDTABLESIZE
-
-/* Define to 1 if getgroups is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETGROUPS
-
-/* Define to 1 if gethostname is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETHOSTNAME
-
-/* Define to 1 if getline is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETLINE
-
-/* Define to 1 if getloadavg is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETLOADAVG
-
-/* Define to 1 if getlogin is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETLOGIN
-
-/* Define to 1 if getlogin_r is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETLOGIN_R
-
-/* Define to 1 if getpagesize is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETPAGESIZE
-
-/* Define to 1 if gets is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETS
-
-/* Define to 1 if getsubopt is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETSUBOPT
-
-/* Define to 1 if gettimeofday is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETTIMEOFDAY
-
-/* Define to 1 if getusershell is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GETUSERSHELL
-
-/* Define to 1 if grantpt is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GRANTPT
-
-/* Define to 1 if group_member is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_GROUP_MEMBER
-
-/* Define to 1 if hypotf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_HYPOTF
-
-/* Define to 1 if hypotl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_HYPOTL
-
-/* Define to 1 if ilogb is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ILOGB
-
-/* Define to 1 if ilogbf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ILOGBF
-
-/* Define to 1 if ilogbl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ILOGBL
-
-/* Define to 1 if initstate is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_INITSTATE
-
-/* Define to 1 if initstate_r is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_INITSTATE_R
-
-/* Define to 1 if isatty is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ISATTY
-
-/* Define to 1 if isblank is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ISBLANK
-
-/* Define to 1 if iswctype is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ISWCTYPE
-
-/* Define to 1 if lchmod is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LCHMOD
-
-/* Define to 1 if lchown is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LCHOWN
-
-/* Define to 1 if ldexpf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LDEXPF
-
-/* Define to 1 if ldexpl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LDEXPL
-
-/* Define to 1 if link is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LINK
-
-/* Define to 1 if linkat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LINKAT
-
-/* Define to 1 if log is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOG
-
-/* Define to 1 if log10 is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOG10
-
-/* Define to 1 if log10f is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOG10F
-
-/* Define to 1 if log10l is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOG10L
-
-/* Define to 1 if log1p is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOG1P
-
-/* Define to 1 if log1pf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOG1PF
-
-/* Define to 1 if log1pl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOG1PL
-
-/* Define to 1 if log2 is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOG2
-
-/* Define to 1 if log2f is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOG2F
-
-/* Define to 1 if log2l is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOG2L
-
-/* Define to 1 if logb is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOGB
-
-/* Define to 1 if logbf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOGBF
-
-/* Define to 1 if logbl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOGBL
-
-/* Define to 1 if logf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOGF
-
-/* Define to 1 if logl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LOGL
-
-/* Define to 1 if lseek is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LSEEK
-
-/* Define to 1 if lstat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_LSTAT
-
-/* Define to 1 if mbrlen is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MBRLEN
-
-/* Define to 1 if mbrtowc is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MBRTOWC
-
-/* Define to 1 if mbsinit is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MBSINIT
-
-/* Define to 1 if mbsnrtowcs is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MBSNRTOWCS
-
-/* Define to 1 if mbsrtowcs is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MBSRTOWCS
-
-/* Define to 1 if memmem is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MEMMEM
-
-/* Define to 1 if mempcpy is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MEMPCPY
-
-/* Define to 1 if memrchr is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MEMRCHR
-
-/* Define to 1 if mkdirat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MKDIRAT
-
-/* Define to 1 if mkdtemp is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MKDTEMP
-
-/* Define to 1 if mkfifo is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MKFIFO
-
-/* Define to 1 if mkfifoat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MKFIFOAT
-
-/* Define to 1 if mknod is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MKNOD
-
-/* Define to 1 if mknodat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MKNODAT
-
-/* Define to 1 if mkostemp is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MKOSTEMP
-
-/* Define to 1 if mkostemps is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MKOSTEMPS
-
-/* Define to 1 if mkstemp is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MKSTEMP
-
-/* Define to 1 if mkstemps is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MKSTEMPS
-
-/* Define to 1 if modf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MODF
-
-/* Define to 1 if modff is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MODFF
-
-/* Define to 1 if modfl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_MODFL
-
-/* Define to 1 if nl_langinfo is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_NL_LANGINFO
-
-/* Define to 1 if openat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_OPENAT
-
-/* Define to 1 if opendir is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_OPENDIR
-
-/* Define to 1 if pclose is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_PCLOSE
-
-/* Define to 1 if pipe is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_PIPE
-
-/* Define to 1 if pipe2 is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_PIPE2
-
-/* Define to 1 if popen is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_POPEN
-
-/* Define to 1 if posix_openpt is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_POSIX_OPENPT
-
-/* Define to 1 if powf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_POWF
-
-/* Define to 1 if pread is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_PREAD
-
-/* Define to 1 if pthread_sigmask is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_PTHREAD_SIGMASK
-
-/* Define to 1 if ptsname is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_PTSNAME
-
-/* Define to 1 if ptsname_r is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_PTSNAME_R
-
-/* Define to 1 if pwrite is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_PWRITE
-
-/* Define to 1 if qsort_r is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_QSORT_R
-
-/* Define to 1 if random is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_RANDOM
-
-/* Define to 1 if random_r is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_RANDOM_R
-
-/* Define to 1 if rawmemchr is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_RAWMEMCHR
-
-/* Define to 1 if readdir is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_READDIR
-
-/* Define to 1 if readlink is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_READLINK
-
-/* Define to 1 if readlinkat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_READLINKAT
-
-/* Define to 1 if reallocarray is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_REALLOCARRAY
-
-/* Define to 1 if realpath is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_REALPATH
-
-/* Define to 1 if remainder is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_REMAINDER
-
-/* Define to 1 if remainderf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_REMAINDERF
-
-/* Define to 1 if remainderl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_REMAINDERL
-
-/* Define to 1 if renameat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_RENAMEAT
-
-/* Define to 1 if rewinddir is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_REWINDDIR
-
-/* Define to 1 if rint is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_RINT
-
-/* Define to 1 if rintf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_RINTF
-
-/* Define to 1 if rintl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_RINTL
-
-/* Define to 1 if rmdir is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_RMDIR
-
-/* Define to 1 if round is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ROUND
-
-/* Define to 1 if roundf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ROUNDF
-
-/* Define to 1 if roundl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_ROUNDL
-
-/* Define to 1 if rpmatch is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_RPMATCH
-
-/* Define to 1 if scandir is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SCANDIR
-
-/* Define to 1 if secure_getenv is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SECURE_GETENV
-
-/* Define to 1 if setenv is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SETENV
-
-/* Define to 1 if sethostname is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SETHOSTNAME
-
-/* Define to 1 if setlocale is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SETLOCALE
-
-/* Define to 1 if setstate is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SETSTATE
-
-/* Define to 1 if setstate_r is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SETSTATE_R
-
-/* Define to 1 if setusershell is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SETUSERSHELL
-
-/* Define to 1 if sigaction is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SIGACTION
-
-/* Define to 1 if sigaddset is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SIGADDSET
-
-/* Define to 1 if sigdelset is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SIGDELSET
-
-/* Define to 1 if sigemptyset is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SIGEMPTYSET
-
-/* Define to 1 if sigfillset is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SIGFILLSET
-
-/* Define to 1 if sigismember is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SIGISMEMBER
-
-/* Define to 1 if sigpending is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SIGPENDING
-
-/* Define to 1 if sigprocmask is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SIGPROCMASK
-
-/* Define to 1 if sinf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SINF
-
-/* Define to 1 if sinhf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SINHF
-
-/* Define to 1 if sinl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SINL
-
-/* Define to 1 if sleep is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SLEEP
-
-/* Define to 1 if snprintf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SNPRINTF
-
-/* Define to 1 if sqrtf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SQRTF
-
-/* Define to 1 if sqrtl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SQRTL
-
-/* Define to 1 if srandom is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SRANDOM
-
-/* Define to 1 if srandom_r is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SRANDOM_R
-
-/* Define to 1 if stat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STAT
-
-/* Define to 1 if stpcpy is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STPCPY
-
-/* Define to 1 if stpncpy is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STPNCPY
-
-/* Define to 1 if strcasecmp is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRCASECMP
-
-/* Define to 1 if strcasestr is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRCASESTR
-
-/* Define to 1 if strchrnul is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRCHRNUL
-
-/* Define to 1 if strdup is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRDUP
-
-/* Define to 1 if strerror_r is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRERROR_R
-
-/* Define to 1 if strncasecmp is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRNCASECMP
-
-/* Define to 1 if strncat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRNCAT
-
-/* Define to 1 if strndup is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRNDUP
-
-/* Define to 1 if strnlen is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRNLEN
-
-/* Define to 1 if strpbrk is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRPBRK
-
-/* Define to 1 if strsep is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRSEP
-
-/* Define to 1 if strsignal is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRSIGNAL
-
-/* Define to 1 if strtod is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRTOD
-
-/* Define to 1 if strtok_r is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRTOK_R
-
-/* Define to 1 if strtoll is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRTOLL
-
-/* Define to 1 if strtoull is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRTOULL
-
-/* Define to 1 if strverscmp is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_STRVERSCMP
-
-/* Define to 1 if symlink is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SYMLINK
-
-/* Define to 1 if symlinkat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_SYMLINKAT
-
-/* Define to 1 if tanf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_TANF
-
-/* Define to 1 if tanhf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_TANHF
-
-/* Define to 1 if tanl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_TANL
-
-/* Define to 1 if tmpfile is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_TMPFILE
-
-/* Define to 1 if towctrans is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_TOWCTRANS
-
-/* Define to 1 if trunc is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_TRUNC
-
-/* Define to 1 if truncate is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_TRUNCATE
-
-/* Define to 1 if truncf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_TRUNCF
-
-/* Define to 1 if truncl is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_TRUNCL
-
-/* Define to 1 if ttyname_r is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_TTYNAME_R
-
-/* Define to 1 if unlink is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_UNLINK
-
-/* Define to 1 if unlinkat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_UNLINKAT
-
-/* Define to 1 if unlockpt is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_UNLOCKPT
-
-/* Define to 1 if unsetenv is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_UNSETENV
-
-/* Define to 1 if usleep is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_USLEEP
-
-/* Define to 1 if utime is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_UTIME
-
-/* Define to 1 if utimensat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_UTIMENSAT
-
-/* Define to 1 if vdprintf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_VDPRINTF
-
-/* Define to 1 if vsnprintf is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_VSNPRINTF
-
-/* Define to 1 if waitpid is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WAITPID
-
-/* Define to 1 if wcpcpy is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCPCPY
-
-/* Define to 1 if wcpncpy is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCPNCPY
-
-/* Define to 1 if wcrtomb is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCRTOMB
-
-/* Define to 1 if wcscasecmp is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSCASECMP
-
-/* Define to 1 if wcscat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSCAT
-
-/* Define to 1 if wcschr is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSCHR
-
-/* Define to 1 if wcscmp is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSCMP
-
-/* Define to 1 if wcscoll is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSCOLL
-
-/* Define to 1 if wcscpy is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSCPY
-
-/* Define to 1 if wcscspn is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSCSPN
-
-/* Define to 1 if wcsdup is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSDUP
-
-/* Define to 1 if wcsftime is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSFTIME
-
-/* Define to 1 if wcslen is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSLEN
-
-/* Define to 1 if wcsncasecmp is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSNCASECMP
-
-/* Define to 1 if wcsncat is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSNCAT
-
-/* Define to 1 if wcsncmp is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSNCMP
-
-/* Define to 1 if wcsncpy is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSNCPY
-
-/* Define to 1 if wcsnlen is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSNLEN
-
-/* Define to 1 if wcsnrtombs is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSNRTOMBS
-
-/* Define to 1 if wcspbrk is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSPBRK
-
-/* Define to 1 if wcsrchr is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSRCHR
-
-/* Define to 1 if wcsrtombs is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSRTOMBS
-
-/* Define to 1 if wcsspn is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSSPN
-
-/* Define to 1 if wcsstr is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSSTR
-
-/* Define to 1 if wcstok is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSTOK
-
-/* Define to 1 if wcswidth is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSWIDTH
-
-/* Define to 1 if wcsxfrm is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCSXFRM
-
-/* Define to 1 if wctob is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCTOB
-
-/* Define to 1 if wctrans is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCTRANS
-
-/* Define to 1 if wctype is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCTYPE
-
-/* Define to 1 if wcwidth is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WCWIDTH
-
-/* Define to 1 if wmemchr is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WMEMCHR
-
-/* Define to 1 if wmemcmp is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WMEMCMP
-
-/* Define to 1 if wmemcpy is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WMEMCPY
-
-/* Define to 1 if wmemmove is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WMEMMOVE
-
-/* Define to 1 if wmemset is declared even after undefining macros. */
-#undef HAVE_RAW_DECL_WMEMSET
-
-/* Define to 1 if _Exit is declared even after undefining macros. */
-#undef HAVE_RAW_DECL__EXIT
-
 /* Define to 1 if you have the `readdir' function. */
 #undef HAVE_READDIR
 
@@ -2268,9 +1439,6 @@
 # define _GL_INLINE_HEADER_END
 #endif
 
-/* Define to a replacement function name for fnmatch(). */
-#undef fnmatch
-
 /* Define to `int' if <sys/types.h> doesn't define. */
 #undef gid_t
 
diff -pruN 2.9.8-1/configure 3.0-1/configure
--- 2.9.8-1/configure	2018-06-02 08:22:46.000000000 +0000
+++ 3.0-1/configure	2018-09-09 09:47:43.000000000 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for GNU nano 2.9.8.
+# Generated by GNU Autoconf 2.69 for GNU nano 3.0.
 #
 # Report bugs to <nano-devel@gnu.org>.
 #
@@ -580,8 +580,8 @@ MAKEFLAGS=
 # Identity of this package.
 PACKAGE_NAME='GNU nano'
 PACKAGE_TARNAME='nano'
-PACKAGE_VERSION='2.9.8'
-PACKAGE_STRING='GNU nano 2.9.8'
+PACKAGE_VERSION='3.0'
+PACKAGE_STRING='GNU nano 3.0'
 PACKAGE_BUGREPORT='nano-devel@gnu.org'
 PACKAGE_URL='http://www.gnu.org/software/nano/'
 
@@ -1004,9 +1004,17 @@ GNULIB_WCTYPE
 GNULIB_ISWBLANK
 HOST_CPU_C_ABI
 HOST_CPU
-REPLACE_GLOB
+GL_GENERATE_GLOB_H_FALSE
+GL_GENERATE_GLOB_H_TRUE
+GLOB_H
+HAVE_GLOB_H
 NEXT_AS_FIRST_DIRECTIVE_GLOB_H
 NEXT_GLOB_H
+REPLACE_GLOB_PATTERN_P
+REPLACE_GLOB
+HAVE_GLOB_PATTERN_P
+HAVE_GLOB
+GNULIB_GLOB
 REPLACE_LOCALTIME
 REPLACE_GMTIME
 REPLACE_TZSET
@@ -1461,6 +1469,12 @@ GNULIB_ACOSF
 GL_GENERATE_FNMATCH_H_FALSE
 GL_GENERATE_FNMATCH_H_TRUE
 FNMATCH_H
+HAVE_FNMATCH_H
+NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H
+NEXT_FNMATCH_H
+REPLACE_FNMATCH
+HAVE_FNMATCH
+GNULIB_FNMATCH
 REPLACE_ITOLD
 GL_GENERATE_FLOAT_H_FALSE
 GL_GENERATE_FLOAT_H_TRUE
@@ -1543,6 +1557,7 @@ REPLACE_LINKAT
 REPLACE_LINK
 REPLACE_LCHOWN
 REPLACE_ISATTY
+REPLACE_GETPASS
 REPLACE_GETPAGESIZE
 REPLACE_GETGROUPS
 REPLACE_GETLOGIN_R
@@ -1585,6 +1600,7 @@ HAVE_LINKAT
 HAVE_LINK
 HAVE_LCHOWN
 HAVE_GROUP_MEMBER
+HAVE_GETPASS
 HAVE_GETPAGESIZE
 HAVE_GETLOGIN
 HAVE_GETHOSTNAME
@@ -1627,6 +1643,7 @@ GNULIB_LCHOWN
 GNULIB_ISATTY
 GNULIB_GROUP_MEMBER
 GNULIB_GETUSERSHELL
+GNULIB_GETPASS
 GNULIB_GETPAGESIZE
 GNULIB_GETLOGIN_R
 GNULIB_GETLOGIN
@@ -2442,7 +2459,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures GNU nano 2.9.8 to adapt to many kinds of systems.
+\`configure' configures GNU nano 3.0 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -2512,7 +2529,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of GNU nano 2.9.8:";;
+     short | recursive ) echo "Configuration of GNU nano 3.0:";;
    esac
   cat <<\_ACEOF
 
@@ -2664,7 +2681,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-GNU nano configure 2.9.8
+GNU nano configure 3.0
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -3373,7 +3390,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by GNU nano $as_me 2.9.8, which was
+It was created by GNU nano $as_me 3.0, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -3657,6 +3674,8 @@ as_fn_append ac_func_list " btowc"
 as_fn_append ac_header_list " dirent.h"
 as_fn_append ac_header_list " unistd.h"
 as_fn_append ac_func_list " symlink"
+as_fn_append ac_header_list " fnmatch.h"
+as_fn_append ac_func_list " fnmatch"
 as_fn_append ac_func_list " isblank"
 as_fn_append ac_func_list " iswctype"
 as_fn_append ac_func_list " mbsrtowcs"
@@ -3677,6 +3696,8 @@ as_fn_append ac_func_list " nanotime"
 as_fn_append ac_header_list " sys/time.h"
 as_fn_append ac_header_list " sys/socket.h"
 as_fn_append ac_header_list " glob.h"
+as_fn_append ac_func_list " glob"
+as_fn_append ac_func_list " glob_pattern_p"
 as_fn_append ac_func_list " getpwnam_r"
 as_fn_append ac_func_list " iswcntrl"
 as_fn_append ac_header_list " crtdefs.h"
@@ -4369,7 +4390,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='nano'
- VERSION='2.9.8'
+ VERSION='3.0'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -7059,6 +7080,7 @@ fi
   # Code from module flexmember:
   # Code from module float:
   # Code from module fnmatch:
+  # Code from module fnmatch-h:
   # Code from module fpieee:
 
   # Code from module fpucw:
@@ -7075,6 +7097,7 @@ fi
   # Code from module gettime:
   # Code from module gettimeofday:
   # Code from module glob:
+  # Code from module glob-h:
   # Code from module hard-locale:
   # Code from module havelib:
   # Code from module host-cpu-c-abi:
@@ -7508,7 +7531,8 @@ int main () { return zero(); }
 _ACEOF
                               save_ac_compile="$ac_compile"
      ac_compile=`echo "$save_ac_compile" | sed s/conftest/conftest1/`
-     if { { eval echo "\"\$as_me\":${as_lineno-$LINENO}: \"$ac_compile\""; } >&5
+     if echo '#include "conftest.c"' >conftest1.c &&
+        { { eval echo "\"\$as_me\":${as_lineno-$LINENO}: \"$ac_compile\""; } >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
   $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
@@ -7529,7 +7553,8 @@ int zero (void) { return 0; }
 
 _ACEOF
               ac_compile=`echo "$save_ac_compile" | sed s/conftest/conftest2/`
-       if { { eval echo "\"\$as_me\":${as_lineno-$LINENO}: \"$ac_compile\""; } >&5
+       if echo '#include "conftest.c"' >conftest2.c &&
+          { { eval echo "\"\$as_me\":${as_lineno-$LINENO}: \"$ac_compile\""; } >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
   $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
@@ -7542,7 +7567,7 @@ _ACEOF
        fi
      fi
      ac_compile="$save_ac_compile"
-     rm -f conftest1.$ac_objext conftest2.$ac_objext conftest$ac_exeext
+     rm -f conftest12.c conftest12.$ac_objext conftest$ac_exeext
 
 fi
 { $as_echo "$as_me:${as_lineno-$LINENO}: result: $gl_cv_header_wchar_h_correct_inline" >&5
@@ -7775,6 +7800,7 @@ $as_echo "$gt_cv_locale_fr" >&6; }
   GNULIB_GETLOGIN=0;
   GNULIB_GETLOGIN_R=0;
   GNULIB_GETPAGESIZE=0;
+  GNULIB_GETPASS=0;
   GNULIB_GETUSERSHELL=0;
   GNULIB_GROUP_MEMBER=0;
   GNULIB_ISATTY=0;
@@ -7817,6 +7843,7 @@ $as_echo "$gt_cv_locale_fr" >&6; }
   HAVE_GETHOSTNAME=1;
   HAVE_GETLOGIN=1;
   HAVE_GETPAGESIZE=1;
+  HAVE_GETPASS=1;
   HAVE_GROUP_MEMBER=1;
   HAVE_LCHOWN=1;
   HAVE_LINK=1;
@@ -7859,6 +7886,7 @@ $as_echo "$gt_cv_locale_fr" >&6; }
   REPLACE_GETLOGIN_R=0;
   REPLACE_GETGROUPS=0;
   REPLACE_GETPAGESIZE=0;
+  REPLACE_GETPASS=0;
   REPLACE_ISATTY=0;
   REPLACE_LCHOWN=0;
   REPLACE_LINK=0;
@@ -8612,6 +8640,130 @@ _ACEOF
 fi
 
 
+  GNULIB_FNMATCH=0;
+    HAVE_FNMATCH=1;
+  REPLACE_FNMATCH=0;
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+     if test $gl_cv_have_include_next = yes; then
+       gl_cv_next_fnmatch_h='<'fnmatch.h'>'
+     else
+       { $as_echo "$as_me:${as_lineno-$LINENO}: checking absolute name of <fnmatch.h>" >&5
+$as_echo_n "checking absolute name of <fnmatch.h>... " >&6; }
+if ${gl_cv_next_fnmatch_h+:} false; then :
+  $as_echo_n "(cached) " >&6
+else
+
+             if test $ac_cv_header_fnmatch_h = yes; then
+
+
+
+
+  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+#include <fnmatch.h>
+_ACEOF
+                case "$host_os" in
+    aix*) gl_absname_cpp="$ac_cpp -C" ;;
+    *)    gl_absname_cpp="$ac_cpp" ;;
+  esac
+
+  case "$host_os" in
+    mingw*)
+                                          gl_dirsep_regex='[/\\]'
+      ;;
+    *)
+      gl_dirsep_regex='\/'
+      ;;
+  esac
+      gl_make_literal_regex_sed='s,[]$^\\.*/[],\\&,g'
+  gl_header_literal_regex=`echo 'fnmatch.h' \
+                           | sed -e "$gl_make_literal_regex_sed"`
+  gl_absolute_header_sed="/${gl_dirsep_regex}${gl_header_literal_regex}/"'{
+      s/.*"\(.*'"${gl_dirsep_regex}${gl_header_literal_regex}"'\)".*/\1/
+      s|^/[^/]|//&|
+      p
+      q
+    }'
+
+        gl_cv_absolute_fnmatch_h=`(eval "$gl_absname_cpp conftest.$ac_ext") 2>&5 |
+  sed -n "$gl_absolute_header_sed"`
+
+           gl_header=$gl_cv_absolute_fnmatch_h
+           gl_cv_next_fnmatch_h='"'$gl_header'"'
+          else
+               gl_cv_next_fnmatch_h='<'fnmatch.h'>'
+             fi
+
+
+fi
+{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $gl_cv_next_fnmatch_h" >&5
+$as_echo "$gl_cv_next_fnmatch_h" >&6; }
+     fi
+     NEXT_FNMATCH_H=$gl_cv_next_fnmatch_h
+
+     if test $gl_cv_have_include_next = yes || test $gl_cv_have_include_next = buggy; then
+       # INCLUDE_NEXT_AS_FIRST_DIRECTIVE='include_next'
+       gl_next_as_first_directive='<'fnmatch.h'>'
+     else
+       # INCLUDE_NEXT_AS_FIRST_DIRECTIVE='include'
+       gl_next_as_first_directive=$gl_cv_next_fnmatch_h
+     fi
+     NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H=$gl_next_as_first_directive
+
+
+
+
+
+
+
+  if test $ac_cv_header_fnmatch_h = yes; then
+    HAVE_FNMATCH_H=1
+  else
+    HAVE_FNMATCH_H=0
+  fi
+
+
+  FNMATCH_H=''
+     if false; then
+              FNMATCH_H=fnmatch.h
+     else
+       if test $ac_cv_header_fnmatch_h != yes; then
+                  FNMATCH_H=fnmatch.h
+       fi
+     fi
+
+
+   if test -n "$FNMATCH_H"; then
+  GL_GENERATE_FNMATCH_H_TRUE=
+  GL_GENERATE_FNMATCH_H_FALSE='#'
+else
+  GL_GENERATE_FNMATCH_H_TRUE='#'
+  GL_GENERATE_FNMATCH_H_FALSE=
+fi
+
+
+
+
+
+
+
+
+
 
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for mbstate_t" >&5
 $as_echo_n "checking for mbstate_t... " >&6; }
@@ -9292,44 +9444,7 @@ fi
 
 
 
-    for gl_func in fchmodat fstat fstatat futimens lchmod lstat mkdirat mkfifo mkfifoat     mknod mknodat stat utimensat; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <sys/stat.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -10125,17 +10240,17 @@ else
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 typedef int *int_ptr;
-	   int foo (int_ptr $ac_kw ip) { return ip[0]; }
-	   int bar (int [$ac_kw]); /* Catch GCC bug 14050.  */
-	   int bar (int ip[$ac_kw]) { return ip[0]; }
+           int foo (int_ptr $ac_kw ip) { return ip[0]; }
+           int bar (int [$ac_kw]); /* Catch GCC bug 14050.  */
+           int bar (int ip[$ac_kw]) { return ip[0]; }
 
 int
 main ()
 {
 int s[1];
-	   int *$ac_kw t = s;
-	   t[0] = 0;
-	   return foo (t) + bar (t);
+           int *$ac_kw t = s;
+           t[0] = 0;
+           return foo (t) + bar (t);
 
   ;
   return 0;
@@ -10359,48 +10474,7 @@ $as_echo "$gl_cv_sys_struct_timeval_tv_s
   fi
 
 
-    for gl_func in gettimeofday; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-
-#if HAVE_SYS_TIME_H
-# include <sys/time.h>
-#endif
-#include <time.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -10439,6 +10513,131 @@ fi
   REPLACE_LOCALTIME=0;
 
 
+  GNULIB_GLOB=0;
+    HAVE_GLOB=1;
+  HAVE_GLOB_PATTERN_P=1;
+  REPLACE_GLOB=0;
+  REPLACE_GLOB_PATTERN_P=0;
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+     if test $gl_cv_have_include_next = yes; then
+       gl_cv_next_glob_h='<'glob.h'>'
+     else
+       { $as_echo "$as_me:${as_lineno-$LINENO}: checking absolute name of <glob.h>" >&5
+$as_echo_n "checking absolute name of <glob.h>... " >&6; }
+if ${gl_cv_next_glob_h+:} false; then :
+  $as_echo_n "(cached) " >&6
+else
+
+             if test $ac_cv_header_glob_h = yes; then
+
+
+
+
+  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+#include <glob.h>
+_ACEOF
+                case "$host_os" in
+    aix*) gl_absname_cpp="$ac_cpp -C" ;;
+    *)    gl_absname_cpp="$ac_cpp" ;;
+  esac
+
+  case "$host_os" in
+    mingw*)
+                                          gl_dirsep_regex='[/\\]'
+      ;;
+    *)
+      gl_dirsep_regex='\/'
+      ;;
+  esac
+      gl_make_literal_regex_sed='s,[]$^\\.*/[],\\&,g'
+  gl_header_literal_regex=`echo 'glob.h' \
+                           | sed -e "$gl_make_literal_regex_sed"`
+  gl_absolute_header_sed="/${gl_dirsep_regex}${gl_header_literal_regex}/"'{
+      s/.*"\(.*'"${gl_dirsep_regex}${gl_header_literal_regex}"'\)".*/\1/
+      s|^/[^/]|//&|
+      p
+      q
+    }'
+
+        gl_cv_absolute_glob_h=`(eval "$gl_absname_cpp conftest.$ac_ext") 2>&5 |
+  sed -n "$gl_absolute_header_sed"`
+
+           gl_header=$gl_cv_absolute_glob_h
+           gl_cv_next_glob_h='"'$gl_header'"'
+          else
+               gl_cv_next_glob_h='<'glob.h'>'
+             fi
+
+
+fi
+{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $gl_cv_next_glob_h" >&5
+$as_echo "$gl_cv_next_glob_h" >&6; }
+     fi
+     NEXT_GLOB_H=$gl_cv_next_glob_h
+
+     if test $gl_cv_have_include_next = yes || test $gl_cv_have_include_next = buggy; then
+       # INCLUDE_NEXT_AS_FIRST_DIRECTIVE='include_next'
+       gl_next_as_first_directive='<'glob.h'>'
+     else
+       # INCLUDE_NEXT_AS_FIRST_DIRECTIVE='include'
+       gl_next_as_first_directive=$gl_cv_next_glob_h
+     fi
+     NEXT_AS_FIRST_DIRECTIVE_GLOB_H=$gl_next_as_first_directive
+
+
+
+
+
+  if test $ac_cv_header_glob_h = yes; then
+    HAVE_GLOB_H=1
+  else
+    HAVE_GLOB_H=0
+  fi
+
+
+  GLOB_H=''
+     if false; then
+              GLOB_H=glob.h
+     else
+       if test $ac_cv_header_glob_h != yes; then
+                  GLOB_H=glob.h
+       fi
+     fi
+
+
+   if test -n "$GLOB_H"; then
+  GL_GENERATE_GLOB_H_TRUE=
+  GL_GENERATE_GLOB_H_FALSE='#'
+else
+  GL_GENERATE_GLOB_H_TRUE='#'
+  GL_GENERATE_GLOB_H_FALSE=
+fi
+
+
+
+
+
+
+
+
+
 
 
 
@@ -11955,55 +12154,7 @@ $as_echo "$gl_cv_type_wctrans_t" >&6; }
   fi
 
 
-    for gl_func in wctype iswctype wctrans towctrans     ; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-
-/* Tru64 with Desktop Toolkit C has a bug: <stdio.h> must be included before
-   <wchar.h>.
-   BSD/OS 4.0.1 has a bug: <stddef.h>, <stdio.h> and <time.h> must be
-   included before <wchar.h>.  */
-#if !(defined __GLIBC__ && !defined __UCLIBC__)
-# include <stddef.h>
-# include <stdio.h>
-# include <time.h>
-# include <wchar.h>
-#endif
-#include <wctype.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -12715,6 +12866,74 @@ fi
 fi
 { $as_echo "$as_me:${as_lineno-$LINENO}: result: $gl_cv_have_weak" >&5
 $as_echo "$gl_cv_have_weak" >&6; }
+            { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the linker supports --as-needed" >&5
+$as_echo_n "checking whether the linker supports --as-needed... " >&6; }
+if ${gl_cv_linker_have_as_needed+:} false; then :
+  $as_echo_n "(cached) " >&6
+else
+  if test -n "$GCC"; then
+         gl_saved_ldflags="$LDFLAGS"
+         LDFLAGS="$gl_saved_ldflags -Wl,--as-needed -Wl,--no-as-needed"
+         cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+if ac_fn_c_try_link "$LINENO"; then :
+  gl_cv_linker_have_as_needed=yes
+else
+  gl_cv_linker_have_as_needed=no
+fi
+rm -f core conftest.err conftest.$ac_objext \
+    conftest$ac_exeext conftest.$ac_ext
+         LDFLAGS="$gl_saved_ldflags"
+       else
+         gl_cv_linker_have_as_needed=no
+       fi
+
+fi
+{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $gl_cv_linker_have_as_needed" >&5
+$as_echo "$gl_cv_linker_have_as_needed" >&6; }
+            { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the linker supports --push-state" >&5
+$as_echo_n "checking whether the linker supports --push-state... " >&6; }
+if ${gl_cv_linker_have_push_state+:} false; then :
+  $as_echo_n "(cached) " >&6
+else
+  if test -n "$GCC"; then
+         gl_saved_ldflags="$LDFLAGS"
+         LDFLAGS="$gl_saved_ldflags -Wl,--push-state -Wl,--pop-state"
+         cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+if ac_fn_c_try_link "$LINENO"; then :
+  gl_cv_linker_have_push_state=yes
+else
+  gl_cv_linker_have_push_state=no
+fi
+rm -f core conftest.err conftest.$ac_objext \
+    conftest$ac_exeext conftest.$ac_ext
+         LDFLAGS="$gl_saved_ldflags"
+       else
+         gl_cv_linker_have_push_state=no
+       fi
+
+fi
+{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $gl_cv_linker_have_push_state" >&5
+$as_echo "$gl_cv_linker_have_push_state" >&6; }
     if test "$gl_use_threads" = yes || test "$gl_use_threads" = posix; then
       # On OSF/1, the compiler needs the flag -pthread or -D_REENTRANT so that
       # it groks <pthread.h>. It's added above, in gl_THREADLIB_EARLY_BODY.
@@ -12927,6 +13146,28 @@ $as_echo "#define USE_POSIX_THREADS_WEAK
 
               LIBTHREAD=
               LTLIBTHREAD=
+                                                                      case "$LIBMULTITHREAD" in
+                "") ;;
+                -pthread)
+                  if test $gl_cv_linker_have_as_needed = yes; then
+                    if test $gl_cv_linker_have_push_state = yes; then
+                      LIBMULTITHREAD="$LIBMULTITHREAD -Wl,--push-state -Wl,--no-as-needed -lpthread -Wl,--pop-state"
+                    else
+                      LIBMULTITHREAD="$LIBMULTITHREAD -Wl,--no-as-needed -lpthread"
+                    fi
+                  fi
+                  ;;
+                *)
+                  if test $gl_cv_linker_have_as_needed = yes; then
+                    if test $gl_cv_linker_have_push_state = yes; then
+                      LIBMULTITHREAD="-Wl,--push-state -Wl,--no-as-needed $LIBMULTITHREAD -Wl,--pop-state"
+                    else
+                      LIBMULTITHREAD="-Wl,--no-as-needed $LIBMULTITHREAD"
+                    fi
+                  fi
+                  ;;
+              esac
+              # TODO: May need to modify LTLIBMULTITHREAD similarly.
             fi
           fi
         fi
@@ -12972,6 +13213,14 @@ $as_echo "#define USE_SOLARIS_THREADS_WE
 
             LIBTHREAD=
             LTLIBTHREAD=
+                                                            if test $gl_cv_linker_have_as_needed = yes; then
+              if test $gl_cv_linker_have_push_state = yes; then
+                LIBMULTITHREAD="-Wl,--push-state -Wl,--no-as-needed $LIBMULTITHREAD -Wl,--pop-state"
+              else
+                LIBMULTITHREAD="-Wl,--no-as-needed $LIBMULTITHREAD"
+              fi
+            fi
+            # TODO: May need to modify LTLIBMULTITHREAD similarly.
           fi
         fi
       fi
@@ -13528,6 +13777,14 @@ $as_echo "#define USE_PTH_THREADS_WEAK 1
 
             LIBTHREAD=
             LTLIBTHREAD=
+                                                            if test $gl_cv_linker_have_as_needed = yes; then
+              if test $gl_cv_linker_have_push_state = yes; then
+                LIBMULTITHREAD="-Wl,--push-state -Wl,--no-as-needed $LIBMULTITHREAD -Wl,--pop-state"
+              else
+                LIBMULTITHREAD="-Wl,--no-as-needed $LIBMULTITHREAD"
+              fi
+            fi
+            # TODO: May need to modify LTLIBMULTITHREAD similarly.
           fi
         fi
       else
@@ -14366,6 +14623,48 @@ $as_echo "$gt_cv_locale_fr_utf8" >&6; }
   LOCALE_FR_UTF8=$gt_cv_locale_fr_utf8
 
 
+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for inline" >&5
+$as_echo_n "checking for inline... " >&6; }
+if ${ac_cv_c_inline+:} false; then :
+  $as_echo_n "(cached) " >&6
+else
+  ac_cv_c_inline=no
+for ac_kw in inline __inline__ __inline; do
+  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+#ifndef __cplusplus
+typedef int foo_t;
+static $ac_kw foo_t static_foo () {return 0; }
+$ac_kw foo_t foo () {return 0; }
+#endif
+
+_ACEOF
+if ac_fn_c_try_compile "$LINENO"; then :
+  ac_cv_c_inline=$ac_kw
+fi
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+  test "$ac_cv_c_inline" != no && break
+done
+
+fi
+{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_inline" >&5
+$as_echo "$ac_cv_c_inline" >&6; }
+
+case $ac_cv_c_inline in
+  inline | yes) ;;
+  *)
+    case $ac_cv_c_inline in
+      no) ac_val=;;
+      *) ac_val=$ac_cv_c_inline;;
+    esac
+    cat >>confdefs.h <<_ACEOF
+#ifndef __cplusplus
+#define inline $ac_val
+#endif
+_ACEOF
+    ;;
+esac
+
 
 
 
@@ -14720,48 +15019,6 @@ fi
 
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for inline" >&5
-$as_echo_n "checking for inline... " >&6; }
-if ${ac_cv_c_inline+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  ac_cv_c_inline=no
-for ac_kw in inline __inline__ __inline; do
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#ifndef __cplusplus
-typedef int foo_t;
-static $ac_kw foo_t static_foo () {return 0; }
-$ac_kw foo_t foo () {return 0; }
-#endif
-
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  ac_cv_c_inline=$ac_kw
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-  test "$ac_cv_c_inline" != no && break
-done
-
-fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_inline" >&5
-$as_echo "$ac_cv_c_inline" >&6; }
-
-case $ac_cv_c_inline in
-  inline | yes) ;;
-  *)
-    case $ac_cv_c_inline in
-      no) ac_val=;;
-      *) ac_val=$ac_cv_c_inline;;
-    esac
-    cat >>confdefs.h <<_ACEOF
-#ifndef __cplusplus
-#define inline $ac_val
-#endif
-_ACEOF
-    ;;
-esac
-
 
     { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using the GNU C Library >= 2.1 or uClibc" >&5
 $as_echo_n "checking whether we are using the GNU C Library >= 2.1 or uClibc... " >&6; }
@@ -17528,7 +17785,9 @@ _ACEOF
       ;;
   esac
 
-    LIMITS_H=limits.h
+
+
+  LIMITS_H='limits.h'
    if test -n "$LIMITS_H"; then
   GL_GENERATE_LIMITS_H_TRUE=
   GL_GENERATE_LIMITS_H_FALSE='#'
@@ -17542,6 +17801,7 @@ fi
 
 
 
+
    if test -n "$STDINT_H"; then
   GL_GENERATE_STDINT_H_TRUE=
   GL_GENERATE_STDINT_H_FALSE='#'
@@ -17633,44 +17893,7 @@ $as_echo "$gl_cv_next_string_h" >&6; }
 
 
 
-    for gl_func in ffsl ffsll memmem mempcpy memrchr rawmemchr stpcpy stpncpy strchrnul      strdup strncat strndup strnlen strpbrk strsep strcasestr strtok_r      strerror_r strsignal strverscmp; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <string.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -17764,48 +17987,7 @@ $as_echo "$gl_cv_next_strings_h" >&6; }
 
 
 
-    for gl_func in ffs strcasecmp strncasecmp; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-
-    /* Minix 3.1.8 has a bug: <sys/types.h> must be included before
-       <strings.h>.  */
-    #include <sys/types.h>
-    #include <strings.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 ac_fn_c_check_decl "$LINENO" "strnlen" "ac_cv_have_decl_strnlen" "$ac_includes_default"
@@ -18844,44 +19026,7 @@ $as_echo "$gl_cv_next_ctype_h" >&6; }
 
 
 
-    for gl_func in isblank; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <ctype.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
   { $as_echo "$as_me:${as_lineno-$LINENO}: checking for d_type member in directory struct" >&5
@@ -19011,44 +19156,7 @@ $as_echo "$gl_cv_next_dirent_h" >&6; }
 
 
 
-    for gl_func in alphasort closedir dirfd fdopendir opendir readdir rewinddir scandir; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <dirent.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -19280,44 +19388,7 @@ $as_echo "$gl_cv_next_fcntl_h" >&6; }
 
 
 
-    for gl_func in fcntl openat; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <fcntl.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -19595,108 +19666,110 @@ fi
 
 
 
-
-  FNMATCH_H=
   gl_fnmatch_required_lowercase=`
     echo $gl_fnmatch_required | LC_ALL=C tr '[A-Z]' '[a-z]'
   `
-  gl_fnmatch_cache_var="gl_cv_func_fnmatch_${gl_fnmatch_required_lowercase}"
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for working $gl_fnmatch_required fnmatch" >&5
+
+  if test $ac_cv_func_fnmatch = no; then
+    HAVE_FNMATCH=0
+  else
+    gl_fnmatch_cache_var="gl_cv_func_fnmatch_${gl_fnmatch_required_lowercase}"
+    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for working $gl_fnmatch_required fnmatch" >&5
 $as_echo_n "checking for working $gl_fnmatch_required fnmatch... " >&6; }
 if eval \${$gl_fnmatch_cache_var+:} false; then :
   $as_echo_n "(cached) " >&6
 else
-                           if test $gl_fnmatch_required = GNU; then
-       gl_fnmatch_gnu_start=
-       gl_fnmatch_gnu_end=
-     else
-       gl_fnmatch_gnu_start='#if 0'
-       gl_fnmatch_gnu_end='#endif'
-     fi
-     if test "$cross_compiling" = yes; then :
+                                     if test $gl_fnmatch_required = GNU; then
+         gl_fnmatch_gnu_start=
+         gl_fnmatch_gnu_end=
+       else
+         gl_fnmatch_gnu_start='#if 0'
+         gl_fnmatch_gnu_end='#endif'
+       fi
+       if test "$cross_compiling" = yes; then :
   eval "$gl_fnmatch_cache_var=\"guessing no\""
 else
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 #include <fnmatch.h>
-            static int
-            y (char const *pattern, char const *string, int flags)
-            {
-              return fnmatch (pattern, string, flags) == 0;
-            }
-            static int
-            n (char const *pattern, char const *string, int flags)
-            {
-              return fnmatch (pattern, string, flags) == FNM_NOMATCH;
-            }
+              static int
+              y (char const *pattern, char const *string, int flags)
+              {
+                return fnmatch (pattern, string, flags) == 0;
+              }
+              static int
+              n (char const *pattern, char const *string, int flags)
+              {
+                return fnmatch (pattern, string, flags) == FNM_NOMATCH;
+              }
 
 int
 main ()
 {
 char const *Apat = 'A' < '\\\\' ? "[A-\\\\\\\\]" : "[\\\\\\\\-A]";
-            char const *apat = 'a' < '\\\\' ? "[a-\\\\\\\\]" : "[\\\\\\\\-a]";
-            static char const A_1[] = { 'A' - 1, 0 };
-            static char const A01[] = { 'A' + 1, 0 };
-            static char const a_1[] = { 'a' - 1, 0 };
-            static char const a01[] = { 'a' + 1, 0 };
-            static char const bs_1[] = { '\\\\' - 1, 0 };
-            static char const bs01[] = { '\\\\' + 1, 0 };
-            int result = 0;
-            if (!n ("a*", "", 0))
-              return 1;
-            if (!y ("a*", "abc", 0))
-              return 1;
-            if (!y ("[/b", "[/b", 0)) /*"]]"*/ /* glibc Bugzilla bug 12378 */
-              return 1;
-            if (!n ("d*/*1", "d/s/1", FNM_PATHNAME))
-              return 2;
-            if (!y ("a\\\\bc", "abc", 0))
-              return 3;
-            if (!n ("a\\\\bc", "abc", FNM_NOESCAPE))
-              return 3;
-            if (!y ("*x", ".x", 0))
-              return 4;
-            if (!n ("*x", ".x", FNM_PERIOD))
-              return 4;
-            if (!y (Apat, "\\\\", 0))
-              return 5;
-            if (!y (Apat, "A", 0))
-              return 5;
-            if (!y (apat, "\\\\", 0))
-              return 5;
-            if (!y (apat, "a", 0))
-              return 5;
-            if (!(n (Apat, A_1, 0) == ('A' < '\\\\')))
-              return 5;
-            if (!(n (apat, a_1, 0) == ('a' < '\\\\')))
-              return 5;
-            if (!(y (Apat, A01, 0) == ('A' < '\\\\')))
-              return 5;
-            if (!(y (apat, a01, 0) == ('a' < '\\\\')))
-              return 5;
-            if (!(y (Apat, bs_1, 0) == ('A' < '\\\\')))
-              return 5;
-            if (!(y (apat, bs_1, 0) == ('a' < '\\\\')))
-              return 5;
-            if (!(n (Apat, bs01, 0) == ('A' < '\\\\')))
-              return 5;
-            if (!(n (apat, bs01, 0) == ('a' < '\\\\')))
-              return 5;
-            $gl_fnmatch_gnu_start
-            if (!y ("xxXX", "xXxX", FNM_CASEFOLD))
-              result |= 8;
-            if (!y ("a++(x|yy)b", "a+xyyyyxb", FNM_EXTMATCH))
-              result |= 16;
-            if (!n ("d*/*1", "d/s/1", FNM_FILE_NAME))
-              result |= 32;
-            if (!y ("*", "x", FNM_FILE_NAME | FNM_LEADING_DIR))
-              result |= 64;
-            if (!y ("x*", "x/y/z", FNM_FILE_NAME | FNM_LEADING_DIR))
-              result |= 64;
-            if (!y ("*c*", "c/x", FNM_FILE_NAME | FNM_LEADING_DIR))
-              result |= 64;
-            $gl_fnmatch_gnu_end
-            return result;
+              char const *apat = 'a' < '\\\\' ? "[a-\\\\\\\\]" : "[\\\\\\\\-a]";
+              static char const A_1[] = { 'A' - 1, 0 };
+              static char const A01[] = { 'A' + 1, 0 };
+              static char const a_1[] = { 'a' - 1, 0 };
+              static char const a01[] = { 'a' + 1, 0 };
+              static char const bs_1[] = { '\\\\' - 1, 0 };
+              static char const bs01[] = { '\\\\' + 1, 0 };
+              int result = 0;
+              if (!n ("a*", "", 0))
+                return 1;
+              if (!y ("a*", "abc", 0))
+                return 1;
+              if (!y ("[/b", "[/b", 0)) /*"]]"*/ /* glibc Bugzilla bug 12378 */
+                return 1;
+              if (!n ("d*/*1", "d/s/1", FNM_PATHNAME))
+                return 2;
+              if (!y ("a\\\\bc", "abc", 0))
+                return 3;
+              if (!n ("a\\\\bc", "abc", FNM_NOESCAPE))
+                return 3;
+              if (!y ("*x", ".x", 0))
+                return 4;
+              if (!n ("*x", ".x", FNM_PERIOD))
+                return 4;
+              if (!y (Apat, "\\\\", 0))
+                return 5;
+              if (!y (Apat, "A", 0))
+                return 5;
+              if (!y (apat, "\\\\", 0))
+                return 5;
+              if (!y (apat, "a", 0))
+                return 5;
+              if (!(n (Apat, A_1, 0) == ('A' < '\\\\')))
+                return 5;
+              if (!(n (apat, a_1, 0) == ('a' < '\\\\')))
+                return 5;
+              if (!(y (Apat, A01, 0) == ('A' < '\\\\')))
+                return 5;
+              if (!(y (apat, a01, 0) == ('a' < '\\\\')))
+                return 5;
+              if (!(y (Apat, bs_1, 0) == ('A' < '\\\\')))
+                return 5;
+              if (!(y (apat, bs_1, 0) == ('a' < '\\\\')))
+                return 5;
+              if (!(n (Apat, bs01, 0) == ('A' < '\\\\')))
+                return 5;
+              if (!(n (apat, bs01, 0) == ('a' < '\\\\')))
+                return 5;
+              $gl_fnmatch_gnu_start
+              if (!y ("xxXX", "xXxX", FNM_CASEFOLD))
+                result |= 8;
+              if (!y ("a++(x|yy)b", "a+xyyyyxb", FNM_EXTMATCH))
+                result |= 16;
+              if (!n ("d*/*1", "d/s/1", FNM_FILE_NAME))
+                result |= 32;
+              if (!y ("*", "x", FNM_FILE_NAME | FNM_LEADING_DIR))
+                result |= 64;
+              if (!y ("x*", "x/y/z", FNM_FILE_NAME | FNM_LEADING_DIR))
+                result |= 64;
+              if (!y ("*c*", "c/x", FNM_FILE_NAME | FNM_LEADING_DIR))
+                result |= 64;
+              $gl_fnmatch_gnu_end
+              return result;
 
   ;
   return 0;
@@ -19716,13 +19789,15 @@ fi
 eval ac_res=\$$gl_fnmatch_cache_var
 	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
 $as_echo "$ac_res" >&6; }
-  eval "gl_fnmatch_result=\"\$$gl_fnmatch_cache_var\""
-  if test "$gl_fnmatch_result" = yes; then
-            rm -f "$gl_source_base/fnmatch.h"
-  else
-    FNMATCH_H=fnmatch.h
+    eval "gl_fnmatch_result=\"\$$gl_fnmatch_cache_var\""
+    if test "$gl_fnmatch_result" != yes; then
+      REPLACE_FNMATCH=1
+    fi
   fi
+  if test $HAVE_FNMATCH = 0 || test $REPLACE_FNMATCH = 1; then
+
 
+  FNMATCH_H='fnmatch.h'
    if test -n "$FNMATCH_H"; then
   GL_GENERATE_FNMATCH_H_TRUE=
   GL_GENERATE_FNMATCH_H_FALSE='#'
@@ -19732,22 +19807,19 @@ else
 fi
 
 
-  if test -n "$FNMATCH_H"; then
-
+  fi
 
+  if test $HAVE_FNMATCH = 0 || test $REPLACE_FNMATCH = 1; then
 
 
 
 
 
 
-  gl_LIBOBJS="$gl_LIBOBJS fnmatch.$ac_objext"
 
 
+  gl_LIBOBJS="$gl_LIBOBJS fnmatch.$ac_objext"
 
-cat >>confdefs.h <<_ACEOF
-#define fnmatch ${gl_fnmatch_required_lowercase}_fnmatch
-_ACEOF
 
 
   ac_fn_c_check_decl "$LINENO" "isblank" "ac_cv_have_decl_isblank" "#include <ctype.h>
@@ -19769,6 +19841,22 @@ _ACEOF
 
 
 
+
+
+          GNULIB_FNMATCH=1
+
+
+
+
+
+$as_echo "#define GNULIB_TEST_FNMATCH 1" >>confdefs.h
+
+
+
+
+
+
+
   if test $gl_cv_func_frexp_no_libm = yes; then
 
 
@@ -20940,88 +21028,10 @@ $as_echo "#define GNULIB_TEST_GETTIMEOFD
 
 
 
-
-
-
-
-
-
-     if test $gl_cv_have_include_next = yes; then
-       gl_cv_next_glob_h='<'glob.h'>'
-     else
-       { $as_echo "$as_me:${as_lineno-$LINENO}: checking absolute name of <glob.h>" >&5
-$as_echo_n "checking absolute name of <glob.h>... " >&6; }
-if ${gl_cv_next_glob_h+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-
-             if test $ac_cv_header_glob_h = yes; then
-
-
-
-
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <glob.h>
-_ACEOF
-                case "$host_os" in
-    aix*) gl_absname_cpp="$ac_cpp -C" ;;
-    *)    gl_absname_cpp="$ac_cpp" ;;
-  esac
-
-  case "$host_os" in
-    mingw*)
-                                          gl_dirsep_regex='[/\\]'
-      ;;
-    *)
-      gl_dirsep_regex='\/'
-      ;;
-  esac
-      gl_make_literal_regex_sed='s,[]$^\\.*/[],\\&,g'
-  gl_header_literal_regex=`echo 'glob.h' \
-                           | sed -e "$gl_make_literal_regex_sed"`
-  gl_absolute_header_sed="/${gl_dirsep_regex}${gl_header_literal_regex}/"'{
-      s/.*"\(.*'"${gl_dirsep_regex}${gl_header_literal_regex}"'\)".*/\1/
-      s|^/[^/]|//&|
-      p
-      q
-    }'
-
-        gl_cv_absolute_glob_h=`(eval "$gl_absname_cpp conftest.$ac_ext") 2>&5 |
-  sed -n "$gl_absolute_header_sed"`
-
-           gl_header=$gl_cv_absolute_glob_h
-           gl_cv_next_glob_h='"'$gl_header'"'
-          else
-               gl_cv_next_glob_h='<'glob.h'>'
-             fi
-
-
-fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $gl_cv_next_glob_h" >&5
-$as_echo "$gl_cv_next_glob_h" >&6; }
-     fi
-     NEXT_GLOB_H=$gl_cv_next_glob_h
-
-     if test $gl_cv_have_include_next = yes || test $gl_cv_have_include_next = buggy; then
-       # INCLUDE_NEXT_AS_FIRST_DIRECTIVE='include_next'
-       gl_next_as_first_directive='<'glob.h'>'
-     else
-       # INCLUDE_NEXT_AS_FIRST_DIRECTIVE='include'
-       gl_next_as_first_directive=$gl_cv_next_glob_h
-     fi
-     NEXT_AS_FIRST_DIRECTIVE_GLOB_H=$gl_next_as_first_directive
-
-
-
-
-  if test $ac_cv_header_glob_h = yes; then
-    REPLACE_GLOB=0
+  if test $ac_cv_func_glob = no; then
+    HAVE_GLOB=0
   else
-    REPLACE_GLOB=1
-  fi
 
-  if test $REPLACE_GLOB = 0; then
     { $as_echo "$as_me:${as_lineno-$LINENO}: checking for GNU glob interface version 1 or 2" >&5
 $as_echo_n "checking for GNU glob interface version 1 or 2... " >&6; }
 if ${gl_cv_gnu_glob_interface_version_1_2+:} false; then :
@@ -21041,39 +21051,38 @@ rm -f core conftest.err conftest.$ac_obj
 fi
 { $as_echo "$as_me:${as_lineno-$LINENO}: result: $gl_cv_gnu_glob_interface_version_1_2" >&5
 $as_echo "$gl_cv_gnu_glob_interface_version_1_2" >&6; }
-
     if test "$gl_cv_gnu_glob_interface_version_1_2" = "no"; then
       REPLACE_GLOB=1
     fi
-  fi
 
-  if test $REPLACE_GLOB = 0; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether glob lists broken symlinks" >&5
+    if test $REPLACE_GLOB = 0; then
+      { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether glob lists broken symlinks" >&5
 $as_echo_n "checking whether glob lists broken symlinks... " >&6; }
 if ${gl_cv_glob_lists_symlinks+:} false; then :
   $as_echo_n "(cached) " >&6
 else
   if ln -s conf-doesntexist conf$$-globtest 2>/dev/null; then
-         gl_cv_glob_lists_symlinks=maybe
-       else
-         # If we can't make a symlink, then we cannot test this issue.  Be
-         # pessimistic about this.
-         gl_cv_glob_lists_symlinks=no
-       fi
-       if test $gl_cv_glob_lists_symlinks = maybe; then
-         if test "$cross_compiling" = yes; then :
+           gl_cv_glob_lists_symlinks=maybe
+         else
+           # If we can't make a symlink, then we cannot test this issue.  Be
+           # pessimistic about this.
+           gl_cv_glob_lists_symlinks=no
+         fi
+         if test $gl_cv_glob_lists_symlinks = maybe; then
+           if test "$cross_compiling" = yes; then :
   gl_cv_glob_lists_symlinks=no
 else
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
-
 #include <stddef.h>
-#include <glob.h>
+                  #include <glob.h>
 int
 main ()
 {
 glob_t found;
-if (glob ("conf*-globtest", 0, NULL, &found) == GLOB_NOMATCH) return 1;
+                  if (glob ("conf*-globtest", 0, NULL, &found) == GLOB_NOMATCH)
+                    return 1;
+
   ;
   return 0;
 }
@@ -21087,21 +21096,43 @@ rm -f core *.core core.conftest.* gmon.o
   conftest.$ac_objext conftest.beam conftest.$ac_ext
 fi
 
-       fi
-       rm -f conf$$-globtest
+         fi
+         rm -f conf$$-globtest
 
 fi
 { $as_echo "$as_me:${as_lineno-$LINENO}: result: $gl_cv_glob_lists_symlinks" >&5
 $as_echo "$gl_cv_glob_lists_symlinks" >&6; }
+      if test $gl_cv_glob_lists_symlinks = no; then
+        REPLACE_GLOB=1
+      fi
+    fi
 
-    if test $gl_cv_glob_lists_symlinks = no; then
-      REPLACE_GLOB=1
+  fi
+
+  if test $ac_cv_func_glob_pattern_p = no; then
+    HAVE_GLOB_PATTERN_P=0
+  else
+    if test $REPLACE_GLOB = 1; then
+      REPLACE_GLOB_PATTERN_P=1
     fi
   fi
 
+  if test $HAVE_GLOB = 0 || test $REPLACE_GLOB = 1; then
 
 
-  if test $REPLACE_GLOB = 1; then
+  GLOB_H='glob.h'
+   if test -n "$GLOB_H"; then
+  GL_GENERATE_GLOB_H_TRUE=
+  GL_GENERATE_GLOB_H_FALSE='#'
+else
+  GL_GENERATE_GLOB_H_TRUE='#'
+  GL_GENERATE_GLOB_H_FALSE=
+fi
+
+
+  fi
+
+  if test $HAVE_GLOB = 0 || test $REPLACE_GLOB = 1; then
 
 
 
@@ -21120,23 +21151,41 @@ $as_echo "$gl_cv_glob_lists_symlinks" >&
 
 
 
-  gl_LIBOBJS="$gl_LIBOBJS glob_pattern_p.$ac_objext"
+  gl_LIBOBJS="$gl_LIBOBJS globfree.$ac_objext"
+
 
 
 
 
 
+  fi
+  if test $HAVE_GLOB_PATTERN_P = 0 || test $REPLACE_GLOB_PATTERN_P = 1; then
 
 
 
 
-  gl_LIBOBJS="$gl_LIBOBJS globfree.$ac_objext"
 
 
 
+
+  gl_LIBOBJS="$gl_LIBOBJS glob_pattern_p.$ac_objext"
+
   fi
 
-  :
+
+
+
+
+          GNULIB_GLOB=1
+
+
+
+
+
+$as_echo "#define GNULIB_TEST_GLOB 1" >>confdefs.h
+
+
+
 
 
 
@@ -22217,44 +22266,7 @@ $as_echo "$gl_cv_header_langinfo_yesexpr
 
 
 
-    for gl_func in nl_langinfo; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <langinfo.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -22488,48 +22500,7 @@ $as_echo "$gl_cv_next_locale_h" >&6; }
 
 
 
-    for gl_func in setlocale duplocale; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <locale.h>
-/* Some systems provide declarations in a non-standard header.  */
-#if HAVE_XLOCALE_H
-# include <xlocale.h>
-#endif
 
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
-
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -23029,43 +23000,7 @@ $as_echo "$gl_cv_header_math_huge_val_wo
   fi
 
 
-    for gl_func in acosf acosl asinf asinl atanf atanl      cbrt cbrtf cbrtl ceilf ceill copysign copysignf copysignl cosf cosl coshf      expf expl exp2 exp2f exp2l expm1 expm1f expm1l      fabsf fabsl floorf floorl fma fmaf fmal      fmod fmodf fmodl frexpf frexpl hypotf hypotl      ilogb ilogbf ilogbl      ldexpf ldexpl      log logf logl log10 log10f log10l log1p log1pf log1pl log2 log2f log2l      logb logbf logbl      modf modff modfl powf      remainder remainderf remainderl      rint rintf rintl round roundf roundl sinf sinl sinhf sqrtf sqrtl      tanf tanl tanhf trunc truncf truncl; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <math.h>
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -23762,6 +23697,7 @@ $as_echo "#define C_LOCALE_MAYBE_EILSEQ
   gl_LIBOBJS="$gl_LIBOBJS mbrtowc.$ac_objext"
 
 
+
   :
 
   fi
@@ -25771,44 +25707,7 @@ fi
 
 
 
-    for gl_func in pthread_sigmask sigaction     sigaddset sigdelset sigemptyset sigfillset sigismember     sigpending sigprocmask; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <signal.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -28381,44 +28280,7 @@ _ACEOF
 
 
 
-    for gl_func in dprintf fpurge fseeko ftello getdelim getline gets pclose popen     renameat snprintf tmpfile vdprintf vsnprintf; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <stdio.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -28496,53 +28358,7 @@ $as_echo "$gl_cv_next_stdlib_h" >&6; }
 
 
 
-    for gl_func in _Exit atoll canonicalize_file_name getloadavg getsubopt grantpt     initstate initstate_r mkdtemp mkostemp mkostemps mkstemp mkstemps     posix_openpt ptsname ptsname_r qsort_r random random_r reallocarray     realpath rpmatch secure_getenv setenv setstate setstate_r srandom     srandom_r strtod strtoll strtoull unlockpt unsetenv; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <stdlib.h>
-#if HAVE_SYS_LOADAVG_H
-/* OpenIndiana has a bug: <sys/time.h> must be included before
-   <sys/loadavg.h>.  */
-# include <sys/time.h>
-# include <sys/loadavg.h>
-#endif
-#if HAVE_RANDOM_H
-# include <random.h>
-#endif
 
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
-
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -28965,44 +28781,7 @@ fi
 
 
 
-    for gl_func in fchmodat fstat fstatat futimens lchmod lstat mkdirat mkfifo mkfifoat     mknod mknodat stat utimensat; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <sys/stat.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -29097,43 +28876,7 @@ $as_echo "$gl_cv_next_sys_wait_h" >&6; }
 
 
 
-    for gl_func in waitpid; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <sys/wait.h>
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -29238,56 +28981,7 @@ $as_echo "$gl_cv_next_unistd_h" >&6; }
 
 
 
-    for gl_func in chdir chown dup dup2 dup3 environ euidaccess faccessat fchdir fchownat     fdatasync fsync ftruncate getcwd getdomainname getdtablesize getgroups     gethostname getlogin getlogin_r getpagesize     getusershell setusershell endusershell     group_member isatty lchown link linkat lseek pipe pipe2 pread pwrite     readlink readlinkat rmdir sethostname sleep symlink symlinkat     truncate ttyname_r unlink unlinkat usleep; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
 
-#if HAVE_UNISTD_H
-# include <unistd.h>
-#endif
-/* Some systems declare various items in the wrong headers.  */
-#if !(defined __GLIBC__ && !defined __UCLIBC__)
-# include <fcntl.h>
-# include <stdio.h>
-# include <stdlib.h>
-# if defined _WIN32 && ! defined __CYGWIN__
-#  include <io.h>
-# endif
-#endif
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
-
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -29428,6 +29122,7 @@ $as_echo "#define GNULIB_TEST_UTIME 1" >
 
 
 
+
      if test $gl_cv_have_include_next = yes; then
        gl_cv_next_utime_h='<'utime.h'>'
      else
@@ -29506,14 +29201,19 @@ $as_echo "$gl_cv_next_utime_h" >&6; }
 
 
   UTIME_H=''
-  if test $ac_cv_header_utime_h != yes; then
-        UTIME_H=utime.h
-  else
-    case "$host_os" in
-      mingw*)         UTIME_H=utime.h
-        ;;
-    esac
-  fi
+     if false; then
+              UTIME_H=utime.h
+     else
+       if test $ac_cv_header_utime_h != yes; then
+                  UTIME_H=utime.h
+       else
+         case "$host_os" in
+           mingw*)              UTIME_H=utime.h
+             ;;
+         esac
+       fi
+     fi
+
 
    if test -n "$UTIME_H"; then
   GL_GENERATE_UTIME_H_TRUE=
@@ -29525,44 +29225,7 @@ fi
 
 
 
-    for gl_func in utime; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <utime.h>
 
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
-
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -30667,54 +30330,7 @@ $as_echo "$gl_cv_next_wchar_h" >&6; }
 
 
 
-    for gl_func in btowc wctob mbsinit mbrtowc mbrlen mbsrtowcs mbsnrtowcs wcrtomb      wcsrtombs wcsnrtombs wcwidth wmemchr wmemcmp wmemcpy wmemmove wmemset      wcslen wcsnlen wcscpy wcpcpy wcsncpy wcpncpy wcscat wcsncat wcscmp      wcsncmp wcscasecmp wcsncasecmp wcscoll wcsxfrm wcsdup wcschr wcsrchr      wcscspn wcsspn wcspbrk wcsstr wcstok wcswidth wcsftime     ; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-
-/* Tru64 with Desktop Toolkit C has a bug: <stdio.h> must be included before
-   <wchar.h>.
-   BSD/OS 4.0.1 has a bug: <stddef.h>, <stdio.h> and <time.h> must be
-   included before <wchar.h>.  */
-#if !(defined __GLIBC__ && !defined __UCLIBC__)
-# include <stddef.h>
-# include <stdio.h>
-# include <time.h>
-#endif
-#include <wchar.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
 
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -31328,55 +30944,7 @@ $as_echo "$gl_cv_type_wctrans_t" >&6; }
   fi
 
 
-    for gl_func in wctype iswctype wctrans towctrans     ; do
-    as_gl_Symbol=`$as_echo "gl_cv_have_raw_decl_$gl_func" | $as_tr_sh`
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $gl_func is declared without a macro" >&5
-$as_echo_n "checking whether $gl_func is declared without a macro... " >&6; }
-if eval \${$as_gl_Symbol+:} false; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
 
-/* Tru64 with Desktop Toolkit C has a bug: <stdio.h> must be included before
-   <wchar.h>.
-   BSD/OS 4.0.1 has a bug: <stddef.h>, <stdio.h> and <time.h> must be
-   included before <wchar.h>.  */
-#if !(defined __GLIBC__ && !defined __UCLIBC__)
-# include <stddef.h>
-# include <stdio.h>
-# include <time.h>
-# include <wchar.h>
-#endif
-#include <wctype.h>
-
-int
-main ()
-{
-#undef $gl_func
-  (void) $gl_func;
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$as_gl_Symbol=yes"
-else
-  eval "$as_gl_Symbol=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$as_gl_Symbol
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-    if eval test \"x\$"$as_gl_Symbol"\" = x"yes"; then :
-  cat >>confdefs.h <<_ACEOF
-#define `$as_echo "HAVE_RAW_DECL_$gl_func" | $as_tr_cpp` 1
-_ACEOF
-
-                     eval ac_cv_have_decl_$gl_func=yes
-fi
-      done
 
 
 
@@ -31532,6 +31100,10 @@ $as_echo "$gl_cv_func_wcwidth_works" >&6
 
   gl_LIBOBJS="$gl_LIBOBJS wcwidth.$ac_objext"
 
+
+
+  :
+
   fi
 
 
@@ -34801,8 +34373,8 @@ if eval "test x$CURSES_LIB_NAME = x"; th
 	if test "x$enable_utf8" != xno; then
 
 pkg_failed=no
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for ncursesw" >&5
-$as_echo_n "checking for ncursesw... " >&6; }
+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for NCURSESW" >&5
+$as_echo_n "checking for NCURSESW... " >&6; }
 
 if test -n "$NCURSESW_CFLAGS"; then
     pkg_cv_NCURSESW_CFLAGS="$NCURSESW_CFLAGS"
@@ -34842,7 +34414,7 @@ fi
 
 
 if test $pkg_failed = yes; then
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+   	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
 $as_echo "no" >&6; }
 
 if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
@@ -34860,7 +34432,7 @@ fi
 
 	:
 elif test $pkg_failed = untried; then
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+     	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
 $as_echo "no" >&6; }
 	:
 else
@@ -34878,8 +34450,8 @@ fi
 	else
 
 pkg_failed=no
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for ncurses" >&5
-$as_echo_n "checking for ncurses... " >&6; }
+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for NCURSES" >&5
+$as_echo_n "checking for NCURSES... " >&6; }
 
 if test -n "$NCURSES_CFLAGS"; then
     pkg_cv_NCURSES_CFLAGS="$NCURSES_CFLAGS"
@@ -34919,7 +34491,7 @@ fi
 
 
 if test $pkg_failed = yes; then
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+   	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
 $as_echo "no" >&6; }
 
 if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
@@ -34937,7 +34509,7 @@ fi
 
 	:
 elif test $pkg_failed = untried; then
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+     	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
 $as_echo "no" >&6; }
 	:
 else
@@ -35857,6 +35429,14 @@ else
 fi
 
 
+if test x$from_git = xyes; then
+	if test "$ac_cv_path_MSGFMT" = ":"; then
+		as_fn_error $? "
+*** The msgfmt program is missing. ***
+*** The gettext package needs to be installed when building from git. ***" "$LINENO" 5
+	fi
+fi
+
 ac_config_files="$ac_config_files Makefile doc/Makefile doc/sample.nanorc lib/Makefile m4/Makefile po/Makefile.in src/Makefile syntax/Makefile nano.spec"
 
 
@@ -36013,6 +35593,18 @@ if test -z "${GL_GENERATE_FNMATCH_H_TRUE
   as_fn_error $? "conditional \"GL_GENERATE_FNMATCH_H\" was never defined.
 Usually this means the macro was only invoked conditionally." "$LINENO" 5
 fi
+if test -z "${GL_GENERATE_FNMATCH_H_TRUE}" && test -z "${GL_GENERATE_FNMATCH_H_FALSE}"; then
+  as_fn_error $? "conditional \"GL_GENERATE_FNMATCH_H\" was never defined.
+Usually this means the macro was only invoked conditionally." "$LINENO" 5
+fi
+if test -z "${GL_GENERATE_GLOB_H_TRUE}" && test -z "${GL_GENERATE_GLOB_H_FALSE}"; then
+  as_fn_error $? "conditional \"GL_GENERATE_GLOB_H\" was never defined.
+Usually this means the macro was only invoked conditionally." "$LINENO" 5
+fi
+if test -z "${GL_GENERATE_GLOB_H_TRUE}" && test -z "${GL_GENERATE_GLOB_H_FALSE}"; then
+  as_fn_error $? "conditional \"GL_GENERATE_GLOB_H\" was never defined.
+Usually this means the macro was only invoked conditionally." "$LINENO" 5
+fi
 
 
 if test -z "${GL_GENERATE_LIMITS_H_TRUE}" && test -z "${GL_GENERATE_LIMITS_H_FALSE}"; then
@@ -36500,7 +36092,7 @@ cat >>$CONFIG_STATUS <<\_ACEOF || ac_wri
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by GNU nano $as_me 2.9.8, which was
+This file was extended by GNU nano $as_me 3.0, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -36568,7 +36160,7 @@ _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
 ac_cs_version="\\
-GNU nano config.status 2.9.8
+GNU nano config.status 3.0
 configured by $0, generated by GNU Autoconf 2.69,
   with options \\"\$ac_cs_config\\"
 
diff -pruN 2.9.8-1/configure.ac 3.0-1/configure.ac
--- 2.9.8-1/configure.ac	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/configure.ac	2018-09-09 09:42:04.000000000 +0000
@@ -16,7 +16,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see http://www.gnu.org/licenses/.
 
-AC_INIT([GNU nano], [2.9.8], [nano-devel@gnu.org], [nano])
+AC_INIT([GNU nano], [3.0], [nano-devel@gnu.org], [nano])
 AC_CONFIG_SRCDIR([src/nano.c])
 AC_CANONICAL_HOST
 AM_INIT_AUTOMAKE([1.14])
@@ -762,6 +762,14 @@ else
 fi
 AM_CONDITIONAL(BUILDING_FROM_GIT, test x$from_git = xyes)
 
+if test x$from_git = xyes; then
+	if test "$ac_cv_path_MSGFMT" = ":"; then
+		AC_MSG_ERROR([
+*** The msgfmt program is missing. ***
+*** The gettext package needs to be installed when building from git. ***])
+	fi
+fi
+
 AC_CONFIG_FILES([
 Makefile
 doc/Makefile
diff -pruN 2.9.8-1/debian/changelog 3.0-1/debian/changelog
--- 2.9.8-1/debian/changelog	2018-06-04 12:32:49.000000000 +0000
+++ 3.0-1/debian/changelog	2018-09-10 15:15:27.000000000 +0000
@@ -1,15 +1,25 @@
+nano (3.0-1) unstable; urgency=medium
+
+  * The "Un Montón de Másters of the Univers(ity)" release.
+  * New upstream release (closes: #908465).
+  * Update watch to allow for series dir without dots (v3/).
+  * Set Rules-Requires-Root to no.
+  * Update Standards-Version to 4.2.1.
+
+ -- Jordi Mallach <jordi@debian.org>  Mon, 10 Sep 2018 17:15:27 +0200
+
 nano (2.9.8-1) unstable; urgency=medium
 
-  * New upstream release.
   * The "Razan al-Najjar" release.
+  * New upstream release.
   * Sync debian/nanorc with upstream nanorc.sample.
 
  -- Jordi Mallach <jordi@debian.org>  Mon, 04 Jun 2018 14:32:49 +0200
 
 nano (2.9.7-1) unstable; urgency=medium
 
-  * New upstream release.
   * The "Well, we can't put all these people in jail" release.
+  * New upstream release.
   * Sync debian/nanorc with upstream nanorc.sample.
 
  -- Jordi Mallach <jordi@debian.org>  Wed, 16 May 2018 13:35:35 +0200
diff -pruN 2.9.8-1/debian/control 3.0-1/debian/control
--- 2.9.8-1/debian/control	2018-05-02 21:41:41.000000000 +0000
+++ 3.0-1/debian/control	2018-09-10 15:14:00.000000000 +0000
@@ -8,10 +8,11 @@ Build-Depends: debhelper (>= 11~),
                libncursesw5-dev,
                libslang2-dev,
                pkg-config
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian/nano.git
 Vcs-Browser: https://salsa.debian.org/debian/nano
 Homepage: https://www.nano-editor.org/
+Rules-Requires-Root: no
 
 Package: nano
 Architecture: any
diff -pruN 2.9.8-1/debian/watch 3.0-1/debian/watch
--- 2.9.8-1/debian/watch	2017-04-25 21:51:15.000000000 +0000
+++ 3.0-1/debian/watch	2018-09-10 15:05:36.000000000 +0000
@@ -1,3 +1,3 @@
 version=3
 opts="pgpsigurlmangle=s/$/.asc/" \
-https://nano-editor.org/dist/v([\d\.])+/nano-([\d\.]+)\.tar\.xz
+https://nano-editor.org/dist/v(\d)+/nano-([\d\.]+)\.tar\.xz
diff -pruN 2.9.8-1/doc/faq.html 3.0-1/doc/faq.html
--- 2.9.8-1/doc/faq.html	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/doc/faq.html	2018-09-09 09:42:04.000000000 +0000
@@ -91,7 +91,7 @@
 <h3><a name="1.3"></a>1.3. Why the name change from TIP?</h3>
 <blockquote><p>On January 10, 2000, TIP was officially renamed to nano because of a namespace conflict with another program called 'tip'. The original 'tip' program &quot;establishes a full duplex terminal connection to a remote host&quot;, and was included with many older Unix systems (and newer ones like Solaris). The conflict was not noticed at first because there is no 'tip' utility included with most GNU/Linux distributions (where nano was developed).</p></blockquote>
 <h3><a name="1.4"></a>1.4. What is the current version of nano?</h3>
-<blockquote><p>The current version of nano <i>should</i> be <b>2.9.8</b>.  Of course, you should always check the <a href="https://nano-editor.org/">nano homepage</a> to see what the latest and greatest version is.</p></blockquote>
+<blockquote><p>The current version of nano <i>should</i> be <b>3.0</b>.  Of course, you should always check the <a href="https://nano-editor.org/">nano homepage</a> to see what the latest and greatest version is.</p></blockquote>
 <h3><a name="1.5"></a>1.5. I want to read the man page without having to download the program!</h3>
 <blockquote><p>Jeez, demanding, aren't we? Okay, look <a href="https://nano-editor.org/dist/latest/nano.1.html">here</a>.</p></blockquote>
 <hr width="100%">
diff -pruN 2.9.8-1/doc/Makefile.in 3.0-1/doc/Makefile.in
--- 2.9.8-1/doc/Makefile.in	2018-06-02 08:22:42.000000000 +0000
+++ 3.0-1/doc/Makefile.in	2018-09-09 09:47:49.000000000 +0000
@@ -111,16 +111,16 @@ am__aclocal_m4_deps = $(top_srcdir)/m4/0
 	$(top_srcdir)/m4/extern-inline.m4 $(top_srcdir)/m4/fcntl-o.m4 \
 	$(top_srcdir)/m4/fcntl_h.m4 $(top_srcdir)/m4/flexmember.m4 \
 	$(top_srcdir)/m4/float_h.m4 $(top_srcdir)/m4/fnmatch.m4 \
-	$(top_srcdir)/m4/fpieee.m4 $(top_srcdir)/m4/frexp.m4 \
-	$(top_srcdir)/m4/frexpl.m4 $(top_srcdir)/m4/fstat.m4 \
-	$(top_srcdir)/m4/futimens.m4 $(top_srcdir)/m4/getdelim.m4 \
-	$(top_srcdir)/m4/getline.m4 $(top_srcdir)/m4/getlogin.m4 \
-	$(top_srcdir)/m4/getlogin_r.m4 $(top_srcdir)/m4/getopt.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gettime.m4 \
-	$(top_srcdir)/m4/gettimeofday.m4 $(top_srcdir)/m4/glibc21.m4 \
-	$(top_srcdir)/m4/glob.m4 $(top_srcdir)/m4/gnulib-common.m4 \
+	$(top_srcdir)/m4/fnmatch_h.m4 $(top_srcdir)/m4/fpieee.m4 \
+	$(top_srcdir)/m4/frexp.m4 $(top_srcdir)/m4/frexpl.m4 \
+	$(top_srcdir)/m4/fstat.m4 $(top_srcdir)/m4/futimens.m4 \
+	$(top_srcdir)/m4/getdelim.m4 $(top_srcdir)/m4/getline.m4 \
+	$(top_srcdir)/m4/getlogin.m4 $(top_srcdir)/m4/getlogin_r.m4 \
+	$(top_srcdir)/m4/getopt.m4 $(top_srcdir)/m4/gettext.m4 \
+	$(top_srcdir)/m4/gettime.m4 $(top_srcdir)/m4/gettimeofday.m4 \
+	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/glob.m4 \
+	$(top_srcdir)/m4/glob_h.m4 $(top_srcdir)/m4/gnulib-common.m4 \
 	$(top_srcdir)/m4/gnulib-comp.m4 \
-	$(top_srcdir)/m4/hard-locale.m4 \
 	$(top_srcdir)/m4/host-cpu-c-abi.m4 $(top_srcdir)/m4/iconv.m4 \
 	$(top_srcdir)/m4/include_next.m4 \
 	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/intmax_t.m4 \
@@ -390,6 +390,7 @@ GETOPT_CDEFS_H = @GETOPT_CDEFS_H@
 GETOPT_H = @GETOPT_H@
 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
 GLIBC21 = @GLIBC21@
+GLOB_H = @GLOB_H@
 GMSGFMT = @GMSGFMT@
 GMSGFMT_015 = @GMSGFMT_015@
 GNULIB_ACOSF = @GNULIB_ACOSF@
@@ -464,6 +465,7 @@ GNULIB_FMAL = @GNULIB_FMAL@
 GNULIB_FMOD = @GNULIB_FMOD@
 GNULIB_FMODF = @GNULIB_FMODF@
 GNULIB_FMODL = @GNULIB_FMODL@
+GNULIB_FNMATCH = @GNULIB_FNMATCH@
 GNULIB_FOPEN = @GNULIB_FOPEN@
 GNULIB_FPRINTF = @GNULIB_FPRINTF@
 GNULIB_FPRINTF_POSIX = @GNULIB_FPRINTF_POSIX@
@@ -499,9 +501,11 @@ GNULIB_GETLOADAVG = @GNULIB_GETLOADAVG@
 GNULIB_GETLOGIN = @GNULIB_GETLOGIN@
 GNULIB_GETLOGIN_R = @GNULIB_GETLOGIN_R@
 GNULIB_GETPAGESIZE = @GNULIB_GETPAGESIZE@
+GNULIB_GETPASS = @GNULIB_GETPASS@
 GNULIB_GETSUBOPT = @GNULIB_GETSUBOPT@
 GNULIB_GETTIMEOFDAY = @GNULIB_GETTIMEOFDAY@
 GNULIB_GETUSERSHELL = @GNULIB_GETUSERSHELL@
+GNULIB_GLOB = @GNULIB_GLOB@
 GNULIB_GL_UNISTD_H_GETOPT = @GNULIB_GL_UNISTD_H_GETOPT@
 GNULIB_GRANTPT = @GNULIB_GRANTPT@
 GNULIB_GROUP_MEMBER = @GNULIB_GROUP_MEMBER@
@@ -885,6 +889,8 @@ HAVE_FMAF = @HAVE_FMAF@
 HAVE_FMAL = @HAVE_FMAL@
 HAVE_FMODF = @HAVE_FMODF@
 HAVE_FMODL = @HAVE_FMODL@
+HAVE_FNMATCH = @HAVE_FNMATCH@
+HAVE_FNMATCH_H = @HAVE_FNMATCH_H@
 HAVE_FREXPF = @HAVE_FREXPF@
 HAVE_FSEEKO = @HAVE_FSEEKO@
 HAVE_FSTATAT = @HAVE_FSTATAT@
@@ -898,8 +904,12 @@ HAVE_GETHOSTNAME = @HAVE_GETHOSTNAME@
 HAVE_GETLOGIN = @HAVE_GETLOGIN@
 HAVE_GETOPT_H = @HAVE_GETOPT_H@
 HAVE_GETPAGESIZE = @HAVE_GETPAGESIZE@
+HAVE_GETPASS = @HAVE_GETPASS@
 HAVE_GETSUBOPT = @HAVE_GETSUBOPT@
 HAVE_GETTIMEOFDAY = @HAVE_GETTIMEOFDAY@
+HAVE_GLOB = @HAVE_GLOB@
+HAVE_GLOB_H = @HAVE_GLOB_H@
+HAVE_GLOB_PATTERN_P = @HAVE_GLOB_PATTERN_P@
 HAVE_GRANTPT = @HAVE_GRANTPT@
 HAVE_GROUP_MEMBER = @HAVE_GROUP_MEMBER@
 HAVE_HYPOTF = @HAVE_HYPOTF@
@@ -1150,6 +1160,7 @@ NEXT_AS_FIRST_DIRECTIVE_DIRENT_H = @NEXT
 NEXT_AS_FIRST_DIRECTIVE_ERRNO_H = @NEXT_AS_FIRST_DIRECTIVE_ERRNO_H@
 NEXT_AS_FIRST_DIRECTIVE_FCNTL_H = @NEXT_AS_FIRST_DIRECTIVE_FCNTL_H@
 NEXT_AS_FIRST_DIRECTIVE_FLOAT_H = @NEXT_AS_FIRST_DIRECTIVE_FLOAT_H@
+NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H = @NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H@
 NEXT_AS_FIRST_DIRECTIVE_GETOPT_H = @NEXT_AS_FIRST_DIRECTIVE_GETOPT_H@
 NEXT_AS_FIRST_DIRECTIVE_GLOB_H = @NEXT_AS_FIRST_DIRECTIVE_GLOB_H@
 NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H = @NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H@
@@ -1178,6 +1189,7 @@ NEXT_DIRENT_H = @NEXT_DIRENT_H@
 NEXT_ERRNO_H = @NEXT_ERRNO_H@
 NEXT_FCNTL_H = @NEXT_FCNTL_H@
 NEXT_FLOAT_H = @NEXT_FLOAT_H@
+NEXT_FNMATCH_H = @NEXT_FNMATCH_H@
 NEXT_GETOPT_H = @NEXT_GETOPT_H@
 NEXT_GLOB_H = @NEXT_GLOB_H@
 NEXT_LANGINFO_H = @NEXT_LANGINFO_H@
@@ -1265,6 +1277,7 @@ REPLACE_FMAL = @REPLACE_FMAL@
 REPLACE_FMOD = @REPLACE_FMOD@
 REPLACE_FMODF = @REPLACE_FMODF@
 REPLACE_FMODL = @REPLACE_FMODL@
+REPLACE_FNMATCH = @REPLACE_FNMATCH@
 REPLACE_FOPEN = @REPLACE_FOPEN@
 REPLACE_FPRINTF = @REPLACE_FPRINTF@
 REPLACE_FPURGE = @REPLACE_FPURGE@
@@ -1288,8 +1301,10 @@ REPLACE_GETGROUPS = @REPLACE_GETGROUPS@
 REPLACE_GETLINE = @REPLACE_GETLINE@
 REPLACE_GETLOGIN_R = @REPLACE_GETLOGIN_R@
 REPLACE_GETPAGESIZE = @REPLACE_GETPAGESIZE@
+REPLACE_GETPASS = @REPLACE_GETPASS@
 REPLACE_GETTIMEOFDAY = @REPLACE_GETTIMEOFDAY@
 REPLACE_GLOB = @REPLACE_GLOB@
+REPLACE_GLOB_PATTERN_P = @REPLACE_GLOB_PATTERN_P@
 REPLACE_GMTIME = @REPLACE_GMTIME@
 REPLACE_HUGE_VAL = @REPLACE_HUGE_VAL@
 REPLACE_HYPOT = @REPLACE_HYPOT@
diff -pruN 2.9.8-1/doc/nano.1 3.0-1/doc/nano.1
--- 2.9.8-1/doc/nano.1	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/doc/nano.1	2018-09-09 09:42:04.000000000 +0000
@@ -16,7 +16,7 @@
 .\"   Documentation License along with this program.  If not, see
 .\"   <http://www.gnu.org/licenses/>.
 .\"
-.TH NANO 1 "version 2.9.8" "June 2018"
+.TH NANO 1 "version 3.0" "September 2018"
 
 .SH NAME
 nano \- Nano's ANOther editor, an enhanced free Pico clone
@@ -55,7 +55,8 @@ cutbuffer.  One can also save the marked
 spell check it with \fB^T\fR.
 .PP
 On some terminals, text can be selected also by holding down Shift while
-using the arrow keys.  Holding down the Alt key too will increase the stride.
+using the arrow keys.  Holding down the Ctrl or Alt key too will increase
+the stride.
 Any cursor movement without Shift being held will cancel such a selection.
 .PP
 The two lines at the bottom of the screen show some important commands;
diff -pruN 2.9.8-1/doc/nano.1.html 3.0-1/doc/nano.1.html
--- 2.9.8-1/doc/nano.1.html	2018-06-02 08:23:00.000000000 +0000
+++ 3.0-1/doc/nano.1.html	2018-09-09 09:42:47.000000000 +0000
@@ -1,5 +1,5 @@
 <!-- Creator     : groff version 1.22.3 -->
-<!-- CreationDate: Sat Jun  2 10:23:00 2018 -->
+<!-- CreationDate: Sun Sep  9 11:42:47 2018 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
 "http://www.w3.org/TR/html4/loose.dtd">
 <html>
@@ -102,9 +102,9 @@ cutbuffer. One can also save the marked
 
 <p style="margin-left:11%; margin-top: 1em">On some
 terminals, text can be selected also by holding down Shift
-while using the arrow keys. Holding down the Alt key too
-will increase the stride. Any cursor movement without Shift
-being held will cancel such a selection.</p>
+while using the arrow keys. Holding down the Ctrl or Alt key
+too will increase the stride. Any cursor movement without
+Shift being held will cancel such a selection.</p>
 
 <p style="margin-left:11%; margin-top: 1em">The two lines
 at the bottom of the screen show some important commands;
diff -pruN 2.9.8-1/doc/nano.html 3.0-1/doc/nano.html
--- 2.9.8-1/doc/nano.html	2018-06-02 08:23:03.000000000 +0000
+++ 3.0-1/doc/nano.html	2018-09-09 09:42:51.000000000 +0000
@@ -57,7 +57,7 @@ ul.no-bullet {list-style: none}
 <a name="Top"></a>
 <a name="SEC_Top"></a>
 
-<p>This manual documents the GNU <code>nano</code> editor, version 2.9.8.
+<p>This manual documents the GNU <code>nano</code> editor, version 3.0.
 </p>
 <table class="menu" border="0" cellspacing="0">
 <tr><td align="left" valign="top">&bull; <a href="#Introduction" accesskey="1">Introduction</a>:</td><td>&nbsp;&nbsp;</td><td align="left" valign="top">
@@ -562,8 +562,9 @@ This selection can now be cut or copied
 <kbd>^K</kbd> or <kbd>M-6</kbd>.  Or the selection can be used to limit the scope of
 a search-and-replace (<kbd>^\</kbd>) or spell-checking session (<kbd>^T</kbd>).
 </p>
-<p>On some terminals, it is also possible to select text by holding down
-<kbd>Shift</kbd> together with the cursor keys.  Such a selection is cancelled
+<p>On some terminals, text can be selected also by holding down <kbd>Shift</kbd>
+while using the cursor keys.  Holding down the <kbd>Ctrl</kbd> or <kbd>Alt</kbd>
+key too will increase the stride.  Such a selection is cancelled
 upon any cursor movement where <kbd>Shift</kbd> isn&rsquo;t held.
 </p>
 <p>Cutting or copying selected text will toggle the mark off automatically.
@@ -662,18 +663,10 @@ invoked via Meta-key sequences (see <a h
 The following global toggles are available:
 </p>
 <dl compact="compact">
-<dt><code>Backup Files</code></dt>
-<dd><p><kbd>Meta-B</kbd> toggles the <samp>-B</samp> (<samp>--backup</samp>) command-line option.
-</p>
-</dd>
 <dt><code>Constant Cursor Position Display</code></dt>
 <dd><p><kbd>Meta-C</kbd> toggles the <samp>-c</samp> (<samp>--constantshow</samp>) command-line option.
 </p>
 </dd>
-<dt><code>Multiple File Buffers</code></dt>
-<dd><p><kbd>Meta-F</kbd> toggles the <samp>-F</samp> (<samp>--multibuffer</samp>) command-line option.
-</p>
-</dd>
 <dt><code>Smart Home Key</code></dt>
 <dd><p><kbd>Meta-H</kbd> toggles the <samp>-A</samp> (<samp>--smarthome</samp>) command-line option.
 </p>
@@ -694,22 +687,14 @@ The following global toggles are availab
 <dd><p><kbd>Meta-M</kbd> toggles the <samp>-m</samp> (<samp>--mouse</samp>) command-line option.
 </p>
 </dd>
-<dt><code>No Conversion From DOS/Mac Format</code></dt>
-<dd><p><kbd>Meta-N</kbd> toggles the <samp>-N</samp> (<samp>--noconvert</samp>) command-line option.
-</p>
-</dd>
-<dt><code>More Space For Editing</code></dt>
-<dd><p><kbd>Meta-O</kbd> toggles the <samp>-O</samp> (<samp>--morespace</samp>) command-line option.
+<dt><code>Tabs To Spaces</code></dt>
+<dd><p><kbd>Meta-O</kbd> toggles the <samp>-E</samp> (<samp>--tabstospaces</samp>) command-line option.
 </p>
 </dd>
 <dt><code>Whitespace Display</code></dt>
 <dd><p><kbd>Meta-P</kbd> toggles the displaying of whitespace (see <a href="#Whitespace">Whitespace</a>).
 </p>
 </dd>
-<dt><code>Tabs To Spaces</code></dt>
-<dd><p><kbd>Meta-Q</kbd> toggles the <samp>-E</samp> (<samp>--tabstospaces</samp>) command-line option.
-</p>
-</dd>
 <dt><code>Smooth Scrolling</code></dt>
 <dd><p><kbd>Meta-S</kbd> toggles the <samp>-S</samp> (<samp>--smooth</samp>) command-line option.
 </p>
@@ -817,11 +802,6 @@ with <code>set backup</code> or <samp>--
 The uniquely numbered files are stored in the specified directory.
 </p>
 </dd>
-<dt><code>set backwards</code></dt>
-<dd><p>Obsolete option.  Recognized but ignored.  <code>^Q</code> is available to
-start a backward search.
-</p>
-</dd>
 <dt><code>set boldtext</code></dt>
 <dd><p>Use bold instead of reverse video for the title bar, status bar, key combos,
 function tags, line numbers, and selected text.  This can be overridden by
@@ -1143,12 +1123,6 @@ on the system and will be silently ignor
 (This overrides the speller function.)
 </p>
 </dd>
-<dt><code>formatter <var>program</var> [<var>arg</var> &hellip;]</code></dt>
-<dd><p>Use the given <var>program</var> to automatically reformat the text in
-the current buffer &mdash; useful for a programming language like Go.
-(This overrides the speller and linter functions.)
-</p>
-</dd>
 <dt><code>comment &quot;<var>string</var>&quot;</code></dt>
 <dd><p>Use the given string for commenting and uncommenting lines.
 If the string contains a vertical bar or pipe character (<tt>|</tt>),
@@ -1165,8 +1139,11 @@ The default value is <tt>&quot;#&quot;</
 <dd><p>Display all pieces of text that match the
 extended regular expression &quot;regex&quot; with foreground color &quot;fgcolor&quot; and
 background color &quot;bgcolor&quot;, at least one of which must be specified.
-Valid colors for foreground and background are: white, black, red,
-blue, green, yellow, magenta, and cyan.  You may use the prefix &quot;bright&quot;
+Valid names for foreground and background color are:
+<code>white</code>, <code>black</code>, <code>blue</code>, <code>green</code>,
+<code>red</code>, <code>cyan</code>, <code>yellow</code>, <code>magenta</code>, and <code>normal</code>
+&mdash; where <code>normal</code> means the default foreground or background color.
+You may use the prefix <code>bright</code>
 to get a stronger color highlight for the foreground.  If your
 terminal supports transparency, not specifying a &quot;bgcolor&quot; tells <code>nano</code>
 to attempt to use a transparent background.
@@ -1198,14 +1175,29 @@ to <code>icolor</code>.
 <dt><code>extendsyntax <var>name</var> <var>command</var> [<var>arg</var> &hellip;]</code></dt>
 <dd><p>Extend the syntax previously defined as &quot;<var>name</var>&quot; with another <var>command</var>.
 This allows you to add a new <code>color</code>, <code>icolor</code>, <code>header</code>,
-<code>magic</code>, <code>comment</code>, <code>linter</code>, or <code>formatter</code> command
-to an already
+<code>magic</code>, <code>comment</code>, or <code>linter</code> command to an already
 defined syntax &mdash; useful when you want to slightly improve a syntax defined
 in one of the system-installed files (which normally are not writable).
 </p>
 </dd>
 </dl>
 
+<p>Note: the <code>formatter</code> command has been removed.  It was superseded by
+a more general mechanism: the filtering of buffer or marked text through
+an external command.  Such filtering is done by typing <code>^R^X</code> and then
+preceding your formatter command with the pipe symbol (<code>|</code>).  It has
+the added advantage that the operation can be undone.
+</p>
+<p>If you use such a formatting command regularly, you could assign the relevant
+series of keystrokes to a single key in your nanorc:
+</p>
+<div class="example">
+<pre class="example">   bind  M-F  &quot;^R^X|yourformatcommand^M&quot;  main
+</pre></div>
+
+<p>(Note that the <tt class="key">^R</tt>, <tt class="key">^X</tt>, and <tt class="key">^M</tt> are each a single, literal
+control character.  You can enter them by preceding each with <tt class="key">M-V</tt>.)
+</p>
 <hr>
 <a name="Rebinding-Keys"></a>
 <a name="Rebinding-Keys-1"></a>
@@ -1239,14 +1231,17 @@ with <kbd>M-V</kbd>.)
 <p>The format of <code>key</code> should be one of:
 </p>
 <ul class="no-bullet">
-<li><!-- /@w --> <code>^</code>&nbsp; followed by an ASCII character or the word &quot;Space&quot;.
+<li><!-- /@w --> <code>^</code>&nbsp; followed by a Latin letter, by one of several ASCII characters
+(@, ], \, ^, or _), or by the word &quot;Space&quot;.
 Example: <code>^C</code>.
 
-</li><li><!-- /@w --> <code>M-</code>&nbsp; followed by a ASCII character or the word &quot;Space&quot;.
+</li><li><!-- /@w --> <code>M-</code>&nbsp; followed by any ASCII character except [, or by the word &quot;Space&quot;.
 Example: <code>M-C</code>.
 
 </li><li><!-- /@w --> <code>F</code>&nbsp; followed by a numeric value from 1 to 16.
 Example: <code>F10</code>.
+
+</li><li><!-- /@w --> the word &quot;Ins&quot; or the word &quot;Del&quot;.
 </li></ul>
 
 <br>
@@ -1284,19 +1279,16 @@ matching a string in the current list in
 </p>
 </dd>
 <dt><code>wherewas</code></dt>
-<dd><p>Starts a backward search for text in the current buffer.
-</p>
-</dd>
-<dt><code>searchagain</code></dt>
-<dd><p>Repeats the last search command without prompting.
+<dd><p>Starts a backward search for text in the current buffer &mdash; or for filenames
+matching a string in the current list in the file browser.
 </p>
 </dd>
 <dt><code>findprevious</code></dt>
-<dd><p>As <code>searchagain</code>, but always in the backward direction.
+<dd><p>Searches the next occurrence in the backward direction.
 </p>
 </dd>
 <dt><code>findnext</code></dt>
-<dd><p>As <code>searchagain</code>, but always in the forward direction.
+<dd><p>Searches the next occurrence in the forward direction.
 </p>
 </dd>
 <dt><code>replace</code></dt>
@@ -1307,31 +1299,38 @@ matching a string in the current list in
 <dd><p>Cuts and stores the current line (or the marked region).
 </p>
 </dd>
-<dt><code>copytext</code></dt>
+<dt><code>copy</code></dt>
 <dd><p>Copies the current line (or the marked region) without deleting it.
+(The old form &rsquo;copytext&rsquo; is deprecated.)
 </p>
 </dd>
-<dt><code>uncut</code></dt>
-<dd><p>Copies the currently stored text into the current buffer at the
+<dt><code>paste</code></dt>
+<dd><p>Pastes the currently stored text into the current buffer at the
 current cursor position.
-</p>
-</dd>
-<dt><code>mark</code></dt>
-<dd><p>Sets the mark at the current position, to start selecting text.
+(The old form &rsquo;uncut&rsquo; is deprecated.)
 </p>
 </dd>
 <dt><code>cutwordleft</code></dt>
 <dd><p>Cuts from the cursor position to the beginning of the preceding word.
+(This function is not bound by default.  If your terminal produces
+<code>^H</code> for &lt;Ctrl+Backspace&gt;, you can make &lt;Ctrl+Backspace&gt; delete
+the word to the left of the cursor by rebinding ^H to this function.)
 </p>
 </dd>
 <dt><code>cutwordright</code></dt>
 <dd><p>Cuts from the cursor position to the beginning of the next word.
+(This function is bound by default to &lt;Ctrl+Delete&gt;.)
 </p>
 </dd>
 <dt><code>cutrestoffile</code></dt>
 <dd><p>Cuts all text from the cursor position till the end of the buffer.
 </p>
 </dd>
+<dt><code>mark</code></dt>
+<dd><p>Sets the mark at the current position, to start selecting text.
+Or, when it is set, unsets the mark.
+</p>
+</dd>
 <dt><code>curpos</code></dt>
 <dd><p>Shows the current cursor position: the line, column, and character positions.
 </p>
@@ -1341,7 +1340,7 @@ current cursor position.
 </p>
 </dd>
 <dt><code>speller</code></dt>
-<dd><p>Invokes a spell-checking program (or linting program, or formatter program,
+<dd><p>Invokes a spell-checking program (or linting program,
 if the active syntax defines such a thing).
 </p>
 </dd>
@@ -1514,11 +1513,12 @@ as a macro.  When already recording, the
 </p>
 </dd>
 <dt><code>casesens</code></dt>
-<dd><p>Toggles case sensitivity in searching (search/replace menus only).
+<dd><p>Toggles whether searching/replacing ignores or respects the case of
+the given characters.
 </p>
 </dd>
 <dt><code>regexp</code></dt>
-<dd><p>Toggles whether searching/replacing is based on literal strings or regular expressions.
+<dd><p>Toggles whether searching/replacing uses literal strings or regular expressions.
 </p>
 </dd>
 <dt><code>backwards</code></dt>
@@ -1526,11 +1526,11 @@ as a macro.  When already recording, the
 </p>
 </dd>
 <dt><code>prevhistory</code></dt>
-<dd><p>Shows the previous history entry in the prompt menus (e.g. search).
+<dd><p>Retrieves the previous (older) entry at a prompt.
 </p>
 </dd>
 <dt><code>nexthistory</code></dt>
-<dd><p>Shows the next history entry in the prompt menus (e.g. search).
+<dd><p>Retrieves the next (newer) entry at a prompt.
 </p>
 </dd>
 <dt><code>flipreplace</code></dt>
@@ -1556,6 +1556,11 @@ region) is piped to the command.
 empty buffer.
 </p>
 </dd>
+<dt><code>flipconvert</code></dt>
+<dd><p>When reading in a file, toggles between converting and not converting
+it from DOS/Mac format.  Converting is the default.
+</p>
+</dd>
 <dt><code>dosformat</code></dt>
 <dd><p>When writing a file, switches to writing a DOS format (CR/LF).
 </p>
@@ -1608,10 +1613,6 @@ in the filesystem.
 (The form <code>constupdate</code> is deprecated.)
 </p>
 </dd>
-<dt><code>morespace</code></dt>
-<dd><p>Toggles the presence of the blank line that &rsquo;separates&rsquo; the title bar from the file text.
-</p>
-</dd>
 <dt><code>smoothscroll</code></dt>
 <dd><p>Toggles smooth scrolling (when moving around with the arrow keys).
 </p>
@@ -1656,23 +1657,10 @@ position to the end of the line.
 <dd><p>Toggles whether typed tabs will be converted to spaces.
 </p>
 </dd>
-<dt><code>backupfile</code></dt>
-<dd><p>Toggles whether a backup will be made of the file to be edited.
-</p>
-</dd>
-<dt><code>multibuffer</code></dt>
-<dd><p>Toggles whether a file is inserted into the current buffer
-or read into a new buffer.
-</p>
-</dd>
 <dt><code>mouse</code></dt>
 <dd><p>Toggles mouse support.
 </p>
 </dd>
-<dt><code>noconvert</code></dt>
-<dd><p>Toggles automatic conversion of files from DOS/Mac format.
-</p>
-</dd>
 <dt><code>suspendenable</code></dt>
 <dd><p>Toggles whether the suspend shortcut (normally <kbd>^Z</kbd>) will suspend the editor.
 </p>
@@ -1699,6 +1687,10 @@ or read into a new buffer.
 <dd><p>The &rsquo;replace with&rsquo; menu, which comes up after &rsquo;search to replace&rsquo;.
 </p>
 </dd>
+<dt><code>yesno</code></dt>
+<dd><p>The &rsquo;yesno&rsquo; menu, where the Yes/No/All/Cancel question is asked.
+</p>
+</dd>
 <dt><code>gotoline</code></dt>
 <dd><p>The &rsquo;goto line (and column)&rsquo; menu.
 </p>
diff -pruN 2.9.8-1/doc/nano.info 3.0-1/doc/nano.info
--- 2.9.8-1/doc/nano.info	2018-06-02 08:23:05.000000000 +0000
+++ 3.0-1/doc/nano.info	2018-09-09 09:42:53.000000000 +0000
@@ -11,7 +11,7 @@ File: nano.info,  Node: Top,  Next: Intr
 nano
 ****
 
-This manual documents the GNU ‘nano’ editor, version 2.9.8.
+This manual documents the GNU ‘nano’ editor, version 3.0.
 
 * Menu:
 
@@ -446,9 +446,10 @@ highlighted.  This selection can now be
 with a single ‘^K’ or ‘M-6’.  Or the selection can be used to limit the
 scope of a search-and-replace (‘^\’) or spell-checking session (‘^T’).
 
-   On some terminals, it is also possible to select text by holding down
-‘Shift’ together with the cursor keys.  Such a selection is cancelled
-upon any cursor movement where ‘Shift’ isn’t held.
+   On some terminals, text can be selected also by holding down ‘Shift’
+while using the cursor keys.  Holding down the ‘Ctrl’ or ‘Alt’ key too
+will increase the stride.  Such a selection is cancelled upon any cursor
+movement where ‘Shift’ isn’t held.
 
    Cutting or copying selected text will toggle the mark off
 automatically.  If necessary, it can be toggled off manually with
@@ -551,15 +552,9 @@ which would normally be specified via co
 invoked via Meta-key sequences (*note Commands:: for more info).  The
 following global toggles are available:
 
-‘Backup Files’
-     ‘Meta-B’ toggles the ‘-B’ (‘--backup’) command-line option.
-
 ‘Constant Cursor Position Display’
      ‘Meta-C’ toggles the ‘-c’ (‘--constantshow’) command-line option.
 
-‘Multiple File Buffers’
-     ‘Meta-F’ toggles the ‘-F’ (‘--multibuffer’) command-line option.
-
 ‘Smart Home Key’
      ‘Meta-H’ toggles the ‘-A’ (‘--smarthome’) command-line option.
 
@@ -575,18 +570,12 @@ following global toggles are available:
 ‘Mouse Support’
      ‘Meta-M’ toggles the ‘-m’ (‘--mouse’) command-line option.
 
-‘No Conversion From DOS/Mac Format’
-     ‘Meta-N’ toggles the ‘-N’ (‘--noconvert’) command-line option.
-
-‘More Space For Editing’
-     ‘Meta-O’ toggles the ‘-O’ (‘--morespace’) command-line option.
+‘Tabs To Spaces’
+     ‘Meta-O’ toggles the ‘-E’ (‘--tabstospaces’) command-line option.
 
 ‘Whitespace Display’
      ‘Meta-P’ toggles the displaying of whitespace (*note Whitespace::).
 
-‘Tabs To Spaces’
-     ‘Meta-Q’ toggles the ‘-E’ (‘--tabstospaces’) command-line option.
-
 ‘Smooth Scrolling’
      ‘Meta-S’ toggles the ‘-S’ (‘--smooth’) command-line option.
 
@@ -678,10 +667,6 @@ The supported settings in a nanorc file
      enabled with ‘set backup’ or ‘--backup’ or ‘-B’.  The uniquely
      numbered files are stored in the specified directory.
 
-‘set backwards’
-     Obsolete option.  Recognized but ignored.  ‘^Q’ is available to
-     start a backward search.
-
 ‘set boldtext’
      Use bold instead of reverse video for the title bar, status bar,
      key combos, function tags, line numbers, and selected text.  This
@@ -949,11 +934,6 @@ following commands in a nanorc file:
      Use the given PROGRAM to do a syntax check on the current buffer.
      (This overrides the speller function.)
 
-‘formatter PROGRAM [ARG ...]’
-     Use the given PROGRAM to automatically reformat the text in the
-     current buffer — useful for a programming language like Go.  (This
-     overrides the speller and linter functions.)
-
 ‘comment "STRING"’
      Use the given string for commenting and uncommenting lines.  If the
      string contains a vertical bar or pipe character (|), this
@@ -969,11 +949,13 @@ following commands in a nanorc file:
      Display all pieces of text that match the extended regular
      expression "regex" with foreground color "fgcolor" and background
      color "bgcolor", at least one of which must be specified.  Valid
-     colors for foreground and background are: white, black, red, blue,
-     green, yellow, magenta, and cyan.  You may use the prefix "bright"
-     to get a stronger color highlight for the foreground.  If your
-     terminal supports transparency, not specifying a "bgcolor" tells
-     ‘nano’ to attempt to use a transparent background.
+     names for foreground and background color are: ‘white’, ‘black’,
+     ‘blue’, ‘green’, ‘red’, ‘cyan’, ‘yellow’, ‘magenta’, and ‘normal’ —
+     where ‘normal’ means the default foreground or background color.
+     You may use the prefix ‘bright’ to get a stronger color highlight
+     for the foreground.  If your terminal supports transparency, not
+     specifying a "bgcolor" tells ‘nano’ to attempt to use a transparent
+     background.
 
 ‘icolor FGCOLOR,BGCOLOR "REGEX" ...’
      Same as above, except that the matching is case insensitive.
@@ -998,10 +980,24 @@ following commands in a nanorc file:
 ‘extendsyntax NAME COMMAND [ARG ...]’
      Extend the syntax previously defined as "NAME" with another
      COMMAND.  This allows you to add a new ‘color’, ‘icolor’, ‘header’,
-     ‘magic’, ‘comment’, ‘linter’, or ‘formatter’ command to an already
-     defined syntax — useful when you want to slightly improve a syntax
-     defined in one of the system-installed files (which normally are
-     not writable).
+     ‘magic’, ‘comment’, or ‘linter’ command to an already defined
+     syntax — useful when you want to slightly improve a syntax defined
+     in one of the system-installed files (which normally are not
+     writable).
+
+   Note: the ‘formatter’ command has been removed.  It was superseded by
+a more general mechanism: the filtering of buffer or marked text through
+an external command.  Such filtering is done by typing ‘^R^X’ and then
+preceding your formatter command with the pipe symbol (‘|’).  It has the
+added advantage that the operation can be undone.
+
+   If you use such a formatting command regularly, you could assign the
+relevant series of keystrokes to a single key in your nanorc:
+
+        bind  M-F  "^R^X|yourformatcommand^M"  main
+
+   (Note that the <^R>, <^X>, and <^M> are each a single, literal
+control character.  You can enter them by preceding each with <M-V>.)
 
 
 File: nano.info,  Node: Rebinding Keys,  Prev: Syntax Highlighting,  Up: Nanorc Files
@@ -1029,14 +1025,16 @@ file:
 
    The format of ‘key’ should be one of:
 
-     ‘^’  followed by an ASCII character or the word "Space".  Example:
-     ‘^C’.
+     ‘^’  followed by a Latin letter, by one of several ASCII characters
+     (@, ], \, ^, or _), or by the word "Space".  Example: ‘^C’.
 
-     ‘M-’  followed by a ASCII character or the word "Space".  Example:
-     ‘M-C’.
+     ‘M-’  followed by any ASCII character except [, or by the word
+     "Space".  Example: ‘M-C’.
 
      ‘F’  followed by a numeric value from 1 to 16.  Example: ‘F10’.
 
+     the word "Ins" or the word "Del".
+
 
    Valid names for the ‘function’ to be bound are:
 
@@ -1066,16 +1064,15 @@ file:
      browser.
 
 ‘wherewas’
-     Starts a backward search for text in the current buffer.
-
-‘searchagain’
-     Repeats the last search command without prompting.
+     Starts a backward search for text in the current buffer — or for
+     filenames matching a string in the current list in the file
+     browser.
 
 ‘findprevious’
-     As ‘searchagain’, but always in the backward direction.
+     Searches the next occurrence in the backward direction.
 
 ‘findnext’
-     As ‘searchagain’, but always in the forward direction.
+     Searches the next occurrence in the forward direction.
 
 ‘replace’
      Interactively replaces text within the current buffer.
@@ -1083,26 +1080,32 @@ file:
 ‘cut’
      Cuts and stores the current line (or the marked region).
 
-‘copytext’
+‘copy’
      Copies the current line (or the marked region) without deleting it.
+     (The old form ’copytext’ is deprecated.)
 
-‘uncut’
-     Copies the currently stored text into the current buffer at the
-     current cursor position.
-
-‘mark’
-     Sets the mark at the current position, to start selecting text.
+‘paste’
+     Pastes the currently stored text into the current buffer at the
+     current cursor position.  (The old form ’uncut’ is deprecated.)
 
 ‘cutwordleft’
      Cuts from the cursor position to the beginning of the preceding
-     word.
+     word.  (This function is not bound by default.  If your terminal
+     produces ‘^H’ for <Ctrl+Backspace>, you can make <Ctrl+Backspace>
+     delete the word to the left of the cursor by rebinding ^H to this
+     function.)
 
 ‘cutwordright’
      Cuts from the cursor position to the beginning of the next word.
+     (This function is bound by default to <Ctrl+Delete>.)
 
 ‘cutrestoffile’
      Cuts all text from the cursor position till the end of the buffer.
 
+‘mark’
+     Sets the mark at the current position, to start selecting text.
+     Or, when it is set, unsets the mark.
+
 ‘curpos’
      Shows the current cursor position: the line, column, and character
      positions.
@@ -1112,8 +1115,8 @@ file:
      buffer.
 
 ‘speller’
-     Invokes a spell-checking program (or linting program, or formatter
-     program, if the active syntax defines such a thing).
+     Invokes a spell-checking program (or linting program, if the active
+     syntax defines such a thing).
 
 ‘justify’
      Justifies the current paragraph.  A paragraph is a group of
@@ -1248,20 +1251,21 @@ file:
      "suspendenable" entry below).
 
 ‘casesens’
-     Toggles case sensitivity in searching (search/replace menus only).
+     Toggles whether searching/replacing ignores or respects the case of
+     the given characters.
 
 ‘regexp’
-     Toggles whether searching/replacing is based on literal strings or
-     regular expressions.
+     Toggles whether searching/replacing uses literal strings or regular
+     expressions.
 
 ‘backwards’
      Toggles whether searching/replacing goes forward or backward.
 
 ‘prevhistory’
-     Shows the previous history entry in the prompt menus (e.g. search).
+     Retrieves the previous (older) entry at a prompt.
 
 ‘nexthistory’
-     Shows the next history entry in the prompt menus (e.g. search).
+     Retrieves the next (newer) entry at a prompt.
 
 ‘flipreplace’
      Toggles between searching for something and replacing something.
@@ -1281,6 +1285,10 @@ file:
      Toggles between inserting into the current buffer and into a new
      empty buffer.
 
+‘flipconvert’
+     When reading in a file, toggles between converting and not
+     converting it from DOS/Mac format.  Converting is the default.
+
 ‘dosformat’
      When writing a file, switches to writing a DOS format (CR/LF).
 
@@ -1325,10 +1333,6 @@ file:
      Toggles the constant display of the current line, column, and
      character positions.  (The form ‘constupdate’ is deprecated.)
 
-‘morespace’
-     Toggles the presence of the blank line that ’separates’ the title
-     bar from the file text.
-
 ‘smoothscroll’
      Toggles smooth scrolling (when moving around with the arrow keys).
 
@@ -1363,19 +1367,9 @@ file:
 ‘tabstospaces’
      Toggles whether typed tabs will be converted to spaces.
 
-‘backupfile’
-     Toggles whether a backup will be made of the file to be edited.
-
-‘multibuffer’
-     Toggles whether a file is inserted into the current buffer or read
-     into a new buffer.
-
 ‘mouse’
      Toggles mouse support.
 
-‘noconvert’
-     Toggles automatic conversion of files from DOS/Mac format.
-
 ‘suspendenable’
      Toggles whether the suspend shortcut (normally ‘^Z’) will suspend
      the editor.
@@ -1395,6 +1389,9 @@ file:
 ‘replacewith’
      The ’replace with’ menu, which comes up after ’search to replace’.
 
+‘yesno’
+     The ’yesno’ menu, where the Yes/No/All/Cancel question is asked.
+
 ‘gotoline’
      The ’goto line (and column)’ menu.
 
@@ -1666,31 +1663,31 @@ familiar with compiling programs with au
 
 Tag Table:
 Node: Top199
-Node: Introduction556
-Node: Invoking1356
-Node: Command-line Options2402
-Ref: --speller9568
-Ref: Expert Mode10789
-Node: Editor Basics11906
-Node: Entering Text12190
-Node: Commands13179
-Node: The Cutbuffer13976
-Node: The Mark14697
-Node: Screen Layout15631
-Node: Search and Replace16810
-Node: Using the Mouse17545
-Node: Limitations18162
-Node: Built-in Help18718
-Node: Feature Toggles19142
-Node: Nanorc Files21474
-Node: Settings23071
-Ref: set functioncolor26032
-Ref: Whitespace32324
-Node: Syntax Highlighting32880
-Node: Rebinding Keys37897
-Node: The File Browser49797
-Node: Pico Compatibility50690
-Node: Building and Configure Options54226
+Node: Introduction554
+Node: Invoking1354
+Node: Command-line Options2400
+Ref: --speller9566
+Ref: Expert Mode10787
+Node: Editor Basics11904
+Node: Entering Text12188
+Node: Commands13177
+Node: The Cutbuffer13974
+Node: The Mark14695
+Node: Screen Layout15694
+Node: Search and Replace16873
+Node: Using the Mouse17608
+Node: Limitations18225
+Node: Built-in Help18781
+Node: Feature Toggles19205
+Node: Nanorc Files21098
+Node: Settings22695
+Ref: set functioncolor25532
+Ref: Whitespace31824
+Node: Syntax Highlighting32380
+Node: Rebinding Keys37982
+Node: The File Browser50206
+Node: Pico Compatibility51099
+Node: Building and Configure Options54635
 
 End Tag Table
 
diff -pruN 2.9.8-1/doc/nanorc.5 3.0-1/doc/nanorc.5
--- 2.9.8-1/doc/nanorc.5	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/doc/nanorc.5	2018-09-09 09:42:04.000000000 +0000
@@ -16,7 +16,7 @@
 .\"   Documentation License along with this program.  If not, see
 .\"   <http://www.gnu.org/licenses/>.
 .\"
-.TH NANORC 5 "version 2.9.8" "June 2018"
+.TH NANORC 5 "version 3.0" "September 2018"
 
 .SH NAME
 nanorc \- GNU nano's configuration file
@@ -80,10 +80,6 @@ numbered one every time a file is saved
 with \fBset backup\fR or \fB\-\-backup\fR or \fB\-B\fR.
 The uniquely numbered files are stored in the specified \fIdirectory\fR.
 .TP
-.B set backwards
-Obsolete option.  Recognized but ignored.  \fB^Q\fR is available to
-start a backward search.
-.TP
 .B set boldtext
 Use bold instead of reverse video for the title bar, status bar, key combos,
 function tags, line numbers, and selected text.  This can be overridden by
@@ -345,11 +341,6 @@ system and will be silently ignored othe
 Use the given \fIprogram\fR to run a syntax check on the current buffer.
 (This overrides the speller function.)
 .TP
-.BI formatter " program " \fR[ "arg " \fR...]
-Use the given \fIprogram\fR to automatically reformat the text in
-the current buffer -- useful in a programming language like Go.
-(This overrides the speller and linter functions.)
-.TP
 .BI "comment """ string """
 Use the given \fIstring\fR for commenting and uncommenting lines.
 If the string contains a vertical bar or pipe character (\fB|\fR),
@@ -365,9 +356,11 @@ The default value is "\fB#\fP".
 Display all pieces of text that match
 the extended regular expression \fIregex\fP with foreground color
 \fIfgcolor\fP and background color \fIbgcolor\fP, at least one of which
-must be specified.  Valid colors for foreground and background
-are: white, black, red, blue, green, yellow, magenta, and cyan.  You may
-use the prefix "bright" to get a stronger color highlight for the
+must be specified.  Valid names for foreground and background colors are:
+.BR white ", " black ", " blue ", " green ", " red ", "
+.BR cyan ", " yellow ", " magenta ", and " normal
+-- where \fBnormal\fR means the default foreground or background color.
+You may use the prefix \fBbright\fR to get a stronger color highlight for the
 foreground.  If your terminal supports transparency, not specifying a
 \fIbgcolor\fP tells \fBnano\fP to attempt to use a transparent
 background.
@@ -395,11 +388,28 @@ to \fBicolor\fP.
 .BI extendsyntax " name command " \fR[ "arg " \fR...]
 Extend the syntax previously defined as \fIname\fR with another
 \fIcommand\fR.  This allows adding a new \fBcolor\fP, \fBicolor\fP,
-\fBheader\fP, \fBmagic\fP, \fBcomment\fP, \fBlinter\fP, or \fBformatter\fP
+\fBheader\fP, \fBmagic\fP, \fBcomment\fP, or \fBlinter\fP
 command to an already defined syntax -- useful when you want to
 slightly improve a syntax defined in one of the system-installed
 files (which normally are not writable).
 
+.P
+Note: the \fBformatter\fR command has been removed.  It was superseded by
+a more general mechanism: the filtering of buffer or marked text through
+an external command.  Such filtering is done by typing \fB^R^X\fR and then
+preceding your formatter command with the pipe symbol (\fB|\fR).  It has
+the added advantage that the operation can be undone.
+.PP
+If you use such a formatting command regularly, you could assign the relevant
+series of keystrokes to a single key in your nanorc:
+.PP
+.RS
+.B "bind  M\-F  \(dq^R^X|yourformatcommand^M\(dq  main"
+.RE
+.PP
+(Note that the \fB^R\fR, \fB^X\fR, and \fB^M\fR are each a single, literal
+control character.  You can enter them by preceding each with \fBM-V\fR.)
+
 .SH REBINDING KEYS
 Key bindings can be changed via the following three commands:
 .RS 3
@@ -427,16 +437,19 @@ The format of \fIkey\fP should be one of
 .RS 3
 .TP 3
 .B ^
-followed by an alpha character or the word "Space".
-Example: ^C
+followed by a Latin letter, by one of several ASCII characters
+(@, ], \\, ^, or _), or by the word "Space".
+Example: ^C.
 .TP
 .B M-
-followed by a printable character or the word "Space".
-Example: M-C
+followed by any ASCII character except [, or by the word "Space".
+Example: M-C.
 .TP
 .B F
 followed by a numeric value from 1 to 16.
-Example: F10
+Example: F10.
+.TP
+the word "Ins" or the word "Del".
 .RE
 
 .TP
@@ -467,16 +480,14 @@ Starts a forward search for text in the
 matching a string in the current list in the file browser.
 .TP
 .B wherewas
-Starts a backward search for text in the current buffer.
-.TP
-.B searchagain
-Repeats the last search command without prompting.
+Starts a backward search for text in the current buffer -- or for filenames
+matching a string in the current list in the file browser.
 .TP
 .B findprevious
-As \fBsearchagain\fR, but always in the backward direction.
+Searches the next occurrence in the backward direction.
 .TP
 .B findnext
-As \fBsearchagain\fR, but always in the forward direction.
+Searches the next occurrence in the forward direction.
 .TP
 .B replace
 Interactively replaces text within the current buffer.
@@ -484,25 +495,32 @@ Interactively replaces text within the c
 .B cut
 Cuts and stores the current line (or the marked region).
 .TP
-.B copytext
+.B copy
 Copies the current line (or the marked region) without deleting it.
+(The old form 'copytext' is deprecated.)
 .TP
-.B uncut
-Copies the currently stored text into the current buffer at the
+.B paste
+Pastes the currently stored text into the current buffer at the
 current cursor position.
-.TP
-.B mark
-Sets the mark at the current position, to start selecting text.
+(The old form 'uncut' is deprecated.)
 .TP
 .B cutwordleft
 Cuts from the cursor position to the beginning of the preceding word.
+(This function is not bound by default.  If your terminal produces
+\fB^H\fR for <Ctrl+Backspace>, you can make <Ctrl+Backspace> delete
+the word to the left of the cursor by rebinding ^H to this function.)
 .TP
 .B cutwordright
 Cuts from the cursor position to the beginning of the next word.
+(This function is bound by default to <Ctrl+Delete>.)
 .TP
 .B cutrestoffile
 Cuts all text from the cursor position till the end of the buffer.
 .TP
+.B mark
+Sets the mark at the current position, to start selecting text.
+Or, when it is set, unsets the mark.
+.TP
 .B curpos
 Shows the current cursor position: the line, column, and character positions.
 .TP
@@ -510,7 +528,7 @@ Shows the current cursor position: the l
 Counts the number of words, lines and characters in the current buffer.
 .TP
 .B speller
-Invokes a spell-checking program (or linting program, or formatter program,
+Invokes a spell-checking program (or linting program,
 if the active syntax defines such a thing).
 .TP
 .B linter
@@ -646,19 +664,20 @@ Suspends the editor (if the suspending f
 "suspendenable" entry below).
 .TP
 .B casesens
-Toggles case sensitivity in searching (search/replace menus only).
+Toggles whether searching/replacing ignores or respects the case of
+the given characters.
 .TP
 .B regexp
-Toggles whether searching/replacing is based on literal strings or regular expressions.
+Toggles whether searching/replacing uses literal strings or regular expressions.
 .TP
 .B backwards
 Toggles whether searching/replacing goes forward or backward.
 .TP
 .B prevhistory
-Shows the previous history entry in the prompt menus (e.g. search).
+Retrieves the previous (older) entry at a prompt.
 .TP
 .B nexthistory
-Shows the next history entry in the prompt menus (e.g. search).
+Retrieves the next (newer) entry at a prompt.
 .TP
 .B flipreplace
 Toggles between searching for something and replacing something.
@@ -678,6 +697,10 @@ region) is piped to the command.
 Toggles between inserting into the current buffer and into a new
 empty buffer.
 .TP
+.B flipconvert
+When reading in a file, toggles between converting and not converting
+it from DOS/Mac format.  Converting is the default.
+.TP
 .B dosformat
 When writing a file, switches to writing a DOS format (CR/LF).
 .TP
@@ -718,9 +741,6 @@ Toggles the presence of the two-line lis
 Toggles the constant display of the current line, column, and character positions.
 (The form 'constupdate' is deprecated.)
 .TP
-.B morespace
-Toggles the presence of the blank line that 'separates' the title bar from the file text.
-.TP
 .B smoothscroll
 Toggles smooth scrolling (when moving around with the arrow keys).
 .TP
@@ -755,19 +775,9 @@ Toggles whether long lines will be hard-
 .B tabstospaces
 Toggles whether typed tabs will be converted to spaces.
 .TP
-.B backupfile
-Toggles whether a backup will be made of the file being edited.
-.TP
-.B multibuffer
-Toggles whether a file is inserted into the current buffer
-or read into a new buffer.
-.TP
 .B mouse
 Toggles mouse support.
 .TP
-.B noconvert
-Toggles automatic conversion of files from DOS/Mac format.
-.TP
 .B suspendenable
 Toggles whether the suspend sequence (normally ^Z) will suspend the editor window.
 .RE
@@ -788,6 +798,9 @@ The 'search to replace' menu.
 .B replacewith
 The 'replace with' menu, which comes up after 'search to replace'.
 .TP
+.B yesno
+The 'yesno' menu, where the Yes/No/All/Cancel question is asked.
+.TP
 .B gotoline
 The 'goto line (and column)' menu.
 .TP
diff -pruN 2.9.8-1/doc/nanorc.5.html 3.0-1/doc/nanorc.5.html
--- 2.9.8-1/doc/nanorc.5.html	2018-06-02 08:23:01.000000000 +0000
+++ 3.0-1/doc/nanorc.5.html	2018-09-09 09:42:48.000000000 +0000
@@ -1,5 +1,5 @@
 <!-- Creator     : groff version 1.22.3 -->
-<!-- CreationDate: Sat Jun  2 10:23:01 2018 -->
+<!-- CreationDate: Sun Sep  9 11:42:48 2018 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
 "http://www.w3.org/TR/html4/loose.dtd">
 <html>
@@ -133,12 +133,6 @@ backup</b> or <b>&minus;&minus;backup</b
 <b>&minus;B</b>. The uniquely numbered files are stored in
 the specified <i>directory</i>.</p>
 
-<p style="margin-left:11%;"><b>set backwards</b></p>
-
-<p style="margin-left:15%;">Obsolete option. Recognized but
-ignored. <b>^Q</b> is available to start a backward
-search.</p>
-
 <p style="margin-left:11%;"><b>set boldtext</b></p>
 
 <p style="margin-left:15%;">Use bold instead of reverse
@@ -544,14 +538,6 @@ on the system and will be silently ignor
 run a syntax check on the current buffer. (This overrides
 the speller function.)</p>
 
-<p style="margin-left:11%;"><b>formatter</b> <i>program</i>
-[<i>arg</i> ...]</p>
-
-<p style="margin-left:22%;">Use the given <i>program</i> to
-automatically reformat the text in the current buffer --
-useful in a programming language like Go. (This overrides
-the speller and linter functions.)</p>
-
 <p style="margin-left:11%;"><b>comment
 &quot;</b><i>string</i><b>&quot;</b></p>
 
@@ -576,12 +562,15 @@ value is &quot;<b>#</b>&quot;.</p>
 match the extended regular expression <i>regex</i> with
 foreground color <i>fgcolor</i> and background color
 <i>bgcolor</i>, at least one of which must be specified.
-Valid colors for foreground and background are: white,
-black, red, blue, green, yellow, magenta, and cyan. You may
-use the prefix &quot;bright&quot; to get a stronger color
-highlight for the foreground. If your terminal supports
-transparency, not specifying a <i>bgcolor</i> tells
-<b>nano</b> to attempt to use a transparent background.</p>
+Valid names for foreground and background colors are:
+<b>white</b>, <b>black</b>, <b>blue</b>, <b>green</b>,
+<b>red</b>, <b>cyan</b>, <b>yellow</b>, <b>magenta</b>, and
+<b>normal</b> -- where <b>normal</b> means the default
+foreground or background color. You may use the prefix
+<b>bright</b> to get a stronger color highlight for the
+foreground. If your terminal supports transparency, not
+specifying a <i>bgcolor</i> tells <b>nano</b> to attempt to
+use a transparent background.</p>
 
 <p style="margin-left:11%;"><b>icolor</b>
 <i>fgcolor</i><b>,</b><i>bgcolor</i>
@@ -627,12 +616,33 @@ command</i> [<i>arg</i> ...]</p>
 <p style="margin-left:22%;">Extend the syntax previously
 defined as <i>name</i> with another <i>command</i>. This
 allows adding a new <b>color</b>, <b>icolor</b>,
-<b>header</b>, <b>magic</b>, <b>comment</b>, <b>linter</b>,
-or <b>formatter</b> command to an already defined syntax --
-useful when you want to slightly improve a syntax defined in
-one of the system-installed files (which normally are not
+<b>header</b>, <b>magic</b>, <b>comment</b>, or
+<b>linter</b> command to an already defined syntax -- useful
+when you want to slightly improve a syntax defined in one of
+the system-installed files (which normally are not
 writable).</p>
 
+<p style="margin-left:11%; margin-top: 1em">Note: the
+<b>formatter</b> command has been removed. It was superseded
+by a more general mechanism: the filtering of buffer or
+marked text through an external command. Such filtering is
+done by typing <b>^R^X</b> and then preceding your formatter
+command with the pipe symbol (<b>|</b>). It has the added
+advantage that the operation can be undone.</p>
+
+<p style="margin-left:11%; margin-top: 1em">If you use such
+a formatting command regularly, you could assign the
+relevant series of keystrokes to a single key in your
+nanorc:</p>
+
+<p style="margin-left:22%; margin-top: 1em"><b>bind
+M&minus;F &quot;^R^X|yourformatcommand^M&quot; main</b></p>
+
+<p style="margin-left:11%; margin-top: 1em">(Note that the
+<b>^R</b>, <b>^X</b>, and <b>^M</b> are each a single,
+literal control character. You can enter them by preceding
+each with <b>M-V</b>.)</p>
+
 <h2>REBINDING KEYS
 <a name="REBINDING KEYS"></a>
 </h2>
@@ -681,8 +691,9 @@ be one of:</p>
 <td width="80%">
 
 
-<p>followed by an alpha character or the word
-&quot;Space&quot;. Example: ^C</p></td></tr>
+<p>followed by a Latin letter, by one of several ASCII
+characters (@, ], \, ^, or _), or by the word
+&quot;Space&quot;. Example: ^C.</p></td></tr>
 <tr valign="top" align="left">
 <td width="15%"></td>
 <td width="3%">
@@ -693,8 +704,8 @@ be one of:</p>
 <td width="80%">
 
 
-<p>followed by a printable character or the word
-&quot;Space&quot;. Example: M-C</p></td></tr>
+<p>followed by any ASCII character except [, or by the word
+&quot;Space&quot;. Example: M-C.</p></td></tr>
 <tr valign="top" align="left">
 <td width="15%"></td>
 <td width="3%">
@@ -706,9 +717,12 @@ be one of:</p>
 
 
 <p>followed by a numeric value from 1 to 16. Example:
-F10</p> </td></tr>
+F10.</p> </td></tr>
 </table>
 
+<p style="margin-left:15%;">the word &quot;Ins&quot; or the
+word &quot;Del&quot;.</p>
+
 <p style="margin-left:11%;">Valid <i>function</i> names to
 be bound are:</p>
 
@@ -751,22 +765,18 @@ string in the current list in the file b
 <p style="margin-left:15%;"><b>wherewas</b></p>
 
 <p style="margin-left:18%;">Starts a backward search for
-text in the current buffer.</p>
-
-<p style="margin-left:15%;"><b>searchagain</b></p>
-
-<p style="margin-left:18%;">Repeats the last search command
-without prompting.</p>
+text in the current buffer -- or for filenames matching a
+string in the current list in the file browser.</p>
 
 <p style="margin-left:15%;"><b>findprevious</b></p>
 
-<p style="margin-left:18%;">As <b>searchagain</b>, but
-always in the backward direction.</p>
+<p style="margin-left:18%;">Searches the next occurrence in
+the backward direction.</p>
 
 <p style="margin-left:15%;"><b>findnext</b></p>
 
-<p style="margin-left:18%;">As <b>searchagain</b>, but
-always in the forward direction.</p>
+<p style="margin-left:18%;">Searches the next occurrence in
+the forward direction.</p>
 
 <p style="margin-left:15%;"><b>replace</b></p>
 
@@ -778,37 +788,44 @@ within the current buffer.</p>
 <p style="margin-left:18%;">Cuts and stores the current
 line (or the marked region).</p>
 
-<p style="margin-left:15%;"><b>copytext</b></p>
+<p style="margin-left:15%;"><b>copy</b></p>
 
 <p style="margin-left:18%;">Copies the current line (or the
-marked region) without deleting it.</p>
+marked region) without deleting it. (The old form
+&rsquo;copytext&rsquo; is deprecated.)</p>
 
-<p style="margin-left:15%;"><b>uncut</b></p>
+<p style="margin-left:15%;"><b>paste</b></p>
 
-<p style="margin-left:18%;">Copies the currently stored
-text into the current buffer at the current cursor
-position.</p>
-
-<p style="margin-left:15%;"><b>mark</b></p>
-
-<p style="margin-left:18%;">Sets the mark at the current
-position, to start selecting text.</p>
+<p style="margin-left:18%;">Pastes the currently stored
+text into the current buffer at the current cursor position.
+(The old form &rsquo;uncut&rsquo; is deprecated.)</p>
 
 <p style="margin-left:15%;"><b>cutwordleft</b></p>
 
 <p style="margin-left:18%;">Cuts from the cursor position
-to the beginning of the preceding word.</p>
+to the beginning of the preceding word. (This function is
+not bound by default. If your terminal produces <b>^H</b>
+for &lt;Ctrl+Backspace&gt;, you can make
+&lt;Ctrl+Backspace&gt; delete the word to the left of the
+cursor by rebinding ^H to this function.)</p>
 
 <p style="margin-left:15%;"><b>cutwordright</b></p>
 
 <p style="margin-left:18%;">Cuts from the cursor position
-to the beginning of the next word.</p>
+to the beginning of the next word. (This function is bound
+by default to &lt;Ctrl+Delete&gt;.)</p>
 
 <p style="margin-left:15%;"><b>cutrestoffile</b></p>
 
 <p style="margin-left:18%;">Cuts all text from the cursor
 position till the end of the buffer.</p>
 
+<p style="margin-left:15%;"><b>mark</b></p>
+
+<p style="margin-left:18%;">Sets the mark at the current
+position, to start selecting text. Or, when it is set,
+unsets the mark.</p>
+
 <p style="margin-left:15%;"><b>curpos</b></p>
 
 <p style="margin-left:18%;">Shows the current cursor
@@ -822,8 +839,8 @@ lines and characters in the current buff
 <p style="margin-left:15%;"><b>speller</b></p>
 
 <p style="margin-left:18%;">Invokes a spell-checking
-program (or linting program, or formatter program, if the
-active syntax defines such a thing).</p>
+program (or linting program, if the active syntax defines
+such a thing).</p>
 
 <p style="margin-left:15%;"><b>linter</b></p>
 
@@ -1037,13 +1054,14 @@ suspending function is enabled, see the
 
 <p style="margin-left:15%;"><b>casesens</b></p>
 
-<p style="margin-left:18%;">Toggles case sensitivity in
-searching (search/replace menus only).</p>
+<p style="margin-left:18%;">Toggles whether
+searching/replacing ignores or respects the case of the
+given characters.</p>
 
 <p style="margin-left:15%;"><b>regexp</b></p>
 
 <p style="margin-left:18%;">Toggles whether
-searching/replacing is based on literal strings or regular
+searching/replacing uses literal strings or regular
 expressions.</p>
 
 <p style="margin-left:15%;"><b>backwards</b></p>
@@ -1053,13 +1071,13 @@ searching/replacing goes forward or back
 
 <p style="margin-left:15%;"><b>prevhistory</b></p>
 
-<p style="margin-left:18%;">Shows the previous history
-entry in the prompt menus (e.g. search).</p>
+<p style="margin-left:18%;">Retrieves the previous (older)
+entry at a prompt.</p>
 
 <p style="margin-left:15%;"><b>nexthistory</b></p>
 
-<p style="margin-left:18%;">Shows the next history entry in
-the prompt menus (e.g. search).</p>
+<p style="margin-left:18%;">Retrieves the next (newer)
+entry at a prompt.</p>
 
 <p style="margin-left:15%;"><b>flipreplace</b></p>
 
@@ -1088,6 +1106,12 @@ piped to the command.</p>
 <p style="margin-left:18%;">Toggles between inserting into
 the current buffer and into a new empty buffer.</p>
 
+<p style="margin-left:15%;"><b>flipconvert</b></p>
+
+<p style="margin-left:18%;">When reading in a file, toggles
+between converting and not converting it from DOS/Mac
+format. Converting is the default.</p>
+
 <p style="margin-left:15%;"><b>dosformat</b></p>
 
 <p style="margin-left:18%;">When writing a file, switches
@@ -1154,12 +1178,6 @@ screen.</p>
 the current line, column, and character positions. (The form
 &rsquo;constupdate&rsquo; is deprecated.)</p>
 
-<p style="margin-left:15%;"><b>morespace</b></p>
-
-<p style="margin-left:18%;">Toggles the presence of the
-blank line that &rsquo;separates&rsquo; the title bar from
-the file text.</p>
-
 <p style="margin-left:15%;"><b>smoothscroll</b></p>
 
 <p style="margin-left:18%;">Toggles smooth scrolling (when
@@ -1214,26 +1232,10 @@ be hard-wrapped to the next line.</p>
 <p style="margin-left:18%;">Toggles whether typed tabs will
 be converted to spaces.</p>
 
-<p style="margin-left:15%;"><b>backupfile</b></p>
-
-<p style="margin-left:18%;">Toggles whether a backup will
-be made of the file being edited.</p>
-
-<p style="margin-left:15%;"><b>multibuffer</b></p>
-
-<p style="margin-left:18%;">Toggles whether a file is
-inserted into the current buffer or read into a new
-buffer.</p>
-
 <p style="margin-left:15%;"><b>mouse</b></p>
 
 <p style="margin-left:18%;">Toggles mouse support.</p>
 
-<p style="margin-left:15%;"><b>noconvert</b></p>
-
-<p style="margin-left:18%;">Toggles automatic conversion of
-files from DOS/Mac format.</p>
-
 <p style="margin-left:15%;"><b>suspendenable</b></p>
 
 <p style="margin-left:18%;">Toggles whether the suspend
@@ -1263,6 +1265,11 @@ replace&rsquo; menu.</p>
 menu, which comes up after &rsquo;search to
 replace&rsquo;.</p>
 
+<p style="margin-left:15%;"><b>yesno</b></p>
+
+<p style="margin-left:18%;">The &rsquo;yesno&rsquo; menu,
+where the Yes/No/All/Cancel question is asked.</p>
+
 <p style="margin-left:15%;"><b>gotoline</b></p>
 
 <p style="margin-left:18%;">The &rsquo;goto line (and
diff -pruN 2.9.8-1/doc/nano.texi 3.0-1/doc/nano.texi
--- 2.9.8-1/doc/nano.texi	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/doc/nano.texi	2018-09-09 09:42:04.000000000 +0000
@@ -8,8 +8,8 @@
 
 @smallbook
 @set EDITION 0.5
-@set VERSION 2.9.8
-@set UPDATED June 2018
+@set VERSION 3.0
+@set UPDATED September 2018
 
 @dircategory Editors
 @direntry
@@ -23,7 +23,7 @@
 @titlepage
 @title GNU @command{nano}
 @subtitle a small and friendly text editor
-@subtitle version 2.9.8
+@subtitle version 3.0
 
 @author Chris Allegretta
 @page
@@ -63,7 +63,7 @@ e-mail: @email{chrisa@@asty.org}@*
 @node Top
 @top
 
-This manual documents the GNU @command{nano} editor, version 2.9.8.
+This manual documents the GNU @command{nano} editor, version 3.0.
 
 @menu
 * Introduction::
@@ -506,8 +506,9 @@ This selection can now be cut or copied
 @kbd{^K} or @kbd{M-6}.  Or the selection can be used to limit the scope of
 a search-and-replace (@kbd{^\}) or spell-checking session (@kbd{^T}).
 
-On some terminals, it is also possible to select text by holding down
-@kbd{Shift} together with the cursor keys.  Such a selection is cancelled
+On some terminals, text can be selected also by holding down @kbd{Shift}
+while using the cursor keys.  Holding down the @kbd{Ctrl} or @kbd{Alt}
+key too will increase the stride.  Such a selection is cancelled
 upon any cursor movement where @kbd{Shift} isn't held.
 
 Cutting or copying selected text will toggle the mark off automatically.
@@ -595,15 +596,9 @@ The following global toggles are availab
 
 @table @code
 
-@item Backup Files
-@kbd{Meta-B} toggles the @option{-B} (@option{--backup}) command-line option.
-
 @item Constant Cursor Position Display
 @kbd{Meta-C} toggles the @option{-c} (@option{--constantshow}) command-line option.
 
-@item Multiple File Buffers
-@kbd{Meta-F} toggles the @option{-F} (@option{--multibuffer}) command-line option.
-
 @item Smart Home Key
 @kbd{Meta-H} toggles the @option{-A} (@option{--smarthome}) command-line option.
 
@@ -619,18 +614,12 @@ The following global toggles are availab
 @item Mouse Support
 @kbd{Meta-M} toggles the @option{-m} (@option{--mouse}) command-line option.
 
-@item No Conversion From DOS/Mac Format
-@kbd{Meta-N} toggles the @option{-N} (@option{--noconvert}) command-line option.
-
-@item More Space For Editing
-@kbd{Meta-O} toggles the @option{-O} (@option{--morespace}) command-line option.
+@item Tabs To Spaces
+@kbd{Meta-O} toggles the @option{-E} (@option{--tabstospaces}) command-line option.
 
 @item Whitespace Display
 @kbd{Meta-P} toggles the displaying of whitespace (@pxref{Whitespace}).
 
-@item Tabs To Spaces
-@kbd{Meta-Q} toggles the @option{-E} (@option{--tabstospaces}) command-line option.
-
 @item Smooth Scrolling
 @kbd{Meta-S} toggles the @option{-S} (@option{--smooth}) command-line option.
 
@@ -720,10 +709,6 @@ numbered one every time a file is saved
 with @code{set backup} or @option{--backup} or @option{-B}.
 The uniquely numbered files are stored in the specified directory.
 
-@item set backwards
-Obsolete option.  Recognized but ignored.  @code{^Q} is available to
-start a backward search.
-
 @item set boldtext
 Use bold instead of reverse video for the title bar, status bar, key combos,
 function tags, line numbers, and selected text.  This can be overridden by
@@ -992,11 +977,6 @@ on the system and will be silently ignor
 Use the given @var{program} to do a syntax check on the current buffer.
 (This overrides the speller function.)
 
-@item formatter @var{program} [@var{arg} @dots{}]
-Use the given @var{program} to automatically reformat the text in
-the current buffer --- useful for a programming language like Go.
-(This overrides the speller and linter functions.)
-
 @item comment "@var{string}"
 Use the given string for commenting and uncommenting lines.
 If the string contains a vertical bar or pipe character (@t{|}),
@@ -1012,8 +992,11 @@ The default value is @t{"#"}.
 Display all pieces of text that match the
 extended regular expression "regex" with foreground color "fgcolor" and
 background color "bgcolor", at least one of which must be specified.
-Valid colors for foreground and background are: white, black, red,
-blue, green, yellow, magenta, and cyan.  You may use the prefix "bright"
+Valid names for foreground and background color are:
+@code{white}, @code{black}, @code{blue}, @code{green},
+@code{red}, @code{cyan}, @code{yellow}, @code{magenta}, and @code{normal}
+--- where @code{normal} means the default foreground or background color.
+You may use the prefix @code{bright}
 to get a stronger color highlight for the foreground.  If your
 terminal supports transparency, not specifying a "bgcolor" tells @command{nano}
 to attempt to use a transparent background.
@@ -1040,13 +1023,28 @@ to @code{icolor}.
 @item extendsyntax @var{name} @var{command} [@var{arg} @dots{}]
 Extend the syntax previously defined as "@var{name}" with another @var{command}.
 This allows you to add a new @code{color}, @code{icolor}, @code{header},
-@code{magic}, @code{comment}, @code{linter}, or @code{formatter} command
-to an already
+@code{magic}, @code{comment}, or @code{linter} command to an already
 defined syntax --- useful when you want to slightly improve a syntax defined
 in one of the system-installed files (which normally are not writable).
 
 @end table
 
+Note: the @code{formatter} command has been removed.  It was superseded by
+a more general mechanism: the filtering of buffer or marked text through
+an external command.  Such filtering is done by typing @code{^R^X} and then
+preceding your formatter command with the pipe symbol (@code{|}).  It has
+the added advantage that the operation can be undone.
+
+If you use such a formatting command regularly, you could assign the relevant
+series of keystrokes to a single key in your nanorc:
+
+@example
+   bind  M-F  "^R^X|yourformatcommand^M"  main
+@end example
+
+(Note that the @key{^R}, @key{^X}, and @key{^M} are each a single, literal
+control character.  You can enter them by preceding each with @key{M-V}.)
+
 @node Rebinding Keys
 @section Rebinding Keys
 
@@ -1077,16 +1075,20 @@ The format of @code{key} should be one o
 
 @itemize @w{}
 @item
-@code{^}@  followed by an ASCII character or the word "Space".
+@code{^}@  followed by a Latin letter, by one of several ASCII characters
+(@@, ], \, ^, or _), or by the word "Space".
 Example: @code{^C}.
 
 @item
-@code{M-}@  followed by a ASCII character or the word "Space".
+@code{M-}@  followed by any ASCII character except [, or by the word "Space".
 Example: @code{M-C}.
 
 @item
 @code{F}@  followed by a numeric value from 1 to 16.
 Example: @code{F10}.
+
+@item
+the word "Ins" or the word "Del".
 @end itemize
 
 @sp 1
@@ -1118,16 +1120,14 @@ Starts a forward search for text in the
 matching a string in the current list in the file browser.
 
 @item wherewas
-Starts a backward search for text in the current buffer.
-
-@item searchagain
-Repeats the last search command without prompting.
+Starts a backward search for text in the current buffer --- or for filenames
+matching a string in the current list in the file browser.
 
 @item findprevious
-As @code{searchagain}, but always in the backward direction.
+Searches the next occurrence in the backward direction.
 
 @item findnext
-As @code{searchagain}, but always in the forward direction.
+Searches the next occurrence in the forward direction.
 
 @item replace
 Interactively replaces text within the current buffer.
@@ -1135,25 +1135,32 @@ Interactively replaces text within the c
 @item cut
 Cuts and stores the current line (or the marked region).
 
-@item copytext
+@item copy
 Copies the current line (or the marked region) without deleting it.
+(The old form 'copytext' is deprecated.)
 
-@item uncut
-Copies the currently stored text into the current buffer at the
+@item paste
+Pastes the currently stored text into the current buffer at the
 current cursor position.
-
-@item mark
-Sets the mark at the current position, to start selecting text.
+(The old form 'uncut' is deprecated.)
 
 @item cutwordleft
 Cuts from the cursor position to the beginning of the preceding word.
+(This function is not bound by default.  If your terminal produces
+@code{^H} for <Ctrl+Backspace>, you can make <Ctrl+Backspace> delete
+the word to the left of the cursor by rebinding ^H to this function.)
 
 @item cutwordright
 Cuts from the cursor position to the beginning of the next word.
+(This function is bound by default to <Ctrl+Delete>.)
 
 @item cutrestoffile
 Cuts all text from the cursor position till the end of the buffer.
 
+@item mark
+Sets the mark at the current position, to start selecting text.
+Or, when it is set, unsets the mark.
+
 @item curpos
 Shows the current cursor position: the line, column, and character positions.
 
@@ -1161,7 +1168,7 @@ Shows the current cursor position: the l
 Counts the number of words, lines and characters in the current buffer.
 
 @item speller
-Invokes a spell-checking program (or linting program, or formatter program,
+Invokes a spell-checking program (or linting program,
 if the active syntax defines such a thing).
 
 @item justify
@@ -1294,19 +1301,20 @@ Suspends the editor (if the suspending f
 "suspendenable" entry below).
 
 @item casesens
-Toggles case sensitivity in searching (search/replace menus only).
+Toggles whether searching/replacing ignores or respects the case of
+the given characters.
 
 @item regexp
-Toggles whether searching/replacing is based on literal strings or regular expressions.
+Toggles whether searching/replacing uses literal strings or regular expressions.
 
 @item backwards
 Toggles whether searching/replacing goes forward or backward.
 
 @item prevhistory
-Shows the previous history entry in the prompt menus (e.g.@: search).
+Retrieves the previous (older) entry at a prompt.
 
 @item nexthistory
-Shows the next history entry in the prompt menus (e.g.@: search).
+Retrieves the next (newer) entry at a prompt.
 
 @item flipreplace
 Toggles between searching for something and replacing something.
@@ -1326,6 +1334,10 @@ region) is piped to the command.
 Toggles between inserting into the current buffer and into a new
 empty buffer.
 
+@item flipconvert
+When reading in a file, toggles between converting and not converting
+it from DOS/Mac format.  Converting is the default.
+
 @item dosformat
 When writing a file, switches to writing a DOS format (CR/LF).
 
@@ -1366,9 +1378,6 @@ Toggles the presence of the two-line lis
 Toggles the constant display of the current line, column, and character positions.
 (The form @code{constupdate} is deprecated.)
 
-@item morespace
-Toggles the presence of the blank line that 'separates' the title bar from the file text.
-
 @item smoothscroll
 Toggles smooth scrolling (when moving around with the arrow keys).
 
@@ -1403,19 +1412,9 @@ Toggles whether long lines will be hard-
 @item tabstospaces
 Toggles whether typed tabs will be converted to spaces.
 
-@item backupfile
-Toggles whether a backup will be made of the file to be edited.
-
-@item multibuffer
-Toggles whether a file is inserted into the current buffer
-or read into a new buffer.
-
 @item mouse
 Toggles mouse support.
 
-@item noconvert
-Toggles automatic conversion of files from DOS/Mac format.
-
 @item suspendenable
 Toggles whether the suspend shortcut (normally @kbd{^Z}) will suspend the editor.
 
@@ -1438,6 +1437,9 @@ The 'search to replace' menu.
 @item replacewith
 The 'replace with' menu, which comes up after 'search to replace'.
 
+@item yesno
+The 'yesno' menu, where the Yes/No/All/Cancel question is asked.
+
 @item gotoline
 The 'goto line (and column)' menu.
 
diff -pruN 2.9.8-1/doc/rnano.1 3.0-1/doc/rnano.1
--- 2.9.8-1/doc/rnano.1	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/doc/rnano.1	2018-09-09 09:42:04.000000000 +0000
@@ -16,7 +16,7 @@
 .\"   Documentation License along with this program.  If not, see
 .\"   <http://www.gnu.org/licenses/>.
 .\"
-.TH RNANO 1 "version 2.9.8" "June 2018"
+.TH RNANO 1 "version 3.0" "September 2018"
 
 .SH NAME
 rnano \- a restricted nano
diff -pruN 2.9.8-1/doc/rnano.1.html 3.0-1/doc/rnano.1.html
--- 2.9.8-1/doc/rnano.1.html	2018-06-02 08:23:00.000000000 +0000
+++ 3.0-1/doc/rnano.1.html	2018-09-09 09:42:48.000000000 +0000
@@ -1,5 +1,5 @@
 <!-- Creator     : groff version 1.22.3 -->
-<!-- CreationDate: Sat Jun  2 10:23:00 2018 -->
+<!-- CreationDate: Sun Sep  9 11:42:48 2018 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
 "http://www.w3.org/TR/html4/loose.dtd">
 <html>
diff -pruN 2.9.8-1/doc/sample.nanorc.in 3.0-1/doc/sample.nanorc.in
--- 2.9.8-1/doc/sample.nanorc.in	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/doc/sample.nanorc.in	2018-09-09 09:39:27.000000000 +0000
@@ -1,9 +1,7 @@
 ## Sample initialization file for GNU nano.
 ##
-## Please note that you must have configured nano with --enable-nanorc
-## for this file to be read!  Also note that this file should not be in
-## DOS or Mac format, and that characters specially interpreted by the
-## shell should not be escaped here.
+## This file should not be in DOS or Mac format, and characters
+## specially interpreted by the shell should not be escaped here.
 ##
 ## To make sure an option is disabled, use "unset <option>".
 ##
@@ -53,9 +51,9 @@
 # set cutfromcursor
 ## (The old form, 'cut', is deprecated.)
 
-## Set the line length for wrapping text and justifying paragraphs.
-## If the value is 0 or less, the wrapping point will be the screen
-## width less this number.
+## Enable hard-wrapping and set the target width, both for automatic
+## line wrapping and for justifying paragraphs.  If the value is 0 or
+## less, the wrapping point will be the screen width minus this number.
 # set fill -8
 
 ## Remember the used search/replace strings for the next session.
@@ -100,7 +98,7 @@
 ## last one will be readable (when there are multiple ones).
 # set nopauses
 
-## Don't wrap text at all.
+## Do not automatically hard-wrap text.
 # set nowrap
 
 ## Set operating directory.  nano will not read or write files outside
@@ -149,7 +147,7 @@
 ## beginning of the line.
 # set smarthome
 
-## Use smooth scrolling as the default.
+## Use line-by-line scrolling instead of chunk-by-chunk.
 # set smooth
 
 ## Enable soft line wrapping (AKA full-line display).
@@ -233,9 +231,9 @@
 ## "color" will do case-sensitive matches, while "icolor" will do
 ## case-insensitive matches.
 ##
-## Valid colors: white, black, red, blue, green, yellow, magenta, cyan.
-## For foreground colors, you may use the prefix "bright" to get a
-## stronger highlight.
+## Valid color names ares: white, black, normal, red, blue, green,
+## yellow, magenta, cyan.  For foreground colors, you may use the
+## prefix "bright" to get a stronger highlight.
 ##
 ## To use multi-line regexes, use the start="regex" end="regex"
 ## [start="regex" end="regex"...] format.
@@ -255,18 +253,23 @@
 ## ".nanorc" extension) should be the same as the "short description"
 ## name inside that file.  These names are kept fairly short to make
 ## them easier to remember and faster to type using nano's -Y option.
-##
+
 ## To include all existing syntax definitions, you can do:
 # include "@PKGDATADIR@/*.nanorc"
 
 
 ## Key bindings.
 ## See nanorc(5) (section REBINDING KEYS) for more details on this.
-##
-## The following two functions are not bound to any key by default.
-## You may wish to choose other keys than the ones suggested here.
-# bind M-B cutwordleft main
-# bind M-N cutwordright main
 
-## Set this if your Backspace key sends Del most of the time.
+## If your Backspace key behaves as Delete (when ssh'ing in from another
+## machine, for example), set this to make it behave as Backspace again:
 # bind Del backspace all
+
+## The <Ctrl+Delete> keystroke deletes the word to the right of the cursor.
+## On some terminals the <Ctrl+Backspace> keystroke produces ^H, which is
+## the ASCII character for backspace, so it is bound by default to the
+## backspace function.  The <Backspace> key itself produces a different
+## keycode, which is hard-bound to the backspace function.  So, if you
+## normally use <Backspace> for backspacing and not ^H, you can make
+## <Ctrl+Backspace> delete the word to the left of the cursor with:
+# bind ^H cutwordleft main
diff -pruN 2.9.8-1/IMPROVEMENTS 3.0-1/IMPROVEMENTS
--- 2.9.8-1/IMPROVEMENTS	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/IMPROVEMENTS	2018-09-09 09:42:04.000000000 +0000
@@ -1,6 +1,10 @@
 Improvements in GNU nano
 ========================
 
+Since 3.0:
+  - <Ctrl+Delete> wipes next word and <Shift+Ctrl+Delete> preceding word.
+  - An external spell check can be undone.
+
 Since 2.9.0:
   - The ability to filter text through an external command.
   - Better detection of paragraphs, allowing a less indented beginning.
diff -pruN 2.9.8-1/lib/cdefs.h 3.0-1/lib/cdefs.h
--- 2.9.8-1/lib/cdefs.h	2018-06-02 08:21:00.000000000 +0000
+++ 3.0-1/lib/cdefs.h	2018-09-09 09:46:26.000000000 +0000
@@ -72,7 +72,12 @@
 
 #else	/* Not GCC.  */
 
-# define __inline		/* No inline functions.  */
+# if (defined __cplusplus						\
+      || (defined __STDC_VERSION__ && __STDC_VERSION__ >= 199901L))
+#  define __inline	inline
+# else
+#  define __inline		/* No inline functions.  */
+# endif
 
 # define __THROW
 # define __THROWNL
@@ -282,12 +287,15 @@
 # define __attribute_format_strfmon__(a,b) /* Ignore */
 #endif
 
-/* The nonull function attribute allows to mark pointer parameters which
-   must not be NULL.  */
-#if __GNUC_PREREQ (3,3)
-# define __nonnull(params) __attribute__ ((__nonnull__ params))
-#else
-# define __nonnull(params)
+/* The nonnull function attribute marks pointer parameters that
+   must not be NULL.  Do not define __nonnull if it is already defined,
+   for portability when this file is used in Gnulib.  */
+#ifndef __nonnull
+# if __GNUC_PREREQ (3,3)
+#  define __nonnull(params) __attribute__ ((__nonnull__ params))
+# else
+#  define __nonnull(params)
+# endif
 #endif
 
 /* If fortification mode, we warn about unused results of certain
@@ -368,7 +376,11 @@
 
 /* __restrict is known in EGCS 1.2 and above. */
 #if !__GNUC_PREREQ (2,92)
-# define __restrict	/* Ignore */
+# if defined __STDC_VERSION__ && __STDC_VERSION__ >= 199901L
+#  define __restrict	restrict
+# else
+#  define __restrict	/* Ignore */
+# endif
 #endif
 
 /* ISO C99 also allows to declare arrays as non-overlapping.  The syntax is
@@ -407,6 +419,15 @@
 # endif
 #endif
 
+#if __GNUC_PREREQ (8, 0)
+/* Describes a char array whose address can safely be passed as the first
+   argument to strncpy and strncat, as the char array is not necessarily
+   a NUL-terminated string.  */
+# define __attribute_nonstring__ __attribute__ ((__nonstring__))
+#else
+# define __attribute_nonstring__
+#endif
+
 #if (!defined _Static_assert && !defined __cplusplus \
      && (defined __STDC_VERSION__ ? __STDC_VERSION__ : 0) < 201112 \
      && (!__GNUC_PREREQ (4, 6) || defined __STRICT_ANSI__))
diff -pruN 2.9.8-1/lib/fnmatch.in.h 3.0-1/lib/fnmatch.in.h
--- 2.9.8-1/lib/fnmatch.in.h	2018-06-02 08:21:01.000000000 +0000
+++ 3.0-1/lib/fnmatch.in.h	2018-09-09 09:46:27.000000000 +0000
@@ -1,4 +1,5 @@
-/* Copyright (C) 1991-1993, 1996-1999, 2001-2003, 2005, 2007, 2009-2018 Free
+/* Substitute for and wrapper around <fnmatch.h>.
+   Copyright (C) 1991-1993, 1996-1999, 2001-2003, 2005, 2007, 2009-2018 Free
    Software Foundation, Inc.
 
    This file is part of the GNU C Library.
@@ -16,15 +17,29 @@
    You should have received a copy of the GNU General Public License
    along with this program; if not, see <https://www.gnu.org/licenses/>.  */
 
-#ifndef _FNMATCH_H
-#define _FNMATCH_H      1
+#ifndef _@GUARD_PREFIX@_FNMATCH_H
 
-/* The definition of _GL_ARG_NONNULL is copied here.  */
+#if __GNUC__ >= 3
+@PRAGMA_SYSTEM_HEADER@
+#endif
+@PRAGMA_COLUMNS@
 
-#ifdef __cplusplus
-extern "C" {
+/* The include_next requires a split double-inclusion guard.  */
+#if @HAVE_FNMATCH_H@ && !@REPLACE_FNMATCH@
+# @INCLUDE_NEXT@ @NEXT_FNMATCH_H@
 #endif
 
+#ifndef _@GUARD_PREFIX@_FNMATCH_H
+#define _@GUARD_PREFIX@_FNMATCH_H
+
+/* The definitions of _GL_FUNCDECL_RPL etc. are copied here.  */
+
+/* The definition of _GL_ARG_NONNULL is copied here.  */
+
+/* The definition of _GL_WARN_ON_USE is copied here.  */
+
+#if !@HAVE_FNMATCH_H@ || @REPLACE_FNMATCH@
+
 /* We #undef these before defining them because some losing systems
    (HP-UX A.08.07 for example) define these in <unistd.h>.  */
 #undef  FNM_PATHNAME
@@ -54,14 +69,42 @@ extern "C" {
 # define FNM_NOSYS      (-1)
 #endif
 
+#endif
+
+
+#if @GNULIB_FNMATCH@
 /* Match NAME against the file name pattern PATTERN,
    returning zero if it matches, FNM_NOMATCH if not.  */
-extern int fnmatch (const char *__pattern, const char *__name,
-                    int __flags)
-     _GL_ARG_NONNULL ((1, 2));
-
-#ifdef __cplusplus
-}
+# if @REPLACE_FNMATCH@
+#  if !(defined __cplusplus && defined GNULIB_NAMESPACE)
+#   define fnmatch rpl_fnmatch
+#  endif
+_GL_FUNCDECL_RPL (fnmatch, int,
+                  (const char *pattern, const char *name, int flags)
+                  _GL_ARG_NONNULL ((1, 2)));
+_GL_CXXALIAS_RPL (fnmatch, int,
+                  (const char *pattern, const char *name, int flags));
+# else
+#  if !@HAVE_FNMATCH@
+_GL_FUNCDECL_SYS (fnmatch, int,
+                  (const char *pattern, const char *name, int flags)
+                  _GL_ARG_NONNULL ((1, 2)));
+#  endif
+_GL_CXXALIAS_SYS (fnmatch, int,
+                  (const char *pattern, const char *name, int flags));
+# endif
+# if !GNULIB_FNMATCH_GNU
+_GL_CXXALIASWARN (fnmatch);
+# endif
+#elif defined GNULIB_POSIXCHECK
+# undef fnmatch
+# if HAVE_RAW_DECL_FNMATCH
+_GL_WARN_ON_USE (fnmatch,
+                 "fnmatch does not portably work - "
+                 "use gnulib module fnmatch for portability or gnulib module fnmatch-gnu for a glibc compatible implementation");
+# endif
 #endif
 
-#endif /* fnmatch.h */
+
+#endif /* _@GUARD_PREFIX@_FNMATCH_H */
+#endif /* _@GUARD_PREFIX@_FNMATCH_H */
diff -pruN 2.9.8-1/lib/gettimeofday.c 3.0-1/lib/gettimeofday.c
--- 2.9.8-1/lib/gettimeofday.c	2018-06-02 08:21:01.000000000 +0000
+++ 3.0-1/lib/gettimeofday.c	2018-09-09 09:46:27.000000000 +0000
@@ -33,6 +33,10 @@
 
 #ifdef WINDOWS_NATIVE
 
+/* Avoid warnings from gcc -Wcast-function-type.  */
+# define GetProcAddress \
+   (void *) GetProcAddress
+
 /* GetSystemTimePreciseAsFileTime was introduced only in Windows 8.  */
 typedef void (WINAPI * GetSystemTimePreciseAsFileTimeFuncType) (FILETIME *lpTime);
 static GetSystemTimePreciseAsFileTimeFuncType GetSystemTimePreciseAsFileTimeFunc = NULL;
@@ -45,7 +49,7 @@ initialize (void)
   if (kernel32 != NULL)
     {
       GetSystemTimePreciseAsFileTimeFunc =
-	(GetSystemTimePreciseAsFileTimeFuncType) GetProcAddress (kernel32, "GetSystemTimePreciseAsFileTime");
+        (GetSystemTimePreciseAsFileTimeFuncType) GetProcAddress (kernel32, "GetSystemTimePreciseAsFileTime");
     }
   initialized = TRUE;
 }
diff -pruN 2.9.8-1/lib/glob.c 3.0-1/lib/glob.c
--- 2.9.8-1/lib/glob.c	2018-06-02 08:21:01.000000000 +0000
+++ 3.0-1/lib/glob.c	2018-09-09 09:46:27.000000000 +0000
@@ -15,6 +15,16 @@
    License along with the GNU C Library; if not, see
    <https://www.gnu.org/licenses/>.  */
 
+#ifndef _LIBC
+
+/* Don't use __attribute__ __nonnull__ in this compilation unit.  Otherwise gcc
+   optimizes away the pattern == NULL test below.  */
+# define _GL_ARG_NONNULL(params)
+
+# include <config.h>
+
+#endif
+
 #include <glob.h>
 
 #include <errno.h>
diff -pruN 2.9.8-1/lib/globfree.c 3.0-1/lib/globfree.c
--- 2.9.8-1/lib/globfree.c	2018-06-02 08:21:02.000000000 +0000
+++ 3.0-1/lib/globfree.c	2018-09-09 09:46:28.000000000 +0000
@@ -17,7 +17,7 @@
    <https://www.gnu.org/licenses/>.  */
 
 #ifndef _LIBC
-# include <config.h>
+# include <libc-config.h>
 #endif
 
 #include <glob.h>
diff -pruN 2.9.8-1/lib/glob.in.h 3.0-1/lib/glob.in.h
--- 2.9.8-1/lib/glob.in.h	2018-06-02 08:21:01.000000000 +0000
+++ 3.0-1/lib/glob.in.h	2018-09-09 09:46:27.000000000 +0000
@@ -25,7 +25,7 @@
 @PRAGMA_COLUMNS@
 
 /* The include_next requires a split double-inclusion guard.  */
-#if !@REPLACE_GLOB@
+#if @HAVE_GLOB_H@ && !@REPLACE_GLOB@
 # @INCLUDE_NEXT@ @NEXT_GLOB_H@
 #endif
 
@@ -34,6 +34,10 @@
 
 /* The definitions of _GL_FUNCDECL_RPL etc. are copied here.  */
 
+/* The definition of _GL_ARG_NONNULL is copied here.  */
+
+/* The definition of _GL_WARN_ON_USE is copied here.  */
+
 /* GCC 2.95 and later have "__restrict"; C99 compilers have
    "restrict", and "configure" may have defined "restrict".
    Other compilers use __restrict, __restrict__, and _Restrict, and
@@ -58,7 +62,7 @@ typedef int (*_gl_glob_errfunc_fn) (cons
 #endif
 
 
-#if @REPLACE_GLOB@
+#if !@HAVE_GLOB_H@ || @REPLACE_GLOB@
 
 
 /* Preparations for including the standard GNU C Library header.  */
@@ -76,9 +80,17 @@ typedef int (*_gl_glob_errfunc_fn) (cons
 #  define __USE_GNU    1
 # endif
 
-# define glob rpl_glob
-# define globfree rpl_globfree
-# define glob_pattern_p rpl_glob_pattern_p
+# if @REPLACE_GLOB@
+#  if !(defined __cplusplus && defined GNULIB_NAMESPACE)
+#   define glob rpl_glob
+#   define globfree rpl_globfree
+#  endif
+# endif
+# if @REPLACE_GLOB_PATTERN_P@
+#  if !(defined __cplusplus && defined GNULIB_NAMESPACE)
+#   define glob_pattern_p rpl_glob_pattern_p
+#  endif
+# endif
 # define __glob_pattern_p glob_pattern_p
 
 # define __GLOB_GNULIB 1
@@ -88,32 +100,81 @@ typedef int (*_gl_glob_errfunc_fn) (cons
 # include "glob-libc.h"
 
 
-# if defined __cplusplus && defined GNULIB_NAMESPACE
-#  undef glob
-#  undef globfree
-#  undef glob_pattern_p
+#endif
+
+
+#if @GNULIB_GLOB@
+# if @REPLACE_GLOB@
+_GL_FUNCDECL_RPL (glob, int, (const char *_Restrict_ __pattern, int __flags,
+                              _gl_glob_errfunc_fn __errfunc,
+                              glob_t *_Restrict_ __pglob)
+                              _GL_ARG_NONNULL ((1)));
 _GL_CXXALIAS_RPL (glob, int, (const char *_Restrict_ __pattern, int __flags,
                               _gl_glob_errfunc_fn __errfunc,
                               glob_t *_Restrict_ __pglob));
-_GL_CXXALIAS_RPL (globfree, void, (glob_t *__pglob));
-_GL_CXXALIAS_RPL (glob_pattern_p, int, (const char *__pattern, int __quote));
-# endif
-
-#else
-
+# else
+#  if !@HAVE_GLOB@
+_GL_FUNCDECL_SYS (glob, int, (const char *_Restrict_ __pattern, int __flags,
+                              _gl_glob_errfunc_fn __errfunc,
+                              glob_t *_Restrict_ __pglob)
+                              _GL_ARG_NONNULL ((1)));
+#  endif
 _GL_CXXALIAS_SYS (glob, int, (const char *_Restrict_ __pattern, int __flags,
                               _gl_glob_errfunc_fn __errfunc,
                               glob_t *_Restrict_ __pglob));
-_GL_CXXALIAS_SYS (globfree, void, (glob_t *__pglob));
-_GL_CXXALIAS_SYS (glob_pattern_p, int, (const char *__pattern, int __quote));
-
+# endif
+_GL_CXXALIASWARN (glob);
+#elif defined GNULIB_POSIXCHECK
+# undef glob
+# if HAVE_RAW_DECL_GLOB
+_GL_WARN_ON_USE (glob,
+                 "glob is unportable - "
+                 "use gnulib module glob for portability");
+# endif
 #endif
 
-#if 0  /* The C function name is rpl_glob in some cases, not glob.  */
-_GL_CXXALIASWARN (glob);
+#if @GNULIB_GLOB@
+# if @REPLACE_GLOB@
+_GL_FUNCDECL_RPL (globfree, void, (glob_t *__pglob) _GL_ARG_NONNULL ((1)));
+_GL_CXXALIAS_RPL (globfree, void, (glob_t *__pglob));
+# else
+#  if !@HAVE_GLOB@
+_GL_FUNCDECL_SYS (globfree, void, (glob_t *__pglob) _GL_ARG_NONNULL ((1)));
+#  endif
+_GL_CXXALIAS_SYS (globfree, void, (glob_t *__pglob));
+# endif
 _GL_CXXALIASWARN (globfree);
+#elif defined GNULIB_POSIXCHECK
+# undef globfree
+# if HAVE_RAW_DECL_GLOBFREE
+_GL_WARN_ON_USE (globfree,
+                 "globfree is unportable - "
+                 "use gnulib module glob for portability");
+# endif
+#endif
+
+#if @GNULIB_GLOB@
+# if @REPLACE_GLOB_PATTERN_P@
+_GL_FUNCDECL_RPL (glob_pattern_p, int, (const char *__pattern, int __quote)
+                                       _GL_ARG_NONNULL ((1)));
+_GL_CXXALIAS_RPL (glob_pattern_p, int, (const char *__pattern, int __quote));
+# else
+#  if !@HAVE_GLOB_PATTERN_P@
+_GL_FUNCDECL_SYS (glob_pattern_p, int, (const char *__pattern, int __quote)
+                                       _GL_ARG_NONNULL ((1)));
+#  endif
+_GL_CXXALIAS_SYS (glob_pattern_p, int, (const char *__pattern, int __quote));
+# endif
 _GL_CXXALIASWARN (glob_pattern_p);
+#elif defined GNULIB_POSIXCHECK
+# undef glob_pattern_p
+# if HAVE_RAW_DECL_GLOB_PATTERN_P
+_GL_WARN_ON_USE (glob_pattern_p,
+                 "glob_pattern_p is unportable - "
+                 "use gnulib module glob for portability");
+# endif
 #endif
 
+
 #endif /* _@GUARD_PREFIX@_GLOB_H */
 #endif /* _@GUARD_PREFIX@_GLOB_H */
diff -pruN 2.9.8-1/lib/glob_pattern_p.c 3.0-1/lib/glob_pattern_p.c
--- 2.9.8-1/lib/glob_pattern_p.c	2018-06-02 08:21:02.000000000 +0000
+++ 3.0-1/lib/glob_pattern_p.c	2018-09-09 09:46:27.000000000 +0000
@@ -17,7 +17,7 @@
    <https://www.gnu.org/licenses/>.  */
 
 #ifndef _LIBC
-# include <config.h>
+# include <libc-config.h>
 #endif
 
 #include <glob.h>
diff -pruN 2.9.8-1/lib/intprops.h 3.0-1/lib/intprops.h
--- 2.9.8-1/lib/intprops.h	2018-06-02 08:21:02.000000000 +0000
+++ 3.0-1/lib/intprops.h	2018-09-09 09:46:28.000000000 +0000
@@ -22,12 +22,13 @@
 
 #include <limits.h>
 
-/* Return a value with the common real type of E and V and the value of V.  */
-#define _GL_INT_CONVERT(e, v) (0 * (e) + (v))
+/* Return a value with the common real type of E and V and the value of V.
+   Do not evaluate E.  */
+#define _GL_INT_CONVERT(e, v) ((1 ? 0 : (e)) + (v))
 
 /* Act like _GL_INT_CONVERT (E, -V) but work around a bug in IRIX 6.5 cc; see
    <https://lists.gnu.org/r/bug-gnulib/2011-05/msg00406.html>.  */
-#define _GL_INT_NEGATE_CONVERT(e, v) (0 * (e) - (v))
+#define _GL_INT_NEGATE_CONVERT(e, v) ((1 ? 0 : (e)) - (v))
 
 /* The extra casts in the following macros work around compiler bugs,
    e.g., in Cray C 5.0.3.0.  */
@@ -40,13 +41,14 @@
 #define TYPE_SIGNED(t) (! ((t) 0 < (t) -1))
 
 /* Return 1 if the real expression E, after promotion, has a
-   signed or floating type.  */
+   signed or floating type.  Do not evaluate E.  */
 #define EXPR_SIGNED(e) (_GL_INT_NEGATE_CONVERT (e, 1) < 0)
 
 
 /* Minimum and maximum values for integer types and expressions.  */
 
 /* The width in bits of the integer type or expression T.
+   Do not evaluate T.
    Padding bits are not supported; this is checked at compile-time below.  */
 #define TYPE_WIDTH(t) (sizeof (t) * CHAR_BIT)
 
@@ -58,7 +60,7 @@
         : ((((t) 1 << (TYPE_WIDTH (t) - 2)) - 1) * 2 + 1)))
 
 /* The maximum and minimum values for the type of the expression E,
-   after integer promotion.  E should not have side effects.  */
+   after integer promotion.  E is not evaluated.  */
 #define _GL_INT_MINIMUM(e)                                              \
   (EXPR_SIGNED (e)                                                      \
    ? ~ _GL_SIGNED_INT_MAXIMUM (e)                                       \
@@ -340,8 +342,8 @@
    Arguments should be free of side effects.  */
 #define _GL_BINARY_OP_OVERFLOW(a, b, op_result_overflow)        \
   op_result_overflow (a, b,                                     \
-                      _GL_INT_MINIMUM (0 * (b) + (a)),          \
-                      _GL_INT_MAXIMUM (0 * (b) + (a)))
+                      _GL_INT_MINIMUM ((1 ? 0 : (b)) + (a)),    \
+                      _GL_INT_MAXIMUM ((1 ? 0 : (b)) + (a)))
 
 /* Store the low-order bits of A + B, A - B, A * B, respectively, into *R.
    Return 1 if the result overflows.  See above for restrictions.  */
diff -pruN 2.9.8-1/lib/libc-config.h 3.0-1/lib/libc-config.h
--- 2.9.8-1/lib/libc-config.h	2018-06-02 08:21:02.000000000 +0000
+++ 3.0-1/lib/libc-config.h	2018-09-09 09:46:28.000000000 +0000
@@ -33,7 +33,8 @@
 #include <config.h>
 
 /* On glibc this includes <features.h> and <sys/cdefs.h> and #defines
-   _FEATURES_H, __WORDSIZE, and __set_errno.  On other platforms this
+   _FEATURES_H, __WORDSIZE, and __set_errno.  On FreeBSD 11 it
+   includes <sys/cdefs.h> which defines __nonnull.  Elsewhere it
    is harmless.  */
 #include <errno.h>
 
@@ -118,6 +119,7 @@
 #undef __attribute_format_strfmon__
 #undef __attribute_malloc__
 #undef __attribute_noinline__
+#undef __attribute_nonstring__
 #undef __attribute_pure__
 #undef __attribute_used__
 #undef __attribute_warn_unused_result__
@@ -136,7 +138,6 @@
 #undef __glibc_macro_warning1
 #undef __glibc_unlikely
 #undef __inline
-#undef __nonnull
 #undef __ptr_t
 #undef __restrict
 #undef __restrict_arr
@@ -158,17 +159,6 @@
 # endif
 #endif
 
-/* <cdefs.h> __restrict is too pessimistic for non-GCC.  GCC 2.95 and
-   later have "__restrict", and C99 compilers have "restrict".  */
-#undef __restrict
-#if !__GNUC_PREREQ (2, 95)
-# if 199901L <= __STDC_VERSION__
-#  define __restrict restrict
-# else
-#  define __restrict
-# endif
-#endif
-
 
 /* A substitute for glibc <libc-symbols.h>, good enough for Gnulib.  */
 #define attribute_hidden
diff -pruN 2.9.8-1/lib/Makefile.am 3.0-1/lib/Makefile.am
--- 2.9.8-1/lib/Makefile.am	2018-06-02 08:21:26.000000000 +0000
+++ 3.0-1/lib/Makefile.am	2018-09-09 09:46:54.000000000 +0000
@@ -21,7 +21,38 @@
 # the same distribution terms as the rest of that program.
 #
 # Generated by gnulib-tool.
-# Reproduce by: gnulib-tool --import --lib=libgnu --source-base=lib --m4-base=m4 --doc-base=doc --tests-base=tests --aux-dir=. --no-conditional-dependencies --no-libtool --macro-prefix=gl futimens getdelim getline getopt-gnu glob isblank iswblank lstat nl_langinfo regex sigaction snprintf-posix stdarg strcase strcasestr-simple strnlen sys_wait vsnprintf-posix wchar wctype-h wcwidth
+# Reproduce by:
+# gnulib-tool --import \
+#  --lib=libgnu \
+#  --source-base=lib \
+#  --m4-base=m4 \
+#  --doc-base=doc \
+#  --tests-base=tests \
+#  --aux-dir=. \
+#  --no-conditional-dependencies \
+#  --no-libtool \
+#  --macro-prefix=gl \
+#  futimens \
+#  getdelim \
+#  getline \
+#  getopt-gnu \
+#  glob \
+#  isblank \
+#  iswblank \
+#  lstat \
+#  nl_langinfo \
+#  regex \
+#  sigaction \
+#  snprintf-posix \
+#  stdarg \
+#  strcase \
+#  strcasestr-simple \
+#  strnlen \
+#  sys_wait \
+#  vsnprintf-posix \
+#  wchar \
+#  wctype-h \
+#  wcwidth
 
 AUTOMAKE_OPTIONS = 1.9.6 gnits subdir-objects
 
@@ -317,29 +348,46 @@ EXTRA_libgnu_a_SOURCES += float.c itold.
 
 ## begin gnulib module fnmatch
 
+
+EXTRA_DIST += fnmatch.c fnmatch_loop.c
+
+EXTRA_libgnu_a_SOURCES += fnmatch.c fnmatch_loop.c
+
+## end   gnulib module fnmatch
+
+## begin gnulib module fnmatch-h
+
 BUILT_SOURCES += $(FNMATCH_H)
 
-# We need the following in order to create <fnmatch.h> when the system
-# doesn't have one that supports the required API.
+# We need the following in order to create <fnmatch.h>.
 if GL_GENERATE_FNMATCH_H
-fnmatch.h: fnmatch.in.h $(top_builddir)/config.status $(ARG_NONNULL_H)
+fnmatch.h: fnmatch.in.h $(top_builddir)/config.status $(CXXDEFS_H) $(ARG_NONNULL_H) $(WARN_ON_USE_H)
 	$(AM_V_GEN)rm -f $@-t $@ && \
-	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
-	  sed -e '/definition of _GL_ARG_NONNULL/r $(ARG_NONNULL_H)' \
+	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
+	  sed -e 's|@''GUARD_PREFIX''@|GL|g' \
+	      -e 's|@''HAVE_FNMATCH_H''@|$(HAVE_FNMATCH_H)|g' \
+	      -e 's|@''INCLUDE_NEXT''@|$(INCLUDE_NEXT)|g' \
+	      -e 's|@''PRAGMA_SYSTEM_HEADER''@|@PRAGMA_SYSTEM_HEADER@|g' \
+	      -e 's|@''PRAGMA_COLUMNS''@|@PRAGMA_COLUMNS@|g' \
+	      -e 's|@''NEXT_FNMATCH_H''@|$(NEXT_FNMATCH_H)|g' \
+	      -e 's/@''GNULIB_FNMATCH''@/$(GNULIB_FNMATCH)/g' \
+	      -e 's|@''HAVE_FNMATCH''@|$(HAVE_FNMATCH)|g' \
+	      -e 's|@''REPLACE_FNMATCH''@|$(REPLACE_FNMATCH)|g' \
+	      -e '/definitions of _GL_FUNCDECL_RPL/r $(CXXDEFS_H)' \
+	      -e '/definition of _GL_ARG_NONNULL/r $(ARG_NONNULL_H)' \
+	      -e '/definition of _GL_WARN_ON_USE/r $(WARN_ON_USE_H)' \
 	      < $(srcdir)/fnmatch.in.h; \
 	} > $@-t && \
-	mv -f $@-t $@
+	mv $@-t $@
 else
 fnmatch.h: $(top_builddir)/config.status
 	rm -f $@
 endif
 MOSTLYCLEANFILES += fnmatch.h fnmatch.h-t
 
-EXTRA_DIST += fnmatch.c fnmatch.in.h fnmatch_loop.c
+EXTRA_DIST += fnmatch.in.h
 
-EXTRA_libgnu_a_SOURCES += fnmatch.c fnmatch_loop.c
-
-## end   gnulib module fnmatch
+## end   gnulib module fnmatch-h
 
 ## begin gnulib module fpucw
 
@@ -417,7 +465,7 @@ BUILT_SOURCES += $(GETOPT_H) $(GETOPT_CD
 
 # We need the following in order to create <getopt.h> when the system
 # doesn't have one that works with the given compiler.
-getopt.h: getopt.in.h $(top_builddir)/config.status
+getopt.h: getopt.in.h $(top_builddir)/config.status $(ARG_NONNULL_H)
 	$(AM_V_GEN)rm -f $@-t $@ && \
 	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
 	  sed -e 's|@''GUARD_PREFIX''@|GL|g' \
@@ -470,29 +518,48 @@ EXTRA_libgnu_a_SOURCES += gettimeofday.c
 
 ## begin gnulib module glob
 
-BUILT_SOURCES += glob.h
+
+EXTRA_DIST += glob.c glob_internal.h glob_pattern_p.c globfree.c
+
+EXTRA_libgnu_a_SOURCES += glob.c glob_pattern_p.c globfree.c
+
+## end   gnulib module glob
+
+## begin gnulib module glob-h
+
+BUILT_SOURCES += $(GLOB_H)
 
 # We need the following in order to create <glob.h>.
-glob.h: glob.in.h $(top_builddir)/config.status $(CXXDEFS_H)
+if GL_GENERATE_GLOB_H
+glob.h: glob.in.h $(top_builddir)/config.status $(CXXDEFS_H) $(ARG_NONNULL_H) $(WARN_ON_USE_H)
 	$(AM_V_GEN)rm -f $@-t $@ && \
-	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
+	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
 	  sed -e 's|@''GUARD_PREFIX''@|GL|g' \
-	      -e 's|@''REPLACE_GLOB''@|$(REPLACE_GLOB)|g' \
+	      -e 's|@''HAVE_GLOB_H''@|$(HAVE_GLOB_H)|g' \
 	      -e 's|@''INCLUDE_NEXT''@|$(INCLUDE_NEXT)|g' \
 	      -e 's|@''PRAGMA_SYSTEM_HEADER''@|@PRAGMA_SYSTEM_HEADER@|g' \
 	      -e 's|@''PRAGMA_COLUMNS''@|@PRAGMA_COLUMNS@|g' \
 	      -e 's|@''NEXT_GLOB_H''@|$(NEXT_GLOB_H)|g' \
+	      -e 's/@''GNULIB_GLOB''@/$(GNULIB_GLOB)/g' \
+	      -e 's|@''HAVE_GLOB''@|$(HAVE_GLOB)|g' \
+	      -e 's|@''HAVE_GLOB_PATTERN_P''@|$(HAVE_GLOB_PATTERN_P)|g' \
+	      -e 's|@''REPLACE_GLOB''@|$(REPLACE_GLOB)|g' \
+	      -e 's|@''REPLACE_GLOB_PATTERN_P''@|$(REPLACE_GLOB_PATTERN_P)|g' \
 	      -e '/definitions of _GL_FUNCDECL_RPL/r $(CXXDEFS_H)' \
+	      -e '/definition of _GL_ARG_NONNULL/r $(ARG_NONNULL_H)' \
+	      -e '/definition of _GL_WARN_ON_USE/r $(WARN_ON_USE_H)' \
 	      < $(srcdir)/glob.in.h; \
 	} > $@-t && \
-	mv -f $@-t $@
+	mv $@-t $@
+else
+glob.h: $(top_builddir)/config.status
+	rm -f $@
+endif
 MOSTLYCLEANFILES += glob.h glob.h-t
 
-EXTRA_DIST += glob-libc.h glob.c glob.in.h glob_internal.h glob_pattern_p.c globfree.c
+EXTRA_DIST += glob-libc.h glob.in.h
 
-EXTRA_libgnu_a_SOURCES += glob.c glob_pattern_p.c globfree.c
-
-## end   gnulib module glob
+## end   gnulib module glob-h
 
 ## begin gnulib module hard-locale
 
@@ -2127,6 +2194,7 @@ unistd.h: unistd.in.h $(top_builddir)/co
 	      -e 's/@''GNULIB_GETLOGIN''@/$(GNULIB_GETLOGIN)/g' \
 	      -e 's/@''GNULIB_GETLOGIN_R''@/$(GNULIB_GETLOGIN_R)/g' \
 	      -e 's/@''GNULIB_GETPAGESIZE''@/$(GNULIB_GETPAGESIZE)/g' \
+	      -e 's/@''GNULIB_GETPASS''@/$(GNULIB_GETPASS)/g' \
 	      -e 's/@''GNULIB_GETUSERSHELL''@/$(GNULIB_GETUSERSHELL)/g' \
 	      -e 's/@''GNULIB_GROUP_MEMBER''@/$(GNULIB_GROUP_MEMBER)/g' \
 	      -e 's/@''GNULIB_ISATTY''@/$(GNULIB_ISATTY)/g' \
@@ -2170,6 +2238,7 @@ unistd.h: unistd.in.h $(top_builddir)/co
 	      -e 's|@''HAVE_GETGROUPS''@|$(HAVE_GETGROUPS)|g' \
 	      -e 's|@''HAVE_GETHOSTNAME''@|$(HAVE_GETHOSTNAME)|g' \
 	      -e 's|@''HAVE_GETPAGESIZE''@|$(HAVE_GETPAGESIZE)|g' \
+	      -e 's|@''HAVE_GETPASS''@|$(HAVE_GETPASS)|g' \
 	      -e 's|@''HAVE_GROUP_MEMBER''@|$(HAVE_GROUP_MEMBER)|g' \
 	      -e 's|@''HAVE_LCHOWN''@|$(HAVE_LCHOWN)|g' \
 	      -e 's|@''HAVE_LINK''@|$(HAVE_LINK)|g' \
@@ -2213,6 +2282,7 @@ unistd.h: unistd.in.h $(top_builddir)/co
 	      -e 's|@''REPLACE_GETLOGIN_R''@|$(REPLACE_GETLOGIN_R)|g' \
 	      -e 's|@''REPLACE_GETGROUPS''@|$(REPLACE_GETGROUPS)|g' \
 	      -e 's|@''REPLACE_GETPAGESIZE''@|$(REPLACE_GETPAGESIZE)|g' \
+	      -e 's|@''REPLACE_GETPASS''@|$(REPLACE_GETPASS)|g' \
 	      -e 's|@''REPLACE_ISATTY''@|$(REPLACE_ISATTY)|g' \
 	      -e 's|@''REPLACE_LCHOWN''@|$(REPLACE_LCHOWN)|g' \
 	      -e 's|@''REPLACE_LINK''@|$(REPLACE_LINK)|g' \
@@ -2304,7 +2374,7 @@ BUILT_SOURCES += $(UTIME_H)
 # We need the following in order to create <utime.h> when the system
 # doesn't have one that works with the given compiler.
 if GL_GENERATE_UTIME_H
-utime.h: utime.in.h $(top_builddir)/config.status
+utime.h: utime.in.h $(top_builddir)/config.status $(CXXDEFS_H) $(ARG_NONNULL_H) $(WARN_ON_USE_H)
 	$(AM_V_GEN)rm -f $@-t $@ && \
 	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
 	  sed -e 's|@''GUARD_PREFIX''@|GL|g' \
diff -pruN 2.9.8-1/lib/Makefile.in 3.0-1/lib/Makefile.in
--- 2.9.8-1/lib/Makefile.in	2018-06-02 08:22:43.000000000 +0000
+++ 3.0-1/lib/Makefile.in	2018-09-09 09:47:49.000000000 +0000
@@ -35,7 +35,38 @@
 # the same distribution terms as the rest of that program.
 #
 # Generated by gnulib-tool.
-# Reproduce by: gnulib-tool --import --lib=libgnu --source-base=lib --m4-base=m4 --doc-base=doc --tests-base=tests --aux-dir=. --no-conditional-dependencies --no-libtool --macro-prefix=gl futimens getdelim getline getopt-gnu glob isblank iswblank lstat nl_langinfo regex sigaction snprintf-posix stdarg strcase strcasestr-simple strnlen sys_wait vsnprintf-posix wchar wctype-h wcwidth
+# Reproduce by:
+# gnulib-tool --import \
+#  --lib=libgnu \
+#  --source-base=lib \
+#  --m4-base=m4 \
+#  --doc-base=doc \
+#  --tests-base=tests \
+#  --aux-dir=. \
+#  --no-conditional-dependencies \
+#  --no-libtool \
+#  --macro-prefix=gl \
+#  futimens \
+#  getdelim \
+#  getline \
+#  getopt-gnu \
+#  glob \
+#  isblank \
+#  iswblank \
+#  lstat \
+#  nl_langinfo \
+#  regex \
+#  sigaction \
+#  snprintf-posix \
+#  stdarg \
+#  strcase \
+#  strcasestr-simple \
+#  strnlen \
+#  sys_wait \
+#  vsnprintf-posix \
+#  wchar \
+#  wctype-h \
+#  wcwidth
 
 
 
@@ -133,16 +164,16 @@ am__aclocal_m4_deps = $(top_srcdir)/m4/0
 	$(top_srcdir)/m4/extern-inline.m4 $(top_srcdir)/m4/fcntl-o.m4 \
 	$(top_srcdir)/m4/fcntl_h.m4 $(top_srcdir)/m4/flexmember.m4 \
 	$(top_srcdir)/m4/float_h.m4 $(top_srcdir)/m4/fnmatch.m4 \
-	$(top_srcdir)/m4/fpieee.m4 $(top_srcdir)/m4/frexp.m4 \
-	$(top_srcdir)/m4/frexpl.m4 $(top_srcdir)/m4/fstat.m4 \
-	$(top_srcdir)/m4/futimens.m4 $(top_srcdir)/m4/getdelim.m4 \
-	$(top_srcdir)/m4/getline.m4 $(top_srcdir)/m4/getlogin.m4 \
-	$(top_srcdir)/m4/getlogin_r.m4 $(top_srcdir)/m4/getopt.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gettime.m4 \
-	$(top_srcdir)/m4/gettimeofday.m4 $(top_srcdir)/m4/glibc21.m4 \
-	$(top_srcdir)/m4/glob.m4 $(top_srcdir)/m4/gnulib-common.m4 \
+	$(top_srcdir)/m4/fnmatch_h.m4 $(top_srcdir)/m4/fpieee.m4 \
+	$(top_srcdir)/m4/frexp.m4 $(top_srcdir)/m4/frexpl.m4 \
+	$(top_srcdir)/m4/fstat.m4 $(top_srcdir)/m4/futimens.m4 \
+	$(top_srcdir)/m4/getdelim.m4 $(top_srcdir)/m4/getline.m4 \
+	$(top_srcdir)/m4/getlogin.m4 $(top_srcdir)/m4/getlogin_r.m4 \
+	$(top_srcdir)/m4/getopt.m4 $(top_srcdir)/m4/gettext.m4 \
+	$(top_srcdir)/m4/gettime.m4 $(top_srcdir)/m4/gettimeofday.m4 \
+	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/glob.m4 \
+	$(top_srcdir)/m4/glob_h.m4 $(top_srcdir)/m4/gnulib-common.m4 \
 	$(top_srcdir)/m4/gnulib-comp.m4 \
-	$(top_srcdir)/m4/hard-locale.m4 \
 	$(top_srcdir)/m4/host-cpu-c-abi.m4 $(top_srcdir)/m4/iconv.m4 \
 	$(top_srcdir)/m4/include_next.m4 \
 	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/intmax_t.m4 \
@@ -383,6 +414,7 @@ GETOPT_CDEFS_H = @GETOPT_CDEFS_H@
 GETOPT_H = @GETOPT_H@
 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
 GLIBC21 = @GLIBC21@
+GLOB_H = @GLOB_H@
 GMSGFMT = @GMSGFMT@
 GMSGFMT_015 = @GMSGFMT_015@
 GNULIB_ACOSF = @GNULIB_ACOSF@
@@ -457,6 +489,7 @@ GNULIB_FMAL = @GNULIB_FMAL@
 GNULIB_FMOD = @GNULIB_FMOD@
 GNULIB_FMODF = @GNULIB_FMODF@
 GNULIB_FMODL = @GNULIB_FMODL@
+GNULIB_FNMATCH = @GNULIB_FNMATCH@
 GNULIB_FOPEN = @GNULIB_FOPEN@
 GNULIB_FPRINTF = @GNULIB_FPRINTF@
 GNULIB_FPRINTF_POSIX = @GNULIB_FPRINTF_POSIX@
@@ -492,9 +525,11 @@ GNULIB_GETLOADAVG = @GNULIB_GETLOADAVG@
 GNULIB_GETLOGIN = @GNULIB_GETLOGIN@
 GNULIB_GETLOGIN_R = @GNULIB_GETLOGIN_R@
 GNULIB_GETPAGESIZE = @GNULIB_GETPAGESIZE@
+GNULIB_GETPASS = @GNULIB_GETPASS@
 GNULIB_GETSUBOPT = @GNULIB_GETSUBOPT@
 GNULIB_GETTIMEOFDAY = @GNULIB_GETTIMEOFDAY@
 GNULIB_GETUSERSHELL = @GNULIB_GETUSERSHELL@
+GNULIB_GLOB = @GNULIB_GLOB@
 GNULIB_GL_UNISTD_H_GETOPT = @GNULIB_GL_UNISTD_H_GETOPT@
 GNULIB_GRANTPT = @GNULIB_GRANTPT@
 GNULIB_GROUP_MEMBER = @GNULIB_GROUP_MEMBER@
@@ -878,6 +913,8 @@ HAVE_FMAF = @HAVE_FMAF@
 HAVE_FMAL = @HAVE_FMAL@
 HAVE_FMODF = @HAVE_FMODF@
 HAVE_FMODL = @HAVE_FMODL@
+HAVE_FNMATCH = @HAVE_FNMATCH@
+HAVE_FNMATCH_H = @HAVE_FNMATCH_H@
 HAVE_FREXPF = @HAVE_FREXPF@
 HAVE_FSEEKO = @HAVE_FSEEKO@
 HAVE_FSTATAT = @HAVE_FSTATAT@
@@ -891,8 +928,12 @@ HAVE_GETHOSTNAME = @HAVE_GETHOSTNAME@
 HAVE_GETLOGIN = @HAVE_GETLOGIN@
 HAVE_GETOPT_H = @HAVE_GETOPT_H@
 HAVE_GETPAGESIZE = @HAVE_GETPAGESIZE@
+HAVE_GETPASS = @HAVE_GETPASS@
 HAVE_GETSUBOPT = @HAVE_GETSUBOPT@
 HAVE_GETTIMEOFDAY = @HAVE_GETTIMEOFDAY@
+HAVE_GLOB = @HAVE_GLOB@
+HAVE_GLOB_H = @HAVE_GLOB_H@
+HAVE_GLOB_PATTERN_P = @HAVE_GLOB_PATTERN_P@
 HAVE_GRANTPT = @HAVE_GRANTPT@
 HAVE_GROUP_MEMBER = @HAVE_GROUP_MEMBER@
 HAVE_HYPOTF = @HAVE_HYPOTF@
@@ -1143,6 +1184,7 @@ NEXT_AS_FIRST_DIRECTIVE_DIRENT_H = @NEXT
 NEXT_AS_FIRST_DIRECTIVE_ERRNO_H = @NEXT_AS_FIRST_DIRECTIVE_ERRNO_H@
 NEXT_AS_FIRST_DIRECTIVE_FCNTL_H = @NEXT_AS_FIRST_DIRECTIVE_FCNTL_H@
 NEXT_AS_FIRST_DIRECTIVE_FLOAT_H = @NEXT_AS_FIRST_DIRECTIVE_FLOAT_H@
+NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H = @NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H@
 NEXT_AS_FIRST_DIRECTIVE_GETOPT_H = @NEXT_AS_FIRST_DIRECTIVE_GETOPT_H@
 NEXT_AS_FIRST_DIRECTIVE_GLOB_H = @NEXT_AS_FIRST_DIRECTIVE_GLOB_H@
 NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H = @NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H@
@@ -1171,6 +1213,7 @@ NEXT_DIRENT_H = @NEXT_DIRENT_H@
 NEXT_ERRNO_H = @NEXT_ERRNO_H@
 NEXT_FCNTL_H = @NEXT_FCNTL_H@
 NEXT_FLOAT_H = @NEXT_FLOAT_H@
+NEXT_FNMATCH_H = @NEXT_FNMATCH_H@
 NEXT_GETOPT_H = @NEXT_GETOPT_H@
 NEXT_GLOB_H = @NEXT_GLOB_H@
 NEXT_LANGINFO_H = @NEXT_LANGINFO_H@
@@ -1258,6 +1301,7 @@ REPLACE_FMAL = @REPLACE_FMAL@
 REPLACE_FMOD = @REPLACE_FMOD@
 REPLACE_FMODF = @REPLACE_FMODF@
 REPLACE_FMODL = @REPLACE_FMODL@
+REPLACE_FNMATCH = @REPLACE_FNMATCH@
 REPLACE_FOPEN = @REPLACE_FOPEN@
 REPLACE_FPRINTF = @REPLACE_FPRINTF@
 REPLACE_FPURGE = @REPLACE_FPURGE@
@@ -1281,8 +1325,10 @@ REPLACE_GETGROUPS = @REPLACE_GETGROUPS@
 REPLACE_GETLINE = @REPLACE_GETLINE@
 REPLACE_GETLOGIN_R = @REPLACE_GETLOGIN_R@
 REPLACE_GETPAGESIZE = @REPLACE_GETPAGESIZE@
+REPLACE_GETPASS = @REPLACE_GETPASS@
 REPLACE_GETTIMEOFDAY = @REPLACE_GETTIMEOFDAY@
 REPLACE_GLOB = @REPLACE_GLOB@
+REPLACE_GLOB_PATTERN_P = @REPLACE_GLOB_PATTERN_P@
 REPLACE_GMTIME = @REPLACE_GMTIME@
 REPLACE_HUGE_VAL = @REPLACE_HUGE_VAL@
 REPLACE_HYPOT = @REPLACE_HYPOT@
@@ -1530,12 +1576,12 @@ noinst_LTLIBRARIES =
 EXTRA_DIST = alloca.c alloca.in.h btowc.c closedir.c dirent-private.h \
 	ctype.in.h dirent.in.h dirfd.c dosname.h errno.in.h fcntl.in.h \
 	filename.h flexmember.h float.c float.in.h itold.c fnmatch.c \
-	fnmatch.in.h fnmatch_loop.c fpucw.h frexp.c frexp.c frexpl.c \
+	fnmatch_loop.c fnmatch.in.h fpucw.h frexp.c frexp.c frexpl.c \
 	fstat.c stat-w32.c stat-w32.h futimens.c getdelim.c getline.c \
 	getlogin_r.c getopt-cdefs.in.h getopt-core.h getopt-ext.h \
 	getopt-pfx-core.h getopt-pfx-ext.h getopt.c getopt.in.h \
-	getopt1.c getopt_int.h gettimeofday.c glob-libc.h glob.c \
-	glob.in.h glob_internal.h glob_pattern_p.c globfree.c \
+	getopt1.c getopt_int.h gettimeofday.c glob.c glob_internal.h \
+	glob_pattern_p.c globfree.c glob-libc.h glob.in.h \
 	hard-locale.h $(top_srcdir)/./config.rpath intprops.h \
 	isblank.c float+.h isnan.c isnand-nolibm.h isnand.c float+.h \
 	isnan.c isnanf-nolibm.h isnanf.c float+.h isnan.c \
@@ -1565,12 +1611,12 @@ EXTRA_DIST = alloca.c alloca.in.h btowc.
 	verify.h vsnprintf.c wchar.in.h wcrtomb.c wctype.in.h \
 	wcwidth.c xalloc-oversized.h
 BUILT_SOURCES = $(ALLOCA_H) ctype.h dirent.h $(ERRNO_H) fcntl.h \
-	$(FLOAT_H) $(FNMATCH_H) $(GETOPT_H) $(GETOPT_CDEFS_H) glob.h \
-	langinfo.h $(LIMITS_H) locale.h math.h signal.h $(STDARG_H) \
-	$(STDBOOL_H) $(STDDEF_H) $(STDINT_H) stdio.h stdlib.h string.h \
-	strings.h sys/stat.h sys/time.h sys/types.h sys/wait.h time.h \
-	unistd.h $(LIBUNISTRING_UNITYPES_H) $(LIBUNISTRING_UNIWIDTH_H) \
-	$(UTIME_H) wchar.h wctype.h
+	$(FLOAT_H) $(FNMATCH_H) $(GETOPT_H) $(GETOPT_CDEFS_H) \
+	$(GLOB_H) langinfo.h $(LIMITS_H) locale.h math.h signal.h \
+	$(STDARG_H) $(STDBOOL_H) $(STDDEF_H) $(STDINT_H) stdio.h \
+	stdlib.h string.h strings.h sys/stat.h sys/time.h sys/types.h \
+	sys/wait.h time.h unistd.h $(LIBUNISTRING_UNITYPES_H) \
+	$(LIBUNISTRING_UNIWIDTH_H) $(UTIME_H) wchar.h wctype.h
 SUFFIXES = 
 MOSTLYCLEANFILES = core *.stackdump alloca.h alloca.h-t ctype.h \
 	ctype.h-t dirent.h dirent.h-t errno.h errno.h-t fcntl.h \
@@ -2267,21 +2313,31 @@ fcntl.h: fcntl.in.h $(top_builddir)/conf
 @GL_GENERATE_FLOAT_H_FALSE@float.h: $(top_builddir)/config.status
 @GL_GENERATE_FLOAT_H_FALSE@	rm -f $@
 
-# We need the following in order to create <fnmatch.h> when the system
-# doesn't have one that supports the required API.
-@GL_GENERATE_FNMATCH_H_TRUE@fnmatch.h: fnmatch.in.h $(top_builddir)/config.status $(ARG_NONNULL_H)
+# We need the following in order to create <fnmatch.h>.
+@GL_GENERATE_FNMATCH_H_TRUE@fnmatch.h: fnmatch.in.h $(top_builddir)/config.status $(CXXDEFS_H) $(ARG_NONNULL_H) $(WARN_ON_USE_H)
 @GL_GENERATE_FNMATCH_H_TRUE@	$(AM_V_GEN)rm -f $@-t $@ && \
-@GL_GENERATE_FNMATCH_H_TRUE@	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
-@GL_GENERATE_FNMATCH_H_TRUE@	  sed -e '/definition of _GL_ARG_NONNULL/r $(ARG_NONNULL_H)' \
+@GL_GENERATE_FNMATCH_H_TRUE@	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
+@GL_GENERATE_FNMATCH_H_TRUE@	  sed -e 's|@''GUARD_PREFIX''@|GL|g' \
+@GL_GENERATE_FNMATCH_H_TRUE@	      -e 's|@''HAVE_FNMATCH_H''@|$(HAVE_FNMATCH_H)|g' \
+@GL_GENERATE_FNMATCH_H_TRUE@	      -e 's|@''INCLUDE_NEXT''@|$(INCLUDE_NEXT)|g' \
+@GL_GENERATE_FNMATCH_H_TRUE@	      -e 's|@''PRAGMA_SYSTEM_HEADER''@|@PRAGMA_SYSTEM_HEADER@|g' \
+@GL_GENERATE_FNMATCH_H_TRUE@	      -e 's|@''PRAGMA_COLUMNS''@|@PRAGMA_COLUMNS@|g' \
+@GL_GENERATE_FNMATCH_H_TRUE@	      -e 's|@''NEXT_FNMATCH_H''@|$(NEXT_FNMATCH_H)|g' \
+@GL_GENERATE_FNMATCH_H_TRUE@	      -e 's/@''GNULIB_FNMATCH''@/$(GNULIB_FNMATCH)/g' \
+@GL_GENERATE_FNMATCH_H_TRUE@	      -e 's|@''HAVE_FNMATCH''@|$(HAVE_FNMATCH)|g' \
+@GL_GENERATE_FNMATCH_H_TRUE@	      -e 's|@''REPLACE_FNMATCH''@|$(REPLACE_FNMATCH)|g' \
+@GL_GENERATE_FNMATCH_H_TRUE@	      -e '/definitions of _GL_FUNCDECL_RPL/r $(CXXDEFS_H)' \
+@GL_GENERATE_FNMATCH_H_TRUE@	      -e '/definition of _GL_ARG_NONNULL/r $(ARG_NONNULL_H)' \
+@GL_GENERATE_FNMATCH_H_TRUE@	      -e '/definition of _GL_WARN_ON_USE/r $(WARN_ON_USE_H)' \
 @GL_GENERATE_FNMATCH_H_TRUE@	      < $(srcdir)/fnmatch.in.h; \
 @GL_GENERATE_FNMATCH_H_TRUE@	} > $@-t && \
-@GL_GENERATE_FNMATCH_H_TRUE@	mv -f $@-t $@
+@GL_GENERATE_FNMATCH_H_TRUE@	mv $@-t $@
 @GL_GENERATE_FNMATCH_H_FALSE@fnmatch.h: $(top_builddir)/config.status
 @GL_GENERATE_FNMATCH_H_FALSE@	rm -f $@
 
 # We need the following in order to create <getopt.h> when the system
 # doesn't have one that works with the given compiler.
-getopt.h: getopt.in.h $(top_builddir)/config.status
+getopt.h: getopt.in.h $(top_builddir)/config.status $(ARG_NONNULL_H)
 	$(AM_V_GEN)rm -f $@-t $@ && \
 	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
 	  sed -e 's|@''GUARD_PREFIX''@|GL|g' \
@@ -2304,19 +2360,28 @@ getopt-cdefs.h: getopt-cdefs.in.h $(top_
 	mv -f $@-t $@
 
 # We need the following in order to create <glob.h>.
-glob.h: glob.in.h $(top_builddir)/config.status $(CXXDEFS_H)
-	$(AM_V_GEN)rm -f $@-t $@ && \
-	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
-	  sed -e 's|@''GUARD_PREFIX''@|GL|g' \
-	      -e 's|@''REPLACE_GLOB''@|$(REPLACE_GLOB)|g' \
-	      -e 's|@''INCLUDE_NEXT''@|$(INCLUDE_NEXT)|g' \
-	      -e 's|@''PRAGMA_SYSTEM_HEADER''@|@PRAGMA_SYSTEM_HEADER@|g' \
-	      -e 's|@''PRAGMA_COLUMNS''@|@PRAGMA_COLUMNS@|g' \
-	      -e 's|@''NEXT_GLOB_H''@|$(NEXT_GLOB_H)|g' \
-	      -e '/definitions of _GL_FUNCDECL_RPL/r $(CXXDEFS_H)' \
-	      < $(srcdir)/glob.in.h; \
-	} > $@-t && \
-	mv -f $@-t $@
+@GL_GENERATE_GLOB_H_TRUE@glob.h: glob.in.h $(top_builddir)/config.status $(CXXDEFS_H) $(ARG_NONNULL_H) $(WARN_ON_USE_H)
+@GL_GENERATE_GLOB_H_TRUE@	$(AM_V_GEN)rm -f $@-t $@ && \
+@GL_GENERATE_GLOB_H_TRUE@	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
+@GL_GENERATE_GLOB_H_TRUE@	  sed -e 's|@''GUARD_PREFIX''@|GL|g' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e 's|@''HAVE_GLOB_H''@|$(HAVE_GLOB_H)|g' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e 's|@''INCLUDE_NEXT''@|$(INCLUDE_NEXT)|g' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e 's|@''PRAGMA_SYSTEM_HEADER''@|@PRAGMA_SYSTEM_HEADER@|g' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e 's|@''PRAGMA_COLUMNS''@|@PRAGMA_COLUMNS@|g' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e 's|@''NEXT_GLOB_H''@|$(NEXT_GLOB_H)|g' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e 's/@''GNULIB_GLOB''@/$(GNULIB_GLOB)/g' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e 's|@''HAVE_GLOB''@|$(HAVE_GLOB)|g' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e 's|@''HAVE_GLOB_PATTERN_P''@|$(HAVE_GLOB_PATTERN_P)|g' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e 's|@''REPLACE_GLOB''@|$(REPLACE_GLOB)|g' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e 's|@''REPLACE_GLOB_PATTERN_P''@|$(REPLACE_GLOB_PATTERN_P)|g' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e '/definitions of _GL_FUNCDECL_RPL/r $(CXXDEFS_H)' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e '/definition of _GL_ARG_NONNULL/r $(ARG_NONNULL_H)' \
+@GL_GENERATE_GLOB_H_TRUE@	      -e '/definition of _GL_WARN_ON_USE/r $(WARN_ON_USE_H)' \
+@GL_GENERATE_GLOB_H_TRUE@	      < $(srcdir)/glob.in.h; \
+@GL_GENERATE_GLOB_H_TRUE@	} > $@-t && \
+@GL_GENERATE_GLOB_H_TRUE@	mv $@-t $@
+@GL_GENERATE_GLOB_H_FALSE@glob.h: $(top_builddir)/config.status
+@GL_GENERATE_GLOB_H_FALSE@	rm -f $@
 
 # We need the following in order to create an empty placeholder for
 # <langinfo.h> when the system doesn't have one.
@@ -3320,6 +3385,7 @@ unistd.h: unistd.in.h $(top_builddir)/co
 	      -e 's/@''GNULIB_GETLOGIN''@/$(GNULIB_GETLOGIN)/g' \
 	      -e 's/@''GNULIB_GETLOGIN_R''@/$(GNULIB_GETLOGIN_R)/g' \
 	      -e 's/@''GNULIB_GETPAGESIZE''@/$(GNULIB_GETPAGESIZE)/g' \
+	      -e 's/@''GNULIB_GETPASS''@/$(GNULIB_GETPASS)/g' \
 	      -e 's/@''GNULIB_GETUSERSHELL''@/$(GNULIB_GETUSERSHELL)/g' \
 	      -e 's/@''GNULIB_GROUP_MEMBER''@/$(GNULIB_GROUP_MEMBER)/g' \
 	      -e 's/@''GNULIB_ISATTY''@/$(GNULIB_ISATTY)/g' \
@@ -3363,6 +3429,7 @@ unistd.h: unistd.in.h $(top_builddir)/co
 	      -e 's|@''HAVE_GETGROUPS''@|$(HAVE_GETGROUPS)|g' \
 	      -e 's|@''HAVE_GETHOSTNAME''@|$(HAVE_GETHOSTNAME)|g' \
 	      -e 's|@''HAVE_GETPAGESIZE''@|$(HAVE_GETPAGESIZE)|g' \
+	      -e 's|@''HAVE_GETPASS''@|$(HAVE_GETPASS)|g' \
 	      -e 's|@''HAVE_GROUP_MEMBER''@|$(HAVE_GROUP_MEMBER)|g' \
 	      -e 's|@''HAVE_LCHOWN''@|$(HAVE_LCHOWN)|g' \
 	      -e 's|@''HAVE_LINK''@|$(HAVE_LINK)|g' \
@@ -3406,6 +3473,7 @@ unistd.h: unistd.in.h $(top_builddir)/co
 	      -e 's|@''REPLACE_GETLOGIN_R''@|$(REPLACE_GETLOGIN_R)|g' \
 	      -e 's|@''REPLACE_GETGROUPS''@|$(REPLACE_GETGROUPS)|g' \
 	      -e 's|@''REPLACE_GETPAGESIZE''@|$(REPLACE_GETPAGESIZE)|g' \
+	      -e 's|@''REPLACE_GETPASS''@|$(REPLACE_GETPASS)|g' \
 	      -e 's|@''REPLACE_ISATTY''@|$(REPLACE_ISATTY)|g' \
 	      -e 's|@''REPLACE_LCHOWN''@|$(REPLACE_LCHOWN)|g' \
 	      -e 's|@''REPLACE_LINK''@|$(REPLACE_LINK)|g' \
@@ -3450,7 +3518,7 @@ uniwidth.h: uniwidth.in.h
 
 # We need the following in order to create <utime.h> when the system
 # doesn't have one that works with the given compiler.
-@GL_GENERATE_UTIME_H_TRUE@utime.h: utime.in.h $(top_builddir)/config.status
+@GL_GENERATE_UTIME_H_TRUE@utime.h: utime.in.h $(top_builddir)/config.status $(CXXDEFS_H) $(ARG_NONNULL_H) $(WARN_ON_USE_H)
 @GL_GENERATE_UTIME_H_TRUE@	$(AM_V_GEN)rm -f $@-t $@ && \
 @GL_GENERATE_UTIME_H_TRUE@	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
 @GL_GENERATE_UTIME_H_TRUE@	  sed -e 's|@''GUARD_PREFIX''@|GL|g' \
diff -pruN 2.9.8-1/lib/math.in.h 3.0-1/lib/math.in.h
--- 2.9.8-1/lib/math.in.h	2018-06-02 08:21:02.000000000 +0000
+++ 3.0-1/lib/math.in.h	2018-09-09 09:46:29.000000000 +0000
@@ -92,27 +92,27 @@ _GL_END_NAMESPACE
    classification macros with an argument of real-floating (that is,
    one of float, double, or long double).  */
 #define _GL_WARN_REAL_FLOATING_DECL(func) \
-_GL_MATH_INLINE int                                                 \
-rpl_ ## func ## f (float f)                                         \
-{                                                                   \
-  return func (f);                                                  \
-}                                                                   \
-_GL_MATH_INLINE int                                                 \
-rpl_ ## func ## d (double d)                                        \
-{                                                                   \
-  return func (d);                                                  \
-}                                                                   \
-_GL_MATH_INLINE int                                                 \
-rpl_ ## func ## l (long double l)                                   \
-{                                                                   \
-  return func (l);                                                  \
-}                                                                   \
-_GL_WARN_ON_USE (rpl_ ## func ## f, #func " is unportable - "       \
-                 "use gnulib module " #func " for portability");    \
-_GL_WARN_ON_USE (rpl_ ## func ## d, #func " is unportable - "       \
-                 "use gnulib module " #func " for portability");    \
-_GL_WARN_ON_USE (rpl_ ## func ## l, #func " is unportable - "       \
-                 "use gnulib module " #func " for portability")
+_GL_MATH_INLINE int                                                       \
+_GL_WARN_ON_USE_ATTRIBUTE (#func " is unportable - "                      \
+                           "use gnulib module " #func " for portability") \
+rpl_ ## func ## f (float f)                                               \
+{                                                                         \
+  return func (f);                                                        \
+}                                                                         \
+_GL_MATH_INLINE int                                                       \
+_GL_WARN_ON_USE_ATTRIBUTE (#func " is unportable - "                      \
+                           "use gnulib module " #func " for portability") \
+rpl_ ## func ## d (double d)                                              \
+{                                                                         \
+  return func (d);                                                        \
+}                                                                         \
+_GL_MATH_INLINE int                                                       \
+_GL_WARN_ON_USE_ATTRIBUTE (#func " is unportable - "                      \
+                           "use gnulib module " #func " for portability") \
+rpl_ ## func ## l (long double l)                                         \
+{                                                                         \
+  return func (l);                                                        \
+}
 #define _GL_WARN_REAL_FLOATING_IMPL(func, value) \
   (sizeof (value) == sizeof (float) ? rpl_ ## func ## f (value)     \
    : sizeof (value) == sizeof (double) ? rpl_ ## func ## d (value)  \
diff -pruN 2.9.8-1/lib/mbrtowc.c 3.0-1/lib/mbrtowc.c
--- 2.9.8-1/lib/mbrtowc.c	2018-06-02 08:21:02.000000000 +0000
+++ 3.0-1/lib/mbrtowc.c	2018-09-09 09:46:29.000000000 +0000
@@ -35,12 +35,60 @@
 # include "streq.h"
 # include "verify.h"
 
-#ifndef FALLTHROUGH
-# if __GNUC__ < 7
-#  define FALLTHROUGH ((void) 0)
-# else
-#  define FALLTHROUGH __attribute__ ((__fallthrough__))
+# ifndef FALLTHROUGH
+#  if __GNUC__ < 7
+#   define FALLTHROUGH ((void) 0)
+#  else
+#   define FALLTHROUGH __attribute__ ((__fallthrough__))
+#  endif
 # endif
+
+/* Returns a classification of special values of the encoding of the current
+   locale.  */
+typedef enum {
+  enc_other,      /* other */
+  enc_utf8,       /* UTF-8 */
+  enc_eucjp,      /* EUC-JP */
+  enc_94,         /* EUC-KR, GB2312, BIG5 */
+  enc_euctw,      /* EUC-TW */
+  enc_gb18030,    /* GB18030 */
+  enc_sjis        /* SJIS */
+} enc_t;
+static inline enc_t
+locale_enc (void)
+{
+  const char *encoding = locale_charset ();
+  if (STREQ_OPT (encoding, "UTF-8", 'U', 'T', 'F', '-', '8', 0, 0, 0, 0))
+    return enc_utf8;
+  if (STREQ_OPT (encoding, "EUC-JP", 'E', 'U', 'C', '-', 'J', 'P', 0, 0, 0))
+    return enc_eucjp;
+  if (STREQ_OPT (encoding, "EUC-KR", 'E', 'U', 'C', '-', 'K', 'R', 0, 0, 0)
+      || STREQ_OPT (encoding, "GB2312", 'G', 'B', '2', '3', '1', '2', 0, 0, 0)
+      || STREQ_OPT (encoding, "BIG5", 'B', 'I', 'G', '5', 0, 0, 0, 0, 0))
+    return enc_94;
+  if (STREQ_OPT (encoding, "EUC-TW", 'E', 'U', 'C', '-', 'T', 'W', 0, 0, 0))
+    return enc_euctw;
+  if (STREQ_OPT (encoding, "GB18030", 'G', 'B', '1', '8', '0', '3', '0', 0, 0))
+    return enc_gb18030;
+  if (STREQ_OPT (encoding, "SJIS", 'S', 'J', 'I', 'S', 0, 0, 0, 0, 0))
+    return enc_sjis;
+  return enc_other;
+}
+
+#if GNULIB_WCHAR_SINGLE
+/* When we know that the locale does not change, provide a speedup by
+   caching the value of locale_enc.  */
+static int cached_locale_enc = -1;
+static inline enc_t
+locale_enc_cached (void)
+{
+  if (cached_locale_enc < 0)
+    cached_locale_enc = locale_enc ();
+  return cached_locale_enc;
+}
+#else
+/* By default, don't make assumptions, hence no caching.  */
+# define locale_enc_cached locale_enc
 #endif
 
 verify (sizeof (mbstate_t) >= 4);
@@ -137,10 +185,9 @@ mbrtowc (wchar_t *pwc, const char *s, si
       if (m >= 4 || m >= MB_CUR_MAX)
         goto invalid;
       /* Here MB_CUR_MAX > 1 and 0 < m < 4.  */
-      {
-        const char *encoding = locale_charset ();
-
-        if (STREQ_OPT (encoding, "UTF-8", 'U', 'T', 'F', '-', '8', 0, 0, 0, 0))
+      switch (locale_enc_cached ())
+        {
+        case enc_utf8: /* UTF-8 */
           {
             /* Cf. unistr/u8-mblen.c.  */
             unsigned char c = (unsigned char) p[0];
@@ -197,8 +244,7 @@ mbrtowc (wchar_t *pwc, const char *s, si
         /* As a reference for this code, you can use the GNU libiconv
            implementation.  Look for uses of the RET_TOOFEW macro.  */
 
-        if (STREQ_OPT (encoding,
-                       "EUC-JP", 'E', 'U', 'C', '-', 'J', 'P', 0, 0, 0))
+        case enc_eucjp: /* EUC-JP */
           {
             if (m == 1)
               {
@@ -221,12 +267,8 @@ mbrtowc (wchar_t *pwc, const char *s, si
               }
             goto invalid;
           }
-        if (STREQ_OPT (encoding,
-                       "EUC-KR", 'E', 'U', 'C', '-', 'K', 'R', 0, 0, 0)
-            || STREQ_OPT (encoding,
-                          "GB2312", 'G', 'B', '2', '3', '1', '2', 0, 0, 0)
-            || STREQ_OPT (encoding,
-                          "BIG5", 'B', 'I', 'G', '5', 0, 0, 0, 0, 0))
+
+        case enc_94: /* EUC-KR, GB2312, BIG5 */
           {
             if (m == 1)
               {
@@ -237,8 +279,8 @@ mbrtowc (wchar_t *pwc, const char *s, si
               }
             goto invalid;
           }
-        if (STREQ_OPT (encoding,
-                       "EUC-TW", 'E', 'U', 'C', '-', 'T', 'W', 0, 0, 0))
+
+        case enc_euctw: /* EUC-TW */
           {
             if (m == 1)
               {
@@ -256,8 +298,8 @@ mbrtowc (wchar_t *pwc, const char *s, si
               }
             goto invalid;
           }
-        if (STREQ_OPT (encoding,
-                       "GB18030", 'G', 'B', '1', '8', '0', '3', '0', 0, 0))
+
+        case enc_gb18030: /* GB18030 */
           {
             if (m == 1)
               {
@@ -290,7 +332,8 @@ mbrtowc (wchar_t *pwc, const char *s, si
               }
             goto invalid;
           }
-        if (STREQ_OPT (encoding, "SJIS", 'S', 'J', 'I', 'S', 0, 0, 0, 0, 0))
+
+        case enc_sjis: /* SJIS */
           {
             if (m == 1)
               {
@@ -303,9 +346,10 @@ mbrtowc (wchar_t *pwc, const char *s, si
             goto invalid;
           }
 
-        /* An unknown multibyte encoding.  */
-        goto incomplete;
-      }
+        default:
+          /* An unknown multibyte encoding.  */
+          goto incomplete;
+        }
 
      incomplete:
       {
diff -pruN 2.9.8-1/lib/regcomp.c 3.0-1/lib/regcomp.c
--- 2.9.8-1/lib/regcomp.c	2018-06-02 08:21:03.000000000 +0000
+++ 3.0-1/lib/regcomp.c	2018-09-09 09:46:29.000000000 +0000
@@ -2650,10 +2650,6 @@ parse_dup_op (bin_tree_t *elem, re_strin
   if (BE (tree == NULL, 0))
     goto parse_dup_op_espace;
 
-/* From gnulib's "intprops.h":
-   True if the arithmetic type T is signed.  */
-#define TYPE_SIGNED(t) (! ((t) 0 < (t) -1))
-
   /* This loop is actually executed only when end != -1,
      to rewrite <re>{0,n} as (<re>(<re>...<re>?)?)?...  We have
      already created the start+1-th copy.  */
@@ -2688,15 +2684,14 @@ parse_dup_op (bin_tree_t *elem, re_strin
 
 # ifdef RE_ENABLE_I18N
 /* Convert the byte B to the corresponding wide character.  In a
-   unibyte locale, treat B as itself if it is an encoding error.
-   In a multibyte locale, return WEOF if B is an encoding error.  */
+   unibyte locale, treat B as itself.  In a multibyte locale, return
+   WEOF if B is an encoding error.  */
 static wint_t
 parse_byte (unsigned char b, re_charset_t *mbcset)
 {
-  wint_t wc = __btowc (b);
-  return wc == WEOF && !mbcset ? b : wc;
+  return mbcset == NULL ? b : __btowc (b);
 }
-#endif
+# endif
 
   /* Local function for parse_bracket_exp only used in case of NOT _LIBC.
      Build the range expression which starts from START_ELEM, and ends
@@ -3535,18 +3530,10 @@ build_equiv_class (bitset_t sbcset, cons
 	    continue;
 	  /* Compare only if the length matches and the collation rule
 	     index is the same.  */
-	  if (len == weights[idx2 & 0xffffff] && (idx1 >> 24) == (idx2 >> 24))
-	    {
-	      int cnt = 0;
-
-	      while (cnt <= len &&
-		     weights[(idx1 & 0xffffff) + 1 + cnt]
-		     == weights[(idx2 & 0xffffff) + 1 + cnt])
-		++cnt;
-
-	      if (cnt > len)
-		bitset_set (sbcset, ch);
-	    }
+	  if (len == weights[idx2 & 0xffffff] && (idx1 >> 24) == (idx2 >> 24)
+	      && memcmp (weights + (idx1 & 0xffffff) + 1,
+			 weights + (idx2 & 0xffffff) + 1, len) == 0)
+	    bitset_set (sbcset, ch);
 	}
       /* Check whether the array has enough space.  */
       if (BE (*equiv_class_alloc == mbcset->nequiv_classes, 0))
@@ -3806,9 +3793,9 @@ free_charset (re_charset_t *cset)
 # ifdef _LIBC
   re_free (cset->coll_syms);
   re_free (cset->equiv_classes);
+# endif
   re_free (cset->range_starts);
   re_free (cset->range_ends);
-# endif
   re_free (cset->char_classes);
   re_free (cset);
 }
diff -pruN 2.9.8-1/lib/regexec.c 3.0-1/lib/regexec.c
--- 2.9.8-1/lib/regexec.c	2018-06-02 08:21:03.000000000 +0000
+++ 3.0-1/lib/regexec.c	2018-09-09 09:46:30.000000000 +0000
@@ -3878,30 +3878,27 @@ check_node_accept_bytes (const re_dfa_t
 	      indirect = (const int32_t *)
 		_NL_CURRENT (LC_COLLATE, _NL_COLLATE_INDIRECTMB);
 	      int32_t idx = findidx (table, indirect, extra, &cp, elem_len);
+	      int32_t rule = idx >> 24;
+	      idx &= 0xffffff;
 	      if (idx > 0)
-		for (i = 0; i < cset->nequiv_classes; ++i)
-		  {
-		    int32_t equiv_class_idx = cset->equiv_classes[i];
-		    size_t weight_len = weights[idx & 0xffffff];
-		    if (weight_len == weights[equiv_class_idx & 0xffffff]
-			&& (idx >> 24) == (equiv_class_idx >> 24))
-		      {
-			Idx cnt = 0;
-
-			idx &= 0xffffff;
-			equiv_class_idx &= 0xffffff;
-
-			while (cnt <= weight_len
-			       && (weights[equiv_class_idx + 1 + cnt]
-				   == weights[idx + 1 + cnt]))
-			  ++cnt;
-			if (cnt > weight_len)
-			  {
-			    match_len = elem_len;
-			    goto check_node_accept_bytes_match;
-			  }
-		      }
-		  }
+		{
+		  size_t weight_len = weights[idx];
+		  for (i = 0; i < cset->nequiv_classes; ++i)
+		    {
+		      int32_t equiv_class_idx = cset->equiv_classes[i];
+		      int32_t equiv_class_rule = equiv_class_idx >> 24;
+		      equiv_class_idx &= 0xffffff;
+		      if (weights[equiv_class_idx] == weight_len
+			  && equiv_class_rule == rule
+			  && memcmp (weights + idx + 1,
+				     weights + equiv_class_idx + 1,
+				     weight_len) == 0)
+			{
+			  match_len = elem_len;
+			  goto check_node_accept_bytes_match;
+			}
+		    }
+		}
 	    }
 	}
       else
diff -pruN 2.9.8-1/lib/regex.h 3.0-1/lib/regex.h
--- 2.9.8-1/lib/regex.h	2018-06-02 08:21:03.000000000 +0000
+++ 3.0-1/lib/regex.h	2018-09-09 09:46:30.000000000 +0000
@@ -1,7 +1,6 @@
 /* Definitions for data structures and routines for the regular
    expression library.
-   Copyright (C) 1985, 1989-1993, 1995-1998, 2000-2003, 2005-2018 Free Software
-   Foundation, Inc.
+   Copyright (C) 1985, 1989-2018 Free Software Foundation, Inc.
    This file is part of the GNU C Library.
 
    The GNU C Library is free software; you can redistribute it and/or
@@ -608,28 +607,28 @@ extern int re_exec (const char *);
 # endif
 #endif
 
-/* GCC 2.95 and later have "__restrict"; C99 compilers have
+/* For plain 'restrict', use glibc's __restrict if defined.
+   Otherwise, GCC 2.95 and later have "__restrict"; C99 compilers have
    "restrict", and "configure" may have defined "restrict".
    Other compilers use __restrict, __restrict__, and _Restrict, and
    'configure' might #define 'restrict' to those words, so pick a
    different name.  */
 #ifndef _Restrict_
-# if 199901L <= __STDC_VERSION__
-#  define _Restrict_ restrict
-# elif 2 < __GNUC__ || (2 == __GNUC__ && 95 <= __GNUC_MINOR__)
+# if defined __restrict || 2 < __GNUC__ + (95 <= __GNUC_MINOR__)
 #  define _Restrict_ __restrict
+# elif 199901L <= __STDC_VERSION__ || defined restrict
+#  define _Restrict_ restrict
 # else
 #  define _Restrict_
 # endif
 #endif
-/* gcc 3.1 and up support the [restrict] syntax.  Don't trust
-   sys/cdefs.h's definition of __restrict_arr, though, as it
-   mishandles gcc -ansi -pedantic.  */
+/* For [restrict], use glibc's __restrict_arr if available.
+   Otherwise, GCC 3.1 (not in C++ mode) and C99 support [restrict].  */
 #ifndef _Restrict_arr_
-# if ((199901L <= __STDC_VERSION__					\
-       || ((3 < __GNUC__ || (3 == __GNUC__ && 1 <= __GNUC_MINOR__))	\
-	   && !defined __STRICT_ANSI__))					\
-      && !defined __GNUG__)
+# ifdef __restrict_arr
+#  define _Restrict_arr_ __restrict_arr
+# elif ((199901L <= __STDC_VERSION__ || 3 < __GNUC__ + (1 <= __GNUC_MINOR__)) \
+        && !defined __GNUG__)
 #  define _Restrict_arr_ _Restrict_
 # else
 #  define _Restrict_arr_
diff -pruN 2.9.8-1/lib/regex_internal.c 3.0-1/lib/regex_internal.c
--- 2.9.8-1/lib/regex_internal.c	2018-06-02 08:21:03.000000000 +0000
+++ 3.0-1/lib/regex_internal.c	2018-09-09 09:46:30.000000000 +0000
@@ -28,6 +28,16 @@ static re_dfastate_t *create_cd_newstate
 					  const re_node_set *nodes,
 					  unsigned int context,
 					  re_hashval_t hash);
+static reg_errcode_t re_string_realloc_buffers (re_string_t *pstr,
+						Idx new_buf_len);
+#ifdef RE_ENABLE_I18N
+static void build_wcs_buffer (re_string_t *pstr);
+static reg_errcode_t build_wcs_upper_buffer (re_string_t *pstr);
+#endif /* RE_ENABLE_I18N */
+static void build_upper_buffer (re_string_t *pstr);
+static void re_string_translate_buffer (re_string_t *pstr);
+static unsigned int re_string_context_at (const re_string_t *input, Idx idx,
+					  int eflags) __attribute__ ((pure));
 
 /* Functions for string operation.  */
 
@@ -307,7 +317,7 @@ build_wcs_upper_buffer (re_string_t *pst
 	  mbclen = __mbrtowc (&wc,
 			      ((const char *) pstr->raw_mbs + pstr->raw_mbs_idx
 			       + byte_idx), remain_len, &pstr->cur_state);
-	  if (BE (mbclen < (size_t) -2, 1))
+	  if (BE (0 < mbclen && mbclen < (size_t) -2, 1))
 	    {
 	      wchar_t wcu = __towupper (wc);
 	      if (wcu != wc)
@@ -376,14 +386,14 @@ build_wcs_upper_buffer (re_string_t *pst
 	else
 	  p = (const char *) pstr->raw_mbs + pstr->raw_mbs_idx + src_idx;
 	mbclen = __mbrtowc (&wc, p, remain_len, &pstr->cur_state);
-	if (BE (mbclen < (size_t) -2, 1))
+	if (BE (0 < mbclen && mbclen < (size_t) -2, 1))
 	  {
 	    wchar_t wcu = __towupper (wc);
 	    if (wcu != wc)
 	      {
 		size_t mbcdlen;
 
-		mbcdlen = wcrtomb ((char *) buf, wcu, &prev_st);
+		mbcdlen = __wcrtomb ((char *) buf, wcu, &prev_st);
 		if (BE (mbclen == mbcdlen, 1))
 		  memcpy (pstr->mbs + byte_idx, buf, mbclen);
 		else if (mbcdlen != (size_t) -1)
diff -pruN 2.9.8-1/lib/regex_internal.h 3.0-1/lib/regex_internal.h
--- 2.9.8-1/lib/regex_internal.h	2018-06-02 08:21:03.000000000 +0000
+++ 3.0-1/lib/regex_internal.h	2018-09-09 09:46:30.000000000 +0000
@@ -33,13 +33,29 @@
 #include <stdbool.h>
 #include <stdint.h>
 
-#include "intprops.h"
+/* Properties of integers.  Although Gnulib has intprops.h, glibc does
+   without for now.  */
+#ifndef _LIBC
+# include "intprops.h"
+#else
+/* True if the real type T is signed.  */
+# define TYPE_SIGNED(t) (! ((t) 0 < (t) -1))
+
+/* True if adding the nonnegative Idx values A and B would overflow.
+   If false, set *R to A + B.  A, B, and R may be evaluated more than
+   once, or zero times.  Although this is not a full implementation of
+   Gnulib INT_ADD_WRAPV, it is good enough for glibc regex code.
+   FIXME: This implementation is a fragile stopgap, and this file would
+   be simpler and more robust if intprops.h were migrated into glibc.  */
+# define INT_ADD_WRAPV(a, b, r) \
+   (IDX_MAX - (a) < (b) ? true : (*(r) = (a) + (b), false))
+#endif
 
 #ifdef _LIBC
 # include <libc-lock.h>
 # define lock_define(name) __libc_lock_define (, name)
 # define lock_init(lock) (__libc_lock_init (lock), 0)
-# define lock_fini(lock) 0
+# define lock_fini(lock) ((void) 0)
 # define lock_lock(lock) __libc_lock_lock (lock)
 # define lock_unlock(lock) __libc_lock_unlock (lock)
 #elif defined GNULIB_LOCK && !defined USE_UNLOCKED_IO
@@ -133,7 +149,10 @@
 /* Rename to standard API for using out of glibc.  */
 #ifndef _LIBC
 # undef __wctype
+# undef __iswalnum
 # undef __iswctype
+# undef __towlower
+# undef __towupper
 # define __wctype wctype
 # define __iswalnum iswalnum
 # define __iswctype iswctype
@@ -441,17 +460,6 @@ typedef struct re_dfa_t re_dfa_t;
 # define IS_IN(libc) false
 #endif
 
-static reg_errcode_t re_string_realloc_buffers (re_string_t *pstr,
-						Idx new_buf_len);
-#ifdef RE_ENABLE_I18N
-static void build_wcs_buffer (re_string_t *pstr);
-static reg_errcode_t build_wcs_upper_buffer (re_string_t *pstr);
-#endif /* RE_ENABLE_I18N */
-static void build_upper_buffer (re_string_t *pstr);
-static void re_string_translate_buffer (re_string_t *pstr);
-static unsigned int re_string_context_at (const re_string_t *input, Idx idx,
-					  int eflags) __attribute__ ((pure));
-
 #define re_string_peek_byte(pstr, offset) \
   ((pstr)->mbs[(pstr)->cur_idx + offset])
 #define re_string_fetch_byte(pstr) \
@@ -757,31 +765,31 @@ typedef struct
 
 /* Functions for bitset_t operation.  */
 
-static void
+static inline void
 bitset_set (bitset_t set, Idx i)
 {
   set[i / BITSET_WORD_BITS] |= (bitset_word_t) 1 << i % BITSET_WORD_BITS;
 }
 
-static void
+static inline void
 bitset_clear (bitset_t set, Idx i)
 {
   set[i / BITSET_WORD_BITS] &= ~ ((bitset_word_t) 1 << i % BITSET_WORD_BITS);
 }
 
-static bool
+static inline bool
 bitset_contain (const bitset_t set, Idx i)
 {
   return (set[i / BITSET_WORD_BITS] >> i % BITSET_WORD_BITS) & 1;
 }
 
-static void
+static inline void
 bitset_empty (bitset_t set)
 {
   memset (set, '\0', sizeof (bitset_t));
 }
 
-static void
+static inline void
 bitset_set_all (bitset_t set)
 {
   memset (set, -1, sizeof (bitset_word_t) * (SBC_MAX / BITSET_WORD_BITS));
@@ -790,13 +798,13 @@ bitset_set_all (bitset_t set)
       ((bitset_word_t) 1 << SBC_MAX % BITSET_WORD_BITS) - 1;
 }
 
-static void
+static inline void
 bitset_copy (bitset_t dest, const bitset_t src)
 {
   memcpy (dest, src, sizeof (bitset_t));
 }
 
-static void __attribute__ ((unused))
+static inline void
 bitset_not (bitset_t set)
 {
   int bitset_i;
@@ -808,7 +816,7 @@ bitset_not (bitset_t set)
        & ~set[BITSET_WORDS - 1]);
 }
 
-static void __attribute__ ((unused))
+static inline void
 bitset_merge (bitset_t dest, const bitset_t src)
 {
   int bitset_i;
@@ -816,7 +824,7 @@ bitset_merge (bitset_t dest, const bitse
     dest[bitset_i] |= src[bitset_i];
 }
 
-static void __attribute__ ((unused))
+static inline void
 bitset_mask (bitset_t dest, const bitset_t src)
 {
   int bitset_i;
diff -pruN 2.9.8-1/lib/scratch_buffer.h 3.0-1/lib/scratch_buffer.h
--- 2.9.8-1/lib/scratch_buffer.h	2018-06-02 08:21:03.000000000 +0000
+++ 3.0-1/lib/scratch_buffer.h	2018-09-09 09:46:30.000000000 +0000
@@ -1,4 +1,11 @@
+#ifndef _GL_SCRATCH_BUFFER_H
+#define _GL_SCRATCH_BUFFER_H
+
+#include <libc-config.h>
+
 #define __libc_scratch_buffer_grow gl_scratch_buffer_grow
 #define __libc_scratch_buffer_grow_preserve gl_scratch_buffer_grow_preserve
 #define __libc_scratch_buffer_set_array_size gl_scratch_buffer_set_array_size
 #include <malloc/scratch_buffer.h>
+
+#endif /* _GL_SCRATCH_BUFFER_H */
diff -pruN 2.9.8-1/lib/stat-w32.c 3.0-1/lib/stat-w32.c
--- 2.9.8-1/lib/stat-w32.c	2018-06-02 08:21:04.000000000 +0000
+++ 3.0-1/lib/stat-w32.c	2018-09-09 09:46:30.000000000 +0000
@@ -38,6 +38,10 @@
 #include "pathmax.h"
 #include "verify.h"
 
+/* Avoid warnings from gcc -Wcast-function-type.  */
+#define GetProcAddress \
+  (void *) GetProcAddress
+
 #if _GL_WINDOWS_STAT_INODES == 2
 /* GetFileInformationByHandleEx was introduced only in Windows Vista.  */
 typedef DWORD (WINAPI * GetFileInformationByHandleExFuncType) (HANDLE hFile,
diff -pruN 2.9.8-1/lib/time.in.h 3.0-1/lib/time.in.h
--- 2.9.8-1/lib/time.in.h	2018-06-02 08:21:04.000000000 +0000
+++ 3.0-1/lib/time.in.h	2018-09-09 09:46:31.000000000 +0000
@@ -212,7 +212,7 @@ _GL_CXXALIASWARN (gmtime_r);
 #    define localtime rpl_localtime
 #   endif
 _GL_FUNCDECL_RPL (localtime, struct tm *, (time_t const *__timer)
-		                          _GL_ARG_NONNULL ((1)));
+                                          _GL_ARG_NONNULL ((1)));
 _GL_CXXALIAS_RPL (localtime, struct tm *, (time_t const *__timer));
 #  else
 _GL_CXXALIAS_SYS (localtime, struct tm *, (time_t const *__timer));
diff -pruN 2.9.8-1/lib/unistd.in.h 3.0-1/lib/unistd.in.h
--- 2.9.8-1/lib/unistd.in.h	2018-06-02 08:21:04.000000000 +0000
+++ 3.0-1/lib/unistd.in.h	2018-09-09 09:46:31.000000000 +0000
@@ -432,12 +432,12 @@ extern char **environ;
 #elif defined GNULIB_POSIXCHECK
 # if HAVE_RAW_DECL_ENVIRON
 _GL_UNISTD_INLINE char ***
+_GL_WARN_ON_USE_ATTRIBUTE ("environ is unportable - "
+                           "use gnulib module environ for portability")
 rpl_environ (void)
 {
   return &environ;
 }
-_GL_WARN_ON_USE (rpl_environ, "environ is unportable - "
-                 "use gnulib module environ for portability");
 #  undef environ
 #  define environ (*rpl_environ ())
 # endif
@@ -934,6 +934,36 @@ _GL_WARN_ON_USE (getpagesize, "getpagesi
 # endif
 #endif
 
+
+#if @GNULIB_GETPASS@
+/* Function getpass() from module 'getpass':
+     Read a password from /dev/tty or stdin.
+   Function getpass() from module 'getpass-gnu':
+     Read a password of arbitrary length from /dev/tty or stdin.  */
+# if @REPLACE_GETPASS@
+#  if !(defined __cplusplus && defined GNULIB_NAMESPACE)
+#   undef getpass
+#   define getpass rpl_getpass
+#  endif
+_GL_FUNCDECL_RPL (getpass, char *, (const char *prompt)
+                                   _GL_ARG_NONNULL ((1)));
+_GL_CXXALIAS_RPL (getpass, char *, (const char *prompt));
+# else
+#  if !@HAVE_GETPASS@
+_GL_FUNCDECL_SYS (getpass, char *, (const char *prompt)
+                                   _GL_ARG_NONNULL ((1)));
+#  endif
+_GL_CXXALIAS_SYS (getpass, char *, (const char *prompt));
+# endif
+_GL_CXXALIASWARN (getpass);
+#elif defined GNULIB_POSIXCHECK
+# undef getpass
+# if HAVE_RAW_DECL_GETPASS
+_GL_WARN_ON_USE (getpass, "getpass is unportable - "
+                 "use gnulib module getpass or getpass-gnu for portability");
+# endif
+#endif
+
 
 #if @GNULIB_GETUSERSHELL@
 /* Return the next valid login shell on the system, or NULL when the end of
diff -pruN 2.9.8-1/lib/verify.h 3.0-1/lib/verify.h
--- 2.9.8-1/lib/verify.h	2018-06-02 08:21:05.000000000 +0000
+++ 3.0-1/lib/verify.h	2018-09-09 09:46:31.000000000 +0000
@@ -276,7 +276,8 @@ template <int w>
      when 'assume' silences warnings even with older GCCs.  */
 # define assume(R) ((R) ? (void) 0 : __builtin_trap ())
 #else
-# define assume(R) ((void) (0 && (R)))
+  /* Some tools grok NOTREACHED, e.g., Oracle Studio 12.6.  */
+# define assume(R) ((R) ? (void) 0 : /*NOTREACHED*/ (void) 0)
 #endif
 
 /* @assert.h omit end@  */
diff -pruN 2.9.8-1/lib/warn-on-use.h 3.0-1/lib/warn-on-use.h
--- 2.9.8-1/lib/warn-on-use.h	2018-06-02 08:21:05.000000000 +0000
+++ 3.0-1/lib/warn-on-use.h	2018-09-09 09:46:31.000000000 +0000
@@ -20,23 +20,32 @@
    supported by the compiler.  If the compiler does not support this
    feature, the macro expands to an unused extern declaration.
 
-   This macro is useful for marking a function as a potential
+   _GL_WARN_ON_USE_ATTRIBUTE ("literal string") expands to the
+   attribute used in _GL_WARN_ON_USE.  If the compiler does not support
+   this feature, it expands to empty.
+
+   These macros are useful for marking a function as a potential
    portability trap, with the intent that "literal string" include
    instructions on the replacement function that should be used
-   instead.  However, one of the reasons that a function is a
-   portability trap is if it has the wrong signature.  Declaring
-   FUNCTION with a different signature in C is a compilation error, so
-   this macro must use the same type as any existing declaration so
-   that programs that avoid the problematic FUNCTION do not fail to
-   compile merely because they included a header that poisoned the
-   function.  But this implies that _GL_WARN_ON_USE is only safe to
-   use if FUNCTION is known to already have a declaration.  Use of
-   this macro implies that there must not be any other macro hiding
-   the declaration of FUNCTION; but undefining FUNCTION first is part
-   of the poisoning process anyway (although for symbols that are
-   provided only via a macro, the result is a compilation error rather
-   than a warning containing "literal string").  Also note that in
-   C++, it is only safe to use if FUNCTION has no overloads.
+   instead.
+   _GL_WARN_ON_USE is for functions with 'extern' linkage.
+   _GL_WARN_ON_USE_ATTRIBUTE is for functions with 'static' or 'inline'
+   linkage.
+
+   However, one of the reasons that a function is a portability trap is
+   if it has the wrong signature.  Declaring FUNCTION with a different
+   signature in C is a compilation error, so this macro must use the
+   same type as any existing declaration so that programs that avoid
+   the problematic FUNCTION do not fail to compile merely because they
+   included a header that poisoned the function.  But this implies that
+   _GL_WARN_ON_USE is only safe to use if FUNCTION is known to already
+   have a declaration.  Use of this macro implies that there must not
+   be any other macro hiding the declaration of FUNCTION; but
+   undefining FUNCTION first is part of the poisoning process anyway
+   (although for symbols that are provided only via a macro, the result
+   is a compilation error rather than a warning containing
+   "literal string").  Also note that in C++, it is only safe to use if
+   FUNCTION has no overloads.
 
    For an example, it is possible to poison 'getline' by:
    - adding a call to gl_WARN_ON_USE_PREPARE([[#include <stdio.h>]],
@@ -54,12 +63,21 @@
    (less common usage, like &environ, will cause a compilation error
    rather than issue the nice warning, but the end result of informing
    the developer about their portability problem is still achieved):
-   #if HAVE_RAW_DECL_ENVIRON
-   static char ***rpl_environ (void) { return &environ; }
-   _GL_WARN_ON_USE (rpl_environ, "environ is not always properly declared");
-   # undef environ
-   # define environ (*rpl_environ ())
-   #endif
+     #if HAVE_RAW_DECL_ENVIRON
+     static char ***
+     rpl_environ (void) { return &environ; }
+     _GL_WARN_ON_USE (rpl_environ, "environ is not always properly declared");
+     # undef environ
+     # define environ (*rpl_environ ())
+     #endif
+   or better (avoiding contradictory use of 'static' and 'extern'):
+     #if HAVE_RAW_DECL_ENVIRON
+     static char ***
+     _GL_WARN_ON_USE_ATTRIBUTE ("environ is not always properly declared")
+     rpl_environ (void) { return &environ; }
+     # undef environ
+     # define environ (*rpl_environ ())
+     #endif
    */
 #ifndef _GL_WARN_ON_USE
 
@@ -67,13 +85,17 @@
 /* A compiler attribute is available in gcc versions 4.3.0 and later.  */
 #  define _GL_WARN_ON_USE(function, message) \
 extern __typeof__ (function) function __attribute__ ((__warning__ (message)))
+#  define _GL_WARN_ON_USE_ATTRIBUTE(message) \
+  __attribute__ ((__warning__ (message)))
 # elif __GNUC__ >= 3 && GNULIB_STRICT_CHECKING
 /* Verify the existence of the function.  */
 #  define _GL_WARN_ON_USE(function, message) \
 extern __typeof__ (function) function
+#  define _GL_WARN_ON_USE_ATTRIBUTE(message)
 # else /* Unsupported.  */
 #  define _GL_WARN_ON_USE(function, message) \
 _GL_WARN_EXTERN_C int _gl_warn_on_use
+#  define _GL_WARN_ON_USE_ATTRIBUTE(message)
 # endif
 #endif
 
diff -pruN 2.9.8-1/lib/wcwidth.c 3.0-1/lib/wcwidth.c
--- 2.9.8-1/lib/wcwidth.c	2018-06-02 08:21:05.000000000 +0000
+++ 3.0-1/lib/wcwidth.c	2018-09-09 09:46:32.000000000 +0000
@@ -26,17 +26,40 @@
 #include "streq.h"
 #include "uniwidth.h"
 
+/* Returns 1 if the current locale is an UTF-8 locale, 0 otherwise.  */
+static inline int
+is_locale_utf8 (void)
+{
+  const char *encoding = locale_charset ();
+  return STREQ_OPT (encoding, "UTF-8", 'U', 'T', 'F', '-', '8', 0, 0, 0, 0);
+}
+
+#if GNULIB_WCHAR_SINGLE
+/* When we know that the locale does not change, provide a speedup by
+   caching the value of is_locale_utf8.  */
+static int cached_is_locale_utf8 = -1;
+static inline int
+is_locale_utf8_cached (void)
+{
+  if (cached_is_locale_utf8 < 0)
+    cached_is_locale_utf8 = is_locale_utf8 ();
+  return cached_is_locale_utf8;
+}
+#else
+/* By default, don't make assumptions, hence no caching.  */
+# define is_locale_utf8_cached is_locale_utf8
+#endif
+
 int
 wcwidth (wchar_t wc)
 #undef wcwidth
 {
   /* In UTF-8 locales, use a Unicode aware width function.  */
-  const char *encoding = locale_charset ();
-  if (STREQ_OPT (encoding, "UTF-8", 'U', 'T', 'F', '-', '8', 0, 0, 0 ,0))
+  if (is_locale_utf8_cached ())
     {
       /* We assume that in a UTF-8 locale, a wide character is the same as a
          Unicode character.  */
-      return uc_width (wc, encoding);
+      return uc_width (wc, "UTF-8");
     }
   else
     {
diff -pruN 2.9.8-1/m4/fnmatch_h.m4 3.0-1/m4/fnmatch_h.m4
--- 2.9.8-1/m4/fnmatch_h.m4	1970-01-01 00:00:00.000000000 +0000
+++ 3.0-1/m4/fnmatch_h.m4	2018-08-29 18:34:39.000000000 +0000
@@ -0,0 +1,75 @@
+# fnmatch_h.m4 serial 4
+dnl Copyright (C) 2009-2018 Free Software Foundation, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+
+dnl From Bruno Haible.
+
+AC_DEFUN_ONCE([gl_FNMATCH_H],
+[
+  AC_REQUIRE([gl_FNMATCH_H_DEFAULTS])
+  m4_ifdef([gl_ANSI_CXX], [AC_REQUIRE([gl_ANSI_CXX])])
+  AC_CHECK_HEADERS_ONCE([fnmatch.h])
+  gl_CHECK_NEXT_HEADERS([fnmatch.h])
+
+  dnl Persuade glibc <fnmatch.h> to declare FNM_CASEFOLD etc.
+  dnl This is only needed if gl_fnmatch_required = GNU. It would be possible
+  dnl to avoid this dependency for gl_FUNC_FNMATCH_POSIX by putting
+  dnl gl_FUNC_FNMATCH_GNU into a separate .m4 file.
+  AC_REQUIRE([AC_USE_SYSTEM_EXTENSIONS])
+
+  if test $ac_cv_header_fnmatch_h = yes; then
+    HAVE_FNMATCH_H=1
+  else
+    HAVE_FNMATCH_H=0
+  fi
+  AC_SUBST([HAVE_FNMATCH_H])
+
+  m4_ifdef([gl_POSIXCHECK],
+    [FNMATCH_H=fnmatch.h],
+    [FNMATCH_H=''
+     if m4_ifdef([gl_ANSI_CXX], [test "$CXX" != no], [false]); then
+       dnl Override <fnmatch.h> always, to support the C++ GNULIB_NAMESPACE.
+       FNMATCH_H=fnmatch.h
+     else
+       if test $ac_cv_header_fnmatch_h != yes; then
+         dnl Provide a substitute <fnmatch.h> file.
+         FNMATCH_H=fnmatch.h
+       fi
+     fi
+    ])
+  AC_SUBST([FNMATCH_H])
+  AM_CONDITIONAL([GL_GENERATE_FNMATCH_H], [test -n "$FNMATCH_H"])
+
+  dnl Check for declarations of anything we want to poison if the
+  dnl corresponding gnulib module is not in use.
+  gl_WARN_ON_USE_PREPARE([[#include <fnmatch.h>
+    ]],
+    [fnmatch])
+])
+
+dnl Unconditionally enables the replacement of <fnmatch.h>.
+AC_DEFUN([gl_REPLACE_FNMATCH_H],
+[
+  AC_REQUIRE([gl_FNMATCH_H_DEFAULTS])
+  FNMATCH_H='fnmatch.h'
+  AM_CONDITIONAL([GL_GENERATE_FNMATCH_H], [test -n "$FNMATCH_H"])
+])
+
+AC_DEFUN([gl_FNMATCH_MODULE_INDICATOR],
+[
+  dnl Use AC_REQUIRE here, so that the default settings are expanded once only.
+  AC_REQUIRE([gl_FNMATCH_H_DEFAULTS])
+  gl_MODULE_INDICATOR_SET_VARIABLE([$1])
+  dnl Define it also as a C macro, for the benefit of the unit tests.
+  gl_MODULE_INDICATOR_FOR_TESTS([$1])
+])
+
+AC_DEFUN([gl_FNMATCH_H_DEFAULTS],
+[
+  GNULIB_FNMATCH=0;          AC_SUBST([GNULIB_FNMATCH])
+  dnl Assume POSIX behavior unless another module says otherwise.
+  HAVE_FNMATCH=1;            AC_SUBST([HAVE_FNMATCH])
+  REPLACE_FNMATCH=0;         AC_SUBST([REPLACE_FNMATCH])
+])
diff -pruN 2.9.8-1/m4/fnmatch.m4 3.0-1/m4/fnmatch.m4
--- 2.9.8-1/m4/fnmatch.m4	2018-01-24 09:45:13.000000000 +0000
+++ 3.0-1/m4/fnmatch.m4	2018-08-29 18:34:46.000000000 +0000
@@ -1,4 +1,4 @@
-# Check for fnmatch - serial 9.  -*- coding: utf-8 -*-
+# Check for fnmatch - serial 13.  -*- coding: utf-8 -*-
 
 # Copyright (C) 2000-2007, 2009-2018 Free Software Foundation, Inc.
 # This file is free software; the Free Software Foundation
@@ -13,124 +13,120 @@ AC_DEFUN([gl_FUNC_FNMATCH_POSIX],
 [
   m4_divert_text([DEFAULTS], [gl_fnmatch_required=POSIX])
 
-  dnl Persuade glibc <fnmatch.h> to declare FNM_CASEFOLD etc.
-  dnl This is only needed if gl_fnmatch_required = GNU. It would be possible
-  dnl to avoid this dependency for gl_FUNC_FNMATCH_POSIX by putting
-  dnl gl_FUNC_FNMATCH_GNU into a separate .m4 file.
-  AC_REQUIRE([AC_USE_SYSTEM_EXTENSIONS])
-
-  FNMATCH_H=
+  AC_REQUIRE([gl_FNMATCH_H])
   gl_fnmatch_required_lowercase=`
     echo $gl_fnmatch_required | LC_ALL=C tr '[[A-Z]]' '[[a-z]]'
   `
-  gl_fnmatch_cache_var="gl_cv_func_fnmatch_${gl_fnmatch_required_lowercase}"
-  AC_CACHE_CHECK([for working $gl_fnmatch_required fnmatch],
-    [$gl_fnmatch_cache_var],
-    [dnl Some versions of Solaris, SCO, and the GNU C Library
-     dnl have a broken or incompatible fnmatch.
-     dnl So we run a test program.  If we are cross-compiling, take no chance.
-     dnl Thanks to John Oleynick, François Pinard, and Paul Eggert for this
-     dnl test.
-     if test $gl_fnmatch_required = GNU; then
-       gl_fnmatch_gnu_start=
-       gl_fnmatch_gnu_end=
-     else
-       gl_fnmatch_gnu_start='#if 0'
-       gl_fnmatch_gnu_end='#endif'
-     fi
-     AC_RUN_IFELSE(
-       [AC_LANG_PROGRAM(
-          [[#include <fnmatch.h>
-            static int
-            y (char const *pattern, char const *string, int flags)
-            {
-              return fnmatch (pattern, string, flags) == 0;
-            }
-            static int
-            n (char const *pattern, char const *string, int flags)
-            {
-              return fnmatch (pattern, string, flags) == FNM_NOMATCH;
-            }
-          ]],
-          [[char const *Apat = 'A' < '\\\\' ? "[A-\\\\\\\\]" : "[\\\\\\\\-A]";
-            char const *apat = 'a' < '\\\\' ? "[a-\\\\\\\\]" : "[\\\\\\\\-a]";
-            static char const A_1[] = { 'A' - 1, 0 };
-            static char const A01[] = { 'A' + 1, 0 };
-            static char const a_1[] = { 'a' - 1, 0 };
-            static char const a01[] = { 'a' + 1, 0 };
-            static char const bs_1[] = { '\\\\' - 1, 0 };
-            static char const bs01[] = { '\\\\' + 1, 0 };
-            int result = 0;
-            if (!n ("a*", "", 0))
-              return 1;
-            if (!y ("a*", "abc", 0))
-              return 1;
-            if (!y ("[/b", "[/b", 0)) /*"]]"*/ /* glibc Bugzilla bug 12378 */
-              return 1;
-            if (!n ("d*/*1", "d/s/1", FNM_PATHNAME))
-              return 2;
-            if (!y ("a\\\\bc", "abc", 0))
-              return 3;
-            if (!n ("a\\\\bc", "abc", FNM_NOESCAPE))
-              return 3;
-            if (!y ("*x", ".x", 0))
-              return 4;
-            if (!n ("*x", ".x", FNM_PERIOD))
-              return 4;
-            if (!y (Apat, "\\\\", 0))
-              return 5;
-            if (!y (Apat, "A", 0))
-              return 5;
-            if (!y (apat, "\\\\", 0))
-              return 5;
-            if (!y (apat, "a", 0))
-              return 5;
-            if (!(n (Apat, A_1, 0) == ('A' < '\\\\')))
-              return 5;
-            if (!(n (apat, a_1, 0) == ('a' < '\\\\')))
-              return 5;
-            if (!(y (Apat, A01, 0) == ('A' < '\\\\')))
-              return 5;
-            if (!(y (apat, a01, 0) == ('a' < '\\\\')))
-              return 5;
-            if (!(y (Apat, bs_1, 0) == ('A' < '\\\\')))
-              return 5;
-            if (!(y (apat, bs_1, 0) == ('a' < '\\\\')))
-              return 5;
-            if (!(n (Apat, bs01, 0) == ('A' < '\\\\')))
-              return 5;
-            if (!(n (apat, bs01, 0) == ('a' < '\\\\')))
-              return 5;
-            $gl_fnmatch_gnu_start
-            if (!y ("xxXX", "xXxX", FNM_CASEFOLD))
-              result |= 8;
-            if (!y ("a++(x|yy)b", "a+xyyyyxb", FNM_EXTMATCH))
-              result |= 16;
-            if (!n ("d*/*1", "d/s/1", FNM_FILE_NAME))
-              result |= 32;
-            if (!y ("*", "x", FNM_FILE_NAME | FNM_LEADING_DIR))
-              result |= 64;
-            if (!y ("x*", "x/y/z", FNM_FILE_NAME | FNM_LEADING_DIR))
-              result |= 64;
-            if (!y ("*c*", "c/x", FNM_FILE_NAME | FNM_LEADING_DIR))
-              result |= 64;
-            $gl_fnmatch_gnu_end
-            return result;
-          ]])],
-       [eval "$gl_fnmatch_cache_var=yes"],
-       [eval "$gl_fnmatch_cache_var=no"],
-       [eval "$gl_fnmatch_cache_var=\"guessing no\""])
-    ])
-  eval "gl_fnmatch_result=\"\$$gl_fnmatch_cache_var\""
-  if test "$gl_fnmatch_result" = yes; then
-    dnl Not strictly necessary. Only to avoid spurious leftover files if people
-    dnl don't do "make distclean".
-    rm -f "$gl_source_base/fnmatch.h"
+  AC_CHECK_FUNCS_ONCE([fnmatch])
+  if test $ac_cv_func_fnmatch = no; then
+    HAVE_FNMATCH=0
   else
-    FNMATCH_H=fnmatch.h
+    gl_fnmatch_cache_var="gl_cv_func_fnmatch_${gl_fnmatch_required_lowercase}"
+    AC_CACHE_CHECK([for working $gl_fnmatch_required fnmatch],
+      [$gl_fnmatch_cache_var],
+      [dnl Some versions of Solaris, SCO, and the GNU C Library
+       dnl have a broken or incompatible fnmatch.
+       dnl So we run a test program.  If we are cross-compiling, take no chance.
+       dnl Thanks to John Oleynick, François Pinard, and Paul Eggert for this
+       dnl test.
+       if test $gl_fnmatch_required = GNU; then
+         gl_fnmatch_gnu_start=
+         gl_fnmatch_gnu_end=
+       else
+         gl_fnmatch_gnu_start='#if 0'
+         gl_fnmatch_gnu_end='#endif'
+       fi
+       AC_RUN_IFELSE(
+         [AC_LANG_PROGRAM(
+            [[#include <fnmatch.h>
+              static int
+              y (char const *pattern, char const *string, int flags)
+              {
+                return fnmatch (pattern, string, flags) == 0;
+              }
+              static int
+              n (char const *pattern, char const *string, int flags)
+              {
+                return fnmatch (pattern, string, flags) == FNM_NOMATCH;
+              }
+            ]],
+            [[char const *Apat = 'A' < '\\\\' ? "[A-\\\\\\\\]" : "[\\\\\\\\-A]";
+              char const *apat = 'a' < '\\\\' ? "[a-\\\\\\\\]" : "[\\\\\\\\-a]";
+              static char const A_1[] = { 'A' - 1, 0 };
+              static char const A01[] = { 'A' + 1, 0 };
+              static char const a_1[] = { 'a' - 1, 0 };
+              static char const a01[] = { 'a' + 1, 0 };
+              static char const bs_1[] = { '\\\\' - 1, 0 };
+              static char const bs01[] = { '\\\\' + 1, 0 };
+              int result = 0;
+              if (!n ("a*", "", 0))
+                return 1;
+              if (!y ("a*", "abc", 0))
+                return 1;
+              if (!y ("[/b", "[/b", 0)) /*"]]"*/ /* glibc Bugzilla bug 12378 */
+                return 1;
+              if (!n ("d*/*1", "d/s/1", FNM_PATHNAME))
+                return 2;
+              if (!y ("a\\\\bc", "abc", 0))
+                return 3;
+              if (!n ("a\\\\bc", "abc", FNM_NOESCAPE))
+                return 3;
+              if (!y ("*x", ".x", 0))
+                return 4;
+              if (!n ("*x", ".x", FNM_PERIOD))
+                return 4;
+              if (!y (Apat, "\\\\", 0))
+                return 5;
+              if (!y (Apat, "A", 0))
+                return 5;
+              if (!y (apat, "\\\\", 0))
+                return 5;
+              if (!y (apat, "a", 0))
+                return 5;
+              if (!(n (Apat, A_1, 0) == ('A' < '\\\\')))
+                return 5;
+              if (!(n (apat, a_1, 0) == ('a' < '\\\\')))
+                return 5;
+              if (!(y (Apat, A01, 0) == ('A' < '\\\\')))
+                return 5;
+              if (!(y (apat, a01, 0) == ('a' < '\\\\')))
+                return 5;
+              if (!(y (Apat, bs_1, 0) == ('A' < '\\\\')))
+                return 5;
+              if (!(y (apat, bs_1, 0) == ('a' < '\\\\')))
+                return 5;
+              if (!(n (Apat, bs01, 0) == ('A' < '\\\\')))
+                return 5;
+              if (!(n (apat, bs01, 0) == ('a' < '\\\\')))
+                return 5;
+              $gl_fnmatch_gnu_start
+              if (!y ("xxXX", "xXxX", FNM_CASEFOLD))
+                result |= 8;
+              if (!y ("a++(x|yy)b", "a+xyyyyxb", FNM_EXTMATCH))
+                result |= 16;
+              if (!n ("d*/*1", "d/s/1", FNM_FILE_NAME))
+                result |= 32;
+              if (!y ("*", "x", FNM_FILE_NAME | FNM_LEADING_DIR))
+                result |= 64;
+              if (!y ("x*", "x/y/z", FNM_FILE_NAME | FNM_LEADING_DIR))
+                result |= 64;
+              if (!y ("*c*", "c/x", FNM_FILE_NAME | FNM_LEADING_DIR))
+                result |= 64;
+              $gl_fnmatch_gnu_end
+              return result;
+            ]])],
+         [eval "$gl_fnmatch_cache_var=yes"],
+         [eval "$gl_fnmatch_cache_var=no"],
+         [eval "$gl_fnmatch_cache_var=\"guessing no\""])
+      ])
+    eval "gl_fnmatch_result=\"\$$gl_fnmatch_cache_var\""
+    if test "$gl_fnmatch_result" != yes; then
+      REPLACE_FNMATCH=1
+    fi
+  fi
+  if test $HAVE_FNMATCH = 0 || test $REPLACE_FNMATCH = 1; then
+    gl_REPLACE_FNMATCH_H
   fi
-  AC_SUBST([FNMATCH_H])
-  AM_CONDITIONAL([GL_GENERATE_FNMATCH_H], [test -n "$FNMATCH_H"])
 ])
 
 # Request a POSIX compliant fnmatch function with GNU extensions.
@@ -143,11 +139,6 @@ AC_DEFUN([gl_FUNC_FNMATCH_GNU],
 
 AC_DEFUN([gl_PREREQ_FNMATCH],
 [
-  dnl We must choose a different name for our function, since on ELF systems
-  dnl a broken fnmatch() in libc.so would override our fnmatch() if it is
-  dnl compiled into a shared library.
-  AC_DEFINE_UNQUOTED([fnmatch], [${gl_fnmatch_required_lowercase}_fnmatch],
-    [Define to a replacement function name for fnmatch().])
   dnl Prerequisites of lib/fnmatch.c.
   AC_REQUIRE([AC_TYPE_MBSTATE_T])
   AC_CHECK_DECLS([isblank], [], [], [[#include <ctype.h>]])
diff -pruN 2.9.8-1/m4/glob_h.m4 3.0-1/m4/glob_h.m4
--- 2.9.8-1/m4/glob_h.m4	1970-01-01 00:00:00.000000000 +0000
+++ 3.0-1/m4/glob_h.m4	2018-08-29 18:34:39.000000000 +0000
@@ -0,0 +1,72 @@
+# glob_h.m4 serial 5
+dnl Copyright (C) 2018 Free Software Foundation, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+
+dnl From Bruno Haible.
+
+AC_DEFUN_ONCE([gl_GLOB_H],
+[
+  AC_REQUIRE([gl_GLOB_H_DEFAULTS])
+  m4_ifdef([gl_ANSI_CXX], [AC_REQUIRE([gl_ANSI_CXX])])
+  AC_REQUIRE([AC_C_RESTRICT])
+  AC_CHECK_HEADERS_ONCE([glob.h])
+  gl_CHECK_NEXT_HEADERS([glob.h])
+
+  if test $ac_cv_header_glob_h = yes; then
+    HAVE_GLOB_H=1
+  else
+    HAVE_GLOB_H=0
+  fi
+  AC_SUBST([HAVE_GLOB_H])
+
+  m4_ifdef([gl_POSIXCHECK],
+    [GLOB_H=glob.h],
+    [GLOB_H=''
+     if m4_ifdef([gl_ANSI_CXX], [test "$CXX" != no], [false]); then
+       dnl Override <glob.h> always, to support the C++ GNULIB_NAMESPACE.
+       GLOB_H=glob.h
+     else
+       if test $ac_cv_header_glob_h != yes; then
+         dnl Provide a substitute <glob.h> file.
+         GLOB_H=glob.h
+       fi
+     fi
+    ])
+  AC_SUBST([GLOB_H])
+  AM_CONDITIONAL([GL_GENERATE_GLOB_H], [test -n "$GLOB_H"])
+
+  dnl Check for declarations of anything we want to poison if the
+  dnl corresponding gnulib module is not in use.
+  gl_WARN_ON_USE_PREPARE([[#include <glob.h>
+    ]],
+    [glob globfree glob_pattern_p])
+])
+
+dnl Unconditionally enables the replacement of <glob.h>.
+AC_DEFUN([gl_REPLACE_GLOB_H],
+[
+  AC_REQUIRE([gl_GLOB_H_DEFAULTS])
+  GLOB_H='glob.h'
+  AM_CONDITIONAL([GL_GENERATE_GLOB_H], [test -n "$GLOB_H"])
+])
+
+AC_DEFUN([gl_GLOB_MODULE_INDICATOR],
+[
+  dnl Use AC_REQUIRE here, so that the default settings are expanded once only.
+  AC_REQUIRE([gl_GLOB_H_DEFAULTS])
+  gl_MODULE_INDICATOR_SET_VARIABLE([$1])
+  dnl Define it also as a C macro, for the benefit of the unit tests.
+  gl_MODULE_INDICATOR_FOR_TESTS([$1])
+])
+
+AC_DEFUN([gl_GLOB_H_DEFAULTS],
+[
+  GNULIB_GLOB=0;             AC_SUBST([GNULIB_GLOB])
+  dnl Assume POSIX and GNU behavior unless another module says otherwise.
+  HAVE_GLOB=1;               AC_SUBST([HAVE_GLOB])
+  HAVE_GLOB_PATTERN_P=1;     AC_SUBST([HAVE_GLOB_PATTERN_P])
+  REPLACE_GLOB=0;            AC_SUBST([REPLACE_GLOB])
+  REPLACE_GLOB_PATTERN_P=0;  AC_SUBST([REPLACE_GLOB_PATTERN_P])
+])
diff -pruN 2.9.8-1/m4/glob.m4 3.0-1/m4/glob.m4
--- 2.9.8-1/m4/glob.m4	2018-04-24 15:58:54.000000000 +0000
+++ 3.0-1/m4/glob.m4	2018-08-29 18:34:46.000000000 +0000
@@ -1,4 +1,4 @@
-# glob.m4 serial 18
+# glob.m4 serial 21
 dnl Copyright (C) 2005-2007, 2009-2018 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
@@ -10,15 +10,13 @@ dnl with or without modifications, as lo
 
 AC_DEFUN([gl_GLOB],
 [
-  dnl <glob.h> is always overridden, because of the C++ GNULIB_NAMESPACE.
-  gl_CHECK_NEXT_HEADERS([glob.h])
-  if test $ac_cv_header_glob_h = yes; then
-    REPLACE_GLOB=0
+  AC_REQUIRE([gl_GLOB_H])
+
+  AC_CHECK_FUNCS_ONCE([glob glob_pattern_p])
+  if test $ac_cv_func_glob = no; then
+    HAVE_GLOB=0
   else
-    REPLACE_GLOB=1
-  fi
 
-  if test $REPLACE_GLOB = 0; then
     AC_CACHE_CHECK([for GNU glob interface version 1 or 2],
       [gl_cv_gnu_glob_interface_version_1_2],
 [     AC_COMPILE_IFELSE([AC_LANG_SOURCE(
@@ -26,49 +24,59 @@ AC_DEFUN([gl_GLOB],
 char a[_GNU_GLOB_INTERFACE_VERSION == 1 || _GNU_GLOB_INTERFACE_VERSION == 2 ? 1 : -1];]])],
         [gl_cv_gnu_glob_interface_version_1_2=yes],
         [gl_cv_gnu_glob_interface_version_1_2=no])])
-
     if test "$gl_cv_gnu_glob_interface_version_1_2" = "no"; then
       REPLACE_GLOB=1
     fi
-  fi
 
-  if test $REPLACE_GLOB = 0; then
-    AC_CACHE_CHECK([whether glob lists broken symlinks],
-                   [gl_cv_glob_lists_symlinks],
-      [if ln -s conf-doesntexist conf$$-globtest 2>/dev/null; then
-         gl_cv_glob_lists_symlinks=maybe
-       else
-         # If we can't make a symlink, then we cannot test this issue.  Be
-         # pessimistic about this.
-         gl_cv_glob_lists_symlinks=no
-       fi
-       if test $gl_cv_glob_lists_symlinks = maybe; then
-         AC_RUN_IFELSE([
-AC_LANG_PROGRAM(
-[[#include <stddef.h>
-#include <glob.h>]],
-[[glob_t found;
-if (glob ("conf*-globtest", 0, NULL, &found) == GLOB_NOMATCH) return 1;]])],
-           [gl_cv_glob_lists_symlinks=yes],
-           [gl_cv_glob_lists_symlinks=no], [gl_cv_glob_lists_symlinks=no])
-       fi
-       rm -f conf$$-globtest
-      ])
+    if test $REPLACE_GLOB = 0; then
+      AC_CACHE_CHECK([whether glob lists broken symlinks],
+                     [gl_cv_glob_lists_symlinks],
+        [if ln -s conf-doesntexist conf$$-globtest 2>/dev/null; then
+           gl_cv_glob_lists_symlinks=maybe
+         else
+           # If we can't make a symlink, then we cannot test this issue.  Be
+           # pessimistic about this.
+           gl_cv_glob_lists_symlinks=no
+         fi
+         if test $gl_cv_glob_lists_symlinks = maybe; then
+           AC_RUN_IFELSE(
+             [AC_LANG_PROGRAM(
+                [[#include <stddef.h>
+                  #include <glob.h>]],
+                [[glob_t found;
+                  if (glob ("conf*-globtest", 0, NULL, &found) == GLOB_NOMATCH)
+                    return 1;
+                ]])],
+             [gl_cv_glob_lists_symlinks=yes],
+             [gl_cv_glob_lists_symlinks=no],
+             [gl_cv_glob_lists_symlinks=no])
+         fi
+         rm -f conf$$-globtest
+        ])
+      if test $gl_cv_glob_lists_symlinks = no; then
+        REPLACE_GLOB=1
+      fi
+    fi
+
+  fi
 
-    if test $gl_cv_glob_lists_symlinks = no; then
-      REPLACE_GLOB=1
+  if test $ac_cv_func_glob_pattern_p = no; then
+    HAVE_GLOB_PATTERN_P=0
+  else
+    if test $REPLACE_GLOB = 1; then
+      REPLACE_GLOB_PATTERN_P=1
     fi
   fi
 
-  AC_SUBST([REPLACE_GLOB])
+  if test $HAVE_GLOB = 0 || test $REPLACE_GLOB = 1; then
+    gl_REPLACE_GLOB_H
+  fi
 ])
 
-# Prerequisites of lib/glob.*.
+# Prerequisites of lib/glob.c and lib/globfree.c.
 AC_DEFUN([gl_PREREQ_GLOB],
 [
-  AC_REQUIRE([gl_CHECK_TYPE_STRUCT_DIRENT_D_TYPE])dnl
-  AC_REQUIRE([AC_C_RESTRICT])dnl
-  AC_REQUIRE([AC_USE_SYSTEM_EXTENSIONS])dnl
-  AC_CHECK_HEADERS_ONCE([unistd.h])dnl
-  AC_CHECK_FUNCS_ONCE([getlogin_r getpwnam_r])dnl
+  AC_REQUIRE([gl_CHECK_TYPE_STRUCT_DIRENT_D_TYPE])
+  AC_CHECK_HEADERS_ONCE([unistd.h])
+  AC_CHECK_FUNCS_ONCE([getlogin_r getpwnam_r])
 ])
diff -pruN 2.9.8-1/m4/gnulib-cache.m4 3.0-1/m4/gnulib-cache.m4
--- 2.9.8-1/m4/gnulib-cache.m4	2018-01-24 09:45:33.000000000 +0000
+++ 3.0-1/m4/gnulib-cache.m4	2018-08-29 18:35:09.000000000 +0000
@@ -27,7 +27,37 @@
 
 
 # Specification in the form of a command-line invocation:
-#   gnulib-tool --import --lib=libgnu --source-base=lib --m4-base=m4 --doc-base=doc --tests-base=tests --aux-dir=. --no-conditional-dependencies --no-libtool --macro-prefix=gl futimens getdelim getline getopt-gnu glob isblank iswblank lstat nl_langinfo regex sigaction snprintf-posix stdarg strcase strcasestr-simple strnlen sys_wait vsnprintf-posix wchar wctype-h wcwidth
+# gnulib-tool --import \
+#  --lib=libgnu \
+#  --source-base=lib \
+#  --m4-base=m4 \
+#  --doc-base=doc \
+#  --tests-base=tests \
+#  --aux-dir=. \
+#  --no-conditional-dependencies \
+#  --no-libtool \
+#  --macro-prefix=gl \
+#  futimens \
+#  getdelim \
+#  getline \
+#  getopt-gnu \
+#  glob \
+#  isblank \
+#  iswblank \
+#  lstat \
+#  nl_langinfo \
+#  regex \
+#  sigaction \
+#  snprintf-posix \
+#  stdarg \
+#  strcase \
+#  strcasestr-simple \
+#  strnlen \
+#  sys_wait \
+#  vsnprintf-posix \
+#  wchar \
+#  wctype-h \
+#  wcwidth
 
 # Specification in the form of a few gnulib-tool.m4 macro invocations:
 gl_LOCAL_DIR([])
diff -pruN 2.9.8-1/m4/gnulib-common.m4 3.0-1/m4/gnulib-common.m4
--- 2.9.8-1/m4/gnulib-common.m4	2018-06-02 08:21:06.000000000 +0000
+++ 3.0-1/m4/gnulib-common.m4	2018-08-29 18:34:46.000000000 +0000
@@ -354,16 +354,16 @@ AC_DEFUN([AC_C_RESTRICT],
    for ac_kw in __restrict __restrict__ _Restrict restrict; do
      AC_COMPILE_IFELSE(
       [AC_LANG_PROGRAM(
-	 [[typedef int *int_ptr;
-	   int foo (int_ptr $ac_kw ip) { return ip[0]; }
-	   int bar (int [$ac_kw]); /* Catch GCC bug 14050.  */
-	   int bar (int ip[$ac_kw]) { return ip[0]; }
-	 ]],
-	 [[int s[1];
-	   int *$ac_kw t = s;
-	   t[0] = 0;
-	   return foo (t) + bar (t);
-	 ]])],
+         [[typedef int *int_ptr;
+           int foo (int_ptr $ac_kw ip) { return ip[0]; }
+           int bar (int [$ac_kw]); /* Catch GCC bug 14050.  */
+           int bar (int ip[$ac_kw]) { return ip[0]; }
+         ]],
+         [[int s[1];
+           int *$ac_kw t = s;
+           t[0] = 0;
+           return foo (t) + bar (t);
+         ]])],
       [ac_cv_c_restrict=$ac_kw])
      test "$ac_cv_c_restrict" != no && break
    done
diff -pruN 2.9.8-1/m4/gnulib-comp.m4 3.0-1/m4/gnulib-comp.m4
--- 2.9.8-1/m4/gnulib-comp.m4	2018-06-02 08:21:33.000000000 +0000
+++ 3.0-1/m4/gnulib-comp.m4	2018-08-29 18:35:16.000000000 +0000
@@ -64,6 +64,7 @@ AC_DEFUN([gl_EARLY],
   # Code from module flexmember:
   # Code from module float:
   # Code from module fnmatch:
+  # Code from module fnmatch-h:
   # Code from module fpieee:
   AC_REQUIRE([gl_FP_IEEE])
   # Code from module fpucw:
@@ -80,6 +81,7 @@ AC_DEFUN([gl_EARLY],
   # Code from module gettime:
   # Code from module gettimeofday:
   # Code from module glob:
+  # Code from module glob-h:
   # Code from module hard-locale:
   # Code from module havelib:
   # Code from module host-cpu-c-abi:
@@ -236,10 +238,12 @@ AC_DEFUN([gl_INIT],
     AC_LIBOBJ([itold])
   fi
   gl_FUNC_FNMATCH_POSIX
-  if test -n "$FNMATCH_H"; then
+  if test $HAVE_FNMATCH = 0 || test $REPLACE_FNMATCH = 1; then
     AC_LIBOBJ([fnmatch])
     gl_PREREQ_FNMATCH
   fi
+  gl_FNMATCH_MODULE_INDICATOR([fnmatch])
+  gl_FNMATCH_H
   gl_FUNC_FREXP_NO_LIBM
   if test $gl_func_frexp_no_libm != yes; then
     AC_LIBOBJ([frexp])
@@ -307,13 +311,16 @@ AC_DEFUN([gl_INIT],
   fi
   gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
   gl_GLOB
-  if test $REPLACE_GLOB = 1; then
+  if test $HAVE_GLOB = 0 || test $REPLACE_GLOB = 1; then
     AC_LIBOBJ([glob])
-    AC_LIBOBJ([glob_pattern_p])
     AC_LIBOBJ([globfree])
     gl_PREREQ_GLOB
   fi
-  gl_HARD_LOCALE
+  if test $HAVE_GLOB_PATTERN_P = 0 || test $REPLACE_GLOB_PATTERN_P = 1; then
+    AC_LIBOBJ([glob_pattern_p])
+  fi
+  gl_GLOB_MODULE_INDICATOR([glob])
+  gl_GLOB_H
   AC_REQUIRE([gl_HOST_CPU_C_ABI])
   gl_FUNC_ISBLANK
   if test $HAVE_ISBLANK = 0; then
@@ -559,6 +566,7 @@ AC_DEFUN([gl_INIT],
   gl_FUNC_WCWIDTH
   if test $HAVE_WCWIDTH = 0 || test $REPLACE_WCWIDTH = 1; then
     AC_LIBOBJ([wcwidth])
+    gl_PREREQ_WCWIDTH
   fi
   gl_WCHAR_MODULE_INDICATOR([wcwidth])
   gl_XSIZE
@@ -909,6 +917,7 @@ AC_DEFUN([gl_FILE_LIST], [
   m4/flexmember.m4
   m4/float_h.m4
   m4/fnmatch.m4
+  m4/fnmatch_h.m4
   m4/fpieee.m4
   m4/frexp.m4
   m4/frexpl.m4
@@ -923,8 +932,8 @@ AC_DEFUN([gl_FILE_LIST], [
   m4/gettimeofday.m4
   m4/glibc21.m4
   m4/glob.m4
+  m4/glob_h.m4
   m4/gnulib-common.m4
-  m4/hard-locale.m4
   m4/host-cpu-c-abi.m4
   m4/include_next.m4
   m4/intmax_t.m4
diff -pruN 2.9.8-1/m4/hard-locale.m4 3.0-1/m4/hard-locale.m4
--- 2.9.8-1/m4/hard-locale.m4	2018-01-24 09:45:13.000000000 +0000
+++ 3.0-1/m4/hard-locale.m4	1970-01-01 00:00:00.000000000 +0000
@@ -1,11 +0,0 @@
-# hard-locale.m4 serial 8
-dnl Copyright (C) 2002-2006, 2009-2018 Free Software Foundation, Inc.
-dnl This file is free software; the Free Software Foundation
-dnl gives unlimited permission to copy and/or distribute it,
-dnl with or without modifications, as long as this notice is preserved.
-
-dnl No prerequisites of lib/hard-locale.c.
-AC_DEFUN([gl_HARD_LOCALE],
-[
-  :
-])
diff -pruN 2.9.8-1/m4/limits-h.m4 3.0-1/m4/limits-h.m4
--- 2.9.8-1/m4/limits-h.m4	2018-01-24 09:45:14.000000000 +0000
+++ 3.0-1/m4/limits-h.m4	2018-08-29 18:34:46.000000000 +0000
@@ -29,3 +29,11 @@ AC_DEFUN_ONCE([gl_LIMITS_H],
   AC_SUBST([LIMITS_H])
   AM_CONDITIONAL([GL_GENERATE_LIMITS_H], [test -n "$LIMITS_H"])
 ])
+
+dnl Unconditionally enables the replacement of <limits.h>.
+AC_DEFUN([gl_REPLACE_LIMITS_H],
+[
+  AC_REQUIRE([gl_LIMITS_H])
+  LIMITS_H='limits.h'
+  AM_CONDITIONAL([GL_GENERATE_LIMITS_H], [test -n "$LIMITS_H"])
+])
diff -pruN 2.9.8-1/m4/Makefile.in 3.0-1/m4/Makefile.in
--- 2.9.8-1/m4/Makefile.in	2018-06-02 08:22:43.000000000 +0000
+++ 3.0-1/m4/Makefile.in	2018-09-09 09:47:49.000000000 +0000
@@ -106,16 +106,16 @@ am__aclocal_m4_deps = $(top_srcdir)/m4/0
 	$(top_srcdir)/m4/extern-inline.m4 $(top_srcdir)/m4/fcntl-o.m4 \
 	$(top_srcdir)/m4/fcntl_h.m4 $(top_srcdir)/m4/flexmember.m4 \
 	$(top_srcdir)/m4/float_h.m4 $(top_srcdir)/m4/fnmatch.m4 \
-	$(top_srcdir)/m4/fpieee.m4 $(top_srcdir)/m4/frexp.m4 \
-	$(top_srcdir)/m4/frexpl.m4 $(top_srcdir)/m4/fstat.m4 \
-	$(top_srcdir)/m4/futimens.m4 $(top_srcdir)/m4/getdelim.m4 \
-	$(top_srcdir)/m4/getline.m4 $(top_srcdir)/m4/getlogin.m4 \
-	$(top_srcdir)/m4/getlogin_r.m4 $(top_srcdir)/m4/getopt.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gettime.m4 \
-	$(top_srcdir)/m4/gettimeofday.m4 $(top_srcdir)/m4/glibc21.m4 \
-	$(top_srcdir)/m4/glob.m4 $(top_srcdir)/m4/gnulib-common.m4 \
+	$(top_srcdir)/m4/fnmatch_h.m4 $(top_srcdir)/m4/fpieee.m4 \
+	$(top_srcdir)/m4/frexp.m4 $(top_srcdir)/m4/frexpl.m4 \
+	$(top_srcdir)/m4/fstat.m4 $(top_srcdir)/m4/futimens.m4 \
+	$(top_srcdir)/m4/getdelim.m4 $(top_srcdir)/m4/getline.m4 \
+	$(top_srcdir)/m4/getlogin.m4 $(top_srcdir)/m4/getlogin_r.m4 \
+	$(top_srcdir)/m4/getopt.m4 $(top_srcdir)/m4/gettext.m4 \
+	$(top_srcdir)/m4/gettime.m4 $(top_srcdir)/m4/gettimeofday.m4 \
+	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/glob.m4 \
+	$(top_srcdir)/m4/glob_h.m4 $(top_srcdir)/m4/gnulib-common.m4 \
 	$(top_srcdir)/m4/gnulib-comp.m4 \
-	$(top_srcdir)/m4/hard-locale.m4 \
 	$(top_srcdir)/m4/host-cpu-c-abi.m4 $(top_srcdir)/m4/iconv.m4 \
 	$(top_srcdir)/m4/include_next.m4 \
 	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/intmax_t.m4 \
@@ -248,6 +248,7 @@ GETOPT_CDEFS_H = @GETOPT_CDEFS_H@
 GETOPT_H = @GETOPT_H@
 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
 GLIBC21 = @GLIBC21@
+GLOB_H = @GLOB_H@
 GMSGFMT = @GMSGFMT@
 GMSGFMT_015 = @GMSGFMT_015@
 GNULIB_ACOSF = @GNULIB_ACOSF@
@@ -322,6 +323,7 @@ GNULIB_FMAL = @GNULIB_FMAL@
 GNULIB_FMOD = @GNULIB_FMOD@
 GNULIB_FMODF = @GNULIB_FMODF@
 GNULIB_FMODL = @GNULIB_FMODL@
+GNULIB_FNMATCH = @GNULIB_FNMATCH@
 GNULIB_FOPEN = @GNULIB_FOPEN@
 GNULIB_FPRINTF = @GNULIB_FPRINTF@
 GNULIB_FPRINTF_POSIX = @GNULIB_FPRINTF_POSIX@
@@ -357,9 +359,11 @@ GNULIB_GETLOADAVG = @GNULIB_GETLOADAVG@
 GNULIB_GETLOGIN = @GNULIB_GETLOGIN@
 GNULIB_GETLOGIN_R = @GNULIB_GETLOGIN_R@
 GNULIB_GETPAGESIZE = @GNULIB_GETPAGESIZE@
+GNULIB_GETPASS = @GNULIB_GETPASS@
 GNULIB_GETSUBOPT = @GNULIB_GETSUBOPT@
 GNULIB_GETTIMEOFDAY = @GNULIB_GETTIMEOFDAY@
 GNULIB_GETUSERSHELL = @GNULIB_GETUSERSHELL@
+GNULIB_GLOB = @GNULIB_GLOB@
 GNULIB_GL_UNISTD_H_GETOPT = @GNULIB_GL_UNISTD_H_GETOPT@
 GNULIB_GRANTPT = @GNULIB_GRANTPT@
 GNULIB_GROUP_MEMBER = @GNULIB_GROUP_MEMBER@
@@ -743,6 +747,8 @@ HAVE_FMAF = @HAVE_FMAF@
 HAVE_FMAL = @HAVE_FMAL@
 HAVE_FMODF = @HAVE_FMODF@
 HAVE_FMODL = @HAVE_FMODL@
+HAVE_FNMATCH = @HAVE_FNMATCH@
+HAVE_FNMATCH_H = @HAVE_FNMATCH_H@
 HAVE_FREXPF = @HAVE_FREXPF@
 HAVE_FSEEKO = @HAVE_FSEEKO@
 HAVE_FSTATAT = @HAVE_FSTATAT@
@@ -756,8 +762,12 @@ HAVE_GETHOSTNAME = @HAVE_GETHOSTNAME@
 HAVE_GETLOGIN = @HAVE_GETLOGIN@
 HAVE_GETOPT_H = @HAVE_GETOPT_H@
 HAVE_GETPAGESIZE = @HAVE_GETPAGESIZE@
+HAVE_GETPASS = @HAVE_GETPASS@
 HAVE_GETSUBOPT = @HAVE_GETSUBOPT@
 HAVE_GETTIMEOFDAY = @HAVE_GETTIMEOFDAY@
+HAVE_GLOB = @HAVE_GLOB@
+HAVE_GLOB_H = @HAVE_GLOB_H@
+HAVE_GLOB_PATTERN_P = @HAVE_GLOB_PATTERN_P@
 HAVE_GRANTPT = @HAVE_GRANTPT@
 HAVE_GROUP_MEMBER = @HAVE_GROUP_MEMBER@
 HAVE_HYPOTF = @HAVE_HYPOTF@
@@ -1008,6 +1018,7 @@ NEXT_AS_FIRST_DIRECTIVE_DIRENT_H = @NEXT
 NEXT_AS_FIRST_DIRECTIVE_ERRNO_H = @NEXT_AS_FIRST_DIRECTIVE_ERRNO_H@
 NEXT_AS_FIRST_DIRECTIVE_FCNTL_H = @NEXT_AS_FIRST_DIRECTIVE_FCNTL_H@
 NEXT_AS_FIRST_DIRECTIVE_FLOAT_H = @NEXT_AS_FIRST_DIRECTIVE_FLOAT_H@
+NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H = @NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H@
 NEXT_AS_FIRST_DIRECTIVE_GETOPT_H = @NEXT_AS_FIRST_DIRECTIVE_GETOPT_H@
 NEXT_AS_FIRST_DIRECTIVE_GLOB_H = @NEXT_AS_FIRST_DIRECTIVE_GLOB_H@
 NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H = @NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H@
@@ -1036,6 +1047,7 @@ NEXT_DIRENT_H = @NEXT_DIRENT_H@
 NEXT_ERRNO_H = @NEXT_ERRNO_H@
 NEXT_FCNTL_H = @NEXT_FCNTL_H@
 NEXT_FLOAT_H = @NEXT_FLOAT_H@
+NEXT_FNMATCH_H = @NEXT_FNMATCH_H@
 NEXT_GETOPT_H = @NEXT_GETOPT_H@
 NEXT_GLOB_H = @NEXT_GLOB_H@
 NEXT_LANGINFO_H = @NEXT_LANGINFO_H@
@@ -1123,6 +1135,7 @@ REPLACE_FMAL = @REPLACE_FMAL@
 REPLACE_FMOD = @REPLACE_FMOD@
 REPLACE_FMODF = @REPLACE_FMODF@
 REPLACE_FMODL = @REPLACE_FMODL@
+REPLACE_FNMATCH = @REPLACE_FNMATCH@
 REPLACE_FOPEN = @REPLACE_FOPEN@
 REPLACE_FPRINTF = @REPLACE_FPRINTF@
 REPLACE_FPURGE = @REPLACE_FPURGE@
@@ -1146,8 +1159,10 @@ REPLACE_GETGROUPS = @REPLACE_GETGROUPS@
 REPLACE_GETLINE = @REPLACE_GETLINE@
 REPLACE_GETLOGIN_R = @REPLACE_GETLOGIN_R@
 REPLACE_GETPAGESIZE = @REPLACE_GETPAGESIZE@
+REPLACE_GETPASS = @REPLACE_GETPASS@
 REPLACE_GETTIMEOFDAY = @REPLACE_GETTIMEOFDAY@
 REPLACE_GLOB = @REPLACE_GLOB@
+REPLACE_GLOB_PATTERN_P = @REPLACE_GLOB_PATTERN_P@
 REPLACE_GMTIME = @REPLACE_GMTIME@
 REPLACE_HUGE_VAL = @REPLACE_HUGE_VAL@
 REPLACE_HYPOT = @REPLACE_HYPOT@
diff -pruN 2.9.8-1/m4/mbrtowc.m4 3.0-1/m4/mbrtowc.m4
--- 2.9.8-1/m4/mbrtowc.m4	2018-01-24 09:45:14.000000000 +0000
+++ 3.0-1/m4/mbrtowc.m4	2018-08-29 18:34:47.000000000 +0000
@@ -1,4 +1,4 @@
-# mbrtowc.m4 serial 30  -*- coding: utf-8 -*-
+# mbrtowc.m4 serial 31  -*- coding: utf-8 -*-
 dnl Copyright (C) 2001-2002, 2004-2005, 2008-2018 Free Software Foundation,
 dnl Inc.
 dnl This file is free software; the Free Software Foundation
@@ -634,6 +634,7 @@ AC_DEFUN([gl_MBRTOWC_C_LOCALE],
 
 # Prerequisites of lib/mbrtowc.c.
 AC_DEFUN([gl_PREREQ_MBRTOWC], [
+  AC_REQUIRE([AC_C_INLINE])
   :
 ])
 
diff -pruN 2.9.8-1/m4/pthread_rwlock_rdlock.m4 3.0-1/m4/pthread_rwlock_rdlock.m4
--- 2.9.8-1/m4/pthread_rwlock_rdlock.m4	2018-01-24 09:45:14.000000000 +0000
+++ 3.0-1/m4/pthread_rwlock_rdlock.m4	2018-08-29 18:34:47.000000000 +0000
@@ -1,4 +1,4 @@
-# pthread_rwlock_rdlock.m4 serial 1
+# pthread_rwlock_rdlock.m4 serial 2
 dnl Copyright (C) 2017-2018 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
@@ -23,12 +23,14 @@ dnl time, a phenomenon called "writer st
 dnl Without such a guarantee, applications have a hard time avoiding writer
 dnl starvation.
 dnl
-dnl POSIX:2008 makes this requirement only for implementations that support TPS
+dnl POSIX:2017 makes this requirement only for implementations that support TPS
 dnl (Thread Priority Scheduling) and only for the scheduling policies SCHED_FIFO
 dnl and SCHED_RR, see
 dnl http://pubs.opengroup.org/onlinepubs/9699919799/functions/pthread_rwlock_rdlock.html
-dnl but test verifies the guarantee regardless of TPS and regardless of
+dnl but this test verifies the guarantee regardless of TPS and regardless of
 dnl scheduling policy.
+dnl Glibc currently does not provide this guarantee, see
+dnl https://sourceware.org/bugzilla/show_bug.cgi?id=13701
 AC_DEFUN([gl_PTHREAD_RWLOCK_RDLOCK_PREFER_WRITER],
 [
   AC_REQUIRE([gl_THREADLIB_EARLY])
diff -pruN 2.9.8-1/m4/stdint.m4 3.0-1/m4/stdint.m4
--- 2.9.8-1/m4/stdint.m4	2018-01-24 09:45:15.000000000 +0000
+++ 3.0-1/m4/stdint.m4	2018-08-29 18:34:48.000000000 +0000
@@ -1,4 +1,4 @@
-# stdint.m4 serial 51
+# stdint.m4 serial 52
 dnl Copyright (C) 2001-2018 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
@@ -364,8 +364,7 @@ int32_t i32 = INT32_C (0x7fffffff);
   esac
 
   dnl The substitute stdint.h needs the substitute limit.h's _GL_INTEGER_WIDTH.
-  LIMITS_H=limits.h
-  AM_CONDITIONAL([GL_GENERATE_LIMITS_H], [test -n "$LIMITS_H"])
+  gl_REPLACE_LIMITS_H
 
   AC_SUBST([HAVE_C99_STDINT_H])
   AC_SUBST([HAVE_SYS_BITYPES_H])
diff -pruN 2.9.8-1/m4/threadlib.m4 3.0-1/m4/threadlib.m4
--- 2.9.8-1/m4/threadlib.m4	2018-01-24 09:45:15.000000000 +0000
+++ 3.0-1/m4/threadlib.m4	2018-08-29 18:34:48.000000000 +0000
@@ -1,4 +1,4 @@
-# threadlib.m4 serial 13
+# threadlib.m4 serial 14
 dnl Copyright (C) 2005-2018 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
@@ -153,6 +153,36 @@ int main ()
          *" -static "*) gl_cv_have_weak=no ;;
        esac
       ])
+    dnl Check whether the linker supports the --as-needed/--no-as-needed options.
+    dnl Assume GCC, so that we can use the -Wl option.
+    AC_CACHE_CHECK([whether the linker supports --as-needed],
+      [gl_cv_linker_have_as_needed],
+      [if test -n "$GCC"; then
+         gl_saved_ldflags="$LDFLAGS"
+         LDFLAGS="$gl_saved_ldflags -Wl,--as-needed -Wl,--no-as-needed"
+         AC_LINK_IFELSE([AC_LANG_PROGRAM()],
+           [gl_cv_linker_have_as_needed=yes],
+           [gl_cv_linker_have_as_needed=no])
+         LDFLAGS="$gl_saved_ldflags"
+       else
+         gl_cv_linker_have_as_needed=no
+       fi
+      ])
+    dnl Check whether the linker supports the --push-state/--pop-state options.
+    dnl Assume GCC, so that we can use the -Wl option.
+    AC_CACHE_CHECK([whether the linker supports --push-state],
+      [gl_cv_linker_have_push_state],
+      [if test -n "$GCC"; then
+         gl_saved_ldflags="$LDFLAGS"
+         LDFLAGS="$gl_saved_ldflags -Wl,--push-state -Wl,--pop-state"
+         AC_LINK_IFELSE([AC_LANG_PROGRAM()],
+           [gl_cv_linker_have_push_state=yes],
+           [gl_cv_linker_have_push_state=no])
+         LDFLAGS="$gl_saved_ldflags"
+       else
+         gl_cv_linker_have_push_state=no
+       fi
+      ])
     if test "$gl_use_threads" = yes || test "$gl_use_threads" = posix; then
       # On OSF/1, the compiler needs the flag -pthread or -D_REENTRANT so that
       # it groks <pthread.h>. It's added above, in gl_THREADLIB_EARLY_BODY.
@@ -231,6 +261,32 @@ int main ()
                 [Define if references to the POSIX multithreading library should be made weak.])
               LIBTHREAD=
               LTLIBTHREAD=
+              dnl On platforms where GCC enables --as-needed by default, attempt
+              dnl to make sure that LIBMULTITHREAD really links with -lpthread.
+              dnl Otherwise linking with LIBMULTITHREAD has no effect; then
+              dnl the weak symbols are not defined and thus evaluate to NULL.
+              case "$LIBMULTITHREAD" in
+                "") ;;
+                -pthread)
+                  if test $gl_cv_linker_have_as_needed = yes; then
+                    if test $gl_cv_linker_have_push_state = yes; then
+                      LIBMULTITHREAD="$LIBMULTITHREAD -Wl,--push-state -Wl,--no-as-needed -lpthread -Wl,--pop-state"
+                    else
+                      LIBMULTITHREAD="$LIBMULTITHREAD -Wl,--no-as-needed -lpthread"
+                    fi
+                  fi
+                  ;;
+                *)
+                  if test $gl_cv_linker_have_as_needed = yes; then
+                    if test $gl_cv_linker_have_push_state = yes; then
+                      LIBMULTITHREAD="-Wl,--push-state -Wl,--no-as-needed $LIBMULTITHREAD -Wl,--pop-state"
+                    else
+                      LIBMULTITHREAD="-Wl,--no-as-needed $LIBMULTITHREAD"
+                    fi
+                  fi
+                  ;;
+              esac
+              # TODO: May need to modify LTLIBMULTITHREAD similarly.
             fi
           fi
         fi
@@ -263,6 +319,18 @@ int main ()
               [Define if references to the old Solaris multithreading library should be made weak.])
             LIBTHREAD=
             LTLIBTHREAD=
+            dnl On platforms where GCC enables --as-needed by default, attempt
+            dnl to make sure that LIBMULTITHREAD really links with -lthread.
+            dnl Otherwise linking with LIBMULTITHREAD has no effect; then
+            dnl the weak symbols are not defined and thus evaluate to NULL.
+            if test $gl_cv_linker_have_as_needed = yes; then
+              if test $gl_cv_linker_have_push_state = yes; then
+                LIBMULTITHREAD="-Wl,--push-state -Wl,--no-as-needed $LIBMULTITHREAD -Wl,--pop-state"
+              else
+                LIBMULTITHREAD="-Wl,--no-as-needed $LIBMULTITHREAD"
+              fi
+            fi
+            # TODO: May need to modify LTLIBMULTITHREAD similarly.
           fi
         fi
       fi
@@ -291,6 +359,18 @@ int main ()
               [Define if references to the GNU Pth multithreading library should be made weak.])
             LIBTHREAD=
             LTLIBTHREAD=
+            dnl On platforms where GCC enables --as-needed by default, attempt
+            dnl to make sure that LIBMULTITHREAD really links with -lpth.
+            dnl Otherwise linking with LIBMULTITHREAD has no effect; then
+            dnl the weak symbols are not defined and thus evaluate to NULL.
+            if test $gl_cv_linker_have_as_needed = yes; then
+              if test $gl_cv_linker_have_push_state = yes; then
+                LIBMULTITHREAD="-Wl,--push-state -Wl,--no-as-needed $LIBMULTITHREAD -Wl,--pop-state"
+              else
+                LIBMULTITHREAD="-Wl,--no-as-needed $LIBMULTITHREAD"
+              fi
+            fi
+            # TODO: May need to modify LTLIBMULTITHREAD similarly.
           fi
         fi
       else
diff -pruN 2.9.8-1/m4/unistd_h.m4 3.0-1/m4/unistd_h.m4
--- 2.9.8-1/m4/unistd_h.m4	2018-06-02 08:21:07.000000000 +0000
+++ 3.0-1/m4/unistd_h.m4	2018-08-29 18:34:48.000000000 +0000
@@ -1,4 +1,4 @@
-# unistd_h.m4 serial 73
+# unistd_h.m4 serial 74
 dnl Copyright (C) 2006-2018 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
@@ -43,7 +43,7 @@ AC_DEFUN([gl_UNISTD_H],
 #endif
     ]], [chdir chown dup dup2 dup3 environ euidaccess faccessat fchdir fchownat
     fdatasync fsync ftruncate getcwd getdomainname getdtablesize getgroups
-    gethostname getlogin getlogin_r getpagesize
+    gethostname getlogin getlogin_r getpagesize getpass
     getusershell setusershell endusershell
     group_member isatty lchown link linkat lseek pipe pipe2 pread pwrite
     readlink readlinkat rmdir sethostname sleep symlink symlinkat
@@ -83,6 +83,7 @@ AC_DEFUN([gl_UNISTD_H_DEFAULTS],
   GNULIB_GETLOGIN=0;             AC_SUBST([GNULIB_GETLOGIN])
   GNULIB_GETLOGIN_R=0;           AC_SUBST([GNULIB_GETLOGIN_R])
   GNULIB_GETPAGESIZE=0;          AC_SUBST([GNULIB_GETPAGESIZE])
+  GNULIB_GETPASS=0;              AC_SUBST([GNULIB_GETPASS])
   GNULIB_GETUSERSHELL=0;         AC_SUBST([GNULIB_GETUSERSHELL])
   GNULIB_GROUP_MEMBER=0;         AC_SUBST([GNULIB_GROUP_MEMBER])
   GNULIB_ISATTY=0;               AC_SUBST([GNULIB_ISATTY])
@@ -126,6 +127,7 @@ AC_DEFUN([gl_UNISTD_H_DEFAULTS],
   HAVE_GETHOSTNAME=1;     AC_SUBST([HAVE_GETHOSTNAME])
   HAVE_GETLOGIN=1;        AC_SUBST([HAVE_GETLOGIN])
   HAVE_GETPAGESIZE=1;     AC_SUBST([HAVE_GETPAGESIZE])
+  HAVE_GETPASS=1;         AC_SUBST([HAVE_GETPASS])
   HAVE_GROUP_MEMBER=1;    AC_SUBST([HAVE_GROUP_MEMBER])
   HAVE_LCHOWN=1;          AC_SUBST([HAVE_LCHOWN])
   HAVE_LINK=1;            AC_SUBST([HAVE_LINK])
@@ -168,6 +170,7 @@ AC_DEFUN([gl_UNISTD_H_DEFAULTS],
   REPLACE_GETLOGIN_R=0;   AC_SUBST([REPLACE_GETLOGIN_R])
   REPLACE_GETGROUPS=0;    AC_SUBST([REPLACE_GETGROUPS])
   REPLACE_GETPAGESIZE=0;  AC_SUBST([REPLACE_GETPAGESIZE])
+  REPLACE_GETPASS=0;      AC_SUBST([REPLACE_GETPASS])
   REPLACE_ISATTY=0;       AC_SUBST([REPLACE_ISATTY])
   REPLACE_LCHOWN=0;       AC_SUBST([REPLACE_LCHOWN])
   REPLACE_LINK=0;         AC_SUBST([REPLACE_LINK])
diff -pruN 2.9.8-1/m4/utime_h.m4 3.0-1/m4/utime_h.m4
--- 2.9.8-1/m4/utime_h.m4	2018-01-24 09:45:15.000000000 +0000
+++ 3.0-1/m4/utime_h.m4	2018-08-29 18:34:48.000000000 +0000
@@ -1,4 +1,4 @@
-# utime_h.m4 serial 1
+# utime_h.m4 serial 3
 dnl Copyright (C) 2017-2018 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
@@ -10,6 +10,7 @@ AC_DEFUN([gl_UTIME_H],
 [
   AC_REQUIRE([AC_CANONICAL_HOST])
   AC_REQUIRE([gl_UTIME_H_DEFAULTS])
+  m4_ifdef([gl_ANSI_CXX], [AC_REQUIRE([gl_ANSI_CXX])])
   AC_CHECK_HEADERS_ONCE([utime.h])
   gl_CHECK_NEXT_HEADERS([utime.h])
 
@@ -20,17 +21,25 @@ AC_DEFUN([gl_UTIME_H],
   fi
   AC_SUBST([HAVE_UTIME_H])
 
-  UTIME_H=''
-  if test $ac_cv_header_utime_h != yes; then
-    dnl Provide a substitute <utime.h> file.
-    UTIME_H=utime.h
-  else
-    case "$host_os" in
-      mingw*) dnl Need special handling of 'struct utimbuf'.
-        UTIME_H=utime.h
-        ;;
-    esac
-  fi
+  m4_ifdef([gl_POSIXCHECK],
+    [UTIME_H=utime.h],
+    [UTIME_H=''
+     if m4_ifdef([gl_ANSI_CXX], [test "$CXX" != no], [false]); then
+       dnl Override <utime.h> always, to support the C++ GNULIB_NAMESPACE.
+       UTIME_H=utime.h
+     else
+       if test $ac_cv_header_utime_h != yes; then
+         dnl Provide a substitute <utime.h> file.
+         UTIME_H=utime.h
+       else
+         case "$host_os" in
+           mingw*) dnl Need special handling of 'struct utimbuf'.
+             UTIME_H=utime.h
+             ;;
+         esac
+       fi
+     fi
+    ])
   AC_SUBST([UTIME_H])
   AM_CONDITIONAL([GL_GENERATE_UTIME_H], [test -n "$UTIME_H"])
 
diff -pruN 2.9.8-1/m4/warn-on-use.m4 3.0-1/m4/warn-on-use.m4
--- 2.9.8-1/m4/warn-on-use.m4	2018-01-24 09:45:15.000000000 +0000
+++ 3.0-1/m4/warn-on-use.m4	2018-08-29 18:34:48.000000000 +0000
@@ -1,4 +1,4 @@
-# warn-on-use.m4 serial 5
+# warn-on-use.m4 serial 6
 dnl Copyright (C) 2010-2018 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
@@ -6,6 +6,8 @@ dnl with or without modifications, as lo
 
 # gl_WARN_ON_USE_PREPARE(INCLUDES, NAMES)
 # ---------------------------------------
+# If the module 'posixcheck' is in use:
+#
 # For each whitespace-separated element in the list of NAMES, define
 # HAVE_RAW_DECL_name if the function has a declaration among INCLUDES
 # even after being undefined as a macro.
@@ -23,25 +25,27 @@ dnl with or without modifications, as lo
 # needing gl_WARN_ON_USE_PREPARE.
 AC_DEFUN([gl_WARN_ON_USE_PREPARE],
 [
-  m4_foreach_w([gl_decl], [$2],
-    [AH_TEMPLATE([HAVE_RAW_DECL_]AS_TR_CPP(m4_defn([gl_decl])),
-      [Define to 1 if ]m4_defn([gl_decl])[ is declared even after
-       undefining macros.])])dnl
+  m4_ifdef([gl_POSIXCHECK],
+    [m4_foreach_w([gl_decl], [$2],
+       [AH_TEMPLATE([HAVE_RAW_DECL_]AS_TR_CPP(m4_defn([gl_decl])),
+         [Define to 1 if ]m4_defn([gl_decl])[ is declared even after
+          undefining macros.])])dnl
 dnl FIXME: gl_Symbol must be used unquoted until we can assume
 dnl autoconf 2.64 or newer.
-  for gl_func in m4_flatten([$2]); do
-    AS_VAR_PUSHDEF([gl_Symbol], [gl_cv_have_raw_decl_$gl_func])dnl
-    AC_CACHE_CHECK([whether $gl_func is declared without a macro],
-      gl_Symbol,
-      [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([$1],
+     for gl_func in m4_flatten([$2]); do
+       AS_VAR_PUSHDEF([gl_Symbol], [gl_cv_have_raw_decl_$gl_func])dnl
+       AC_CACHE_CHECK([whether $gl_func is declared without a macro],
+         gl_Symbol,
+         [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([$1],
 [@%:@undef $gl_func
   (void) $gl_func;])],
-        [AS_VAR_SET(gl_Symbol, [yes])], [AS_VAR_SET(gl_Symbol, [no])])])
-    AS_VAR_IF(gl_Symbol, [yes],
-      [AC_DEFINE_UNQUOTED(AS_TR_CPP([HAVE_RAW_DECL_$gl_func]), [1])
-       dnl shortcut - if the raw declaration exists, then set a cache
-       dnl variable to allow skipping any later AC_CHECK_DECL efforts
-       eval ac_cv_have_decl_$gl_func=yes])
-    AS_VAR_POPDEF([gl_Symbol])dnl
-  done
+           [AS_VAR_SET(gl_Symbol, [yes])], [AS_VAR_SET(gl_Symbol, [no])])])
+       AS_VAR_IF(gl_Symbol, [yes],
+         [AC_DEFINE_UNQUOTED(AS_TR_CPP([HAVE_RAW_DECL_$gl_func]), [1])
+          dnl shortcut - if the raw declaration exists, then set a cache
+          dnl variable to allow skipping any later AC_CHECK_DECL efforts
+          eval ac_cv_have_decl_$gl_func=yes])
+       AS_VAR_POPDEF([gl_Symbol])dnl
+     done
+    ])
 ])
diff -pruN 2.9.8-1/m4/wchar_h.m4 3.0-1/m4/wchar_h.m4
--- 2.9.8-1/m4/wchar_h.m4	2018-01-24 09:45:15.000000000 +0000
+++ 3.0-1/m4/wchar_h.m4	2018-08-29 18:34:48.000000000 +0000
@@ -7,7 +7,7 @@ dnl with or without modifications, as lo
 
 dnl Written by Eric Blake.
 
-# wchar_h.m4 serial 42
+# wchar_h.m4 serial 43
 
 AC_DEFUN([gl_WCHAR_H],
 [
@@ -90,7 +90,8 @@ int main () { return zero(); }
      dnl that the object file has the latter name from the start.
      save_ac_compile="$ac_compile"
      ac_compile=`echo "$save_ac_compile" | sed s/conftest/conftest1/`
-     if AC_TRY_EVAL([ac_compile]); then
+     if echo '#include "conftest.c"' >conftest1.c &&
+        AC_TRY_EVAL([ac_compile]); then
        AC_LANG_CONFTEST([
          AC_LANG_SOURCE([[#define wcstod renamed_wcstod
 /* Tru64 with Desktop Toolkit C has a bug: <stdio.h> must be included before
@@ -105,7 +106,8 @@ int zero (void) { return 0; }
 ]])])
        dnl See note above about renaming object files.
        ac_compile=`echo "$save_ac_compile" | sed s/conftest/conftest2/`
-       if AC_TRY_EVAL([ac_compile]); then
+       if echo '#include "conftest.c"' >conftest2.c &&
+          AC_TRY_EVAL([ac_compile]); then
          if $CC -o conftest$ac_exeext $CFLAGS $LDFLAGS conftest1.$ac_objext conftest2.$ac_objext $LIBS >&AS_MESSAGE_LOG_FD 2>&1; then
            :
          else
@@ -114,7 +116,7 @@ int zero (void) { return 0; }
        fi
      fi
      ac_compile="$save_ac_compile"
-     rm -f conftest1.$ac_objext conftest2.$ac_objext conftest$ac_exeext
+     rm -f conftest[12].c conftest[12].$ac_objext conftest$ac_exeext
     ])
   if test $gl_cv_header_wchar_h_correct_inline = no; then
     AC_MSG_ERROR([<wchar.h> cannot be used with this compiler ($CC $CFLAGS $CPPFLAGS).
diff -pruN 2.9.8-1/m4/wcwidth.m4 3.0-1/m4/wcwidth.m4
--- 2.9.8-1/m4/wcwidth.m4	2018-01-24 09:45:15.000000000 +0000
+++ 3.0-1/m4/wcwidth.m4	2018-08-29 18:34:48.000000000 +0000
@@ -1,4 +1,4 @@
-# wcwidth.m4 serial 26
+# wcwidth.m4 serial 27
 dnl Copyright (C) 2006-2018 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
@@ -115,3 +115,9 @@ changequote([,])dnl
   dnl We don't substitute HAVE_WCWIDTH. We assume that if the system does not
   dnl have the wcwidth function, then it does not declare it.
 ])
+
+# Prerequisites of lib/wcwidth.c.
+AC_DEFUN([gl_PREREQ_WCWIDTH], [
+  AC_REQUIRE([AC_C_INLINE])
+  :
+])
diff -pruN 2.9.8-1/Makefile.in 3.0-1/Makefile.in
--- 2.9.8-1/Makefile.in	2018-06-02 08:22:42.000000000 +0000
+++ 3.0-1/Makefile.in	2018-09-09 09:47:48.000000000 +0000
@@ -107,16 +107,16 @@ am__aclocal_m4_deps = $(top_srcdir)/m4/0
 	$(top_srcdir)/m4/extern-inline.m4 $(top_srcdir)/m4/fcntl-o.m4 \
 	$(top_srcdir)/m4/fcntl_h.m4 $(top_srcdir)/m4/flexmember.m4 \
 	$(top_srcdir)/m4/float_h.m4 $(top_srcdir)/m4/fnmatch.m4 \
-	$(top_srcdir)/m4/fpieee.m4 $(top_srcdir)/m4/frexp.m4 \
-	$(top_srcdir)/m4/frexpl.m4 $(top_srcdir)/m4/fstat.m4 \
-	$(top_srcdir)/m4/futimens.m4 $(top_srcdir)/m4/getdelim.m4 \
-	$(top_srcdir)/m4/getline.m4 $(top_srcdir)/m4/getlogin.m4 \
-	$(top_srcdir)/m4/getlogin_r.m4 $(top_srcdir)/m4/getopt.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gettime.m4 \
-	$(top_srcdir)/m4/gettimeofday.m4 $(top_srcdir)/m4/glibc21.m4 \
-	$(top_srcdir)/m4/glob.m4 $(top_srcdir)/m4/gnulib-common.m4 \
+	$(top_srcdir)/m4/fnmatch_h.m4 $(top_srcdir)/m4/fpieee.m4 \
+	$(top_srcdir)/m4/frexp.m4 $(top_srcdir)/m4/frexpl.m4 \
+	$(top_srcdir)/m4/fstat.m4 $(top_srcdir)/m4/futimens.m4 \
+	$(top_srcdir)/m4/getdelim.m4 $(top_srcdir)/m4/getline.m4 \
+	$(top_srcdir)/m4/getlogin.m4 $(top_srcdir)/m4/getlogin_r.m4 \
+	$(top_srcdir)/m4/getopt.m4 $(top_srcdir)/m4/gettext.m4 \
+	$(top_srcdir)/m4/gettime.m4 $(top_srcdir)/m4/gettimeofday.m4 \
+	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/glob.m4 \
+	$(top_srcdir)/m4/glob_h.m4 $(top_srcdir)/m4/gnulib-common.m4 \
 	$(top_srcdir)/m4/gnulib-comp.m4 \
-	$(top_srcdir)/m4/hard-locale.m4 \
 	$(top_srcdir)/m4/host-cpu-c-abi.m4 $(top_srcdir)/m4/iconv.m4 \
 	$(top_srcdir)/m4/include_next.m4 \
 	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/intmax_t.m4 \
@@ -335,6 +335,7 @@ GETOPT_CDEFS_H = @GETOPT_CDEFS_H@
 GETOPT_H = @GETOPT_H@
 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
 GLIBC21 = @GLIBC21@
+GLOB_H = @GLOB_H@
 GMSGFMT = @GMSGFMT@
 GMSGFMT_015 = @GMSGFMT_015@
 GNULIB_ACOSF = @GNULIB_ACOSF@
@@ -409,6 +410,7 @@ GNULIB_FMAL = @GNULIB_FMAL@
 GNULIB_FMOD = @GNULIB_FMOD@
 GNULIB_FMODF = @GNULIB_FMODF@
 GNULIB_FMODL = @GNULIB_FMODL@
+GNULIB_FNMATCH = @GNULIB_FNMATCH@
 GNULIB_FOPEN = @GNULIB_FOPEN@
 GNULIB_FPRINTF = @GNULIB_FPRINTF@
 GNULIB_FPRINTF_POSIX = @GNULIB_FPRINTF_POSIX@
@@ -444,9 +446,11 @@ GNULIB_GETLOADAVG = @GNULIB_GETLOADAVG@
 GNULIB_GETLOGIN = @GNULIB_GETLOGIN@
 GNULIB_GETLOGIN_R = @GNULIB_GETLOGIN_R@
 GNULIB_GETPAGESIZE = @GNULIB_GETPAGESIZE@
+GNULIB_GETPASS = @GNULIB_GETPASS@
 GNULIB_GETSUBOPT = @GNULIB_GETSUBOPT@
 GNULIB_GETTIMEOFDAY = @GNULIB_GETTIMEOFDAY@
 GNULIB_GETUSERSHELL = @GNULIB_GETUSERSHELL@
+GNULIB_GLOB = @GNULIB_GLOB@
 GNULIB_GL_UNISTD_H_GETOPT = @GNULIB_GL_UNISTD_H_GETOPT@
 GNULIB_GRANTPT = @GNULIB_GRANTPT@
 GNULIB_GROUP_MEMBER = @GNULIB_GROUP_MEMBER@
@@ -830,6 +834,8 @@ HAVE_FMAF = @HAVE_FMAF@
 HAVE_FMAL = @HAVE_FMAL@
 HAVE_FMODF = @HAVE_FMODF@
 HAVE_FMODL = @HAVE_FMODL@
+HAVE_FNMATCH = @HAVE_FNMATCH@
+HAVE_FNMATCH_H = @HAVE_FNMATCH_H@
 HAVE_FREXPF = @HAVE_FREXPF@
 HAVE_FSEEKO = @HAVE_FSEEKO@
 HAVE_FSTATAT = @HAVE_FSTATAT@
@@ -843,8 +849,12 @@ HAVE_GETHOSTNAME = @HAVE_GETHOSTNAME@
 HAVE_GETLOGIN = @HAVE_GETLOGIN@
 HAVE_GETOPT_H = @HAVE_GETOPT_H@
 HAVE_GETPAGESIZE = @HAVE_GETPAGESIZE@
+HAVE_GETPASS = @HAVE_GETPASS@
 HAVE_GETSUBOPT = @HAVE_GETSUBOPT@
 HAVE_GETTIMEOFDAY = @HAVE_GETTIMEOFDAY@
+HAVE_GLOB = @HAVE_GLOB@
+HAVE_GLOB_H = @HAVE_GLOB_H@
+HAVE_GLOB_PATTERN_P = @HAVE_GLOB_PATTERN_P@
 HAVE_GRANTPT = @HAVE_GRANTPT@
 HAVE_GROUP_MEMBER = @HAVE_GROUP_MEMBER@
 HAVE_HYPOTF = @HAVE_HYPOTF@
@@ -1095,6 +1105,7 @@ NEXT_AS_FIRST_DIRECTIVE_DIRENT_H = @NEXT
 NEXT_AS_FIRST_DIRECTIVE_ERRNO_H = @NEXT_AS_FIRST_DIRECTIVE_ERRNO_H@
 NEXT_AS_FIRST_DIRECTIVE_FCNTL_H = @NEXT_AS_FIRST_DIRECTIVE_FCNTL_H@
 NEXT_AS_FIRST_DIRECTIVE_FLOAT_H = @NEXT_AS_FIRST_DIRECTIVE_FLOAT_H@
+NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H = @NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H@
 NEXT_AS_FIRST_DIRECTIVE_GETOPT_H = @NEXT_AS_FIRST_DIRECTIVE_GETOPT_H@
 NEXT_AS_FIRST_DIRECTIVE_GLOB_H = @NEXT_AS_FIRST_DIRECTIVE_GLOB_H@
 NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H = @NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H@
@@ -1123,6 +1134,7 @@ NEXT_DIRENT_H = @NEXT_DIRENT_H@
 NEXT_ERRNO_H = @NEXT_ERRNO_H@
 NEXT_FCNTL_H = @NEXT_FCNTL_H@
 NEXT_FLOAT_H = @NEXT_FLOAT_H@
+NEXT_FNMATCH_H = @NEXT_FNMATCH_H@
 NEXT_GETOPT_H = @NEXT_GETOPT_H@
 NEXT_GLOB_H = @NEXT_GLOB_H@
 NEXT_LANGINFO_H = @NEXT_LANGINFO_H@
@@ -1210,6 +1222,7 @@ REPLACE_FMAL = @REPLACE_FMAL@
 REPLACE_FMOD = @REPLACE_FMOD@
 REPLACE_FMODF = @REPLACE_FMODF@
 REPLACE_FMODL = @REPLACE_FMODL@
+REPLACE_FNMATCH = @REPLACE_FNMATCH@
 REPLACE_FOPEN = @REPLACE_FOPEN@
 REPLACE_FPRINTF = @REPLACE_FPRINTF@
 REPLACE_FPURGE = @REPLACE_FPURGE@
@@ -1233,8 +1246,10 @@ REPLACE_GETGROUPS = @REPLACE_GETGROUPS@
 REPLACE_GETLINE = @REPLACE_GETLINE@
 REPLACE_GETLOGIN_R = @REPLACE_GETLOGIN_R@
 REPLACE_GETPAGESIZE = @REPLACE_GETPAGESIZE@
+REPLACE_GETPASS = @REPLACE_GETPASS@
 REPLACE_GETTIMEOFDAY = @REPLACE_GETTIMEOFDAY@
 REPLACE_GLOB = @REPLACE_GLOB@
+REPLACE_GLOB_PATTERN_P = @REPLACE_GLOB_PATTERN_P@
 REPLACE_GMTIME = @REPLACE_GMTIME@
 REPLACE_HUGE_VAL = @REPLACE_HUGE_VAL@
 REPLACE_HYPOT = @REPLACE_HYPOT@
diff -pruN 2.9.8-1/nano.spec 3.0-1/nano.spec
--- 2.9.8-1/nano.spec	2018-06-02 08:22:59.000000000 +0000
+++ 3.0-1/nano.spec	2018-09-09 09:47:57.000000000 +0000
@@ -1,5 +1,5 @@
 %define name	nano
-%define version	2.9.8
+%define version	3.0
 %define release	1
 
 Name		: %{name}
diff -pruN 2.9.8-1/NEWS 3.0-1/NEWS
--- 2.9.8-1/NEWS	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/NEWS	2018-09-09 09:42:04.000000000 +0000
@@ -1,3 +1,26 @@
+2018.09.09 - GNU nano 3.0 "Water Flowing Underground" speeds up the
+             reading of a file by seventy percent, roughly doubles the
+             speed of handling ASCII text, changes the way words at line
+             boundaries are deleted, makes <Ctrl+Delete> wipe the next
+             word and <Ctrl+Shift+Delete> the preceding word, binds M-Q
+             to 'findprevious' by default (the Tabs-to-Spaces toggle is
+             placed on M-O, and the More-Space toggle is fully removed),
+             makes an external spell check undoable, shows the correct
+             number of lines on the status bar when opening multiple
+             files, removes the 'formatter' command, removes the
+             'searchagain' bindable function (M-W is now bound to
+             'findnext' by default), moves the No-Convert toggle to the
+             Insert menu, removes the Backup and New-Buffer toggles from
+             the main menu (they remain in the Write-Out and Insert
+             menus, respectively), is more precise in what it accepts as
+             a rebindable key name, ignores any presses of <Esc> before
+             a valid command keystroke, recognizes some more escape
+             sequences for modified editing-pad keys, does not hide
+             rcfile error messages on a Linux console, renames the
+             bindable functions 'copytext' to 'copy' and 'uncut' to
+             'paste', and avoids a possible hang during a Full-Justify.
+
+
 2018.06.02 - GNU nano 2.9.8 "Espresso" brings the ability to filter the
              buffer (or the marked region) through an external command
              (^R^X and prefix the command with the pipe symbol, "|"), is
Binary files 2.9.8-1/po/bg.gmo and 3.0-1/po/bg.gmo differ
diff -pruN 2.9.8-1/po/bg.po 3.0-1/po/bg.po
--- 2.9.8-1/po/bg.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/bg.po	2018-09-09 09:48:30.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 1.9.99pre0\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2006-08-25 00:56+0300\n"
 "Last-Translator: Anton Zinoviev <zinoviev@debian.org>\n"
 "Language-Team: Bulgarian <dict@fsa-bg.org>\n"
@@ -25,83 +25,87 @@ msgid "Cannot open directory: %s"
 msgstr "Не може да се премине в горната директория"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Отиване в директория"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Отменено"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, fuzzy, c-format
 msgid "Can't go outside of %s"
 msgstr "Не може да се запише извън %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Не може да се премине в горната директория"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Грешка при четене на %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(дир)"
 
 # TODO: по-добър превод
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(родит.дир.)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr ""
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Търсене"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Назад]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Търсене отначало"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Това е единственото съвпадение"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Няма въведен низ за търсене"
 
-#: src/color.c:183
+#: src/color.c:182
 #, fuzzy, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Дублирано име на синтаксис %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr ""
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr ""
@@ -172,7 +176,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr "Не може да се вмъкне файл извън %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "„%s“ е директория"
@@ -182,1077 +186,1096 @@ msgstr "„%s“ е директория
 msgid "\"%s\" is not a normal file"
 msgstr "„%s“ е файл за устройство"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Няма повече буфери за отваряне на файлове"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr ""
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Превключено на %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Нов буфер"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] ""
+msgstr[1] ""
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Няма повече буфери за отваряне на файлове"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr ""
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Прочетен %lu ред (конвертиран от DOS и Mac формат)"
 msgstr[1] "Прочетени %lu реда (конвертирани от DOS и Mac формат)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Прочетен %lu ред (конвертиран от Mac формат)"
 msgstr[1] "Прочетени %lu реда (конвертирани от Mac формат)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Прочетен %lu ред (конвертиран от DOS формат)"
 msgstr[1] "Прочетени %lu реда (конвертирани от DOS формат)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, fuzzy, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Прочетен %lu ред"
 msgstr[1] "Прочетени %lu реда"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Нов файл"
 
-#: src/files.c:946
+#: src/files.c:993
 #, fuzzy, c-format
 msgid "File \"%s\" not found"
 msgstr "„%s“ не е намерен"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "„%s“ е файл за устройство"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Четене на файл"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 #, fuzzy
 msgid "Command to execute in new buffer"
 msgstr "Команда за изпълнение в нов буфер [от %s] "
 
-#: src/files.c:1043
+#: src/files.c:1090
 #, fuzzy
 msgid "Command to execute"
 msgstr "Команда за изпълнение [от %s] "
 
-#: src/files.c:1049
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Файл за вмъкване в новия буфер [от %s] "
+
+#: src/files.c:1101
 #, fuzzy, c-format
-msgid "File to insert into new buffer [from %s]"
+msgid "File to read into new buffer [from %s]"
 msgstr "Файл за вмъкване в новия буфер [от %s] "
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Файл за вмъкване [от %s] "
+
+#: src/files.c:1109
 #, fuzzy, c-format
 msgid "File to insert [from %s]"
 msgstr "Файл за вмъкване [от %s] "
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Клавишът е недопустим в режим без буфери"
 
-#: src/files.c:1426
+#: src/files.c:1476
 #, fuzzy
 msgid "Invalid operating directory\n"
 msgstr "Работна директория"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 
-#: src/files.c:1492
+#: src/files.c:1542
 #, fuzzy
 msgid "Invalid backup directory\n"
 msgstr "Не може да се премине в горната директория"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Не може да се запише извън %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, fuzzy, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Грешка при записа на временен файл: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Твърде много резервни копия?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Грешка при записа на временен файл: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Грешка при запис на %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, fuzzy, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Запазен е %lu ред"
 msgstr[1] "Запазени са %lu реда"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS формат]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac формат]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Резервно копие]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Прикрепяне на избрания текст в началото на файл"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Прикрепяне на избрания текст в края на файл"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Запазване на избрания текст във файл"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Име на файла за прикрепяне в началото му"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Име на файла за прикрепяне в края му"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Име на файл за запазване"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr ""
 
-#: src/files.c:2200
+#: src/files.c:2259
 #, fuzzy
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Запазване под РАЗЛИЧНО ИМЕ? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, fuzzy, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Файлът съществува, ПРЕЗАПИСВАНЕ? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr ""
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr ""
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(повече)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Изход"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Затваряне"
 
-#: src/global.c:497
+#: src/global.c:509
 #, fuzzy
 msgid "Uncut Text"
 msgstr "Поставяне"
 
-#: src/global.c:499
+#: src/global.c:511
 #, fuzzy
 msgid "Unjustify"
 msgstr "Изкл.подр."
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Отваряне"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Търсене"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Замяна"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Отив. ред"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Предишен ред"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Следващ ред"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "ПредСтр"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "СледвСтр"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Подравн."
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Пълно подравн."
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Опресняване"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "КъдеEследв."
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Отмяна на текущата функция"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Извежда тази помощна информация"
 
-#: src/global.c:527
+#: src/global.c:523
 #, fuzzy
 msgid "Close the current buffer / Exit from nano"
 msgstr "Затваряне на текущия файлов буфер/Изход от nano"
 
-#: src/global.c:529
+#: src/global.c:525
 #, fuzzy
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Запазване на текущия файл на диска"
 
-#: src/global.c:531
+#: src/global.c:527
 #, fuzzy
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Вмъкване на друг файл в текущия"
 
-#: src/global.c:533
+#: src/global.c:529
 #, fuzzy
 msgid "Search forward for a string or a regular expression"
 msgstr "Търсене на низ или регулярен израз"
 
-#: src/global.c:535
+#: src/global.c:531
 #, fuzzy
 msgid "Search backward for a string or a regular expression"
 msgstr "Търсене на низ или регулярен израз"
 
-#: src/global.c:537
+#: src/global.c:533
 #, fuzzy
-msgid "Search for a string"
+msgid "Search forward for a string"
 msgstr "Търсене на низ или регулярен израз"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr ""
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr ""
 
-#: src/global.c:540
+#: src/global.c:537
 #, fuzzy
 msgid "Go to lefthand column"
 msgstr "Отиване на посочен ред и стълб"
 
-#: src/global.c:541
+#: src/global.c:538
 #, fuzzy
 msgid "Go to righthand column"
 msgstr "Отиване на посочен ред и стълб"
 
-#: src/global.c:542
+#: src/global.c:539
 #, fuzzy
 msgid "Go to first row in this column"
 msgstr "Отиване при първия файл от списъка"
 
-#: src/global.c:543
+#: src/global.c:540
 #, fuzzy
 msgid "Go to last row in this column"
 msgstr "Отиване при последния файл от списъка"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr ""
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr ""
 
-#: src/global.c:549
+#: src/global.c:546
 #, fuzzy
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Отрязване на текущия ред и съхраняване в буфера за обмен"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Отрязване от буфера за обмен и поставяне в текущия ред"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Показване на положението на курсора"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Извикване на програмата за проверка на правописа"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Замяна на низ или регулярен израз"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Отиване на посочен ред и стълб"
 
-#: src/global.c:558
-#, fuzzy
-msgid "Repeat the last search"
-msgstr "Повтаряне на последното търсене"
-
-#: src/global.c:560
+#: src/global.c:556
 #, fuzzy
 msgid "Mark text starting from the cursor position"
 msgstr "Маркиране на текст в позицията на курсора"
 
-#: src/global.c:562
+#: src/global.c:558
 #, fuzzy
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Отрязване на текущия ред и съхраняване в буфера за обмен"
 
-#: src/global.c:563
+#: src/global.c:559
 #, fuzzy
 msgid "Indent the current line (or marked lines)"
 msgstr "Отстъп вдясно на текущия ред"
 
-#: src/global.c:564
+#: src/global.c:560
 #, fuzzy
 msgid "Unindent the current line (or marked lines)"
 msgstr "Маха отстъпа на текущия ред"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr ""
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr ""
 
-#: src/global.c:568
+#: src/global.c:564
 #, fuzzy
 msgid "Go back one character"
 msgstr "Отиване един символ назад"
 
-#: src/global.c:569
+#: src/global.c:565
 #, fuzzy
 msgid "Go forward one character"
 msgstr "Отиване един символ напред"
 
-#: src/global.c:570
+#: src/global.c:566
 #, fuzzy
 msgid "Go back one word"
 msgstr "Отиване назад с една дума"
 
-#: src/global.c:571
+#: src/global.c:567
 #, fuzzy
 msgid "Go forward one word"
 msgstr "Отиване напред с една дума"
 
-#: src/global.c:572
+#: src/global.c:568
 #, fuzzy
 msgid "Go to previous line"
 msgstr "Отиване на предишния ред"
 
-#: src/global.c:573
+#: src/global.c:569
 #, fuzzy
 msgid "Go to next line"
 msgstr "Отиване на следващия ред"
 
-#: src/global.c:574
+#: src/global.c:570
 #, fuzzy
 msgid "Go to beginning of current line"
 msgstr "Отиване в началото на текущия ред"
 
-#: src/global.c:575
+#: src/global.c:571
 #, fuzzy
 msgid "Go to end of current line"
 msgstr "Отиване в края на текущия ред"
 
-#: src/global.c:576
+#: src/global.c:572
 #, fuzzy
 msgid "Go to previous block of text"
 msgstr "Отиване на предишния ред"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr ""
 
-#: src/global.c:580
+#: src/global.c:576
 #, fuzzy
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Отиване в началото на текущия абзац"
 
-#: src/global.c:582
+#: src/global.c:578
 #, fuzzy
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Отиване в края на текущия абзац"
 
-#: src/global.c:584
+#: src/global.c:580
 #, fuzzy
 msgid "Go to the first line of the file"
 msgstr "Отиване в началото на файла"
 
-#: src/global.c:585
+#: src/global.c:581
 #, fuzzy
 msgid "Go to the last line of the file"
 msgstr "Отиване в края на файла"
 
-#: src/global.c:587
+#: src/global.c:583
 #, fuzzy
 msgid "Go to the matching bracket"
 msgstr "Отиване при съответната скоба"
 
-#: src/global.c:591
+#: src/global.c:587
 #, fuzzy
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Превърта нагоре с един ред без да мести курсора"
 
-#: src/global.c:593
+#: src/global.c:589
 #, fuzzy
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Превърта надолу с един ред без да мести курсора"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Превключване на предишния файлов буфер"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Превключване на следващия файлов буфер"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Вмъкване на следващия клавиш дословно"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Вмъкване на символ за табулация при курсора"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Вмъкване на символ за нов ред при курсора"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Изтриване на символа под курсора"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Изтриване на символа вляво от курсора"
 
-#: src/global.c:607
+#: src/global.c:603
 #, fuzzy
 msgid "Cut backward from cursor to word start"
 msgstr "Отрязване от курсора до края на реда"
 
-#: src/global.c:609
+#: src/global.c:605
 #, fuzzy
 msgid "Cut forward from cursor to next word start"
 msgstr "Отрязване от курсора до края на реда"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Отрязване от позицията на курсора до края на файла"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Подравняване на текущия абзац"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Подравняване на целия файл"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Преброяване на думите, редовете и знаците във файла"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Опресняване на текущия екран"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr ""
 
-#: src/global.c:626
+#: src/global.c:622
 #, fuzzy
 msgid "Try and complete the current word"
 msgstr "Отстъп вдясно на текущия ред"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr ""
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr ""
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr ""
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr ""
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr ""
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr ""
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Зачитане малки/големи букви при търсене (вкл/изкл)"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Обратна посока на търсене"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Използване на регулярни изрази (вкл/изкл)"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Връща предишния низ за търсене/замяна"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Връща следващия низ за търсене/замяна"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Запазване на файла в DOS формат (вкл/изкл)"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Запазване на файла в Mac формат (вкл/изкл)"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Вмъкване в края на файла (вкл/изкл)"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Вмъкване в началото на файла (вкл/изкл)"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Резервно копира съществуващи файлове (вкл/изкл)"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Изпълнение на външна команда"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Без преобразуване от DOS/Mac формат"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Използване на нов буфер (вкл/изкл)"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr ""
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Отиване във файлов браузър"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Изход от файловия браузър"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Отиване при първия файл от списъка"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Отиване при последния файл от списъка"
 
-#: src/global.c:670
+#: src/global.c:667
 #, fuzzy
 msgid "Go to the previous file in the list"
 msgstr "Отиване при първия файл от списъка"
 
-#: src/global.c:671
+#: src/global.c:668
 #, fuzzy
 msgid "Go to the next file in the list"
 msgstr "Отиване при последния файл от списъка"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Отиване в директория"
 
-#: src/global.c:675
+#: src/global.c:672
 #, fuzzy
 msgid "Invoke the linter, if available"
 msgstr "Извикване на програмата за проверка на правописа"
 
-#: src/global.c:676
+#: src/global.c:673
 #, fuzzy
 msgid "Go to previous linter msg"
 msgstr "Отиване на предишния ред"
 
-#: src/global.c:677
+#: src/global.c:674
 #, fuzzy
 msgid "Go to next linter msg"
 msgstr "Отиване на следващия ред"
 
-#: src/global.c:679
-#, fuzzy
-msgid "Invoke formatter, if available"
-msgstr "Извикване на програмата за проверка на правописа"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Помощ"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Отмяна"
 
-#: src/global.c:710
+#: src/global.c:705
 #, fuzzy
 msgid "Write Out"
 msgstr "Запазване"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Отваряне"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Подравн."
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Опресняване"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Търсене"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Замяна"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Отиване в директория"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Отрязване"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Правопис"
 
-#: src/global.c:785
+#: src/global.c:771
 #, fuzzy
 msgid "To Linter"
 msgstr "Отив. ред"
 
-#: src/global.c:788
-#, fuzzy
-msgid "Formatter"
-msgstr "DOS формат"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Поз.курсор"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Отив. ред"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr ""
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr ""
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Избор на текст"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Копиране"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Зач. м/г"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Рег.израз"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Назад"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Без замяна"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Пълно подравн."
+
+#: src/global.c:821
 #, fuzzy
 msgid "To Bracket"
 msgstr "Не е скоба"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr ""
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+#, fuzzy
+msgid "Where Was"
+msgstr "Търсене"
+
+#: src/global.c:838
 #, fuzzy
 msgid "Previous"
 msgstr "Предишен файл"
 
-#: src/global.c:847
+#: src/global.c:840
 #, fuzzy
 msgid "Next"
 msgstr "СледвСтр"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Назад"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Напред"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Предишна дума"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Следваща дума"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Home"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "End"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Предишен ред"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Следващ ред"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Превъртане нагоре"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Превъртане надолу"
 
-#: src/global.c:883
+#: src/global.c:876
 #, fuzzy
 msgid "Prev Block"
 msgstr "Предишна дума"
 
-#: src/global.c:885
+#: src/global.c:878
 #, fuzzy
 msgid "Next Block"
 msgstr "Следваща дума"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Нач. абзац"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Край абзац"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "ПредСтр"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "СледвСтр"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Първи ред"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Посл. ред"
 
-#: src/global.c:905
+#: src/global.c:898
 #, fuzzy
 msgid "Prev File"
 msgstr "Предишен файл"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Следващ файл"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Delete"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Backspace"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 #, fuzzy
 msgid "Cut Left"
 msgstr "Отрязване"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr ""
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "Отр. до края"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Брой на думи"
 
-#: src/global.c:959
+#: src/global.c:946
 #, fuzzy
 msgid "Verbatim"
 msgstr "Дословен вход"
 
-#: src/global.c:965
+#: src/global.c:952
 #, fuzzy
 msgid "Suspend"
 msgstr "Временно спиране"
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
 msgstr "Отстъп"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
 msgstr "Без отстъп"
 
-#: src/global.c:975
+#: src/global.c:962
 #, fuzzy
 msgid "Comment Lines"
 msgstr "Следващ ред"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr ""
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr ""
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr ""
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-#, fuzzy
-msgid "Where Was"
-msgstr "Търсене"
-
-#: src/global.c:992
-msgid "Save"
-msgstr ""
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "ПредИстор."
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "СледИстор."
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Отиване на текст"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS формат"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac формат"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Добавяне в края"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Добавяне в нач."
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Резервно копие"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "версия"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Изпълнение на команда"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "Копиране"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Към файловете"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Първи файл"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Посл. файл"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr ""
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr ""
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr ""
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr ""
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr ""
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 #, fuzzy
 msgid "Prev Lint Msg"
 msgstr "Предишен ред"
 
-#: src/global.c:1084
+#: src/global.c:1069
 #, fuzzy
 msgid "Next Lint Msg"
 msgstr "Следващ ред"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Режим на помощ"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Постоянно показване на позицията на курсора"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Използване на още един ред за редактиране"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Плавно превъртане"
 
-#: src/global.c:1426
+#: src/global.c:1396
 #, fuzzy
 msgid "Soft wrapping of overlong lines"
 msgstr "Без пренасяне на дългите редове"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Показване на интервали"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Синтактично осветяване"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Интелигентен клавиш „Home“"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Автоматичен отстъп"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Отрязване до края"
 
-#: src/global.c:1438
+#: src/global.c:1408
 #, fuzzy
 msgid "Hard wrapping of overlong lines"
 msgstr "Без пренасяне на дългите редове"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Превръщане на табулации в интервали"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Запазване на резервни копия"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr ""
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Поддръжка на мишка"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Без конвертиране от DOS/Mac формат"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Временно спиране"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr ""
 
@@ -1483,11 +1506,9 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Помощен текст за „Изпълнение на команда“\n"
 "\n"
@@ -1498,7 +1519,22 @@ msgstr ""
 " Може да се използват следните функционални клавиши:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+"Следните функционални клавиши са достъпни в режим „Търсене“:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1518,7 +1554,7 @@ msgstr ""
 "редактора, показващ редактирания файл. Лентата за състоянието е третият ред "
 "от долу нагоре и е предназначен за важни съобщения.  "
 
-#: src/help.c:437
+#: src/help.c:438
 #, fuzzy
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
@@ -1537,7 +1573,7 @@ msgstr ""
 "да бъдат въвеждани с клавишите „Esc“, „Alt“ или „Meta“ в зависимост от "
 "настройките на клавиатурата.   "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1551,7 +1587,7 @@ msgstr ""
 "алтернативните са показани в скоби:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "(вкл/изкл)"
 
@@ -1583,21 +1619,21 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Грешка при запис на %s: %s"
 
-#: src/nano.c:536
+#: src/nano.c:543
 #, fuzzy
 msgid "Key is invalid in view mode"
 msgstr "Непозволен клавиш в режим на преглед"
 
-#: src/nano.c:542
+#: src/nano.c:549
 #, fuzzy
 msgid "This function is disabled in restricted mode"
 msgstr "Не може да се излезе от %s в ограничен режим"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr ""
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1606,7 +1642,7 @@ msgstr ""
 "\n"
 "Буферът е записан в %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1615,7 +1651,7 @@ msgstr ""
 "\n"
 "Буферът не е записан в %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1624,7 +1660,7 @@ msgstr ""
 "\n"
 "Буферът не е записан: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, fuzzy, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1635,303 +1671,303 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
 "a '+' before the filename.  The column number can be added after a comma.\n"
 msgstr ""
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Опция\t\tДълга опция\t\tЗначение\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "С интелигентен клавиш „Home“"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Резервно копира съществуващи файлове"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <дир>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<дир>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Директория за резервните копия"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Удебелен шрифт вместо инверсно видео"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Прави въведените табулации на интервали"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr ""
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr ""
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Запазва/чете историята на търсене/замяна"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Пренебрегва конфиг. файлове nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Коригира объркване от цифровия клав.блок"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Без знак за нов ред в края на файловете"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Без преобразуване от DOS/Mac формат"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Използване още един ред за редактиране"
 
-#: src/nano.c:818
+#: src/nano.c:827
 #, fuzzy
 msgid "Log & read location of cursor position"
 msgstr "Вмъкване на символ за табулация при курсора"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q <низ>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<низ>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr ""
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Ограничен режим"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr ""
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#стълбове>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#стълбове>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Широчината на табулацията - #стълбове"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Бързо изключване на лентата за състояние"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Показва версията и излиза"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Открива прецизно междусловните граници"
 
-#: src/nano.c:836
+#: src/nano.c:845
 #, fuzzy
 msgid "-X <str>"
 msgstr "-Q <низ>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 #, fuzzy
 msgid "--wordchars=<str>"
 msgstr "--quotestr=<низ>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 #, fuzzy
 msgid "--syntax=<name>"
 msgstr "--syntax=<низ>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Посочва синтаксис за оцветяване"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr ""
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Постоянно показва позицията на курсора"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Коригира объркване на „Backspace/Delete“"
 
-#: src/nano.c:852
+#: src/nano.c:861
 #, fuzzy
 msgid "Show cursor in file browser"
 msgstr "Отиване във файлов браузър"
 
-#: src/nano.c:854
+#: src/nano.c:863
 #, fuzzy
 msgid "Show this help text and exit"
 msgstr "Извежда тази помощна информация"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Автоматичен отстъп при нови редове"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Отрязване от курсора до края на реда"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr ""
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "С използване на мишка"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr ""
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <дир>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<дир>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Работна директория"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Запазва клавишите „XON“(^Q) и „XOFF“(^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#стълбове>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#стълбове>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 #, fuzzy
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Пренася редовете при ширина #стълбове"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <прог>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<прог>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Алтернативен правописен коректор"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "При изход запазва файла без питане"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr ""
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Режим на преглед (само за четене)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 #, fuzzy
 msgid "Don't hard-wrap long lines"
 msgstr "Без пренасяне на дългите редове"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Без двата последни реда с помощ"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Позволява временно спиране"
 
-#: src/nano.c:895
+#: src/nano.c:904
 #, fuzzy
 msgid "Enable soft line wrapping"
 msgstr "Автоматично пренасяне"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, fuzzy, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, версия %s (компилиран в %s часа на %s)\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr ""
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, fuzzy, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr ""
 " Е-поща: nano@nano-editor.org\tИнтернет адрес: http://www.nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1940,340 +1976,340 @@ msgstr ""
 "\n"
 " Компилирани опции:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr ""
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr ""
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr ""
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Получи се SIGHUP или SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Използвайте „fg“, за да се върнете в nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr ""
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "активирано"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "деактивирано"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr ""
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr ""
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr ""
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr ""
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr ""
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Поисканият размер на табулация „%s“ е неправилен"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Поисканият размер „%s“ за максимална дължина на редове е неправилен"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr ""
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 #, fuzzy
 msgid "Invalid line or column number"
 msgstr "Въведете номер на ред и стълб"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr ""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "YyДд"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "NnНн"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "AaВв"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Да"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Не"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Всички"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, fuzzy, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Грешка в %s на ред %lu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Аргументът „%s“ има незатворенa \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr ""
 "Низовете за регулярни изрази трябва да започват и завършват със символа \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Неправилен регулярен израз \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Липсва името на синтаксиса"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 #, fuzzy
 msgid "Unpaired quote in syntax name"
 msgstr "Липсва името на синтаксиса"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Синтаксисът „none“ е запазен"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 #, fuzzy
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Синтаксисът „default“ не приема разширения"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 #, fuzzy
 msgid "Missing key name"
 msgstr "Липсва името на синтаксиса"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr ""
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr ""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, fuzzy, c-format
 msgid "Key name %s is invalid"
 msgstr "Поисканият размер на табулация „%s“ е неправилен"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr ""
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr ""
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr ""
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr ""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr ""
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, fuzzy, c-format
 msgid "Error expanding %s: %s"
 msgstr "Грешка при четене на %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, fuzzy, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Командата „%s“ е неизвестна"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 #, fuzzy
 msgid "A background color cannot be bright"
 msgstr "Цветът за фон „%s“ не може да бъде ярък"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr ""
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Липсва името на цвета"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, fuzzy, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Липсва низът за регулярния израз"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 #, fuzzy
 msgid "Empty regex string"
 msgstr "Липсва низът за регулярния израз"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "„start=“ изисква съответстващ „end=“"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, fuzzy, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Синтаксисът „default“ не приема разширения"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr ""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, fuzzy, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Аргументът „%s“ има незатворенa \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr ""
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr ""
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Синтаксисът „%s“ няма команди за цветове"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Командата „%s“ не е позволена във вмъкван файл"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Командата „%s“ е неизвестна"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 #, fuzzy
 msgid "Missing option"
 msgstr "Липсва името на цвета"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, fuzzy, c-format
 msgid "Unknown option \"%s\""
 msgstr "Неизвестен флаг „%s“"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, fuzzy, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Не може да се отмени флаг „%s“"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Опцията „%s“ изисква аргумент"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 #, fuzzy
 msgid "Argument is not a valid multibyte string"
 msgstr "Опцията не е правилен многобайтов низ"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Необходими са символи, които не са празни"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Необходими са два символа с нормална ширина"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Не може да бъде намерена домашната директория! Ах!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Зачитане на малки/големи]"
@@ -2282,42 +2318,37 @@ msgstr " [Зачитане на малк
 msgid " [Regexp]"
 msgstr " [Рег.израз]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Назад]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (за замяна) в избрания текст"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (за замяна)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 #, fuzzy
 msgid "Searching..."
 msgstr "Търсене"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "„%.*s%s“ не е намерен"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Замяна на това съвпадение?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Замяна с"
 
-#: src/search.c:738
+#: src/search.c:735
 #, fuzzy, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2325,263 +2356,254 @@ msgstr[0] "Заменено е %lu съ
 msgstr[1] "Заменени са %lu съвпадения"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Въведете номер на ред и стълб"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Не е скоба"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Няма съвпадаща скоба"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Уставено е маркиране"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Отменено е маркирането"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Грешка при извикване на „%s“"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr ""
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr ""
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr ""
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr ""
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr ""
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 #, fuzzy
 msgid "text delete"
 msgstr "Следващ файл"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr ""
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 #, fuzzy
 msgid "text replace"
 msgstr " (за замяна)"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr ""
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr ""
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 #, fuzzy
 msgid "text insert"
 msgstr "Следващ ред"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 #, fuzzy
 msgid "indent"
 msgstr "Автоматичен отстъп"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 #, fuzzy
 msgid "unindent"
 msgstr "Автоматичен отстъп"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr ""
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr ""
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr ""
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr ""
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr ""
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Неуспех при създаването на pipe"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Неуспех при fork"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr ""
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Неправилен низ за цитиране %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Сега може да се отмени подравняването!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr ""
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Редактиране на замяна"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 #, fuzzy
 msgid "Next word..."
 msgstr "Следваща дума"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Създаване на списък със сгрешени думи, изчакайте..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Не може да се определи размера на буфера на pipe"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Грешка при извикване на „spell“"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Грешка при извикване на „sort -f“"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Грешка при извикване на „uniq“"
 
-#: src/text.c:2992
+#: src/text.c:2994
 #, fuzzy
 msgid "Invoking spell checker, please wait"
 msgstr "Извикване на програмата за проверка на правописа"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Неуспех при проверката на правописа: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Неуспех при проверката на правописа: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Проверката на правописа завърши"
 
-#: src/text.c:3037
+#: src/text.c:3039
 #, fuzzy
 msgid "No linter defined for this type of file!"
 msgstr "Без знак за нов ред в края на файловете"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr ""
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr ""
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr ""
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr ""
 
-#: src/text.c:3311
+#: src/text.c:3313
 #, fuzzy
 msgid "At last message"
 msgstr "Показва тази справка"
 
-#: src/text.c:3316
+#: src/text.c:3318
 #, fuzzy
 msgid "At first message"
 msgstr "Показва тази справка"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr ""
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr ""
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr ""
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, fuzzy, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sДуми: %lu  Редове: %ld  Знаци: %lu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "В избрания текст: "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Дословен вход"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr ""
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 #, fuzzy
 msgid "No matches"
 msgstr "Няма съвпадаща скоба"
@@ -2612,78 +2634,84 @@ msgstr ""
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr ""
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, fuzzy, c-format
 msgid "Unicode Input: %s"
 msgstr "Вход уникод"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "ДИР:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Променен"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Преглед"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr ""
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, fuzzy, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "ред %ld/%ld (%d%%), стълб %lu/%lu (%d%%), символ %lu/%lu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Текстов редактор nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "версия"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Създадено от:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Специални благодарности на:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "Фондация „Свободен софтуер“"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr ""
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "За ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "и всички останали, които сме забравили..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Благодарим, че използвате nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Превключено на %s"
+
 #~ msgid "Cannot prepend or append to a symlink with --nofollow set"
 #~ msgstr ""
 #~ "Не може да се добавя нищо към символна връзка, настроена с --nofollow"
 
+#~ msgid "WhereIs Next"
+#~ msgstr "КъдеEследв."
+
 #~ msgid "Exit from nano"
 #~ msgstr "Изход от nano"
 
@@ -2693,15 +2721,27 @@ msgstr "Благодарим, че из
 #~ msgid "Move to the next screen"
 #~ msgstr "Отиване на следващия екран"
 
+#~ msgid "Repeat last search"
+#~ msgstr "Повтаряне на последното търсене"
+
 #~ msgid "Find Other Bracket"
 #~ msgstr "Намиране на другата скоба"
 
 #~ msgid "Insert File"
 #~ msgstr "Вмъкване на файл"
 
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Използване на още един ред за редактиране"
+
+#~ msgid "Backup files"
+#~ msgstr "Запазване на резервни копия"
+
 #~ msgid "Multiple file buffers"
 #~ msgstr "Много файлови буфери"
 
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Без конвертиране от DOS/Mac формат"
+
 #~ msgid "Space"
 #~ msgstr "Space"
 
Binary files 2.9.8-1/po/ca.gmo and 3.0-1/po/ca.gmo differ
diff -pruN 2.9.8-1/po/ca.po 3.0-1/po/ca.po
--- 2.9.8-1/po/ca.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/ca.po	2018-09-09 09:48:30.000000000 +0000
@@ -6,10 +6,10 @@
 # Miquel Vidal <miquel@sindominio.net>, 2001.
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.9.8-pre1\n"
+"Project-Id-Version: nano 3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-30 10:38+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-09-03 11:42+0200\n"
 "Last-Translator: Jordi Mallach <jordi@gnu.org>\n"
 "Language-Team: Catalan <ca@dodds.net>\n"
 "Language: ca\n"
@@ -25,82 +25,86 @@ msgid "Cannot open directory: %s"
 msgstr "No es pot obrir el directori: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Vés a un directori"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Cancel·lat"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "No es pot anar fora de %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "No es pot ascendir de directori"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "S'ha produït un error en llegir %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "El directori de treball ha desaparegut"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(dir)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(directori pare)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(enorme)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Cerca"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Cap Enrere]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Cerca recomençada"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Aquesta és la única coincidència"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "No hi ha cap patró de recerca actual"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "El nom de la sintaxi és desconegut: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() ha fallat: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) ha fallat: %s"
@@ -176,7 +180,7 @@ msgstr "El fitxer %s s'està editant (pe
 msgid "Can't read file from outside of %s"
 msgstr "No es pot llegir el fitxer des de fora de %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "«%s» és un directori"
@@ -186,1017 +190,1035 @@ msgstr "«%s» és un directori"
 msgid "\"%s\" is not a normal file"
 msgstr "«%s» no és un fitxer normal"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "No hi ha més búfers de fitxer oberts"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "correcció ortogràfica"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu línia (%s)"
+msgstr[1] "%s -- %zu línies (%s)"
 
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "S'ha canviat a %s"
-
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Nou búfer"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu línia"
+msgstr[1] "%s -- %zu línies"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "No hi ha més búfers de fitxer oberts"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "No es pot escriure al fitxer «%s»"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "%zu línia llegida (convertida des del format DOS i Mac)"
 msgstr[1] "%zu línies llegides (convertides des del format DOS i Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "%zu línia llegida (convertida des del format Mac)"
 msgstr[1] "%zu línies llegides (convertides des del format Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "%zu línia llegida (convertida des del format DOS)"
 msgstr[1] "%zu línies llegides (convertides des del format DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "%zu línia llegida"
 msgstr[1] "%zu línies llegides"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Fitxer nou"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "No s'ha trobat el fitxer «%s»"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "«%s» és un fitxer de dispositiu"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "S'està llegint el fitxer"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Fitxer a executar a un nou búfer"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Ordre a executar"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "Fitxer a inserir a un nou búfer [des de %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Fitxer d'on llegir sense convertir dins d'un nou búfer [des de %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Fitxer a llegir dins d'un nou búfer [des de %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Fitxer a inserir sense convertir [des de %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Fitxer a inserir [des de %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Tecla il·legal en mode no-multibuffer"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "El directori d'operació no és vàlid\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "No s'ha pogut escriure la còpia de seguretat; voleu continuar desant (Digueu "
 "N si no n'esteu segur)"
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "El directori de còpies de seguretat no és vàlid\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "No es pot escriure fora de %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "S'ha produït un error en escriure la còpia de seguretat %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Massa fitxers de còpia de seguretat?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "S'ha produït un error en escriure un fitxer temporal: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "S'ha produït un error en escriure %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "S'ha escrit %zu línia"
 msgstr[1] "S'han escrit %zu línies"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Format DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Format Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Còpia de seguretat]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Avantposa sel·lecció a un fitxer"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Afegeix la sel·lecció a un fitxer"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Escriu la sel·lecció a un fitxer"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Nom del fitxer en el qual avantposar"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Nom del fitxer en el qual afegir"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Nom del fitxer a escriure"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Massa petita"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "El fitxer existeix -- no es pot sobreescriure"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Voleu desar el fitxer sota un NOM DIFERENT? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "El fitxer «%s» existeix; el voleu SOBREESCRIURE? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "El fitxer ha canviat al disc"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "S'ha modificat el fitxer des de que l'heu obert, voleu desar-lo?"
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(més)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Surt"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Tanca"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Enganxa"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Desjustifica"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Llegeix"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "On és"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Reemplaça"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Vés a línia"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Ant Línia"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Seg Línia"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Pàg Ant"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Pàg Seg"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Justifica"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "JustCompl"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Refresca"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "On és la següent"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Cancel·la la funció actual"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Mostra aquest text d'ajuda"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Tanca el búfer actual / Surt del nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Escriu el búfer actual (o regió marcada) al disc"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Insereix un altre fitxer dins del búfer actual (o a un búfer nou)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Cerca cap endavant una cadena o expressió regular"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Cerca cap enrere una cadena o expressió regular"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Cerca una cadena"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Cerca una cadena cap endavant"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Cerca una cadena cap enrere"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Refresca la llista de fitxers"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Vés a la columna de l'esquerra"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Vés a la columna de la dreta"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Vés a la primera fila d'aquesta columna"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Vés a la darrera fila d'aquesta columna"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Vés a la pantalla anterior"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Vés a la pantalla següent"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Retalla la línia actual (o regió marcada) i desa-la al búfer de retalls"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Enganxa el búfer de retalls a la línia actual"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Mostra la posició del cursor"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Invoca el corrector ortogràfic, si està disponible"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Reemplaça una cadena o una expressió regular"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Vés a un número de línia i columna"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Repeteix l'última recerca"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Marca text començant des de la posició del cursor"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Copia la línia actual (o regió marcada) i emmagatzema-la al búfer de retalls"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Sagna la línia actual o (línies marcades)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Treu el sagnat de la línia actual (o línies marcades)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Desfés l'última operació"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Refés l'última operació"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Vés enrere un caràcter"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Vés endavant un caràcter"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Vés enrere una paraula"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Vés endavant una paraula"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Vés a la línia anterior"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Vés a la línia següent"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Vés al principi de la línia actual"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Vés al final de la línia actual"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Vés al bloc de text anterior"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Vés al bloc de text següent"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr ""
 "Vés al principi del paràgraf actual; posteriorment del paràgraf anterior"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Vés al final del paràgraf actual; posteriorment del paràgraf següent"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Vés a la primera línia del fitxer"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Vés a l'última línia del fitxer"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Vés a la clau corresponent"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Desplaça amunt una línia sense moure el cursor pel text"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Desplaça avall una línia sense moure el cursor pel text"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Canvia a l'anterior búfer de fitxer"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Canvia al següent búfer de fitxer"
 
 # Verbatim -> textualment segons un diccionari online.
 # S'accepten altres propostes. jm
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Insereix la següent premuda de tecla textualment"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Insereix una tabulació a la posició del cursor"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Insereix una línia nova a la posició del cursor"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Suprimeix el caràcter sota el cursor"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Suprimeix el caràcter a l'esquerra del cursor"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Retalla cap enrere des del cursor al principi de la paraula"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Retalla cap avant des del cursor al principi de la següent paraula"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Retalla des de la posició del cursor al final del fitxer"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Justifica el paràgraf actual"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Justifica el fitxer sencer"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Compta el nombre de paraules, línies i caràcters"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Redibuixa la pantalla actual"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Suspèn l'editor (si la suspensió és habilitada)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Prova de completar la paraula actual"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Comenta/descomenta la línia actual (o línies marcades)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Desa el fitxer sense preguntar"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Cerca la següent coincidència cap enrere"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Cerca la següent coincidència cap a avant"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Comença/deixa d'enregistrar una macro"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Executa la darrera macro enregistrada"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Commuta la sensibilitat a majúscules de la cerca"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Inverteix la direcció de la cerca"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Commuta l'ús d'expressions regulars"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Recupera la cadena de cerca/reemplaça anterior"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Recupera la cadena de cerca/reemplaça següent"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Commuta l'ús del format DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Commuta l'ús del format Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Commuta l'afegiment"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Commuta l'avantposat"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Commuta la creació d'una còpia de seguretat del fitxer original"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Executa una ordre externa"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Canalitza el búfer actual (o regió marcada) a l'ordre"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "No converteixes des del format DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Commuta l'ús d'un búfer nou"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Tanca el búfer sense desar-lo"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Vés al navegador de fitxers"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Surt del navegador de fitxers"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Vés al primer fitxer de la llista"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Vés a l'últim fitxer de la llista"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Vés al fitxer previ de la llista"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Vés al fitxer següent de la llista"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Vés al directori"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Invoca l'analitzador sintàctic, si està disponible"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Vés al missatge anterior de l'analitzador"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Vés al missatge següent de l'analitzador"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Invoca el formatador, si està disponible"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Ajuda"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Cancel·la"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Desa"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Llegeix"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Justifica"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Refresca"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "On és"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Reemplaça"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Vés a directori"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Retalla"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Ortografia"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Analitzador"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formatador"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Pos Act"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Vés a línia"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Desfés"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Refés"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Marca text"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Copia text"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Maj/Min"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Expreg"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Cap Enrere"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "No reemplaces"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "JustCompl"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Vés a la clau"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Desa"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "On era"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Anterior"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Següent"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Enrere"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Endavant"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Paraula anterior"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Paraula següent"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Inici"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Fi"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Ant Línia"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Seg Línia"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Desplaça amunt"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Desplaça avall"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Bloc anterior"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Bloc següent"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Princ de par"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Final de par"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Pàg Ant"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Pàg Seg"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Primera línia"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Última línia"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Fitxer anterior"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Fitxer següent"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Retorn"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Suprimeix"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Retrocés"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Retalla cap a l'esquerra"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Retalla cap a la dreta"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "RetallaFinsFinal"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Compte de paraules"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Textual"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Suspèn"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Sagna text"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Desagna text"
+#: src/global.c:956
+msgid "Indent"
+msgstr "Sagna"
+
+#: src/global.c:958
+msgid "Unindent"
+msgstr "Treu el sagnat"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Línies de comentari"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Completa"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Enregistra"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Executa una macro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "On era"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Desa"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "HistPrèv"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "HistSeg"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Vés al text"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Format DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Format Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Afegeix"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Avantposa"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Fes còpia de seguretat"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Sense conversió"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Executa una ordre"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "Canalitza text"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "A fitxers"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Primer fitxer"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Últim fitxer"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Columna esquerra"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Columna dreta"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Fila superior"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Fila inferior"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Descarte el búfer"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Miss lint ant"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Miss lint seg"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Mode ajuda"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Visualització constant de la posició del cursor"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Utilitza una línia més per a editar"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Desplaçament suau"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Ajusta suaument les línies llargues"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Mostra l'espai en blanc"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Resaltat de sintaxi en color"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Tecla «Inici» intel·ligent"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Sagna automàticament"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Retalla fins al final"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Ajusta completament les línies llargues"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Conversió de les tabulacions introduïdes a espais"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Fitxers de còpia de seguretat"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "S'està llegint el fitxer en un búfer distint"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Suport per a ratolí"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Sense conversió des del format DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Suspensió"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Numeració de línies"
 
@@ -1435,22 +1457,32 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Text d'ajuda d'Executa una ordre\n"
 "\n"
 " Aquest mode us permet inserir l'eixida d'una ordre executada per "
-"l'intèrpret al búfer actual (o un nou búfer al mode múltiples búfers de "
-"fitxer). Si necessiteu un altre búfer en blanc, no introduïu cap ordre.\n"
+"l'intèrpret al búfer actual (o a un nou búfer). Si l'ordre és precedida de "
+"«|», el contigut actual del búfer (o regió marcada) es passarà a l'ordre a "
+"través d'una canonada.  "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
-" Les següents tecles de funció estan disponibles al mode Executa una ordre:\n"
+msgstr "Si només necessiteu un altre búfer buit, no inseriu cap ordre.\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" Les tecles de funció següents són disponibles al mode Executa una ordre:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1471,7 +1503,7 @@ msgstr ""
 "inferior i mostra missatges importants. Les últimes dues línies mostren les "
 "dreceres més utilitzades a l'editor."
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1488,7 +1520,7 @@ msgstr ""
 "estan anotades amb «M-» i s'hi pot accedir mitjançant les tecles Alt, Cmd, o "
 "Esc, tot depenent de la configuració del vostre teclat. "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1502,7 +1534,7 @@ msgstr ""
 "alternatives estan representades entre parèntesi:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "habilita/inhabilita"
 
@@ -1539,19 +1571,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "S'ha produït un error en escriure %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "La tecla és invàlida al mode visualització"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Aquesta funció està inhabilitada en mode restringit"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "L'ajuda no és disponible"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1560,7 +1592,7 @@ msgstr ""
 "\n"
 "S'ha escrit el búfer en %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1569,7 +1601,7 @@ msgstr ""
 "\n"
 "No s'ha escrit el búfer a %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1578,7 +1610,7 @@ msgstr ""
 "\n"
 "No s'ha escrit el búfer: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1589,7 +1621,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1601,7 +1633,7 @@ msgstr ""
 "pot\n"
 "afegir després d'una coma.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1610,277 +1642,277 @@ msgstr ""
 "Quan el nom del fitxer és «-», nano llegeix dades des de l'entrada "
 "estàndard.\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opció\t\tOpció llarga GNU\tSignificat\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Habilita la tecla «inici» intel·ligent"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Fes còpies de seguretat dels fitxers existents"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <dir>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Directori on desar els fitxers de còpia de seguretat únics"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Utilitza negreta en comptes de text amb els colors invertits"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Converteix les tabulacions introduïdes a espais"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Llegeix un fitxer en un búfer nou per defecte"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Empra fitxers de blocatge (a l'estil del Vim)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Registra i llegeix la història de cerca/reemplaça"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "No faces servir els fitxers nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Arregla el problema de confusió del teclat numèric"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "No afegeixes retorns de carro al final dels fitxers"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Suprimeix els espais finals quan s'ajuste el text"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "No converteixes des del format DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Utilitza una línia més per a editar"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Emmagatzema i llegeix la posició del cursor"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <regex>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<regex>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "Expressió regular per emparellar entrecomillat"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Mode restringit"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Desplaça't per línies en lloc de mitges pantalles"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#cols>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#cols>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Estableix l'amplada de tab a #cols columnes"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Neteja la barra d'estat ràpidament"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Imprimeix informació sobre la versió i surt"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Detecta els límits entre paraules amb més detall"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <cad>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<cad>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Quins altres caràcters són parts de paraula"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <nom>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<nom>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Definició de sintaxi a utilitzar per a colorejar"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Quan ajustes suaument, fes-ho als espais en blanc"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Mostra contínuament la posició del cursor"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Arregla el problema de confusió entre Esborra/Suprimeix"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Mostra el cursor al navegador de fitxers"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Mostra aquest text d'ajuda i surt"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Sagna automàticament noves línies"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Retalla des del cursor al final de línia"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Mostra el número de línia davant del text"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Habilita l'ús del ratolí"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "No llegeixes el fitxer (només escriu sobre ell)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <dir>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<dir>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Estableix directori d'operació"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Preserva les tecles XON (^Q) i XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#cols>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#cols>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Estableix el punt d'ajustament a la columna #cols"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Habilita un corrector alternatiu"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Desa automàticament en sortir, no preguntes"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Desa un fitxer per defecte en format Unix"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Mode de visualització (només lectura)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "No ajustes les línies llargues"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "No mostres les dues línies d'ajuda"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Fes que Ctrl+Dreta s'ature al final de les paraules"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Habilita la suspensió"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Habilita l'ajustament suau de línies"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, versió %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " © 2014-%s els contribuïdors al nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Correu-e: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1889,277 +1921,276 @@ msgstr ""
 "\n"
 " Opcions compilades:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Cap nom de fitxer"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "Voleu desar el búfer modificat? (Respondre «No» DESCARTARÀ els canvis.) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 "S'està llegint des de l'entrada estàndard; premeu ^D o ^D^D per acabar.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "No s'ha pogut obrir l'entrada estàndard: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "No s'ha pogut tornar a obrir l'entrada estàndard des del teclat\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "S'ha rebut SIGHUP o SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 "Ho sentim! Nano ha fallat! Code: %d. Si us plau, informeu de l'error.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Empreu «fg» per a tornar al nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "La suspensió no està habilitada"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "habilitat"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "inhabilitat"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Tecla no assignada"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Tecla no assignable: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Tecla no assignada: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Tecla no assignada: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Tecla no assignada: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "La mida de tabulador demanada «%s» és invàlida"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "La mida de plenat demanada «%s» és invàlida"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Introduïu «%s -h» per obtenir una llista de les opcions disponibles.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "El número de línia o columna és invàlid"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Errades en «%s»"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Benvingut al nano. Per obtenir ajuda bàsica, premeu Ctrl+G."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Ss"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Tt"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Sí"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "No"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Totes"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Error en %s en la línia %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "L'argument «%s» té una «\"» no terminada"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr ""
 "Les cadenes d'expressió regular han de començar i acabar amb un caràcter \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "L'expreg «%s» és invàlida: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Manca el nom de la sintaxi"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Cometa desparellada al nom de la sintaxi"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "La sintaxi «none» és reservada"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "La sintaxi «default» no admet extensions"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Manca el nom de la clau"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "El nom de la tecla és massa curt"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "El nom de la tecla ha de començar amb «^», «M» o «F»"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "El nom de tecla «%s» és invàlid"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Heu d'especificar una funció a la qual assignar la tecla"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Heu d'especificar un menú (o «all») en què assignar/desassignar la tecla"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "No es pot assignar el nom «%s» a una funció"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "No es pot assignar el nom «%s» a un menú"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "La funció «%s» no existeix al menú «%s»"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "La combinació «%s» no es pot reassignar"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "S'ha produït un error en expandir %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "No s'entèn el color «%s»"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Un color de fons no pot ser brillant"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Una ordre «%s» requereix una ordre «syntax» precedent"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Manca el nom del color"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Manca la cadena d'expreg després de l'ordre «%s»"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Cadena d'expreg buida"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "«start=» requereix el seu «end=» corresponent"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "La sintaxi «default» no admet expressions regulars «%s»"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Manca l'argument després de «%s»"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "L'argument de «%s» té una «\"» no terminada"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
-"Error fatal: no hi ha lletres asignades per a la funció «%s». S'està "
-"sortint.\n"
+"No hi ha cap tecla assignada a la funció «%s» al menú «%s». S'està sortint.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2167,62 +2198,62 @@ msgstr ""
 "Si és necessari, empreu el nano amb l'opció -I  per a ajustar les vostres "
 "preferències.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "No s'ha trobat la sintaxi «%s» a estendre"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "La sintaxi «%s» no té ordres de colors"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "L'ordre «%s» no es pot utilitzar a un fitxer inclós"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "No es pot entendre l'ordre «%s»"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Manca l'opció"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "L'opció «%s» és desconeguda"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "No es pot desestablir l'opció «%s»"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "L'opció «%s» requereix un argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "L'argument no és una cadena d'octets múltiples vàlida"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Es requereixen caràcters que no siguen d'espaiat"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Es necessiten dos caràcters d'una columna"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "No s'ha pogut trobar el directori d'usuari! Ai!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Maj/Min]"
@@ -2231,41 +2262,36 @@ msgstr " [Maj/Min]"
 msgid " [Regexp]"
 msgstr " [ExpReg]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Cap Enrere]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (a reemplaçar) dins de la selecció"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (a reemplaçar)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "S'està cercant…"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "«%.*s%s» no trobat"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Voleu reemplaçar aquesta instància?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Reemplaça amb"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2273,254 +2299,245 @@ msgstr[0] "S'ha reemplaçat %zd coincid
 msgstr[1] "S'han reemplaçat %zd coincidències"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Introduïu el número de línia, número de columna"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "No és una clau"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "No hi ha clau corresponent"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Marca establida"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Marca esborrada"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "S'ha produït un error en iniciar executar «%s»"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Afegir comentaris no està suportat per a aquest tipus de fitxer"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "No es pot comentar més enllà del final del fitxer"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "No hi ha res al búfer de desfer."
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "afegiment de text"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "trencat de línia"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "supressió de text"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "unió de línia"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "reemplaçament de text"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "tall de text"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "enganxada de text"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "inserció de text"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "filtratge"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "sagna"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "treu el sagnat"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "comenta"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "descomenta"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "S'ha desfet l'acció (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "No hi ha res a refer."
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "S'ha refet l'acció (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "No s'ha pogut crear un conducte"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "No s'ha pogut iniciar un altre procés"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "filtratge"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "No s'ha pogut obrir la canonada: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "El marcador de cita %s és erroni: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Ara podeu desjustificar!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Paraula no trobada: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Edita un reemplaçament"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Paraula següent…"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "S'està creant una llista de paraules incorrectes, espereu..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "No s'ha pogut obtindre la mida de la memòria intermèdia del conducte"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "S'ha produït un error en iniciar «spell»"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "S'ha produït un error en iniciar «sort -f»"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "S'ha produït un error en iniciar «uniq»"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "S'està invocant el corrector ortogràfic, espereu"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "La comprovació d'ortografia ha fallat: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "La comprovació d'ortografia ha fallat: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Revisió d'ortografia finalitzada"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "No hi ha cap analitzador definit per a aquest tipus de fitxer!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Voleu desar el búfer abans d'analitzar-ho?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "S'esta invocant l'analitzador, espereu"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "S'han rebut 0 línies analitzables de l'ordre: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Aquest missatge és pel fitxer no obert %s, voleu obrir-lo en un nou búfer?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "No hi ha més errades en fitxers no oberts, s'està cancel·lant"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "A l'últim missatge"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Al primer missatge"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Finalitzat"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "S'esta invocant el formatador, espereu"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Ha finalitzat el format"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sParaules: %zu  Línies: %zd  Caràcters: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "A la selecció:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Entrada textual"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "No hi ha cap fragment de paraula"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "No hi ha més coincidències"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "No hi ha coincidències"
 
@@ -2550,74 +2567,121 @@ msgstr "Massa errors des de l'entrada es
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Seqüència desconeguda"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Entrada d'Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "DIR:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Modificat"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Visualitza"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "S'han suprimit els avisos següents"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "línia %zd/%zd (%d%%), col %zu/%zu (%d%%), car %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "L'editor de text GNU nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versió"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Per cortesia de:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Agraïments especials per a:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "La Fundació per al Software Lliure (FSF)"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "els molts traductors i el TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Per ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "i per qualsevol dels qui ens hem oblidat esmentar..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Gràcies per fer servir nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "S'ha canviat a %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "On és la següent"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Repeteix l'última recerca"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Invoca el formatador, si està disponible"
+
+#~ msgid "Formatter"
+#~ msgstr "Formatador"
+
+#~ msgid "Indent Text"
+#~ msgstr "Sagna text"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Desagna text"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Utilitza una línia més per a editar"
+
+#~ msgid "Backup files"
+#~ msgstr "Fitxers de còpia de seguretat"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "S'està llegint el fitxer en un búfer distint"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Sense conversió des del format DOS/Mac"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Error fatal: no hi ha lletres asignades per a la funció «%s». S'està "
+#~ "sortint.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Finalitzat"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "S'esta invocant el formatador, espereu"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Ha finalitzat el format"
+
 #~ msgid "Quoting string"
 #~ msgstr "Marcador de cita"
 
Binary files 2.9.8-1/po/cs.gmo and 3.0-1/po/cs.gmo differ
diff -pruN 2.9.8-1/po/cs.po 3.0-1/po/cs.po
--- 2.9.8-1/po/cs.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/cs.po	2018-09-09 09:48:30.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 2.7.2-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2016-12-25 21:38+0100\n"
 "Last-Translator: Pavel Fric <pavelfric@seznam.cz>\n"
 "Language-Team: Czech <translation-team-cs@lists.sourceforge.net>\n"
@@ -26,82 +26,86 @@ msgid "Cannot open directory: %s"
 msgstr "Nelze otevřít adresář: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Jít do adresáře"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Zrušeno"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Nelze jít vně %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Nepodařilo se přejít do nadřazeného adresáře"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Chyba při čtení: %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Pracovní adresář zmizel"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(adresář)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(rodičovský adresář)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(obrovský)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Hledat"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Zpět]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Hledání dokončeno"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Toto je jediný výskyt"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Žádný současný vzor hledání"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Neznámý název skladby: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() selhal: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) selhal: %s"
@@ -172,7 +176,7 @@ msgstr "Soubor %s je upravován (%s s %s
 msgid "Can't read file from outside of %s"
 msgstr "Nelze vložit soubor z vně %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "„%s“ je adresář"
@@ -182,26 +186,51 @@ msgstr "„%s“ je adresář"
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" není normální soubor"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Žádné další otevřené souborové vyrovnávací paměti"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "Chybějící volba"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Přepnuto na %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Nová vyrovnávací paměť"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Žádné další otevřené souborové vyrovnávací paměti"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Soubor '%s' je nezapisovatelný"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
@@ -209,7 +238,7 @@ msgstr[0] "Přečten jeden řádek (pře
 msgstr[1] "Přečteny %lu řádky (převedeny z formátu DOS a Mac)"
 msgstr[2] "Přečteno %lu řádků (převedeny z formátu DOS a Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
@@ -217,7 +246,7 @@ msgstr[0] "Přečten jeden řádek (pře
 msgstr[1] "Přečteny %lu řádky (převedeny z formátu Mac)"
 msgstr[2] "Přečteno %lu řádků (převedeny z formátu Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
@@ -225,7 +254,7 @@ msgstr[0] "Přečten jeden řádek (pře
 msgstr[1] "Přečteny %lu řádky (převedeny z formátu DOS)"
 msgstr[2] "Přečteno %lu řádků (převedeny z formátu DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, fuzzy, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
@@ -233,93 +262,103 @@ msgstr[0] "Přečten jeden řádek"
 msgstr[1] "Přečteny %lu řádky"
 msgstr[2] "Přečteno %lu řádků"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Nový soubor"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Soubor \"%s\" nenalezen"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" je soubor zařízení"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Čte se soubor"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 #, fuzzy
 msgid "Command to execute in new buffer"
 msgstr "Příkaz k provedení v nové vyrovnávací paměti [z %s] "
 
-#: src/files.c:1043
+#: src/files.c:1090
 #, fuzzy
 msgid "Command to execute"
 msgstr "Příkaz k provedení [z %s] "
 
-#: src/files.c:1049
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Soubor k vložení do nové vyrovnávací paměti [z %s] "
+
+#: src/files.c:1101
 #, fuzzy, c-format
-msgid "File to insert into new buffer [from %s]"
+msgid "File to read into new buffer [from %s]"
 msgstr "Soubor k vložení do nové vyrovnávací paměti [z %s] "
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Soubor k vložení [z %s] "
+
+#: src/files.c:1109
 #, fuzzy, c-format
 msgid "File to insert [from %s]"
 msgstr "Soubor k vložení [z %s] "
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Klávesa nepřípustná, když není v režimu více vyrovnávacích pamětí"
 
-#: src/files.c:1426
+#: src/files.c:1476
 #, fuzzy
 msgid "Invalid operating directory\n"
 msgstr "Nastavit pracovní adresář"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Nepodařilo se zapsat zálohovací soubor. Pokračovat v ukládání? (N, nejste-li "
 "si jisti) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 #, fuzzy
 msgid "Invalid backup directory\n"
 msgstr "Nepodařilo se přejít do nadřazeného adresáře"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Nelze zapsat vně %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Chyba při zápisu zálohovacího souboru %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Příliš mnoho zálohovacích souborů?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Chyba při zápisu dočasného souboru s: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Chyba při zápisu %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, fuzzy, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
@@ -327,899 +366,891 @@ msgstr[0] "Zapsán jeden řádek"
 msgstr[1] "Zapsány %lu řádky"
 msgstr[2] "Zapsáno %lu řádků"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Formát DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Formát Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Záloha]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Připojit výběr na začátek souboru"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Připojit výběr na konec souboru"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Zapsat výběr do souboru"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Název souboru, na jehož začátek provést připojení"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Název souboru, na jehož konec provést připojení"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Název souboru k zapsání"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Soubor existuje -- nelze přepsat"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Uložit soubor pod JINÝM NÁZVEM? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Soubor \"%s\" existuje. PŘEPSAT?"
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr ""
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Soubor byl poté, co jste jej otevřel, upraven. Pokračovat v ukládání? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(více)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Ukončit"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Zavřít"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Vložit text"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Zrušit zarovnání"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Otevřít soubor"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Hledat"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Nahradit"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Přejít na řádek"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Předchozí řádek"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Další řádek"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Předchozí strana"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Další strana"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Zarovnat"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Plné zarovnání"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Obnovit"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Hledat další"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Zrušit současnou funkci"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Zobrazit tento text s nápovědou"
 
-#: src/global.c:527
+#: src/global.c:523
 #, fuzzy
 msgid "Close the current buffer / Exit from nano"
 msgstr "Zavřít nynější souborovou vyrovnávací paměť/Ukončit nano"
 
-#: src/global.c:529
+#: src/global.c:525
 #, fuzzy
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Zapsat nynější soubor na disk"
 
-#: src/global.c:531
+#: src/global.c:527
 #, fuzzy
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Vložit další soubor do nynějšího"
 
-#: src/global.c:533
+#: src/global.c:529
 #, fuzzy
 msgid "Search forward for a string or a regular expression"
 msgstr "Hledat řetězec nebo regulární výraz"
 
-#: src/global.c:535
+#: src/global.c:531
 #, fuzzy
 msgid "Search backward for a string or a regular expression"
 msgstr "Hledat řetězec nebo regulární výraz"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "Hledat řetězec"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Hledat řetězec"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Obnovit seznam souborů"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Jít na levý sloupec"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Jít na pravý sloupec"
 
-#: src/global.c:542
+#: src/global.c:539
 #, fuzzy
 msgid "Go to first row in this column"
 msgstr "Jít na pravý sloupec"
 
-#: src/global.c:543
+#: src/global.c:540
 #, fuzzy
 msgid "Go to last row in this column"
 msgstr "Jít na pravý sloupec"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Jít o jednu obrazovku nahoru"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Jít o jednu obrazovku dolů"
 
-#: src/global.c:549
+#: src/global.c:546
 #, fuzzy
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Vyjmout nynější řádek a uložit jej ve schránce"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Vložit ze schránky do nynějšího řádku"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Zobrazit polohu ukazatele"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Vyvolat ověřování pravopisu (je-li dostupné)"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Nahradit řetězec nebo regulární výraz"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Jít na určitý řádek a sloupec"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Opakovat poslední hledání"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Označit text počínaje od polohy ukazatele"
 
-#: src/global.c:562
+#: src/global.c:558
 #, fuzzy
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Zkopírovat nynější řádek a uložit jej ve schránce"
 
-#: src/global.c:563
+#: src/global.c:559
 #, fuzzy
 msgid "Indent the current line (or marked lines)"
 msgstr ""
 "Opatřit poznámkou (komentovat) nebo Zrušit poznámku (odkomentovat) nynější "
 "řádek nebo označené řádky"
 
-#: src/global.c:564
+#: src/global.c:560
 #, fuzzy
 msgid "Unindent the current line (or marked lines)"
 msgstr ""
 "Opatřit poznámkou (komentovat) nebo Zrušit poznámku (odkomentovat) nynější "
 "řádek nebo označené řádky"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Zrušit poslední operaci"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Zopakovat poslední zrušenou operaci"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Jít o jeden znak zpět"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Jít o jeden znak vpřed"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Jít o jedno slovo zpět"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Jít o jedno slovo vpřed"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Jít na předchozí řádek"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Jít na další řádek"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Jít na začátek nynějšího řádku"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Jít na konec nynějšího řádku"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Jít na předchozí blok textu"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Jít na další blok textu"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Jít na začátek odstavce; potom předchozího odstavce"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Jít za konec odstavce; potom dalšího odstavce"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Jít na první řádek souboru"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Jít na poslední řádek souboru"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Jít na odpovídající závorky"
 
-#: src/global.c:591
+#: src/global.c:587
 #, fuzzy
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Posunout obraz o jeden řádek nahoru, aniž by se pohnul ukazatel"
 
-#: src/global.c:593
+#: src/global.c:589
 #, fuzzy
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Posunout obraz o jeden řádek dolů, aniž by se pohnul ukazatel"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Přepnout na předchozí souborovou vyrovnávací paměť"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Přepnout na další souborovou vyrovnávací paměť"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Vložit další znak přímo (takový jaký je)"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Vložit zarážku v poloze ukazatele"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Vložit zalomení řádku v poloze ukazatele"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Smazat znak v poloze ukazatele"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Smazat znak nalevo od polohy ukazatele"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Vyjmout zpět za ukazatelem po začátek slova"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Vyjmout od ukazatele po začátek dalšího slova"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Vyjmout od polohy ukazatele po konec souboru"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Zarovnat nynější odstavec"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Zarovnat celý soubor"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Spočítat počet slov, řádků a znaků"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Obnovit (překreslit) současnou obrazovku"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Odložit editor na pozadí (pokud je povoleno uspání)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Zkusit a doplnit nynější slovo"
 
-#: src/global.c:630
+#: src/global.c:626
 #, fuzzy
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr ""
 "Opatřit poznámkou (komentovat) nebo Zrušit poznámku (odkomentovat) nynější "
 "řádek nebo označené řádky"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Uložit soubor bez optání"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Hledat další výskyt dozadu"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Hledat další výskyt dopředu"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr ""
 
-#: src/global.c:637
+#: src/global.c:633
 #, fuzzy
 msgid "Run the last recorded macro"
 msgstr "Zrušit poslední operaci"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Přepnout při hledání rozlišování mezi psaním velkých a malých písmen"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Obrátit směr hledání"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Přepnout používání regulárních výrazů"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Vyvolat předchozí řetězec hledání/nahrazení"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Vyvolat další řetězec hledání/nahrazení"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Přepnout zápis ve formátu DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Přepnout zápis ve formátu Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Přepnout připojování na konec souboru"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Přepnout připojování na začátek souboru"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Přepnout zálohování původního souboru při ukládání"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Provést vnější příkaz"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Nepřevádět soubory z formátů DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Přepnout používání nové vyrovnávací paměti"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Zavřít vyrovnávací paměť bez jejího uložení"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Jít do prohlížeče souborů"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Ukončit prohlížeč souborů"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Jít na první řádek v seznamu"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Jít na poslední řádek v seznamu"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Jít na předchozí řádek v seznamu"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Jít na další řádek v seznamu"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Jít do adresáře"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Vyvolat statický rozbor (je-li dostupný)"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Jít na předchozí zprávu statického rozboru"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Jít na další zprávu statického rozboru"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Vyvolat formátovač (je-li dostupný)"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Nápověda"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Zrušit"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Zapsat"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Otevřít soubor"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Zarovnat"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Obnovit"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Hledat"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Nahradit"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Jít do adresáře"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Vyjmout text"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Pravopis"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Statický rozbor"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formátovač"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Ukazatel"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Přejít na řádek"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Zpět"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Znovu"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Označit text"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopírovat text"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "VELKÁ PÍSMENA/malá písmena"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Regulární výraz"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Zpět"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Žádné nahrazení"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Plné zarovnání"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "K závorce"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Uložit"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+#, fuzzy
+msgid "Where Was"
+msgstr "Hledat"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Předchozí"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Další"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Zpět"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Vpřed"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Předchozí slovo"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Další slovo"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Začátek"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Konec"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Předchozí řádek"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Další řádek"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Posunout obraz nahoru"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Posunout obraz dolů"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Předchozí blok"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Další blok"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Začátek odstavce"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Konec odstavce"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Předchozí strana"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Další strana"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "První řádek"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Poslední řádek"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Předchozí soubor"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Další soubor"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Zarážka"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Smazat následující znak"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Smazat předcházející znak"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Vyjmout vlevo"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Vyjmout vpravo"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "Vyjmout až po konec"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Počet slov"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Přímé zadání"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Odložit na pozadí"
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
 msgstr "Odsadit text"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
 msgstr "Zrušit odsazení textu"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Opatřit řádky poznámkou"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Doplnit"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr ""
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr ""
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-#, fuzzy
-msgid "Where Was"
-msgstr "Hledat"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Uložit"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Předchozí historie"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Další historie"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Jít na text"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Formát DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Formát Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Připojit na konec"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Připojit na začátek"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Soubor se zálohou"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "Verze"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Provést příkaz"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "Kopírovat text"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Jít na soubory"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "První soubor"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Poslední soubor"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Levý sloupec"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Pravý sloupec"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr ""
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr ""
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Zahodit vyrovnávací paměť"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Předchozí rozbor"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Další rozbor"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Režim s nápovědou"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Ukazovat stálou polohu ukazatele"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Používání ještě jednoho řádku k úpravám"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Plynulé posunování obrazu"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Plynulé zalamování dlouhých řádků"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Zobrazování bílých znaků"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Barevné zvýrazňování skladby"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Chytrá klávesa pro začátek dokumentu (Poloha 1)"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Automaticky odsadit"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Vyjmout po konec"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Tvrdé zalamování dlouhých řádků"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Převod zadaných zarážek na mezery"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Zálohovací soubory"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Soubor se načte v samostatné vyrovnávací paměti"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Podpora pro myš"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Žádný převod z formátů DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Odložit na pozadí"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Číslování řádků"
 
@@ -1453,15 +1484,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Nápověda pro Provést příkaz\n"
 "\n"
@@ -1473,7 +1503,23 @@ msgstr ""
 " Následující funkční klávesy jsou dostupné v režimu \"Provést příkaz\":\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" Následující funkční klávesy jsou dostupné v režimu hledání v prohlížeči "
+"souborů:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1492,7 +1538,7 @@ msgstr ""
 "soubor změněn, nebo nebyl. Hlavní okno obsahuje soubor, který je upravován. "
 "Stavový řádek (třetí řádek zdola) ukazuje důležité zprávy.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1510,7 +1556,7 @@ msgstr ""
 "buď pomocí klávesy Alt, Cmd nebo Esc v závislosti na nastavení vaší "
 "klávesnice.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1524,7 +1570,7 @@ msgstr ""
 "uváděny v závorkách:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "Zapnout/Vypnout"
 
@@ -1561,19 +1607,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Chyba při zápisu %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Klávesa nepřípustná v režimu pouze pro čtení"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "V omezeném režimu je tato funkce vypnuta"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Nápověda není dostupná"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1582,7 +1628,7 @@ msgstr ""
 "\n"
 "Vyrovnávací paměť zapsána do %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1591,7 +1637,7 @@ msgstr ""
 "\n"
 "Vyrovnávací paměť nezapsána do %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1600,7 +1646,7 @@ msgstr ""
 "\n"
 "Vyrovnávací paměť nezapsána: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, fuzzy, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1611,297 +1657,297 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
 "a '+' before the filename.  The column number can be added after a comma.\n"
 msgstr ""
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Volba\t\tdlouhá volba GNU\t\tVýznam\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Povolit chytrou klávesu pro začátek dokumentu (Poloha 1)"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Uložit zálohy stávajících souborů"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <adresář>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<adresář>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Adresář pro ukládání jedinečných zálohovacích souborů"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Použít tučný tisk místo opačného textu"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Převést zadané zarážky na mezery"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Ve výchozím nastavení soubor načíst do nové vyrovnávací paměti"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Použít soubory lock (ve stylu Vimu)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Zapisovat a číst historii hledání/nahrazování řetězců"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Nezkoumat soubory nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Opravit zmatek okolo kláves na číselné klávesnici"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Nepřidávat zalomení řádku na koncích souborů"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Nepřevádět soubory z formátů DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Používat ještě jeden řádek k úpravám"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Zapsat & přečíst umístění polohy ukazatele"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q <řetězec znaků>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<řetězec znaků>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr ""
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Omezený režim"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Posunovat obraz po řádcích místo po půlobrazovkách"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#sloupce>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#sloupce>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Nastavit velikost zarážky na #sloupce"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Provést rychlé vymazání stavového řádku"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Zobrazit informaci o verzi a ukončit"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Rozpoznávat hranice slov přesněji"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <řetězec znaků>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<řetězec znaků>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Které další znaky jsou částmi slov"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 #, fuzzy
 msgid "--syntax=<name>"
 msgstr "--syntax=<řetězec znaků>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Vymezení skladby k užití pro obarvování"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr ""
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Stále ukazovat polohu ukazatele"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Odstranit záměnu kláves Backspace/Delete"
 
-#: src/nano.c:852
+#: src/nano.c:861
 #, fuzzy
 msgid "Show cursor in file browser"
 msgstr "Jít do prohlížeče souborů"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Ukázat tento text s nápovědou a ukončit"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Automaticky odsadit nové řádky"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Vyjmout od polohy ukazatele po konec řádku"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Ukázat čísla řádků před textem"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Povolit použití myši"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Soubor nečíst (pouze jej zapsat)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <adresář>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<adresář>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Nastavit pracovní adresář"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Zachovat klávesy XON (^Q) a XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#sloupce>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#sloupce>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Nastavit bod tvrdého zalomení při sloupci #sloupce"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <program>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<program>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Povolit náhradní program na ověřování pravopisu"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Při ukončení automaticky bez zpětného dotazu uložit"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Ve výchozím nastavení soubor uložit ve formátu Unix"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Režim pouze pro čtení (žádné změny nejsou možné)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Nezalamovat dlouhé řádky natvrdo"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Neukazovat dva pomocné řádky"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Povolit odložení na pozadí (zastavit a zpět k shellu)"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Povolit plynulé zalamování dlouhých řádků"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " Verze GNU nano %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, fuzzy, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014..%s přispěvatelé do nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr ""
 "Adresa elektronické pošty: nano@nano-editor.org\tStránky: https://nano-"
 "editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1910,276 +1956,276 @@ msgstr ""
 "\n"
 " Volby při sestavování:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Žádný název souboru"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Uložit změněnou vyrovnávací paměť? (odpověď \"Ne\" zahodí změny) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr ""
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr ""
 "Obvyklý vstup (stdin) se z klávesnice znovu otevřít nepodařilo. Promiňte\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Přijat SIGHUP nebo SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Použijte \"fg\" pro návrat do nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Uspání není povoleno"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "povoleno"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "zakázáno"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Rozvázat klávesu"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Nerozvázatelná klávesa: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Rozvázat klávesu: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Rozvázat klávesu: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Rozvázat klávesu: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Požadovaná velikost zarážky \"%s\" je neplatná"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Požadovaná velikost výplně \"%s\" je neplatná"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Pište '%s -h' pro seznam dostupných voleb.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Neplatné číslo řádku nebo, číslo sloupce"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr ""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Yy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Aa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Ano"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Ne"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Vše"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, fuzzy, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Chyba v %s na řádku %lu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argument „%s“ má neukončené \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Řetězce znaků pro regulární výrazy musí začínat a končit znakem \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Špatný regulární výraz \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Chybí název skladby"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 #, fuzzy
 msgid "Unpaired quote in syntax name"
 msgstr "Chybí název skladby"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Skladba \"none\" je zamluvena"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Výchozí skladba \"default\" nepřijímá přípony"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Chybí název klíče"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Název klávesy zkratky je příliš krátký"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Klávesové zkratky musí začínat \"^\", \"M\", nebo \"F\""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Název klávesy %s je neplatný"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Musí být zadána funkce spojená s klávesovou zkratkou"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Musí být zadána nabídka (funkce) (nebo \"all\" pro vše), se kterou je "
 "klávesová zkratka spojena"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Nelze spojit název \"%s\" s funkcí"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Nelze spojit název \"%s\" s nabídkou"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Funkce \"%s\" neexistuje v nabídce \"%s\""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Promiňte, ale klávesu \"%s\" nelze znovu přiřadit"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Chyba při rozšíření %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, fuzzy, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Příkazu \"%s\" neporozuměno"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 #, fuzzy
 msgid "A background color cannot be bright"
 msgstr "Barva pozadí \"%s\" nemůže být světlá (\"bright\")"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Příkazu \"%s\" musí předcházet příkaz \"syntax\""
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Chybí název barvy"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Chybí řetězec regulárního výrazu po příkazu \"%s\""
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 #, fuzzy
 msgid "Empty regex string"
 msgstr "Chybí řetězec regulárního výrazu"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "„start=“ vyžaduje odpovídající „end=“"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Výchozí skladba \"default\" nepřijímá regulární výrazy \"%s\""
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, fuzzy, c-format
 msgid "Missing argument after '%s'"
 msgstr "Chybí příkaz po \"%s\""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argument „%s“ má neukončené \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Závažná chyba: S funkcí \"%s\" není spojena žádná klávesová zkratka.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2187,62 +2233,62 @@ msgstr ""
 "Spusťte, prosím, v případě potřeby nano s volbou \"-l\", chcete-li změnit "
 "svá nastavení nanorc.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Nepodařilo se najít skladbu \"%s\" k rozšíření"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Skladba \"%s\" nemá pokyny pro barvy"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Příkaz \"%s\" nedovolen v zahrnutém souboru"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Příkazu \"%s\" neporozuměno"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Chybějící volba"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Neznámá volba \"%s\""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Nelze vypnout volbu \"%s\""
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Volba \"%s\" vyžaduje argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Argument není platným řetězcem znaků multibyte"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Požadovány ne-prázdné znaky"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Požadovány dva znaky v rozsahu jednoho sloupce"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Nemohu najít svůj domovský adresář! Jau!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Rozlišovat velikost písmen]"
@@ -2251,41 +2297,36 @@ msgstr " [Rozlišovat velikost písmen]"
 msgid " [Regexp]"
 msgstr " [regulární výraz]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Zpět]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (k nahrazení) ve výběru"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (k nahrazení)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Hledá se..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" nenalezen"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Nahradit tento případ?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Nahradit"
 
-#: src/search.c:738
+#: src/search.c:735
 #, fuzzy, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2294,258 +2335,249 @@ msgstr[1] "Nahrazeny %lu výskyty"
 msgstr[2] "Nahrazeno %lu výskytů"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Zadat číslo řádku, číslo sloupce"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Žádná závorka"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Žádná odpovídající závorka"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Značka nastavena"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Značka odstraněna"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Chyba při vyvolání „%s“"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr ""
 "Opatření poznámkou (komentování) není pro tento typ souboru podporováno"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Po konci souboru nelze opatřit poznámkou (komentovat)"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Nic ve vyrovnávací paměti pro \"Zpět\"!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "Přidat text"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "Zalamovat řádky"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "Smazat text"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "Spojit řádek"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "Nahradit text"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "Vyjmout text"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "Zrušit vyjmutí textu"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "Vložit text"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 #, fuzzy
 msgid "indent"
 msgstr "Automaticky odsadit"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 #, fuzzy
 msgid "unindent"
 msgstr "Automaticky odsadit"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "Opatřit poznámkou"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "Zrušit poznámku"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Operace vrácena zpět (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Nic k zopakování!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Operace zopakována (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Nepodařilo se vytvořit přenos dat"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Vidlici se nepodařilo provést"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr ""
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Neplatný řetězec znaku uvozovek %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Nyní lze zrušit zarovnání odstavce!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Slovo není k nalezení: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Upravit nahrazení"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Další slovo..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Vytváří se seznam nesprávně napsaných slov. Čekejte, prosím,..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Nepodařilo se získat velikost vyrovnávací paměti přenosu dat"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Chyba při vyvolání „spell“"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Chyba při vyvolání „sort -f“"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Chyba při vyvolání „uniq“"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Vyvolat ověření správného psaní. Počkejte, prosím"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Ověření pravopisu se nezdařilo: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Ověření pravopisu se nezdařilo: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Ověřování pravopisu dokončeno"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Pro tento typ souboru není stanoven žádný statický rozbor!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Uložit před statickým rozborem změněnou vyrovnávací paměť?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Volá se statický rozbor. Počkejte, prosím"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Příkaz %s nevytvořil žádný zpracovatelný řádek"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Tato zpráva se týká neotevřeného souboru %s. Otevřít v nové vyrovnávací "
 "paměti?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Žádné další chyby v neotevřených souborech. Ruší se"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Při poslední zprávě"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Při první zprávě"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Dokončeno"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Volá se formátovač. Počkejte, prosím"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Formátování dokončeno"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, fuzzy, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sSlov: %lu  Řádků: %ld  Znaků: %lu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "Ve výběru:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Přímé zadání"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Žádné další shody"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Žádné shody"
 
@@ -2575,71 +2607,71 @@ msgstr ""
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Neznámá sekvence"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Vstup Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "Adresář:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Změněno"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Pohled"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr ""
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, fuzzy, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "Řádek %ld/%ld (%d%%), Sloupec %lu/%lu (%d%%), Znak %lu/%lu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Textový editor nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "Verze"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Vyvíjeno:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Zvláštní poděkování:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "The Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "překladatelům a TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Pro ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "a všem nejmenovaným osobám, na které se zapomnělo..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Děkujeme vám za to, že používáte nano!"
 
@@ -2648,6 +2680,9 @@ msgstr "Děkujeme vám za to, že použ
 #~ msgstr ""
 #~ "Varování: Mění se soubor, který není zamčen. Ověřit oprávnění k adresáři?"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Přepnuto na %s"
+
 #~ msgid "Save modified buffer anyway? "
 #~ msgstr "Uložit přesto změněnou vyrovnávací paměť? "
 
@@ -2668,15 +2703,39 @@ msgstr "Děkujeme vám za to, že použ
 #~ "do upřednostňovaného umístění (%s)\n"
 #~ "(viz FAQ pro nano k této změně)"
 
+#~ msgid "WhereIs Next"
+#~ msgstr "Hledat další"
+
 #~ msgid "Exit from nano"
 #~ msgstr "Ukončit nano"
 
+#~ msgid "Repeat the last search"
+#~ msgstr "Opakovat poslední hledání"
+
 #~ msgid "Indent the current line"
 #~ msgstr "Odsadit nynější řádek"
 
 #~ msgid "Unindent the current line"
 #~ msgstr "Zrušit odsazení nynějšího řádku"
 
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Vyvolat formátovač (je-li dostupný)"
+
+#~ msgid "Formatter"
+#~ msgstr "Formátovač"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Používání ještě jednoho řádku k úpravám"
+
+#~ msgid "Backup files"
+#~ msgstr "Zálohovací soubory"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Soubor se načte v samostatné vyrovnávací paměti"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Žádný převod z formátů DOS/Mac"
+
 #~ msgid "Option\t\tMeaning\n"
 #~ msgstr "Volba\t\tVýznam\n"
 
@@ -2721,6 +2780,10 @@ msgstr "Děkujeme vám za to, že použ
 #~ "a „black“ (černá), s volitelnou předponou „bright“ (světlá)\n"
 #~ "pro barvy popředí."
 
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Závažná chyba: S funkcí \"%s\" není spojena žádná klávesová zkratka.\n"
+
 #~ msgid ""
 #~ "\n"
 #~ "Press Enter to continue starting nano.\n"
@@ -2739,6 +2802,15 @@ msgstr "Děkujeme vám za to, že použ
 #~ "Vnitřní chyba: Nelze připravit \"provést znovu\". Uložte, prosím, svou "
 #~ "práci."
 
+#~ msgid "Finished"
+#~ msgstr "Dokončeno"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Volá se formátovač. Počkejte, prosím"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Formátování dokončeno"
+
 #~ msgid "Internal error: can't match line %ld.  Please save your work."
 #~ msgstr ""
 #~ "Vnitřní chyba: Nelze nalézt shodu pro řádek %ld. Uložte, prosím, svou "
Binary files 2.9.8-1/po/da.gmo and 3.0-1/po/da.gmo differ
diff -pruN 2.9.8-1/po/da.po 3.0-1/po/da.po
--- 2.9.8-1/po/da.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/da.po	2018-09-09 09:48:30.000000000 +0000
@@ -18,8 +18,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano-2.9.8-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-28 22:12+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-06-25 20:50+0200\n"
 "Last-Translator: Ask Hjorth Larsen <asklarsen@gmail.com>\n"
 "Language-Team: Danish <dansk@dansk-gruppen.dk>\n"
 "Language: da\n"
@@ -35,82 +35,86 @@ msgid "Cannot open directory: %s"
 msgstr "Kan ikke åbne katalog: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Gå til katalog"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Afbrudt"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Kan ikke gå uden for %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Kan ikke gå et katalog op"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Fejl ved læsning af %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Arbejdskataloget er forsvundet"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(kat)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(ophavs-kat)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(enorm)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Søg"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Bagud]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Søgningen genstartet fra begyndelsen"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Dette er det eneste tilfælde"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Intet aktuelt søgemønster"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Ukendt syntaksnavn: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() mislykkedes: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) mislykkedes: %s"
@@ -181,7 +185,7 @@ msgstr "Filen %s bliver redigeret (af %s
 msgid "Can't read file from outside of %s"
 msgstr "Kan ikke læse fil fra uden for %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" er et katalog"
@@ -191,1043 +195,1066 @@ msgstr "\"%s\" er et katalog"
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" er ikke en almindelig fil"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Ikke flere åbne filbuffere"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "Mangler tilvalg"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Skiftede til %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Ny buffer"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, fuzzy, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "Læste %zu linje"
+msgstr[1] "Læste %zu linjer"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Ikke flere åbne filbuffere"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Filen \"%s\" er skrivebeskyttet"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Læste %zu linje (Konverteret fra DOS- og Mac-format)"
 msgstr[1] "Læste %zu linjer (Konverteret fra DOS- og Mac-format)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Læste %zu linje (Konverteret fra Mac-format)"
 msgstr[1] "Læste %zu linjer (Konverteret fra Mac-format)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Læste %zu linje (Konverteret fra DOS-format)"
 msgstr[1] "Læste %zu linjer (Konverteret fra DOS-format)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Læste %zu linje"
 msgstr[1] "Læste %zu linjer"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Ny fil"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Filen \"%s\" ikke fundet"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" er en enhedsfil"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Læser filen"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Kommando der skal køres i ny buffer"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Kommando der skal køres"
 
-#: src/files.c:1049
-#, c-format
-msgid "File to insert into new buffer [from %s]"
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Fil der skal indsættes i ny buffer [fra %s]"
+
+#: src/files.c:1101
+#, fuzzy, c-format
+msgid "File to read into new buffer [from %s]"
 msgstr "Fil der skal indsættes i ny buffer [fra %s]"
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Fil der skal indsættes [fra %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Fil der skal indsættes [fra %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Tasten ugyldig i ikke-multibuffer-tilstand"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Ugyldigt arbejdskatalog\n"
 
 # afsluttende mellemrum efter strengen bevirker sandsynligvis at tekstmarkøren står rigtigt
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Kunne ikke skrive sikkerhedskopi; fortsæt med at gemme? (Sig N hvis "
 "usikker.) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Ugyldigt katalog til sikkerhedskopi\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Kan ikke skrive uden for %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Fejl ved skrivning af sikkerhedskopifil %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "For mange sikkerhedskopifiler?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Fejl ved skrivning af midlertidig fil: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Fejl ved skrivning af %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Skrev %zu linje"
 msgstr[1] "Skrev %zu linjer"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS-format]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac-format]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Sikkerhedskopi]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Foranstil udvalg til fil"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Tilføj udvalg til fil"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Skriv udvalg til fil"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Filnavn at foranstille på"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Filnavn at tilføje på"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Filnavn at skrive"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Filen findes -- kan ikke overskrive"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Gem filen under ET ANDET NAVN? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Filen \"%s\" findes; OVERSKRIV? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Filen på disken er blevet ændret"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Filen er blevet ændret, siden du åbnede den; gem alligevel? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(mere)"
 
 # max 10 tegn
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Afslut"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Luk"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Indsæt"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Afombryd"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Læs fil"
-
-# max 10 tegn
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Hvor er"
-
-# max 10 tegn
-#: src/global.c:507
-msgid "Replace"
-msgstr "Erstat"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Til linje"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Forrige linje"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Næste linje"
-
-# max 10 tegn
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "ForrigSide"
-
-# max 10 tegn
-#: src/global.c:512
-msgid "Next Page"
-msgstr "NæsteSide"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Ombryd"
-
-# max 10 tegn
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "FuldOmbryd"
-
-# max 10 tegn
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Opdatér"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Find næste"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Afbryd den aktuelle funktion"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Vis denne hjælpetekst"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Luk nuværende buffer / afslut nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Skriv den nuværende buffer (eller det markerede område) til disken"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Indsæt en anden fil i den nuværende buffer (eller i en ny buffer)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Søg fremad efter en streng eller et regulært udtryk"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Søg bagud efter en streng eller et regulært udtryk"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "Søg efter en streng"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Søg efter en streng"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Opdatér fillisten"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Gå til venstre kolonne"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Gå til højre kolonne"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Gå til første række i denne kolonne"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Gå til sidste række i denne kolonne"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Gå en skærm op"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Gå en skærm ned"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Klip aktuelle linje (eller markerede område) ud og gem den i udklipsbufferen"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Indsæt fra udklipsbufferen i aktuel linje"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Vis markørens position"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Start stavekontrollen, hvis tilgængelig"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Erstat en streng eller et regulært udtryk"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Gå til linje- og kolonnenummer"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Gentag den sidste søgning"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Markér tekst startende fra markørposition"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Kopiér aktuelle linje (eller markerede område) og gem den i udklipsbufferen"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Indryk aktuelle linje (eller markerede linjer)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Fjern indrykning for aktuelle linje (eller markerede linjer)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Fortryd sidste handling"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Omgør sidste fortrudte handling"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Gå et tegn bagud"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Gå et tegn fremad"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Gå et ord bagud"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Gå et ord fremad"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Gå til forrige linje"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Gå til næste linje"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Gå til begyndelsen af aktuel linje"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Gå til enden af aktuel linje"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Gå til forrige tekstblok"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Gå til næste tekstblok"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Gå til afsnittets begyndelse; dernæst forrige afsnits"
 
 # må være præcist nok i denne lidt korte form.  Ellers bliver linjen for lang
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Gå til afsnittets slutning; dernæst næste afsnits"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Gå til filens første linje"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Gå til filens sidste linje"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Gå til modsvarende klamme"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Rul en linje op uden at flytte markøren i teksten"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Rul en linje ned uden at flytte markøren i teksten"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Gå til forrige filbuffer"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Gå til næste filbuffer"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Indsæt næste tasteanslag ordret"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Indsæt et tabulatortegn ved markørpositionen"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Indsæt et linjeskift ved markørpositionen"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Fjern tegnet under markøren"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Fjern tegnet til venstre for markøren"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Klip bagud fra markøren til ordets begyndelse"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Klip fremad fra markøren til næste ords begyndelse"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Klip fra markørpositionen til filens slutning"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Ombryd den aktuelle paragraf"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Ombryd hele filen"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Tæl ord, linjer og tegn"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Opdatér (genskriv) den aktuelle skærm"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Kør i baggrunden (hvis dette er slået til)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Forsøg at fuldføre nuværende ord"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Kommentér/fjern kommentar for nuværende linje (eller markerede linjer)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Gem fil uden at spørge"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Søg bagud efter næste forekomst"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Søg fremad efter næste forekomst"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Start/stop optagelse af en makro"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Kør sidst optagede makro"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Slå forskel på store og små bogstaver til eller fra"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Omvend søgeretning"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Slå brug af regulære udtryk til eller fra"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Husk de foregående søg og erstat-strenge"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Husk de følgende søg og erstat-strenge"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Slå DOS-format til eller fra"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Slå Mac-format til eller fra"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Slå efterstillet tilføjelse til eller fra"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Slå foranstillet tilføjelse til eller fra"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Slå sikkerhedskopiering af originalfil til eller fra"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Udfør ekstern kommando"
 
 # lidt kortere end de andre lignende af hensyn til <80 tegn
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
-"Send nuværende buffer (eller markeret område) til kommando gennem rørledning"
+"Send nuværende buffer (eller markeret område) til kommando gennem datakanal"
+
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Konvertér ikke fra DOS/Mac-format"
 
-#: src/global.c:662
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Slå brug af ny buffer til eller fra"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Luk buffer uden at gemme den"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Gå til filbrowser"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Gå ud af filbrowseren"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Gå til første fil i listen"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Gå til sidste fil i listen"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Gå til forrige fil i listen"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Gå til næste fil i listen"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Gå til katalog"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Start linteren, hvis tilgængelig"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Gå til forrige linter-besked"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Gå til næste linter-besked"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Start formateringsprogram, hvis tilgængelig"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Få hjælp"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Annullér"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Gem"
 
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Læs fil"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Ombryd"
+
+# max 10 tegn
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Opdatér"
+
+# max 10 tegn
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Hvor er"
+
+# max 10 tegn
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Erstat"
+
 # max 16 tegn
-#: src/global.c:749
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Gå til katalog"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Klip ud"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Stavetjek"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Til Linter"
 
-# max 16 tegn
-# var tidligere Formateringsp. (p=program) men tror dette er nemmere at forstå
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formatering"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Position"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Til linje"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Fortryd"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Omgør"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Markér tekst"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopiér tekst"
 
 # max 10 tegn
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "VersalFøls"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Regex"
 
 # max 10 tegn
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Baglæns"
 
 # max 10 tegn
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "ErstatIkke"
 
-#: src/global.c:839
+# max 10 tegn
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "FuldOmbryd"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Til klamme"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Gem"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Hvor var"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Forrige"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Næste"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Bagud"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Fremad"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Forrige ord"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Næste ord"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Hjem"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Slut"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Forrige linje"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Næste linje"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Rul op"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Rul ned"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Forrige blok"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Næste blok"
 
 # max 10 tegn
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "AfsnitStrt"
 
 # max 10 tegn
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "AfsnitSlut"
 
 # max 10 tegn
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "ForrigSide"
+
+# max 10 tegn
+#: src/global.c:889
+msgid "Next Page"
+msgstr "NæsteSide"
+
+# max 10 tegn
+#: src/global.c:892
 msgid "First Line"
 msgstr "1. linje"
 
 # max 10 tegn
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Slutlinje"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Foreg. fil"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Næste fil"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tabulator"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Fjern"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Slet baglæns"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Klip venstre"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Klip højre"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "KlipResten"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Ordtælling"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Ordret"
 
 # max 10 tegn
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "I baggrund"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Indryk tekst"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Fjern indrykning"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
+msgstr "indryk"
+
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
+msgstr "fjern indrykning"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Kommentér linjer"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Fuldfør"
 
 # kontekst: at optage en makro
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Optag"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Kør makro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Hvor var"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Gem"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "ForrigHist"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "NæstHist"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Gå til tekst"
 
 # max 16 tegn
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS-format"
 
 # max 16 tegn
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac-format"
 
 # max 16 tegn
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Tilføj ved enden"
 
 # max 16 tegn
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Tilføj ved start"
 
 # max 16 tegn
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "SikrKopiér fil"
 
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "version"
+
 # max 16 tegn
-#: src/global.c:1032
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Kør kommando"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
-msgstr "Send tekst gennem rørledning"
+msgstr "Send tekst gennem datakanal"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Til filer"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Første fil"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Sidste fil"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Venstre kolonne"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Højre kolonne"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Øverste række"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Nederste række"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Forkast buffer"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Forrige Lint-besked"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Næste Lint-besked"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Hjælpetilstand"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Konstant visning af markørposition"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Brug af en ekstra linje til redigering"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Jævn rulning"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Blød ombrydning af for lange linjer"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Visning af mellemrum"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Farvefremhævelse af syntaks"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Smart home-tast"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Automatisk indrykning"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Klip ud til enden"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Hård ombrydning af for lange linjer"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Konvertering af skrevne tab-tegn til mellemrum"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Sikkerhedskopiér filer"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Læser fil ind i separat buffer"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Museunderstøttelse"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Ingen konvertering fra DOS/Mac-format"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Suspension"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Linjenumre"
 
@@ -1454,15 +1481,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Hjælpetekst for Kør kommando\n"
 "\n"
@@ -1473,7 +1499,22 @@ msgstr ""
 " Følgende taster er tilgængelige i denne tilstand:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" Følgende funktionstaster er til stede i browsersøgetilstand:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1493,7 +1534,7 @@ msgstr ""
 "hovedvinduet som viser filen der redigeres. Statuslinjen er tredje linje fra "
 "underkanten og viser vigtige meddelelser.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1509,7 +1550,7 @@ msgstr ""
 "Meta-tastekombinationer noteres med \"M-\" og kan tastes enten med Alt, Cmd "
 "eller Esc afhængigt af tastaturopsætningen.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1523,7 +1564,7 @@ msgstr ""
 "Alternative taster vises i parenteser:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "aktivér/deaktivér"
 
@@ -1560,19 +1601,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Fejl ved skrivning af %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Tasten er ugyldig i visningstilstand"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Denne funktion er slået fra i begrænset tilstand"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Hjælp er ikke tilgængelig"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1581,7 +1622,7 @@ msgstr ""
 "\n"
 "Bufferen skrevet til %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1590,7 +1631,7 @@ msgstr ""
 "\n"
 "Buffer ikke skrevet til %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1599,7 +1640,7 @@ msgstr ""
 "\n"
 "Buffer ikke skrevet: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1610,7 +1651,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1619,7 +1660,7 @@ msgstr ""
 "Sæt linjenummer samt \"+\" foran filnavnet for at placere markøren på en\n"
 "bestemt linje.  Kolonnenummeret kan tilføjes efter et komma.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1628,277 +1669,277 @@ msgstr ""
 "Når et filnavn er \"-\", læser nano data fra standard input.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Tilvalg\t\tLangt GNU-tilvalg\t\tBetydning\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Brug smart home-tast"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Gem sikkerhedskopier af eksisterende filer"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <kat>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<kat>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Katalog til at gemme unikke sikkerhedskopifiler"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Brug fed frem for omvendt video-tekst"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Konvertér skrevne tabulatortegn til mellemrum"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Læs en fil ind i en ny buffer som standard"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Brug (vim-stil) låsefiler"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Log & læs streng-historik for søg og erstat"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Se ikke på nanorc-filer"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Fiks forvirringsproblem med numerisk tastatur"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Tilføj ikke linjeskift til slut i filer"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Fjern afsluttende mellemrum ved hård ombrydning"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Konvertér ikke fra DOS/Mac-format"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Brug en ekstra linje til redigering"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Gem & læs markørens position"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <regex>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<regex>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "Regulært udtryk til at matche citationstegn"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Begrænset tilstand"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Rul linjevis frem for en halv skærm ad gangen"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#kolonner>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#kolonner>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Sæt bredden på et tabulatortegn til #kolonner"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Ryd statuslinje hurtigt"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Udskriv versionsinformation og afslut"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Find ordgrænser mere præcist"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <str>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<str>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Hvilke andre tegn er dele af ord"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <navn>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<navn>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Syntaksdefinition for farvelægning"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Brug kun blød ombrydning omkring blanktegn"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Vis markørposition hele tiden"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Fiks forvirringsproblem med Tilbagetast/Slettetast"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Vis markør i filbrowser"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Vis denne hjælpetekst og afslut"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Indryk automatisk nye linjer"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Klip fra markøren til linjens slutning"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Vis linjenumre foran teksten"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Aktivér styring med mus"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Læs ikke filen (skriv den kun)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <kat>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<kat>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Angiv arbejdskatalog"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Behold XON- (^Q) og XOFF- (^S) taster"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#kolonner>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#kolonner>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Placér kode-ombrydningspunkt ved #kolonner"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Brug alternativ stavekontrol"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Gem automatisk ved afslutning, spørg ikke"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Gem en fil i Unix-format som standard"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Visningstilstand (skrivebeskyttet)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Ombryd ikke kode-omsluttede lange linjer"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Vis ikke de to hjælpelinjer"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Lad Ctrl+Højre standse ved slutning af ord"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Slå suspend til"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Brug blød linjeombrydning"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano version %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s bidragyderne til nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " E-mail: nano@nano-editor.org\tWebside: http://www.nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1907,272 +1948,272 @@ msgstr ""
 "\n"
 " Kompileringstilvalg:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Intet filnavn"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Gem ændret buffer?  (Svares \"nej\", FORKASTES ændringerne.) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "Læser fra standard-input; skriv ^D eller ^D^D for at afslutte.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Kunne ikke åbne stdin: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Kunne ikke genåbne stdin fra tastaturet, beklager\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Modtog SIGHUP eller SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 "Beklager!  Nano gik ned.  Kode: %d.  Indsend venligst en fejlrapport.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Brug \"fg\" for at vende tilbage til nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Kørsel i baggrunden er ikke slået til"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "aktiveret"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "deaktiveret"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Ubunden tast"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Ubindelig tast: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Ubundet tast: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Ubundet tast: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Ubundet tast: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Ønsket tab-størrelse \"%s\" er ugyldig"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Ønsket fyld-størrelse \"%s\" er ugyldig"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Tast \"%s -h\" for en liste over tilgængelige tilvalg.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Ugyldigt linje- eller kolonnenummer"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Fejl i \"%s\""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Velkommen til nano.  Tast Ctrl+G for at vise kortfattet hjælp."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "JjYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Aa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Ja"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Nej"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Alle"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Fejl i %s i linje %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argument \"%s\" har et uafsluttet \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Regex-strenge skal begynde og ende med et \"-tegn"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Dårligt regulært udtryk \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Mangler syntaksnavn"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Citationstegn i syntaksnavn mangler modpart"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "\"none\"-syntaksen er reserveret"
 
 # Extension skal her forstås som f.eks. 'nano --something extension', altså en slags argument, der kræves af et andet argument
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "\"default\"-syntaksen kan ikke tage udvidelser"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Mangler tastenavn"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Tastenavn er for kort"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Tastenavn skal starte med \"^\", \"M\" eller \"F\""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Tastenavnet %s er ugyldigt"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Skal angive en funktion at binde tast til"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr "Skal angive en menu (eller \"all\") hvori tasten bindes/løsnes"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Kan ikke associere navnet \"%s\" med en funktion"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Kan ikke associere navnet \"%s\" med en menu"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Funktion \"%s\" findes ikke i menuen \"%s\""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Beklager, tastetryk \"%s\" kan ikke være rebound"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Fejl ved udvidelse af %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Farven \"%s\" ikke forstået"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "En baggrundsfarve må ikke være lys"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "En \"%s\"-kommando kræver forudgående \"syntax\"-kommando"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Mangler farvenavn"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Mangler regex-streng efter \"%s\"-kommando"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Tom regex-streng"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" kræver et tilsvarende \"end=\""
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "\"default\"-syntaksen kan ikke tage \"%s\"-regexer"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Mangler argument efter \"%s\""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argument til \"%s\" mangler afsluttende \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Fatal fejl: ingen taster bundet til funktionen \"%s\". Afslutter.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2180,62 +2221,62 @@ msgstr ""
 "Hvis krævet, så brug nano med tilvalget -I for at justere dine nanorc-"
 "indstillinger.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Kunne ikke finde syntaks \"%s\" at udvide"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Syntaksen \"%s\" har ingen farvekommandoer"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Kommandoen \"%s\" tillades ikke i inkluderet fil"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Kommando \"%s\" ikke forstået"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Mangler tilvalg"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Ukendt tilvalg \"%s\""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Kan ikke fjerne tilvalget \"%s\""
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Tilvalget \"%s\" kræver et argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Argument er ikke en gyldig multibytestreng"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Kræver ikke-blanke tegn"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Der kræves to enkelt-kolonnetegn"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Jeg kan ikke finde mit hjemmekatalog!  Hulk!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Versalfølsom]"
@@ -2244,41 +2285,36 @@ msgstr " [Versalfølsom]"
 msgid " [Regexp]"
 msgstr " [Regex]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Bagud]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (at erstatte) i markering"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (at erstatte)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Søger..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" ikke fundet"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Erstat denne forekomst?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Erstat med"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2286,255 +2322,246 @@ msgstr[0] "Erstattede %zd forekomst"
 msgstr[1] "Erstattede %zd forekomster"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Indtast linjenummer, kolonnenummer"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Ikke en klamme"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Ingen modsvarende klamme"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Markering sat"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Markering fjernet"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Fejl ved kald af \"%s\""
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Kommentarer understøttes ikke for denne filtype"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Kan ikke kommentere efter filafslutning"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Intet i fortrydelsesbufferen!"
 
 # De her mystiske "text add" og den slags indgår i strengen "Undid action (%s)" hvor %s er en af disse
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "tilføj tekst"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "linje bryd"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "slet tekst"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "sammenføj linje"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "tekst erstat"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "klip tekst"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "indsæt tekst"
 
 # dette sker hvis teksten f.eks. er læst fra en fil
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "import af tekst"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "filtrering"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "indryk"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "fjern indrykning"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "kommentér"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "fjern kommentar"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Fortrød handling (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Intet at omgøre!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Omgjorde handling (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Kunne ikke oprette datakanal"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Kunne ikke forgrene"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "filtrering"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
-msgstr "Kunne ikke åbne rørledning: %s"
+msgstr "Kunne ikke åbne datakanal: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Dårlig anførselsstreng %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Kan nu af-ombryde!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Ord kan ikke findes: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Redigér en erstatning"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Næste ord..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Opretter ordliste med fejlstavelser, vent venligst..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Kunde ikke få størrelse af datakanals-buffer"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Fejl ved kald af \"spell\""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Fejl ved kald af \"sort -f\""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Fejl ved kald af \"uniq\""
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Start stavekontrollen, vent venligst"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Stavekontrollen mislykkedes: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Stavekontrollen mislykkedes: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Stavekontrol færdiggjort"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Ingen linter defineret for denne filtype!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Gem ændret buffer før linting?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Starter linter, vent venligst"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Fik 0 linjer der kunne fortolkes fra kommando: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr "Denne besked er for uåbnet fil %s, åbn den i en ny buffer?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Ikke flere fejl i uåbnede filer; annullerer"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Ved sidste besked"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Ved første besked"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Afsluttet"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Starter formateringsprogram, vent venligst"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Afsluttet formatering"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sOrd: %zu  Linjer: %zd  Tegn: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "I markering:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Ordret input"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Ingen yderligere match"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Ingen match"
 
@@ -2564,74 +2591,121 @@ msgstr "For mange fejl fra stdin"
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Ukendt sekvens"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Unicode-input: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "KAT:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Ændret"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Se"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Yderligere advarsler blev udeladt"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "linje %zd/%zd (%d %%), kol %zu/%zu (%d %%), tegn %zu/%zu (%d %%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Tekstredigereren nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "version"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Præsenteres af:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Særlig tak til:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "de mange oversættere og TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "For ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "og alle andre som vi har glemt..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Tak for at du bruger nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Skiftede til %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Find næste"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Gentag den sidste søgning"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Start formateringsprogram, hvis tilgængelig"
+
+# max 16 tegn
+# var tidligere Formateringsp. (p=program) men tror dette er nemmere at forstå
+#~ msgid "Formatter"
+#~ msgstr "Formatering"
+
+#~ msgid "Indent Text"
+#~ msgstr "Indryk tekst"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Fjern indrykning"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Brug af en ekstra linje til redigering"
+
+#~ msgid "Backup files"
+#~ msgstr "Sikkerhedskopiér filer"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Læser fil ind i separat buffer"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Ingen konvertering fra DOS/Mac-format"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "Fatal fejl: ingen taster bundet til funktionen \"%s\". Afslutter.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Afsluttet"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Starter formateringsprogram, vent venligst"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Afsluttet formatering"
+
 #~ msgid "Quoting string"
 #~ msgstr "Anførelsesstreng"
 
Binary files 2.9.8-1/po/de.gmo and 3.0-1/po/de.gmo differ
diff -pruN 2.9.8-1/po/de.po 3.0-1/po/de.po
--- 2.9.8-1/po/de.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/de.po	2018-09-09 09:48:30.000000000 +0000
@@ -9,10 +9,10 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.9.7-pre1\n"
+"Project-Id-Version: nano 3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-11 15:10+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-31 15:23+0200\n"
 "Last-Translator: Mario Blättermann <mario.blaettermann@gmail.com>\n"
 "Language-Team: German <translation-team-de@lists.sourceforge.net>\n"
 "Language: de\n"
@@ -21,7 +21,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "X-Bugs: Report translation errors to the Language-Team address.\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Poedit 2.0.7\n"
+"X-Generator: Poedit 2.1.1\n"
 
 #: src/browser.c:67
 #, c-format
@@ -29,82 +29,86 @@ msgid "Cannot open directory: %s"
 msgstr "Verzeichnis kann nicht geöffnet werden: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Gehe zu Verzeichnis"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Abgebrochen"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Außerhalb von %s kann nicht geschrieben werden"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Ins übergeordnete Verzeichnis kann nicht gewechselt werden"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Fehler beim Lesen von %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Das Arbeitsverzeichnis ist nicht mehr vorhanden"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(Verz.)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(Verz. höher)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(riesig)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Suche"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Rückwärts]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Suche umbrechen"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Das ist das einzige Auftreten"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Kein aktuelles Suchmuster"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Unbekannter Syntaxname: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() fehlgeschlagen: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) fehlgeschlagen: %s"
@@ -177,7 +181,7 @@ msgstr "Datei %s wird bearbeitet (von %s
 msgid "Can't read file from outside of %s"
 msgstr "Datei kann außerhalb von %s nicht gelesen werden"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "„%s“ ist ein Verzeichnis"
@@ -187,1024 +191,1039 @@ msgstr "„%s“ ist ein Verzeichnis"
 msgid "\"%s\" is not a normal file"
 msgstr "„%s“ ist keine normale Datei"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Keine weiteren offenen Dateipuffer"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "Rechtschreibprüfung"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu Zeile (%s)"
+msgstr[1] "%s -- %zu Zeilen (%s)"
 
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "Umgeschaltet zu %s"
-
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Neuer Puffer"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu Zeile"
+msgstr[1] "%s -- %zu Zeilen"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Keine weiteren offenen Dateipuffer"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Datei „%s“ ist schreibgeschützt"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "%zu Zeile gelesen (aus DOS- und Mac-Format konvertiert)"
 msgstr[1] "%zu Zeilen gelesen (aus DOS- und Mac-Format konvertiert)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "%zu Zeile gelesen (aus Mac-Format konvertiert)"
 msgstr[1] "%zu Zeilen gelesen (aus Mac-Format konvertiert)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "%zu Zeile gelesen (aus DOS-Format konvertiert)"
 msgstr[1] "%zu Zeilen gelesen (aus DOS-Format konvertiert)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "%zu Zeile gelesen"
 msgstr[1] "%zu Zeilen gelesen"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Neue Datei"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Datei „%s“ nicht gefunden"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "„%s“ ist eine Gerätedatei"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Datei wird gelesen"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "In neuem Puffer auszuführender Befehl"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Auszuführender Befehl"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "In neuen Puffer einzufügende Datei [von %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "In neuen Puffer ohne Umwandlung einzulesende Datei [von %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "In neuen Puffer einzulesende Datei [von %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "In neuen Puffer ohne Umwandlung einzufügende Datei [von %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Einzufügende Datei [von %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Taste unzulässig, wenn nicht im Multibuffer-Modus"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Ungültiges Arbeitsverzeichnis\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Sicherungsdatei konnte nicht geschrieben werden, weiter speichern? (N wenn "
 "unsicher) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Ungültiges Sicherungsverzeichnis\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Außerhalb von %s kann nicht geschrieben werden"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Fehler beim Schreiben der Sicherungsdatei %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Zu viele Sicherungsdateien?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Fehler beim Schreiben der temporären Datei: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Fehler beim Schreiben von %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "%zu Zeile geschrieben"
 msgstr[1] "%zu Zeilen geschrieben"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS-Format]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac-Format]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Sicherungsdatei]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Auswahl vorne an Datei anfügen"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Auswahl an Datei anhängen"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Auswahl in Datei schreiben"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Dateiname zum vorn Anfügen"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Dateiname zum Anhängen"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Dateiname zum Speichern"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Zu klein"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Datei existiert – kann nicht überschrieben werden"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Datei unter einem ANDEREN NAMEN speichern? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Datei „%s“ existiert, ÜBERSCHREIBEN? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Die Datei wurde auf dem Datenträger geändert"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Datei wurde seit dem Öffnen geändert, dennoch speichern? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(mehr)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Beenden"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Schließen"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Ausschn. r"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Ausr.rückgängig"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Datei öffnen"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Wo ist"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Ersetzen"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Zu Zeile"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Zeile zurück"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Zeile vor"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Seite zurück"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Seite vor"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Ausrichten"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Kompl. Ausr."
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Auffrischen"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Wo ist nächstes"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Funktion abbrechen"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Diese Hilfe anzeigen"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Aktuellen Puffer schließen / Nano beenden"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr ""
 "Den aktuellen Puffer (oder den markierten Bereich) auf Festplatte speichern"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Weitere Datei in die aktuellen (oder einen neuen) Puffer einfügen"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Nach einer Zeichenkette oder einem regulären Ausdruck vorwärts suchen"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Nach einer Zeichenkette oder einem regulären Ausdruck rückwärts suchen"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Nach einer Zeichenkette suchen"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Vorwärts nach einer Zeichenkette suchen"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Rückwärts nach einer Zeichenkette suchen"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Dateiliste aktualisieren"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Zur linken Spalte springen"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Zur rechten Spalte springen"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Zur ersten Zeile in dieser Spalte springen"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Zur letzten Zeile in dieser Spalte springen"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Eine Bildschirmseite hoch gehen"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Eine Bildschirmseite runter gehen"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Die aktuelle Zeile (oder den markierten Bereich) ausschneiden und in der "
 "Zwischenablage speichern"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Aus der Zwischenablage einfügen"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Die aktuelle Cursorposition anzeigen"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Rechtschreibprüfung aufrufen (wenn verfügbar)"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Eine Zeichenkette oder einen regulären Ausdruck ersetzen"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Zu einer bestimmten Zeile und Spalte springen"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Die letzte Suche wiederholen"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Text beginnend an Cursorposition markieren"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Die aktuelle Zeile (oder den markierten Bereich) kopieren und in der "
 "Zwischenablage speichern"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Die aktuelle Zeile oder die markierten Zeilen einrücken"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Die aktuelle Zeile oder die markierten Zeilen ausrücken"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Letzte Operation rückgängig machen"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Rückgängig gemachte Operation wiederholen"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Ein Zeichen rückwärts gehen"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Ein Zeichen vorwärts gehen"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Ein Wort rückwärts gehen"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Ein Wort vorwärts gehen"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Zur vorhergehenden Zeile gehen"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Zur folgenden Zeile gehen"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Zum Anfang der aktuellen Zeile springen"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Zum Ende der aktuellen Zeile springen"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Zum vorhergehenden Textblock gehen"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Zum folgenden Textblock gehen"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Zum Anfang des aktuellen Absatzes springen; dann des vorigen Absatzes"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr ""
 "Hinter das Ende des aktuellen Absatzes springen; dann des vorigen Absatzes"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Zur ersten Zeile der Datei springen"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Zur letzten Zeile der Datei springen"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Zur passenden Klammer springen"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Eine Zeile hochrollen, ohne den Cursor im Text zu bewegen"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Eine Zeile hinunterrollen, ohne den Cursor im Text zu bewegen"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Zum vorhergehenden Dateipuffer umschalten"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Zum folgenden Dateipuffer umschalten"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Nächstes Zeichen direkt (nicht interpretiert) einfügen"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Einen Tabulator an der Cursorposition einfügen"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Einen Zeilenumbruch an der Cursorposition einfügen"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Zeichen an der Cursorposition löschen"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Zeichen links vom Cursor löschen"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Vom Cursor bis zum Beginn des Wortes ausschneiden"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Vom Cursor bis zum Beginn des nächsten Wortes ausschneiden"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Vom Cursor bis zum Dateiende ausschneiden"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Absatz ausrichten"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Die gesamte Datei ausrichten"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Die Wörter, Zeilen und Zeichen zählen"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Bildschirm auffrischen (neu zeichnen)"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr ""
 "Den Editor in den Hintergrund schieben (wenn „suspend“ angeschaltet ist)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Versuchen und das aktuelle Wort vervollständigen"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr ""
 "Die aktuelle Zeile oder die markierten Zeilen auskommentieren oder "
 "Kommentierung aufheben"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Datei ohne Nachfrage speichern"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Nächstes Vorkommen rückwärts suchen"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Nächstes Vorkommen vorwärts suchen"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Aufzeichnung eines Makros starten/stoppen"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Zuletzt aufgezeichnetes Makro ausführen"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Unterscheidung von Groß- und Kleinschreibung bei Suche umschalten"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Die Richtung der Suche umkehren"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Benutzung regulärer Ausdrücke umschalten"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Den vorhergehenden Suchen-/Ersetzen-Begriff hervorholen"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Den nächsten Suchen-/Ersetzen-Begriff hervorholen"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Schreiben im DOS-Format umschalten"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Schreiben im Mac-Format umschalten"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Anhängen umschalten"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Vorn Anfügen umschalten"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Sicherung existierender Dateien beim Speichern umschalten"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Externen Befehl ausführen"
 
-#: src/global.c:659
-#, fuzzy
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
-msgstr ""
-"Den aktuellen Puffer (oder den markierten Bereich) auf Festplatte speichern"
+msgstr "Den aktuellen Puffer (oder den markierten Bereich) in Pipe senden"
+
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "Keine Umwandlung aus DOS/Mac-Format"
 
-#: src/global.c:662
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Benutzung eines neuen Puffers umschalten"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Puffer schließen, ohne zu speichern"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Zum Dateibrowser gehen"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Den Dateibrowser beenden"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Zur ersten Datei der Liste springen"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Zur letzten Datei der Liste springen"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Zur vorigen Datei der Liste springen"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Zur nächsten Datei der Liste springen"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Zu Verzeichnis gehen"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Den Linter aufrufen (wenn verfügbar)"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Zur vorhergehenden Linter-Meldung gehen"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Zur nächsten Linter-Meldung gehen"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Den Formatierer aufrufen (wenn verfügbar)"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Hilfe"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Abbrechen"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Speichern"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Datei öffnen"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Ausrichten"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Auffrischen"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Wo ist"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Ersetzen"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Gehe zu Verz."
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Ausschneiden"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Rechtschr."
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Zum Linter"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formatierer"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Cursor"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Zu Zeile"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Rückgängig"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Wiederholen"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Text markieren"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopieren"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "GROSS/klein"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Reg. Ausdruck"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Rückwärts"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Keine Ersetzung"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Kompl. Ausr."
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Zu Klammer"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Speichern"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Wo war"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Vorige"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Nächste"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Zurück"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Vorwärts"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Vorheriges Wort"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Nächstes Wort"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Pos 1"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Ende"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Zeile zurück"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Zeile vor"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Hochrollen"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Herunterrollen"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Vorh. Block"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Nächster Block"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Anf des Abs."
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Ende des Abs."
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Seite zurück"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Seite vor"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Erste Zeile"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Letzte Zeile"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Vorh. Datei"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Nächste Datei"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Löschen"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Rücktaste"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Links ausschneiden"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Rechts ausschneiden"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "AusschnBisEnde"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Wortanzahl"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Direkt"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "In den Hintergrund"
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+msgid "Indent"
 msgstr "Einrücken"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+msgid "Unindent"
 msgstr "Ausrücken"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Kommentarzeilen"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Vervollständigen"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Aufzeichnen"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Makro ausführen"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Wo war"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Speichern"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Verl. zurück"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Verlauf vor"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Zu Text"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS-Format"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac-Format"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Anhängen"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Vorn anfügen"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Sicherungsdatei"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Keine Umwandlung"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Befehl ausführen"
 
-#: src/global.c:1047
-#, fuzzy
+#: src/global.c:1028
 msgid "Pipe Text"
-msgstr "Kopieren"
+msgstr "Text in Pipe"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "In Dateien"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Erste Datei"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Letzte Datei"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Linke Spalte"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Rechte Spalte"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Oberste Zeile"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Unterste Zeile"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Puffer verwerfen"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Lintmld. zurück"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Lintmld. vor"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Hilfe-Modus"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Cursorposition ständig anzeigen"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Verwendung einer Zeile mehr zum Editieren"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Sanftes Rollen"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Überlange Zeilen fließend umbrechen"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Leerzeichenanzeige"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Farbige Syntaxhervorhebung"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Intelligente Pos1-Taste"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Automatische Einrückung"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Bis Ende ausschneiden"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Überlange Zeilen hart umbrechen"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Umwandlungen eingegebener Tabulatoren in Leerzeichen"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Sicherungsdateien"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Datei wird in separaten Puffer eingelesen"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Mausunterstützung"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Keine Umwandlung aus DOS/Mac-Format"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "In den Hintergrund"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Zeilennummerierung"
 
@@ -1444,23 +1463,36 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Hilfetext für Externen Befehl\n"
 "\n"
 " Dieses Menü erlaubt es, die Ausgabe eines externen Befehls, der in der "
 "Shell ausgeführt wird, in den aktuellen Puffer einzufügen (oder in einen "
-"neuen Puffer, wenn Unterstützung für mehrere Puffer aktiviert ist). Wenn Sie "
-"einen weiteren leeren Puffer benötigen, geben Sie keinen Befehl ein.\n"
+"neuen Puffer). Wenn dem Befehl ein „|“ vorangestellt ist (das Pipe-Zeichen), "
+"dann wird der aktuelle Inhalt des Puffers (oder der markierte Bereich) an "
+"den Befehl weitergeleitet.  "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+"Wenn Sie lediglich einen weiteren leeren Puffer benötigen,\n"
+"geben Sie keinen Befehl an.\n"
 "\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
 " Die folgenden Funktionstasten sind im Befehl-Ausführen-Modus verfügbar:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1480,7 +1512,7 @@ msgstr ""
 "Hauptfenster enthält die zu bearbeitende Datei.  Die Statuszeile (die dritte "
 "Zeile von unten) zeigt wichtige Meldungen.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1498,7 +1530,7 @@ msgstr ""
 "Symbol (M) angegeben und können mit Alt, Cmd oder Meta eingegeben werden, "
 "abhängig von Ihrer Tastatureinstellung.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1512,7 +1544,7 @@ msgstr ""
 "Hauptfenster verfügbar. Alternative Tasten stehen in Klammern:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "aktivieren/deaktivieren"
 
@@ -1549,19 +1581,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Fehler beim Schreiben von %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Taste unzulässig im Nur-Lese-Modus"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Im eingeschränkten Modus ist diese Funktion deaktiviert"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Hilfe ist nicht verfügbar"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1570,7 +1602,7 @@ msgstr ""
 "\n"
 "Puffer in %s geschrieben\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1579,7 +1611,7 @@ msgstr ""
 "\n"
 "Puffer nicht in %s geschrieben: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1588,7 +1620,7 @@ msgstr ""
 "\n"
 "Puffer nicht geschrieben: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1599,7 +1631,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1611,7 +1643,7 @@ msgstr ""
 "nach einem\n"
 "Komma hinzugefügt werden.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1620,279 +1652,277 @@ msgstr ""
 "Wenn ein Dateiname „-“ ist, liest Nano aus der Standardeingabe.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Option\t\tlange GNU-Option\t\tBedeutung\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Intelligente Pos1-Taste aktivieren"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Existierende Dateien beim Speichern sichern"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <Verz>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<Verz>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Verzeichnis zum Speichern von Sicherungsdateien"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Fettdruck anstelle von inversem Text benutzen"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Eingegebebene Tabulatoren in Leerzeichen umwandeln"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Eine Datei standardmäßig in einen neuen Puffer einlesen"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Sperrdateien benutzen (nach Art von Vim)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Verlauf der Suchen-/Ersetzen-Begriffe mitschreiben und lesen"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Die nanorc-Dateien ignorieren"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Verwirrung um Zehnertastatur lösen"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Keine Zeilenvorschübe an die Enden von Dateien anhängen"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Bei hartem Umbruch angehängte Leerzeichen entfernen"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Keine Umwandlung aus DOS/Mac-Format"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Eine Zeile mehr zum Editieren verwenden"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Cursorposition aufzeichnen und lesen"
 
-#: src/nano.c:821
-#, fuzzy
+#: src/nano.c:830
 msgid "-Q <regex>"
-msgstr "-Q <Zeichenkette>"
+msgstr "-Q <Ausdruck>"
 
-#: src/nano.c:821
-#, fuzzy
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
-msgstr "--quotestr=<Zeichenkette>"
+msgstr "--quotestr=<Ausdruck>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
-msgstr ""
+msgstr "Zu suchender regulärer Ausdruck"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Eingeschränkter Modus"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Zeilenweise rollen (statt halb-bildschirm-weise)"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#Spalten>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#Spalten>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Tabulatorbreite auf #Spalten setzen"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Schnelles Löschen der Statuszeile durchführen"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Versionsinfo ausgeben und beenden"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Wortgrenzen genauer erkennen"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <Zeichenkette>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<Zeichenkette>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Welche anderen Zeichen Wortteile sind"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <Name>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<Name>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Zu benutzende Syntaxdefinition für Einfärben"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Fließenden Zeilenumbruch am Leerzeichen vornehmen"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Cursorposition ständig anzeigen"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Vertauschung von Rücktaste/Entf beheben"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Cursor im Dateibrowser anzeigen"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Diese Hilfe anzeigen und beenden"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Neue Zeilen automatisch einrücken"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Vom Cursor bis zum Zeilenende ausschneiden"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Zeilennummern vor dem Text anzeigen"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Benutzung der Maus aktivieren"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Datei nicht lesen (nur schreiben)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <Verz>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<Verz>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Arbeitsverzeichnis setzen"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Tasten XON (^Q) und XOFF (^S) beibehalten"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#Spalten>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#Spalten>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Harten Umbruchpunkt bei #Spalten setzen"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <Prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<Prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Alternatives Rechtschreibprüfungsprogramm"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Beim Beenden ohne Rückfrage speichern"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Eine Datei standardmäßig im Unix-Format speichern"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Nur-Lesen-Modus (keine Veränderungen möglich)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Lange Zeilen nicht hart umbrechen"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Die zwei Hilfe-Zeilen nicht anzeigen"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Strg+Rechts als Stopp am Wortende einrichten"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Schieben in den Hintergrund (anhalten und zurück zur Shell) aktivieren"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Fließenden Zeilenumbruch aktivieren"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, Version %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s Die Nano-Mitwirkenden\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " E-Mail: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1901,279 +1931,277 @@ msgstr ""
 "\n"
 " Kompilierte Optionen:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Kein Dateiname"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "Geänderten Puffer speichern? (Mit „No“ werden die Änderungen VERWORFEN.) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 "Aus der Standardeingabe wird gelesen, geben Sie ^D oder ^D^D zum Beenden "
 "ein.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Standardeingabe kann nicht geöffnet werden: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr ""
 "Standardeingabe konnte leider nicht erneut mit der Tastatur geöffnet "
 "werden.\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "SIGHUP oder SIGTERM empfangen\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 "Hoppla! Nano ist abgestürzt  Code: %d.  Bitte melden Sie dies als Fehler.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Benutzen Sie „fg“, um zu Nano zurückzukehren.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Suspend ist nicht aktiviert"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "aktiviert"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "deaktiviert"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Nicht zugewiesen"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Nicht zuweisbar: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Nicht zugewiesen: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Nicht zugewiesen: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Nicht zugewiesen: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Angeforderte Tabulatorbreite „%s“ ist ungültig"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Angeforderte Füllgröße „%s“ ist ungültig"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Benutzen Sie „%s -h“ für eine Liste verfügbarer Optionen.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Ungültige Zeilen- oder Spaltennummer"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Fehler in „%s“"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
-msgstr ""
+msgstr "Willkommen bei Nano. Grundlegende Hilfe erhalten Sie mit Strg+G."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "JjYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Aa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Ja"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Nein"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Alle"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Fehler in %s in Zeile %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argument „%s“ hat nicht beendetes \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Zeichenketten für reguläre Ausdrücke müssen mit \" anfangen und enden"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Ungültiger regulärer Ausdruck „%s“: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Fehlender Syntaxname"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Fehlendes schließendes Zitatzeichen im Syntaxnamen"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Die Syntax „none“ ist reserviert"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Die Syntax „default“ akzeptiert keine Erweiterungen"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Fehlender Schlüsselname"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Schlüsselname ist zu kurz"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Schlüsselnamen müssen mit „^“, „M“ oder „F“ beginnen"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Schlüsselname „%s“ ist ungültig"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Die an die Taste zu bindende Funktion muss angegeben werden"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Ein Menü (oder „all“) muss angegeben werden, um Tasten zu binden/zu lösen"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "„%s“ kann nicht auf eine Funktion gebunden werden"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "„%s“ kann nicht auf ein Menü gebunden werden"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Funktion „%s“ existiert im Menü „%s“ nicht"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Taste „%s“ kann leider nicht neu zugewiesen werden"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Fehler beim Erweitern von %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Farbe „%s“ nicht verstanden"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Hintergrundfarbe kann nicht hell („bright“) sein"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Einem „%s“-Befehl muss ein „syntax“-Befehl vorausgehen"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Fehlender Farbname"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Fehlende Regex-Zeichenkette nach „%s“-Befehl"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Leerer regulärer Ausdruck"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "„start=“ erfordert ein entsprechendes „end=“"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Die Syntax „default“ akzeptiert keine „%s“-Regexe"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Fehlendes Argument nach „%s“"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argument „%s“ hat kein schließendes \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr ""
-"Schwerwiegender Fehler: keine Tasten an Funktion „%s“ gebunden. Wird "
-"beendet.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr "Der Funktion „%s“ im Menü „%s“ ist keine Taste zugeordnet. Abbruch.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2181,62 +2209,62 @@ msgstr ""
 "Bitte starten Sie nano bei Bedarf mit der Option „-I“, um Ihre nanorc-"
 "Einstellungen anzupassen\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Zu erweiternde Syntax „%s“ konnte nicht gefunden werden"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Syntax „%s“ hat keine Farbbefehle"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Befehl „%s“ nicht in eingebundener Datei erlaubt"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Befehl „%s“ nicht verstanden"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Fehlende Option"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Unbekannte Option „%s“"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Option „%s“ kann nicht zurückgesetzt werden"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Option „%s“ erfordert ein Argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Argument ist keine gültige Multibyte-Zeichenkette"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Nicht-Leerraum-Zeichen erforderlich"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Zwei einspaltige Zeichen erforderlich"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Heimatverzeichnis kann nicht gefunden werden! Autsch!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [GROSS/klein]"
@@ -2245,41 +2273,36 @@ msgstr " [GROSS/klein]"
 msgid " [Regexp]"
 msgstr " [reg. Ausdruck]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Rückwärts]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (zu ersetzen) in Auswahl"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (zu ersetzen)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Suchen …"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "„%.*s%s“ nicht gefunden"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Fundstelle ersetzen?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Ersetzen durch"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2287,254 +2310,245 @@ msgstr[0] "%zd Ersetzung vorgenommen"
 msgstr[1] "%zd Ersetzungen vorgenommen"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Zeilennummer, Spaltennummer eingeben"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Keine Klammer"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Keine passende Klammer"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Markierung gesetzt"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Markierung entfernt"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Fehler beim Aufruf von „%s“"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Kommentare werden für diesen Dateityp nicht unterstützt"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Nach dem Ende der Datei kann nicht kommentiert werden"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Nichts im Rückgängig-Puffer!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "Text hinzu"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "Zeilenvorschub"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "Text löschen"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "Zeile verbinden"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "Text ersetzen"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "Text ausschneiden"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "Text ausschneiden zurücknehmen"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "Text einfügen"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "Einrücken"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "Ausrücken"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "Kommentieren"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "Nicht kommentieren"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Operation rückgängig gemacht (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Nichts zu wiederholen!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Operation wiederholt (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Pipe konnte nicht erstellt werden"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Fork konnte nicht durchgeführt werden"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "Filtern"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Weiterleitung kann nicht geöffnet werden: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Ungültiges Zitatzeichen %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Absatzausrichtung kann jetzt rückgängig gemacht werden!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Wort ist nicht auffindbar: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Ersetzung editieren"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Nächstes Wort …"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Liste falsch geschriebener Wörter wird erstellt, bitte warten..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Größe des Pipe-Puffers konnte nicht bestimmt werden"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Fehler beim Aufruf von „spell“"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Fehler beim Aufruf von „sort -f“"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Fehler beim Aufruf von „uniq“"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Rechtschreibprüfung wird aufgerufen, bitte warten"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Rechtschreibprüfung fehlgeschlagen: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Rechtschreibprüfung fehlgeschlagen: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Rechtschreibprüfung abgeschlossen"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Kein Linter für diesen Dateityp definiert!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Geänderten Puffer vor dem Linter-Aufruf speichern?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Linter wird aufgerufen, bitte warten"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Keine verarbeitbaren Zeilen vom Befehl erhalten: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Diese Meldung ist für nicht geöffnete Datei %s, in neuem Puffer öffnen?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Keine weiteren Fehler in ungeöffneten Dateien, Abbruch"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Bei letzter Meldung"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Bei erster Meldung"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Abgeschlossen"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Formatierer wird aufgerufen, bitte warten"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Formatierung abgeschlossen"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sWörter: %zu  Zeilen: %zd  Zeichen: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "In Auswahl:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Direkte Eingabe"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Kein Wort-Fragment"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Keine weiteren Treffer"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Keine Treffer"
 
@@ -2564,73 +2578,70 @@ msgstr "Zu viele Fehler aus der Standard
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Unbekannte Sequenz"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Unicode-Eingabe: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "Verz.:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Verändert"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Ansehen"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Weitere Warnungen werden unterdrückt"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "Zeile %zd/%zd (%d%%), Spalte %zu/%zu (%d%%), Zeichen %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Der Texteditor Nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "Version"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Entwickelt von:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Speziellen Dank an:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "The Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "die zahlreichen Übersetzer und das TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Für ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "und alle Nichtgenannten …"
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Danke für die Benutzung von nano!"
-
-#~ msgid "Quoting string"
-#~ msgstr "Zitatzeichen"
Binary files 2.9.8-1/po/eo.gmo and 3.0-1/po/eo.gmo differ
diff -pruN 2.9.8-1/po/eo.po 3.0-1/po/eo.po
--- 2.9.8-1/po/eo.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/eo.po	2018-09-09 09:48:30.000000000 +0000
@@ -8,10 +8,10 @@
 # Benno Schulenberg <vertaling@coevern.nl>, 2015, 2016, 2017, 2018.
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.9.8-pre1\n"
+"Project-Id-Version: nano 3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-29 19:41+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-09-05 19:50+0200\n"
 "Last-Translator: Benno Schulenberg <vertaling@coevern.nl>\n"
 "Language-Team: Esperanto <translation-team-eo@lists.sourceforge.net>\n"
 "Language: eo\n"
@@ -27,82 +27,86 @@ msgid "Cannot open directory: %s"
 msgstr "Ne eblas malfermi dosierujon: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Iri dosierujon"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Rezignita"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Ne eblas iri ekstere de %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Ne eblas iri al supra dosierujo"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Eraro dum legado de %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "La labordosierujo malaperis"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(ujo)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(patra ujo)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(ega)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Serĉi"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [malantaŭen]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Serĉado ĉirkaŭiris"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Ĉi tiu estas la ununura aperaĵo"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Mankas ankoraŭ serĉendaĵo"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nekonata sintakso: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() fiaskis: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) fiaskis: %s"
@@ -174,7 +178,7 @@ msgstr "Dosiero %s jam redaktiĝas (%s,
 msgid "Can't read file from outside of %s"
 msgstr "Ne eblas legi dosieron el ekstere de %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "'%s' estas dosierujo"
@@ -184,1010 +188,1028 @@ msgstr "'%s' estas dosierujo"
 msgid "\"%s\" is not a normal file"
 msgstr "'%s' ne estas normala dosiero"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Ne ekzistas pliaj malfermaj bufroj"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "literuma korekto"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu linio (%s)"
+msgstr[1] "%s -- %zu linioj (%s)"
 
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "Ŝaltita al %s"
-
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Nova bufro"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu linio"
+msgstr[1] "%s -- %zu linioj"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Ne ekzistas pliaj malfermaj bufroj"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Dosiero '%s' ne skribeblas"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Legiĝis %zu linio (konvertita el DOS- kaj Mac-aranĝo)"
 msgstr[1] "Legiĝis %zu linioj (konvertitaj el DOS- kaj Mac-aranĝo)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Legiĝis %zu linio (konvertita el Mac-aranĝo)"
 msgstr[1] "Legiĝis %zu linioj (konvertitaj el Mac-aranĝo)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Legiĝis %zu linio (konvertita el DOS-aranĝo)"
 msgstr[1] "Legiĝis %zu linioj (konvertitaj el DOS-aranĝo)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Legiĝis %zu linio"
 msgstr[1] "Legiĝis %zu linioj"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Nova dosiero"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Dosiero '%s' ne trovatas"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "'%s' estas aparato"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Legado de dosiero"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Rulenda komando en nova bufro"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Rulenda komando"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "Enmetenda dosiero en nova bufro [el %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Dosiero por malfermi en nova bufro (sen konverti) [el %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Dosiero por malfermi en nova bufro [el %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Enmetenda dosiero (sen konverti) [el %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Enmetenda dosiero [el %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Klavo nur validas en multbufra moduso"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Malvalida uzenda dosierujo\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr "Malsukcesis skribi savkopion; ĉu tamen konservi?  (N se vi dubas) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Malvalida savkopia dosierujo\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Ne eblas skribi ekstere de %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Eraro dum skribado de savkopio %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Ĉu troaj savkopioj?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Eraro dum skribado de portempa dosiero: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Eraro dum skribado de %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Skribiĝis %zu linio"
 msgstr[1] "Skribiĝis %zu linioj"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS-aranĝo]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac-aranĝo]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [savkopii]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Antaŭglui markaĵon al dosiero"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Postglui markaĵon al dosiero"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Konservi markaĵon en dosiero"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Nomo de dosiero al kiu antaŭglui"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Nomo de dosiero al kiu postglui"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Nomo de skribota dosiero"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Tro eta"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Dosiero jam ekzistas -- ne eblas surskribi ĝin"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Ĉu konservi ALINOME? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Dosiero '%s' jam ekzistas; ĉu ANSTATAŬIGI? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Dosiero sur disko modifiĝis"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Dosiero modifiĝis post malfermo; ĉu tamen surskribi ĝin? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(plu)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Fini"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Fermi"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Alglui"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Malrektigi"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Enmeti"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Serĉi"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Anstataŭigi"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Iri linion"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Linio supren"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Linio suben"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Paĝo supren"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Paĝo suben"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Rektigi"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Rektigi ĉion"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Remontri"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Serĉi sekvan"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Rezigni la nunan operacion"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Montri ĉi tiun helptekston"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Fermi la nunan bufron / Eliri el 'nano'"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Konservi la nunan bufron (aŭ markitan regionon) sur disko"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Enmeti alian dosieron en la nuna bufro (aŭ en nova bufro)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Antaŭen serĉi signoĉenon aŭ regulesprimon"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Malantaŭen serĉi signoĉenon aŭ regulesprimon"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Serĉi parton de dosiernomo"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Serĉi antaŭen parton de dosiernomo"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Serĉi malantaŭen parton de dosiernomo"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Aktualigi dosierliston"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Iri al plej liva kolumno"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Iri al plej dekstra kolumno"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Iri al unua vico en ĉi tiu kolumno"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Iri al lasta vico en ĉi tiu kolumno"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Iri unu paĝo supren"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Iri unu paĝo suben"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Eltondi linion (aŭ markitan regionon) kaj gardi ĝin en tondujo"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Glui tekstaĵon el la tondujo en la nuna linio"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Montri la pozicion de la kursoro"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Ruli literumilon (se disponeblas)"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Anstataŭigi signoĉenon aŭ regulesprimon"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Iri al lininumero (kaj kolumnnumero)"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Ripeti lastan serĉon"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Marki tekston ekde la kursora pozicio"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Kopii linion (aŭ markitan regionon) kaj gardi ĝin en tondujo"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Deŝovi enen la nunan linion (aŭ markitajn liniojn)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Deŝovi eksteren la nunan linion (aŭ markitajn liniojn)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Malfari la lastan agon"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Refari la lastan malfaratan agon"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Iri unu signon malantaŭen"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Iri unu signon antaŭen"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Iri unu vorton malantaŭen"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Iri unu vorton antaŭen"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Iri al la supra linio"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Iri al la suba linio"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Iri al la komenco de la nuna linio"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Iri al la fino de la nuna linio"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Iri al antaŭa tekstbloko"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Iri al posta tekstbloko"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Iri al komenco de alineo; poste al ĝi de antaŭa alineo"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Iri al postfino de alineo; poste al ĝi de posta alineo"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Iri al la unua linio de la dosiero"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Iri al la lasta linio de la dosiero"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Iri al para krampo"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Rulumi unu linion supren sen movi la kursoron tekste"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Rulumi unu linion suben sen movi la kursoron tekste"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Ŝalti al malsekva dosierbufro"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Ŝalti al sekva dosierbufro"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Enmeti la tujsekvan klavon tielkiel"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Enmeti tabon je la kursora pozicio"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Enmeti novlinion je la kursora pozicio"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Forigi la signon sub la kursoro"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Forigi la signon maldekstran de la kursoro"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Forigi ekde de la kursoro ĝis antaŭa vortkomenco"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Forigi ekde de la kursoro ĝis posta vortkomenco"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Forigi ĉion ekde de la kursoro ĝis la dosierfino"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Rektigi la nunan alineon"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Rektigi la tutan dosieron"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Nombri la vortojn, liniojn, kaj signojn"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Aktualigi (redesegni) la nunan ekranon"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Paŭzigi la redaktilon (se paŭzigebleco enŝaltitas)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Provi kompletigi la nunan vortpecon"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "(Mal)komentigi la nunan linion (aŭ markitajn liniojn)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Konservi dosieron sen demandi"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Serĉi sekvan okazon malantaŭen"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Serĉi sekvan okazon antaŭen"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Komenci/fini registron de makroo"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Ruli laste registritan makroon"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Ŝalti la usklecdistingon de serĉo"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Mali la direkton de serĉo"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Ŝalti la uzon de regulesprimoj"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Repreni la antaŭan serĉitan signoĉenon"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Repreni la postan serĉitan signoĉenon"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Ŝalti la uzon de DOS-aranĝo"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Ŝalti la uzon de Mac-aranĝo"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Ŝalti postgluon"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Ŝalti antaŭgluon"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Ŝalti fari savkopion de redaktota dosiero"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Ruli eksteran komandon"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Dukti la nunan bufron (aŭ markitan regionon) al la komando"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "Ŝalti konverton el DOS-/Mac-aranĝo"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Ŝalti la uzon de nova bufro"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Fermi bufron sen konservi ĝin"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Iri al dosieresplorilo"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Eliri el dosieresplorilo"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Iri al la unua dosiero en la listo"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Iri al la lasta dosiero en la listo"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Iri al la malsekva dosiero en la listo"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Iri al la sekva dosiero en la listo"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Iri al indikota dosierujo"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Ruli sintaks-kontrolilon (se disponeblas)"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Iri al la antaŭa mesaĝo de la kontrolilo"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Iri al la sekva mesaĝo de la kontrolilo"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Ruli aranĝilon (se disponeblas)"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Helpo"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Rezigni"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Konservi"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Enmeti"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Rektigi"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Remontri"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Serĉi"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Anstataŭigi"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Iri dosierujon"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Eltondi"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Literumo"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Trakombi"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Aranĝilo"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Pozicio"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Iri linion"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Malfari"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Refari"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Markŝalto"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopii tekston"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Usklece"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Regulesprime"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Malantaŭen"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Ne anstataŭigi"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Rektigi ĉion"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Al krampo"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Konservi nun"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Serĉi"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Antaŭan okazon"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Sekvan okazon"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Malantaŭen"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Antaŭen"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Antaŭa vorto"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Posta vorto"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Linikomencen"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Linifinen"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Linio supren"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Linio suben"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Rulumi supren"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Rulumi suben"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Antaŭa bloko"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Posta bloko"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Alineo-eken"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Alineo-finen"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Paĝo supren"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Paĝo suben"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Unua linio"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Lasta linio"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Malsekvan"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Sekvan"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "«Tabo»"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "«Enigo»"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "«Forigo»"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "«Retropaŝo»"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Vorttondi liven"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Vorttondi dekstren"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "Tondi reston"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Nombri vortojn"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Konforme"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Paŭzigi"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Deŝovi enen"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Deŝovi eksteren"
+#: src/global.c:956
+msgid "Indent"
+msgstr "Endeŝovi"
+
+#: src/global.c:958
+msgid "Unindent"
+msgstr "Eldeŝovi"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Komentigi"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Kompletigi"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Registri"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Ruli makroon"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Serĉi"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Konservi nun"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Pli olda"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Malpli olda"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Serĉi"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS-aranĝo"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac-aranĝo"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Postglui"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Antaŭglui"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Savkopii"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Ne konverti"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Ruli komandon"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "Dukti tekston"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Dosierlisto"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Unua dosiero"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Lasta dosiero"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Liven"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Dekstren"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Pinten"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Funden"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Forĵeti"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Antaŭa mesaĝo"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Sekva mesaĝo"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Helpaj linioj"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Daŭra montro de kursora pozicio"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Uzi unu plian linion por redakti"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Rulumi linie"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Ĉirkaŭfluigo de tro longaj linioj"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Montri blankspacojn"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Kolore montri sintakson"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Inteligenta klavo «Komencen»"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Aŭtomate deŝovi"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Tondi ekde kursoro ĝis linifino"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Faldi longajn liniojn (enmeti linifinon)"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Konverti tajpatajn tabojn al spacoj"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Fari savkopion de redaktota dosiero"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Enmeti en nova bufro"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Subteno de muso"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Ne konverti el DOS-/Mac-aranĝo"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Paŭzigebleco"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Lininumeroj"
 
@@ -1414,22 +1436,35 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "===  Ruli komandon  ===\n"
 "\n"
 " Ĉi tiu moduso permesas enmeti eligon de ŝela komando en la nuna dosierbufro "
-"(aŭ en nova bufro en multbufra moduso).  Se vi bezonas novan, vakan bufron, "
-"ne enigu komandon.\n"
+"(aŭ en nova bufro).  Se la komanda antaŭiĝas de '|' (dukta simbolo), la "
+"nunaj enhavoj de bufro (aŭ markita regiono) alkondukas kiel enigo al la "
+"komando.  "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+"Se vi nur bezonas novan, vakan bufron, elektu 'Nova bufro' kaj ne enigu "
+"komandon.\n"
 "\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
 " La subaj klavkomandoj disponeblas dum «Ruli komandon»:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1449,7 +1484,7 @@ msgstr ""
 "redaktatan dosieron.  La tria linio ekde la fundo estas la stata linio, kiu "
 "montras gravajn mesaĝojn.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1465,7 +1500,7 @@ msgstr ""
 "'Esc'.  Kombinoj kun Meta-klavo montriĝas per 'M-' -- eblas enigi ilin "
 "premtenante klavon 'Alt' aŭ 'Cmd', aŭ premante antaŭe unufoje klavon 'Esc'.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1480,7 +1515,7 @@ msgstr ""
 "alternativaj kombinoj montriĝas inter krampoj:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr " (ŝalto)"
 
@@ -1518,19 +1553,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Eraro dum skribado de %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Klavo ne validas en rigarda reĝimo"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Ĉi tiu funkcio malebligatas dum limigita reĝimo"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Helpo ne haveblas"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1539,7 +1574,7 @@ msgstr ""
 "\n"
 "Bufro skribiĝis al %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1548,7 +1583,7 @@ msgstr ""
 "\n"
 "Bufro ne skribiĝis al %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1557,7 +1592,7 @@ msgstr ""
 "\n"
 "Bufro ne skribiĝis: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1568,7 +1603,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1577,7 +1612,7 @@ msgstr ""
 "Por meti kursoron en iu linio de la dosiero, specifu la lininumeron kun '+'\n"
 "antaŭ la dosiernomo.  Eblas aldoni kolumnnumeron post komo.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1586,277 +1621,277 @@ msgstr ""
 "Kiam dosiernomo estas '-', nano legas datumojn el ĉefenigujo.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opcio\t\tLonga GNU-a opcio\t  Signifo\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "estigi klavon «Komencen» inteligenta"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "fari savkopion de ekzistanta dosiero"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <ujo>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<ujo>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "fari unikajn savkopiojn, konservi ĉi tie"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "uzi grasan anstataŭ negativan tekston"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "konverti tajpatajn tabojn al spacoj"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "enmeti dosieron defaŭlte en nova bufro"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "uzi riglajn dosierojn (kiel je 'vim')"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "memori historion de serĉitaj signoĉenoj"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "ignori 'nanorc'-dosierojn"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "fliki konfuzon je cifera klavareto"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "ne aldoni novlinion al fino de dosiero"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "fortranĉi finspacojn je linifaldo"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "ne konverti el DOS-/Mac-aranĝo"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "uzi unu plian linion por redakti"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "konservi kaj restaŭri kursoran pozicion"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <esprimo>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<esprimo>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "regulesprimo kiu kongruas kun citado"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "limigi aliron al dosiersistemo"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "rulumi po linio anstataŭ po duon-ekrano"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <nombro>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<nombro>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "uzenda larĝo de tabo"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "viŝi statlinio tuj post sekva klavtuŝo"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "montri programversion kaj fini"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "detekti vortlimojn pli akurate"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <ĉeno>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<ĉeno>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "kiuj aliaj signoj formas vortojn"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <nomo>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<nomo>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "uzenda sintaksdifino por kolorigi"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "dum ĉirkaŭfluigo, fendi je blankspacoj"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "daŭre montri kursoran pozicion"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "fliki konfuzon pri «Retropaŝo»/«Forigo»"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "montri kursoron en dosieresplorilo"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "montri ĉi tiun helptekston kaj fini"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "aŭtomate deŝovi novajn liniojn"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "forigi ekde de la kursoro ĝis linifino"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "montri lininumerojn antaŭ la teksto"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "ebligi uzon de muso"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "ne legi dosieron (nur skribi ĝin)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <ujo>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<ujo>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "uzenda kuranta dosierujo"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "ebligi klavojn ^Q (XON) kaj ^S (XOFF)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <nombro>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<nombro>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "uzenda larĝo por faldi kaj rektigi"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <programo>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<programo>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "uzenda alternativa literumilo"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "aŭtomate konservi je fino, sen demandi"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "konservi dosieron defaŭlte Unix-aranĝe"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "rigarda reĝimo (ne eblas redakti)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "ne faldi longajn liniojn"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "ne montri la du helpajn liniojn"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "igi Stir+Dekstren halti post vortfinoj"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "ebligi paŭzigon"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "ĉirkaŭfluigi longajn liniojn"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, versio %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s la kontribuantoj al nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Retpoŝto: <nano@nano-editor.org>    TTT: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1865,333 +1900,333 @@ msgstr ""
 "\n"
 " Kompilaj opcioj:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Vaka dosiernomo"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Ĉu konservi modifitan bufron?  ('N' DETRUOS ŝanĝojn) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "Legado el ĉefenigujo; tajpu ^D aŭ ^D^D por fini.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Malsukcesis malfermi ĉefenigujon: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Maleblas remalfermi klavaron kiel ĉefenigujon\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Ricevitas SIGHUP aŭ SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr "Pardonu! Nano kraŝis!  Kodo: %d.  Bonvolu raporti mison.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Uzu 'fg' por reveni al 'nano'.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Paŭzigebleco ne enŝaltitas"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "(enŝaltitas)"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "(malŝaltitas)"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Neligita klavo"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Neligebla klavo: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Neligita klavo: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Neligita klavo: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Neligita klavo: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Petata tablarĝo '%s' ne validas"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Petata faldlarĝo '%s' ne validas"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Tajpu '%s -h' por vidi liston de eblaj opcioj.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Ne validas numero de linio aŭ kolumno"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Eraroj en '%s'"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Bonvenon al nano.  Por baza helpo, tajpu Stir+G."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Jj"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
 # La unua litero ne povas esti plurbitoka, tial senĉapela.
 # Inkluzivas "Tt" (Tute) ĉar tiuj uziĝis antaŭe.
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "CcĈĉTt"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Jes"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Ne"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Ĉiujn"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Eraro en %s en linio %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argumento '%s' havas senparan citilon \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Regulesprimaj signoĉenoj devas komenci kaj fini kun citilo \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Malbonas regulesprimo \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Mankas nomo de sintakso"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Senpara citilo en nomo de sintakso"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Sintakso 'none' estas rezervita"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Sintakso 'default' ne permesas finaĵojn"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Mankas nomo de klavo"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Klavnomo tro mallongas"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Klavnomo devas komenci kun '^', 'M', aŭ 'F'"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Klavnomo '%s' ne validas"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Mankas funkcio al kiu ligi klavon"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr "Mankas menuo (aŭ 'all') en kiu ligi/malligi la klavon"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Ĉeno '%s' ne estas nomo de funkcio"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Ĉeno '%s' ne estas nomo de menuo"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Funkcio '%s' ne ekzistas en menuo '%s'"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Ne eblas religi klavĉenon '%s'"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Eraro dum malvolvo de %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Koloro '%s' ne estas komprenata"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Fona koloro ne povas esti hela"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Komando '%s' bezonas antaŭan komandon 'syntax'"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Mankas nomo de koloro"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Mankas regulesprima signoĉeno post komando '%s'"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Vaka regulesprima signoĉeno"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "'start=' bezonas paran 'end='"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Sintakso 'default' ne permesas '%s'-aĵon"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Mankas argumento post '%s'"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argumento '%s' mankas finan citilon"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Neignorebla eraro: neniu klavo ligita al funkcio '%s'.  Eliro.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr "Neniu klavo estas ligita al funkcio '%s' en menuo '%s'.  Eliro.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr "Se necesas, uzu 'nano -I' por ĝustigi la agordojn en 'nanorc'.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Ne troviĝas sintakso '%s' por pliampleksigi"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Sintakso '%s' ne havas kolorajn komandojn"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Komando '%s' ne permesatas en inkluda dosiero"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Komando '%s' ne estas komprenata"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Mankas opcio"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Nekonata opcio '%s'"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Ne eblas malŝalti opcion '%s'"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Opcio '%s' bezonas argumenton"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Opcia argumento ne estas valida plurbitoka signoĉeno"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Neblankaj signoj bezonatas"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Du unukolumnaj signoj bezonatas"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Malsukcesis trovi hejman dosierujon.  Ve!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [usklecdistinge]"
@@ -2200,41 +2235,36 @@ msgstr " [usklecdistinge]"
 msgid " [Regexp]"
 msgstr " [regulesprime]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [malantaŭen]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (por anstataŭigi) en markaĵo"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (por anstataŭigi)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Serĉante..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "'%.*s%s' ne trovatas"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Anstataŭigi ĉi tiun aperaĵon?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Anstataŭigi per"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2242,261 +2272,252 @@ msgstr[0] "Anstataŭiĝis %zd aperaĵo"
 msgstr[1] "Anstataŭiĝis %zd aperaĵoj"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Enigu lininumeron, kolumnnumeron"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Ne estas krampo"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Ne ekzistas para krampo"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Markado enŝaltitas"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Malŝaltitas"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Eraro dum lanĉo de '%s'"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Komentigi ne eblas en ĉi tiu dosiertipo"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Ne eblas komentigi post fino de dosiero"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Nenio por malfari!"
 
 # La originaloj estas sennecese multvortecaj.
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "aldono"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "linifaldo"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "forigo"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "linikunigo"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "anstataŭigo"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "eltondo"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "algluo"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "enmeto"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "filtrado"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "endeŝovo"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "eldeŝovo"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "komentigo"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "malkomentigo"
 
 # La originalo estas sennecese multvorteca.
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Malfariĝis %s"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Nenio por refari!"
 
 # La originalo estas sennecese multvorteca.
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Refariĝis %s"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Malsukcesis krei dukton"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Malsukcesis krei novan procezon"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "filtrado"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Malsukcesis malfermi dukton: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Signoĉeno de citiloj %s ne validas: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Nun eblas malrektigi!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Netrovebla vorto: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Redaktu anstataŭigon"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Sekva vorto..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Kreado de listo de misliterumataj vortoj; bonvolu atendi..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Ne eblas eltrovi grandon de dukta bufro"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Eraro dum lanĉo de 'spell'"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Eraro dum lanĉo de 'sort -f'"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Eraro dum lanĉo de 'uniq'"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Ekruliĝas literumilo; bonvolu atendi..."
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Literuma kontrolo malsukcesis: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Literuma kontrolo malsukcesis: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Finiĝis literuma kontrolo"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Ne definiĝis sintaks-kontrolilo por ĉi tiu tipo de dosiero"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Ĉu konservi modifitan bufron antaŭ la kontrolo? "
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Ekruliĝas sintaks-kontrolilo; bonvolu atendi..."
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Riceviĝis nul analizeblaj linioj de la komando «%s»"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Ĉi tiu mesaĝo estas por malferma dosiero %s; ĉu malfermi ĝin en nova bufro? "
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Ne estas pliaj eraroj en malfermitaj dosieroj; rezigno"
 
 # La sekvaj mesaĝoj komencas en traduko per minusklo,
 # ĉar ili estas komandlinia helpteksto, kaj tiel normalas.
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Ĉi tiu estas la lasta mesaĝo"
 
 # La sekvaj mesaĝoj komencas en traduko per minusklo,
 # ĉar ili estas komandlinia helpteksto, kaj tiel normalas.
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Ĉi tiu estas la unua mesaĝo"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Pretas"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Ekruliĝas aranĝilo; bonvolu atendi..."
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Pretas la aranĝado"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%s%zu vortoj  ◆  %zd linioj  ◆  %zu literoj"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "En markaĵo:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Konforma enigo"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Mankas vortpeco"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Malestas pliaj kongruoj"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Nenio kongruas"
 
@@ -2526,74 +2547,119 @@ msgstr "Tro da eraroj el ĉefenigujo"
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Nekonata klavkodo"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Enigo de Unikodo: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "DOSIERUJO:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Ŝanĝita"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Nur rigardi"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Pluaj avertoj subpremiĝis"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "linio %zd/%zd (%d%%) ◆ kolumno %zu/%zu (%d%%) ◆ litero %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "La tekstredaktilo 'nano'"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versio"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Prezentita al vi per:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Specialan dankon al:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "la “Free Software Foundation”"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "la multaj tradukantoj kaj la TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "por 'ncurses':"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "kaj iuj ajn kiujn ni forgesis..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Dankon pro via uzo de 'nano'!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Ŝaltita al %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Serĉi sekvan"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Ripeti lastan serĉon"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Ruli aranĝilon (se disponeblas)"
+
+#~ msgid "Formatter"
+#~ msgstr "Aranĝilo"
+
+#~ msgid "Indent Text"
+#~ msgstr "Deŝovi enen"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Deŝovi eksteren"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Uzi unu plian linion por redakti"
+
+#~ msgid "Backup files"
+#~ msgstr "Fari savkopion de redaktota dosiero"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Enmeti en nova bufro"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Ne konverti el DOS-/Mac-aranĝo"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "Neignorebla eraro: neniu klavo ligita al funkcio '%s'.  Eliro.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Pretas"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Ekruliĝas aranĝilo; bonvolu atendi..."
+
+#~ msgid "Finished formatting"
+#~ msgstr "Pretas la aranĝado"
+
 #~ msgid "Reading from stdin, ^C to abort\n"
 #~ msgstr "Legado el ĉefenigujo; ^C por ĉesigi\n"
 
Binary files 2.9.8-1/po/es.gmo and 3.0-1/po/es.gmo differ
diff -pruN 2.9.8-1/po/es.po 3.0-1/po/es.po
--- 2.9.8-1/po/es.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/es.po	2018-09-09 09:48:30.000000000 +0000
@@ -10,10 +10,10 @@
 # Antonio Ceballos <aceballos@gmail.com>, 2015, 2016, 2017, 2018.
 msgid ""
 msgstr ""
-"Project-Id-Version: nano-2.9.8-pre1\n"
+"Project-Id-Version: nano-3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-28 23:40+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-31 09:46+0200\n"
 "Last-Translator: Antonio Ceballos <aceballos@gmail.com>\n"
 "Language-Team: Spanish <es@tp.org.es>\n"
 "Language: es\n"
@@ -30,82 +30,86 @@ msgid "Cannot open directory: %s"
 msgstr "No se puede abrir el directorio: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Ir al directorio"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Cancelado"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "No se puede salir de %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "No se puede ascender de directorio"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Error leyendo «%s»: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "El directorio de trabajo ha desaparecido"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(dir)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(dir padre)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "enorme"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Buscar"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Hacia atrás]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Búsqueda recomenzada"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Ésta es la única coincidencia"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "No hay patrón de búsqueda"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nombre de sintaxis desconocido: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() ha fallado: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) ha fallado: %s"
@@ -183,7 +187,7 @@ msgid "Can't read file from outside of %
 msgstr "No se puede leer un fichero desde fuera de %s"
 
 # Aquí pegaría poner "El fichero...", como en el mensaje siguiente. sv
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "«%s» es un directorio"
@@ -193,1020 +197,1042 @@ msgstr "«%s» es un directorio"
 msgid "\"%s\" is not a normal file"
 msgstr "«%s» no es un fichero normal"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "No hay más búferes de ficheros abiertos"
-
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "Se ha cambiado a %s"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "corrección ortográfica"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu línea (%s)"
+msgstr[1] "%s -- %zu líneas (%s)"
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Búfer nuevo"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu línea"
+msgstr[1] "%s -- %zu líneas"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "No hay más búferes de ficheros abiertos"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "El fichero «%s» no es de escritura"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "%zu línea leída (convertida desde formatos DOS y Mac)"
 msgstr[1] "%zu líneas leídas (convertidas desde formatos DOS y Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "%zu línea leída (convertida desde formato Mac)"
 msgstr[1] "%zu líneas leídas (convertidas desde formato Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "%zu línea leída (convertida desde formato DOS)"
 msgstr[1] "%zu líneas leídas (convertidas desde formato DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "%zu línea leída"
 msgstr[1] "%zu líneas leídas"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Nuevo fichero"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "No se ha encontrado el fichero «%s»"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "«%s» es un fichero de dispositivo"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Leyendo fichero"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Ejecutar la orden en el nuevo búfer"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Ejecutar la orden"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "Fichero que insertar en el nuevo búfer [desde %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Fichero para leer no convertido en el nuevo búfer [desde %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Fichero para leer en el nuevo búfer [desde %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Fichero para insertar sin convertir [desde %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Fichero que insertar [desde %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Tecla no válida en modo no-multibúfer"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Directorio de operación no válido\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Fallo al escribir el fichero de respaldo, ¿continuar guardándolo? (Responda "
 "N si no está seguro.) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Directorio de respaldo no válido\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "No se puede escribir fuera de %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Error al escribir el fichero de respaldo «%s»: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "¿Demasiados ficheros de respaldo?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Error al escribir en el fichero temporal: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Error al escribir «%s»: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "%zu línea escrita"
 msgstr[1] "%zu líneas escritas"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Formato DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Formato Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Respaldo]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Anteponer selección al fichero"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Añadir selección al fichero"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Escribir selección al fichero"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Nombre del fichero al que anteponer"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Nombre del fichero al que añadir"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Nombre del fichero a escribir"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Demasiado pequeño"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "El fichero existe -- no se puede sobreescribir"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "¿Guardar el fichero con un NOMBRE DIFERENTE? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "El fichero «%s» ya existe, ¿SOBREESCRIBIR? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "El fichero en disco ha cambiado"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr ""
 "Se ha modificado el fichero desde que lo abrió, ¿continuar guardándolo? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(más)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Salir"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Cerrar"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Pegar txt"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Desjustif."
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Leer fich."
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Buscar"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Reemplazar"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Ir a línea"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Línea ant."
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Línea sig."
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Pág. ant."
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Pág. sig."
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Justificar"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "JustifTodo"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Actualizar"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Siguiente"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Cancelar la función actual"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Mostrar esta ayuda"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Cerrar el búfer actual / Salir de nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Escribir el búfer actual (o la región marcada) a disco"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Insertar otro fichero en el búfer actual (o en un nuevo búfer)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Buscar hacia delante una cadena o expresión regular"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Buscar hacia atrás una cadena o expresión regular"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Buscar una cadena"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Buscar una cadena hacia delante"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Buscar una cadena hacia atrás"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Actualizar la lista de ficheros"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Ir a la columna de la izquierda"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Ir a la columna de la derecha"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Ir a la primera fila de esta columna"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Ir a la última fila de esta columna"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Ir una pantalla hacia arriba"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Ir una pantalla hacia abajo"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Cortar la línea actual (o la región marcada) y guardarla en el cutbuffer"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Pegar el cutbuffer en la línea actual"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Mostrar la posición del cursor"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Invocar el corrector ortográfico (si está disponible)"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Reemplazar una cadena o expresión regular"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Ir a una línea y columna"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Repetir la última búsqueda"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Marcar texto desde la posición actual del cursor"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Copiar la línea actual (o la región marcada) y guardarla en el cutbuffer"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Sangrar la línea actual (o las líneas marcadas)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Quitar sangrado de la línea actual (o las líneas marcadas)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Deshacer la última operación"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Rehacer la última operación deshecha"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Ir hacia atrás un carácter"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Ir hacia delante un carácter"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Ir hacia atrás una palabra"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Ir hacia delante una palabra"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Ir a la línea anterior"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Ir a la siguiente línea"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Ir al principio de la línea actual"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Ir al final de la línea actual"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Ir al bloque de texto anterior"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Ir al siguiente bloque de texto"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Ir al principio del párrafo; después, al del párrafo anterior"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Ir al final del párrafo; después, al del párrafo siguiente"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Ir a la primera línea del fichero"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Ir a la última línea del fichero"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Ir a la llave correspondiente"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Desplazar el texto una línea arriba sin mover el cursor textualmente"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Desplazar el texto una línea abajo sin mover el cursor textualmente"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Cambiar al búfer de fichero anterior"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Cambiar al siguiente búfer de fichero"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Insertar la próxima pulsación literalmente"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Insertar un carácter de tabulación en la posición del cursor"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Insertar un retorno de carro en la posición del cursor"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Borrar el carácter bajo el cursor"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Borrar el carácter a la izquierda del cursor"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Cortar hacia atrás desde cursor a principio de palabra"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Cortar desde cursor a principio de siguiente palabra"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Cortar desde el cursor hasta el final de línea"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Justificar el párrafo actual"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Justificar el fichero completo"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Contar el número de palabras, líneas y caracteres"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Redibujar la pantalla actual"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Suspender el editor (si la suspensión está activada)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Intenta completar la palabra actual"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Comentar/descomentar la línea actual (o las líneas marcadas)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Guardar fichero sin preguntar"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Seguir buscando hacia atrás"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Seguir buscando hacia delante"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Iniciar/parar grabación de macro"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Ejecutar la última macro grabada"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Cambiar la distinción mayús./minús. en la búsqueda"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Cambiar la dirección de búsqueda"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Cambiar el uso de expresiones regulares"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Recuperar la cadena previa de búsqueda/reemplazo"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Recuperar la siguiente cadena de búsqueda/reemplazo"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Conmutar el uso de formato DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Conmutar el uso de formato Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Conmutar el añadir texto"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Conmutar el prefijar texto"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Conmutar la creación de ficheros de respaldo"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Ejecutar una orden externa"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Conectar el búfer actual (o la región marcada) a la orden"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "No convertir desde el formato DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Conmutar el uso de nuevo búfer"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "¿Cerrar el búfer sin guardarlo?"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Ir al navegador de ficheros"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Salir del navegador de ficheros"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Ir al primer fichero de la lista"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Ir al último fichero de la lista"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Ir al fichero anterior en la lista"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Ir al siguiente fichero en la lista"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Ir a un directorio"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Invocar el corrector de sintaxis (si está disponible)"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Ir al mensaje anterior del corrector"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Ir al siguiente mensaje del corrector"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Invocar el arreglador (si está disponible)"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Ver ayuda"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Cancelar"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Guardar"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Leer fich."
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Justificar"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Actualizar"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Buscar"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Reemplazar"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Ir a dir"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Cortar txt"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Ortografía"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Corrector"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Arreglador"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Posición"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Ir a línea"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Deshacer"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Rehacer"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Marcar txt"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Copiar txt"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Mayús/minú"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Exp. reg."
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Ir atrás"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "No sustit."
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "JustifTodo"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "A llave"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Guardar"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Buscar atrás"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Anterior"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Siguiente"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Atrás"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Adelante"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Palabr ant"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Palabr sig"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Inicio"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Fin"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Línea ant."
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Línea sig."
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Despl arri"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Despl abaj"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Bloque ant"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Bloque sig"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Ini de pár."
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Fin de pár."
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Pág. ant."
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Pág. sig."
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Pri. línea"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Últ. línea"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Fich ant"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Fich sig"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
 # Intro (?). sv
 # O introducir, no encuentro el contexto...
 # Ok, es Intro (pero no se usa, parece, reportaré el bug) jm
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Intro"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Suprimir"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Borrar"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Cortar izquierda"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Cortar derecha"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "CortHastFin"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Cont palab"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Literal"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Suspender"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Sangrar txt"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Desang. txt"
+# En español se dice sangrar. Es un término tipográfico que se usa
+# desde hace mucho, pero que la gente olvida por influencia del inglés. sv
+#: src/global.c:956
+msgid "Indent"
+msgstr "Sangrado"
+
+# En español se dice sangrar. Es un término tipográfico que se usa
+# desde hace mucho, pero que la gente olvida por influencia del inglés. sv
+#: src/global.c:958
+msgid "Unindent"
+msgstr "Quitar sangrado"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Líneas de comentarios"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Completar"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Grabar"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Ejecutar macro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Buscar atrás"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Guardar"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Prev hist."
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Sig. hist."
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Ir a texto"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Format DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Format Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Añadir"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Anteponer"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Respald fich"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Sin convertir"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Ejec orden"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "Conectar txt"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "A ficheros"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Pri. fich."
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Últ. fich."
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Columna izquierda"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Columna derecha"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Fila superior"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Fila inferior"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Descartar búfer"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Mens. ant."
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Mens. sig."
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Modo de ayuda"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Muestra constante de la posición del cursor"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Uso de una línea más para editar"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Desplazamiento suave"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Ajuste suave de líneas largas"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Muestra los blancos"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Coloreado de sintaxis"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Tecla de inicio inteligente"
 
 # En español se dice sangrar. Es un término tipográfico que se usa
 # desde hace mucho, pero que la gente olvida por influencia del inglés. sv
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Auto-sangrado"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Cortado desde el cursor hasta el final de línea"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Ajuste estricto de líneas largas"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Conversión de pulsaciones de tabulador a espacios"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Respaldo de ficheros"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Leer fichero dejándolo en un buffer diferente"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Soporte para ratón"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Sin conversión desde formato DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Suspensión"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Numeración de líneas"
 
@@ -1442,23 +1468,35 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
+msgstr ""
+"Texto de ayuda de ejecución de órdenes\n"
 "\n"
-" The following function keys are available in Execute Command mode:\n"
+" Este modo le permite insertar la salida de la orden ejecutada en una "
+"consola en el búfer actual (o en un búfer nuevo).  Si se le antepone '|' (el "
+"símbolo de tubería) a la orden, el contenido actual del búfer (o la región "
+"marcada) se redigirá a la entrada de la orden.  "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
 msgstr ""
-"Texto de ayuda de ejecución de órdenes\n"
+"Si necesita otro búfer vacío, no introduzca ninguna orden.\n"
 "\n"
-" Este modo le permite insertar la salida de la orden ejecutado en una "
-"consola en el búfer actual (o en búfer nuevo en modo multibúfer). Si "
-"necesita otro búfer vacío, no introduzca ningún comando.\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
 "\n"
+msgstr ""
 " Dispone de las siguientes teclas de función en el modo de ejecución de "
 "órdenes:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1478,7 +1516,7 @@ msgstr ""
 "principal del editor muestra lo que está siendo editado. La línea de estado "
 "es la tercera empezando por abajo y muestra mensajes importantes. "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1496,7 +1534,7 @@ msgstr ""
 "indican con 'M-' y se pueden introducir con las teclas Alt, Cmd o Esc, "
 "dependiendo de su configuración de teclado.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1510,7 +1548,7 @@ msgstr ""
 "Las pulsaciones alternativas se muestran entre paréntesis:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "activar/desactivar"
 
@@ -1548,19 +1586,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Error al escribir «%s»: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "La tecla no es válida en modo de visualización"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Esta función está desactivada en modo restringido"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "No hay ayuda disponible"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1569,7 +1607,7 @@ msgstr ""
 "\n"
 "Buffer escrito en %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1578,7 +1616,7 @@ msgstr ""
 "\n"
 "No se ha escrito el búfer a %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1587,7 +1625,7 @@ msgstr ""
 "\n"
 "No se ha escrito el búfer: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1598,7 +1636,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1608,291 +1646,292 @@ msgstr ""
 "número de línea con un '+' delante del nombre del fichero.  También puede\n"
 "ponerse el número de columna a continuación de una coma.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 "Cuando el nombre de fichero es '-', nano lee datos de la entrada estándar.\n"
+"\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opción\t\tOpción larga\t\tSignificado\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Habilitar una tecla de inicio inteligente"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Guardar respaldo de los ficheros existentes"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <dir>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
 # The "unique" is unnecessary and confusing.  --  benno
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Directorio donde guardar ficheros de respaldo"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Usar negrita en lugar de texto inverso"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Convertir tabulaciones a espacios al escribir"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr ""
 "Leer fichero dejándolo en un buffer diferente como comportamiento predefinido"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Usar ficheros de bloqueo (estilo vim)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Registrar y leer histórico de cadenas de búsqueda/reemplazo"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "No leer los ficheros nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Arreglar el problema de confusión del teclado numérico"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "No añadir avances de línea al final de los ficheros"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Eliminar espacios finales cuando se aplique ajuste estricto"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "No convertir los ficheros desde el formato DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Usar una línea más para edición"
 
 # The original is poor.  --  benno
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Guardar y restaurar la posición del cursor"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <regex>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<regex>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "Expresión regular para coincidir con cita"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Modo restringido"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Desplazarse línea a línea en lugar de media pantalla"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <número>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<número>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Fijar el ancho de tab a <número> columnas"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Borrado rápido de la barra de estado"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Mostrar información sobre la versión y salir"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Detectar límite entre palabras con más exactitud"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <cadena>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<cadena>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Qué otros caracteres son partes de palabra"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <nombre>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<nombre>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Definición de sintaxis a usar para coloreado"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Al hacer ajuste de línea suave, hacerlo en espacio en blanco"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Mostrar constantemente la posición del cursor"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Arreglar el problema de confusión Retroceso/Suprimir"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Mostrar cursor en el navegador de ficheros"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Mostrar este texto de ayuda y salir"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Sangrar automáticamente nuevas líneas"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Cortar desde el cursor al final de línea"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Mostrar los números de línea delante del texto"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Habilitar el uso del ratón"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "No leer el fichero (sólo escribirlo)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <dir>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<dir>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Establecer el directorio de operación"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Conservar teclas XON (^Q) y XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <número>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<número>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Fijar el límite de ajuste en <número> columnas"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <programa>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<programa>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Habilitar un corrector ortográfico alternativo"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Guardar automáticamente al salir, sin preguntar"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Guardar fichero en formato Unix por omisión"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Modo de visualización (sólo lectura)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "No ajustar rígidamente líneas largas"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "No mostrar las dos líneas de ayuda"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Configurar Ctrl+derecha para que se detenga al final de las palabras"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Habilitar suspensión"
 
 # Uf. A ver si alguien encuentra una palabra para decir eso... sv
 # Esto creo que ya lo pregunté en la lista, a parte de en muchos otros
 # sitios y nadie encontró nada convincente. jm
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Habilitar ajuste de línea suave"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, versión %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s los colaboradores de nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Correo: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1901,275 +1940,276 @@ msgstr ""
 "\n"
 " Opciones compiladas:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Sin nombre de fichero"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "¿Guardar el búfer modificado?  (Responder \"No\" DESCARTARÁ los cambios.) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "Se está leyendo la entrada estándar; teclee ^D o ^D^D para acabar.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "No se ha podido abrir stdin: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "No se pudo reabrir stdin desde el teclado\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Recibido SIGHUP o SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 "¡Lo sentimos! ¡Nano se ha estrellado!  Código: %d.  Por favor, envíe informe "
 "de error.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Use «fg» para volver a nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "La suspensión no está activada"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "habilitado"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "deshabilitado"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "tecla sin asociar"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Tecla no asociable: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "tecla sin asociar: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Tecla sin asociar: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Tecla sin asociar: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "El tamaño «%s» de tabulador no es válido"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "El tamaño «%s» de llenado no es válido"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Teclea «%s -h» para la lista de opciones.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Número de línea o columna no válido"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Errores en '%s'"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Bienvenido a nano.  Para obtener ayuda básica, pulse Ctrl+G."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "SsYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "TtAa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Sí"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "No"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Todas"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Error en %s en la línea %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "El argumento «%s» tiene una \" sin terminar"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Las cadenas de regex han de empezar y acabar con un carácter \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Regex «%s» incorrecta: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Falta el nombre para la sintaxis"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Comillas sin cerrar en el nombre de la sintaxis"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "La sintaxis «none» está reservada"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "La sintaxis «default» no admite extensiones"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Falta el nombre de la combinación"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "El nombre de la combinación es demasiado corto"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "El nombre de una combinación debe comenzar por «^», «M» o «F»"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "El nombre de combinación «%s» no es válido"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Debe especificar una función a la cual vincular la tecla"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Debe especificar un menú (o «all») en el cual vincular/desvincular la tecla"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "El «%s» no es un nombre de función"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "El «%s» no es un nombre de menú"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "La función «%s» no existe en el menú «%s»"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "La combinación «%s» no puede ser revinculada"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Error al expandir «%s»: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Color «%s» no reconocido"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "El color de fondo no puede ser brillante"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "La orden '%s' requiere una orden 'syntax' que lo preceda"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Falta un nombre de color"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Falta una cadena regex detrás de la orden '%s'"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Cadena regex vacía"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "«start=» requiere su «end=» correspondiente"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "La sintaxis «default» no admite regex '%s'"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Falta un argumento después de '%s'"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Al argumento «%s» le falta una  \" de cierre"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
-"Error fatal: no hay teclas vinculadas a la función «%s».  Terminando.\n"
+"No hay ninguna tecla vinculada a la función '%s' en el menú '%s'.  "
+"Terminando.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2177,62 +2217,62 @@ msgstr ""
 "Si es necesario, use nano con la opción -I para ajustar su configuración "
 "nanorc.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "No se pudo encontrar la sintaxis «%s» para extender"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "La sintaxis «%s» no tiene órdenes de color"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "No se admite la orden «%s» en el fichero incluido"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Orden «%s» no reconocida"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Falta una opción"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Opción «%s» desconocida"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "No es posible desactivar la opción «%s»"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "La opción «%s» precisa un argumento"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "El argumento no es una cadena multibyte válida"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Se precisan caracteres que no sean blancos"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Se precisan dos caracteres de una sola columna"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "No se encontró el directorio del usuario.  ¡Ay!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Mayúsc/minúsc]"
@@ -2241,41 +2281,36 @@ msgstr " [Mayúsc/minúsc]"
 msgid " [Regexp]"
 msgstr " [ExpReg]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Hacia atrás]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (a reemplazar) en la selección"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (a reemplazar)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Buscando..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "No se encontró «%.*s%s»"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "¿Reemplazar esta instancia?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Reemplazar con"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2283,258 +2318,249 @@ msgstr[0] "%zd ocurrencia reemplazada"
 msgstr[1] "%zd ocurrencias reemplazadas"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Introduzca número de línea, número de columna"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "No es una llave"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "No hay una llave correspondiente"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Marca establecida"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Marca borrada"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Error al invocar «%s»"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Este tipo de fichero no admite comentarios"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "No puede haber comentarios pasado el fin de fichero"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Nada para deshacer en el búfer"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "adición de texto"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "salto de línea"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "eliminación de texto"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "unión de líneas"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "reemplazamiento de texto"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "corte de texto"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "pegado de texto"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "inserción de texto"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "filtrado"
-
 # En español se dice sangrar. Es un término tipográfico que se usa
 # desde hace mucho, pero que la gente olvida por influencia del inglés. sv
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "sangrado"
 
 # En español se dice sangrar. Es un término tipográfico que se usa
 # desde hace mucho, pero que la gente olvida por influencia del inglés. sv
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "quitar sangrado"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "comentar"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "descomentar"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Acción deshecha (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Nada para rehacer"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Acción rehecha (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "No se pudo crear una tubería («pipe»)"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "No se pudo crear otro proceso"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "filtrado"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "No se ha podido abrir la tubería: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "El marcador de cita «%s» no es válido: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Ahora se puede desjustificar."
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Palabra no encontrable: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Editar un reemplazamiento"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Palabra sig..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Creando una lista de palabras mal escritas.  Espere, por favor..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "No se pudo obtener el tamaño del búfer de la tubería («pipe»)"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Error al invocar «spell»"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Error al invocar «sort -f»"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Error al invocar «uniq»"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Invocando el corrector ortográfico.  Espere, por favor..."
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Comprobación de ortografía fallida: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Comprobación de ortografía fallida: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Revisión de ortografía finalizada"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "No se ha definido un corrector de sintaxis para este tipo de fichero"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "¿Guardar el búfer modificado antes de invocar el corrector?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Invocando el corrector de sintaxis.  Espere, por favor..."
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Se han recibido cero líneas analizables de la orden «%s»"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Este mensaje es para el fichero no abierto %s; ¿abrirlo en un nuevo búfer?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "No hay más errores en los ficheros sin abrir; cancelar"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Este es el último mensaje"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Este es el primer mensaje"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Acabado"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Invocando el «formatter».  Espere, por favor..."
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Se acabó de aplicar formato"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sPalabras: %zu Líneas: %zd Caracteres: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "En la selección: "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Entrada literal"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "No hay fragmentos de palabras"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "No hay más coincidencias"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "No hay coincidencias"
 
@@ -2565,74 +2591,120 @@ msgstr "Demasiados errores de stdin"
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Secuencia desconocida"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Entrada de Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "DIR:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Modificado"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Ver"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Se han suprimido avisos adicionales"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "línea %zd/%zd (%d%%), col %zu/%zu (%d%%), car %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "El editor de textos GNU nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versión"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Por cortesía de:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Agradecimientos especiales para:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "La Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "los traductores y el TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Por ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "y cualquiera de quien nos hayamos olvidado..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Gracias por usar nano."
 
+#~ msgid "Switched to %s"
+#~ msgstr "Se ha cambiado a %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Siguiente"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Repetir la última búsqueda"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Invocar el arreglador (si está disponible)"
+
+#~ msgid "Formatter"
+#~ msgstr "Arreglador"
+
+#~ msgid "Indent Text"
+#~ msgstr "Sangrar txt"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Desang. txt"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Uso de una línea más para editar"
+
+#~ msgid "Backup files"
+#~ msgstr "Respaldo de ficheros"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Leer fichero dejándolo en un buffer diferente"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Sin conversión desde formato DOS/Mac"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Error fatal: no hay teclas vinculadas a la función «%s».  Terminando.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Acabado"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Invocando el «formatter».  Espere, por favor..."
+
+#~ msgid "Finished formatting"
+#~ msgstr "Se acabó de aplicar formato"
+
 #~ msgid "Quoting string"
 #~ msgstr "Marcador de cita"
 
Binary files 2.9.8-1/po/eu.gmo and 3.0-1/po/eu.gmo differ
diff -pruN 2.9.8-1/po/eu.po 3.0-1/po/eu.po
--- 2.9.8-1/po/eu.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/eu.po	2018-09-09 09:48:30.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 1.9.99pre0\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2006-09-25 19:59+0200\n"
 "Last-Translator: Mikel Olasagasti <hey_neken@mundurat.net>\n"
 "Language-Team: Basque <translation-team-eu@lists.sourceforge.net>\n"
@@ -25,82 +25,86 @@ msgid "Cannot open directory: %s"
 msgstr "Ezin da direktorioan gora egin"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Joan direktorio honetara"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Bertan behera utzita"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, fuzzy, c-format
 msgid "Can't go outside of %s"
 msgstr "Ezin da %staz kanpo idatzi"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Ezin da direktorioan gora egin"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Errorea %s irakurtzen: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(dir)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(aita dir.)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr ""
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Bilatu"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr "[Atzeruntza]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Bilaketa berriz hasia"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Hau da kointzidentzia bakarra"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Ez dago bilatzeko eredurik"
 
-#: src/color.c:183
+#: src/color.c:182
 #, fuzzy, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Bikoiztutako %s sintaxi izena"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr ""
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr ""
@@ -171,7 +175,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr "Ezin da artxiboa txertatu %s-tik kanpo"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" direktorio bat da"
@@ -181,1089 +185,1109 @@ msgstr "\"%s\" direktorio bat da"
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" fitxategia dispositibo-fitxategi bat da"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Ez dago irekitako fitxategi buffer gehiagorik"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr ""
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "%s-ra aldatua"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Bufer berria"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] ""
+msgstr[1] ""
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Ez dago irekitako fitxategi buffer gehiagorik"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr ""
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Lerro %lu irakurria (DOS eta Mac formatutik bihurtuak)"
 msgstr[1] "%lu lerro irakurriak (DOS eta Mac formatutik bihurtuak)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Lerro %lu irakurria (Mac formatutik bihurtuak)"
 msgstr[1] "%lu lerro irakurriak (Mac formatutik bihurtuak)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Lerro %lu irakurria (DOS formatutik bihurtuak)"
 msgstr[1] "%lu lerro irakurriak (DOS formatutik bihurtuak)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, fuzzy, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Lerro %lu irakurria"
 msgstr[1] "%lu lerro irakurriak"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Fitxategi berria"
 
-#: src/files.c:946
+#: src/files.c:993
 #, fuzzy, c-format
 msgid "File \"%s\" not found"
 msgstr "\"%s\" ezin aurkitu"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" fitxategia dispositibo-fitxategi bat da"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Fitxategia irakurtzen"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 #, fuzzy
 msgid "Command to execute in new buffer"
 msgstr "Buffer berrian exekutatzeko komandoa [%s-tik] "
 
-#: src/files.c:1043
+#: src/files.c:1090
 #, fuzzy
 msgid "Command to execute"
 msgstr "Exekutatutzeko komandoa [%s-(e)tik] "
 
-#: src/files.c:1049
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Buffer berrian txertatzeko fitxategia [%s-tik]"
+
+#: src/files.c:1101
 #, fuzzy, c-format
-msgid "File to insert into new buffer [from %s]"
+msgid "File to read into new buffer [from %s]"
 msgstr "Buffer berrian txertatzeko fitxategia [%s-tik]"
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Txertatzeko fitxategia [%s-tik] "
+
+#: src/files.c:1109
 #, fuzzy, c-format
 msgid "File to insert [from %s]"
 msgstr "Txertatzeko fitxategia [%s-tik] "
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Baligabeko tekla ez-multibuffer moduan"
 
-#: src/files.c:1426
+#: src/files.c:1476
 #, fuzzy
 msgid "Invalid operating directory\n"
 msgstr "Ezarri eragiketa direktorioa"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 
-#: src/files.c:1492
+#: src/files.c:1542
 #, fuzzy
 msgid "Invalid backup directory\n"
 msgstr "Ezin da direktorioan gora egin"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Ezin da %staz kanpo idatzi"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, fuzzy, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Errorea aldi baterako fitxategia idazten: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Babes-kopia fitxategi gehiegi?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Errorea aldi baterako fitxategia idazten: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Errorea %s idazten: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, fuzzy, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Lerro %lu idatzia"
 msgstr[1] "%lu lerro idatziak"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr "[DOS formatua]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr "[Mac formatua]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Babeskopia]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Gehitu aukeraketa fitxategiaren hasieran"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Gehitu aukeraketa fitxategian"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Ahuatespena artxiboan idatzi"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Gehitu nahi duzun fitxategiaren izena"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Gehituko zaion fitxategiaren izena "
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Idatzi nahi duzun artxiboaren izena"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr ""
 
-#: src/files.c:2200
+#: src/files.c:2259
 #, fuzzy
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Gorde fitxategia BESTE izen batekin?"
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, fuzzy, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Fitxategia existitzen da dagoeneko, GAINIDATZI?"
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr ""
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr ""
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(gehiago)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Irten"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Itxi"
 
-#: src/global.c:497
+#: src/global.c:509
 #, fuzzy
 msgid "Uncut Text"
 msgstr "Ezmoztu testua"
 
-#: src/global.c:499
+#: src/global.c:511
 #, fuzzy
 msgid "Unjustify"
 msgstr "Justifikazioa ezeztatu"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Artxiboa irakurri"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Bilatu"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Ordezkatu"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Joan lerro hontara"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Aurreko lerroa"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Hurrengo lerroa"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Aurreko orrialdea"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Hurrengo orrialdea"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Justifikatu"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Justifikatu"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Freskatu"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Non dago Hur."
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Uneko funtzioa bertan behera utzi"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Erakutsi laguntza testu hau"
 
-#: src/global.c:527
+#: src/global.c:523
 #, fuzzy
 msgid "Close the current buffer / Exit from nano"
 msgstr "Unean kargatutako fitxategi bufferra itxi/Nanotik irten"
 
-#: src/global.c:529
+#: src/global.c:525
 #, fuzzy
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Uneko artxiboa diskoan idatzi"
 
-#: src/global.c:531
+#: src/global.c:527
 #, fuzzy
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Uneko lerroan beste lerro bat txertatu"
 
-#: src/global.c:533
+#: src/global.c:529
 #, fuzzy
 msgid "Search forward for a string or a regular expression"
 msgstr "Bilatu kate bat edo expresio erregular bat"
 
-#: src/global.c:535
+#: src/global.c:531
 #, fuzzy
 msgid "Search backward for a string or a regular expression"
 msgstr "Bilatu kate bat edo expresio erregular bat"
 
-#: src/global.c:537
+#: src/global.c:533
 #, fuzzy
-msgid "Search for a string"
+msgid "Search forward for a string"
 msgstr "Bilatu kate bat edo expresio erregular bat"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Atzerantza bilatu"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr ""
 
-#: src/global.c:540
+#: src/global.c:537
 #, fuzzy
 msgid "Go to lefthand column"
 msgstr "Joan espezifikatutako lerro eta zutabera"
 
-#: src/global.c:541
+#: src/global.c:538
 #, fuzzy
 msgid "Go to righthand column"
 msgstr "Joan espezifikatutako lerro eta zutabera"
 
-#: src/global.c:542
+#: src/global.c:539
 #, fuzzy
 msgid "Go to first row in this column"
 msgstr "Joan zerrendako lehen fitxategira"
 
-#: src/global.c:543
+#: src/global.c:540
 #, fuzzy
 msgid "Go to last row in this column"
 msgstr "Joan zerrendako azken fitxategira"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr ""
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr ""
 
-#: src/global.c:549
+#: src/global.c:546
 #, fuzzy
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Uneko lerroa moztu eta cutbufferean gorde"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Cutbufferekoa uneko lerroan txertatu"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Kurtsorearen posisioa erakutsi"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Deitu zuzentzaileari, eskuragarri badago"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Ordezkatu kate bat edo expresio erregular bat"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Joan espezifikatutako lerro eta zutabera"
 
-#: src/global.c:558
-#, fuzzy
-msgid "Repeat the last search"
-msgstr "Errepikatu azken bilaketa"
-
-#: src/global.c:560
+#: src/global.c:556
 #, fuzzy
 msgid "Mark text starting from the cursor position"
 msgstr "Markatu testua kurtsorearen uneko posizioan"
 
-#: src/global.c:562
+#: src/global.c:558
 #, fuzzy
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Uneko lerroa kopiatu eta cutbufferean gorde"
 
-#: src/global.c:563
+#: src/global.c:559
 #, fuzzy
 msgid "Indent the current line (or marked lines)"
 msgstr "Koskatu uneko lerroa"
 
-#: src/global.c:564
+#: src/global.c:560
 #, fuzzy
 msgid "Unindent the current line (or marked lines)"
 msgstr "Koska kendu uneko lerroari"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr ""
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr ""
 
-#: src/global.c:568
+#: src/global.c:564
 #, fuzzy
 msgid "Go back one character"
 msgstr "Karaktere bat atzeruntz mugitu"
 
-#: src/global.c:569
+#: src/global.c:565
 #, fuzzy
 msgid "Go forward one character"
 msgstr "Karaktere bat aurreruntz mugitu"
 
-#: src/global.c:570
+#: src/global.c:566
 #, fuzzy
 msgid "Go back one word"
 msgstr "Mugitu hitz bat atzeruntz"
 
-#: src/global.c:571
+#: src/global.c:567
 #, fuzzy
 msgid "Go forward one word"
 msgstr "Mugitu hitz bat atzera"
 
-#: src/global.c:572
+#: src/global.c:568
 #, fuzzy
 msgid "Go to previous line"
 msgstr "Aurreko lerrora mugitu"
 
-#: src/global.c:573
+#: src/global.c:569
 #, fuzzy
 msgid "Go to next line"
 msgstr "Mugitu hurrengo lerrora"
 
-#: src/global.c:574
+#: src/global.c:570
 #, fuzzy
 msgid "Go to beginning of current line"
 msgstr "Uneko lerroaren hasierara mugitu"
 
-#: src/global.c:575
+#: src/global.c:571
 #, fuzzy
 msgid "Go to end of current line"
 msgstr "Uneko lerroaren bukaerara mugitu"
 
-#: src/global.c:576
+#: src/global.c:572
 #, fuzzy
 msgid "Go to previous block of text"
 msgstr "Aurreko lerrora mugitu"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr ""
 
-#: src/global.c:580
+#: src/global.c:576
 #, fuzzy
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Mugitu uneko parrafoaren hasierara"
 
-#: src/global.c:582
+#: src/global.c:578
 #, fuzzy
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Mugitu uneko parrafoaren amaierara"
 
-#: src/global.c:584
+#: src/global.c:580
 #, fuzzy
 msgid "Go to the first line of the file"
 msgstr "Mugitu fitxategiaren lehen lerrora"
 
-#: src/global.c:585
+#: src/global.c:581
 #, fuzzy
 msgid "Go to the last line of the file"
 msgstr "Mugitu fitxategiaren azken lerrora"
 
-#: src/global.c:587
+#: src/global.c:583
 #, fuzzy
 msgid "Go to the matching bracket"
 msgstr "Ez dago giltz egokirik"
 
-#: src/global.c:591
+#: src/global.c:587
 #, fuzzy
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Korritu gora lerro bat kurtsorea korritu gabe"
 
-#: src/global.c:593
+#: src/global.c:589
 #, fuzzy
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Korritu behera lerro bat kurtsorea korritu gabe"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Aldatu aurreko fitxategi buffer-era"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Aldatu hurrengo fitxategi buffer-era"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Hurrengo tekla-sakatzea literalki sartu"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Txertatu tabuladore karaktere bat kurtsorearen posizioan"
 
-#: src/global.c:601
+#: src/global.c:597
 #, fuzzy
 msgid "Insert a newline at the cursor position"
 msgstr "Orga-itzulera bat kurtsorearen posizioan txertatu"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Kurtsorearen azpiko karaterea ezabatu"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Kurtsorearen ezkerraldeko karaterea ezabatu"
 
-#: src/global.c:607
+#: src/global.c:603
 #, fuzzy
 msgid "Cut backward from cursor to word start"
 msgstr "Moztu kurtsoretik lerro amaierara"
 
-#: src/global.c:609
+#: src/global.c:605
 #, fuzzy
 msgid "Cut forward from cursor to next word start"
 msgstr "Moztu kurtsoretik lerro amaierara"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Moztu kurtsoretik posiziotik lerro amaierara arte"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Uneko parrafoa justifikatu"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Justifikatu lerro osoa"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Zenbatu hitz, lerro eta karaktere kopurua"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Freskatu uneko pantaila"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr ""
 
-#: src/global.c:626
+#: src/global.c:622
 #, fuzzy
 msgid "Try and complete the current word"
 msgstr "Koskatu uneko lerroa"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr ""
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr ""
 
-#: src/global.c:634
+#: src/global.c:629
 #, fuzzy
 msgid "Search next occurrence backward"
 msgstr "Atzerantza bilatu"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr ""
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr ""
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr ""
 
-#: src/global.c:640
+#: src/global.c:636
 #, fuzzy
 msgid "Toggle the case sensitivity of the search"
 msgstr "Mayuskula/minuskulaz egindako bilaketa"
 
-#: src/global.c:642
+#: src/global.c:638
 #, fuzzy
 msgid "Reverse the direction of the search"
 msgstr "kurtsorearen posisioa erakutsi"
 
-#: src/global.c:644
+#: src/global.c:640
 #, fuzzy
 msgid "Toggle the use of regular expressions"
 msgstr "Expresio erregularrak erabili"
 
-#: src/global.c:647
+#: src/global.c:643
 #, fuzzy
 msgid "Recall the previous search/replace string"
 msgstr "Editatu aurreko bilaketa/aldaketa kateak"
 
-#: src/global.c:649
+#: src/global.c:645
 #, fuzzy
 msgid "Recall the next search/replace string"
 msgstr "Editatu aurreko bilaketa/aldaketa kateak"
 
-#: src/global.c:652
+#: src/global.c:648
 #, fuzzy
 msgid "Toggle the use of DOS format"
 msgstr "Dos formatoan fitxategia idazten"
 
-#: src/global.c:653
+#: src/global.c:649
 #, fuzzy
 msgid "Toggle the use of Mac format"
 msgstr "Idatzi fitxategia Mac formatuan"
 
-#: src/global.c:654
+#: src/global.c:650
 #, fuzzy
 msgid "Toggle appending"
 msgstr "Auto-doitu lerro luzeak"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr ""
 
-#: src/global.c:656
+#: src/global.c:652
 #, fuzzy
 msgid "Toggle backing up of the original file"
 msgstr "Gorde existitzen diren fitxategien babeskopiak"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Exekutatu kanpo-komandoa"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Ez bihurtu DOS/Mac formatuko fitxategiak"
+
+#: src/global.c:659
 #, fuzzy
 msgid "Toggle the use of a new buffer"
 msgstr "Ezin izan da hodi buffer-aren tamainua lortu"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr ""
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Fitxategi nabigatzailera joan"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Irten fitxategi nabigatzailetik"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Joan zerrendako lehen fitxategira"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Joan zerrendako azken fitxategira"
 
-#: src/global.c:670
+#: src/global.c:667
 #, fuzzy
 msgid "Go to the previous file in the list"
 msgstr "Joan zerrendako lehen fitxategira"
 
-#: src/global.c:671
+#: src/global.c:668
 #, fuzzy
 msgid "Go to the next file in the list"
 msgstr "Joan zerrendako azken fitxategira"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Joan direktorio honetara"
 
-#: src/global.c:675
+#: src/global.c:672
 #, fuzzy
 msgid "Invoke the linter, if available"
 msgstr "Deitu zuzentzaileari, eskuragarri badago"
 
-#: src/global.c:676
+#: src/global.c:673
 #, fuzzy
 msgid "Go to previous linter msg"
 msgstr "Aurreko lerrora mugitu"
 
-#: src/global.c:677
+#: src/global.c:674
 #, fuzzy
 msgid "Go to next linter msg"
 msgstr "Mugitu hurrengo lerrora"
 
-#: src/global.c:679
-#, fuzzy
-msgid "Invoke formatter, if available"
-msgstr "Deitu zuzentzaileari, eskuragarri badago"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Laguntza begiratu"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Bertan behera utzi"
 
-#: src/global.c:710
+#: src/global.c:705
 #, fuzzy
 msgid "Write Out"
 msgstr "Gorde"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Artxiboa irakurri"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Justifikatu"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Freskatu"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Bilatu"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Ordezkatu"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Joan direktorio honetara"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Textua moztu"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Ortografia"
 
-#: src/global.c:785
+#: src/global.c:771
 #, fuzzy
 msgid "To Linter"
 msgstr "Joan lerro hontara"
 
-#: src/global.c:788
-#, fuzzy
-msgid "Formatter"
-msgstr "DOS formatua"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Uneko posizioa"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Joan lerro hontara"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr ""
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr ""
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Textua markatu"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopiatu testua"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "May/Min"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Regexp"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Atzeruntza"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Ez ordezkatu"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Justifikatu"
+
+#: src/global.c:821
 #, fuzzy
 msgid "To Bracket"
 msgstr "Ez da hori giltza"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr ""
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+#, fuzzy
+msgid "Where Was"
+msgstr "Bilatu"
+
+#: src/global.c:838
 #, fuzzy
 msgid "Previous"
 msgstr "Aurreko fitxategia"
 
-#: src/global.c:847
+#: src/global.c:840
 #, fuzzy
 msgid "Next"
 msgstr "Hurrengo orrialdea"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Atzean"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Aurrean"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Aurreko hitza"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Hurrengo hitza"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Etxea"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Bukaera"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Aurreko lerroa"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Hurrengo lerroa"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Korritu gora"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Korritu behera"
 
-#: src/global.c:883
+#: src/global.c:876
 #, fuzzy
 msgid "Prev Block"
 msgstr "Aurreko hitza"
 
-#: src/global.c:885
+#: src/global.c:878
 #, fuzzy
 msgid "Next Block"
 msgstr "Hurrengo hitza"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Par hasi"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Par amai"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Aurreko orrialdea"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Hurrengo orrialdea"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Lehen lerroa"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Azken lerroa"
 
-#: src/global.c:905
+#: src/global.c:898
 #, fuzzy
 msgid "Prev File"
 msgstr "Aurreko fitxategia"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Hurrengo fitxategia"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Sartu"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Ezabatu"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Atzera tekla"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 #, fuzzy
 msgid "Cut Left"
 msgstr "Textua moztu"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr ""
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "MoztuAmaieraraArte"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Hitz kopurua"
 
-#: src/global.c:959
+#: src/global.c:946
 #, fuzzy
 msgid "Verbatim"
 msgstr "Sarrera literala"
 
-#: src/global.c:965
+#: src/global.c:952
 #, fuzzy
 msgid "Suspend"
 msgstr "Eseki"
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
 msgstr "Koskatu testua"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
 msgstr "Ez koskatu testua"
 
-#: src/global.c:975
+#: src/global.c:962
 #, fuzzy
 msgid "Comment Lines"
 msgstr "Hurrengo lerroa"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr ""
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr ""
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr ""
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-#, fuzzy
-msgid "Where Was"
-msgstr "Bilatu"
-
-#: src/global.c:992
-msgid "Save"
-msgstr ""
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Aurreko historikoa"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Hurrengo historikoa"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Joan testu hontara"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS formatua"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac formatua"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Gehitu"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Gehitu"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Babeskopia fitxategia"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "bertsioa"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Exekutatu komandoa"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "Kopiatu testua"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Fitxategietara"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Lehen fitxategia"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Azken Fitxategia"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr ""
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr ""
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr ""
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr ""
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr ""
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 #, fuzzy
 msgid "Prev Lint Msg"
 msgstr "Aurreko lerroa"
 
-#: src/global.c:1084
+#: src/global.c:1069
 #, fuzzy
 msgid "Next Lint Msg"
 msgstr "Hurrengo lerroa"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Laguntza modua"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Kurtzorearen posizioa bistaratu beti"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Erabili lerro bat edo gehiago editatzeko"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Korritze leuna"
 
-#: src/global.c:1426
+#: src/global.c:1396
 #, fuzzy
 msgid "Soft wrapping of overlong lines"
 msgstr "Ez doitu lerro luzeak"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Erakutsi txuriguneak"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Kolore sintaxi nabarmentzea"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "'Smart home' tekla"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Auto indentatu"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Lerroaren bukaeraraino ebaki"
 
-#: src/global.c:1438
+#: src/global.c:1408
 #, fuzzy
 msgid "Hard wrapping of overlong lines"
 msgstr "Ez doitu lerro luzeak"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Bihurtu idatzitako tabulazioak zuriuneetara"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Babeskopia fitxategiak"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr ""
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Xagu euskarria"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Ez bihurtu DOS/Mac formatuak"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Eseki"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr ""
 
@@ -1493,11 +1517,9 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Kanpo komandoen laguntza testua\n"
 "\n"
@@ -1508,7 +1530,22 @@ msgstr ""
 " Honako teklak gaituak daude modu hontan:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" Honako funtzio teklak daude eskuragarri Bilaketa Nabigatzaile moduan:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1528,7 +1565,7 @@ msgstr ""
 "erakutsiz.  Egoera lerroa da hirugarrena eta informazio garrantzitsuak "
 "ematen ditu  "
 
-#: src/help.c:437
+#: src/help.c:438
 #, fuzzy
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
@@ -1544,7 +1581,7 @@ msgstr ""
 "agertzen dira, eta Esc, Alt edo Meta-tekla (zure teklatuaren araberakoa) "
 "sakatuz erabili daitezke.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1558,7 +1595,7 @@ msgstr ""
 "parentesi artean erakusten dira:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "gaitu/ezgaitu"
 
@@ -1590,21 +1627,21 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Errorea %s idazten: %s"
 
-#: src/nano.c:536
+#: src/nano.c:543
 #, fuzzy
 msgid "Key is invalid in view mode"
 msgstr "Tekla baliogabea ikuskatze moduan"
 
-#: src/nano.c:542
+#: src/nano.c:549
 #, fuzzy
 msgid "This function is disabled in restricted mode"
 msgstr "Ezin da maila nagusia era murriztuan bisitatu"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr ""
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1613,7 +1650,7 @@ msgstr ""
 "\n"
 "Bufferra hemen idatzia: %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1622,7 +1659,7 @@ msgstr ""
 "\n"
 "Bufferra ez da %s-(e)n idatzi: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1631,7 +1668,7 @@ msgstr ""
 "\n"
 "Bufferra ez da idatzi: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, fuzzy, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1642,305 +1679,305 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
 "a '+' before the filename.  The column number can be added after a comma.\n"
 msgstr ""
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Aukera\t\tGNU aukera luzea\t\tEsanahia\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Gaitu 'smart home' tekla"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Gorde existitzen diren fitxategien babeskopiak"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <dir>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Babeskopia fitxategiak idazteko direktorioa"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Erabili lodia alderantzizko testua beharrean"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Bihurtu idatzitako tabuladoreak zuriuneetara"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr ""
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr ""
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Idatzi eta irakurri bilaketa/aldaketa kateen historia"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Ez begiratu nanorc fitxategietan"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Konpondu zenbakizko teklatu nahaste arazoak"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Ez gehitu lerro berria fitxategiaren amaieran"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Ez bihurtu DOS/Mac formatuko fitxategiak"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Erabili lerro bat edo gehiago editatzeko"
 
-#: src/nano.c:818
+#: src/nano.c:827
 #, fuzzy
 msgid "Log & read location of cursor position"
 msgstr "Txertatu tabuladore karaktere bat kurtsorearen posizioan"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q <str>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<str>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 #, fuzzy
 msgid "Regular expression to match quoting"
 msgstr "Expresio erregularra"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Mugatutako modua"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr ""
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#cols>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#cols>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Ezarri fitxa baten zabalera #cols-era"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Egin egoera-barra garbiketa azkarra"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Bertsioaren informazioa inprimatu eta irten"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Aurkitu hitz amaierak zehatzago aurkitu"
 
-#: src/nano.c:836
+#: src/nano.c:845
 #, fuzzy
 msgid "-X <str>"
 msgstr "-Q <str>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 #, fuzzy
 msgid "--wordchars=<str>"
 msgstr "--quotestr=<str>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 #, fuzzy
 msgid "--syntax=<name>"
 msgstr "--syntax=<str>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 #, fuzzy
 msgid "Syntax definition to use for coloring"
 msgstr "Erabiltzeko sintaxi definizioa"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr ""
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Erakutsi beti kurtsorearen posizioa"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Konpondu atzera tekla/ezabatu nahaste arazoak"
 
-#: src/nano.c:852
+#: src/nano.c:861
 #, fuzzy
 msgid "Show cursor in file browser"
 msgstr "Fitxategi nabigatzailera joan"
 
-#: src/nano.c:854
+#: src/nano.c:863
 #, fuzzy
 msgid "Show this help text and exit"
 msgstr "Erakutsi laguntza testu hau"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Automatikoki indentatu lerro berriak"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Moztu kurtsoretik lerro amaierara"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr ""
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Gaitu xaguaren erabilera"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr ""
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <dir>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<dir>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Ezarri eragiketa direktorioa"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Mantendu XON (^Q) eta XOFF (^S) teklak"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#cols>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#cols>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 #, fuzzy
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Ezarri zutabe-tab baten zabalera #cols-i"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Gahitu zuzentzaile alternatiboa"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Irteterakoan automatikoki gorde, ez galdetu"
 
-#: src/nano.c:882
+#: src/nano.c:891
 #, fuzzy
 msgid "Save a file by default in Unix format"
 msgstr "Idatzi fitxategia DOS formatuan"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Ikuskatze modua (irakurri bakarrik)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 #, fuzzy
 msgid "Don't hard-wrap long lines"
 msgstr "Ez doitu lerro luzeak"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Ez erakutsi bi laguntza lerroak"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Gaitu esekitzea"
 
-#: src/nano.c:895
+#: src/nano.c:904
 #, fuzzy
 msgid "Enable soft line wrapping"
 msgstr "Auto-doitu lerro luzeak"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, fuzzy, c-format
 msgid " GNU nano, version %s\n"
 msgstr "GNU nano %s bertsioa (%s %s konpilatua)\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr ""
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, fuzzy, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr "E-posta: nano@nano-editor.org\tWebgunea: http://www.nano-editor.org"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1949,339 +1986,339 @@ msgstr ""
 "\n"
 "Konpilazio aukerak:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr ""
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, fuzzy, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Ezin izan zen %s ireki %s idazteko"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr ""
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "SIGHUP edo SIGTERM jaso da\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Erabili \"fg\" nano-ra itzultzeko.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr ""
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "gaitua"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "ez gaitua"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr ""
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr ""
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr ""
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr ""
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr ""
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Eskatutako \"%s\" tab tamainua baliogabea da"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Eskatutako \"%s\" betetze tamainua baliogabea da"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr ""
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 #, fuzzy
 msgid "Invalid line or column number"
 msgstr "Lerroaren zenbakia, zutabe zenbakia sartu"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr ""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Bb"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Ee"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Dd"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Bai"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Ez"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Guztiak"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, fuzzy, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Errorea %s-n %lu lerroan: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "'%s' argumentuak amaitu gabeko \" bat dauka"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Regex kateak \" karaktearekin hasi eta amaitu behar dute"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "\"%s\" regex okerra: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Sintaxiaren izena falta da"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 #, fuzzy
 msgid "Unpaired quote in syntax name"
 msgstr "Sintaxiaren izena falta da"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "\"none\" sintaxia erreserbaturik dago"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 #, fuzzy
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "\"default\" sintaxiak ez du extentsiorik hartu behar"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 #, fuzzy
 msgid "Missing key name"
 msgstr "Sintaxiaren izena falta da"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr ""
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr ""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, fuzzy, c-format
 msgid "Key name %s is invalid"
 msgstr "Eskatutako \"%s\" tab tamainua baliogabea da"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr ""
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr ""
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr ""
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr ""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr ""
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, fuzzy, c-format
 msgid "Error expanding %s: %s"
 msgstr "Errorea %s irakurtzen: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, fuzzy, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Ez da \"%s\" komandoa ulertu"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 #, fuzzy
 msgid "A background color cannot be bright"
 msgstr "Atzekaldeko \"%s\" koloreak ezin du bizia izan"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr ""
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Kolorearen izena falta da"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, fuzzy, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Regex katea falta da"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 #, fuzzy
 msgid "Empty regex string"
 msgstr "Regex katea falta da"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\"-k \"end=\" behar du"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, fuzzy, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "\"default\" sintaxiak ez du extentsiorik hartu behar"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr ""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, fuzzy, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "'%s' argumentuak amaitu gabeko \" bat dauka"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr ""
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr ""
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "\"%s\" sintaxiak ez dauka kolore komandorik"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "\"%s\" komandoa ez dago baimendua fitxategia barne moduan"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Ez da \"%s\" komandoa ulertu"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 #, fuzzy
 msgid "Missing option"
 msgstr "Kolorearen izena falta da"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, fuzzy, c-format
 msgid "Unknown option \"%s\""
 msgstr "\"%s\" bandera ezezaguna"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, fuzzy, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Ezin da \"%s\" bandera kendu"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "\"%s\" aukerak argumentu bat behar du"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 #, fuzzy
 msgid "Argument is not a valid multibyte string"
 msgstr "Aukera ez da baliodun multibyte katea"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Ez-hutsune karaktereak behar dira"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Bi zutabe-bakar karaktere behar dira"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Ezin dut nire etxe direktorioa aurkitu!  Outx!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr "[May/Min]"
@@ -2290,42 +2327,37 @@ msgstr "[May/Min]"
 msgid " [Regexp]"
 msgstr "[Regexp]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr "[Atzeruntza]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (aldatzeko) aukeraketan"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr "(aldatzeko)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 #, fuzzy
 msgid "Searching..."
 msgstr "Bilatu"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" ez da aurkitu"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Instantsia hau aldatu?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Aldatu honekin"
 
-#: src/search.c:738
+#: src/search.c:735
 #, fuzzy, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2333,263 +2365,254 @@ msgstr[0] "%lu kointzidentzia aldatuta"
 msgstr[1] "%lu kointzidentzia aldatuta"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Lerroaren zenbakia, zutabe zenbakia sartu"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Ez da hori giltza"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Ez dago giltz egokirik"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Marka aukeratua"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Markatu ez hautatua"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Errorea \"%s\"-(e)ri deitzen"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr ""
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr ""
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr ""
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr ""
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr ""
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 #, fuzzy
 msgid "text delete"
 msgstr "Hurrengo fitxategia"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr ""
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 #, fuzzy
 msgid "text replace"
 msgstr "(aldatzeko)"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr ""
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr ""
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 #, fuzzy
 msgid "text insert"
 msgstr "Hurrengo lerroa"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 #, fuzzy
 msgid "indent"
 msgstr "Auto indentatu"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 #, fuzzy
 msgid "unindent"
 msgstr "Auto indentatu"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr ""
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr ""
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr ""
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr ""
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr ""
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Ezin izan da hodia sortu"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Ezin izan da bikoiztu"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, fuzzy, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Ezin ~/.nanorc artxiboa ireki, %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "%s aipamen kate okerra: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Orain ez-justifikatu dezakezu!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr ""
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Ordezkoa editatu"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 #, fuzzy
 msgid "Next word..."
 msgstr "Hurrengo hitza"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Gaizki idatzitako hiz zerrenda sortzen, itxaron mesedez..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Ezin izan da hodi buffer-aren tamainua lortu"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Errorea \"spell\"-i deitzen"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Errorea \"sort -f\"-i deitzen"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Errorea \"uniq\"-i deitzen"
 
-#: src/text.c:2992
+#: src/text.c:2994
 #, fuzzy
 msgid "Invoking spell checker, please wait"
 msgstr "Deitu zuzentzaileari, eskuragarri badago"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Zuzenketa ortografikoan huts egin du: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Zuzenketa ortografikoan huts egin du: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Zuzenketa ortografikoa bukatu da"
 
-#: src/text.c:3037
+#: src/text.c:3039
 #, fuzzy
 msgid "No linter defined for this type of file!"
 msgstr "Ez gehitu lerro berria fitxategiaren amaieran"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr ""
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr ""
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr ""
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr ""
 
-#: src/text.c:3311
+#: src/text.c:3313
 #, fuzzy
 msgid "At last message"
 msgstr "Mezu hau erakutsi"
 
-#: src/text.c:3316
+#: src/text.c:3318
 #, fuzzy
 msgid "At first message"
 msgstr "Mezu hau erakutsi"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr ""
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr ""
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr ""
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, fuzzy, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sHitzak: %lu  Lerroak: %ld  Karaktereak: %lu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "Aukeraketan:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Sarrera literala"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr ""
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 #, fuzzy
 msgid "No matches"
 msgstr "Ez dago giltz egokirik"
@@ -2620,78 +2643,81 @@ msgstr ""
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr ""
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, fuzzy, c-format
 msgid "Unicode Input: %s"
 msgstr "Unicode sarrera"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "DIR:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Aldatua"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Ikusi"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr ""
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, fuzzy, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr ""
 "%ld/%ld (%d%%) lerroa, %lu/%lu (%d%%) zutabea, %lu/%lu\t (%d%%) karakterea"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Nano textu editorea"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "bertsioa"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Zuretzako hauek egina:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Esker bereziak:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "The Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr ""
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "ncurses-entzat:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "eta ahaztu dugun baten bat..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Mila esker nano erabiltzeagatik!"
 
 #~ msgid "Can't go outside of %s in restricted mode"
 #~ msgstr "Ezin da %stik kanpora joan era murriztuan"
 
+#~ msgid "Switched to %s"
+#~ msgstr "%s-ra aldatua"
+
 #~ msgid "Cannot prepend or append to a symlink with --nofollow set"
 #~ msgstr ""
 #~ "Ezin zaio hasieran edo amaieran gehitu esteka sinboliko bati --nofollow "
@@ -2704,6 +2730,9 @@ msgstr "Mila esker nano erabiltzeagatik!
 #~ "\n"
 #~ "Nano abiarazten jarraitzeko return sakatu.\n"
 
+#~ msgid "WhereIs Next"
+#~ msgstr "Non dago Hur."
+
 #~ msgid "Exit from nano"
 #~ msgstr "Nanotik irten"
 
@@ -2713,15 +2742,27 @@ msgstr "Mila esker nano erabiltzeagatik!
 #~ msgid "Move to the next screen"
 #~ msgstr "Hurrengo pantailara mugitu"
 
+#~ msgid "Repeat last search"
+#~ msgstr "Errepikatu azken bilaketa"
+
 #~ msgid "Find Other Bracket"
 #~ msgstr "Beste giltz bat bilatu"
 
 #~ msgid "Insert File"
 #~ msgstr "Txertatu fitxategia"
 
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Erabili lerro bat edo gehiago editatzeko"
+
+#~ msgid "Backup files"
+#~ msgstr "Babeskopia fitxategiak"
+
 #~ msgid "Multiple file buffers"
 #~ msgstr "Fitxategi anitzen buffer-a"
 
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Ez bihurtu DOS/Mac formatuak"
+
 #~ msgid "Space"
 #~ msgstr "Hutsunea"
 
Binary files 2.9.8-1/po/fi.gmo and 3.0-1/po/fi.gmo differ
diff -pruN 2.9.8-1/po/fi.po 3.0-1/po/fi.po
--- 2.9.8-1/po/fi.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/fi.po	2018-09-09 09:48:30.000000000 +0000
@@ -12,7 +12,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 2.9.5-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2018-03-24 14:42+0200\n"
 "Last-Translator: Lauri Nurmi <lanurmi@iki.fi>\n"
 "Language-Team: Finnish <translation-team-fi@lists.sourceforge.net>\n"
@@ -30,82 +30,86 @@ msgid "Cannot open directory: %s"
 msgstr "Hakemiston avaaminen ei onnistu: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Siirry hakemistoon"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Peruttu"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Hakemiston %s ulkopuolelle ei voi siirtyä"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Ylähakemistoon siirtyminen epäonnistui"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Virhe luettaessa tiedostoa %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Työhakemisto on kadonnut"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(hakem)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(ylähakem)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(suuri)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Hae"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Taaksepäin]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Haku jatkuu alusta"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Tämä on ainoa esiintymä"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Ei nykyistä hakumallia"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Tuntematon syntaksin nimi: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() epäonnistui: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) epäonnistui: %s"
@@ -178,7 +182,7 @@ msgstr "Tiedostoa %s muokkaa parhaillaan
 msgid "Can't read file from outside of %s"
 msgstr "Tiedoston lukeminen hakemiston %s ulkopuolelta epäonnistui"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "”%s” on hakemisto"
@@ -188,1062 +192,1089 @@ msgstr "”%s” on hakemisto"
 msgid "\"%s\" is not a normal file"
 msgstr "”%s” ei ole tavallinen tiedosto"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Ei enempää avoimia tiedostopuskureita"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "Puuttuva valitsin"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Vaihto tiedostoon %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Uusi puskuri"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, fuzzy, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "Luettu %zu rivi"
+msgstr[1] "Luettu %zu riviä"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Ei enempää avoimia tiedostopuskureita"
+
+#: src/files.c:933
 #, fuzzy, c-format
 msgid "File '%s' is unwritable"
 msgstr "Hakemistoon ”%s” ei voi kirjoittaa"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Luettu %zu rivi (Muunnettu DOS- ja Mac-muodosta)"
 msgstr[1] "Luettu %zu riviä (Muunnettu DOS- ja Mac-muodosta)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Luettu %zu rivi (Muunnettu Mac-muodosta)"
 msgstr[1] "Luettu %zu riviä (Muunnettu Mac-muodosta)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Luettu %zu rivi (Muunnettu DOS-muodosta)"
 msgstr[1] "Luettu %zu riviä (Muunnettu DOS-muodosta)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Luettu %zu rivi"
 msgstr[1] "Luettu %zu riviä"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Uusi tiedosto"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Tiedostoa ”%s” ei löytynyt"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "”%s” on laitetiedosto"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Luetaan tiedostoa"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Uudessa puskurissa suoritettava komento"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Suoritettava komento"
 
 #  Toisaalla on "Tiedoston lisääminen hakemiston %s ulkopuolelta epäonnistui",
 #  joten täälläkin on "hakemistosta" eikä "hakemistossa".
-#: src/files.c:1049
-#, c-format
-msgid "File to insert into new buffer [from %s]"
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Uuteen puskuriin lisättävä tiedosto [hakemistosta %s]"
+
+#  Toisaalla on "Tiedoston lisääminen hakemiston %s ulkopuolelta epäonnistui",
+#  joten täälläkin on "hakemistosta" eikä "hakemistossa".
+#: src/files.c:1101
+#, fuzzy, c-format
+msgid "File to read into new buffer [from %s]"
 msgstr "Uuteen puskuriin lisättävä tiedosto [hakemistosta %s]"
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Lisättävä tiedosto [hakemistosta %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Lisättävä tiedosto [hakemistosta %s]"
 
 #  "Virheellinen näppäin yksipuskuritilassa"?
 #  "Komento toimii vain monen puskurin tilassa"?
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Virheellinen näppäin yhden puskurin tilassa"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Virheellinen toimintahakemisto\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Varmuuskopio epäonnistui, jatketaanko tallentamista? (Vastaa E jos olet "
 "epävarma.) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Virheellinen varmuuskopiohakemisto\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Hakemiston %s ulkopuolelle ei voi kirjoittaa"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Virhe kirjoitettaessa varmuuskopiotiedostoa %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Liian monta varmuuskopiotiedostoa?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Virhe kirjoitettaessa tilapäistiedostoa: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Virhe kirjoitettaessa tiedostoa %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Kirjoitettu %zu rivi"
 msgstr[1] "Kirjoitettu %zu riviä"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS-muoto]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac-muoto]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Varmuuskopio]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Lisää valinta tiedoston alkuun"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Lisää valinta tiedoston loppuun"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Kirjoita valinta tiedostoon"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Tiedosto, jonka alkuun kirjoitetaan"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Tiedosto, jonka loppuun kirjoitetaan"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Kirjoitettava tiedosto"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr ""
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Tallennetaanko tiedosto ERI NIMELLÄ? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Tiedosto ”%s” on olemassa, KORVATAANKO? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Levyllä oleva tiedosto on muuttunut"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Muu ohjelma on muuttanut tiedostoa, jatketaanko tallentamista? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(jatkuu)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Lopeta"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Sulje"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Epäleikkaa"
 
 #  80 sarakkeen näytöllä mahtuu 10 merkkiä, mieluummin 9.
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Epätasaa"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Lue tied."
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Hae"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Korvaa"
-
-#  Tämä on "Etsi"-valikossa.
-#  80 sarakkeen näytöllä mahtuu 13 merkkiä, mieluummin 12.
-#  Huomaa myös "Go To Line Help Text".
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Rivinumero"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Ed. rivi"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Seur. rivi"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Ed. sivu"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Seur. sivu"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Tasaa"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "KokoTas."
-
-#  "Päivitä"?
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Virkistä"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Hae Seur."
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Peru nykyinen toiminto"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Näytä tämä ohjeteksti"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Sulje nykyinen puskuri / Poistu nanosta"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Kirjoita nykyinen puskuri (tai merkitty alue) levylle"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Lisää toinen tiedosto nykyiseen (tai uuteen) puskuriin"
 
-#: src/global.c:533
+#: src/global.c:529
 #, fuzzy
 msgid "Search forward for a string or a regular expression"
 msgstr "Etsi merkkijonoa tai säännöllistä lauseketta"
 
-#: src/global.c:535
+#: src/global.c:531
 #, fuzzy
 msgid "Search backward for a string or a regular expression"
 msgstr "Etsi merkkijonoa tai säännöllistä lauseketta"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "Etsi merkkijonoa"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Etsi merkkijonoa"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Päivitä tiedostolista"
 
-#: src/global.c:540
+#: src/global.c:537
 #, fuzzy
 msgid "Go to lefthand column"
 msgstr "Siirry annetulle riville ja sarakkeeseen"
 
-#: src/global.c:541
+#: src/global.c:538
 #, fuzzy
 msgid "Go to righthand column"
 msgstr "Siirry annetulle riville ja sarakkeeseen"
 
-#: src/global.c:542
+#: src/global.c:539
 #, fuzzy
 msgid "Go to first row in this column"
 msgstr "Siirry annetulle riville ja sarakkeeseen"
 
-#: src/global.c:543
+#: src/global.c:540
 #, fuzzy
 msgid "Go to last row in this column"
 msgstr "Siirry annetulle riville ja sarakkeeseen"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Siirry ruutu ylöspäin"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Siirry ruutu alaspäin"
 
-#: src/global.c:549
+#: src/global.c:546
 #, fuzzy
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Leikkaa nykyinen rivi ja varastoi se leikepuskuriin"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Liitä leikepuskurista nykyiselle riville"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Näytä kohdistimen sijainti"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Käynnistä oikoluin (jos saatavilla)"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Korvaa merkkijono tai säännöllinen lauseke"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Siirry annetulle riville ja sarakkeeseen"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Toista viimeisin haku"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Merkitse tekstiä kohdistimesta alkaen"
 
-#: src/global.c:562
+#: src/global.c:558
 #, fuzzy
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Kopioi nykyinen rivi ja varastoi se leikepuskuriin"
 
-#: src/global.c:563
+#: src/global.c:559
 #, fuzzy
 msgid "Indent the current line (or marked lines)"
 msgstr "Kommentoi/epäkommentoi nykyistä riviä tai merkittyjä rivejä"
 
-#: src/global.c:564
+#: src/global.c:560
 #, fuzzy
 msgid "Unindent the current line (or marked lines)"
 msgstr "Kommentoi/epäkommentoi nykyistä riviä tai merkittyjä rivejä"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Peru viimeisin toimenpide"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Tee uudelleen viimeksi peruttu toimenpide"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Siirry yksi merkki taaksepäin"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Siirry yksi merkki eteenpäin"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Siirry yksi sana taaksepäin"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Siirry yksi sana eteenpäin"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Siirry edelliselle riville"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Siirry seuraavalle riville"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Siirry nykyisen rivin alkuun"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Siirry nykyisen rivin loppuun"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Siirry edelliseen tekstilohkoon"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Siirry seuraavaan tekstilohkoon"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Siirry kappaleen alkuun; sitten seuraavan kappaleen"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Siirry aivan kappaleen lopun perään; sitten seuraavan kappaleen"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Siirry tiedoston ensimmäiselle riville"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Siirry tiedoston viimeiselle riville"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Siirry vastaavalle sulkeelle"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Vieritä rivi ylöspäin siirtämättä kohdistinta tekstissä"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Vieritä rivi alaspäin siirtämättä kohdistinta tekstissä"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Vaihda edelliseen tiedostopuskuriin"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Vaihda seuraavaan tiedostopuskuriin"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Lisää seuraava näppäily sellaisenaan"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Lisää sarkain kohdistimen kohdalle"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Lisää rivinvaihto kohdistimen kohdalle"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Poista kohdistimen kohdalla oleva merkki"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Poista merkki kohdistimen vasemmalta puolelta"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Leikkaa taaksepäin kohdistimesta sanan alkuun"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Leikkaa eteenpäin kohdistimesta seuraavan sanan alkuun"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Leikkaa kohdistimesta tiedoston loppuun"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Tasaa nykyinen kappale"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Tasaa koko tiedosto"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Laske sanojen, rivien ja merkkien määrä"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Virkistä (piirrä uudelleen) nykyinen ruutu"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Hyllytä editori (jos hyllytys on käytössä)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Yritä täydentää nykyinen sana"
 
-#: src/global.c:630
+#: src/global.c:626
 #, fuzzy
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Kommentoi/epäkommentoi nykyistä riviä tai merkittyjä rivejä"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Tallenna tiedosto kysymättä"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Hae seuraava esiintymä taaksepäin"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Hae seuraava esiintymä eteenpäin"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr ""
 
-#: src/global.c:637
+#: src/global.c:633
 #, fuzzy
 msgid "Run the last recorded macro"
 msgstr "Peru viimeisin toimenpide"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Vaihda haun merkkikoon huomiointi käyttöön tai pois"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Vaihda haun suunta"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Vaihda säännölliset lausekkeet käyttöön tai pois"
 
-#: src/global.c:647
+#: src/global.c:643
 #, fuzzy
 msgid "Recall the previous search/replace string"
 msgstr "Kutsu takaisin edellinen haettu/korvattu merkkijono"
 
-#: src/global.c:649
+#: src/global.c:645
 #, fuzzy
 msgid "Recall the next search/replace string"
 msgstr "Kutsu takaisin seuraava haettu/korvattu merkkijono"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Vaihda DOS-muoto käyttöön tai pois"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Vaihda Mac-muoto käyttöön tai pois"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Vaihda liittäminen loppuun käyttöön tai pois"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Vaihda liittäminen alkuun käyttöön tai pois"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Vaihda alkuperäisen tiedoston varmuuskopiointi käyttöön tai pois"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Suorita ulkoinen komento"
 
-#: src/global.c:659
+#: src/global.c:655
 #, fuzzy
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Kirjoita nykyinen puskuri (tai merkitty alue) levylle"
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Älä muunna tiedostoja DOS/Mac-muodosta"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Vaihda uuden puskurin käyttö päälle tai pois"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Sulje puskuri tallentamatta sitä"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Siirry tiedostoselaimeen"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Poistu tiedostoselaimesta"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Siirry luettelon ensimmäiseen tiedostoon"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Siirry luettelon viimeiseen tiedostoon"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Siirry luettelon edelliseen tiedostoon"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Siirry luettelon seuraavaan tiedostoon"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Siirry hakemistoon"
 
-#: src/global.c:675
+#: src/global.c:672
 #, fuzzy
 msgid "Invoke the linter, if available"
 msgstr "Käynnistä esikatselu (jos saatavilla)"
 
-#: src/global.c:676
+#: src/global.c:673
 #, fuzzy
 msgid "Go to previous linter msg"
 msgstr "Siirry edelliseen esikatseluun"
 
-#: src/global.c:677
+#: src/global.c:674
 #, fuzzy
 msgid "Go to next linter msg"
 msgstr "Siirry seuraavaan esikatseluun"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Käynnistä muotoilin (jos saatavilla)"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Ohjeet"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Peru"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Kirjoita"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Lue tied."
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Tasaa"
+
+#  "Päivitä"?
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Virkistä"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Hae"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Korvaa"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Siirry hak."
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Leikkaa"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Oikoluku"
 
 #  Tämä on "Etsi"-valikossa.
 #  80 sarakkeen näytöllä mahtuu 13 merkkiä, mieluummin 12.
 #  Huomaa myös "Go To Line Help Text".
-#: src/global.c:785
+#: src/global.c:771
 #, fuzzy
 msgid "To Linter"
 msgstr "Esikatseluun"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Muotoilin"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Sijainti"
 
-#: src/global.c:806
+#  Tämä on "Etsi"-valikossa.
+#  80 sarakkeen näytöllä mahtuu 13 merkkiä, mieluummin 12.
+#  Huomaa myös "Go To Line Help Text".
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Rivinumero"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Peru"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Tee uudelleen"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Merkitse"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopioi"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Kirj.koko"
 
 #  "Äiti, mikä on säännöke?" "Kai se joku pikku sääntö on."
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Säännöke"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Taaksepäin"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Älä korvaa"
 
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "KokoTas."
+
 #  versiossa 1.1.99pre2 hakee merkkejä "([{<>}])"
-#: src/global.c:839
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Sulkeeseen"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Tallenna"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+#, fuzzy
+msgid "Where Was"
+msgstr "Hae"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Edellinen"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Seuraava"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Takaisin"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Eteenpäin"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Ed. sana"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Seur. sana"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Home"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "End"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Ed. rivi"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Seur. rivi"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Vieritä ylös"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Vieritä alas"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Edell. lohko"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Seur. lohko"
 
 # "Par" on "paragraph"
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Kapp. alku"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Kapp. loppu"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Ed. sivu"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Seur. sivu"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Ens. rivi"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Viim. rivi"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Ed. tied."
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Seur. tied."
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Sarkain"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
 # Oletetaan että tämä on näppäimen nimi tässä yhteydessä.
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Delete"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Askelpalautin"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Leikk. vas."
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Leikk. oik."
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "LeikkLoppuun"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Sanamäärä"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Merkintarkka"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Hyllytä"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Sisennä"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Epäsisennä"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
+msgstr "Automaattinen sisennys"
+
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
+msgstr "Automaattinen sisennys"
 
-#: src/global.c:975
+#: src/global.c:962
 #, fuzzy
 msgid "Comment Lines"
 msgstr "Seur. rivi"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr ""
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr ""
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr ""
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-#, fuzzy
-msgid "Where Was"
-msgstr "Hae"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Tallenna"
-
 #  Tämä on Etsi-valikossa.
 #  80 sarakkeen näytöllä mahtuu 11 merkkiä.
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "EdHistor."
 
 #  Tämä on Etsi-valikossa.
 #  80 sarakkeen näytöllä mahtuu 11 merkkiä.
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "SeurHistor."
 
 #  Tämä on "Etsi"-valikossa.
 #  80 sarakkeen näytöllä mahtuu 13 merkkiä, mieluummin 12.
 #  Huomaa myös "Go To Line Help Text".
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Tekstiin"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS-muoto"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac-muoto"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Lisää loppuun"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Lisää alkuun"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Varmuuskopio"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "versio"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Suorita komento"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "Kopioi"
 
 #  Tämä on Kirjoita tiedosto- ja Lisää tiedosto -valikoissa.
 #  80 sarakkeen näytöllä mahtuu 17 merkkiä, mieluummin 16.
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Tiedostoselain"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Ensimm. tied."
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Viim. tied."
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Vasen sarake"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Oikea sarake"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr ""
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr ""
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Hylkää puskuri"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 #, fuzzy
 msgid "Prev Lint Msg"
 msgstr "Ed. esikatselu"
 
-#: src/global.c:1084
+#: src/global.c:1069
 #, fuzzy
 msgid "Next Lint Msg"
 msgstr "Seur. esikats."
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Ohjetila"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Jatkuva kohdistimen sijainnin näyttö"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Lisärivin käyttö muokkaukseen"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Pehmeä vieritys"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Ylipitkien rivien pehmeä rivitys"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Tyhjemerkkien näyttö"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Värillinen syntaksin korostus"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Älykäs Home-näppäin"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Automaattinen sisennys"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Leikkaa loppuun saakka"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Ylipitkien rivien kova rivitys"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Näppäiltyjen sarkainten muunnos välilyönneiksi"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Varmuuskopiotiedostot"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Luetaan tiedosto erilliseen puskuriin"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Hiirituki"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Ei muunnosta DOS/Mac-muodosta"
-
 # Perään tulee "käytössä" tai "ei käytössä".
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Hyllytys"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Rivinumerointi"
 
@@ -1480,11 +1511,9 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Suorita komento -komennon käyttöohje\n"
 "\n"
@@ -1495,7 +1524,22 @@ msgstr ""
 " Seuraavat funktionäppäimet ovat käytössä Suorita komento -tilassa:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" Seuraavat funktionäppäimet ovat käytössä selaimen hakutilassa:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1515,7 +1559,7 @@ msgstr ""
 "jossa näkyy muokattava tiedosto. Kolmantena alhaalta lukien oleva tilarivi "
 "näyttää tärkeät viestit.  "
 
-#: src/help.c:437
+#: src/help.c:438
 #, fuzzy
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
@@ -1533,7 +1577,7 @@ msgstr ""
 "merkitään Meta (M-) -symbolillla ja syötetään käyttämällä joko Esc-, Alt-, "
 "tai Meta-näppäintä riippuen näppäimistöstä.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1547,7 +1591,7 @@ msgstr ""
 "näppäimet näytetään sulkeissa:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "käytössä/pois"
 
@@ -1585,19 +1629,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Virhe kirjoitettaessa tiedostoa %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Näppäin on virheellinen katselutilassa"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Tämä toiminto on poissa käytöstä rajoitetussa tilassa"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Ohjetta ei ole saatavilla"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1606,7 +1650,7 @@ msgstr ""
 "\n"
 "Puskuri kirjoitettu tiedostoon %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1615,7 +1659,7 @@ msgstr ""
 "\n"
 "Puskuria ei kirjoitettu tiedostoon %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1624,7 +1668,7 @@ msgstr ""
 "\n"
 "Puskuria ei kirjoitettu: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1635,296 +1679,296 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
 "a '+' before the filename.  The column number can be added after a comma.\n"
 msgstr ""
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Valitsin\tPitkä GNU-valitsin\tMerkitys\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Ota käyttöön älykäs Home-näppäin"
 
 #  "tallennettaessa"?
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Tallenna varmuuskopiot olemassa olevista tiedostoista"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <hak>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<hak>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Hakemisto uniikkien varmuuskopiotiedostojen tallentamiseen"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Käytä tekstin lihavointia käänteisten värien sijaan"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Muunna näppäillyt sarkaimet välilyönneiksi"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Lue tiedosto uuteen puskuriin oletusarvoisesti"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Käytä (vim-tyylisiä) lukkotiedostoja"
 
-#: src/nano.c:796
+#: src/nano.c:805
 #, fuzzy
 msgid "Log & read search/replace string history"
 msgstr "Muista viimeksi etsityt/korvatut merkkijonot"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Älä käytä nanorc-tiedostoja"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Korjaa numeronäppäimistön sekaantumisongelma"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Älä lisää rivinvaihtoja tiedostojen loppuun"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Älä muunna tiedostoja DOS/Mac-muodosta"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Käytä yhtä lisäriviä muokkaukseen"
 
-#: src/nano.c:818
+#: src/nano.c:827
 #, fuzzy
 msgid "Log & read location of cursor position"
 msgstr "Kirjaa lokiin ja lue kohdistinkoordinaatin sijainti"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q <mjono>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<mjono>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr ""
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Rajoitettu tila"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Vieritä rivi kerrallaan puoliruudun sijaan"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#saraketta>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#saraketta>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Aseta sarkaimen leveydeksi #cols saraketta"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Tyhjennä tilarivi pikaisesti"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Näytä versiotiedot ja lopeta"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Havaitse sanarajat tarkemmin"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <mjono>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<mjono>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Mitkä muut merkit ovat sanan osia"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<nimi>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Väritykseen käytettävä syntaksimääritys"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr ""
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Näytä kohdistimen sijainti jatkuvasti"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Korjaa Backspace/Delete-näppäinten sekaantumisongelma"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Näytä kohdistin tiedostoselaimessa"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Näytä tämä ohjeteksti ja poistu"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Sisennä uudet rivit automaattisesti"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Leikkaa kohdistimesta rivin loppuun"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Näytä rivinumerot tekstin edessä"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Ota hiiri käyttöön"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Älä lue tiedostoa (kirjoita pelkästään)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <hak>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<hak>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Aseta toimintahakemisto"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Salli XON (^Q)- ja XOFF (^S) -näppäimet"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#sarakkeet>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#sarakkeet>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Aseta kova rivityskohta sarakkeeseen #cols"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <ohjelma>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<ohjelma>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Käytä vaihtoehtoista oikolukuohjelmaa"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Tallenna tiedosto kysymättä poistuttaessa"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Tallenna tiedosto oletusarvoisesti Unix-muodossa"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Katselutila (vain luku)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Älä kovarivitä pitkiä rivejä"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Älä näytä kahta ohjeriviä"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Ota hyllytys käyttöön"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Ota käyttöön pehmeä rivitys"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, versio %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " © 2014–%s nanon tekijät\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Sähköposti: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1933,338 +1977,338 @@ msgstr ""
 "\n"
 " Käännetty valitsimilla:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Ei tiedostonimeä"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Tallennetaanko muutettu puskuri? (Vastaus ”Ei” HÄVITTÄÄ muutokset.)"
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr ""
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr ""
 "Valitettavasti näppäimistön avaaminen uudelleen vakiosyötteeksi epäonnistui\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Vastaanotettiin SIGHUP tai SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Palaa nanoon komennolla ”fg”.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Hyllytys ei ole käytössä"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "käytössä"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "ei käytössä"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr ""
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr ""
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr ""
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr ""
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr ""
 
 #  puuttuu tai liian iso tai liian pieni
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Pyydetty sarkaimen koko ”%s” ei kelpaa"
 
 #  puuttuu tai liian iso tai liian pieni
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Pyydetty täyttöpituus ”%s” ei kelpaa"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Komento ”%s -h” näyttää käytettävissä olevat valitsimet.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Virheellinen rivi- tai sarakenumero"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr ""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "KkYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "EeNn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "aA"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Kyllä"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Ei"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Kaikki"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Virhe tiedostossa %s rivillä %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argumentti ”%s” sisältää parittoman \"-merkin"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Säännöllisten lausekkeiden on alettava ja loputtava \"-merkillä"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Säännöllinen lauseke ”%s” ei kelpaa: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Puuttuva syntaksin nimi"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Pariton lainausmerkki syntaksin nimessä"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "”none”-syntaksi on varattu"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "”default”-syntaksi ei hyväksy laajennoksia"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Puuttuva näppäimen nimi"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Näppäimen nimi on liian lyhyt"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Näppäinten nimien on alettava merkillä ”^”, ”M” tai ”F”"
 
 #  puuttuu tai liian iso tai liian pieni
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Näppäimen nimi %s ei kelpaa"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "On määriteltävä toiminto, johon näppäin sidotaan"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "On määriteltävä valikko (tai ”all”), johon/josta näppäin sidotaan/irrotetaan"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Nimen ”%s” kytkeminen toimintoon ei onnistu"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Nimen ”%s” kytkeminen valikkoon ei onnistu"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Valikossa ”%2$s” ei ole toimintoa”%1$s”"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Valitettavasti näppäilyä ”%s” ei voi uudelleensitoa"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Virhe lavennettaessa valitsinta %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Väriä ”%s” ei ymmärretty"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Taustaväri ei voi olla kirkas"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr ""
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Puuttuva värin nimi"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "”%s”-komennon perästä puuttuu säännöllinen lauseke"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Tyhjä säännöllinen lauseke"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "”start=” vaatii vastaavan ”end=”:n"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, fuzzy, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "”default”-syntaksi ei saa ottaa laajennoksia"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, fuzzy, c-format
 msgid "Missing argument after '%s'"
 msgstr "Puuttuva esikatselukomento"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, fuzzy, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argumentti ”%s” sisältää parittoman \"-merkin"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Vakava virhe: toimintoon ”%s” ei ole kytketty näppäimiä. Poistutaan.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr ""
 "Käytä tarvittaessa nanoa valitsimella -I nanorc:n asetusten säätämiseksi.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, fuzzy, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Laajennettavan syntaksin ”%s” löytäminen epäonnistui"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Syntaksissa ”%s” ei ole värikomentoja"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Komentoa ”%s” ei sallita sisällytetyssä tiedostossa"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Komentoa ”%s” ei ymmärretty"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Puuttuva valitsin"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Tuntematon valitsin ”%s”"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Valitsinta ”%s” ei voi kumota"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Valitsin ”%s” vaatii argumentin"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 #, fuzzy
 msgid "Argument is not a valid multibyte string"
 msgstr "Valitsin ei ole kelvollinen monitavumerkkijono"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Ei-tyhjemerkkejä vaadittu"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Kaksi yksisarakkeista merkkiä vaaditaan"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Kotihakemisto on hukassa! Vää!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Kirj.koko]"
@@ -2273,44 +2317,39 @@ msgstr " [Kirj.koko]"
 msgid " [Regexp]"
 msgstr " [Säännöke]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Taaksepäin]"
-
 # "Hae"+tämä
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr "ttava valinnassa"
 
 # "Hae"+tämä
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr "ttava"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Haetaan..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "”%.*s%s” ei löytynyt"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Korvataanko tämä esiintymä?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Korvaava"
 
 # Pitäisiköhän olla passiivi?
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2318,263 +2357,254 @@ msgstr[0] "Korvattiin %zd kohta"
 msgstr[1] "Korvattiin %zd kohtaa"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Anna rivin numero, sarakkeen numero"
 
 #  versiossa 1.1.99pre2 hakee merkkejä "([{<>}])"
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Ei ole sulje"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Ei vastaavaa suljetta"
 
-#: src/text.c:64
+#: src/text.c:63
 #, fuzzy
 msgid "Mark Set"
 msgstr "Merkintä alkoi"
 
-#: src/text.c:68
+#: src/text.c:67
 #, fuzzy
 msgid "Mark Unset"
 msgstr "Merkintä loppui"
 
-#: src/text.c:78
+#: src/text.c:77
 #, fuzzy, c-format
 msgid "Error invoking \"%s\""
 msgstr "Virhe kutsuttaessa kohdetta ”%s”"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Tämän tiedostotyypin kommentointi ei onnistu"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Tiedoston lopun yli ei voi kommentoida"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Kumouspuskurissa ei ole mitään!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "tekstin lisäys"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "rivin katkaisu"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "tekstin poisto"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "rivin liitos"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "tekstin korvaus"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "tekstin leikkaus"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "tekstin epäleikkaus"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "tekstin sijoitus"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 #, fuzzy
 msgid "indent"
 msgstr "Automaattinen sisennys"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 #, fuzzy
 msgid "unindent"
 msgstr "Automaattinen sisennys"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "kommentoi"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "epäkommentoi"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Kumottiin toiminto (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Ei mitään tehtäväksi uudelleen!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Tehtiin toiminto uudelleen (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Putken luominen epäonnistui"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Haarauttaminen epäonnistui"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr ""
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, fuzzy, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Lainausmerkintä %s ei kelpaa: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Epätasaaminen onnistuu nyt!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Löytymätön sana: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Muokkaa korvausta"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Seuraava sana..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Luodaan väärin kirjoitettujen sanojen lista, odota..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Putken puskurin kokoa ei saatu selville"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Virhe ”spell”-komennon käynnistyksessä"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Virhe ”sort -f” -komennon käynnistyksessä"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Virhe ”uniq”-komennon käynnistyksessä"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Käynnistetään oikoluin, odota"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Oikoluku epäonnistui: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Oikoluku epäonnistui: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Oikoluku on valmis"
 
-#: src/text.c:3037
+#: src/text.c:3039
 #, fuzzy
 msgid "No linter defined for this type of file!"
 msgstr "Esikatselua ei ole määritelty tämäntyyppiselle tiedostolle"
 
-#: src/text.c:3047
+#: src/text.c:3049
 #, fuzzy
 msgid "Save modified buffer before linting?"
 msgstr "Tallennetaanko muokattu puskuri ennen esikatselua?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 #, fuzzy
 msgid "Invoking linter, please wait"
 msgstr "Kutsutaan esikastelua, odota vähän"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Saatiin 0 jäsennettävissä olevaa riviä komennolta: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Tämä viesti on avamaattomalle tiedostolle %s, avataanko se uudessa "
 "puskurissa?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Ei enempää virheitä avaamattomissa tiedostoissa, perutaan"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Viimeisessä viestissä"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Ensimmäisessä viestissä"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Valmis"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Kutsutaan muotoilinta, odota"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Päätettiin muotoilu"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, fuzzy, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sSanat: %lu  Rivit: %ld  Merkit: %lu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "Valinnassa:    "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Merkintarkka syöte"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr ""
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Ei vastaavaavuuksia"
 
@@ -2604,81 +2634,127 @@ msgstr ""
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr ""
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Unicode-syöte: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "HAKEMISTO:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Muokattu"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Näkymä"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr ""
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, fuzzy, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "rivi %ld/%ld (%d %%), sarake %lu/%lu (%d %%), merkki %lu/%lu (%d %%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Nano-tekstieditori"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versio"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Tehneet:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Erityiset kiitokset:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "Free Software Foundationille"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "monille kielenkääntäjille ja Translation Projectille"
 
 #  Special thanks to: (nimiä) For ncurses: (nimiä)
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Ncursesista:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "ja kaikille muille, jotka unohdimme..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Kiitos nanon käyttämisestä!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Vaihto tiedostoon %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Hae Seur."
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Toista viimeisin haku"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Käynnistä muotoilin (jos saatavilla)"
+
+#~ msgid "Formatter"
+#~ msgstr "Muotoilin"
+
+#~ msgid "Indent Text"
+#~ msgstr "Sisennä"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Epäsisennä"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Lisärivin käyttö muokkaukseen"
+
+#~ msgid "Backup files"
+#~ msgstr "Varmuuskopiotiedostot"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Luetaan tiedosto erilliseen puskuriin"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Ei muunnosta DOS/Mac-muodosta"
+
 #~ msgid "Quoting string"
 #~ msgstr "Lainausmerkkijono"
 
 #~ msgid "Reading from stdin, ^C to abort\n"
 #~ msgstr "Luetaan vakiosyötteestä, ^C keskeyttää\n"
 
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Vakava virhe: toimintoon ”%s” ei ole kytketty näppäimiä. Poistutaan.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Valmis"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Kutsutaan muotoilinta, odota"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Päätettiin muotoilu"
+
 #~ msgid ""
 #~ "Warning: Modifying a file which is not locked, check directory permission?"
 #~ msgstr ""
Binary files 2.9.8-1/po/fr.gmo and 3.0-1/po/fr.gmo differ
diff -pruN 2.9.8-1/po/fr.po 3.0-1/po/fr.po
--- 2.9.8-1/po/fr.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/fr.po	2018-09-09 09:48:30.000000000 +0000
@@ -10,10 +10,10 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.9.8-pre1\n"
+"Project-Id-Version: nano 3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-28 00:27+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-30 23:11+0200\n"
 "Last-Translator: Jean-Philippe Guérard <jean-philippe.guerard@corbeaunoir."
 "org>\n"
 "Language-Team: French <traduc@traduc.org>\n"
@@ -30,82 +30,86 @@ msgid "Cannot open directory: %s"
 msgstr "Impossible d'ouvrir le répertoire : %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Changer de répertoire"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Annulé"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Impossible d'aller hors de %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Impossible de passer au répertoire supérieur"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Erreur lors de la lecture de %s : %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Le répertoire de travail a disparu"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(rép.)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(remonter)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(énorme)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Recherche"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Arrière]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "La recherche a fait le tour"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "C'est la seule occurrence"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Aucun motif de recherche défini"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nom de syntaxe inconnu : %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "Échec de magic_load() : %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "Échec de magic_file(%s) : %s"
@@ -176,7 +180,7 @@ msgstr "Le fichier %s est ouvert (par %s
 msgid "Can't read file from outside of %s"
 msgstr "Impossible de lire le fichier depuis l'extérieur de %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "« %s » est un répertoire"
@@ -186,1014 +190,1032 @@ msgstr "« %s » est un répertoire"
 msgid "\"%s\" is not a normal file"
 msgstr "« %s » n'est pas un fichier ordinaire"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Plus aucun fichier ouvert"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "correction orthographique"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu ligne [%s]"
+msgstr[1] "%s -- %zu lignes [%s]"
 
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "Basculement vers %s"
-
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Nouvel espace"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu ligne"
+msgstr[1] "%s -- %zu lignes"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Plus aucun fichier ouvert"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Le fichier « %s » n'est pas accessible en écriture"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Lecture de %zu ligne (convertie des formats DOS et Mac)"
 msgstr[1] "Lecture de %zu lignes (converties des formats DOS et Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Lecture de %zu ligne (convertie du format Mac)"
 msgstr[1] "Lecture de %zu lignes (converties du format Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Lecture de %zu ligne (convertie du format DOS)"
 msgstr[1] "Lecture de %zu lignes (converties du format DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Lecture de %zu ligne"
 msgstr[1] "Lecture de %zu lignes"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Nouveau fichier"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Fichier « %s » non trouvé"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "« %s » est un périphérique"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Lecture du fichier"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Commande à exécuter dans un nouvel espace"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Commande à exécuter"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "Fichier à insérer dans un nouvel espace [à partir de %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Fichier à lire non converti vers un nouvel espace [depuis %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Fichier à lire vers un nouvel espace [depuis %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Fichier à lire [depuis %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Fichier à insérer [à partir de %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Touche illégale hors du mode multi-espace"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Répertoire de fonctionnement incorrect\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Impossible d'écrire la copie de sécurité, sauver quand même ? (Dites N en "
 "cas de doute.) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Répertoire de copie de sécurité incorrect\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Impossible d'écrire à l'extérieur de %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Erreur d'écriture de la copie de sécurité %s : %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Trop de copies de sécurité ?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Erreur d'écriture du fichier temporaire : %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Erreur lors de l'écriture de %s : %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "%zu ligne écrite"
 msgstr[1] "%zu lignes écrites"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Format DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Format Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Copie de sécurité]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Ajouter la sélection au début d'un fichier"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Ajouter la sélection à la fin d'un fichier"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Écrire la sélection dans un fichier"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Nom du fichier au tête duquel ajouter"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Nom du fichier à la fin duquel ajouter"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Nom du fichier à écrire"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Trop petit"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Le fichier existe -- écriture impossible"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Écrire le fichier sous un NOM MODIFIÉ ? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Le fichier « %s » existe, VOULEZ-VOUS L'ÉCRASER ? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Le fichier sur disque a changé"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Le fichier a été modifié depuis son ouverture. Continuer à sauver ?"
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(suite)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Quitter"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Fermer"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Coller"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Dé-justif."
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Lire fich."
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Chercher"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Remplacer"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Aller lig."
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Ligne préc."
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Ligne suiv."
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Page préc."
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Page suiv."
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Justifier"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Justifier"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Rafraîchir"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Cherch.suiv."
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Annuler la fonction courante"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Afficher ce message"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Fermer l'espace en cours / Quitter nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Écrire le fichier en cours (ou la zone marquée) sur disque"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Insérer un autre fichier dans l'espace courant (ou un nouvel espace)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Rechercher vers l'avant une chaîne ou une expression rationnelle"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Rechercher vers l'arrière une chaîne ou une expression rationnelle"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Recherche d'une chaîne"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Recherche d'une chaîne en avant"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Recherche d'une chaîne en arrière"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Mettre à jour la liste des fichiers"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Aller à la colonne de gauche"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Aller à la colonne de droite"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Aller à la première ligne de cette colonne"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Aller à la dernière ligne de cette colonne"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Monter d'un écran"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Descendre d'un écran"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Couper la ligne courante (ou la zone marquée) vers le presse-papiers"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Coller le presse-papiers à partir de la ligne courante"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Indiquer la position du curseur"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Appeler le correcteur orthographique (si dispo.)"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Remplacer une chaîne ou une expression rationnelle"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Aller à la ligne et à la colonne indiquées"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Recommencer la dernière recherche"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Marquer le texte depuis la position du curseur"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Copier la ligne courante (ou la zone marquée) dans le presse-papiers"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Mettre en retrait la ligne courante (ou les lignes marquées)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Diminuer le retrait de la ligne courante (ou des lignes marquées)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Annuler la dernière opération"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Refaire la dernière opération annulée"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Reculer d'un caractère"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Avancer d'un caractère"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Reculer d'un mot"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Avancer d'un mot"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Aller à la ligne précédente"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Aller à la ligne suivante"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Aller au début de la ligne courante"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Aller à la fin de la ligne courante"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Aller au bloc de texte précédent"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Aller au bloc de texte suivant"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Aller au début du paragraphe, puis à celui du précédent"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Aller à la fin du paragraphe, puis à celle du suivant"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Aller à la première ligne du fichier"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Aller à la dernière ligne du fichier"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Aller au crochet correspondant"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Remonter d'une ligne sans déplacer le curseur sur le texte"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Descendre d'une ligne sans déplacer le curseur sur le texte"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Basculer vers l'espace précédent"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Basculer vers l'espace suivant"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Insérer le prochain caractère tel quel"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Insérer une tabulation à la position du curseur"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Insérer un passage à la ligne à la position du curseur"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Supprimer le caractère sous le curseur"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Supprimer le caractère à la gauche du curseur"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Coupe en arrière du curseur au début du mot"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Coupe en avant du curseur à la fin du mot"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Couper du curseur à la fin du fichier"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Justifier le paragraphe courant"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Justifier le fichier entier"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Compter le nombre de mots, de lignes et de caractères"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Rafraîchir (redessiner) l'écran courant"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Suspendre l'éditeur (si suspendre est activé)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Essayer de compléter le mot courant"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Commenter/décommenter la ligne courante (ou les lignes marquées)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Écrire sans poser de question"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Rechercher la prochaine occurrence en avant"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Rechercher la prochaine occurrence en arrière"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Début/arrêt d'enregistrement d'une macro"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Lancer la dernière macro enregistrée"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Chercher en tenant compte de la casse (commutateur)"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Inverser le sens de la recherche"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Utiliser des expressions rationnelles (commutateur)"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Rappeler la précédente chaîne de recherche"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Rappeler la chaîne de recherche suivante"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Utiliser le format DOS (commutateur)"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Utiliser le format Mac (commutateur)"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Ajouter à la fin du fichier (commutateur)"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Ajouter au début du fichier (commutateur)"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Créer une copie de sécurité de l'original (commutateur)"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Exécuter une commande externe"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Envoyer l'espace en cours (ou la zone marquée) à une commande"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "Pas de conversion depuis les formats DOS et Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Utiliser un nouvel espace (commutateur)"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Fermer l'espace sans l'écrire"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Ouvrir le navigateur de fichiers"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Sortir du navigateur de fichiers"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Aller au premier fichier de la liste"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Aller au dernier fichier de la liste"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Aller au précédent fichier de la liste"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Aller au prochain fichier de la liste"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Changer de répertoire"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Appeler l'analyseur statique (si dispo.)"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Aller au message précédent de l'analyse statique"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Aller au message suivant de l'analyse statique"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Appeler l'outil de mise en forme (si dispo.)"
-
 # Les messages suivants doivent tenir sur 10 caractères !
 # Ils sont utilisés comme entrée des menus du bas d'écran.
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Aide"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Annuler"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Écrire"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Lire fich."
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Justifier"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Rafraîchir"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Chercher"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Remplacer"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Aller -> rép."
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Couper"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Orthograp."
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Analyse statique"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formateur"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Pos. cur."
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Aller lig."
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Annuler"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Refaire"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Marquer"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Copier"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Resp.casse"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Exp. ratio."
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "->Arrière"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Rechercher"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Justifier"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Parenthèse corresp."
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Écrire"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Retrouver"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Précédent"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Suivant"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "En arrière"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "En avant"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Mot précédent"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Mot suivant"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Début doc."
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Fin"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Ligne préc."
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Ligne suiv."
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Remonter"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Descendre"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Bloc précédent"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Bloc suivant"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Début para."
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Fin para."
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Page préc."
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Page suiv."
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Première ligne"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Dernière ligne"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Fichier précédent"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Fichier suivant"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tabulation"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Entrée"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Supprimer"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "RetourArr."
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Couper à gauche"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Couper à droite"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "Coup.->Fin"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Nombre de mots "
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Entrée telle quelle"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Suspendre"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Indenter"
+#: src/global.c:956
+msgid "Indent"
+msgstr "Mise en retrait"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+msgid "Unindent"
 msgstr "Diminuer le retrait"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Commenter la ligne"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Compléter"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Enregistrer"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Lancer la macro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Retrouver"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Écrire"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Précédente"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Suivante"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Rechercher"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Format DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Format Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Ajout (à la fin)"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Ajout (au début)"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Copie de sécu."
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Pas de conversion"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Exécuter une commande"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "-> commande"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Parcourir"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Prem. fich."
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Dern. fich."
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Colonne de gauche"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Colonne de droite"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Ligne du haut"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Ligne du bas"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Abandonner l'espace"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Analyse préc."
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Analyse suiv."
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Mode aide"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Afficher la position du curseur"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Utiliser 1 ligne de plus pour l'édition"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Défilement progressif"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Affichage automatique sur plusieurs lignes"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Afficher les blancs"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Coloration syntaxique"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Touche « Début » intelligente"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Retrait auto."
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Couper jusqu'en fin de ligne"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Passer à la ligne automatiquement"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "La touche tabulation ajoute des espaces"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Conserver des copies de sécurité"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Lecture du fichier dans un autre espace"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Utiliser la souris"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Pas de conversion des formats DOS et Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Autoriser à suspendre"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Numérotation des lignes"
 
@@ -1439,24 +1461,35 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
+msgstr ""
+" Aide de l'exécution d'une commande\n"
 "\n"
-" The following function keys are available in Execute Command mode:\n"
+" Ce mode vous permet d'insérer dans l'espace en cours (ou dans un nouvel "
+"espace) le texte produit par l'exécution d'une commande dans un shell. Si la "
+"commande est précédée d'un « | » (un tube), le contenu de l'espace actuel "
+"(ou de la zone marquée) sera envoyé vers la commande. "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
 msgstr ""
-" Aide des commandes externes\n"
+"Si vous souhaitez seulement un nouvel espace, n'entrez aucune commande.\n"
 "\n"
-" Ce menu vous permet d'insérer le texte produit par l'exécution d'une "
-"commande externe dans l'espace en cours (ou dans un nouvel espace en mode "
-"multi-espace). Si vous avez besoin d'un autre espace vide, n'entrez aucune "
-"commande.\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
 "\n"
-" Les touches de fonction suivantes sont disponibles en mode Commande "
-"externe :\n"
+msgstr ""
+" Les touches de fonction suivantes sont disponibles en mode Exécution d'une "
+"commande :\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1477,7 +1510,7 @@ msgstr ""
 "fichier en cours de modification. La ligne d'état est la troisième ligne en "
 "partant du bas, elle affiche les messages importants. "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1496,7 +1529,7 @@ msgstr ""
 "« Méta » (M) et peuvent être entrées via les touches « Échap. », « Alt. » ou "
 "« Méta » selon la configuration de votre clavier. "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1511,7 +1544,7 @@ msgstr ""
 "parenthèses :\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "(commutateur)"
 
@@ -1549,20 +1582,20 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Erreur lors de l'écriture de %s : %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Touche illégale en mode visualisation"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Cette fonction est désactivée en mode restreint"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "L'aide n'est pas disponible"
 
 # Fin des entrées de menu sur 10 caractères
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1572,7 +1605,7 @@ msgstr ""
 "Espace écrit dans %s\n"
 
 # Fin des entrées de menu sur 10 caractères
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1582,7 +1615,7 @@ msgstr ""
 "Espace non écrit dans %s : %s\n"
 
 # Fin des entrées de menu sur 10 caractères
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1591,7 +1624,7 @@ msgstr ""
 "\n"
 "Espace non écrit : %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1602,7 +1635,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1612,7 +1645,7 @@ msgstr ""
 "précédé d'un « + » devant le nom de fichier. Pour ajouter le numéro de\n"
 "colonne, placez-le derrière le numéro de ligne, séparé par une virgule.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1622,277 +1655,277 @@ msgstr ""
 "standard.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Option\t\tOption longue GNU\t\tDescription\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Touche « Début » intelligente"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Créer des copies de sécurité"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <rép.>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<rép.>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Répertoire des copies de sécu. uniques"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Affiche en gras le texte vidéo inverse"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "La touche tabulation ajoute des espaces"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Lire les fichiers dans un nouvel espace"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Util. des fichiers verrou (type vim)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Mémorise les recherches & remplacements"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Ne pas utiliser les fichiers nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Corrige la gestion du pavé numérique"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Pas d'ajout de ligne en fin de fichier"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Retirer les espaces de fin en passant à la ligne"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Pas de conversion depuis DOS et Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Utiliser 1 ligne de plus pour l'édition"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Mémoriser la position du curseur"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <exp. rat.>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<expr. rat.>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "Expression rationnelle correspondant aux guillemets"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Mode restreint"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Défilement ligne par ligne"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <nombre>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<nombre>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Largeur des tabulations"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Effacement rapide de la barre d'état"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Affiche la version et s'arrête"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Meilleure détection des limites de mots"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <chaîne>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<chaîne>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Autres caractères appartenant aux mots"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <nom>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<nom>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Définit la syntaxe de coloration"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Couper les lignes affichées sur un blanc"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Afficher la position du curseur"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Corrige la confusion effac. arr./suppr."
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Util. le curseur du navigateur de fich."
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Affiche ce message et se termine"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Mise en retrait automatique"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Coupe du curseur à la fin de la ligne"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Afficher le numéro de ligne"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Active l'utilisation de la souris"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Ne pas lire le fichier (mais l'écraser)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <rép.>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<rép.>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Répertoire de fonctionnement"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Préserver ^Q (XON) & ^S (XOFF)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <numéro>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#num>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Passer à la ligne sur la colonne #num"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Correcteur orthographique"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Sauver en quittant, sans question"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Écrire par défaut au format Unix"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Mode visualisation (lecture seule)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Désactive le passage auto. à la ligne"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Ne pas afficher les deux lignes d'aide"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Ctrl+Flèche droite s'arrête en fin de mot"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Autoriser à suspendre"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Affichage multiligne automatique"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, version %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s les contributeurs de nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Adr. él. : nano@nano-editor.org\tSite : http://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1901,277 +1934,276 @@ msgstr ""
 "\n"
 " Compilé avec les options :"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Pas de nom de fichier"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "Écrire l'espace modifié ? (Répondre « Non » ABANDONNE les modifications.)"
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "Lecture depuis l'entrée standard ; entrez ^D ou ^D^D pour terminer.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Échec d'ouverture de l'entrée standard : %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Impossible de rouvrir l'entrée standard depuis le clavier, désolé\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Réception de SIGHUP ou SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 "Désolé ! Nano s'est planté ! Code : %d. Merci de nous signaler le problème.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Utilisez « fg » pour revenir à nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Suspendre est désactivé"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "- marche"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "- arrêt"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Touche non affectée"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Touche non assignable : M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Touche non affectée : M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Touche non affectée : ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Touche non affectée : %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
-msgstr "taille de tabulation « %s » demandée non valide"
+msgstr "Taille de tabulation « %s » demandée non valide"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
-msgstr "la colonne maximale « %s » n'est pas valide"
+msgstr "La colonne maximale « %s » n'est pas valide"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Entrez « %s -h » pour une liste des options disponibles.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Numéro de ligne ou de colonne incorrect"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Erreurs dans « %s »"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Bienvenue dans nano. Pressez Ctrl+G pour un résumé des commandes."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Oo"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Tt"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Oui"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Non"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Tous"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Erreur dans %s à la ligne %zu : "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
-msgstr "l'argument %s contient un \" non fermé"
+msgstr "L'argument %s contient un \" non fermé"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
-msgstr "les expr. rationnelles doivent être encadrées par des « \" »"
+msgstr "Les expr. rationnelles doivent être encadrées par des « \" »"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
-msgstr "mauvaise expr. rationnelle « %s » : %s"
+msgstr "Mauvaise expr. rationnelle « %s » : %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
-msgstr "nom de syntaxe manquant"
+msgstr "Nom de syntaxe manquant"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Guillemet non refermé dans un nom de syntaxe"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
-msgstr "le nom « none » est un nom de syntaxe réservé"
+msgstr "Le nom « none » est un nom de syntaxe réservé"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
-msgstr "la syntaxe « default » n'accepte pas d'extension"
+msgstr "La syntaxe « default » n'accepte pas d'extension"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Raccourci manquant"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Raccourci trop court"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Les raccourcis doivent commencer par « ^ », « M » ou « F »"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "La touche %s n'existe pas"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Vous devez indiquer la fonction à laquelle ce raccourci est associée"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Vous devez indiquer le menu (ou « all » pour tous) auquel ce raccourci est "
 "rattaché"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
-msgstr "impossible de trouver la fonction « %s »"
+msgstr "Impossible de trouver la fonction « %s »"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
-msgstr "impossible de trouver le menu « %s »"
+msgstr "Impossible de trouver le menu « %s »"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "La fonction « %s » n'existe pas dans le menu « %s »"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
-msgstr "désolé, le raccourci « %s » ne peut être réattribué"
+msgstr "Désolé, le raccourci « %s » ne peut être réattribué"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Erreur lors de l'expansion de %s : %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Impossible de comprendre la couleur « %s »"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Une couleur de fond ne peut pas être lumineuse (bright)"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Une commande « %s » doit être précédée d'une commande « syntaxe »"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
-msgstr "nom de couleur manquant"
+msgstr "Nom de couleur manquant"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Expression rationnelle manquante après la commande « %s »"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Expr. rationnelle vide"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "« start » nécessite un « end » correspondant"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr ""
-"la syntaxe « default » n'accepte pas les expressions rationnelles « %s »"
+"La syntaxe « default » n'accepte pas les expressions rationnelles « %s »"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Argument manquante après « %s »"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
-msgstr "l'argument de « %s » n'est pas terminé par un \""
+msgstr "L'argument de « %s » n'est pas terminé par un \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
-"Erreur bloquante : aucun raccourci n'est associé à la fonction « %s ». "
-"Arrêt.\n"
+"Aucune touche associée à la fonction « %s » dans le menu « %s ». Arrêt.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2179,62 +2211,62 @@ msgstr ""
 "Si besoin, lancez nano avec l'option -I pour modifier les paramètres de "
 "votre fichier nanorc\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
-msgstr "impossible de trouver la syntaxe « %s » à étendre"
+msgstr "Impossible de trouver la syntaxe « %s » à étendre"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
-msgstr "la syntaxe « %s » ne contient aucune commande de coloration (color)"
+msgstr "La syntaxe « %s » ne contient aucune commande de coloration (color)"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
-msgstr "la commande « %s » est interdite dans un fichier inclus"
+msgstr "La commande « %s » est interdite dans un fichier inclus"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
-msgstr "impossible de comprendre la commande « %s »"
+msgstr "Impossible de comprendre la commande « %s »"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Option manquante"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Option « %s » inconnue"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
-msgstr "impossible de désactiver l'option « %s »"
+msgstr "Impossible de désactiver l'option « %s »"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
-msgstr "l'option « %s » nécessite un argument"
+msgstr "L'option « %s » nécessite un argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "L'argument n'est pas une chaîne multioctet valable"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
-msgstr "les blancs sont interdits"
+msgstr "Les blancs sont interdits"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
-msgstr "indiquez 2 caractères (mono-colonne)"
+msgstr "Indiquez 2 caractères (mono-colonne)"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
-msgstr "impossible de trouver mon répertoire personnel ! Ouah !"
+msgstr "Impossible de trouver mon répertoire personnel ! Ouah !"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Resp. casse]"
@@ -2243,41 +2275,36 @@ msgstr " [Resp. casse]"
 msgid " [Regexp]"
 msgstr " [Exp. ration.]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Arrière]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (à remplacer) dans la sélection"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (à remplacer)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Recherche..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "« %.*s%s » non trouvé"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Remplacer cette occurrence ?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Remplacer par"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2285,256 +2312,247 @@ msgstr[0] "%zd remplacement effectué"
 msgstr[1] "%zd remplacements effectués"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Entrez : numéro de ligne, numéro de colonne "
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "N'est pas un crochet"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Aucun crochet correspondant"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Marque posée"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Marque enlevée"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "erreur d'appel de « %s »"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr ""
 "L'ajout de commentaire n'est pas pris en charge pour ce type de fichier"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Impossible de dépasser la fin du fichier"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Aucune opération à annuler !"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "ajout de texte"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "nouvelle ligne"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "effacement de texte"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "fusion de lignes"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "remplacement de texte"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "texte coupé"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "texte restauré"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "insertion de texte"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "filtrage"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "mise en retrait"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "diminuer le retrait"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "commenter"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "décommenter"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Action annulée (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Rien à refaire !"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Action refaite (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Impossible de créer un tube"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Impossible de créer un nouveau processus"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "filtrage"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Échec d'ouverture du tube : %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Mauvaise chaîne de citation %s : %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Il est maintenant possible de dé-justifier !"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Mot %s introuvable"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Entrez une correction"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Mot suivant"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Création de la liste des fautes, veuillez patienter..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Impossible d'obtenir la taille de tampon du tube"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "erreur d'appel de « spell »"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "erreur à l'appel de « sort -f »"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "erreur à l'appel de « uniq »"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Appel du correcteur orthographique, veuillez patienter"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Échec de la correction : %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Échec de la correction : %s : %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Vérification orthographique terminée"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Aucun analyseur statique défini pour ce type de fichiers !"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Sauver l'espace modifié avant l'analyse statique ?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Lancement de l'analyse statique, veuillez patienter"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "La commande « %s » n'a produit aucune ligne analysable"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Ce message concerne le fichier non ouvert %s. L'ouvrir dans un nouvel "
 "espace ?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Plus d'erreur dans les fichiers non ouverts, abandon."
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Dernier message"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Premier message"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Terminé"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Lancement de la mise en forme, veuillez patienter"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Mise en forme terminée"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%s %zu mots,  %zd lignes, %zu caractères"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "Contenu de la sélection : "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Entrée telle quelle"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Pas de fragment de mot"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Aucune autre correspondance"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Aucune correspondance"
 
@@ -2564,100 +2582,73 @@ msgstr "Trop d'erreur sur l'entrée stan
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Séquence inconnue"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Entrée Unicode : %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "RÉP. :"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Modifié"
 
 # Cela devrait être « visualisation », pour être logique.
 # Mais il faut quelque chose de court qui tienne sans
 # déborder sur le bord haut de l'écran.
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Voir"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Les avertissements suivants ne sont pas affichés"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "ligne %zd/%zd (%d%%), col. %zu/%zu (%d%%), car. %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "L'éditeur de texte nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "version"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Proposé par :"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Remerciements particuliers à :"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "La Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "les nombreux traducteurs et le Translation Project (TP)"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Pour ncurses :"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "et toute autre personne que nous aurions oubliée..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Merci d'utiliser nano !"
-
-#~ msgid "Quoting string"
-#~ msgstr "Préfixe des citations"
-
-#~ msgid "Reading from stdin, ^C to abort\n"
-#~ msgstr "Lecture depuis l'entrée standard, ^C pour abandonner\n"
-
-#~ msgid "Exit from nano"
-#~ msgstr "Quitter nano"
-
-#~ msgid "A syntax name must be quoted"
-#~ msgstr "Un nom de syntaxe doit être entre guillemets"
-
-#~ msgid ""
-#~ "Color \"%s\" not understood.\n"
-#~ "Valid colors are \"green\", \"red\", \"blue\",\n"
-#~ "\"white\", \"yellow\", \"cyan\", \"magenta\" and\n"
-#~ "\"black\", with the optional prefix \"bright\"\n"
-#~ "for foreground colors."
-#~ msgstr ""
-#~ "couleur « %s » inconnue.\n"
-#~ "Les couleurs légales sont « green » (vert),\n"
-#~ "« red » (rouge), « blue » (bleu),\n"
-#~ "« white » (blanc), « yellow » (jaune),\n"
-#~ "« cyan », « magenta » et « black » (noir),\n"
-#~ "avec comme préfixe optionnel « bright » (lumineux)\n"
-#~ "pour les couleurs de texte."
Binary files 2.9.8-1/po/ga.gmo and 3.0-1/po/ga.gmo differ
diff -pruN 2.9.8-1/po/ga.po 3.0-1/po/ga.po
--- 2.9.8-1/po/ga.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/ga.po	2018-09-09 09:48:30.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 2.9.4-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2018-03-04 05:44-0600\n"
 "Last-Translator: Kevin Scannell <kscanne@gmail.com>\n"
 "Language-Team: Irish <gaeilge-gnulinux@lists.sourceforge.net>\n"
@@ -24,83 +24,87 @@ msgid "Cannot open directory: %s"
 msgstr "Ní féidir an chomhadlann a oscailt: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Téigh go Comhadlann"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Cealaithe"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Ní féidir dul amach as %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Ní féidir dul go dtí an chomhadlann thuas"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Earráid agus %s á léamh: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Níl an chomhadlann oibre ann a thuilleadh"
 
 # max 7 with parens on 80 col screen --kps
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "cmhdlnn"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "téigh suas"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(mór)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Cuardaigh"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Siar]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Thimfhill an Cuardach"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Seo é an toradh amháin atá ann"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Níl patrún cuardaigh ann faoi láthair"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Ainm comhréire anaithnid: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "Theip ar magic_load(): %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "Theip ar magic_file(%s): %s"
@@ -172,7 +176,7 @@ msgstr "Comhad %s á chur in eagar (ag %
 msgid "Can't read file from outside of %s"
 msgstr "Ní féidir comhad a léamh ó thaobh amuigh de %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "Is comhadlann é \"%s\""
@@ -182,26 +186,55 @@ msgstr "Is comhadlann é \"%s\""
 msgid "\"%s\" is not a normal file"
 msgstr "Ní gnáthchomhad é \"%s\""
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Níl aon mhaoláin oscailte fágtha"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "Rogha ar iarraidh"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Athraithe go %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
+msgstr[3] ""
+msgstr[4] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Maolán Nua"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, fuzzy, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "Léadh %zu líne"
+msgstr[1] "Léadh %zu líne"
+msgstr[2] "Léadh %zu líne"
+msgstr[3] "Léadh %zu líne"
+msgstr[4] "Léadh %zu líne"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Níl aon mhaoláin oscailte fágtha"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Ní féidir comhad '%s' a scríobh"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
@@ -211,7 +244,7 @@ msgstr[2] "Léadh %zu líne (tiontaithe
 msgstr[3] "Léadh %zu líne (tiontaithe ó fhormáid DOS/Mac)"
 msgstr[4] "Léadh %zu líne (tiontaithe ó fhormáid DOS/Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
@@ -221,7 +254,7 @@ msgstr[2] "Léadh %zu líne (tiontaithe
 msgstr[3] "Léadh %zu líne (tiontaithe ó fhormáid Mac)"
 msgstr[4] "Léadh %zu líne (tiontaithe ó fhormáid Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
@@ -231,7 +264,7 @@ msgstr[2] "Léadh %zu líne (tiontaithe
 msgstr[3] "Léadh %zu líne (tiontaithe ó fhormáid DOS)"
 msgstr[4] "Léadh %zu líne (tiontaithe ó fhormáid DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
@@ -241,89 +274,99 @@ msgstr[2] "Léadh %zu líne"
 msgstr[3] "Léadh %zu líne"
 msgstr[4] "Léadh %zu líne"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Comhad Nua"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Comhad \"%s\" gan aimsiú"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "Is comhad gléis é \"%s\""
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Comhad á Léamh"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Ordú le rith i maolán nua"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Ordú le rith"
 
-#: src/files.c:1049
-#, c-format
-msgid "File to insert into new buffer [from %s]"
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
 msgstr "Comhad le hionsá i maolán nua [ó %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, fuzzy, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Comhad le hionsá i maolán nua [ó %s]"
+
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Comhad le hionsá [ó %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Comhad le hionsá [ó %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Eochair neamhcheadaithe mura bhfuiltear i mód ilmhaoláin"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Comhadlann oibre neamhbhailí\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Níorbh fhéidir cúltaca a scríobh; sábháil mar sin féin? (N mura bhfuil tú "
 "cinnte)"
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Comhadlann chúltaca neamhbhailí\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Ní féidir scríobh lasmuigh de %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Earráid agus comhad cúltaca %s á scríobh: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "An iomarca comhad cúltaca?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Earráid agus comhad sealadach á scríobh: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Earráid agus %s á scríobh: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
@@ -333,888 +376,880 @@ msgstr[2] "Scríobhadh %zu líne"
 msgstr[3] "Scríobhadh %zu líne"
 msgstr[4] "Scríobhadh %zu líne"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Formáid DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Formáid Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Cúltaca]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Réamhcheangail an Roghnúchán le Comhad"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Iarcheangail an Roghnúchán le Comhad"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Scríobh an Roghnúchán i gComhad"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Comhad ar mian leat Réamhcheangal leis"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Comhad ar mian leat Iarcheangal leis"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Ainm Comhaid le Scríobh"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Tá an comhad ann - ní féidir forscríobh"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Sábháil an comhad le hAINM DIFRIÚIL? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Tá comhad \"%s\" ann; FORSCRÍOBH? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Athraíodh an comhad ar an diosca"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Athraíodh an comhad ón am a d'oscail tú é; sábháil é mar sin féin? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(tuilleadh)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Scoir"
 
 # next batch are main menu - should be 9 characters at most
 # 10 characters fit, but with no space before next option
 # I'm assuming an 80 column terminal here
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Dún"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Díghearr Téacs"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "DíComhfhdú"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Léigh"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Cuardach"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Ionadaigh"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Téigh Go Líne"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "An Líne Roimhe Seo"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "An Chéad Líne Eile"
-
-# main menu - keep short?
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Ar Ais"
-
-# main menu - keep short?
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Ar Aghaidh"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Comhfhadú"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "LánComhfhadú"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Athnuaigh"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Cuardaigh Arís"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Cealaigh an fheidhm reatha"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Taispeáin an chabhair seo"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Dún an maolán reatha / Scoir nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Scríobh an comhad reatha (nó an réigiún marcáilte) ar an diosca"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Ionsáigh comhad eile isteach sa maolán reatha (nó i maolán nua)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Cuardach ar aghaidh ar theaghrán nó slonn ionadaíochta"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Cuardach ar gcúl ar theaghrán nó slonn ionadaíochta"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "Cuardach ar theaghrán"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Cuardach ar theaghrán"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Athnuaigh an liosta comhad"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Téigh go dtí an colún ar chlé"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Téigh go dtí an colún ar dheis"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Téigh go dtí an chéad ró sa gcolún seo"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Téigh go dtí an ró deireanach sa gcolún seo"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Téigh suas scáileán amháin"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Téigh síos scáileán amháin"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Gearr an líne reatha (nó réigiún marcáilte) agus cuir sa mhaolán gearrtha é"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Greamaigh ón mhaolán gearrtha isteach sa líne reatha"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Taispeáin ionad an chúrsóra"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Rith an litreoir, má tá ceann ar fáil"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Ionadaigh teaghrán nó slonn ionadaíochta"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Téigh go dtí an líne agus an colún sonraithe"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "An cuardach céanna arís"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Marcáil téacs ag tosú ag an gcúrsóir"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Cóipeáil an líne reatha (nó réigiún marcáilte) agus cuir sa mhaolán gearrtha "
 "é"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Eangaigh an líne reatha (nó na línte marcáilte)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Dí-eangaigh an líne reatha (nó na línte marcáilte)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Cealaigh an oibríocht is déanaí"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Athdhéan an oibríocht is déanaí a cealaíodh"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Carachtar amháin siar"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Ar aghaidh carachtar amháin"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Téigh siar focal amháin"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Téigh ar aghaidh focal amháin"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Téigh go dtí an líne roimhe seo"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Téigh go dtí an chéad líne eile"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Téigh go tús na líne reatha"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Téigh go deireadh na líne reatha"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Téigh go dtí an bloc téacs roimhe seo"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Téigh go dtí an chéad bhloc téacs eile"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Téigh go tús an ailt reatha; ansin an ceann roimhe sin"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Téigh thar deireadh an ailt reatha; ansin an t-alt tar éis sin"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Téigh go dtí an chéad líne sa chomhad"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Téigh go dtí an líne dheiridh sa chomhad"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Téigh go dtí an lúibín a mheaitseálann"
 
-#: src/global.c:591
+#: src/global.c:587
 #, fuzzy
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Scrollaigh suas líne amháin, ach ná scrollaigh an cúrsóir"
 
-#: src/global.c:593
+#: src/global.c:589
 #, fuzzy
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Scrollaigh síos líne amháin, ach ná scrollaigh an cúrsóir"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Athraigh go dtí an maolán roimhe seo"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Athraigh go dtí an chéad mhaolán eile"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Ionsáigh an chéad charachtar eile go litriúil"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Ionsáigh táb ag an gcúrsóir"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Ionsáigh líne nua ag an gcúrsóir"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Scrios an carachtar faoin chúrsóir"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Scrios an carachtar ar an taobh clé den chúrsóir"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Gearr ar gcúl ón chúrsóir go dtí tús an fhocail"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Gearr ar aghaidh ón chúrsóir go dtí tús an chéad fhocail eile"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Gearr ón chúrsóir go dtí deireadh an chomhaid"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Comhfhadaigh an t-alt reatha"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Comhfhadaigh an comhad iomlán"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Áirigh líon na bhfocal, líon na línte, agus líon na gcarachtar"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Athnuaigh (ataispeáin) an scáileán reatha"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Cuir an t-eagarthóir ar fionraí (más féidir)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Déan iarracht an focal reatha a chríochnú"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Athraigh stádas nóta tráchta den líne reatha (nó na línte marcáilte)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Sábháil an comhad gan deimhniú"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "An chéad toradh eile ar gcúl"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "An chéad toradh eile ar aghaidh"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Tosaigh/stop macra a thaifeadadh"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Rith an macra taifeadta is déanaí"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Scoránaigh cásíogaireacht"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Scoránaigh treo an chuardaigh"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Scoránaigh úsáid slonn ionadaíochta"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Athghair an teaghrán cuardaigh roimhe seo"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Athghair an chéad teaghrán cuardaigh eile"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Scoránaigh úsáid d'fhormáid DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Scoránaigh úsáid d'fhormáid Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Scoránaigh iarcheangal"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Scoránaigh réamhcheangal"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Scoránaigh cúltacaí"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Rith ordú seachtrach"
 
-#: src/global.c:659
+#: src/global.c:655
 #, fuzzy
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Scríobh an comhad reatha (nó an réigiún marcáilte) ar an diosca"
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Ná tiontaigh comhaid ó fhormáid Dos/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Scoránaigh úsáid mhaoláin nua"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Dún an maolán gan sábháil"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Oscail brabhsálaí na gcomhad"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Scoir brabhsálaí na gcomhad"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Téigh go dtí an chéad chomhad sa liosta"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Téigh go dtí an comhad deiridh sa liosta"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Téigh go dtí an comhad roimhe seo sa liosta"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Téigh go dtí an chéad chomhad eile sa liosta"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Téigh go comhadlann"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Rith glantóir cóid (lint), má tá ceann ar fáil"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "An tcht roimhe seo ó lint"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "An chéad tcht eile ó lint"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Rith formáiditheoir, má tá ceann ar fáil"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Cabhair"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Cealaigh"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Scríobh"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Léigh"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Comhfhadú"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Athnuaigh"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Cuardach"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Ionadaigh"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "OsclComdln"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Gearr"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Litreoir"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Glantóir"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formáidiú"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Cúrsóir"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Téigh Go Líne"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Cealaigh"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Athdhéan"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "MarcáilTcs"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "CóipTéacs"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Cásíogair"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Slonn"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Siar"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Gan Ionadú"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "LánComhfhadú"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Go Lúibín"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Sábháil"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "LorgArgCúl"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Roimhe Seo"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Ar Aghaidh"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Siar"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Ar Aghaidh"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "FocalRmh"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "FocalArA"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Baile"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Deireadh"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "An Líne Roimhe Seo"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "An Chéad Líne Eile"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "ScrollSuas"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "ScrollSíos"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "BlocRmhSeo"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "BlocArAgh"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "BarrAnAilt"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "DeirAnAilt"
 
-#: src/global.c:899
+# main menu - keep short?
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Ar Ais"
+
+# main menu - keep short?
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Ar Aghaidh"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Chéad Líne"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "LíneDheir"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "ComhadRmh"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "ComhadArA"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Táb"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Iontráil"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Scrios"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Cúlspás"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "GearrArClé"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "GrrArDheis"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "GearrGoBun"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "LíonFocal"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Litriúil"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "ArFionraí"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "EangúTéacs"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "DíeangúTcs"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
+msgstr "eangú"
+
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
+msgstr "dí-eangú"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "NótaíTrcht"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Críochnaigh"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Taifead"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Rith Macra"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "LorgArgCúl"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Sábháil"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "StairArAis"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "StairArAgh"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "TéighTéacs"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "FormáidDOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "FormáidMac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Iarcheangal"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Réamhcheangl"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Cúltaca"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "leagan"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Rith Ordú"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "CóipTéacs"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Go Comhaid"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "ChéadChmhd"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "ComhadDeir"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "ColArChlé"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "ColArDheis"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "AnChéadRó"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "RóDeiridh"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "ScrsMaoln"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Tcht Lint Roimhe Seo"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Chéad Tcht Lint Eile"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Mód cabhrach"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Taispeáin ionad an chúrsóra i gcónaí"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Úsáid líne amháin eile le haghaidh eagarthóireachta"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Mínscrollú"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Timfhilleadh bog de línte fada"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Taispeáint spáis bháin"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Aibhsiú comhréire le dathanna"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Eochair bhaile chliste"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Uath-eangú"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Gearr go dtí an deireadh"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Timfhilleadh crua de línte fada"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Tiontaigh táib chlóscríofa go spásanna"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Comhaid chúltaca"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Comhad á léamh i maolán ar leith"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Tacaíocht luiche"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Ná tiontaigh ó fhormáid DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Cur ar Fionraí"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Uimhriú línte"
 
@@ -1442,15 +1477,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Cabhair: Rith Ordú\n"
 "\n"
@@ -1461,7 +1495,23 @@ msgstr ""
 " Tá na heochracha feidhme seo a leanas ar fáil sa mhód \"Rith Ordú\":\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" Tá na heochracha feidhme seo a leanas ar fáil sa mhód \"Cuardach Brabhsálaí"
+"\":\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1482,7 +1532,7 @@ msgstr ""
 "an comhad atá in eagar.  Taispeántar teachtaireachtaí tábhachtacha ar an "
 "líne stádais, an tríú líne ó bhun an scáileáin.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1499,7 +1549,7 @@ msgstr ""
 "leis an tsiombail Meta (M-), agus is féidir iad féin a chur isteach le ceann "
 "de Esc, Alt, nó Meta, ag brath ar shocruithe do mhéarchlár.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1513,7 +1563,7 @@ msgstr ""
 "eagarthóra.  Taispeántar eochracha malartacha idir lúibíní:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "(cumasú/díchumasú)"
 
@@ -1551,19 +1601,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Earráid agus %s á scríobh: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Eochair neamhcheadaithe sa mhód amhairc"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Níl an fheidhm seo ar fáil sa mhód teoranta"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Níl cabhair ar fáil"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1572,7 +1622,7 @@ msgstr ""
 "\n"
 "Scríobhadh an maolán i %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1581,7 +1631,7 @@ msgstr ""
 "\n"
 "Níor scríobhadh an maolán i %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1590,7 +1640,7 @@ msgstr ""
 "\n"
 "Níor scríobhadh an maolán: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1601,7 +1651,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1611,7 +1661,7 @@ msgstr ""
 "'+' roimh ainm an chomhaid. Is féidir uimhir an cholúin a chur tar éis "
 "camóg.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1620,280 +1670,280 @@ msgstr ""
 "Má thugtar '-' mar ainm comhaid, léann nano sonraí ón ionchur caighdeánach.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Rogha\t\tRogha fhada GNU\t\tMíniú\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Cumasaigh eochair bhaile chliste"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Sábháil cúltacaí de chomhaid atá ann cheana"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <comhadlann>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<comhadlann>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Comhadlann a sábhálfar comhaid uathúla chúltaca inti"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Úsáid cló trom in ionad téacs aisiompaithe"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Tiontaigh táib chlóscríofa go spásanna"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Léigh comhad i maolán nua de réir réamhshocraithe"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Úsáid comhaid ghlasála (ar nós vim)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Logáil agus léigh stair na dteaghrán cuardaigh"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Ná húsáid comhaid nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Deisigh mearbhall maidir leis an eochaircheap uimhriúil"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Ná cuir carachtair líne nua ag deireadh comhad"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 "Scrios spásanna ó dheireadh na líne agus timfhilleadh crua á chur i bhfeidhm"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Ná tiontaigh comhaid ó fhormáid Dos/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Úsáid líne amháin eile le haghaidh eagarthóireachta"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Lógáil agus léigh ionadaithe an chúrsóra"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q <teaghrán>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<teaghrán>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr ""
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Mód teoranta"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Scrollaigh de réir línte in ionad leathscáileáin"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#colúin>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#colúin>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Socraigh leithead de tháib a bheith #colúin"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Bánaigh an barra stádais go gasta"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Taispeáin eolas faoin leagan agus scoir"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Braith teorainneacha idir focail i slí níos cruinne"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <teaghrán>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<teaghrán>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Carachtair eile mar chuid d'fhocail"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <ainm>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<ainm>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Sainmhíniú na comhréire le haghaidh dathaithe"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Déan timfhilleadh bog ag spás bán"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Taispeáin ionad an chúrsóra i gcónaí"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Deisigh mearbhall idir na heochracha \"Backspace\" agus \"Delete\""
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Taispeáin an cúrsóir i mbrabhsálaí comhad"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Taispeáin an chabhair seo agus scoir"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Eangaigh línte nua go huathoibríoch"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Gearr ón chúrsóir go deireadh na líne"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Taispeáin uimhreacha línte"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Cumasaigh úsáid na luiche"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Ná léigh an comhad (scríobh amháin)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <comhadlann>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<comhadlann>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Socraigh an chomhadlann oibre"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Caomhnaigh eochracha XON (^Q) agus XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#colúin>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#colúin>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Socraigh timfhilleadh crua ag colún #colúin"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <clár>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<clár>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Cumasaigh litreoir malartach"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Sábháil go huathoibríoch ag am scortha; ná fiafraigh díom"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Sábháil comhaid i bhformáid Unix de réir réamhshocraithe"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Mód amhairc (inléite amháin)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Ná déan timfhilleadh ar línte fada"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Ná taispeáin an dá líne chabhrach"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Ceadaigh cur ar fionraí"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Cumasaigh timfhilleadh bog"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, leagan %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " © 2014-%s rannpháirtithe nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " R-phost: nano@nano-editor.org\tGréasán: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1902,336 +1952,335 @@ msgstr ""
 "\n"
 " Roghanna tiomsaithe:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Gan ainm comhaid"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Sábháil athruithe? (\"No\" = ní sábhálfar athruithe.)"
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Níorbh fhéidir stdin a oscailt: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Níorbh fhéidir stdin a athoscailt ón mhéarchlár\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Fuarthas SIGHUP nó SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Úsáid \"fg\" chun filleadh ar nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Ní cheadaítear cur ar fionraí"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "cumasaithe"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "díchumasaithe"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Eochair neamhcheangailte"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Eochair nach féidir a cheangal: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Eochair gan cheangal: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Eochair gan cheangal: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Eochair gan cheangal: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Iarradh méid táib neamhbhailí \"%s\""
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Iarradh méid líonta neamhbhailí \"%s\""
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Úsáid '%s -h' chun liosta na roghanna a fháil.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Uimhir líne nó uimhir cholúin neamhbhailí"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Botúin i '%s'"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Ss"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Uu"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Sábháil"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Ná Sábháil"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Uile"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Earráid i %s ar líne %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Tá \" gan chríoch in argóint '%s'"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr ""
 "Ní mór carachtar \" a bheith ag tús agus ag deireadh sloinn ionadaíochta"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Slonn ionadaíochta neamhbhailí \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Ainm comhréire ar iarraidh"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Comhartha athfhriotail corr in ainm comhréire"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Comhréir \"none\" in áirithe"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Ní cheadaítear eisínteachtaí leis an gcomhréir \"default\""
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Ainm eochrach ar iarraidh"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Ainm eochrach róghearr"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Ní mór \"^\", \"M\", nó \"F\" a bheith ag tús ainm na heochrach"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Ainm eochrach neamhbhailí %s"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Ní mór duit feidhm a gceanglófar an eochair léi a thabhairt"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Caithfidh tú roghchlár (nó \"all\") a shonrú ina gceanglófar an eochair"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Níorbh fhéidir ainm \"%s\" a mhapáil go feidhm"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Níorbh fhéidir ainm \"%s\" a mhapáil go roghchlár"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Níl feidhm '%s' ann i roghchlár '%s'"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Ár leithscéal, ní féidir eochair \"%s\" a athcheangal"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Earráid agus %s á leathnú: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Níor tuigeadh dath \"%s\""
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Ní cheadaítear dath cúlra geal"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Is gá ordú 'syntax' a chur roimh ordú '%s'"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Ainm datha ar iarraidh"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Slonn ionadaíochta ar iarraidh tar éis ordú '%s'"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Slonn ionadaíochta folamh"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "Tá gá le \"end=\" in éineacht le gach \"start=\""
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr ""
 "Ní féidir sloinn ionadaíochta '%s' a úsáid leis an gcomhréir \"default\""
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Argóint ar iarraidh tar éis '%s'"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Tá \" ar iarraidh ag deireadh argóint '%s'"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
-"Earráid mharfach: níl aon eochracha mapáilte le feidhm \"%s\". Ag scor.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr ""
 "Más gá, úsáid nano leis an rogha -I chun do chuid socruithe nanorc a athrú.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Níor aimsíodh comhréir \"%s\" lena leathnú"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Níl orduithe datha ag an gcomhréir \"%s\""
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Ní cheadaítear ordú \"%s\" i gcomhad iniata"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Níor tuigeadh ordú \"%s\""
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Rogha ar iarraidh"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Rogha anaithnid \"%s\""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Ní féidir rogha \"%s\" a dhíchumasú"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Caithfidh tú argóint a thabhairt le rogha \"%s\""
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Níl an argóint ina teaghrán bailí ilbheart"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Carachtair neamhbhána de dhíth"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Dhá charachtar aoncholúin de dhíth"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Ní féidir mo chomhadlann bhaile a aimsiú!  Ochón!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Cásíogair]"
@@ -2240,41 +2289,36 @@ msgstr " [Cásíogair]"
 msgid " [Regexp]"
 msgstr " [Slonn]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Siar]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (le cur in ionad) i roghnúchán"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (le cur in ionad)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Ag Cuardach..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" gan aimsiú"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Ionadaigh an ceann seo?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Ionadaigh le"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2285,255 +2329,246 @@ msgstr[3] "Cuireadh teaghrán nua ina io
 msgstr[4] "Cuireadh teaghrán nua ina ionad %zd uair"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Cuir isteach uimhir na líne agus uimhir an cholúin"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Ní lúibín é"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Níl lúibín comhoiriúnach ann"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Socraíodh Marc"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Díshocraíodh Marc"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Earráid agus \"%s\" á thosú"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Ní féidir nótaí tráchta a dhéanamh le comhad den chineál seo"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Ní féidir nóta tráchta a dhéanamh thar deireadh an chomhaid"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Níl faic le cealú!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "téacs a chur leis"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "briseadh líne"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "téacs a scriosadh"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "líne a cheangal"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "téacs a ionadú"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "téacs a ghearradh"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "téacs a dhíghearradh"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "téacs a ionsá"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "eangú"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "dí-eangú"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "nóta tráchta"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "cealú nóta tráchta"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Cealaíodh gníomh (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Níl faic le hathdhéanamh!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Athrinneadh gníomh (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Níorbh fhéidir píopa a chruthú"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Níorbh fhéidir forc a dhéanamh"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, fuzzy, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Níorbh fhéidir stdin a oscailt: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Drochtheaghrán athfhriotail %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Is féidir Dí-Chomhfhadú anois!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Focal nach féidir aimsiú: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Cuir ionadaí in eagar"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "An chéad fhocal eile..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Liosta focal mílitrithe á chruthú; fan go fóill, le do thoil..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Níl aon fháil ar mhéid an mhaoláin píopa"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Earráid agus \"spell\" á thosú"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Earráid agus \"sort -f\" á thosú"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Earráid agus \"uniq\" á thosú"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Litreoir á thosú, fan nóiméad"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Theip ar an litreoir: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Theip ar an litreoir: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Chríochnaigh an litreoir"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Níl aon ghlantóir ar fáil don chineál comhaid seo!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "An bhfuil fonn ort an maolán athraithe a shábháil roimh ghlanadh?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Glantóir cóid á thosú, fan nóiméad"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Fuarthas 0 líne inpharsáilte ón ordú: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Baineann an teachtaireacht seo le comhad %s gan oscailte; oscail i maolán "
 "nua é?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Níl aon earráid eile i gcomhaid neamhoscailte; á chealú"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Ag an teachtaireacht dheireanach"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Ag an chéad teachtaireacht"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Críochnaithe"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Formáiditheoir á thosú, fan nóiméad"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Formáidiú críochnaithe"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sFocail: %zu  Línte: %zd  Carachtair: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "Sa Roghnúchán:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Ionchur Litriúil"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Níl tuilleadh torthaí ann"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Gan torthaí"
 
@@ -2563,80 +2598,126 @@ msgstr "An iomarca earráidí ó stdin"
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Seicheamh anaithnid"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Ionchur Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "COMHADLANN:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Athraithe"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Amharc"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Tuilleadh rabhadh nár taispeánadh"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "líne %zd/%zd (%d%%), colún %zu/%zu (%d%%), carachtar %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Eagarthóir téacs nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "leagan"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Scríofa ag:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Táimid fíorbhuíoch de:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "The Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "na haistritheoirí go léir agus Tionscadal Aistriúcháin GNU"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "As ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "agus de gach duine eile a ndearnamar dearmad orthu..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Go raibh maith agat as úsáid nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Athraithe go %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Cuardaigh Arís"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "An cuardach céanna arís"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Rith formáiditheoir, má tá ceann ar fáil"
+
+#~ msgid "Formatter"
+#~ msgstr "Formáidiú"
+
+#~ msgid "Indent Text"
+#~ msgstr "EangúTéacs"
+
+#~ msgid "Unindent Text"
+#~ msgstr "DíeangúTcs"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Úsáid líne amháin eile le haghaidh eagarthóireachta"
+
+#~ msgid "Backup files"
+#~ msgstr "Comhaid chúltaca"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Comhad á léamh i maolán ar leith"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Ná tiontaigh ó fhormáid DOS/Mac"
+
 #~ msgid "Quoting string"
 #~ msgstr "Teaghrán athfhriotail"
 
 #~ msgid "Reading from stdin, ^C to abort\n"
 #~ msgstr "Ag léamh ó stdin, ^C le scor\n"
 
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Earráid mharfach: níl aon eochracha mapáilte le feidhm \"%s\". Ag scor.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Críochnaithe"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Formáiditheoir á thosú, fan nóiméad"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Formáidiú críochnaithe"
+
 #~ msgid "Exit from nano"
 #~ msgstr "Scoir nano"
 
Binary files 2.9.8-1/po/gl.gmo and 3.0-1/po/gl.gmo differ
diff -pruN 2.9.8-1/po/gl.po 3.0-1/po/gl.po
--- 2.9.8-1/po/gl.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/gl.po	2018-09-09 09:48:30.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 2.7.0\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2016-09-14 23:15+0200\n"
 "Last-Translator: Francisco Javier Tsao Santín <tsao@members.fsf.org>\n"
 "Language-Team: Galician <proxecto@trasno.net>\n"
@@ -25,82 +25,86 @@ msgid "Cannot open directory: %s"
 msgstr "Non se pode ascender por un directorio"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Ir ó Directorio"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Cancelado"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Non se pode ir fóra de %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Non se pode ascender por un directorio"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Erro lendo %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(dir)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(dir pai)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "enorme"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Busca"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Cara Atrás]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Buscando dende o Principio"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Esta é a única aparición"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Non hai patrón de busca"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nome da sintaxe descoñecido: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "fallou magic_load(): %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "fallou magic_file(%s): %s"
@@ -173,7 +177,7 @@ msgstr "O ficheiro %s está sendo editad
 msgid "Can't read file from outside of %s"
 msgstr "Non se pode inserir un ficheiro de fóra de %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" é un directorio"
@@ -183,1034 +187,1059 @@ msgstr "\"%s\" é un directorio"
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" non é un ficheiro normal"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Non hai máis ficheiros abertos"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "Opción non atopada"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Cambiouse a %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Novo buffer"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] ""
+msgstr[1] ""
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Non hai máis ficheiros abertos"
+
+#: src/files.c:933
 #, fuzzy, c-format
 msgid "File '%s' is unwritable"
 msgstr "Non se pode gravar no directorio '%s'"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Leuse %lu liña (Convertida dos formatos DOS e Mac)"
 msgstr[1] "Léronse %lu liñas (Convertidas dos formatos DOS e Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Leuse %lu liña (Convertida de formato Mac)"
 msgstr[1] "Léronse %lu liñas (Convertidas de formato Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Leuse %lu liña (Convertida do formato DOS)"
 msgstr[1] "Léronse %lu liñas (Convertidas do formato DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, fuzzy, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Leuse %lu liña"
 msgstr[1] "Léronse %lu liñas"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Ficheiro Novo"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Non se atopou o arquivo \"%s\""
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" é un ficheiro de dispositivo"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Lendo o Ficheiro"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 #, fuzzy
 msgid "Command to execute in new buffer"
 msgstr "Comando a executar nun novo buffer [dende %s] "
 
-#: src/files.c:1043
+#: src/files.c:1090
 #, fuzzy
 msgid "Command to execute"
 msgstr "Comando a executar [dende %s] "
 
-#: src/files.c:1049
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Ficheiro a inserir nun novo buffer [dende %s] "
+
+#: src/files.c:1101
 #, fuzzy, c-format
-msgid "File to insert into new buffer [from %s]"
+msgid "File to read into new buffer [from %s]"
 msgstr "Ficheiro a inserir nun novo buffer [dende %s] "
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Ficheiro a inserir [dende %s] "
+
+#: src/files.c:1109
 #, fuzzy, c-format
 msgid "File to insert [from %s]"
 msgstr "Ficheiro a inserir [dende %s] "
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Tecla non válida no modo sen multibuffer"
 
-#: src/files.c:1426
+#: src/files.c:1476
 #, fuzzy
 msgid "Invalid operating directory\n"
 msgstr "Establece-lo directorio de traballo"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Faio ó escribir ficheiro de respaldo, ¿continuar gravando? (Prema N se non "
 "está seguro) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 #, fuzzy
 msgid "Invalid backup directory\n"
 msgstr "Non se pode ascender por un directorio"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Non se pode escribir fóra de %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Erro escribindo ficheiro de copia de seguridade %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "¿Demasiados ficheiros de copia de seguridade?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Erro escribindo ficheiro temporal: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Erro writing %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, fuzzy, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Escribiuse %lu liña"
 msgstr[1] "Escribíronse %lu liñas"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Formato DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Formato Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [CopiaSeg]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Engadir a Selección ó Ficheiro polo Principio"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Engadir a Selección ó Ficheiro polo Final"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Gravar a Selección no Ficheiro"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Ficheiro ó que Engadir polo Principio"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Ficheiro ó que Engadir polo final"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Ficheiro a Gravar"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr ""
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "¿Gravar ficheiro baixo NOME DIFERENTE? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "O ficheiro \"%s\" xa existe, ¿SOBREESCRIBIR? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr ""
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "O ficheiro foi modificado dende que o abriu, ¿continua gravando?"
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(máis)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Saír"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Pechar"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "RepórTexto"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "DeXustif"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Ler Fich"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "¿U-lo?"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Substituir"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Ir á liña"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Liña Ant"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Seg Liña"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Páxina ant"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Páxina seg"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Xustificar"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "XustComplt"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Recargar"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "U-lo Seguint"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Cancela-la función actual"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Amosar este texto de axuda"
 
-#: src/global.c:527
+#: src/global.c:523
 #, fuzzy
 msgid "Close the current buffer / Exit from nano"
 msgstr "Pechar o ficheiro cargado actualmente / Saír de nano"
 
-#: src/global.c:529
+#: src/global.c:525
 #, fuzzy
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Grava-lo ficheiro actual no disco"
 
-#: src/global.c:531
+#: src/global.c:527
 #, fuzzy
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Inserir outro ficheiro no actual"
 
-#: src/global.c:533
+#: src/global.c:529
 #, fuzzy
 msgid "Search forward for a string or a regular expression"
 msgstr "Buscar cadea ou experesión regular"
 
-#: src/global.c:535
+#: src/global.c:531
 #, fuzzy
 msgid "Search backward for a string or a regular expression"
 msgstr "Buscar cadea ou experesión regular"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "Buscar cadea"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Buscar cadea"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Refresca-la lista de arquivos"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Ir á columna á esquerda"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Ir á columna á dereita"
 
-#: src/global.c:542
+#: src/global.c:539
 #, fuzzy
 msgid "Go to first row in this column"
 msgstr "Ir á columna á dereita"
 
-#: src/global.c:543
+#: src/global.c:540
 #, fuzzy
 msgid "Go to last row in this column"
 msgstr "Ir á columna á dereita"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Subir unha pantalla"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Baixar unha pantalla"
 
-#: src/global.c:549
+#: src/global.c:546
 #, fuzzy
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Corta-la liña actual e gardala no buffer de cortado"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Desfacer corte do buffer de cortado na liña actual"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Amosa-la posición do cursor"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Chamar ó corrector ortográfico, se hai un"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Substituir unha cadea ou expresión regular"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Ir á liña e columna número"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Repeti-la última busca"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Marcar texto comenzando na posición do cursor"
 
-#: src/global.c:562
+#: src/global.c:558
 #, fuzzy
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Copia-la liña actual e almacenala no buffer de cortado"
 
-#: src/global.c:563
+#: src/global.c:559
 #, fuzzy
 msgid "Indent the current line (or marked lines)"
 msgstr "Comentar/descomenta-la liña actual ou liñas marcadas"
 
-#: src/global.c:564
+#: src/global.c:560
 #, fuzzy
 msgid "Unindent the current line (or marked lines)"
 msgstr "Comentar/descomenta-la liña actual ou liñas marcadas"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Desface-la última operación"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Reface-la última operación desfeita"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Recuar un carácter"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Avanzar un carácter"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Recuar unha verba"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Avanzar unha verba"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Pasar á liña previa"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Pasar á seguinte liña"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Pasar ó principio da liña actual"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Pasar ó final da liña actual"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Pasar ó bloque de texto previo"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Pasar ó seguinte bloque de texto"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Pasar ó principio do parágrafo, entón ó parágrafo previo"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Pasar xusto alén do parágrafo, entón ó seguinte parágrafo"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Pasar á primeira liña do ficheiro"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Pasar á derradeira liña do ficheiro"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Pasar ó paréntese correspondente"
 
-#: src/global.c:591
+#: src/global.c:587
 #, fuzzy
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Desprazar arriba unha liña sen despraza-lo cursor"
 
-#: src/global.c:593
+#: src/global.c:589
 #, fuzzy
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Desprazar unha liña abaixo sen despraza-lo cursor"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Cambiar ó anterior ficheiro"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Cambiar ó seguinte ficheiro"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Inseri-la seguinte pulsación literal"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Inserir unha lingüeta na posición do cursor"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Inserir unha nova liña na posición do cursor"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Borra-lo carácter baixo do cursor"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Borra-lo caracter á esquerda do cursor"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Cortar cara atrás dende o cursor ata o comenzo da seguinte palabra"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Cortar cara adiante dende o cursor ata o comenzo da seguinte palabra"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Cortar da posición do cursor ó final da liña"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Xustifica-lo parágrafo actual"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Xustificar todo o ficheiro"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Conta-lo número de verbas, liñas e caracteres"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Actualiza-la pantalla actual"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Suspende-lo editor (se a suspensión está activada)"
 
-#: src/global.c:626
+#: src/global.c:622
 #, fuzzy
 msgid "Try and complete the current word"
 msgstr "Sangra-la liña actual"
 
-#: src/global.c:630
+#: src/global.c:626
 #, fuzzy
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Comentar/descomenta-la liña actual ou liñas marcadas"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Gravar ficheiro sen confirmación"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Procura a seguinte ocurrencia cara atrás"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Procura a seguinte ocurrencia cara adiante"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr ""
 
-#: src/global.c:637
+#: src/global.c:633
 #, fuzzy
 msgid "Run the last recorded macro"
 msgstr "Desface-la última operación"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Selector de sensibilidade a maiúsculas/minúsculas na busca"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Reverti-la dirección da busca"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Selector de uso de expresións regulares"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Recupera-la anterior cadea de busca/sustitución"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Recupera-la seguinte cadea de busca/sustitución"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Selector de uso do formato DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Selector de uso do formato Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Selector de engadir ó final"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Selector de engadir previo"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Selector de copiado de seguridade do ficheiro orixinal"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Executar comando externo"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Non converti-los ficheiros do formato DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Selector de uso dun novo buffer"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Pechar buffer sen gravar"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Ir ó navegador de ficheiros"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Saír do navegador de ficheiros"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Pasar ó primeiro ficheiro da lista"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Pasar ó derradeiro ficheiro da lista"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Pasar ó anterior ficheiro da lista"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Pasar ó seguinte ficheiro da lista"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Pasar ó directorio"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Chamar ó analizador de sintaxe, se hai un"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Pasar á anterior mensaxe do analizador"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Pasar á anterior mensaxe do analizador"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Chamar ó corrector ortográfico, se hai un"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Obter Axud"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Cancelar"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Gravar"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Ler Fich"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Xustificar"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Recargar"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "¿U-lo?"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Substituir"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Ir ó Directorio"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "CortarText"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Ortografía"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Analizador"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formateador"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "PosicAct"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Ir á liña"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Desfacer"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Refacer"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Marcar"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Copiar Texto"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "SensMa/min"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "ExpReg"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Cara atrás"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Non Subst"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "XustComplt"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Ó delimitador"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Gravar"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+#, fuzzy
+msgid "Where Was"
+msgstr "¿U-lo?"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Anterior"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Seguinte"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Atrás"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Adiante"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Verba Ant"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Verba Seg"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Inicio"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Fin"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Liña Ant"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Seg Liña"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Desprazar Arriba"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Desprazar Abaixo"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Bloque Ant"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Bloque Seg"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Prin Parág"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Fin Parágr"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Páxina ant"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Páxina seg"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Prim liña"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Ult liña"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Ficheiro Anterior"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Ficheiro Seguinte"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Lingüeta"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Entrar"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Borrar"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Retroceso"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "CortarEsqr"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "CortarDert"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "CortarAtaFin"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Conta Verbas"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Entrada Literal"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Suspender"
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
 msgstr "Sangrar"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
 msgstr "De-Sangrar"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Coment Liñas"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr ""
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr ""
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr ""
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-#, fuzzy
-msgid "Where Was"
-msgstr "¿U-lo?"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Gravar"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "HistPrevia"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "HistSeguin"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Ir a Text"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Formato DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Formato Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Engadir ó Final"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Engadir ó Inicio"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Copia Seguridade"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "versión"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Executar Comando"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "Copiar Texto"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "A Ficheiros"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Pri Ficheiro"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Derrad Fich"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Columna Esquerda"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Columna Dereita"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr ""
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr ""
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Descartar buffer"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Msg ant anlzr"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Msg seg anlzr"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Modo de axuda"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Posición do cursor constante"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Uso dunha liña máis para editar"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Desprazar mainamente"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Acortado maino de liñas longas"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Amosar espacios en branco"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Salientar sintaxe con cor"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Tecla de 'smart home'"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Autosangría"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Cortar ata o final"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Acortado forte de liñas longas"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Conversión de lingüetas escritas a espacios"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Facer copia de seguridade de ficheiros"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Lendo arquivo en buffer separado"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "permitir rato"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Non facer conversión de formato DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Suspensión"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr ""
 
@@ -1444,15 +1473,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Texto de Axuda de Execución de Comandos Externos\n"
 "\n"
@@ -1464,7 +1492,23 @@ msgstr ""
 "Externos:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" As seguintes teclas de función están dispoñibles no modo de Busca do "
+"Navegador:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1484,7 +1528,7 @@ msgstr ""
 "principal do editor, que amosa o ficheiro que se edita. A liña de estado é a "
 "terceira liña dende o fondo e amosa mensaxes importantes.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1502,7 +1546,7 @@ msgstr ""
 "nomeadas co símbolo 'M-' e poden ser introducidas usando as teclas Alt, Cmd "
 "ou Esc, dependendo da configuración do seu teclado.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1516,7 +1560,7 @@ msgstr ""
 "alternativas son amosadas entre parénteses\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "activar/desactivar"
 
@@ -1553,19 +1597,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Erro writing %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "A tecla non é válida en modo vista"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Esta función está deshabilitada en modo restrinxido"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Axuda non dispoñible"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1574,7 +1618,7 @@ msgstr ""
 "\n"
 "Gravouse o buffer en %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1583,7 +1627,7 @@ msgstr ""
 "\n"
 "Non se gravou o buffer en %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1592,7 +1636,7 @@ msgstr ""
 "\n"
 "Non se gravou o buffer: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, fuzzy, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1603,295 +1647,295 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
 "a '+' before the filename.  The column number can be added after a comma.\n"
 msgstr ""
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opción\t\tOpción longa GNU\t\tSignificado\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Activar tecla 'smart home'"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Gravar copias de seguridade dos ficheiros existentes"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <dir>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Directorio para gravar ficheiros de copia de seguridade únicos"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Usar texto groso na vez de texto de video reverso"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Convertir as lingüetas escritas a espacios"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Le-lo ficheiro nun novo buffer por defecto"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Usar ficheiros de bloqueo (estilo vim)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Gravar e le-la historia de cadeas a buscar/substituír"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Non mirar nos ficheiros nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Solucionar problema de confusión de teclado numérico"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Non engadir novas liñas ó final dos ficheiros"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Non converti-los ficheiros do formato DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Usar un ou máis liñas para editar"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Rexistrar e ler a posición do cursor"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q <cad>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<cad>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr ""
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Modo restrinxido"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Desprazar liña a liña en vez de media pantalla"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#cols>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#cols>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Establece-lo ancho de lingüeta a #cols columnas"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Facer baleirado rápido da barra de estado"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Amosar información sobre a versión e saír"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Detectar contornos das verbas máis axeitadamente"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <cad>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<cad>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Que outros caracteres son parte de palabras"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 #, fuzzy
 msgid "--syntax=<name>"
 msgstr "--syntax=<cad>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Definición de sintaxe a empregar para corear"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr ""
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Amosa-la posición do cursor constantemente"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Arranxa-lo problema de confusión Retroceso/Borrar"
 
-#: src/nano.c:852
+#: src/nano.c:861
 #, fuzzy
 msgid "Show cursor in file browser"
 msgstr "Ir ó navegador de ficheiros"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Amosar este texto de axuda e saír"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Sangra-las novas liñas automáticamente"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Cut from cursor to end of line"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr ""
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Emprega-lo rato"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Non ler o ficheiro (só escribir nel)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <dir>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<dir>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Establece-lo directorio de traballo"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Conserva-las teclas XON (^Q) e XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#cols>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#cols>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Establecer punto de corte forte na columna #cols"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Usar un corrector ortográfico alternativo"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Gravar ó saíren, sen preguntar"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Grava-lo arquivo por defecto en formato Unix"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Modo visualización (só lectura)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Non facer cortado forte liñas longas"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Non amosa-las dúas liñas de axuda"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Permitir suspensión"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Activar axuste suave de liñas"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr "GNU nano, versión %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, fuzzy, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014..%s os contribuíntes a nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Correo-e: nano@nano-editor.org\tWeb: https://www.nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1900,274 +1944,274 @@ msgstr ""
 "\n"
 "Opcións de compilación"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Non hai nome de ficheiro"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "Grava-lo buffer modificado?  (Respondendo \"Non\" descartará os cambios). "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr ""
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Non se puido reabri-la stdin dende o teclado, síntoo\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Recibiuse SIGHUP ou SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Empregue \"fg\" para voltar a nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Suspensión non activa"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "activado"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "desactivado"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Tecla non asociada"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Tecla non asociable: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Tecla non asociada: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Tecla non asociada: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Tecla non asociada: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "O tamaño de lingüeta solicitado \"%s\" non é válido"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "O tamaño de recheo solicitado \"%s\" non é válido"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Escriba '%s -h' para a lista de opcións dispoñibles.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Número de liña ou columna non válida"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr ""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "SsYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "TtAa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Si"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Non"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Todo"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, fuzzy, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Erro en %s na liña %lu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "O argumento '%s' ten un \" sen rematar"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr ""
 "As cadeas de expresión regular deben comezar e rematar cun carácter \" "
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Expresión regular \"%s\" incorrecta: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Falla o nome da sintaxe"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 #, fuzzy
 msgid "Unpaired quote in syntax name"
 msgstr "Falla o nome da sintaxe"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "A sintaxe \"none\" está reservada"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "A sintaxe \"default\" non toma extensións"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Falla o nome de tecla"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "O nome da tecla é demasiado curto"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "O nome de tecla debe comenzar con \"^\",\"M\", ou \"F\""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "O nome de tecla %s non é válido"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Debe especifica-la función para asociar á tecla"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr "Debe especificar un menú (ou \"all\") no que asociar/liberar a tecla"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Non se puido sinalar o nome \"%s\" para unha función"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Non se puido sinalar o nome \"%s\" para un menu"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "A función '%s' non existe no menú '%s'"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Síntoo, a combinación \"%s\" non se pode restablecer"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Erro expandindo %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, fuzzy, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Non se entende a directiva \"%s\""
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 #, fuzzy
 msgid "A background color cannot be bright"
 msgstr "A cor de fondo \"%s\" non pode ser relucinte"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "A instrución '%s' require ir precedida do comando 'syntax'"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Falla o nome da cor"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Falla a expresión regular despois da instrución '%s'"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr ""
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" precisa dun \"end=\" correspondente"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "A sintaxe \"default\" non toma a expresión regular '%s'"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, fuzzy, c-format
 msgid "Missing argument after '%s'"
 msgstr "Falla a instrución despois de '%s'"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "O argumento '%s' ten un \" sen pechar"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Erro fatal: non hai teclas sinaladas para a función \"%s\". Saíndo.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2175,63 +2219,63 @@ msgstr ""
 "Se o precisa, use nano coa opción -I se precisa axeita-la súa configuración "
 "no nanorc\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Non se puido atopar sintaxe \"%s\" para extender"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "A sintaxe \"%s\" non ten directiva de cor"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "A directiva \"%s\" non se permite no ficheiro incluído"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Non se entende a directiva \"%s\""
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Opción non atopada"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Opción descoñecida \"%s\""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Non se pode desactivar opción \"%s\""
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "A opción \"%s\" precisa dun argumento"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 #, fuzzy
 msgid "Argument is not a valid multibyte string"
 msgstr "A opción non é unha cadea multibyte válida"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Se requiren caracteres non baleiros"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Se requiren dous caracteres de columna simple"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "¡Non podo atopa-lo meu directorio de inicio! ¡Aaagh!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Sensible ás Maiúsculas/Minúsculas]"
@@ -2240,41 +2284,36 @@ msgstr " [Sensible ás Maiúsculas/Minú
 msgid " [Regexp]"
 msgstr " [Expreg]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Cara Atrás]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr "(para substituír) na selección"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr "(para substituír)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Buscando..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "non se atopou \"%.*s%s\""
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "¿Substituír?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Substituír por"
 
-#: src/search.c:738
+#: src/search.c:735
 #, fuzzy, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2282,255 +2321,246 @@ msgstr[0] "Fíxose %lu substitución"
 msgstr[1] "Fixéronse %lu substitucións"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Introduza liña número, columna número"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Non hai delimitador"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Non hai parella do delimitador"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Marca activada"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Marca desactivada"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Erro ó chamar \"%s\""
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Os comentarios non están soportados por este tipo de arquivo"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Non se pode comentar alen do final do arquivo"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Buffer para desfacer baleiro"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "engadir texto"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "ruptura de liña"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "borrar texto"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "unir liña"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "substituir texto"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "cortar texto"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "repór texto"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "inserir texto"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 #, fuzzy
 msgid "indent"
 msgstr "Autosangría"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 #, fuzzy
 msgid "unindent"
 msgstr "Autosangría"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "comentario"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "descomentar"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Desfíxose a acción (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Nada para refacer"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "A Acción (%s) refíxose"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Non se puido crear unha canle"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Non se puido iniciar outro proceso"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr ""
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Cadea de cita %s incorrecta: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "¡Agora pode De-Xustificar!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "A palabra non se atopa: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Editar unha substitución"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Verba Seguinte..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Creando a lista de palabras mal escritas, por favor, espere..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Non se puido obte-lo tamaño do buffer da canle"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Erro ó chamar \"spell\""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Erro ó chamar \"sort -f\""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Erro ó chamar \"uniq\""
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Chamar ó corrector ortográfico, agarde, por favor"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Fallou a revisión ortográfica: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Fallou a corrección ortográfica: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Rematou a corrección ortográfica"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Non hai definido analizador para este tipo de ficheiros"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Gravar o buffer modificado antes da análise"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Invocando analizador de sintaxe, por favor, espere"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Atopáronse 0 liñas analizables pola directiva: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr "Esta mensaxe é polo ficheiro pechado %s, ¿abrir nun novo buffer?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Non hai máis erros en ficheiros pechados, cancelando"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "No final da mensaxe"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "No comenzo da mensaxe"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Finalizado"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Chamando ó formateador, por favor, agarde"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Finalizou o formateado"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, fuzzy, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sVerbas: %lu  Liñas: %ld  Caracteres: %lu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "In Selección:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Entrada Literal"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr ""
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 #, fuzzy
 msgid "No matches"
 msgstr "Non hai parella do delimitador"
@@ -2561,71 +2591,71 @@ msgstr ""
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Secuencia descoñecida"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Entrada Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "DIR:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Modificado"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Ver"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr ""
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, fuzzy, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "liña %ld/%ld (%d%%), col %lu/%lu (%d%%), car %lu/%lu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "O editor de texto nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versión"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Por cortesía de:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Gracias en especial a:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "A Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "os moitos tradutores e o TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Por ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "e a todos os que esquencemos..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "¡Gracias por usar nano!"
 
@@ -2635,6 +2665,9 @@ msgstr "¡Gracias por usar nano!"
 #~ "Aviso: Modificando un ficheiro que non está bloqueado, ¿revisar os "
 #~ "permisos do directorio?"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Cambiouse a %s"
+
 #~ msgid "Save modified buffer anyway? "
 #~ msgstr "Grava-lo buffer modificado igualmente?"
 
@@ -2654,12 +2687,36 @@ msgstr "¡Gracias por usar nano!"
 #~ "á localización preferente (%s)\n"
 #~ "(lea no FAQ de nano sobre este cambio)"
 
+#~ msgid "WhereIs Next"
+#~ msgstr "U-lo Seguint"
+
 #~ msgid "Exit from nano"
 #~ msgstr "Saír de nano"
 
+#~ msgid "Repeat the last search"
+#~ msgstr "Repeti-la última busca"
+
 #~ msgid "Unindent the current line"
 #~ msgstr "Elimina-la sangría da liña actual"
 
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Chamar ó corrector ortográfico, se hai un"
+
+#~ msgid "Formatter"
+#~ msgstr "Formateador"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Uso dunha liña máis para editar"
+
+#~ msgid "Backup files"
+#~ msgstr "Facer copia de seguridade de ficheiros"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Lendo arquivo en buffer separado"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Non facer conversión de formato DOS/Mac"
+
 #~ msgid "Option\t\tMeaning\n"
 #~ msgstr "Opción\t\tSignificado\n"
 
@@ -2704,6 +2761,10 @@ msgstr "¡Gracias por usar nano!"
 #~ "\"black\", co prefixo opcional \"bright\".\n"
 #~ "\"para cores de fronte."
 
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Erro fatal: non hai teclas sinaladas para a función \"%s\". Saíndo.\n"
+
 #~ msgid ""
 #~ "\n"
 #~ "Press Enter to continue starting nano.\n"
@@ -2723,6 +2784,15 @@ msgstr "¡Gracias por usar nano!"
 #~ "Erro interno: non podo arranxa-la reposición de texto. Por favor, grave o "
 #~ "seu traballo."
 
+#~ msgid "Finished"
+#~ msgstr "Finalizado"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Chamando ó formateador, por favor, agarde"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Finalizou o formateado"
+
 #~ msgid "Internal error: can't match line %d.  Please save your work."
 #~ msgstr ""
 #~ "Erro interno: non podo atopar a liña %d. Por favor, grave o seu traballo "
Binary files 2.9.8-1/po/hr.gmo and 3.0-1/po/hr.gmo differ
diff -pruN 2.9.8-1/po/hr.po 3.0-1/po/hr.po
--- 2.9.8-1/po/hr.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/hr.po	2018-09-09 09:48:30.000000000 +0000
@@ -2,13 +2,13 @@
 # Copyright (C) 2018 Free Software Foundation, Inc.
 # This file is distributed under the same license as the nano package.
 #
-# Božidar Putanec <bozidarp@yahoo.com>, 2016, 2017, 2018.
+# Božidar Putanec <bozidarp@yahoo.com>, 2016-2018.
 msgid ""
 msgstr ""
-"Project-Id-Version: nano-2.9.8-pre1\n"
+"Project-Id-Version: nano-3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-31 11:41-0700\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-30 13:32+0100\n"
 "Last-Translator: Božidar Putanec <bozidarp@yahoo.com>\n"
 "Language-Team: Croatian <lokalizacija@linux.hr>\n"
 "Language: hr\n"
@@ -28,86 +28,90 @@ msgstr "Nije moguće otvoriti direktorij
 
 # Korisnik upiše ili s tabom kompletira naziv direktorija koji želi otvoriti
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "u Direktorij"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Otkazano"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Nije moguće ići izvan %s"
 
 # To je 'top' direktorij, više se ne može
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Nije moguće ići iznad ovog direktorija"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Greška pri čitanju %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Radni direktorij je nestao"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(dir)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(viši dir)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(golem)"
 
 # Pretraži, sinonim za traži
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Pretraži"
 
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [unatrag]"
+
 # ‘uokrug’ može značiti bilo koji smjer traženja
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
-msgstr "Pretraga ide uokrug"
+msgstr "Pretraga ide naokolo"
 
 # ‘nalaz’ je što pretraga nađe, a nađe ‘uzorak’;
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "To je jedini nalaz"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Nema uzorka za pretragu"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nepoznato ime sintakse: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() nije uspio: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) nije uspio: %s"
@@ -179,7 +183,7 @@ msgstr "%s trenutačno uređuje (%s sa %
 msgid "Can't read file from outside of %s"
 msgstr "Nije moguće pročitati datoteku izvan %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "„%s“ je direktorij"
@@ -189,26 +193,50 @@ msgstr "„%s“ je direktorij"
 msgid "\"%s\" is not a normal file"
 msgstr "„%s“ nije normalna datoteka"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Nema više otvorenih međuspremnika"
-
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "Premješteni ste na: %s"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "popravljanje pravopisa"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu redak (%s)"
+msgstr[1] "%s -- %zu retka (%s)"
+msgstr[2] "%s -- %zu redaka (%s)"
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Novi međuspremnik"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu redak"
+msgstr[1] "%s -- %zu retka"
+msgstr[2] "%s -- %zu redaka"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Nema više otvorenih međuspremnika"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Datoteku „%s“ nije moguće zapisati"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
@@ -216,7 +244,7 @@ msgstr[0] "Učitano: %zu redak (pretvore
 msgstr[1] "Učitano: %zu retka (pretvorenih iz DOS i Mac formata)"
 msgstr[2] "Učitano: %zu redaka (pretvorenih iz DOS i Mac formata)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
@@ -224,7 +252,7 @@ msgstr[0] "Učitano: %zu redak (pretvore
 msgstr[1] "Učitano: %zu retka (pretvorenih iz Mac formata)"
 msgstr[2] "Učitano: %zu redaka (pretvorenih iz Mac formata)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
@@ -232,7 +260,7 @@ msgstr[0] "Učitano: %zu redak (pretvore
 msgstr[1] "Učitano: %zu retka (pretvorenih iz DOS formata)"
 msgstr[2] "Učitano: %zu redaka (pretvorenih iz DOS formata)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
@@ -240,89 +268,99 @@ msgstr[0] "Učitano: %zu redak"
 msgstr[1] "Učitano: %zu retka"
 msgstr[2] "Učitano: %zu redaka"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Nova datoteka"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Datoteka „%s“ nije pronađena"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "„%s“ je uređaj"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Učitavanje datoteke"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "U novom međuspremniku izvrši naredbu"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Izvrši naredbu"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "U novi međuspremnik učita datoteku [iz %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Datoteka za učitati u novi međuspremnik bez pretvaranja [iz %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Datoteku za učitati u novi međuspremnik [iz %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Datoteka za umetnuti bez pretvaranja [iz %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
-msgstr "Umetne datoteku [iz %s]"
+msgstr "Datoteku za umetnuti [iz %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Nevaljana tipka u načinu bez višestrukih međuspremnika"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Nevaljani radni direktorij\n"
 
 # backup file = kopija datoteke, ukratko kopija
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Osiguranje nije uspjelo; nastaviti sa spremanjem? (N ako niste sigurni) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Nevaljani direktorij za osiguranje\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Nije moguće pisati izvan %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Greška pri zapisivanju sigurnosne datoteke %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Ima li previše sigurnosnih datoteka?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Greška pri zapisivanju privremene datoteke: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Greška pri zapisivanju %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
@@ -330,904 +368,889 @@ msgstr[0] "Zapisano: %zu redak"
 msgstr[1] "Zapisano: %zu retka"
 msgstr[2] "Zapisano: %zu redaka"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS format]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac format]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Osiguranje]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Odabrani tekst umetne na vrh datoteke"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Odabrani tekst umetne na dno datoteke"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Odabrani tekst zapisati u datoteku"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Umetne na vrh datoteke"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Umetne na dno datoteke"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Naziv datoteke za spremiti"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Premaleno"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Datoteka postoji -- nije moguće pisati preko nje"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Spremiti datoteku pod DRUGIM NAZIVOM? "
 
 # overwrite: prepisati preko, prebrisati
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Datoteka „%s“ već postoji; PREPISATI preko nje? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Datoteka na disku se promijenila"
 
 # Nešto izvan nana je promijenilo datoteku na disku. nano pita da li da piše preko promijenjenje datoteke
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Datoteka je promijenjena nakon otvaranja; nastaviti sa spremanjem? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(više)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Izlaz"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Zatvori"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Zalijepi"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "odPoravna"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Učita datoteku"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Pretraži"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Zamijeni"
-
-# 'Go to' se najčešće izbjegava; koristi se imenička konstrukcija jasna iz konteksta
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "u Redak"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Redak ↑"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Redak ↓"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Prozor ↑"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Prozor ↓"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Poravna"
-
-# Poravnanje=operacija ravnanja teksta tako da svi reci imaju istu udaljenost u odnosu na rubove
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "SvePoravna"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Osvježi"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Traži dalje"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "odustajete -- prekidate ovu operaciju"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "ova prikazana pomoć"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "zatvori ovaj međuspremnik / zatvarate nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "zapiše ovaj međuspremnik (ili označeni tekst) na disk"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "datoteku umetne u ovaj ili u novi međuspremnik"
 
 # regularni izraz u dalnjem textu regiz ako je ograničen broj znakova
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "traži (unaprijed) string ili regularni izraz (regiz)"
 
 # regularni izraz u dalnjem textu regiz ako je ograničen broj znakova
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "traži (unatrag) string ili regularni izraz (regiz)"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "traži ime (ili dio imena datoteke)"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "traži string unaprijed"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "traži string unatrag"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "osvježi popis datoteka"
 
 # redak, stupac su brojevi
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "ode na lijevi stupac"
 
 # redak, stupac su brojevi
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "ode na desni stupac"
 
 # redak, stupac su brojevi
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "ode u prvi red ovog stupca"
 
 # redak, stupac su brojevi
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "ode u zadnji red ovog stupca"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "za cijeli prozor gore (Page Up)"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "za cijeli prozor dolje (Page Down)"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
-msgstr "redak (označene retke) izreže i spremi u izreži-spremnik"
+msgstr "redak (ili označene retke) izreže i spremi u izreži-spremnik"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "zalijepi sadržaj izreži-spremnika u ovaj redak"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "pokaže trenutačnu poziciju kursora"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "pozove provjeru pravopisa (ako je dostupna)"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "zamijeni string ili regularni izraz (regiz)"
 
 # redak, stupac su brojevi
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "ode u dani redak i stupac"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "ponovi zadnju pretragu -- nastavi tražiti"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "označi tekst počevši od pozicije kursora"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
-msgstr "kopira ovaj redak (označeni tekst) i spremi u izreži-spremnik"
+msgstr "kopira ovaj redak (ili označeni tekst) i spremi u izreži-spremnik"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "izvuče ovaj redak (ili označene retke)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "uvuče ovaj redak (ili označene retke)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "poništi zadnju operaciju (vrati na prethodno stanje)"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "ponovi zadnju poništenu operaciju"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "jedan znak unazad"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "jedan znak naprijed"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "jednu riječ unazad"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "jednu riječ naprijed"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "na prethodni redak"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "na sljedeći redak"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "na početak ovog retka"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "na kraj ovog retka"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "na prethodni blok teksta"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "na sljedeći blok teksta"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "na početak ovoga odlomka; zatim na početak prethodnoga..."
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "na svršetak ovoga odlomka; zatim na svršetak sljedećega..."
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "na prvi redak datoteke"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "na zadnji redak datoteke"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "skoči na odgovarajuću zagradu"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "prozor gore za jedan redak (kursor ostaje u istom retku)"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "prozor dolje za jedan redak (kursor ostaje u istom retku)"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "na prethodni međuspremnik"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "na sljedeći međuspremnik"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "doslovno umetne sljedeću otipkanu sekvenciju"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "unese tab(ulator) na poziciji kursora"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "prelomi redak na poziciju kursora i ode u novi redak"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "briše znak ispod kursora"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "briše znak nalijevo od kursora"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "izreže unatrag od kursora do početka riječi"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "izreže unaprijed od kursora do početka sljedeće riječi"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "izreže sve od kursora do dna datoteke"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "poravna ovaj odlomak"
 
 # poravnanje djeluje na ukupnu datoteku
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "poravna cijelu datoteku"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "izbroji broj riječi, redova i znakova"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "osvježi (ponovno iscrta) prozor"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "obustavi uređivanje teksta (ako je obustava omogućena)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "pokuša dovršiti trenutačnu riječ"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "komentira/odkomentira ovaj redak (ili označene retke)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "spremi datoteku bez pitanja (bez prompta)"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "traži unatrag sljedeći nalaz uzorka"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "traži unaprijed sljedeći nalaz uzorka"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "započne/zaustavi snimanje makroa"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "pokrene zadnji snimljeni makro"
 
 # toggle: smisao rečenice govori da je to 'šalter'; slično za večinu 'toggle' naredbi
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "razlikovati VELIKA i mala slova u pretrazi?  Da/Ne"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "obrne smjer traženja"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "koristiti regularni izraz (regiz) u pretrazi?  Da/Ne"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "prethodni string za pretragu/zamjenu"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "sljedeći string za pretragu/zamjenu"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "DOS format?  Da/Ne"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Mac format?  Da/Ne"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "dodati (tekst) na dno datoteke?  Da/Ne"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "umetnuti (tekst) na vrh datoteke?  Da/Ne"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "osigurati originalne datoteke?  Da/Ne"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "izvrši vanjsku naredbu"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "kroz cijev pošalje međuspremnik (ili označeni tekst) na naredbu"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "ne pretvarati iz DOS/Mac formata"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "upotrijebiti novi međuspremnik?  Da/Ne"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "zatvori međuspremnik bez da ga spremi"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "otvori popis datoteka"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "napusti popis datoteka"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "na prvu datoteku na popisu"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "na zadnju datoteku na popisu"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "na prethodnu datoteku na popisu"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "na sljedeću datoteku na popisu"
 
 # Prompt za odabir direktorija
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "otvori uneseni direktorij"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "pozove linter (alat) ako je dostupni"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "prethodna poruka lintera"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "sljedeća poruka lintera"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "pozove formatter (alat) ako je dostupni"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Pomoć"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Odustajem"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Spremi"
 
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Učita datoteku"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Poravna"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Osvježi"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Pretraži"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Zamijeni"
+
 # Direktorij je dosta, jer je jasno iz konteksta a ima i pomoćni tekst
-#: src/global.c:749
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "u Direktorij"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Izreži"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Pravopis"
 
 # lintanje, čišćenje koda
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Linter"
 
-# popravljanje formata, oblikovanje teksta
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formatter"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Pozicija"
 
-#: src/global.c:806
+# 'Go to' se najčešće izbjegava; koristi se imenička konstrukcija jasna iz konteksta
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "u Redak"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Poništi"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Ponovi"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Označi tekst"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopira"
 
 # razlikovanje malih od velikih slova
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Slova?!"
 
 # regexp: regularni izraz > regizr ?
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Reg izraz"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Unatrag"
 
 # Ne zamijeni? bolje Ne mijenjaj?
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Traži"
 
-#: src/global.c:839
+# Poravnanje=operacija ravnanja teksta tako da svi reci imaju istu udaljenost u odnosu na rubove
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "SvePoravna"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Na zagradu"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Spremi"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Traži unatrag"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Prethodni"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Sljedeći"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Natrag"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Naprijed"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Riječ ←"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Riječ →"
 
 # Pozicija 1, 1. stupac, Home
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Početak"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Kraj"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Redak ↑"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Redak ↓"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Klizne gore"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Klizne dolje"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Blok ←"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Blok →"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Vrh odlomka"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Dno odlomka"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Prozor ↑"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Prozor ↓"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Na vrh"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Na dno"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Datoteka ←"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Datoteka →"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Delete"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Backspace"
 
 # izrezivanje riječi, ali gdje je shortcut?
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Reži ulijevo"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Reži udesno"
 
 # izrezivanje riječi, ali gdje je shortcut?
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "RežiDoKraja"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Broj riječi"
 
 # verbatim: doslovce, bukvalno,
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Doslovno"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Obustavi"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Uvuci"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Izvuci"
+#: src/global.c:956
+msgid "Indent"
+msgstr "Uvlačenje"
+
+#: src/global.c:958
+msgid "Unindent"
+msgstr "Izvlačenje"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Komentira retke"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Kompletirano"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Snimanje"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Pokrene makro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Traži unatrag"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Spremi"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Ranije"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Kasnije"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Traži"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS format"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac format"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Doda iza"
 
 # dodaj, metni
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Umetne ispred"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Sigurnosna kopija"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Bez pretvaranja"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Izvrši naredbu"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "Pošalje tekst naredbi"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Popis datoteka"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Prva datoteka"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Zadnja datoteka"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Lijevi stupac"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Desni stupac"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Prvi red"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Zadnji red"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Odbaci međuspremnik"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Linter poruka ↑"
 
 # linter alat za provjeru sintakse za neke programe
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Linter poruka ↓"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Stalni prikaz pomoći u dva posljednja retka prozora?"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Pozicija kursora uvijek vidljiva?"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Dodatni redak za uređivanje?"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Glatko klizanje?"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Meko prelamanje predugih redova?"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Bjelina uvijek vidljiva?"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Sintaksu istaknuti bojama?"
 
 # pometna Home tipka: prvi skok na prvi znak, zatim na poziciju 1
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Pametna Home tipka?"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Automatsko uvlačenje?"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Izrezivanje do kraja retka?"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Tvrdo prelamanje predugih redova?"
 
 # Tab znak pretvara u razmake
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Tab(ulatore) pretvarati u razmake?"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Osiguranje (napraviti sigurnosne kopije)?"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Učitavanje datoteke u zasebni međuspremnik"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Podrška za miša?"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Ne pretvarati iz DOS/Mac formata?"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Privremena obustava?"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Numeracija redaka?"
 
@@ -1461,23 +1484,34 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "===  Vanjska naredba  ===\n"
 "\n"
 " Ovdje možete umetnuti ispis naredbe vašeg operacijskog sustava u ovaj "
-"međuspremnik (ili u novi međuspremnik ako ste omogućili rad s višestrukim "
-"spremnicima.  Ako trebate novi prazni međuspremnik, onda nemojte unijeti "
-"nijednu naredbu.\n"
+"međuspremnik (ili u novi međuspremnik).  Ako se ispred naredbe upiše "
+"„|“ (simbol cijevi), naredbi će biti poslan trenutačni sadržaj međuspremnika "
+"(ili označeni tekst)."
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
+msgstr ""
+"Ako zatrebate jedan prazni međuspremnik, nemojte unijeti nikakvu komandu.\n"
+"\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
 " Sljedeće tipke i prečaci su vam na raspolaganju za „Izvrši naredbu“:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1497,7 +1531,7 @@ msgstr ""
 "datoteke.  U trećem retku iznad dna je statusna traka u kojoj vam nano "
 "javlja važne poruke.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1517,7 +1551,7 @@ msgstr ""
 "vašoj tipkovnici.  "
 
 # sekvencije tipaka = naredbe
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1533,7 +1567,7 @@ msgstr ""
 "navedene u zagradama:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr " Da/Ne"
 
@@ -1570,19 +1604,19 @@ msgid "Error writing %s: %s\n"
 msgstr "Greška pri zapisivanju %s: %s\n"
 
 # Čitanje umjesto Pregledavanje
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Tipka ne važi za „Čitanje“"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Ova funkcija nije dostupna u ograničenom načinu rada"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Pomoć nije dostupna"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1591,7 +1625,7 @@ msgstr ""
 "\n"
 "Međuspremnik je zapisan u %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1600,7 +1634,7 @@ msgstr ""
 "\n"
 "Međuspremnik nije zapisan u %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1609,7 +1643,7 @@ msgstr ""
 "\n"
 "Međuspremnik nije zapisan: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1620,7 +1654,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1631,7 +1665,7 @@ msgstr ""
 "retka s „+“ ispred naziva datoteke.  Broj stupca možete navesti nakon "
 "zareza.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1640,282 +1674,282 @@ msgstr ""
 "Ako je ime datoteke „-“, nano čita podatke iz standardnog ulaza.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opcija\t\tGNU duga opcija\t\tZnačenje\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "pametna Home tipka"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "osigura sve postojeće datoteke"
 
 # direktorij za spremanje sigurnosnih datoteka
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <dir>"
 
 # direktorij za spremanje unikata kopija
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "direktorij dir za unikate osiguranja"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "deblja slova umjesto inverzije teksta"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "otipkane tabulatore zamijeni razmacima"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "datoteku učita u novi spremnik (zadano)"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "zaključane datoteke su u vim-stilu"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "vodi dnevnik pretraga/zamjena teksta"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "zanemari sve nanorc datoteke"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "ukloni problem s numeričkom tipkovnicom"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "ne dodaje novi redak krajevima datoteka"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "briše zaostale bjeline nakon prelamanja"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "ne pretvara datoteke iz DOS/Mac formata"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "prvi redak koristi za uređivanje"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "vodi dnevnik pozicija kursora"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <regiz>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<regiz>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "regularni izraz koji podudara citiranje"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "ograničeni način rada"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "kliže po redak umjesto po pola prozora"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#stupac>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#stupac>"
 
 # koliko razmaka je širok tabulator
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "širina tabulatora je #stupac"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "brzo ukloni statusnu traku"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "pokaže informaciju o inačici i iziđe"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "točnije otkriva granice riječima"
 
 # treba kratko, a 'znakovni niz' je predugo
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <znak>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<znak>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "ostali mogući znak(ovi) kao dio riječi"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <ime>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<ime>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "ime sintakse za isticanje bojama"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "meko prelamanje lomi retke na bjelini"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "pozicija kursora uvijek prikazana"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "popravi Backspace/Delete zbrku"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "pokaže kursor u popisu datoteka"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "pokaže ovu pomoć i iziđe"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "automatski uvlači nove retke"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "izrezuje od kursora do kraja retka"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "numeracija redaka ispred teksta"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "omogući upotrebu miša"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "datoteku ne učitati (samo ju zapisati)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <dir>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<dir>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "postavi dir za radni direktorij"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "sačuva sekvencije XON (^Q) i XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#stupac>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#stupac>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "tvrdo prelama na stupcu #stupac"
 
 # definiranje programa za provjeru pravopisa
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "rabi prog za provjeru pravopisa"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "automatski spremi na izlazu, bez pitanja"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "spremanje je (zadano) u Unix formatu"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "čitanje (moguće je samo čitati/tražiti)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "dugačke redove ne prelama tvrdo"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "bez prikaza pomoći u zadnja dva retka"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Ctrl+Right skoči na kraj riječi"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "omogući obustavu (pauziranje)"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "omogući meko prelamanje redaka"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, inačica %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014..%s suradnici koji su doprinijeli programu nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " e-pošta: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1924,335 +1958,335 @@ msgstr ""
 "\n"
 " Ugrađene opcije:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Nema naziva datoteke"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "Spremiti promijenjeni međuspremnik?  (Odgovor „Ne“ će PONIŠTITI promjene) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "Čitanje iz standardno ulaza; pritisnite ^D ili ^D^D da završite.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Nije uspjelo otvoriti standardni ulaz, stdin: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Nije moguće ponovno otvoriti standardni ulaz pomoću tipkovnice\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Primljen SIGHUP ili SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr "Žao nam je! Nano se srušio! Kȏd: %d. Molimo da prijavite ovaj bug.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Rabite „fg“ za povratak u nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Obustava nije omogućena"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "→ » Da «"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "→ » Ne «"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Tipka nije definirana u ovom kontekstu"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "M-[: sekvenciju „M-[“ nije moguće definirati"
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "M-%c: nije definirano u ovom kontekstu"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "^%c: nije definirano u ovom kontekstu"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "%c: nije definirano u ovom kontekstu"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Zatražena širina tabulatora „%s“ nije valjana"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Zatražena veličina ispune „%s“ nije valjana"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Utipkajte „%s -h“ za popis svih dostupnih opcija.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Nevaljani broj retka ili stupca"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Pogreška u „%s“"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Dobro došli u nano.  Pritisnite Ctrl+G za osnovne upute za uporabu."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Dd"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Ss"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Da"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Ne"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Sve"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Greška u %s u retku %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argument „%s“ nije završen s \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Regularni izraz mora početi i završiti s \\\" znakom"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Loši regularni izraz „%s“: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Nedostaje ime sintakse"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Nespareni navodnici u imenu sintakse"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Sintaksa „none“ je rezervirana"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Sintaksa „default“ ne prihvaća proširivanje"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Nedostaje ime tipke"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Ime tipke je prekratko"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Ime tipke (prečaca) mora započeti s „^“, „M“, ili „F“"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Ime tipke %s nije valjano"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Morate navesti funkciju koja se veže na tipku"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Morate navesti meni (ili „all“) u kojem je tipka/prečac vezana/razvezana"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Nije moguće pridružiti ime „%s“ funkciji"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Nije moguće pridružiti ime „%s“ meniju"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Funkcija „%s“ ne postoji u meniju „%s“"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Sekvencija „%s“ ne smije se iznova redefinirati"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Greška u proširivanju %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Boja „%s“ nije prepoznata"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Boja pozadine ne može biti (bright) sjajna"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Naredba „%s“ zahtijeva prethodnu „syntax“ naredbu"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Nedostaje ime boje"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Nedostaje regularni izraz iza naredbe „%s“"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Regularni izraz je prazan"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "„start=“ zahtijeva odgovarajući „end=“"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Sintaksa „default“ ne prihvaća „%s“ regularne izraze"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Nedostaje argument iza „%s“"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argument od „%s“ nema završni navodnik \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
-"Kobna greška: nijedna tipka nije pridružena funkciji „%s“.  Završeno.\n"
+"Nijedna tipka ili prečac nije vezana na funkciju „%s“ u meniju „%s“. Kraj.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr ""
 "Po potrebi, pokrenite nano s opcijom -I da uredite svoje nanorc postavke.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Sintaksa „%s“ (da ju se proširi) nije bila pronađena"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Sintaksa „%s“ nema „color“ naredbu"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Naredba „%s“ nije dopuštena u include datoteci; v. nanorc"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Naredba „%s“ nije shvaćena"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Nedostaje opcija"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Nepoznata opcija „%s“"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Opciju „%s“ nije moguće ukinuti"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Opcija „%s“ zahtijeva argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Argument nije ispravni višebajtni string"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Bjelina (kao znak) nije dopuštena"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Zahtijevaju se dva jednostupčana znaka"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Ne možete pronaći svoj vlastiti direktorij!  Joj!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [VELIKA/mala]"
@@ -2262,42 +2296,37 @@ msgstr " [VELIKA/mala]"
 msgid " [Regexp]"
 msgstr " [Reg.izraz]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [unatrag]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (zamijeni) u odabranom tekstu"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (i zamijeni)"
 
 # Pretraži, sinonim za traži
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Traži se..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "„%.*s%s“ nije pronađen"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Nalaz uzorka zamijeniti?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Zamijeniti s(a)"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2306,257 +2335,248 @@ msgstr[1] "Zamijenjeno %zd nalaza"
 msgstr[2] "Zamijenjeno %zd nalaza"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Unesite broj retka, broj stupca"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "To nije zagrada"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Zagrada nema odgovarajućega para"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Oznaka je stavljena"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Oznaka je uklonjena"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Greška pri pozivu „%s“"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Ova vrsta datoteke ne podržava komentiranje"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Nije moguće komentirati iza kraja datoteke"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Međuspremnik za poništavanje je prazan!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "Dodavanje"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "Prelamanje"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "Brisanje"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "Spajanje"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "Zamjenjivanje"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "Izrezivanje"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "Ljepljenje"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "Umetanje"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "Filtriranje"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "Uvlačenje"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "Izvlačenje"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "Komentiranje"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "OdKomentiranje"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "%s je poništeno"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Nema ništa za ponoviti!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "%s je ponovljeno"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Nije uspjelo stvoriti cijev"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Nije uspjelo započeti novi proces"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "Filtriranje"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Nije uspjelo otvoriti cijev: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Loši znakovi za citiranje (quotestr) %s: %s"
 
 # suprotno od Poravnaj: Odravnaj
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Moguće je poništiti poravnanje!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Ovu riječ nije moguće naći: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Uredite zamjenu"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Sljedeća riječ..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Pravi se popis krivo napisanih riječi, pričekajte..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Nije bilo moguće odrediti veličinu međuspremnika za cijev"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Greška pri pozivu „spell“"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Greška pri pozivu „sort -f“"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Greška pri pozivu „uniq“"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Poziva se provjera pravopisa, pričekajte"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Provjera pravopisa nije uspjela: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Provjera pravopisa nije uspjela: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Provjera pravopisa je završena"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Za ovu vrstu datoteke nije definirani linter!"
 
 # lintera lintaje
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Promijenjeni međuspremnik spremiti prije lintanja?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Poziva se linter, pričekajte"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Nijedan obradivi redak nije dobiven od naredbe: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Ova poruka je za neotvorenu datoteku %s; učitati ju u novi međuspremnik?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Nema više grešaka u neotvorenim datotekama; završeno"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "To je zadnja poruka"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "To je prva poruka"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Završeno"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Poziva se formatter, pričekajte"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Formatiranje teksta je završeno"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sRiječi: %zu  Redova: %zd  Znakova: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "U odabranom tekstu:  "
 
 # verbatim doslovce bukvalno
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Doslovni unos"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Nema fragmenta riječi"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Nema više podudaranja"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Nema podudaranja"
 
@@ -2586,74 +2606,121 @@ msgstr "Previše grešaka na standardnom
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Nepoznata sekvencija"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Unos unikodnoga (6 heksadecimalnih brojeva) znaka: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "Direktorij:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Promijenjeno"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Čitanje"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Preostala upozorenja su prigušena"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "redak %zd/%zd (%d%%), stupac %zu/%zu (%d%%), znakova %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Uređivač teksta nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "inačica"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Poklon za vas od:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Posebna zahvala:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "The Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "mnogim prevoditeljima i TP-u"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Za ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "i svima ostalima koje smo zaboravili..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Hvala vam što koristite nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Premješteni ste na: %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Traži dalje"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "ponovi zadnju pretragu -- nastavi tražiti"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "pozove formatter (alat) ako je dostupni"
+
+# popravljanje formata, oblikovanje teksta
+#~ msgid "Formatter"
+#~ msgstr "Formatter"
+
+#~ msgid "Indent Text"
+#~ msgstr "Uvuci"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Izvuci"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Dodatni redak za uređivanje?"
+
+#~ msgid "Backup files"
+#~ msgstr "Osiguranje (napraviti sigurnosne kopije)?"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Učitavanje datoteke u zasebni međuspremnik"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Ne pretvarati iz DOS/Mac formata?"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Kobna greška: nijedna tipka nije pridružena funkciji „%s“.  Završeno.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Završeno"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Poziva se formatter, pričekajte"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Formatiranje teksta je završeno"
+
 #~ msgid "Quoting string"
 #~ msgstr "znakovi koje nano rabi za poravnavanje"
 
Binary files 2.9.8-1/po/hu.gmo and 3.0-1/po/hu.gmo differ
diff -pruN 2.9.8-1/po/hu.po 3.0-1/po/hu.po
--- 2.9.8-1/po/hu.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/hu.po	2018-09-09 09:48:30.000000000 +0000
@@ -11,7 +11,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 2.9.4-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2018-03-20 22:25+0100\n"
 "Last-Translator: Gabor Kelemen <kelemeng@gnome.hu>\n"
 "Language-Team: Hungarian <translation-team-hu@lists.sourceforge.net>\n"
@@ -29,82 +29,86 @@ msgid "Cannot open directory: %s"
 msgstr "Nem lehet a következő könyvtárat megnyitni: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Könyvtárváltás"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Megszakítva"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Nem léphet ki a következőből: %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Nem lehet egy könyvtárral feljebb lépni"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Hiba %s olvasásakor: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "A munkakönyvtár eltűnt"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(könyvtár)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(szülőkvt)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(óriás)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Keresés"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Vissza]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "A keresés körbeért"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Ez az egyetlen előfordulás"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Nincs keresési minta"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Ismeretlen szintaxisnév: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "a magic_load() meghiúsult: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "a magic_file(%s) meghiúsult: %s"
@@ -178,7 +182,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr "Nem olvasható be fájl a következőn kívülről: %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "„%s” egy könyvtár"
@@ -188,1021 +192,1048 @@ msgstr "„%s” egy könyvtár"
 msgid "\"%s\" is not a normal file"
 msgstr "A(z) „%s” nem normál fájl"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Nincs több nyitott fájlpuffer"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "Hiányzó kapcsoló"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Átváltva erre: %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Új puffer"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, fuzzy, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%zu sor beolvasva"
+msgstr[1] "%zu sor beolvasva"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Nincs több nyitott fájlpuffer"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "A(z) „%s” fájl nem írható"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "%zu sor beolvasva (DOS és Mac formátumról átalakítva)"
 msgstr[1] "%zu sor beolvasva (DOS és Mac formátumról átalakítva)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "%zu sor beolvasva (Mac formátumról átalakítva)"
 msgstr[1] "%zu sor beolvasva (Mac formátumról átalakítva)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "%zu sor beolvasva (DOS formátumról átalakítva)"
 msgstr[1] "%zu sor beolvasva (DOS formátumról átalakítva)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "%zu sor beolvasva"
 msgstr[1] "%zu sor beolvasva"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Új fájl"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "A(z) „%s” fájl nem található"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "A(z) „%s” egy eszközfájl"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Fájl beolvasása"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Az új pufferben futtatandó parancs"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Futtatandó parancs"
 
-#: src/files.c:1049
-#, c-format
-msgid "File to insert into new buffer [from %s]"
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Az új pufferbe szúrandó fájl [ebből: %s]"
+
+#: src/files.c:1101
+#, fuzzy, c-format
+msgid "File to read into new buffer [from %s]"
 msgstr "Az új pufferbe szúrandó fájl [ebből: %s]"
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Beszúrandó fájl [ebből: %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Beszúrandó fájl [ebből: %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "A billentyű illegális nem többpufferes módban"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Érvénytelen munkakönyvtár\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "A biztonsági mentés fájl írása sikertelen, folytatja a mentést? (N, ha "
 "bizonytalan) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Érvénytelen biztonsági mentés könyvtár\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Nem lehet a következőn kívülre írni: %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Hiba a biztonságimentés-fájl (%s) írásakor: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Túl sok biztonsági mentés van?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Hiba az ideiglenes fájl írásakor: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Hiba „%s” írása közben: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "%zu sor kiírva"
 msgstr[1] "%zu sor kiírva"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS formátum]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac formátum]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Biztonsági mentés]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "A kiválasztott rész beszúrása a szöveg elé"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "A kiválasztott rész hozzáfűzése a fájlhoz"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "A kiválasztott rész mentése fájlba"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Beszúrás ezen fájl elé"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Hozzáfűzés ehhez a fájlhoz"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Mentés ebbe a fájlba"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "A fájl létezik – nem írható felül"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Menti a fájlt MÁS NÉVEN? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "A(z) „%s” fájl már létezik, FELÜLÍRJA? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "A fájl megváltozott a lemezen"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "A fájl módosult, mióta megnyitotta, folytatja a mentést? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(tovább)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Kilépés"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Bezárás"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Beillesztés"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Nem sork."
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Beolvasás"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Keresés"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Csere"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Ugrás sorra"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Előző sor"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Köv. sor"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Előző old."
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Köv. old."
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Sorkizárás"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Sorkizár"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Frissít"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Következőre"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Aktuális művelet megszakítása"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Ezen súgószöveg megjelenítése"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Aktuális puffer bezárása/Kilépés a nanoból"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Az aktuális puffer (vagy a kijelölt terület) lemezre mentése"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Másik fájl beszúrása a jelenlegi pufferbe (vagy újba)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Karakterlánc vagy reguláris kifejezés keresése előrefelé"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Karakterlánc vagy reguláris kifejezés keresése visszafelé"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "Karakterlánc keresése"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Karakterlánc keresése"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "A fájllista frissítése"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Ugrás bal oldali oszlopra"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Ugrás jobb oldali oszlopra"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Ugrás az első sorra ebben az oszlopban"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Ugrás az utolsó sorra ebben az oszlopban"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Ugrás egy képernyővel fel"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Ugrás egy képernyővel le"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Aktuális sor (vagy kijelölt terület) kivágása és tárolása a kivágási "
 "pufferben"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "A kivágási pufferben lévő sor beillesztése az aktuális sorba"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "A kurzor helyének megjelenítése"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "A helyesírás-ellenőrző indítása, ha elérhető"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Karakterlánc vagy reguláris kifejezés cseréje"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Ugrás megadott pozícióra"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Az utolsó keresés megismétlése"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Szöveg kijelölése a kurzortól kezdve"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Aktuális sor (vagy kijelölt terület) másolása és tárolása a kivágási "
 "pufferben"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Az aktuális sor (vagy megjelölt sorok) behúzása"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Az aktuális sor (vagy megjelölt sorok) behúzásának csökkentése"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Utolsó művelet visszavonása"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Az utoljára visszavont művelet ismétlése"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Egy karakterrel vissza"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Egy karakterrel előre"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Egy szóval vissza"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Egy szóval előre"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Az előző sorra"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "A következő sorra"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "A sor elejére"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "A sor végére"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Az előző szövegblokkra"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "A következő szövegblokkra"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "A bekezdés elejére; majd az előző bekezdésére"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "A bekezdés végére; majd a következő bekezdésére"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "A fájl első sorára"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "A fájl utolsó sorára"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Az illeszkedő zárójelre"
 
-#: src/global.c:591
+#: src/global.c:587
 #, fuzzy
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Görgetés egy sorral fel a kurzor görgetése nélkül"
 
-#: src/global.c:593
+#: src/global.c:589
 #, fuzzy
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Görgetés egy sorral le a kurzor görgetése nélkül"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Váltás az előző fájlpufferre"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Váltás a következő fájlpufferre"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "A következő billentyűleütés szó szerinti beszúrása"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Tabulátor beszúrása a kurzor helyére"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Új sor beszúrása a kurzor helyére"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "A kurzor helyén lévő karakter törlése"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "A kurzor előtt álló karakter törlése"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Kivágás a kurzor helyétől a szó elejéig"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Kivágás a kurzor helyétől a következő szó elejéig"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Kivágás a kurzortól a fájl végéig"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Aktuális bekezdés sorkizárttá rendezése"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Az egész fájl sorkizárttá rendezése"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "A szavak, sorok és karakterek megszámolása"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "A képernyő frissítése"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "A szerkesztő felfüggesztése (ha engedélyezett)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Aktuális szó kiegészítése"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr ""
 "Az aktuális sor (vagy megjelölt sorok) megjegyzéssé tétele/megjegyzés törlése"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Fájl mentése kérdés nélkül"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Következő keresése visszafelé"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Következő keresése előre"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Makró rögzítésének elindítása/leállítása"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Az utoljára rögzített makró futtatása"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "A keresés kis- és nagybetűérzékenységének átváltása"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "A keresés irányának megfordítása"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Reguláris kifejezések használatának átváltása"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Az előző kereső- vagy cserekifejezés előhozása"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "A következő kereső- vagy cserekifejezés előhozása"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "DOS formátum használatának átváltása"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Mac formátum használatának átváltása"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Hozzáfűzés átváltása"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Elejére beszúrás átváltása"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Eredeti fájlról biztonsági másolat készítésének átváltása"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Külső parancs végrehajtása"
 
-#: src/global.c:659
+#: src/global.c:655
 #, fuzzy
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Az aktuális puffer (vagy a kijelölt terület) lemezre mentése"
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr ""
+"Ne alakítsa át a fájlokat DOS/Mac\n"
+"\t\t\t\t\t  formátumról"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Új puffer használatának átváltása"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Puffer bezárása mentés nélkül"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Tallózás"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Kilépés a fájlböngészőből"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Ugrás a lista első fájljára"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Ugrás a lista utolsó fájljára"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Ugrás a lista előző fájljára"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Ugrás a lista következő fájljára"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Könyvtárváltás"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "A linter indítása, ha elérhető"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Az előző linter üzenetre"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "A következő linter üzenetre"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "A formázó indítása, ha elérhető"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Súgó"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Mégsem"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Kiírás"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Beolvasás"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Sorkizárás"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Frissít"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Keresés"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Csere"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Könyvtárba"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Kivágás"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Helyes-e?"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Linterre"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formázó"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Pozíció"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Ugrás sorra"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Vissza"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Újra"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Kijelöl"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Szöveg másolása"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Kis/Nagy"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Regkif"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Vissza"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Nincs csere"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Sorkizár"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Zárójelre"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Mentés"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Ahol ez volt"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Előző"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Következő"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Vissza"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Előre"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Előző szó"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Köv. szó"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Eleje"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Vége"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Előző sor"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Köv. sor"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Görgetés fel"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Görgetés le"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Előző blokk"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Köv. blokk"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Bek. kezdete"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Bek. vége"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Előző old."
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Köv. old."
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Első sor"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Utolsó sor"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Előző fájl"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Következő fájl"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tabulátor"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Törlés"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Visszalép"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Kivágás balra"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Kivágás jobbra"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "KivágAVégéig"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Szavak száma"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Változatlan"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Felfüggesztés"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Szövegbehúzás"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Szövegbehúzás megsz."
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
+msgstr "behúzás"
+
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
+msgstr "behúzás megszüntetése"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Sor megjegyzéssé"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Kiegészítés"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Rögzítés"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Makró futtatása"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Ahol ez volt"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Mentés"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "ElőzőElőzm"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "KövElőzm"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Ugrás szövegre"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS formátum"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac formátum"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Hozzáfűz"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Elejére beszúrás"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Bizt. fájlmentés"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "verzió"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Parancs végrehajtása"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "Szöveg másolása"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Tallózás"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Első fájl"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Utolsó fájl"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Bal oldali oszlop"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Jobb oldali oszlop"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Felső sor"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Alsó sor"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Puffer eldobása"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Előző lint üz."
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Köv. lint üz."
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Súgó mód"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Kurzor pozíciójának állandó megjelenítése"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Eggyel több sor használata a szerkesztéshez"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Egyenletes görgetés"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Hosszú sorok lágy tördelése"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Üreshely karakterek megjelenítése"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Színes szintaxiskiemelés"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Intelligens home billentyű"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Automatikus igazítás"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Kivágás a végéig"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Hosszú sorok kemény tördelése"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Bevitt tabulátorok szóközzé alakítása"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Fájlok biztonsági mentése"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Fájl beolvasása külön pufferbe"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Egér támogatása"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Ne legyen átalakítás DOS/Mac formátumból"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Felfüggesztés"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Sorszámozás"
 
@@ -1433,15 +1464,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Parancsvégrehajtás súgója\n"
 "\n"
@@ -1453,7 +1483,22 @@ msgstr ""
 " Parancs-végrehajtási módban a következő billentyűk állnak rendelkezésre:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" A következő funkcióbillentyűk állnak rendelkezésre keresés módban:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1473,7 +1518,7 @@ msgstr ""
 "szerkesztőablak, amely az épp szerkesztett fájlt jeleníti meg. Az állapotsor "
 "alulról a harmadik sor, és fontos üzeneteket jelenít meg.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1491,7 +1536,7 @@ msgstr ""
 "jelöli, és az Alt, Cmd vagy Esc billentyűk egyikével vihetők be, a "
 "billentyűzet beállításaitól függően.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1505,7 +1550,7 @@ msgstr ""
 "billentyűk zárójelben vannak megjelenítve:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "be/kikapcsolása"
 
@@ -1543,19 +1588,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Hiba „%s” írása közben: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "A billentyű illegális megjelenítés módban"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Ez a funkció ki van kapcsolva korlátozott módban"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "A súgó nem érhető el"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1564,7 +1609,7 @@ msgstr ""
 "\n"
 "A puffer a(z) %s fájlba írva\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1573,7 +1618,7 @@ msgstr ""
 "\n"
 "A puffer nem lett a(z) %s fájlba írva: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1582,7 +1627,7 @@ msgstr ""
 "\n"
 "A puffer nem került mentésre: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1593,7 +1638,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1602,7 +1647,7 @@ msgstr ""
 "A kurzornak egy fájl adott sorában való elhelyezéséhez tegye a sor számát\n"
 "egy „+” jellel a fájlnév elé. Az oszlopszám egy vessző után adható meg.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1611,305 +1656,305 @@ msgstr ""
 "Ha a fájlnév „-”, akkor a nano a szabványos bemenetről olvas adatokat.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Kapcsoló\t\tGNU hosszú kapcsoló\t\tJelentés\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Okos home billentyű engedélyezése"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr ""
 "Meglévő fájlokról biztonsági másolatok\n"
 "\t\t\t\t\t  mentése"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <könyvtár>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<könyvtár>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr ""
 "Az egyedi biztonsági mentés fájlok\n"
 "\t\t\t\t\t  mentési könyvtára"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr ""
 "Félkövér használata invertált szöveg\n"
 "\t\t\t\t\t  helyett"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr ""
 "Beírt tab karakterek átalakítása\n"
 "\t\t\t\t\t  szóközökké"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Fájl új pufferbe olvasása alapesetben"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "(vim-stílusú) zárolási fájlok használata"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr ""
 "Keresés/csere előzményeinek naplózása\n"
 "\t\t\t\t\t  és olvasása"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "nanorc fájlok keresésének kihagyása"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr ""
 "A numerikus billentyűzet zavarainak\n"
 "\t\t\t\t\t  javítása"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Ne adjon új sorokat a fájlok végéhez"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Befejező szóközök levágása kemény tördeléskor"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr ""
 "Ne alakítsa át a fájlokat DOS/Mac\n"
 "\t\t\t\t\t  formátumról"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr ""
 "Eggyel több sor használata a\n"
 "\t\t\t\t\t  szerkesztéshez"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Kurzor helyének naplózása és olvasása"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q <szöveg>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<szöveg>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr ""
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Korlátozott mód"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Görgetés soronként fél képernyő helyett"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#oszlop>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#oszlop>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr ""
 "A tabulátorszélesség legyen #oszlop\n"
 "\t\t\t\t\t  oszlop"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Törölje gyorsan az állapotsort"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Verziószám kiírása és kilépés"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Szóhatárok pontosabb észlelése"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <szöveg>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<szöveg>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Ezen további karakterek is szó részei"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <név>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<név>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr ""
 "A színezéshez használandó\n"
 "\t\t\t\t\t  szintaxisleírás"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Gyenge tördeléskor azt az üres karaktereknél tördeljen"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Kurzor pozíciójának állandó megjelenítése"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Visszatörlés/törlés zavarainak javítása"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Kurzor megjelenítése a fájlböngészőben"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Megjeleníti ezt a súgóüzenetet, és kilép"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Új sorok automatikus behúzása"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Kivágás a kurzor helyétől a sor végéig"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Sorszámok megjelenítése a szöveg előtt"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Egér használatának engedélyezése"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Ne olvassa a fájlt (csak írja)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <könyvtár>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<könyvtár>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Munkakönyvtár beállítása"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr ""
 "XON (^Q) és XOFF (^S) billentyűk\n"
 "\t\t\t\t\t  megőrzése"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#oszlop>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#oszlop>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr ""
 "Kemény töréspont beállítása a #oszlop\n"
 "\t\t\t\t\t  oszlopnál"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr ""
 "Alternatív helyesírás-ellenőrző\n"
 "\t\t\t\t\t  használata"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Automatikus mentés kilépéskor"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Fájl mentése alapesetben Unix formátumba"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Megjelenítés mód (csak olvasható)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Ne tördelje keményen a hosszú sorokat"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "A két súgósor elrejtése"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Felfüggesztés engedélyezése"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Laza sortördelés engedélyezése"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano %s verzió\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s a nano közreműködői\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " E-mail: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1918,274 +1963,272 @@ msgstr ""
 "\n"
 " Fordítási kapcsolók:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Nincs fájlnév"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Menti a módosított puffert? (A „Nem” válasz ELDOBJA a módosításokat.) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Nem sikerült a szabványos bemenet megnyitása: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "A szabványos bemenet nem nyitható újra a billentyűzetről, elnézést\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "SIGHUP vagy SIGTERM érkezett\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Az „fg” kiadásával visszatérhet a nanohoz.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "A felfüggesztés nem engedélyezett"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "engedélyezve"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "kikapcsolva"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Kiosztatlan billentyű"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Kioszthatatlan billentyű: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Kiosztatlan billentyű: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Kiosztatlan billentyű: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Kiosztatlan billentyű: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "A kért „%s” tabméret érvénytelen"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "A kért „%s” kitöltésméret érvénytelen"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Az elérhető kapcsolók megjelenítéséhez adja ki a „%s -h” parancsot.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Érvénytelen sor- vagy oszlopszám"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Hibák ebben: „%s”"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "IiYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "MmAa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Igen"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Nem"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Mindet"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Hiba a(z) %s %zu. sorában: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "A(z) „%s” argumentum lezáratlan \" jellel rendelkezik"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "A reguláris kifejezéseknek \" karakterekkel kezdődniük és végződniük"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Hibás regex: „%s”: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Hiányzó szintaxisnév"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Pár nélküli idézőjel a szintaxisnévben"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "A „nincs” szintaxis fenn van tartva"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Az „alapértelmezett” szintaxis nem fogad el kiterjesztéseket"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Hiányzó billentyűnév"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "A billentyűnév túl rövid"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "A billentyűnévnek a „^”, „M”, vagy „F” egyikével kell kezdődnie"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "%s kulcsnév érvénytelen"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Meg kell adnia egy funkciót, amelyhez billentyűt kíván társítani"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Meg kell adni egy menüt (vagy „all”-t) a billentyű társításához / a társítás "
 "megszüntetéséhez"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "A név („%s”) nem képezhető le funkcióra"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "A név („%s”) nem képezhető le menüre"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "„%s” funkció nem létezik ebben a menüben: „%s”"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "A billentyűleütés („%s”) nem társítható újra"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Hiba %s kibontásakor: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "A(z) „%s” szín nem értelmezhető"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Egy háttérszín nem lehet világos"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Egy „%s” parancsot „syntax” parancsnak kell megelőznie"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Hiányzik a szín neve"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Hiányzó regex karakterlánc a(z) „%s” parancs után"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Üres regex karaktersorozat"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "„start=” -hoz kell egy megfelelő „end=”"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Az „alapértelmezett” szintaxis nem fogad el „%s” regexeket"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Hiányzó argumentum a(z) „%s” után"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "A(z) „%s” argumentuma mögül hiányzik a \" jel"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
-"Végzetes hiba: nincsenek billentyűk leképezve a függvényhez („%s”). "
-"Kilépés.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2193,62 +2236,62 @@ msgstr ""
 "Használja a nanot a -I kapcsolóval, ha módosítani kívánja a nanorc "
 "beállításait.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "A kiterjesztendő szintaxis („%s”) nem található"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "A(z) „%s” szintaxis nem rendelkezik színparancsokkal"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "A(z) „%s” parancs nem engedélyezett a tartalmazott fájlban"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "A(z) „%s” parancs nem értelmezhető"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Hiányzó kapcsoló"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Ismeretlen „%s” opció"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "A(z) „%s” beállítás nem törölhető"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "A(z) „%s” kapcsoló egy paramétert igényel"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Az argumentum nem érvényes több bájtos karaktersorozat"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Nem üres karakterek szükségesek"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Két egyoszlopos karakter szükséges"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Nincs meg a saját könyvtár! Hopp!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [kis/Nagy]"
@@ -2257,41 +2300,36 @@ msgstr " [kis/Nagy]"
 msgid " [Regexp]"
 msgstr " [Regexp]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Vissza]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (cseréhez) a kijelölésben"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (cseréhez)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Keresés…"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "A(z) „%.*s%s” nem található"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Lecseréli ezt a találatot?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Csere ezzel"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2299,254 +2337,245 @@ msgstr[0] "%zd előfordulás cserélve"
 msgstr[1] "%zd előfordulás cserélve"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Kérem a sor, oszlop számát"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Nem zárójel"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Nincs illeszkedő zárójel"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Kijelölés kezdete"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Kijelölés vége"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Hiba a(z) „%s” meghívásakor"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "A megjegyzések nem támogatottak ehhez a fájltípushoz"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "A fájl vége mögé nem lehet megjegyzést tenni"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "A visszavonási puffer üres!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "szöveg hozzáadása"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "sortörés"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "szöveg törlése"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "sorok egyesítése"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "szöveg cseréje"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "szöveg kivágása"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "kivágás visszavonása"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "szöveg beszúrása"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "behúzás"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "behúzás megszüntetése"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "megjegyzés"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "megjegyzés ki"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Művelet visszavonva (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Nincs mit ismételni."
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Művelet megismételve (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Nem hozható létre a cső"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Nem forkolható"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, fuzzy, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Nem sikerült a szabványos bemenet megnyitása: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Hibás idézetszöveg: %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Most már lehet nem sorkizárttá tenni!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Megtalálhatatlan szó: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "A helyettesítő érték módosítása"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Köv. szó…"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Elgépelt szavak listájának létrehozása, kis türelmet..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Nem kérhető le a csőpuffer mérete"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Hiba a „spell” meghívásakor"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Hiba a „sort -f” meghívásakor"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Hiba a „uniq” meghívásakor"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "A helyesírás-ellenőrző indítása, kis türelmet"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "A helyesírás-ellenőrzés meghiúsult: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "A helyesírás-ellenőrzés meghiúsult: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "A helyesírás-ellenőrzés befejeződött"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Nincs megadva linter ehhez a fájltípushoz!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Menti a módosított puffert a linter használata előtt?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "A linter indítása, kis türelmet"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "0 feldolgozható sor érkezett a parancstól: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Ez az üzenet a meg nem nyitott %s fájlhoz tartozik, megnyitja új pufferben?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Nincs több hiba a meg nem nyitott fájlokban, megszakítás"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Utolsó üzenetnél"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Első üzenetnél"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Befejeződött"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Formázó meghívása, kis türelmet"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Formázás befejezve"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sSzavak: %zu  Sorok: %zd  Karakterek: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "A kiválasztásban:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Szó szerinti bevitel"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Nincs több találat"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Nincs találat"
 
@@ -2576,80 +2605,127 @@ msgstr "Túl sok hiba a szabványos beme
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Ismeretlen sorozat"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Unicode bevitel: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "Könyvtár:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Módosítva"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Nézet"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "A további figyelmeztetések el lesznek fojtva"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "sor %zd/%zd (%d%%), oszlop %zu/%zu (%d%%), karakter %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "A nano szövegszerkesztő"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "verzió"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Fejlesztők:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Külön köszönet:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "A Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "számos fordító és a TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Az ncurses számára:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "és mindenkinek, akit kifelejtettünk volna..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Köszönjük, hogy a nano-t választotta!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Átváltva erre: %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Következőre"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Az utolsó keresés megismétlése"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "A formázó indítása, ha elérhető"
+
+#~ msgid "Formatter"
+#~ msgstr "Formázó"
+
+#~ msgid "Indent Text"
+#~ msgstr "Szövegbehúzás"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Szövegbehúzás megsz."
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Eggyel több sor használata a szerkesztéshez"
+
+#~ msgid "Backup files"
+#~ msgstr "Fájlok biztonsági mentése"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Fájl beolvasása külön pufferbe"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Ne legyen átalakítás DOS/Mac formátumból"
+
 #~ msgid "Quoting string"
 #~ msgstr "Idézetszöveg"
 
 #~ msgid "Reading from stdin, ^C to abort\n"
 #~ msgstr "Olvasás a szabványos bemenetről, ^C megszakítja\n"
 
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Végzetes hiba: nincsenek billentyűk leképezve a függvényhez („%s”). "
+#~ "Kilépés.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Befejeződött"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Formázó meghívása, kis türelmet"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Formázás befejezve"
+
 #~ msgid "Exit from nano"
 #~ msgstr "Kilépés a nanoból"
 
Binary files 2.9.8-1/po/id.gmo and 3.0-1/po/id.gmo differ
diff -pruN 2.9.8-1/po/id.po 3.0-1/po/id.po
--- 2.9.8-1/po/id.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/id.po	2018-09-09 09:48:30.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 1.2.1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2003-04-23 09:41+0000\n"
 "Last-Translator: Tedi Heriyanto <tedi_h@gmx.net>\n"
 "Language-Team: Indonesian <translation-team-id@lists.sourceforge.net>\n"
@@ -24,83 +24,87 @@ msgid "Cannot open directory: %s"
 msgstr "Tidak dapat memindahkan direktori"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 #, fuzzy
 msgid "Go To Directory"
 msgstr "Ke Direktori"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Dibatalkan"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, fuzzy, c-format
 msgid "Can't go outside of %s"
 msgstr "Tidak dapat menulis di luar %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Tidak dapat memindahkan direktori"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, fuzzy, c-format
 msgid "Error reading %s: %s"
 msgstr "Quote string buruk %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr ""
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Cari"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Backwards]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Pancarian Di-wrapped"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Hanya ini adanya"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr ""
 
-#: src/color.c:183
+#: src/color.c:182
 #, fuzzy, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nama sintaks tidak ada"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr ""
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr ""
@@ -171,7 +175,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr "Tidak dapat menyisipkan file dari luar %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" adalah sebuah direktori"
@@ -181,1087 +185,1102 @@ msgstr "\"%s\" adalah sebuah direktori"
 msgid "\"%s\" is not a normal file"
 msgstr ""
 
-#: src/files.c:594
-#, fuzzy
-msgid "No more open file buffers"
-msgstr "Tidak ada file yang terbuka lagi"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr ""
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Beralih ke %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Buffer baru"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] ""
+
+#: src/files.c:640
+#, fuzzy
+msgid "No more open file buffers"
+msgstr "Tidak ada file yang terbuka lagi"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr ""
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Baca %d baris (Dikonversi dari format Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Baca %d baris (Dikonversi dari format Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Membaca %d baris (Konversi dari format DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, fuzzy, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Membaca %d baris"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "File Baru"
 
-#: src/files.c:946
+#: src/files.c:993
 #, fuzzy, c-format
 msgid "File \"%s\" not found"
 msgstr "\"%s\" tidak ditemukan"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, fuzzy, c-format
 msgid "\"%s\" is a device file"
 msgstr "File \"%s\" adalah sebuah file device"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Membaca File"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 #, fuzzy
 msgid "Command to execute in new buffer"
 msgstr "Perintah untuk dieksekusi "
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Perintah untuk dieksekusi "
 
-#: src/files.c:1049
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "File yang akan disisipkan ke buffer baru [dari %s] "
+
+#: src/files.c:1101
 #, fuzzy, c-format
-msgid "File to insert into new buffer [from %s]"
+msgid "File to read into new buffer [from %s]"
 msgstr "File yang akan disisipkan ke buffer baru [dari %s] "
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "File yang akan disisipkan [dari %s] "
+
+#: src/files.c:1109
 #, fuzzy, c-format
 msgid "File to insert [from %s]"
 msgstr "File yang akan disisipkan [dari %s] "
 
-#: src/files.c:1213
+#: src/files.c:1263
 #, fuzzy
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Kunci ilegal dalam mode non-multibuffer"
 
-#: src/files.c:1426
+#: src/files.c:1476
 #, fuzzy
 msgid "Invalid operating directory\n"
 msgstr "Set direktori operasi"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 
-#: src/files.c:1492
+#: src/files.c:1542
 #, fuzzy
 msgid "Invalid backup directory\n"
 msgstr "Tidak dapat memindahkan direktori"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Tidak dapat menulis di luar %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr ""
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 #, fuzzy
 msgid "Too many backup files?"
 msgstr ""
 "\n"
 "No %s ditulis (terlalu banyak file backup?)\n"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr ""
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, fuzzy, c-format
 msgid "Error writing %s: %s"
 msgstr "Quote string buruk %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, fuzzy, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Menulis %d baris"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS Format]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac Format]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Backup]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Menambahkan Pilihan ke File"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Menambahkan Pilihan ke File"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Menulis Pilihan ke File"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Nama file yang akan ditambah ke"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Nama file yang akan ditambah ke"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Nama File untuk di-Tulis"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr ""
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr ""
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, fuzzy, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "File ada, DITIMPA ?"
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr ""
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr ""
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(lagi)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Keluar"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Tutup"
 
-#: src/global.c:497
+#: src/global.c:509
 #, fuzzy
 msgid "Uncut Text"
 msgstr "UnCut Teks"
 
-#: src/global.c:499
+#: src/global.c:511
 #, fuzzy
 msgid "Unjustify"
 msgstr "UnJustifikasi"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Baca File"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Di mana"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Ganti"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Ke baris"
-
-#: src/global.c:509
-#, fuzzy
-msgid "Prev Line"
-msgstr "Hlm sebelumnya"
-
-#: src/global.c:510
-#, fuzzy
-msgid "Next Line"
-msgstr "File Sesudahnya"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Hlm sebelumnya"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Hlm berikutnya"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Justifikasi"
-
-#: src/global.c:515
-#, fuzzy
-msgid "FullJstify"
-msgstr "Justifikasi"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Refresh"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-#, fuzzy
-msgid "WhereIs Next"
-msgstr "Di mana"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Batalkan fungsi ini"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr ""
 
-#: src/global.c:527
+#: src/global.c:523
 #, fuzzy
 msgid "Close the current buffer / Exit from nano"
 msgstr "Tutup file yang sedang dimuat/Keluar dari nano"
 
-#: src/global.c:529
+#: src/global.c:525
 #, fuzzy
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Tulis file sekarang ke disk"
 
-#: src/global.c:531
+#: src/global.c:527
 #, fuzzy
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Sertakan file lain ke file saat ini"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr ""
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr ""
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+msgid "Search forward for a string"
 msgstr ""
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Pencarian backward"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr ""
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr ""
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr ""
 
-#: src/global.c:542
+#: src/global.c:539
 #, fuzzy
 msgid "Go to first row in this column"
 msgstr "Ke baris terawal file"
 
-#: src/global.c:543
+#: src/global.c:540
 #, fuzzy
 msgid "Go to last row in this column"
 msgstr "Ke baris terakhir file"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr ""
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr ""
 
-#: src/global.c:549
+#: src/global.c:546
 #, fuzzy
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Hapus baris saat ini dan taruh dalam cutbuffer"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Kembalikan dari cutbuffer ke baris saat ini"
 
-#: src/global.c:552
+#: src/global.c:549
 #, fuzzy
 msgid "Display the position of the cursor"
 msgstr "Tampilkan posisi kursor"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Panggil spell checker (jika ada)"
 
-#: src/global.c:556
+#: src/global.c:553
 #, fuzzy
 msgid "Replace a string or a regular expression"
 msgstr "Gunakan Regular expression"
 
-#: src/global.c:557
+#: src/global.c:554
 #, fuzzy
 msgid "Go to line and column number"
 msgstr "Ke nomor baris tertentu"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr ""
-
-#: src/global.c:560
+#: src/global.c:556
 #, fuzzy
 msgid "Mark text starting from the cursor position"
 msgstr "Tandai teks pada lokasi kursor saat ini"
 
-#: src/global.c:562
+#: src/global.c:558
 #, fuzzy
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Hapus baris saat ini dan taruh dalam cutbuffer"
 
-#: src/global.c:563
+#: src/global.c:559
 #, fuzzy
 msgid "Indent the current line (or marked lines)"
 msgstr "Tulis file sekarang ke disk"
 
-#: src/global.c:564
+#: src/global.c:560
 #, fuzzy
 msgid "Unindent the current line (or marked lines)"
 msgstr "Tulis file sekarang ke disk"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr ""
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr ""
 
-#: src/global.c:568
+#: src/global.c:564
 #, fuzzy
 msgid "Go back one character"
 msgstr "Pindah satu karakter ke belakang"
 
-#: src/global.c:569
+#: src/global.c:565
 #, fuzzy
 msgid "Go forward one character"
 msgstr "Pindah satu karakter ke depan"
 
-#: src/global.c:570
+#: src/global.c:566
 #, fuzzy
 msgid "Go back one word"
 msgstr "Ke belakang satu kata"
 
-#: src/global.c:571
+#: src/global.c:567
 #, fuzzy
 msgid "Go forward one word"
 msgstr "Ke depan satu kata"
 
-#: src/global.c:572
+#: src/global.c:568
 #, fuzzy
 msgid "Go to previous line"
 msgstr "Pindah ke layar sebelumnya"
 
-#: src/global.c:573
+#: src/global.c:569
 #, fuzzy
 msgid "Go to next line"
 msgstr "Turun satu baris"
 
-#: src/global.c:574
+#: src/global.c:570
 #, fuzzy
 msgid "Go to beginning of current line"
 msgstr "Pindah ke awal baris ini"
 
-#: src/global.c:575
+#: src/global.c:571
 #, fuzzy
 msgid "Go to end of current line"
 msgstr "Pindah ke akhir baris ini"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr ""
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr ""
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr ""
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr ""
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Ke baris terawal file"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Ke baris terakhir file"
 
-#: src/global.c:587
+#: src/global.c:583
 #, fuzzy
 msgid "Go to the matching bracket"
 msgstr "Tidak ada tanda kurung yang cocok"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr ""
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr ""
 
-#: src/global.c:596
+#: src/global.c:592
 #, fuzzy
 msgid "Switch to the previous file buffer"
 msgstr "Pindah ke layar sebelumnya"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr ""
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr ""
 
-#: src/global.c:600
+#: src/global.c:596
 #, fuzzy
 msgid "Insert a tab at the cursor position"
 msgstr "Sertakan carriage return di posisi kursor"
 
-#: src/global.c:601
+#: src/global.c:597
 #, fuzzy
 msgid "Insert a newline at the cursor position"
 msgstr "Sertakan carriage return di posisi kursor"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Hapus karakter pada kursor"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Hapus satu karakter di kiri kursor"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr ""
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr ""
 
-#: src/global.c:611
+#: src/global.c:607
 #, fuzzy
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Kembalikan dari cutbuffer ke baris saat ini"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Justifikasi paragraf saat ini"
 
-#: src/global.c:615
+#: src/global.c:611
 #, fuzzy
 msgid "Justify the entire file"
 msgstr "Justifikasi paragraf saat ini"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr ""
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Refresh (redraw) layar saat ini"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr ""
 
-#: src/global.c:626
+#: src/global.c:622
 #, fuzzy
 msgid "Try and complete the current word"
 msgstr "Sertakan file lain ke file saat ini"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr ""
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr ""
 
-#: src/global.c:634
+#: src/global.c:629
 #, fuzzy
 msgid "Search next occurrence backward"
 msgstr "Pencarian backward"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr ""
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr ""
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr ""
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr ""
 
-#: src/global.c:642
+#: src/global.c:638
 #, fuzzy
 msgid "Reverse the direction of the search"
 msgstr "Tampilkan posisi kursor"
 
-#: src/global.c:644
+#: src/global.c:640
 #, fuzzy
 msgid "Toggle the use of regular expressions"
 msgstr "Gunakan Regular expression"
 
-#: src/global.c:647
+#: src/global.c:643
 #, fuzzy
 msgid "Recall the previous search/replace string"
 msgstr "Edit string search/replace sebelumnya"
 
-#: src/global.c:649
+#: src/global.c:645
 #, fuzzy
 msgid "Recall the next search/replace string"
 msgstr "Edit string search/replace sebelumnya"
 
-#: src/global.c:652
+#: src/global.c:648
 #, fuzzy
 msgid "Toggle the use of DOS format"
 msgstr "Tulis file dalam format DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 #, fuzzy
 msgid "Toggle the use of Mac format"
 msgstr "Tulis file dalam format Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr ""
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr ""
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr ""
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Eksekusi perintah eksternal"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Jangan konversi file dari format DOS/Mac"
+
+#: src/global.c:659
 #, fuzzy
 msgid "Toggle the use of a new buffer"
 msgstr "Pilih insert ke buffer baru"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr ""
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Ke browser file"
 
-#: src/global.c:667
+#: src/global.c:664
 #, fuzzy
 msgid "Exit from the file browser"
 msgstr "Ke browser file"
 
-#: src/global.c:668
+#: src/global.c:665
 #, fuzzy
 msgid "Go to the first file in the list"
 msgstr "Ke baris terawal file"
 
-#: src/global.c:669
+#: src/global.c:666
 #, fuzzy
 msgid "Go to the last file in the list"
 msgstr "Ke baris terakhir file"
 
-#: src/global.c:670
+#: src/global.c:667
 #, fuzzy
 msgid "Go to the previous file in the list"
 msgstr "Ke baris terawal file"
 
-#: src/global.c:671
+#: src/global.c:668
 #, fuzzy
 msgid "Go to the next file in the list"
 msgstr "Ke baris terakhir file"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Ke Direktori"
 
-#: src/global.c:675
+#: src/global.c:672
 #, fuzzy
 msgid "Invoke the linter, if available"
 msgstr "Panggil spell checker (jika ada)"
 
-#: src/global.c:676
+#: src/global.c:673
 #, fuzzy
 msgid "Go to previous linter msg"
 msgstr "Ke nomor baris tertentu"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr ""
 
-#: src/global.c:679
-#, fuzzy
-msgid "Invoke formatter, if available"
-msgstr "Panggil spell checker (jika ada)"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Bantuan"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Batal"
 
-#: src/global.c:710
+#: src/global.c:705
 #, fuzzy
 msgid "Write Out"
 msgstr "Tulis"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Baca File"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Justifikasi"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Refresh"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Di mana"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Ganti"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Ke Direktori"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Ptng Teks"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Mengeja"
 
-#: src/global.c:785
+#: src/global.c:771
 #, fuzzy
 msgid "To Linter"
 msgstr "Ke baris"
 
-#: src/global.c:788
-#, fuzzy
-msgid "Formatter"
-msgstr "Format DOS"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Pos Kursor"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Ke baris"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr ""
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr ""
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Tandai Teks"
 
-#: src/global.c:813
+#: src/global.c:795
 #, fuzzy
 msgid "Copy Text"
 msgstr "Ptng Teks"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Case Sens"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Regexp"
 
-#: src/global.c:821
+#: src/global.c:803
 #, fuzzy
 msgid "Backwards"
 msgstr " [Backwards]"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Tiada Replace"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+#, fuzzy
+msgid "FullJstify"
+msgstr "Justifikasi"
+
+#: src/global.c:821
 #, fuzzy
 msgid "To Bracket"
 msgstr "Bukan tanda kurung"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr ""
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+#, fuzzy
+msgid "Where Was"
+msgstr "Di mana"
+
+#: src/global.c:838
 #, fuzzy
 msgid "Previous"
 msgstr "File Sebelumnya"
 
-#: src/global.c:847
+#: src/global.c:840
 #, fuzzy
 msgid "Next"
 msgstr "Hlm berikutnya"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Belakang"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Depan"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Kata Sebelum"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Kata Berikut"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Awal"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Akhir"
 
-#: src/global.c:877
+#: src/global.c:865
+#, fuzzy
+msgid "Prev Line"
+msgstr "Hlm sebelumnya"
+
+#: src/global.c:867
+#, fuzzy
+msgid "Next Line"
+msgstr "File Sesudahnya"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr ""
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr ""
 
-#: src/global.c:883
+#: src/global.c:876
 #, fuzzy
 msgid "Prev Block"
 msgstr "Kata Sebelum"
 
-#: src/global.c:885
+#: src/global.c:878
 #, fuzzy
 msgid "Next Block"
 msgstr "Kata Berikut"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr ""
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr ""
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Hlm sebelumnya"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Hlm berikutnya"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Baris pertama"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Baris terakhir"
 
-#: src/global.c:905
+#: src/global.c:898
 #, fuzzy
 msgid "Prev File"
 msgstr "File Sebelumnya"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "File Sesudahnya"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Hapus"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Backspace"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 #, fuzzy
 msgid "Cut Left"
 msgstr "Ptng Teks"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr ""
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr ""
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr ""
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr ""
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Tunda"
 
-#: src/global.c:969
-#, fuzzy
-msgid "Indent Text"
-msgstr "Ptng Teks"
-
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:956
+msgid "Indent"
 msgstr ""
 
-#: src/global.c:975
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
+msgstr "Inden otomatis"
+
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr ""
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr ""
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr ""
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr ""
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-#, fuzzy
-msgid "Where Was"
-msgstr "Di mana"
-
-#: src/global.c:992
-msgid "Save"
-msgstr ""
-
-#: src/global.c:996
+#: src/global.c:979
 #, fuzzy
 msgid "PrevHstory"
 msgstr "Sejarah"
 
-#: src/global.c:998
+#: src/global.c:981
 #, fuzzy
 msgid "NextHstory"
 msgstr "Sejarah"
 
-#: src/global.c:1007
+#: src/global.c:990
 #, fuzzy
 msgid "Go To Text"
 msgstr "Ke baris"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Format DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Format Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Tambah"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Tambah"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Backup File"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "versi "
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Eksekusi Perintah"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr ""
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Ke File"
 
-#: src/global.c:1061
+#: src/global.c:1046
 #, fuzzy
 msgid "First File"
 msgstr "Baris pertama"
 
-#: src/global.c:1063
+#: src/global.c:1048
 #, fuzzy
 msgid "Last File"
 msgstr "Baris terakhir"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr ""
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr ""
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr ""
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr ""
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr ""
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr ""
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr ""
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Mode bantuan"
 
-#: src/global.c:1420
+#: src/global.c:1392
 #, fuzzy
 msgid "Constant cursor position display"
 msgstr "Posisi kursor konstan"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr ""
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Scrolling halus"
 
-#: src/global.c:1426
+#: src/global.c:1396
 #, fuzzy
 msgid "Soft wrapping of overlong lines"
 msgstr "Jangan wrap baris panjang"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr ""
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Pewarnaan sintaks"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr ""
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Inden otomatis"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Cut hingga akhir"
 
-#: src/global.c:1438
+#: src/global.c:1408
 #, fuzzy
 msgid "Hard wrapping of overlong lines"
 msgstr "Jangan wrap baris panjang"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr ""
 
-#: src/global.c:1442
-#, fuzzy
-msgid "Backup files"
-msgstr "Backup File"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr ""
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Dukungan mouse"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Tidak ada konversi dari format DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 #, fuzzy
 msgid "Suspension"
 msgstr "Tunda"
 
-#: src/global.c:1452
+#: src/global.c:1416
 #, fuzzy
 msgid "Line numbering"
 msgstr "Masukkan nomor baris"
@@ -1499,11 +1518,9 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Teks Bantuan Perintah Eksternal\n"
 "\n"
@@ -1513,7 +1530,19 @@ msgstr ""
 " Kunci-kunci berikut tersedia dalam mode ini:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+
+#: src/help.c:428
 #, fuzzy
 msgid ""
 "Main nano help text\n"
@@ -1543,7 +1572,7 @@ msgstr ""
 "ditunjukkan dalam tanda kurung:\n"
 "\n"
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1553,7 +1582,7 @@ msgid ""
 "either the Alt, Cmd, or Esc key, depending on your keyboard setup.  "
 msgstr ""
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1562,7 +1591,7 @@ msgid ""
 "\n"
 msgstr ""
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "enable/disable"
 
@@ -1592,21 +1621,21 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr ""
 
-#: src/nano.c:536
+#: src/nano.c:543
 #, fuzzy
 msgid "Key is invalid in view mode"
 msgstr "Kunci ilegal dalam mode VIEW"
 
-#: src/nano.c:542
+#: src/nano.c:549
 #, fuzzy
 msgid "This function is disabled in restricted mode"
 msgstr "Tidak dapat mengunjungi parent dalam mode terbatas"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr ""
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1615,7 +1644,7 @@ msgstr ""
 "\n"
 "Buffer ditulis ke %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, fuzzy, c-format
 msgid ""
 "\n"
@@ -1624,7 +1653,7 @@ msgstr ""
 "\n"
 "Buffer ditulis ke %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, fuzzy, c-format
 msgid ""
 "\n"
@@ -1633,7 +1662,7 @@ msgstr ""
 "\n"
 "Buffer ditulis ke %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1642,313 +1671,313 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
 "a '+' before the filename.  The column number can be added after a comma.\n"
 msgstr ""
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, fuzzy, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opsi\t\tOpsi Panjang\t\tArti\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 #, fuzzy
 msgid "Enable smart home key"
 msgstr "Aktifkan mouse"
 
-#: src/nano.c:776
+#: src/nano.c:785
 #, fuzzy
 msgid "Save backups of existing files"
 msgstr "Backup file yang ada ketika menyimpan"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr ""
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr ""
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr ""
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr ""
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr ""
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr ""
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr ""
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Log dan baca sejarah pencarian/penggantian string"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Jangan lihat file nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr ""
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr ""
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Jangan konversi file dari format DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr ""
 
-#: src/nano.c:818
+#: src/nano.c:827
 #, fuzzy
 msgid "Log & read location of cursor position"
 msgstr "Posisi kursor konstan"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr ""
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=[str]"
 
-#: src/nano.c:822
+#: src/nano.c:831
 #, fuzzy
 msgid "Regular expression to match quoting"
 msgstr "Lakukan pencarian ekspresi reguler"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr ""
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr ""
 
-#: src/nano.c:829
+#: src/nano.c:838
 #, fuzzy
 msgid "-T <#cols>"
 msgstr "-r [#cols]"
 
-#: src/nano.c:829
+#: src/nano.c:838
 #, fuzzy
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=[num]"
 
-#: src/nano.c:830
+#: src/nano.c:839
 #, fuzzy
 msgid "Set width of a tab to #cols columns"
 msgstr "Set lebar tab ke num"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr ""
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Cetak informasi versi dan keluar"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr ""
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr ""
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr ""
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr ""
 
-#: src/nano.c:842
+#: src/nano.c:851
 #, fuzzy
 msgid "Syntax definition to use for coloring"
 msgstr "Definisi sintaks untuk digunakan"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr ""
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Menampilkan posisi kursor secara konstan"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr ""
 
-#: src/nano.c:852
+#: src/nano.c:861
 #, fuzzy
 msgid "Show cursor in file browser"
 msgstr "Ke browser file"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr ""
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Inden baris baru secara otomatis"
 
-#: src/nano.c:857
+#: src/nano.c:866
 #, fuzzy
 msgid "Cut from cursor to end of line"
 msgstr "Biarkan ^K memotong dari kursor hingga akhir baris"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr ""
 
-#: src/nano.c:863
+#: src/nano.c:872
 #, fuzzy
 msgid "Enable the use of the mouse"
 msgstr "Aktifkan mouse"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr ""
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr ""
 
-#: src/nano.c:867
+#: src/nano.c:876
 #, fuzzy
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=[dir]"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Set direktori operasi"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Preserve kunci XON (^Q) dan XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 #, fuzzy
 msgid "-r <#cols>"
 msgstr "-r [#cols]"
 
-#: src/nano.c:872
+#: src/nano.c:881
 #, fuzzy
 msgid "--fill=<#cols>"
 msgstr "--fill=[#cols]"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr ""
 
-#: src/nano.c:877
+#: src/nano.c:886
 #, fuzzy
 msgid "-s <prog>"
 msgstr "-s [prog]"
 
-#: src/nano.c:877
+#: src/nano.c:886
 #, fuzzy
 msgid "--speller=<prog>"
 msgstr "--speller=[prog]"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Aktifkan speller alternatif"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Auto save saat keluar, jangan tanya"
 
-#: src/nano.c:882
+#: src/nano.c:891
 #, fuzzy
 msgid "Save a file by default in Unix format"
 msgstr "Tulis file dalam format DOS"
 
-#: src/nano.c:884
+#: src/nano.c:893
 #, fuzzy
 msgid "View mode (read-only)"
 msgstr "Mode view (hanya baca)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 #, fuzzy
 msgid "Don't hard-wrap long lines"
 msgstr "Jangan wrap baris panjang"
 
-#: src/nano.c:888
+#: src/nano.c:897
 #, fuzzy
 msgid "Don't show the two help lines"
 msgstr "Jangan tampilkan jendela bantuan"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 #, fuzzy
 msgid "Enable suspension"
 msgstr "Aktifkan suspend"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr ""
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, fuzzy, c-format
 msgid " GNU nano, version %s\n"
 msgstr "GNU nano versi %s (dikompilasi %s, %s)\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr ""
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, fuzzy, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Email: nano@nano-editor.org\tWeb: http://www.nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1957,335 +1986,335 @@ msgstr ""
 "\n"
 " Option kompilasi:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr ""
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, fuzzy, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Tidak dapat membuka kembali %s: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr ""
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Menerima SIGHUP atau SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, fuzzy, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Gunakan \"fg\" untuk kembali ke nano"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr ""
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "adakan"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "tiadakan"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr ""
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr ""
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr ""
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr ""
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr ""
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, fuzzy, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "ukuran tab yang diminta %d tidak valid"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, fuzzy, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "ukuran fill yang diminta %d tidak valid"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr ""
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr ""
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr ""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Yy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Tt"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Aa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Ya"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Tidak"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Semua"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, fuzzy, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Kesalahan dalam %s pada baris %d: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, fuzzy, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "argumen %s telah selesai.\""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 #, fuzzy
 msgid "Regex strings must begin and end with a \" character"
 msgstr "String regexp harus dimulai dan diakhiri dengan sebuah karakter \"\n"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Regex jelek \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Nama sintaks tidak ada"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 #, fuzzy
 msgid "Unpaired quote in syntax name"
 msgstr "Nama sintaks tidak ada"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr ""
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr ""
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 #, fuzzy
 msgid "Missing key name"
 msgstr "Nama sintaks tidak ada"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr ""
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr ""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr ""
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr ""
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr ""
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr ""
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr ""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr ""
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr ""
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, fuzzy, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Perintah %s tidak dipahami"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr ""
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr ""
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Nama warna tidak ada"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr ""
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr ""
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" membutuhkan \"end=\" yang sesuai"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr ""
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr ""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr ""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr ""
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, fuzzy, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Tidak dapat membuka %s untuk menulis: %s"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr ""
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr ""
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, fuzzy, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Perintah %s tidak dipahami"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 #, fuzzy
 msgid "Missing option"
 msgstr "Nama warna tidak ada"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr ""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, fuzzy, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Tidak dapat menganti ukuran jendela atas"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, fuzzy, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "opsi %s membutuhkan sebuah argumen"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr ""
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr ""
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr ""
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Saya tidak dapat menemukan direktori home!  Wah!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Case Sensitive]"
@@ -2294,308 +2323,294 @@ msgstr " [Case Sensitive]"
 msgid " [Regexp]"
 msgstr " [Regexp]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Backwards]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 #, fuzzy
 msgid " (to replace) in selection"
 msgstr " (ganti)"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (ganti)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 #, fuzzy
 msgid "Searching..."
 msgstr "Cari"
 
-#: src/search.c:391
+#: src/search.c:388
 #, fuzzy, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%s\" tidak ditemukan"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Ganti kata ini?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Ganti dengan"
 
-#: src/search.c:738
+#: src/search.c:735
 #, fuzzy, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
 msgstr[0] "%d tempat terganti"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 #, fuzzy
 msgid "Enter line number, column number"
 msgstr "Masukkan nomor baris"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Bukan tanda kurung"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Tidak ada tanda kurung yang cocok"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Set Tanda"
 
-#: src/text.c:68
+#: src/text.c:67
 #, fuzzy
 msgid "Mark Unset"
 msgstr "Unset Tanda"
 
-#: src/text.c:78
+#: src/text.c:77
 #, fuzzy, c-format
 msgid "Error invoking \"%s\""
 msgstr "Gagal memanggil \"spell\""
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr ""
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr ""
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr ""
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr ""
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr ""
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 #, fuzzy
 msgid "text delete"
 msgstr "File Sesudahnya"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr ""
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 #, fuzzy
 msgid "text replace"
 msgstr " (ganti)"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr ""
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr ""
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 #, fuzzy
 msgid "text insert"
 msgstr "File Sesudahnya"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 #, fuzzy
 msgid "indent"
 msgstr "Inden otomatis"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 #, fuzzy
 msgid "unindent"
 msgstr "Inden otomatis"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr ""
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr ""
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr ""
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr ""
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr ""
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Tidak dapat membuat pipe"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Tidak dapat mem-fork"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, fuzzy, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Tidak dapat membuka kembali %s: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Quote string buruk %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Sekarang dapat melakukan UnJustify"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr ""
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Edit pengganti"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 #, fuzzy
 msgid "Next word..."
 msgstr "Kata Berikut"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Membuat daftar kata yang misspelled, silakan tunggu..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Tidak dapat menentukan ukuran buffer pipe"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Gagal memanggil \"spell\""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Gagal memanggil \"sort -f\""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Gagal memanggil \"uniq\""
 
-#: src/text.c:2992
+#: src/text.c:2994
 #, fuzzy
 msgid "Invoking spell checker, please wait"
 msgstr "Panggil spell checker (jika ada)"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Spell checking gagal: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, fuzzy, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Spell checking gagal: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Selesai memeriksa ejaan"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr ""
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr ""
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr ""
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr ""
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr ""
 
-#: src/text.c:3311
+#: src/text.c:3313
 #, fuzzy
 msgid "At last message"
 msgstr "Tampilkan pesan ini"
 
-#: src/text.c:3316
+#: src/text.c:3318
 #, fuzzy
 msgid "At first message"
 msgstr "Tampilkan pesan ini"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr ""
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr ""
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr ""
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr ""
 
-#: src/text.c:3508
+#: src/text.c:3397
 #, fuzzy
 msgid "In Selection:  "
 msgstr "Menambahkan Pilihan ke File"
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr ""
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr ""
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 #, fuzzy
 msgid "No matches"
 msgstr "Tidak ada tanda kurung yang cocok"
@@ -2626,75 +2641,75 @@ msgstr ""
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr ""
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr ""
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 #, fuzzy
 msgid "DIR:"
 msgstr " DIR: "
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 #, fuzzy
 msgid "Modified"
 msgstr " Dimodifikasi "
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 #, fuzzy
 msgid "View"
 msgstr " View "
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr ""
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, fuzzy, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "baris %ld/%ld (%d%%), kol %lu/%lu (%d%%), char %lu/%ld (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Nano teks editor"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 #, fuzzy
 msgid "version"
 msgstr "versi "
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Dibuat untuk anda oleh:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Ucapan terima kasih khusus kepada:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "The Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr ""
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Untuk ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "dan orang lain yang kami lupa...."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 #, fuzzy
 msgid "Thank you for using nano!"
 msgstr "Terima kasih telah menggunakan nano!\n"
@@ -2720,6 +2735,9 @@ msgstr "Terima kasih telah menggunakan n
 #~ msgid "%s: free'd last node.\n"
 #~ msgstr "%s: bebaskan node terakhir.\n"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Beralih ke %s"
+
 #~ msgid "Could not read %s for backup: %s"
 #~ msgstr "Tidak dapat membaca %s untuk backup: %s"
 
@@ -2765,6 +2783,9 @@ msgstr "Terima kasih telah menggunakan n
 #~ msgid "Unable to write ~/.nano_history file, %s"
 #~ msgstr "Tidak dapat menulis file ~/.nano_history, %s"
 
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Tidak ada konversi dari format DOS/Mac"
+
 #~ msgid "Writing file in DOS format"
 #~ msgstr "Menulis file dalam format DOS"
 
Binary files 2.9.8-1/po/it.gmo and 3.0-1/po/it.gmo differ
diff -pruN 2.9.8-1/po/it.po 3.0-1/po/it.po
--- 2.9.8-1/po/it.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/it.po	2018-09-09 09:48:30.000000000 +0000
@@ -5,10 +5,10 @@
 # Marco Colombo <m.colombo@ed.ac.uk>, 2001-2018.
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.9.8-pre1\n"
+"Project-Id-Version: nano 3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-29 12:25+0100\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-09-06 13:08+0100\n"
 "Last-Translator: Marco Colombo <m.colombo@ed.ac.uk>\n"
 "Language-Team: Italian <tp@lists.linux.it>\n"
 "Language: it\n"
@@ -24,82 +24,86 @@ msgid "Cannot open directory: %s"
 msgstr "Impossibile aprire la directory: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Vai alla directory"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Annullato"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Impossibile uscire da %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Impossibile risalire la directory"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Errore durante la lettura di %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "La directory corrente è scomparsa"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(dir)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(dir super)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(grande)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Ricerca"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [All'indietro]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Ricerca ricominciata"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Questa è l'unica occorrenza"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Nessun pattern di ricerca attivo"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nome di sintassi sconosciuto: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() non riuscito: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) non riuscito: %s"
@@ -174,7 +178,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr "Impossibile leggere il file dall'esterno di %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" è una directory"
@@ -184,1029 +188,1044 @@ msgstr "\"%s\" è una directory"
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" non è un file normale"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Nessun altro buffer aperto"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "correzione ortografica"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu riga (%s)"
+msgstr[1] "%s -- %zu righe (%s)"
 
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "Passato a %s"
-
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Nuovo buffer"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu riga"
+msgstr[1] "%s -- %zu righe"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Nessun altro buffer aperto"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Il file \"%s\" non è scrivibile"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Letta %zu riga (Convertita dal formato DOS e Mac)"
 msgstr[1] "Lette %zu righe (Convertite dal formato DOS e Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Letta %zu riga (Convertita dal formato Mac)"
 msgstr[1] "Lette %zu righe (Convertite dal formato Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Letta %zu riga (Convertita dal formato DOS)"
 msgstr[1] "Lette %zu righe (Convertite dal formato DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Letta %zu riga"
 msgstr[1] "Lette %zu righe"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Nuovo file"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "File \"%s\" non trovato"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" è un file di device"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Lettura file"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Comando da eseguire in un nuovo buffer"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Comando da eseguire"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "File da inserire in un nuovo buffer [da %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "File da aprire senza conversione in un nuovo buffer [da %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "File da aprire in un nuovo buffer [da %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "File da inserire senza conversione [da %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "File da inserire [da %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Chiave non valida in modalità non multibuffer"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Imposta la directory operativa\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Scrittura del file di backup non riuscita. Continuare il salvataggio? (In "
 "dubbio, rispondere N) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Directory di backup non valida\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Impossibile salvare fuori da %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Errore durante la scrittura del file di backup %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Troppi file di backup?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Errore durante la scrittura del file temporaneo: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Errore durante la scrittura di %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Scritta %zu riga"
 msgstr[1] "Scritte %zu righe"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Formato DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Formato Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Backup]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Inserisce selezione in testa al file"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Accoda selezione al file"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Salva selezione nel file"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Nome del file in cui inserire in testa"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Nome del file a cui accodare"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Nome del file in cui salvare"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Troppo piccolo"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Il file esiste, impossibile sovrascrivere"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Salvare il file con un NOME DIFFERENTE? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Il file \"%s\" esiste. SOVRASCRIVERE? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Il file sul disco è cambiato"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Il file è stato modificato dall'apertura. Continuare a salvare? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(ancora)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Esci"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Chiudi"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Incolla"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Degiustif."
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Inserisci"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Cerca"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Sostituisci"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Vai a riga"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Riga prec."
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Riga succ."
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Pag Prec."
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Pag Succ."
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Giustifica"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Giust.File"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Aggiorna"
-
-# FIXME
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Successivo"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Annulla la funzione corrente"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Mostra questo messaggio di aiuto"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Chiude il file corrente / Esce da nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Salva su disco il file corrente (o la regione selezionata)"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Inserisce un altro file nel corrente (o in un nuovo buffer)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Cerca in avanti una stringa o un'espressione regolare"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Cerca all'indietro una stringa o un'espressione regolare"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Cerca una stringa"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Cerca una stringa in avanti"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Cerca una stringa all'indietro"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Aggiorna la lista di file"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Va alla colonna di sinistra"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Va alla colonna di destra"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Va alla prima riga di questa colonna"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Va all'ultima riga di questa colonna"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Va alla schermata precedente"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Va alla schermata successiva"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Taglia la riga corrente (o la regione selezionata) e la memorizza nel "
 "cutbuffer"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Incolla dal cutbuffer nella riga corrente"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Mostra la posizione del cursore"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Esegue il correttore ortografico, se disponibile"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Sostituisce una stringa o un'espressione regolare"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Va a un numero di riga e di colonna specifico"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Ripete l'ultima ricerca"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Marca testo partendo dalla posizione del cursore"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Copia la riga corrente (o la regione selezionata) e la memorizza nel "
 "cutbuffer"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Indenta la riga corrente (o le righe selezionate)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Deindenta la riga corrente (o le righe selezionate)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Annulla l'ultima operazione"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Ripete l'ultima operazione"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Arretra di un carattere"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Avanza di un carattere"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Arretra di una parola"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Avanza di una parola"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Va alla riga precedente"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Va alla riga successiva"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Va all'inizio della riga corrente"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Va alla fine della riga corrente"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Va al blocco di testo precedente"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Va al blocco di testo successivo"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Va all'inizio del paragrafo; poi al paragrafo precedente"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Va alla fine del paragrafo; poi al paragrafo successivo"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Va alla prima riga del file"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Va all'ultima riga del file"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Va alla parentesi corrispondente"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Scorre in alto di una riga senza spostare il cursore"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Scorre in basso di una riga senza spostare il cursore"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Va al buffer precedente"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Va al buffer successivo"
 
 # NdT: di fatto funziona per un solo carattere alla volta.
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Inserisce un carattere letteralmente"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Inserisce una tabulazione alla posizione del cursore"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Inserisce un ritorno a capo alla posizione del cursore"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Elimina il carattere sotto il cursore"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Elimina il carattere a sinistra del cursore"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Taglia all'indietro dal cursore a inizio parola"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Taglia in avanti dal cursore all'inizio della prossima parola"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Taglia dal cursore alla fine del file"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Giustifica il paragrafo corrente"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Giustifica l'intero file"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Conta il numero di parole, righe e caratteri"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Aggiorna la schermata corrente"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Sospende l'editor (se la sospensione è abilitata)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Prova a completare la parola corrente"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Commenta/decommenta la riga corrente (o le righe selezionate)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Salva il file senza chiedere conferma"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Ricerca la prossima occorrenza all'indietro"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Ricerca la prossima occorrenza in avanti"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Inizia/termina la registrazione di una macro"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Esegui l'ultima macro registrata"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Considera maiuscole/minuscole nella ricerca"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Inverte la direzione di ricerca"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Attiva/disattiva uso di espressioni regolari"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Richiama la stringa di ricerca/sostituzione precedente"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Richiama la stringa di ricerca/sostituzione successiva"
 
 # FIXME
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Usa il formato DOS"
 
 # FIXME
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Usa il formato Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Attiva/disattiva scrittura in coda al file"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Attiva/disattiva scrittura in testa al file"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Attiva/disattiva creazione copia di backup del file originale"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Esegue un comando esterno"
 
 # FIXME
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Fa una pipe del file corrente (o della regione selezionata) al comando"
 
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "Non converte dai formati DOS/Mac"
+
 # FIXME
-#: src/global.c:662
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Usa un nuovo buffer"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Chiude il buffer senza salvarlo"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Va al browser di file"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Esce dal browser di file"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Va al primo file dell'elenco"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Va all'ultimo file dell'elenco"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Va al precedente file dell'elenco"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Va al prossimo file dell'elenco"
 
 # NdT: questo messaggio è usato come comando.
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Va alla directory"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Esegue il linter, se disponibile"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Va alla messaggio precedente del linter"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Va al messaggio successivo del linter"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Esegue il formattatore, se disponibile"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Guida"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Annulla"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Salva"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Inserisci"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Giustifica"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Aggiorna"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Cerca"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Sostituisci"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Vai a dir."
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Taglia"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Ortografia"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Linter"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formattatore"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Posizione"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Vai a riga"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Annulla"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Ripeti"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Marca testo"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Copia"
 
 # FIXME
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Maius/Minus"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Espr.Reg."
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Indietro"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Non sost."
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Giust.File"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Parentesi"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Salva"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Cerca Ind."
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Precedente"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Successiva"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Indietro"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Avanti"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Parola prec."
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Parola succ."
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Inizio"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Fine"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Riga prec."
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Riga succ."
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Scorri su"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Scorri giù"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Blocco prec."
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Blocco succ."
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Iniz.Par."
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Fine Par."
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Pag Prec."
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Pag Succ."
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Prima riga"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Ultima riga"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "File prec."
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "File succ."
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Invio"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Elimina"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Backspace"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Taglia sin."
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Taglia des."
 
 # FIXME
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "TagliaAFine"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Conta parole"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Letterale"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Sospendi"
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+msgid "Indent"
 msgstr "Indenta"
 
-# FIXME
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+msgid "Unindent"
 msgstr "Deindenta"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Commenta righe"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Completa"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Registra"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Esegui macro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Cerca Ind."
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Salva"
-
 # FIXME
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Precedente"
 
 # FIXME
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Successivo"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Vai al testo"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Formato DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Formato Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Accoda"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Scrivi in testa"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "File di backup"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Senza conversione"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Esegui comando"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "Fa una pipe del testo"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Sfoglia"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Primo file"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Ultimo file"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Colonna di sinistra"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Colonna di destra"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Riga più in alto"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Riga più in basso"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Elimina buffer"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Msg lint prec."
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Msg lint succ."
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Barra dei comandi"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Mostra sempre la posizione del cursore"
 
-# FIXME
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Usa una riga in più per le modifiche"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Scorrimento continuo"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "A capo automatico morbido delle righe lunghe"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Mostra spazi bianchi"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Sintassi colorata"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Tasto Inizio intelligente"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Indentazione automatica"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Taglia fino a fine riga"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "A capo automatico delle righe lunghe"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Conversione delle tabulazioni in spazi"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "File di backup"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Lettura del file in un altro buffer"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Supporto per il mouse"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Nessuna conversione dai formati DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Sospensione"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Numerazione righe"
 
@@ -1438,22 +1457,35 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Guida per il comando Esegui comando\n"
 "\n"
 " Questo menù permette di inserire l'output di un comando eseguito dalla "
-"shell all'interno del buffer corrente (o di un nuovo buffer se in modalità "
-"multibuffer). Se si desidera un buffer vuoto, non inserire alcun comando.\n"
+"shell all'interno del buffer corrente (o di un nuovo buffer). Se il comando "
+"è preceduto da \"|\" (il simbolo della pipe), il contenuto del buffer "
+"corrente (o della regione selezionata) saranno passati al comando. "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
-" Le seguenti funzioni sono disponibili in modalità Esegui comando:\n"
+msgstr ""
+"Se si desidera un buffer vuoto, non inserire alcun comando.\n"
 "\n"
 
-#: src/help.c:427
+# FIXME
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+"Le seguenti funzioni sono disponibili in modalità Esegui comando:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1473,7 +1505,7 @@ msgstr ""
 "mostra il contenuto del file che si sta modificando. La barra di stato è la "
 "terza riga dal basso e mostra importanti messaggi.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1490,7 +1522,7 @@ msgstr ""
 "inserite usando alternativamente il tasto Alt, Cmd o Esc, a seconda della "
 "configurazione della tastiera.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1504,7 +1536,7 @@ msgstr ""
 "sequenze alternative sono mostrate tra parentesi:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "abilita/disabilita"
 
@@ -1541,19 +1573,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Errore durante la scrittura di %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "La chiave non è valida in modalità Visualizza"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Questa funzione è disattivata in modalità ristretta"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Aiuto non disponibile"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1562,7 +1594,7 @@ msgstr ""
 "\n"
 "Buffer scritto su %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1571,7 +1603,7 @@ msgstr ""
 "\n"
 "Buffer scritto su %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1580,7 +1612,7 @@ msgstr ""
 "\n"
 "Buffer scritto: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1591,7 +1623,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1601,7 +1633,7 @@ msgstr ""
 "numero di riga con un \"+\" prima del nome del file. Il numero di colonna\n"
 "può essere aggiunto dopo una virgola.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1610,288 +1642,288 @@ msgstr ""
 "Quando il nome del file è \"-\", nano legge i dati dallo standard input.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opzione\t\tOpzione lunga\t\tSignificato\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Abilita il tasto Inizio intelligente"
 
 # Questo messaggio è stato tradotto come uno simile più in alto.
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Crea una copia di backup dei file esistenti"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <dir>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Directory in cui salvare i file di backup"
 
 # FIXME
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Usa grassetto invece di testo inverso"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Converte le tabulazioni in spazi"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Legge un file in un nuovo buffer in modo predefinito"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Usa file di lock come vim"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Salva e leggi le stringhe di ricerca/sostituzione"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Non considera i file nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Risolve il problema di confusione del tastierino numerico"
 
 # FIXME
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Non aggiunge caratteri newline in fondo ai file"
 
 # FIXME
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Rimuovi spazi finali quando le righe vengono interrotte"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Non converte i file dai formati DOS/Mac"
 
 # FIXME
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Usa una riga in più per le modifiche"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Salva e legge la posizione del cursore"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <espr.reg.>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<espr.reg.>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "Espressione regolare per la stringa di quoting"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Modalità ristretta"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Scorrimento a ogni riga invece che a ogni metà schermata"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#cols>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#cols>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Imposta la lunghezza della tabulazione a #cols"
 
 # FIXME
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Svuota la barra di stato velocemente"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Stampa informazioni sulla versione ed esce"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Rileva più precisamente i limiti delle parole"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <str>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<str>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Altri caratteri da considerare parti di parole"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <nome>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<nome>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Definizione di sintassi da usare per la colorazione"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Fai l'a capo automatico morbido ai caratteri di spazio"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Mostra sempre la posizione del cursore"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Risolve il problema Backspace/Canc"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Mostra il cursore nel browser di file"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Mostra questo messaggio di aiuto ed esce"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Indenta automaticamente le nuove righe"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Taglia dal cursore a fine riga"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Mostra i numeri di riga prima del testo"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Abilita l'uso del mouse"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Non legge il file (solo scrittura)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <dir>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<dir>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Imposta la directory operativa"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Rispetta XON (^Q) e XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#cols>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#cols>"
 
 # FIXME
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Imposta l'interruzione delle righe a #cols"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Attiva correttore ortografico alternativo"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Salvataggio automatico in uscita senza conferma"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Salvataggio predefinito in formato Unix"
 
 # "Visualizza" è il nome della modalità. Appare in alto a destra.
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Visualizza (sola lettura)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Non interrompe le righe lunghe"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Non mostra la barra dei comandi"
 
 # FIXME
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Modifica Ctrl+Right di modo che si sposti a fine parola"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Abilita sospensione"
 
 # FIXME
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Abilita a capo automatico morbido delle righe"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano versione %s\n"
 
 # FIXME
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s i partecipanti a nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1900,274 +1932,274 @@ msgstr ""
 "\n"
 " Opzioni di compilazione:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Nessun nome di file"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "Salvare il buffer modificato? (Rispondere \"No\" per annullare le modifiche)"
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "Leggendo dallo standard input; usare ^D o ^D^D per terminare.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Apertura dello standard input non riuscita: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Impossibile riaprire stdin da tastiera\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Ricevuto SIGHUP o SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 "Spiacenti, nano ha avuto un crash! Codice: %d. Contattare gli sviluppatori.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Usare \"fg\" per tornare a nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Sospensione non abilitata"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "abilitato"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "disabilitato"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Chiave non collegata"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Chiave non collegabile: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Chiave non collegata: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Chiave non collegata: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Chiave non collegata: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Lunghezza della tabulazione \"%s\" non valida"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Lunghezza del riempimento \"%s\" non valida"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Usare \"%s -h\" per elencare le opzioni disponibili.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Numero di riga o di colonna non valido"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Errori in \"%s\""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Benvenuti a nano. Per la pagina d'aiuto, usare Ctrl+G."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "SsYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Tt"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Sì"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "No"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Tutti"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Errore in %s alla riga %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "L'argomento \"%s\" ha un \" non terminato"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "L'espressione regolare deve iniziare e finire con il carattere \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Espressione regolare non corretta \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Nome di sintassi mancante"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Virgolette non chiuse nel nome di sintassi"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "La sintassi \"none\" è riservata"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "La sintassi \"default\" non accetta estensioni"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Nome di chiave mancante"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Il nome di chiave è troppo corto"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "I nomi di chiavi devono cominciare con \"^\", \"M\", o \"F\""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Nome della chiave \"%s\" non valido"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Occorre specificare una funzione a cui associare la chiave"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr "Occorre specificare un menù (oppure \"all\") a cui associare la chiave"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Impossibile associare il nome \"%s\" a una funzione"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Impossibile associare il nome \"%s\" a un menù"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "La funzione \"%s\" non esiste nel menù \"%s\""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "La chiave \"%s\" non può essere reimpostata"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Errore durante l'espansione di %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Colore \"%s\" non riconosciuto"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Il colore di sfondo non può essere \"bright\""
 
 # FIXME
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Il comando \"%s\" richiede un previo comando di sintassi"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Nome del colore mancante"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Espressione regolare mancante dopo il comando \"%s\""
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Espressione regolare vuota"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" richiede un \"end=\" corrispondente"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "La sintassi \"default\" non accetta espressioni regolari \"%s\""
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Argomento mancante dopo \"%s\""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "L'argomento di \"%s\" ha un \" non terminato"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
-"Errore fatale: nessuna chiave associata alla funzione \"%s\". Uscita.\n"
+"Nessuna chiave associata alla funzione \"%s\" nel menu \"%s\". Uscita.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2175,64 +2207,64 @@ msgstr ""
 "Usare nano con l'opzione -I se occorre modificare le impostazioni di "
 "nanorc.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Impossibile trovare sintassi \"%s\" da estendere"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "La sintassi \"%s\" non ha direttive di colore"
 
 # FIXME
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Comando \"%s\" non permesso nel file incluso"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Comando \"%s\" non riconosciuto"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Opzione mancante"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Opzione \"%s\" sconosciuta"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Impossibile rimuovere l'opzione \"%s\""
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "L'opzione \"%s\" richiede un argomento"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "L'argomento non è una stringa multibyte valida"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Sono richiesti caratteri non di spaziatura"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Sono richiesti due caratteri a colonna singola"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Impossibile trovare la directory home."
 
 # FIXME
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Maiuscole/Minuscole]"
@@ -2241,41 +2273,36 @@ msgstr " [Maiuscole/Minuscole]"
 msgid " [Regexp]"
 msgstr " [Espressione regolare]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [All'indietro]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (sostituisci) nella selezione"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (sostituisci)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Cercando..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" non trovato"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Sostituire questa occorrenza?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Sostituire con"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2283,256 +2310,247 @@ msgstr[0] "%zd sostituzione effettuata"
 msgstr[1] "%zd sostituzioni effettuate"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Inserire il numero di riga, numero di colonna"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Non è una parentesi"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Parentesi corrispondente non trovata"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Marcatura impostata"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Marcatura disattivata"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Errore nel chiamare \"%s\""
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Commenti non supportati per questo tipo di file"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Impossibile commentare dopo la fine del file"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Buffer di annullamento vuoto."
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "aggiunta testo"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "interruzione riga"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "rimozione testo"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "unione riga"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "sostituzione testo"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "taglio testo"
 
 # FIXME
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "incolla testo"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "inserimento testo"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "filtra"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "indenta"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "deindenta"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "commento"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "decommenta"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Azione annullata (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Niente da ripetere."
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Ripetuta azione (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Impossibile creare la pipe"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Impossibile effettuare un fork"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "filtra"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Apertura della pipe non riuscita: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Stringa di quoting non corretta %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "È ora possibile togliere la giustificazione."
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Parola non cercabile: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Modifica sostituzione"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Parola successiva..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Creazione della lista delle parole non corrette, attendere..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Impossibile ottenere la dimensione del buffer della pipe"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Errore nel chiamare \"spell\""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Errore nel chiamare \"sort -f\""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Errore nel chiamare \"uniq\""
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Esecuzione del correttore ortografico, attendere"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Controllo ortografico non riuscito: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Controllo ortografico non riuscito: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Controllo ortografico terminato"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Nessun linter definito per questo tipo di file!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Salvare il buffer prima dell'esecuzione del linter?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Esecuzione del linter, attendere"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Ricevute 0 righe dal comando: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Questo messaggio è per il file non aperto %s, aprire in un nuovo buffer?"
 
 # FIXME
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Errori terminati nei file non aperti, annullo"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Ultimo messaggio"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Primo messaggio"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Completato"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Esecuzione del formattatore, attendere"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Formattazione completata"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sParole: %zu  Righe: %zd  Caratteri: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "Nella selezione:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Input letterale"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Nessun frammento di parola"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Nessun'altra corrispondenza"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Nessuna corrispondenza"
 
@@ -2562,70 +2580,70 @@ msgstr "Troppi errori dallo standard inp
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Sequenza sconosciuta"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Input Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "Dir:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Modificato"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Visualizza"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Ulteriori avvisi sono stati soppressi"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "Riga %zd/%zd (%d%%), colonna %zu/%zu (%d%%), carattere %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "L'editor di testi nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versione"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Creato per voi da:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Ringraziamenti speciali a:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "La Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "i numeriso traduttori e il Translation Project"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Per ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "e chiunque altro abbiamo dimenticato..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Grazie di usare nano!"
Binary files 2.9.8-1/po/ja.gmo and 3.0-1/po/ja.gmo differ
diff -pruN 2.9.8-1/po/ja.po 3.0-1/po/ja.po
--- 2.9.8-1/po/ja.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/ja.po	2018-09-09 09:48:30.000000000 +0000
@@ -6,10 +6,10 @@
 # Takeshi Hamasaki <hmatrjp@users.sourceforge.jp>, 2016, 2017, 2018
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.9.8-pre1\n"
+"Project-Id-Version: nano 3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-28 03:42+0900\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-30 09:11+0900\n"
 "Last-Translator: Takeshi Hamasaki <hmatrjp@users.sourceforge.jp>\n"
 "Language-Team: Japanese <translation-team-ja@lists.sourceforge.net>\n"
 "Language: ja\n"
@@ -18,8 +18,8 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "X-Bugs: Report translation errors to the Language-Team address.\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Generator: Poedit 2.0.6\n"
-"X-Poedit-Basepath: nano-2.9.1-pre1\n"
+"X-Generator: Poedit 2.1.1\n"
+"X-Poedit-Basepath: nano-3.0-pre1\n"
 "X-Poedit-SearchPath-0: .\n"
 
 #: src/browser.c:67
@@ -28,82 +28,86 @@ msgid "Cannot open directory: %s"
 msgstr "ディレクトリを開けません: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "ディレクトリへ移動"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "取り消しました"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "%s の外部へ移動できません"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "上位のディレクトリへ移動できません"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "%s: %s の読み込みに失敗しました"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "作業ディレクトリがなくなりました"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(dir)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(上位 dir)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(1TB以上)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "検索"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [戻る]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "先頭から検索します"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "他に見つかりません"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "検索語が指定されていません"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "構文名がありません: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() が失敗しました: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) が失敗しました: %s"
@@ -180,7 +184,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr "%s の外部からファイルを読むことができません"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" はディレクトリです"
@@ -190,1008 +194,1024 @@ msgstr "\"%s\" はディレクトリで
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" は通常ファイルではありません"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "ファイルを開くためのバッファがありません"
-
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "%s に切り替えます"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "スペル訂正"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu 行 (%s)"
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "新しいバッファ"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu 行"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "ファイルを開くためのバッファがありません"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "ファイル '%s' は書き込み禁止です"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "%zu 行を読み込みます（DOS または Mac のフォーマットを変換）"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "%zu 行を読み込みます（Mac フォーマットを変換）"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "%zu 行を読み込みます（DOS フォーマットを変換）"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "%zu 行を読み込みます"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "新しいファイル"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "ファイル \"%s\" が見つかりません"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" はデバイスファイルです"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "ファイルを読み込んでいます"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "新しいバッファで実行するコマンド"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "実行するコマンド"
 
-#: src/files.c:1049
+#: src/files.c:1098
+#, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "新しいバッファへ変換無しで読み込むファイル [%s から]"
+
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "新しいバッファへ読み込むファイル [%s から]"
+
+#: src/files.c:1106
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "新しいバッファへ読み込むファイル [from %s]"
+msgid "File to insert unconverted [from %s]"
+msgstr "変換無しで挿入するファイル [%s から]"
 
-#: src/files.c:1052
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "読み込むファイル [from %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "マルチバッファモードでの無効キー"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "無効な作業ディレクトリ\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "バックアップファイルの書き込みに失敗しました。保存を継続しますか? (分からない"
 "場合は N としてください。) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "無効なバックアップディレクトリ\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "%s の外部から書き込めません"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "バックアップファイル %s の書き込みエラー: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "バックアップファイルが多すぎませんか?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "テンポラリファイルの書き込みエラー: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "%s の書き込みエラー: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "%zu 行を書き込みました"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS フォーマット]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac フォーマット]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [バックアップ]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "ファイルの先頭に追加"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "ファイルの末尾に追加"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "ファイルに書き込み"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "先頭に追加するファイル"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "末尾に追加するファイル"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "書き込むファイル"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "画面が狭すぎます"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "ファイルが存在し、上書きできません"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "ファイルを違う名前で保存しますか？ "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "ファイル \"%s\" が既に存在します、上書きしてよいですか？ "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "ディスク上でファイルが変更されました"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "ファイルを開いた後に修正が入りました、保存しますか？ "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(続き)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "終了"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "閉じる"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "貼り付け"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "均等割付を戻す"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "読み込み"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "検索"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "置換"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "行を指定"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "前の行"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "次の行"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "前のページ"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "次のページ"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "均等割付"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "全て両端揃え"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "更新"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "次へ移動"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "動作を取り消します"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "ヘルプを表示"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "現在のバッファを閉じて nano を終了"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "現在のバッファ（またはマークした範囲）をディスクへ書き込み"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "他のファイルから現在のバッファ（または新しいバッファ）に読み込み"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "正規表現で文字列を前方に向かって検索"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "正規表現で文字列を後方に向かって検索"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "文字列を検索"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "文字列を前方へ検索"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "文字列を後方へ検索"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "ファイルのリストを更新"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "左端の列へ移動"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "右端の列へ移動"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "最上段へ移動"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "最下段へ移動"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "前のページへ移動"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "次のページへ移動"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "現在の行（またはマークした範囲）を切り取ってカットバッファに格納する"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "切り取った行を貼り付ける"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "カーソル位置を表示"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "スペルチェッカを起動 (利用可能な場合)"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "正規表現置換"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "指定位置へ移動"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "最後の検索を繰り返す"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "カーソル位置から始まる単語をマーク"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "現在の行（またはマークした範囲）をコピーしてカットバッファに格納する"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "現在行（またはマークされた行）をインデント"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "現在行（またはマークされた行）のインデントを縮小"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "直前の操作を取り消す (undo)"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "取り消した直前の操作をやり直す (redo)"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "前の文字へ戻る"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "次の文字へ進む"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "前の単語へ戻る"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "次の単語へ進む"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "前の行へ移動する"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "次の行へ移動する"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "現在行の先頭へ移動"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "現在行の末尾へ移動"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "前のテキストブロックへ移動する"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "次のテキストブロックへ移動する"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "段落の先頭へ移動、カーソルがその位置にある場合その前の段落へ移動"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr ""
 "段落の末尾の次の位置へ移動、カーソルがその位置にある場合その次の段落へ移動"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "ファイルの先頭行へ移動"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "ファイルの最終行へ移動"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "対応する括弧へ移動"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "文中のカーソル位置を変えずに一行上にスクロールする"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "文中のカーソル位置を変えずに一行下にスクロールする"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "前のバッファに切替え"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "次のバッファに切替え"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "後に続く特殊キーをそのまま入力"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "タブ文字の挿入"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "行の挿入"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "カーソル位置の文字を削除"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "カーソルの前の文字を削除"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "カーソルから単語の先頭までを切り取る"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "カーソルから次の単語の先頭までを切り取る"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "カーソル位置からファイル終端までを切り取る"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "段落を均等割付"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "ファイル全体を均等割付"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "単語数、行数、文字数を表示"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "画面の更新"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "エディタを一時中断する (有効な場合)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "現在の単語の補完を試みる"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "現在行（またはマークされた行）をコメント/コメント解除"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "ファイルを確認なしで保存する"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "次を検索（前方へ）"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "次を検索（後方へ）"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "マクロの記録を開始/停止"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "直前に記録されたマクロを実行する"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "検索時に大文字小文字を区別をするかしないかを切り替える"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "検索方向の順逆を切り替える"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "正規表現を使用するかしないかを切り替える"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "前の検索文字 / 置換文字列を呼び出す"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "次の検索文字 / 置換文字列を呼び出す"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "DOS フォーマットに切替え"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Mac フォーマットに切替え"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "ファイル末尾に追加する動作に切り替える"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "ファイル先頭に追加する動作に切り替える"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "元ファイルのバックアップを作成する動作に切り替える"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "外部コマンドの実行"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "現在のバッファ（またはマークした範囲）を指定したコマンドへパイプ送り"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "DOS/Mac フォーマットを変換しない"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "新しいバッファに切替え"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "変更を破棄して閉じる"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "ファイルブラウザの起動"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "ファイルブラウザの終了"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "リストの先頭に移動"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "リストの末尾に移動"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "リストの前のファイルへ移動"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "リストの次のファイルへ移動"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "ディレクトリに移動"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "構文チェッカを起動 (利用可能な場合)"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "前の構文チェックメッセージへ"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "次の構文チェックメッセージへ"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "整形プログラムを起動 (利用可能な場合)"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "ヘルプ"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "取消"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "書き込み"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "読み込み"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "均等割付"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "更新"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "検索"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "置換"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "ディレクトリに移動"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "切り取り"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "スペル確認"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "構文チェック"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "整形プログラム"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "カーソル位置"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "行を指定"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Undo"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Redo"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "マーク"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "コピー"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "大/小文字"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "正規表現"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "後方に"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "置換しない"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "全て両端揃え"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "対の括弧へ"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "保存"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "検索（後方へ）"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "前へ"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "次へ"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "戻る"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "進む"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "前の単語"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "次の単語"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "先頭"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "末尾"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "前の行"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "次の行"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "上にスクロール"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "下にスクロール"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "前のテキストブロック"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "次のテキストブロック"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "段落の始点"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "段落の終点"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "前のページ"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "次のページ"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "先頭行"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "最終行"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "前のファイル"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "次のファイル"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "タブ"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "削除"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "バックスペース"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "左を切り取り"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "右を切り取り"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "末尾まで切り取り"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "単語の合計数"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "特殊キー入力"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "一時中断"
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+msgid "Indent"
 msgstr "インデント"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+msgid "Unindent"
 msgstr "インデント縮小"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "指定行をコメント"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "単語の補完"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "記録"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "マクロ実行"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "検索（後方へ）"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "保存"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "前の履歴"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "次の履歴"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "検索"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS フォーマット"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac フォーマット"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "末尾に追加"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "先頭に追加"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "バックアップファイル"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "変換しない"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "コマンドを実行"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "パイプに送る"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "ファイラ"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "先頭へ"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "末尾へ"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "左端"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "右端"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "最上段"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "最下段"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "バッファを破棄"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "前の構文チェックメッセージ"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "次の構文チェックメッセージ"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "ヘルプ"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "常にカーソル位置を表示"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "編集用に一行余分に使用する"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "スムーズなスクロール"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "長い行を画面上で折り返す"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "空白を表示"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "単語の強調"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "スマートホームキー"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "自動インデント"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "改行の前まで削除"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "長い行を強制的に改行で折り返す"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "タブをスペースに変換"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "バックアップファイル"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "ファイルを別のバッファに読み込む"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "マウスのサポート"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "DOS/Mac フォーマットを変換しない"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "一時中断"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "行番号"
 
@@ -1417,22 +1437,32 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "コマンド実行のヘルプ\n"
 "\n"
 " このモードでは、シェルから実行されたコマンドの出力を現在のバッファ (もしく"
-"は、複数ファイルバッファモードでは新しいバッファ) に挿入することができます。"
-"空のバッファが必要な場合は、コマンドを入力しないでください。\n"
+"は、新しいバッファ) に挿入することができます。 コマンドの前に'|' （パイプ記"
+"号）をつけると、バッファの現在の内容（またはマークされた領域）がコマンドにパ"
+"イプされます。 "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr "空のバッファを生成するなら、コマンドの入力は不要です。\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
 "\n"
+msgstr ""
 " コマンド実行モードでは以下のファンクションキーが使用できます。\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1451,7 +1481,7 @@ msgstr ""
 "れています。次にファイルを編集する領域があります。下から三行目はステータス行"
 "で、重要なメッセージが表示されます。  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1467,7 +1497,7 @@ msgstr ""
 "ているショートカットはAltキー、Cmdキー、Escキーなどのメタキーを押して入力しま"
 "す。  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1480,7 +1510,7 @@ msgstr ""
 "ウィンドウで使用できます。代替のキーストロークは括弧で囲って表記されます。\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "有効/無効"
 
@@ -1516,19 +1546,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "'%s' の書き込み中にエラーが発生しました: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "ビューモードでそのキー入力は無効です"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "制限モードではこの機能は無効です"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "ヘルプはありません"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1537,7 +1567,7 @@ msgstr ""
 "\n"
 "バッファを %s へ書き込みました\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1546,7 +1576,7 @@ msgstr ""
 "\n"
 "バッファを書き込めません %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1555,7 +1585,7 @@ msgstr ""
 "\n"
 "バッファを %s へ書き込めません\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1566,7 +1596,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1576,7 +1606,7 @@ msgstr ""
 "ファイル名の前で指定してください。さらにカンマに続けて桁数も加えることができ"
 "ます。\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1585,277 +1615,277 @@ msgstr ""
 "ファイル名が '-' の時は、nano はデータを標準入力より読み込みます。\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "オプション\t\tGNUの長い形式のオプション\t\t説明\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "スマートホームキー有効"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "既存ファイルのバックアップを保存する"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <dir>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "バックアップファイルを作成するディレクトリ"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "反転文字を太字で表示"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "タブをスペースに変換"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "デフォルトでファイルを新しいバッファに読み込む"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "(vim スタイルの) ロックファイルを使う"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "検索/置換した文字列の履歴を記録および読み取り"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "nanorc ファイルを参照しない"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "テンキーパッドの混乱の問題を修正する"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "ファイル末尾に空行を追加しない"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "強制改行で折り返す時に、末尾の空白を取り除く"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "DOS/Mac フォーマットを変換しない"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "編集エリアを一行広くする"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "カーソル位置を記録・読み込みする"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <regex>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<regex>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "検索に使用する正規表現"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "制限モード"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "半画面ずつではなく1行ずつスクロールする"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#cols>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#cols>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "タブ幅を #cols で指定"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "ステータスバーの表示を早く消す"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "バージョン情報を表示して終了する"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "単語の境界をより正確に抽出する"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <str>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<str>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "単語の一部とみなす文字の集合"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <name>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<name>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "表示色を決めるための構文定義"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "折り返し表示を空白にも適用する"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "常にカーソル位置を表示"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Del キーをバックスペースとして扱う"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "ファイルブラウザの中でカーソルを表示"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "このヘルプを表示して終了"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "改行で自動インデント"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "行削除時に改行文字を削除しない"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "行頭に行番号を表示する"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "マウスを有効にする"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "ファイルを読み込まない（書き込みのみ）"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <dir>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<dir>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "作業ディレクトリを指定"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "XON (^Q) および XOFF (^S) キーを維持する"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#cols>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#cols>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "強制改行の折り返し桁数を #cols に指定する"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "別のスペルチェッカを指定する"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "終了時に破棄の問い合わせをしない"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "ファイルをデフォルトで UNIX 形式で保存する"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "ビューモード(読み込み専用)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "長い行の強制改行をしない"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "キーのガイドを表示しない"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Ctrl+Right で単語の終わりに止まるようにします"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "一時中断を有効化する"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "長い行の画面上での折り返しを有効にする"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano バージョン %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s nano への貢献者たち\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1864,275 +1894,275 @@ msgstr ""
 "\n"
 " コンパイルオプション:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "ファイル名なし"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "変更されたバッファを保存しますか？(\"No\" と答えると変更は破棄されます。)"
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "標準入力から読み込んでいます; ^D または ^D^D で読み込みを終えます。\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "標準入力を開けません: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "申し訳ありませんが、キーボードからの標準入力を再オープンできません。\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "SIGHUP ないし SIGTERM を受信しました\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 "Nano がクラッシュしてしまいました。  コード: %d。  バグ報告をしてください。\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "\"fg\" とタイプすることで nano を再開できます。\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "エディタの一時中断は無効です"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "使用する"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "使用しない"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "未割り当てのキー"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "未割り当てのキー: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "未割り当てのキー: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "未割り当てのキー: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "未割り当てのキー: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "要求されたタブのサイズ \"%s\" は不正です"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "要求されたサイズ \"%s\" は不正です"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "'%s -h' で指定可能なオプションを表示します。\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "無効な行または列番号です"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "'%s' に間違いがあります"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "nano へようこそ。 Ctrl+G で簡単なヘルプが出ます。"
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Yy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Aa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "はい"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "いいえ"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "全て"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "エラー検出 %s の %zu 行目: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "引数 '%s' は \" で終端していません"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "正規表現文字列は \" で括ってください"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "不正な正規表現 \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "構文名がありません"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "対になる引用符が構文名にありません"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "\"none\" 構文は予約語です"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "\"default\" 構文は拡張子を受け付けません"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "キー名がみつかりません"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "キー名が短すぎます"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "キーバインドは \"^\", \"M\" ないし \"F\" で始めてください"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "キー名 %s が正しくありません"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "そのキーにバインドする機能を指定する必要があります"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "そのキーにバインド（または解除）するメニュー（または \"all\"）を指定する必要"
 "があります"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "マップ名 \"%s\" を機能にマップできません"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "マップ名 \"%s\" をメニューにマップできません"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "機能 \"%s\" はメニュー \"%s\" に含まれていません"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "残念ですが、キーストローク \"%s\" は再定義できません。"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "展開エラー %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "色 \"%s\" を解釈できません"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "背景色は明るい色ではいけません"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "'%s' コマンドには、先に 'syntax' コマンドが必要です"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "色の名前がありません"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "コマンド '%s' の後ろには正規表現文字列が必要です"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "空の正規表現文字列"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" には対応する \"end=\" が必要です"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "\"default\" 文法は 正規表現 '%s' を受け付けません "
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "'%s' の後ろには引数が必要です"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "引数 '%s' に閉じる \" が不足しています"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
-"致命的なエラー: \"%s\" の機能にマップされたキーがありません。終了します。\n"
+"キーはこの機能 '%s' に割り当てられていません（メニュー '%s'）。終了します。\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2140,62 +2170,62 @@ msgstr ""
 "必要であれば、nanorc の設定を調整する -I オプションを指定して nano を起動して"
 "ください。\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "展開するべき構文 \"%s\" が見つかりません"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "構文 \"%s\" は色のコマンドではありません"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "コマンド \"%s\" はインクルードファイル内では許可されていません"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "コマンド \"%s\" を解釈できません"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "オプションがありません"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "未知のオプション \"%s\""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "オプション \"%s\" を解除できません"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "オプション \"%s\" には引数が必要です"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "引数が有効なマルチバイト文字ではありません"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "非空白類文字が必要です"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "2つの半角文字が必要です"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "ホームディレクトリが見つかりません"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [大文字と小文字を区別する]"
@@ -2204,296 +2234,282 @@ msgstr " [大文字と小文字を区別
 msgid " [Regexp]"
 msgstr " [正規表現]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [戻る]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr "（置換の対象）選択範囲内で"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr "（置換後）"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "検索中..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" が見つかりません"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "この出現を置換しますか?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "置換候補"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
 msgstr[0] "%zd 個置換されました"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "行番号と列番号を入力"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "大括弧ではありません"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "大括弧が一致しません"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "マークセット"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "マーク解除"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "\"%s\" の呼び出しに失敗"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "コメントはこの種類のファイルではサポートされていません"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "ファイルの終端を超えてコメントすることはできません"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "undo バッファに何もありません!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "テキストの追加"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "改行"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "テキストの削除"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "行の結合"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "テキストの置換"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "テキストの切り取り"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "テキストの貼り付け"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "テキスト挿入"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "フィルタリング"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "インデント"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "インデント縮小"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "コメント"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "コメント解除"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "操作 (%s) を取り消しました"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "やり直す操作はありません!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "操作 (%s) をやり直しました"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "pipe を作成できません"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "forkできません"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "フィルタリング"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "パイプを開けません: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "引用を示す文字の集合が正しく設定されていません %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "均等割付の取消可能"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "見つからない単語: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "置換先を編集"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "次の単語..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "スペルミスのある単語リストを作成しています。しばらくお待ちください..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "pipe バッファのサイズを取得できませんでした"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "\"spell\" の呼び出しに失敗"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "\"sort -f\" の呼び出しに失敗"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "\"uniq\" の呼び出しに失敗"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "スペルチェッカを起動中です、お待ちください"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "スペルチェック失敗: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "スペルチェック失敗: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "スペルチェック完了"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "この種類のファイルには、構文チェッカが定義されていません!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "構文チェックの前に変更されたバッファを保存しますか？"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "構文チェッカを起動中です、お待ちください"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "解析可能な行がコマンドの出力から得られませんでした: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "このメッセージは開いていないファイル \"%s\" についてのものです、新しいバッ"
 "ファで開きますか?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "開いていないファイルにもうエラーはありません、キャンセルします"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "最後のメッセージへ"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "最初のメッセージへ"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "完了"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "整形ツールを起動中です、お待ちください"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "整形が終了しました"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%s単語数: %zu  行数: %zd  文字数: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "選択範囲内:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "特殊キー入力"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "書きかけの単語がありません"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "これ以上の一致はありません"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "一致するものがありません"
 
@@ -2523,74 +2539,121 @@ msgstr "標準入力からのエラー
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "未知のシーケンス"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "ユニコード入力: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "ディレクトリ:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "変更済み"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "表示"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "以降の警告は省略されました"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "行 %zd/%zd (%d%%), 列 %zu/%zu (%d%%), 文字 %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "nano テキストエディタ"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "バージョン"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "貢献してくれた方々:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "スペシャルサンクス:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "The Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "多くの翻訳者と Translation Project"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "ncurses に関して:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "および他のすべての方々..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "nano を使用していただきありがとうございます!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "%s に切り替えます"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "次へ移動"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "最後の検索を繰り返す"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "整形プログラムを起動 (利用可能な場合)"
+
+#~ msgid "Formatter"
+#~ msgstr "整形プログラム"
+
+#~ msgid "Indent Text"
+#~ msgstr "インデント"
+
+#~ msgid "Unindent Text"
+#~ msgstr "インデント縮小"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "編集用に一行余分に使用する"
+
+#~ msgid "Backup files"
+#~ msgstr "バックアップファイル"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "ファイルを別のバッファに読み込む"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "DOS/Mac フォーマットを変換しない"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "致命的なエラー: \"%s\" の機能にマップされたキーがありません。終了しま"
+#~ "す。\n"
+
+#~ msgid "Finished"
+#~ msgstr "完了"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "整形ツールを起動中です、お待ちください"
+
+#~ msgid "Finished formatting"
+#~ msgstr "整形が終了しました"
+
 #~ msgid "Quoting string"
 #~ msgstr "引用を示す文字の集合"
 
Binary files 2.9.8-1/po/ms.gmo and 3.0-1/po/ms.gmo differ
diff -pruN 2.9.8-1/po/ms.po 3.0-1/po/ms.po
--- 2.9.8-1/po/ms.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/ms.po	2018-09-09 09:48:30.000000000 +0000
@@ -1,14 +1,14 @@
 # Nano Editor Bahasa Melayu (Malay) (ms).
-# Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2015 Free Software Foundation, Inc.
+# Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2015, 2018 Free Software Foundation, Inc.
 # This file is distributed under the same license as the nano package.
 #
-# Sharuzzaman Ahmat Raslan <sharuzzaman@gmail.com>, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2015.
+# Sharuzzaman Ahmat Raslan <sharuzzaman@gmail.com>, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2015, 2018.
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.3.99pre4\n"
+"Project-Id-Version: nano 2.9.8-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2015-06-30 17:28+0800\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-21 21:09+1000\n"
 "Last-Translator: Sharuzzaman Ahmat Raslan <sharuzzaman@gmail.com>\n"
 "Language-Team: Malay <translation-team-ms@lists.sourceforge.net>\n"
 "Language: ms\n"
@@ -17,118 +17,123 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "X-Bugs: Report translation errors to the Language-Team address.\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Generator: Poedit 1.8.2\n"
+"X-Generator: Poedit 2.1.1\n"
 
 #: src/browser.c:67
 #, fuzzy, c-format
 msgid "Cannot open directory: %s"
-msgstr "Tidak dapat pindah naik direktori"
+msgstr "tak dapat membuka direktori %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Pergi Ke Direktori"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Dibatalkan"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, fuzzy, c-format
 msgid "Can't go outside of %s"
 msgstr "Tidak dapat menulis diluar daripada %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Tidak dapat pindah naik direktori"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Ralat membaca %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
+#, fuzzy
 msgid "The working directory has disappeared"
-msgstr ""
+msgstr "tidak boleh mendapatkan direktori kerja semasa"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(dir)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(dir induk)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr ""
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Cari"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Undur]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Pancarian diulangi dari awal"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Hanya inilah sahaja yang dijumpai"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Tiada corak carian semasa"
 
-#: src/color.c:183
+#: src/color.c:182
 #, fuzzy, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nama sintaks tiada"
 
-#: src/color.c:239
-#, c-format
+#: src/color.c:238
+#, fuzzy, c-format
 msgid "magic_load() failed: %s"
-msgstr ""
+msgstr "[%s (%s): gagal.  Diabaikan]\n"
 
-#: src/color.c:243
-#, c-format
+#: src/color.c:242
+#, fuzzy, c-format
 msgid "magic_file(%s) failed: %s"
-msgstr ""
+msgstr "%s: fail `%s' mempunyai cecikut magik buruk\n"
 
 #: src/files.c:45
 #, fuzzy, c-format
 msgid "Directory '%s' does not exist"
-msgstr "Ralat menulis fail salinan %s: %s"
+msgstr "Volum %s tidak sepadan %s"
 
 #: src/files.c:47
-#, c-format
+#, fuzzy, c-format
 msgid "Path '%s': %s"
-msgstr ""
+msgstr "laluan untuk aspell carikan penyaring"
 
 #: src/files.c:49
 #, fuzzy, c-format
 msgid "Path '%s' is not a directory"
-msgstr "\"%s\" adalah sebuah direktori"
+msgstr "laluan untuk aspell carikan penyaring"
 
 #: src/files.c:51
-#, c-format
+#, fuzzy, c-format
 msgid "Path '%s' is not accessible"
-msgstr ""
+msgstr "laluan untuk aspell carikan penyaring"
 
 #: src/files.c:53
-#, c-format
+#, fuzzy, c-format
 msgid "Directory '%s' is not writable"
-msgstr ""
+msgstr "tidak dapat menutup direktori `%s'"
 
 #. TRANSLATORS: Keep the next eight messages at most 76 characters.
 #: src/files.c:186
@@ -145,7 +150,7 @@ msgstr ""
 #: src/files.c:215 src/files.c:224 src/files.c:262 src/files.c:269
 #, fuzzy, c-format
 msgid "Error writing lock file %s: %s"
-msgstr "Ralat menulis fail salinan %s: %s"
+msgstr "Ralat membaca fail kunci %s: Tidak cukup membaca data"
 
 #: src/files.c:291
 #, fuzzy, c-format
@@ -173,7 +178,7 @@ msgstr "Fail %s sedang disunting (oleh %
 msgid "Can't read file from outside of %s"
 msgstr "Tidak dapat memasukkan fail luar daripada %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" adalah sebuah direktori"
@@ -181,1081 +186,1106 @@ msgstr "\"%s\" adalah sebuah direktori"
 #: src/files.c:447
 #, fuzzy, c-format
 msgid "\"%s\" is not a normal file"
-msgstr "\"%s\" adalah sebuah fail peranti"
+msgstr "normal"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Tiada lagi buffer fail terbuka"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "hujah tiada bagi `%s'"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Ditukar kepada %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Buffer Baru"
 
-#: src/files.c:886
-#, c-format
-msgid "File '%s' is unwritable"
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
 msgstr ""
 
+#: src/files.c:629
+#, fuzzy, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "Baca ringkasan:"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Tiada lagi buffer fail terbuka"
+
+#: src/files.c:933
+#, fuzzy, c-format
+msgid "File '%s' is unwritable"
+msgstr "%s: fail input adalah fail output"
+
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "%lu baris dibaca (Ditukar daripada format Mac dan DOS)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "%lu baris dibaca (Ditukar daripada format Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "%lu baris dibaca (Ditukar daripada format DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, fuzzy, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
-msgstr[0] "%lu baris dibaca"
+msgstr[0] "Baca ringkasan:"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Fail Baru"
 
-#: src/files.c:946
+#: src/files.c:993
 #, fuzzy, c-format
 msgid "File \"%s\" not found"
-msgstr "\"%s\" tidak dijumpai"
+msgstr "\"%.*s%s\" tidak dijumpai"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" adalah sebuah fail peranti"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Membaca fail"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 #, fuzzy
 msgid "Command to execute in new buffer"
-msgstr "Arahan untuk dilaksanakan dalam buffer baru [daripada %s] "
+msgstr "Laksanakan Arahan"
 
-#: src/files.c:1043
+#: src/files.c:1090
 #, fuzzy
 msgid "Command to execute"
-msgstr "Arahan untuk dilaksanakan [dari %s]"
+msgstr "Laksanakan Arahan"
+
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Fail untuk dimasukkan kedalam buffer baru [daripada %s] "
 
-#: src/files.c:1049
+#: src/files.c:1101
 #, fuzzy, c-format
-msgid "File to insert into new buffer [from %s]"
+msgid "File to read into new buffer [from %s]"
 msgstr "Fail untuk dimasukkan kedalam buffer baru [daripada %s] "
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "dari %s"
+
+#: src/files.c:1109
 #, fuzzy, c-format
 msgid "File to insert [from %s]"
-msgstr "Fail untuk dimasukkan [daripada %s] "
+msgstr "dari %s"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Kekunci tidak sah dalam mod bukan multibuffer"
 
-#: src/files.c:1426
+#: src/files.c:1476
 #, fuzzy
 msgid "Invalid operating directory\n"
 msgstr "Tetapkan direktori operasi"
 
-#: src/files.c:1475
+#: src/files.c:1525
 #, fuzzy
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Gagal menulis fail sandaran, terus menyimpan? (Katakanlah N jika tidak pasti)"
 
-#: src/files.c:1492
+#: src/files.c:1542
 #, fuzzy
 msgid "Invalid backup directory\n"
-msgstr "Tidak dapat pindah naik direktori"
+msgstr "Direktori untuk menyimpan fail salinan unik"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Tidak dapat menulis diluar daripada %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Ralat menulis fail salinan %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Terlalu banyak fail salinan?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Ralat menulis fail sementara: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Ralat menulis %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, fuzzy, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
-msgstr[0] "%lu baris ditulis"
+msgstr[0] "setiap baris"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Format DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Format Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Salinan]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Tambahan Awalan Pilihan ke Fail"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Tambahan Akhiran Pilihan ke Fail"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Tulis Pilihan ke Fail"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Nama Fail untuk di Tambah Awalan"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Nama Fail untuk di Tambah Akhiran"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Nama Fail untuk di Tulis"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
+#, fuzzy
 msgid "File exists -- cannot overwrite"
-msgstr ""
+msgstr "%s: tak dapat menindih direktori"
 
-#: src/files.c:2200
+#: src/files.c:2259
 #, fuzzy
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Simpan fail dengan NAMA BERLAINAN ? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, fuzzy, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
-msgstr "Fail telah wujud, TINDIH ? "
+msgstr "enggan untuk menulisganti fail masukan %s"
 
-#: src/files.c:2235
+#: src/files.c:2294
+#, fuzzy
 msgid "File on disk has changed"
-msgstr ""
+msgstr "Tulis fail semasa ke cakera"
 
-#: src/files.c:2237
+#: src/files.c:2296
 #, fuzzy
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Fail telah diubahsuai semenjak anda membukanya, teruskan menyimpan ?"
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(lagi)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Keluar"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Tutup"
 
-#: src/global.c:497
+#: src/global.c:509
 #, fuzzy
 msgid "Uncut Text"
 msgstr "nyahpotong teks"
 
-#: src/global.c:499
+#: src/global.c:511
 #, fuzzy
 msgid "Unjustify"
 msgstr "Sekarang boleh UnJustify!"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Baca Fail"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Di mana"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Ganti"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Ke Baris"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Baris Terdahulu"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Baris Berikut"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Terdahulu"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Berikut"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Justifikasi"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "JustifiPenuh"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Segarkan"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Dimana Seterusnya"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Batal fungsi semasa"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Papar teks bantuan ini"
 
-#: src/global.c:527
+#: src/global.c:523
 #, fuzzy
 msgid "Close the current buffer / Exit from nano"
 msgstr "Tutup fail penimbal semasa / Keluar dari nano"
 
-#: src/global.c:529
+#: src/global.c:525
 #, fuzzy
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Tulis fail semasa ke cakera"
 
-#: src/global.c:531
+#: src/global.c:527
 #, fuzzy
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Masukkan fail lain ke file semasa"
 
-#: src/global.c:533
+#: src/global.c:529
 #, fuzzy
 msgid "Search forward for a string or a regular expression"
-msgstr "Cari rentetan atau regular expression"
+msgstr "Ganti rentetan atau regular expression"
 
-#: src/global.c:535
+#: src/global.c:531
 #, fuzzy
 msgid "Search backward for a string or a regular expression"
-msgstr "Cari rentetan atau regular expression"
+msgstr "Ganti rentetan atau regular expression"
 
-#: src/global.c:537
+#: src/global.c:533
 #, fuzzy
-msgid "Search for a string"
-msgstr ""
-"Teks Bantuan Arahan Carian\n"
-"\n"
-" Masukkan perkataan atau aksara yang anda hendak cari, kemudian tekan "
-"Enter.  Jika terdapat padanan untuk teks yang anda masukkan, skrin akan "
-"dikemaskinikan ke lokasi padanan terhampir rentetan carian tersebut.\n"
-"\n"
-" Rentetan carian terdahulu akan dipaparkan dalam kurungan selepas prom "
-"carian.  Menekan Enter tanpa memasukkan sebarang teks akan melaksanakan "
-"carian terdahulu."
+msgid "Search forward for a string"
+msgstr "Tulis & baca sejarah carian/gantian rentetan"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Tulis & baca sejarah carian/gantian rentetan"
+
+#: src/global.c:535
+#, fuzzy
 msgid "Refresh the file list"
-msgstr ""
+msgstr "Pergi ke fail pertama dalam senarai"
 
-#: src/global.c:540
+#: src/global.c:537
 #, fuzzy
 msgid "Go to lefthand column"
 msgstr "Pergi ke nombor baris dan lajur"
 
-#: src/global.c:541
+#: src/global.c:538
 #, fuzzy
 msgid "Go to righthand column"
 msgstr "Pergi ke nombor baris dan lajur"
 
-#: src/global.c:542
+#: src/global.c:539
 #, fuzzy
 msgid "Go to first row in this column"
-msgstr "Pergi ke fail pertama dalam senarai"
+msgstr "Pergi ke nombor baris dan lajur"
 
-#: src/global.c:543
+#: src/global.c:540
 #, fuzzy
 msgid "Go to last row in this column"
-msgstr "Pergi ke fail terakhir dalam senarai"
+msgstr "Pergi ke nombor baris dan lajur"
 
-#: src/global.c:546
+#: src/global.c:543
 #, fuzzy
 msgid "Go one screenful up"
 msgstr "Maju ke depan satu perkataan"
 
-#: src/global.c:547
+#: src/global.c:544
 #, fuzzy
 msgid "Go one screenful down"
-msgstr "Maju ke depan satu aksara"
+msgstr "Undur ke belakang satu aksara"
 
-#: src/global.c:549
+#: src/global.c:546
 #, fuzzy
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Potong baris semasa dan simpan dalam cutbuffer"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Kembalikan dari cutbuffer ke baris semasa"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Papar posisi kursor"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Panggil penyemak ejaan, jika ada"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Ganti rentetan atau regular expression"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Pergi ke nombor baris dan lajur"
 
-#: src/global.c:558
-#, fuzzy
-msgid "Repeat the last search"
-msgstr "Brs Akhir"
-
-#: src/global.c:560
+#: src/global.c:556
 #, fuzzy
 msgid "Mark text starting from the cursor position"
 msgstr "Tanda teks pada lokasi kursor"
 
-#: src/global.c:562
+#: src/global.c:558
 #, fuzzy
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Salin baris semasa dan simpan dalam cutbuffer"
 
-#: src/global.c:563
+#: src/global.c:559
 #, fuzzy
 msgid "Indent the current line (or marked lines)"
 msgstr "Inden baris semasa"
 
-#: src/global.c:564
+#: src/global.c:560
 #, fuzzy
 msgid "Unindent the current line (or marked lines)"
 msgstr "Nyahindent baris semasa"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Nyahbuat tindakan terakhir"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Buat semula tindakan nyahbuat terakhir"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Undur ke belakang satu aksara"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Maju ke depan satu aksara"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Undur belakang satu perkataan"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Maju ke depan satu perkataan"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Pergi ke baris terdahulu"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Pergi ke baris berikutnya"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Pergi ke permulaan baris semasa"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Pergi ke penghujung baris semasa"
 
-#: src/global.c:576
+#: src/global.c:572
 #, fuzzy
 msgid "Go to previous block of text"
-msgstr "Pergi ke baris terdahulu"
+msgstr "Ke Teks"
 
-#: src/global.c:577
+#: src/global.c:573
 #, fuzzy
 msgid "Go to next block of text"
 msgstr "Pergi ke baris berikutnya"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr ""
 "Pergi hingga ke permulaan perenggan semasa; kemudian ke perenggan sebelumnya"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr ""
 "Pergi hingga ke penghujung perenggan semasa; kemudian ke perenggan seterusnya"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Pergi ke baris pertama fail"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Pergi ke baris terakhir fail"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Pergi ke braket sepadan"
 
-#: src/global.c:591
+#: src/global.c:587
 #, fuzzy
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Skrol atas satu baris tanpa skrol kursor"
 
-#: src/global.c:593
+#: src/global.c:589
 #, fuzzy
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Skrol bawah satu baris tanpa skrol kursor"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Tukar ke buffer fail terdahulu"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Tukar ke buffer fail berikut"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Selit kekunci seterusnya setiap satu"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Masukkan tab di kedudukan kursor"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Masukkan baris baru di kedudukan kursor"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Padam aksara dibawah kursor"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Padam aksara di kiri kursor"
 
-#: src/global.c:607
+#: src/global.c:603
 #, fuzzy
 msgid "Cut backward from cursor to word start"
 msgstr "Potong dari kursor hingga ke akhir baris"
 
-#: src/global.c:609
+#: src/global.c:605
 #, fuzzy
 msgid "Cut forward from cursor to next word start"
 msgstr "Potong dari kursor hingga ke akhir baris"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Potong dari kedudukan kursor hingga ke akhir fail"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Justifikasi perenggan semasa"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Justifi keseluruhan fail"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Kira jumlah perkataan, baris, dan aksara"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Segarkan (lukis semula) skrin semasa"
 
-#: src/global.c:624
+#: src/global.c:620
 #, fuzzy
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Gantung penyunting (jika gantung dihidupkan)"
 
-#: src/global.c:626
+#: src/global.c:622
 #, fuzzy
 msgid "Try and complete the current word"
 msgstr "Inden baris semasa"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr ""
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr ""
 
-#: src/global.c:634
+#: src/global.c:629
+#, fuzzy
 msgid "Search next occurrence backward"
-msgstr ""
+msgstr "Panggil semula rentetan cari/ganti seterusnya"
 
-#: src/global.c:635
+#: src/global.c:630
+#, fuzzy
 msgid "Search next occurrence forward"
-msgstr ""
+msgstr "Panggil semula rentetan cari/ganti seterusnya"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr ""
 
-#: src/global.c:637
+#: src/global.c:633
 #, fuzzy
 msgid "Run the last recorded macro"
 msgstr "Nyahbuat tindakan terakhir"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Toggle pencarian case sensitif"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Terbalikkan arah carian"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Toggle penggunaan ungkapan nalar"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Panggil semula rentetan cari/ganti terdahulu"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Panggil semula rentetan cari/ganti seterusnya"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Toggle penggunaan format DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Toggle penggunaan format Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Toggle tambahan akhiran"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Toggle tambahan awalan"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Toggle salinan fail asal"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Laksanakan arahan luaran"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Jangan tukar fail dari format DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Toggle kegunaan buffer baru"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr ""
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Pergi ke pelayar fail"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Keluar dari pelayar fail"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Pergi ke fail pertama dalam senarai"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Pergi ke fail terakhir dalam senarai"
 
-#: src/global.c:670
+#: src/global.c:667
 #, fuzzy
 msgid "Go to the previous file in the list"
 msgstr "Pergi ke fail pertama dalam senarai"
 
-#: src/global.c:671
+#: src/global.c:668
 #, fuzzy
 msgid "Go to the next file in the list"
 msgstr "Pergi ke fail terakhir dalam senarai"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Pergi ke direktori"
 
-#: src/global.c:675
+#: src/global.c:672
 #, fuzzy
 msgid "Invoke the linter, if available"
 msgstr "Panggil penyemak ejaan, jika ada"
 
-#: src/global.c:676
+#: src/global.c:673
 #, fuzzy
 msgid "Go to previous linter msg"
 msgstr ""
 "Pergi hingga ke permulaan perenggan semasa; kemudian ke perenggan sebelumnya"
 
-#: src/global.c:677
+#: src/global.c:674
 #, fuzzy
 msgid "Go to next linter msg"
 msgstr "Pergi ke baris berikutnya"
 
-#: src/global.c:679
-#, fuzzy
-msgid "Invoke formatter, if available"
-msgstr "Panggil penyemak ejaan, jika ada"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Bantuan"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Batal"
 
-#: src/global.c:710
+#: src/global.c:705
 #, fuzzy
 msgid "Write Out"
-msgstr "gagal menulis"
+msgstr "ralat menulis"
+
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Baca Fail"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Justifikasi"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Segarkan"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Di mana"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Ganti"
 
-#: src/global.c:749
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Pergi Ke Dir"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Kerat Teks"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Ke Pengeja"
 
-#: src/global.c:785
+#: src/global.c:771
 #, fuzzy
 msgid "To Linter"
 msgstr "Ke Baris"
 
-#: src/global.c:788
-#, fuzzy
-msgid "Formatter"
-msgstr "Format DOS"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Pos Kursor"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Ke Baris"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Nyahbuat"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Buat semula"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Tanda Teks"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Salin Teks"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Case Sens"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Regexp"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Kebelakang"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Jangan Ganti"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "JustifiPenuh"
+
+#: src/global.c:821
 #, fuzzy
 msgid "To Bracket"
 msgstr "Bukan kurungan"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+#, fuzzy
+msgid "Save"
+msgstr "Auto simpan ketika keluar, jangan maklum"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+#, fuzzy
+msgid "Where Was"
+msgstr "Di mana"
+
+#: src/global.c:838
+#, fuzzy
 msgid "Previous"
-msgstr ""
+msgstr "pengisytiharan terdahulu untuk %s"
 
-#: src/global.c:847
+#: src/global.c:840
 #, fuzzy
 msgid "Next"
-msgstr "Baris Berikut"
+msgstr " (periksa selepas lekapan akan datang)"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Undur"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Maju"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Perkataan Terdahulu"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Perkataan Selepas"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Asal"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Akhir"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Baris Terdahulu"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Baris Berikut"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Skrol Atas"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Skrol Bawah"
 
-#: src/global.c:883
+#: src/global.c:876
 #, fuzzy
 msgid "Prev Block"
-msgstr "Perkataan Terdahulu"
+msgstr "Baris Terdahulu"
 
-#: src/global.c:885
+#: src/global.c:878
 #, fuzzy
 msgid "Next Block"
-msgstr "Perkataan Selepas"
+msgstr "Baris Berikut"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Minta untuk Par"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Pengakhir Par"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Terdahulu"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Berikut"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Brs Awal"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Brs Akhir"
 
-#: src/global.c:905
+#: src/global.c:898
 #, fuzzy
 msgid "Prev File"
 msgstr "Baris Terdahulu"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Fail Selepas"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Padam"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Backspace"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 #, fuzzy
 msgid "Cut Left"
-msgstr "Kerat Teks"
+msgstr " pada kiri:"
 
-#: src/global.c:943
+#: src/global.c:930
+#, fuzzy
 msgid "Cut Right"
-msgstr ""
+msgstr " pada kanan:"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "PtngHnggAkhr"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Kiraan Perkataan"
 
-#: src/global.c:959
+#: src/global.c:946
 #, fuzzy
 msgid "Verbatim"
 msgstr "Selit kekunci seterusnya setiap satu"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Gantung"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Teks Indent"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
+msgstr "Indent baris baru secara automatik"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
 msgstr "Teks Tidak Indent"
 
-#: src/global.c:975
+#: src/global.c:962
 #, fuzzy
 msgid "Comment Lines"
-msgstr "Baris Berikut"
+msgstr "KOMEN"
 
-#: src/global.c:979
+#: src/global.c:966
+#, fuzzy
 msgid "Complete"
-msgstr ""
+msgstr "Untuk dokumentasi lengkap, laksanakan: info bison.\n"
 
-#: src/global.c:983
+#: src/global.c:970
+#, fuzzy
 msgid "Record"
-msgstr ""
-
-#: src/global.c:985
-msgid "Run Macro"
-msgstr ""
+msgstr "\t%d rekod histogram\n"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
+#: src/global.c:972
 #, fuzzy
-msgid "Where Was"
-msgstr "Di mana"
-
-#: src/global.c:992
-msgid "Save"
-msgstr ""
+msgid "Run Macro"
+msgstr "ketika cuba untuk melaksana '%s'"
 
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "SjrhUndur"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "SjrhMaju"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Ke Teks"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Format DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Format Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Tambah"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Tambahan awalan"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Fail Salinan"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "versi"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Laksanakan Arahan"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
-msgstr "Salin Teks"
+msgstr "(paip)"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Ke Fail"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Fail Pertama"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Fail Terakhir"
 
-#: src/global.c:1066
+#: src/global.c:1051
+#, fuzzy
 msgid "Left Column"
-msgstr ""
+msgstr " pada kiri:"
 
-#: src/global.c:1068
+#: src/global.c:1053
+#, fuzzy
 msgid "Right Column"
-msgstr ""
+msgstr " pada kanan:"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr ""
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr ""
 
-#: src/global.c:1077
+#: src/global.c:1062
+#, fuzzy
 msgid "Discard buffer"
-msgstr ""
+msgstr "Buffer Baru"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 #, fuzzy
 msgid "Prev Lint Msg"
 msgstr "Baris Terdahulu"
 
-#: src/global.c:1084
+#: src/global.c:1069
 #, fuzzy
 msgid "Next Lint Msg"
 msgstr "\t\tSeterusnya pada: %s\n"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Mod bantuan"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Paparan posisi tetap kursor"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Guna satu lagi baris untuk menyunting"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Gulungan lancar"
 
-#: src/global.c:1426
+#: src/global.c:1396
 #, fuzzy
 msgid "Soft wrapping of overlong lines"
 msgstr "Jangan lilit baris panjang"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Papar ruangputih"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Sorotan warna sintaks"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Kekunci Home pintar"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Auto indent"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Potong hingga akhir"
 
-#: src/global.c:1438
+#: src/global.c:1408
 #, fuzzy
 msgid "Hard wrapping of overlong lines"
 msgstr "Jangan lilit baris panjang"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Penukaran tab ditaip kepada ruang"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Salinan fail"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr ""
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Sokongan tetikus"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Tiada pertukaran dari format DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Gantungan"
 
-#: src/global.c:1452
+#: src/global.c:1416
+#, fuzzy
 msgid "Line numbering"
-msgstr ""
+msgstr "BARIS"
 
 #: src/help.c:307
 msgid ""
@@ -1482,15 +1512,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Teks Bantuan Arahan Pelaksanaan\n"
 "\n"
@@ -1502,7 +1531,22 @@ msgstr ""
 " Kekunci fungsi berikut terdapat didalam mod Laksana Arahan:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" Kekunci fungsi berikut terdapat dalam mod Pencarian Pelayar:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1522,7 +1566,7 @@ msgstr ""
 "penyunting yang menunjukkan fail yang sedang disunting.  Baris status adalah "
 "baris ketiga dari bawah dan menunjukkan mesej-mesej penting."
 
-#: src/help.c:437
+#: src/help.c:438
 #, fuzzy
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
@@ -1542,7 +1586,7 @@ msgstr ""
 "menggunakan kekunci Esc, Alt atau Meta bergantung pada tetapan papan kekunci "
 "anda."
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1556,7 +1600,7 @@ msgstr ""
 "dalam kurungan:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "enable/disable"
 
@@ -1565,9 +1609,7 @@ msgstr "enable/disable"
 msgid ""
 "\n"
 "Press Enter to continue\n"
-msgstr ""
-"\n"
-"Tekan Enter untuk meneruskan memulakan nano.\n"
+msgstr "Enter"
 
 #: src/history.c:283
 #, c-format
@@ -1588,21 +1630,22 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Ralat menulis %s: %s"
 
-#: src/nano.c:536
+#: src/nano.c:543
 #, fuzzy
 msgid "Key is invalid in view mode"
-msgstr "Kekunci tidak sah dalam mod lihat"
+msgstr "Mod lihat (baca sahaja)"
 
-#: src/nano.c:542
+#: src/nano.c:549
 #, fuzzy
 msgid "This function is disabled in restricted mode"
-msgstr "Tidak boleh ke luar dari %s dalam mod terhad"
+msgstr "Mod terhad"
 
-#: src/nano.c:550
+#: src/nano.c:557
+#, fuzzy
 msgid "Help is not available"
-msgstr ""
+msgstr "Bantuan"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1611,7 +1654,7 @@ msgstr ""
 "\n"
 "Buffer ditulis ke %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1620,7 +1663,7 @@ msgstr ""
 "\n"
 "Buffer tidak ditulis ke %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1629,7 +1672,7 @@ msgstr ""
 "\n"
 "Buffer tidak ditulis: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, fuzzy, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1640,302 +1683,304 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
 "a '+' before the filename.  The column number can be added after a comma.\n"
 msgstr ""
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Pilihan\t\tPilihan panjang GNU\t\tMaksud\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Aktifkan kekunci home pintar"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Simpan salinan fail sediawujud"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <dir>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Direktori untuk menyimpan fail salinan unik"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Guna tebal berbanding teks video terbalik"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Tukar tab ditaip kepada ruang"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr ""
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr ""
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Tulis & baca sejarah carian/gantian rentetan"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Jangan lihat pada fail nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Betulkan masalah kekeliruan pad kekunci bernombor"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Jangan tambah baris baru pada penghujung fail"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Jangan tukar fail dari format DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Guna satu lagi baris untuk menyunting"
 
-#: src/nano.c:818
+#: src/nano.c:827
 #, fuzzy
 msgid "Log & read location of cursor position"
 msgstr "Masukkan tab di kedudukan kursor"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
-msgstr "-Q <str>"
+msgstr "Regex tidak sah \"%s\": %s"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<str>"
 
-#: src/nano.c:822
+#: src/nano.c:831
+#, fuzzy
 msgid "Regular expression to match quoting"
-msgstr ""
+msgstr "Regular expression tamat tiba-tiba"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Mod terhad"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Gulung mengikut baris berbanding separuh skrin"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#cols>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#cols>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Tetapkan lebar tab dalam ke #lajur lajur"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Laksana pengosongan bar status pantas"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Papar maklumat versi dan keluar"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Kesan sempadan perkataan lebih tepat"
 
-#: src/nano.c:836
+#: src/nano.c:845
 #, fuzzy
 msgid "-X <str>"
-msgstr "-Q <str>"
+msgstr "\t\tX: "
 
-#: src/nano.c:836
+#: src/nano.c:845
 #, fuzzy
 msgid "--wordchars=<str>"
 msgstr "--quotestr=<str>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
+#, fuzzy
 msgid "-Y <name>"
-msgstr ""
+msgstr "\t\tY: "
 
-#: src/nano.c:841
+#: src/nano.c:850
 #, fuzzy
 msgid "--syntax=<name>"
-msgstr "--syntax=<str>"
+msgstr "Nama sintaks tiada"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Takrifan sintaks untuk digunakan bagi mewarna"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr ""
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Sentiasa papar kedudukan kursor"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Betulkan masalah kekeliruan Backspace/Delete"
 
-#: src/nano.c:852
+#: src/nano.c:861
 #, fuzzy
 msgid "Show cursor in file browser"
-msgstr "Pergi ke pelayar fail"
+msgstr "Sentiasa papar kedudukan kursor"
 
-#: src/nano.c:854
+#: src/nano.c:863
 #, fuzzy
 msgid "Show this help text and exit"
-msgstr "Papar teks bantuan ini"
+msgstr "Jangan papar dua baris bantuan"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Indent baris baru secara automatik"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Potong dari kursor hingga ke akhir baris"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr ""
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Aktifkan penggunaan tetikus"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr ""
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <dir>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<dir>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Tetapkan direktori operasi"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Pelihara kekunci XON (^Q) dan XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#cols>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#cols>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 #, fuzzy
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Tetapkan titik gulungan pada lajur #lajur"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Aktifkan pengeja lain"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Auto simpan ketika keluar, jangan maklum"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr ""
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Mod lihat (baca sahaja)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 #, fuzzy
 msgid "Don't hard-wrap long lines"
 msgstr "Jangan lilit baris panjang"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Jangan papar dua baris bantuan"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Aktifkan gantungan"
 
-#: src/nano.c:895
+#: src/nano.c:904
 #, fuzzy
 msgid "Enable soft line wrapping"
 msgstr "Lilit baris panjang"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, fuzzy, c-format
 msgid " GNU nano, version %s\n"
 msgstr "bison (GNU Bison) %s"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr ""
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, fuzzy, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Emel: nano@nano-editor.org\tWeb: http://www.nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1944,278 +1989,286 @@ msgstr ""
 "\n"
 " Pilihan kompilasi:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 #, fuzzy
 msgid "No file name"
 msgstr "Nama Fail untuk di Tulis"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
-#, c-format
+#: src/nano.c:1143
+#, fuzzy, c-format
 msgid "Failed to open stdin: %s"
-msgstr ""
+msgstr "pembukaan gagal"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr ""
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "SIGHUP atau SIGTERM diterima\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Guna \"fg\" untuk kembali ke nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
+#, fuzzy
 msgid "Suspension is not enabled"
-msgstr ""
+msgstr "dihidupkan"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "dihidupkan"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "dimatikan"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
+#, fuzzy
 msgid "Unbound key"
-msgstr ""
+msgstr "\t\tPenggunaan Kekunci:\n"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
+#, fuzzy
 msgid "Unbindable key: M-["
-msgstr ""
+msgstr "%b %e %H:%M"
 
-#: src/nano.c:1577
-#, c-format
+#: src/nano.c:1581
+#, fuzzy, c-format
 msgid "Unbound key: M-%c"
-msgstr ""
+msgstr "caret (i.e., `^C', `M-^C' dsb.)"
 
-#: src/nano.c:1579
-#, c-format
+#: src/nano.c:1583
+#, fuzzy, c-format
 msgid "Unbound key: ^%c"
-msgstr ""
+msgstr "\t\tPenggunaan Kekunci:\n"
 
-#: src/nano.c:1581
-#, c-format
+#: src/nano.c:1585
+#, fuzzy, c-format
 msgid "Unbound key: %c"
-msgstr ""
+msgstr "\t\tPenggunaan Kekunci:\n"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Saiz tab \"%s\" yang diminta tidak sah"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Saiz isian \"%s\" yang diminta tidak sah"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr ""
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Nombor baris atau lajur tidak sah"
 
-#: src/nano.c:2660
-#, c-format
+#: src/nano.c:2669
+#, fuzzy, c-format
 msgid "Mistakes in '%s'"
-msgstr ""
+msgstr "< %s ... %s > ? "
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Yy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Tt"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Ss"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Ya"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Tidak"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Semua"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, fuzzy, c-format
 msgid "Error in %s on line %zu: "
-msgstr "Ralat dalam %s pada baris %lu: "
+msgstr "Ralat membaca %s: %s"
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Hujah '%s' tiada pengakhiran \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Rentetan regex mesti bermula dan tamat dengan aksara \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Regex tidak sah \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Nama sintaks tiada"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 #, fuzzy
 msgid "Unpaired quote in syntax name"
 msgstr "Nama sintaks tiada"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Sintaks \"none\" adalah dikhaskan"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 #, fuzzy
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Sintaks \"default\" mesti tidak mempunyai sambungan"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Nama kekunci hilang"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 #, fuzzy
 msgid "Key name is too short"
-msgstr "Nama kekunci hilang"
+msgstr "%s: fail terlalu pendek untuk menjadi fail gmon\n"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 #, fuzzy
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "ikatankekunci mesti bermula dengan \"^\", \"M\", atau \"F\"\n"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, fuzzy, c-format
 msgid "Key name %s is invalid"
-msgstr "Saiz tab \"%s\" yang diminta tidak sah"
+msgstr "Nama pengguna tidak sah: %s"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 #, fuzzy
 msgid "Must specify a function to bind the key to"
 msgstr "Mesti menyatakan fungsi untuk mengikat kekunci ke\n"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, fuzzy, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Tidak dapat memetakan nama \"%s\" ke fungsi\n"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, fuzzy, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Tidak dapat memetakan nama \"%s\" ke menu\n"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr ""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, fuzzy, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Maaf, kekunci \"%s\" adalah ikatan tidak sah\n"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, fuzzy, c-format
 msgid "Error expanding %s: %s"
 msgstr "Ralat membaca %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, fuzzy, c-format
 msgid "Color \"%s\" not understood"
-msgstr "Arahan \"%s\" tidak difahami"
+msgstr ""
+"Warna \"%s\" tidak difahami.\n"
+"Warna yang sah adalah \"green\", \"red\", \"blue\",\n"
+"\"white\", \"yellow\", \"cyan\", \"magenta\" dan\n"
+"\"black\", dengan prefiks pilihan \"bright\"\n"
+"untuk warna latar hadapan."
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 #, fuzzy
 msgid "A background color cannot be bright"
 msgstr "Warna latarbelakang \"%s\" tidak boleh terang"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr ""
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Nama warna tiada"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, fuzzy, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Nama sintaks tiada"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 #, fuzzy
 msgid "Empty regex string"
-msgstr "Rentetan regex hilang"
+msgstr "Regex tidak sah \"%s\": %s"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" memerlukan padanan \"end=\""
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, fuzzy, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Sintaks \"default\" mesti tidak mempunyai sambungan"
 
-#: src/rcfile.c:860
-#, c-format
+#: src/rcfile.c:852
+#, fuzzy, c-format
 msgid "Missing argument after '%s'"
-msgstr ""
+msgstr "hujah tiada bagi `%s'"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, fuzzy, c-format
 msgid "Argument of '%s' lacks closing \""
-msgstr "Hujah '%s' tiada pengakhiran \""
+msgstr "menutup fail output %s"
 
-#: src/rcfile.c:898
-#, fuzzy, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Ralat maut: tiada kekunci dipetakan untuk fungsi \"%s\""
+#: src/rcfile.c:890
+#, c-format
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, fuzzy, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2223,64 +2276,64 @@ msgstr ""
 "Keluar. Sila guna nano dengan pilihan -I jika perlu untuk mengubah tetapan "
 "nanorc anda\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, fuzzy, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Tidak dapat memetakan nama \"%s\" ke menu\n"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Sintaks \"%s\" tidak mempunyai arahan warna"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Arahan \"%s\" tidak dibenarkan dalam fail diselitkan"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Arahan \"%s\" tidak difahami"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 #, fuzzy
 msgid "Missing option"
-msgstr "PILIHAN"
+msgstr "hujah tiada bagi `%s'"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, fuzzy, c-format
 msgid "Unknown option \"%s\""
-msgstr "Pilihan lanjutan tidak diketahui: %s\n"
+msgstr "pilihan pengguna tidak diketahui `%s'"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, fuzzy, c-format
 msgid "Cannot unset option \"%s\""
-msgstr "nilai pilihan %s berkonflik `%s'"
+msgstr "%s: pilihan '--%s' tidak dikenali\n"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Pilihan \"%s\" memerlukan hujah"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 #, fuzzy
 msgid "Argument is not a valid multibyte string"
 msgstr "Pilihan bukan rentetan pelbagai byte yang sah"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Aksara bukan-kosong diperlukan"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Dua aksara satu-lajur diperlukan"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Saya tidak dapat mencari direktori utama!  Wah!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Case Sensitif]"
@@ -2289,312 +2342,302 @@ msgstr " [Case Sensitif]"
 msgid " [Regexp]"
 msgstr " [Regexp]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Undur]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (untuk mengganti) dalam pilihan"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (untuk mengganti)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 #, fuzzy
 msgid "Searching..."
 msgstr "Cari"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" tidak dijumpai"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Ganti dikedudukan ini?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Ganti dengan"
 
-#: src/search.c:738
+#: src/search.c:735
 #, fuzzy, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
-msgstr[0] "%lu tempat telah diganti"
+msgstr[0] "Hanya inilah sahaja yang dijumpai"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Masukkan nombor baris, nombor lajur"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Bukan kurungan"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Tiada padanan kurungan"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Tetapkan Tanda"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Nyahtetap Tanda"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Ralat melaksanakan \"%s\""
 
-#: src/text.c:553
+#: src/text.c:568
+#, fuzzy
 msgid "Commenting is not supported for this file type"
-msgstr ""
+msgstr "Jenis sijil tidak disokong."
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr ""
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Tiada apa dalam buffer nyahbuat!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "tambah teks"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 #, fuzzy
 msgid "line break"
-msgstr "Ke Baris"
+msgstr "BARIS"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "padam teks"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "gabung baris"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "ganti teks"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "potong teks"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "nyahpotong teks"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "selit teks"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 #, fuzzy
 msgid "indent"
-msgstr "Auto indent"
+msgstr "Indent baris baru secara automatik"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 #, fuzzy
 msgid "unindent"
-msgstr "Auto indent"
+msgstr "Teks Tidak Indent"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
+#, fuzzy
 msgid "comment"
-msgstr ""
+msgstr "KOMEN"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr ""
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Nyahbuat tindakan (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Tiada apa hendak di ulangbuat!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Ulangbuat tindakan (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Tidak dapat mencipta paip"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Tidak dapat mencabang"
 
-#: src/text.c:1243
-#, c-format
-msgid "Failed to open pipe: %s"
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
 msgstr ""
 
-#: src/text.c:2129
+#: src/text.c:1249
+#, fuzzy, c-format
+msgid "Failed to open pipe: %s"
+msgstr "tidak dapat membuka paip pada `%s'"
+
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Petikan rentetan tidak sesuai %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Sekarang boleh UnJustify!"
 
-#: src/text.c:2594
-#, c-format
+#: src/text.c:2600
+#, fuzzy, c-format
 msgid "Unfindable word: %s"
-msgstr ""
+msgstr "lokasi senarai perkataan utama"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Ubah penggantian"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 #, fuzzy
 msgid "Next word..."
 msgstr "Perkataan Selepas"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Menghasilkan senarai perkataan salah eja, sila tunggu..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Tidak dapat memperoleh saiz buffer paip"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Ralat melaksanakan \"spell\""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Ralat melaksanakan \"sort -f\""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Ralat melaksanakan \"uniq\""
 
-#: src/text.c:2992
+#: src/text.c:2994
 #, fuzzy
 msgid "Invoking spell checker, please wait"
 msgstr "Panggil penyemak ejaan, jika ada"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Semakan ejaan gagal: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Semakan ejaan gagal: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Selesai memeriksa ejaan"
 
-#: src/text.c:3037
+#: src/text.c:3039
 #, fuzzy
 msgid "No linter defined for this type of file!"
-msgstr "Jangan tambah baris baru pada penghujung fail"
+msgstr "%s mempunyai jenis fail yang tidak diketahui"
 
-#: src/text.c:3047
+#: src/text.c:3049
 #, fuzzy
 msgid "Save modified buffer before linting?"
 msgstr ""
 "Simpan buffer ubahsuai (JAWAB \"Tidak\" AKAN MENGHILANGKAN PERUBAHAN) ? "
 
-#: src/text.c:3064
+#: src/text.c:3066
 #, fuzzy
 msgid "Invoking linter, please wait"
 msgstr "Menghasilkan senarai perkataan salah eja, sila tunggu..."
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr ""
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr ""
 
-#: src/text.c:3311
+#: src/text.c:3313
 #, fuzzy
 msgid "At last message"
-msgstr "barisan mesej"
+msgstr "terkahir="
 
-#: src/text.c:3316
+#: src/text.c:3318
 #, fuzzy
 msgid "At first message"
-msgstr "Mesej tidak dijangka"
+msgstr "baris dahulu"
 
-#: src/text.c:3352
-#, fuzzy
-msgid "Finished"
-msgstr "Selesai dengan %s (status keluar %d)\n"
-
-#: src/text.c:3376
-#, fuzzy
-msgid "Invoking formatter, please wait"
-msgstr "Menghasilkan senarai perkataan salah eja, sila tunggu..."
-
-#: src/text.c:3425
-#, fuzzy
-msgid "Finished formatting"
-msgstr "Selesai memeriksa ejaan"
-
-#: src/text.c:3507
-#, fuzzy, c-format
+#: src/text.c:3396
+#, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
-msgstr "%sPerkataan: %lu  Baris: %ld  Aksara: %lu"
+msgstr "%sPerkataan: %zu  Baris: %zd  Aksara: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "Dalam Pilihan:"
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Masukan Verbatim"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr ""
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 #, fuzzy
 msgid "No matches"
-msgstr "Tiada padanan kurungan"
+msgstr ""
+"Jika anda telah memilih teks dengan menanda dan kemudian mencari untuk "
+"mengganti, hanya padanan dalam teks dipilih akan diganti.\n"
+"\n"
+" Kekunci fungsi berikut terdapat didalam mod Cari:\n"
+"\n"
 
 #: src/utils.c:360 src/utils.c:372
 msgid "nano is out of memory!"
@@ -2606,91 +2649,146 @@ msgstr ""
 
 #: src/winio.c:89
 msgid "Stopped recording"
-msgstr ""
+msgstr "Berhenti merakam"
 
 #: src/winio.c:100
 msgid "Cannot run macro while recording"
 msgstr ""
 
 #: src/winio.c:106
+#, fuzzy
 msgid "Macro is empty"
-msgstr ""
+msgstr "fail kosong biasa"
 
 #: src/winio.c:207
 msgid "Too many errors from stdin"
-msgstr ""
+msgstr "Terlalu banyak ralat dari stdin"
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
-msgstr ""
+msgstr "Jujukan tidak diketahui"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, fuzzy, c-format
 msgid "Unicode Input: %s"
-msgstr "Masukan Unicode"
+msgstr "enggan untuk menulisganti fail masukan %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "DIR:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Diubahsuai"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Lihat"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr ""
 
-#: src/winio.c:3359
-#, fuzzy, c-format
+#: src/winio.c:3382
+#, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
-msgstr "baris %ld/%ld (%d%%), lajur %lu/%lu (%d%%), aksara %lu/%lu (%d%%)"
+msgstr "baris %zd/%zd (%d%%), lajur %zu/%zu (%d%%), aksara %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Penyunting teks nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versi"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Dibawakan kepada anda oleh:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Terima kasih khas kepada:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "The Free Software Foundation"
 
-#: src/winio.c:3562
-#, fuzzy
+#: src/winio.c:3585
 msgid "the many translators and the TP"
-msgstr "Sepadan, tetapi terlalu banyak subrentetan."
+msgstr "kesemua penterjemah dan TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Untuk ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "dan sesiapa yang kami lupa...."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Terima kasih kerana menggunakan nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Ditukar kepada %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Dimana Seterusnya"
+
+#, fuzzy
+#~| msgid "Repeat last search"
+#~ msgid "Repeat the last search"
+#~ msgstr "Cari"
+
+#, fuzzy
+#~| msgid "Invoke the spell checker, if available"
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Panggil penyemak ejaan, jika ada"
+
+#, fuzzy
+#~| msgid "DOS Format"
+#~ msgid "Formatter"
+#~ msgstr "Format DOS"
+
+#~ msgid "Indent Text"
+#~ msgstr "Teks Indent"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Teks Tidak Indent"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Guna satu lagi baris untuk menyunting"
+
+#~ msgid "Backup files"
+#~ msgstr "Salinan fail"
+
+#, fuzzy
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Membaca fail"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Tiada pertukaran dari format DOS/Mac"
+
+#, fuzzy
+#~| msgid "Fatal error: no keys mapped for function \"%s\""
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "Ralat maut: tiada kekunci dipetakan untuk fungsi \"%s\""
+
+#~ msgid "Finished"
+#~ msgstr "Selesai"
+
+#, fuzzy
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Menghasilkan senarai perkataan salah eja, sila tunggu..."
+
+#~ msgid "Finished formatting"
+#~ msgstr "Selesai meyusunatur"
+
 #, fuzzy
 #~| msgid "Read %lu line (Converted from DOS and Mac format)"
 #~| msgid_plural "Read %lu lines (Converted from DOS and Mac format)"
diff -pruN 2.9.8-1/po/nano.pot 3.0-1/po/nano.pot
--- 2.9.8-1/po/nano.pot	2018-06-02 08:23:34.000000000 +0000
+++ 3.0-1/po/nano.pot	2018-09-09 09:48:22.000000000 +0000
@@ -6,9 +6,9 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: GNU nano 2.9.8\n"
+"Project-Id-Version: GNU nano 3.0\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -24,82 +24,86 @@ msgid "Cannot open directory: %s"
 msgstr ""
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr ""
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr ""
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr ""
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr ""
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr ""
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr ""
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr ""
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr ""
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr ""
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr ""
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr ""
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr ""
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr ""
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr ""
@@ -170,7 +174,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr ""
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr ""
@@ -180,1010 +184,1028 @@ msgstr ""
 msgid "\"%s\" is not a normal file"
 msgstr ""
 
-#: src/files.c:594
-msgid "No more open file buffers"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
 msgstr ""
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr ""
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr ""
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] ""
+msgstr[1] ""
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr ""
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr ""
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] ""
 msgstr[1] ""
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] ""
 msgstr[1] ""
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] ""
 msgstr[1] ""
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] ""
 msgstr[1] ""
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr ""
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr ""
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr ""
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr ""
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr ""
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr ""
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
+msgid "File to read unconverted into new buffer [from %s]"
 msgstr ""
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr ""
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr ""
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr ""
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr ""
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr ""
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr ""
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr ""
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr ""
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr ""
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr ""
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr ""
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] ""
 msgstr[1] ""
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr ""
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr ""
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr ""
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr ""
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr ""
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr ""
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr ""
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr ""
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr ""
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr ""
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr ""
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr ""
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr ""
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr ""
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr ""
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
-msgid "Exit"
-msgstr ""
-
-#: src/global.c:496
-msgid "Close"
-msgstr ""
-
-#: src/global.c:497
-msgid "Uncut Text"
-msgstr ""
-
-#: src/global.c:499
-msgid "Unjustify"
-msgstr ""
-
-#: src/global.c:505
-msgid "Read File"
-msgstr ""
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr ""
-
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
 #: src/global.c:507
-msgid "Replace"
+msgid "Exit"
 msgstr ""
 
 #: src/global.c:508
-msgid "Go To Line"
+msgid "Close"
 msgstr ""
 
 #: src/global.c:509
-msgid "Prev Line"
-msgstr ""
-
-#: src/global.c:510
-msgid "Next Line"
+msgid "Uncut Text"
 msgstr ""
 
 #: src/global.c:511
-msgid "Prev Page"
-msgstr ""
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr ""
-
-#: src/global.c:514
-msgid "Justify"
-msgstr ""
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr ""
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr ""
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
+msgid "Unjustify"
 msgstr ""
 
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr ""
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr ""
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr ""
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr ""
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr ""
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr ""
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr ""
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+msgid "Search forward for a string"
 msgstr ""
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr ""
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr ""
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr ""
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr ""
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr ""
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr ""
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr ""
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr ""
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr ""
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr ""
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr ""
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr ""
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr ""
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr ""
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr ""
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr ""
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr ""
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr ""
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr ""
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr ""
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr ""
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr ""
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr ""
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr ""
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr ""
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr ""
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr ""
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr ""
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr ""
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr ""
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr ""
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr ""
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr ""
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr ""
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr ""
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr ""
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr ""
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr ""
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr ""
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr ""
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr ""
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr ""
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr ""
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr ""
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr ""
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr ""
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr ""
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr ""
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr ""
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr ""
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr ""
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr ""
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr ""
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr ""
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr ""
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr ""
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr ""
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr ""
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr ""
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr ""
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr ""
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr ""
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr ""
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr ""
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr ""
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr ""
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr ""
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr ""
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr ""
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr ""
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr ""
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr ""
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr ""
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr ""
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr ""
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr ""
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr ""
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr ""
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr ""
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr ""
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr ""
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr ""
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr ""
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr ""
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr ""
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr ""
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr ""
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr ""
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr ""
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr ""
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr ""
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr ""
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr ""
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr ""
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr ""
 
-#: src/global.c:788
-msgid "Formatter"
+#: src/global.c:776
+msgid "Cur Pos"
 msgstr ""
 
-#: src/global.c:794
-msgid "Cur Pos"
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
 msgstr ""
 
-#: src/global.c:806
+#: src/global.c:788
 msgid "Undo"
 msgstr ""
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr ""
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr ""
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr ""
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr ""
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr ""
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr ""
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr ""
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr ""
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr ""
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr ""
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr ""
+
+#: src/global.c:838
 msgid "Previous"
 msgstr ""
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr ""
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr ""
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr ""
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr ""
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr ""
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr ""
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr ""
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr ""
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr ""
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr ""
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr ""
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr ""
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr ""
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr ""
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr ""
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr ""
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr ""
+
+#: src/global.c:892
 msgid "First Line"
 msgstr ""
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr ""
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr ""
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr ""
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr ""
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr ""
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr ""
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr ""
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr ""
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr ""
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr ""
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr ""
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr ""
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr ""
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+msgid "Indent"
 msgstr ""
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+msgid "Unindent"
 msgstr ""
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr ""
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr ""
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr ""
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr ""
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr ""
-
-#: src/global.c:992
-msgid "Save"
-msgstr ""
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr ""
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr ""
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr ""
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr ""
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr ""
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr ""
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr ""
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr ""
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr ""
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr ""
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr ""
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr ""
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr ""
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr ""
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr ""
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr ""
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr ""
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr ""
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr ""
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr ""
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr ""
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr ""
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr ""
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr ""
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr ""
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr ""
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr ""
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr ""
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr ""
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr ""
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr ""
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr ""
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr ""
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr ""
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr ""
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr ""
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr ""
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr ""
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr ""
 
@@ -1325,14 +1347,24 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
+msgstr ""
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
+msgstr ""
+
+#: src/help.c:422
+msgid ""
 " The following function keys are available in Execute Command mode:\n"
 "\n"
 msgstr ""
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1344,7 +1376,7 @@ msgid ""
 "bottom and shows important messages.  "
 msgstr ""
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1354,7 +1386,7 @@ msgid ""
 "either the Alt, Cmd, or Esc key, depending on your keyboard setup.  "
 msgstr ""
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1363,7 +1395,7 @@ msgid ""
 "\n"
 msgstr ""
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr ""
 
@@ -1393,40 +1425,40 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr ""
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr ""
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr ""
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr ""
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
 "Buffer written to %s\n"
 msgstr ""
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
 "Buffer not written to %s: %s\n"
 msgstr ""
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
 "Buffer not written: %s\n"
 msgstr ""
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1435,622 +1467,622 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
 "a '+' before the filename.  The column number can be added after a comma.\n"
 msgstr ""
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr ""
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr ""
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr ""
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr ""
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr ""
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr ""
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr ""
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr ""
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr ""
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr ""
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr ""
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr ""
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr ""
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr ""
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr ""
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr ""
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr ""
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr ""
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr ""
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr ""
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr ""
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr ""
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr ""
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr ""
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr ""
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr ""
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr ""
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr ""
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr ""
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr ""
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr ""
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr ""
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr ""
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr ""
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr ""
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr ""
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr ""
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr ""
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr ""
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr ""
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr ""
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr ""
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr ""
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr ""
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr ""
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr ""
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr ""
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr ""
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr ""
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr ""
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr ""
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr ""
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr ""
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr ""
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr ""
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr ""
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr ""
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr ""
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr ""
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr ""
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr ""
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr ""
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
 " Compiled options:"
 msgstr ""
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr ""
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr ""
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr ""
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr ""
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr ""
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr ""
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr ""
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr ""
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr ""
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr ""
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr ""
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr ""
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr ""
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr ""
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr ""
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr ""
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr ""
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr ""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr ""
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr ""
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr ""
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr ""
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr ""
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr ""
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr ""
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr ""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr ""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr ""
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr ""
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr ""
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr ""
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr ""
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr ""
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr ""
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr ""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr ""
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr ""
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr ""
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr ""
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr ""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr ""
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr ""
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr ""
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr ""
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr ""
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr ""
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr ""
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr ""
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr ""
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr ""
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr ""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr ""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr ""
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr ""
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr ""
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr ""
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr ""
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr ""
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr ""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr ""
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr ""
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr ""
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr ""
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr ""
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr ""
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr ""
@@ -2059,41 +2091,36 @@ msgstr ""
 msgid " [Regexp]"
 msgstr ""
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr ""
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr ""
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr ""
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr ""
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr ""
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr ""
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr ""
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2101,253 +2128,244 @@ msgstr[0] ""
 msgstr[1] ""
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr ""
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr ""
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr ""
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr ""
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr ""
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr ""
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr ""
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr ""
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr ""
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr ""
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr ""
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr ""
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr ""
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr ""
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr ""
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr ""
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr ""
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr ""
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr ""
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr ""
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr ""
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr ""
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr ""
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr ""
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr ""
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr ""
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr ""
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr ""
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr ""
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr ""
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr ""
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr ""
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr ""
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr ""
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr ""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr ""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr ""
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr ""
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr ""
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr ""
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr ""
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr ""
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr ""
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr ""
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr ""
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr ""
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr ""
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr ""
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr ""
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr ""
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr ""
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr ""
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr ""
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr ""
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr ""
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr ""
 
@@ -2377,70 +2395,70 @@ msgstr ""
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr ""
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr ""
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr ""
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr ""
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr ""
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr ""
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr ""
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr ""
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr ""
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr ""
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr ""
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr ""
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr ""
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr ""
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr ""
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr ""
Binary files 2.9.8-1/po/nb.gmo and 3.0-1/po/nb.gmo differ
diff -pruN 2.9.8-1/po/nb.po 3.0-1/po/nb.po
--- 2.9.8-1/po/nb.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/nb.po	2018-09-09 09:48:30.000000000 +0000
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 2.9.8-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2018-05-27 20:44+0200\n"
 "Last-Translator: Johnny A. Solbu <johnny@solbu.net>\n"
 "Language-Team: Norwegian Bokmaal <i18n-nb@lister.ping.uio.no>\n"
@@ -28,82 +28,86 @@ msgid "Cannot open directory: %s"
 msgstr "Kan ikke åpne katalog: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Gå til katalog"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Avbrutt"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Kan ikke gå utenfor %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Kan ikke bevege seg opp en katalog"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Lesefeil på %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Arbeidskatalogen har forsvunnet"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(kat)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(foreldrekatalog)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(stor)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Søk"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Bakover]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Søket gikk rundt"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Dette er eneste forekomst"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Tomt søkemønster"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Ukjent syntaksnavn: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() feilet: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) feilet: %s"
@@ -174,7 +178,7 @@ msgstr "Filen %s blir redigert (av %s me
 msgid "Can't read file from outside of %s"
 msgstr "Kan ikke lese fil fra utsiden av %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "«%s» er en katalog"
@@ -185,1014 +189,1039 @@ msgstr "«%s» er en katalog"
 msgid "\"%s\" is not a normal file"
 msgstr "«%s» er ikke en normal fil"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Ikke flere åpne filbuffer"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "Mangler valg"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Byttet til %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Ny buffer"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, fuzzy, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "Leste %zu linje"
+msgstr[1] "Leste %zu linjer"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Ikke flere åpne filbuffer"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Filen «%s» er skrivebeskyttet"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Leste %zu linje (Konvertert fra DOS og Mac-format)"
 msgstr[1] "Leste %zu linjer (Konvertert fra DOS og Mac-format)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Leste %zu linje (Konvertert fra Mac-format)"
 msgstr[1] "Leste %zu linjer (Konvertert fra Mac-format)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Leste %zu linje (Konvertert fra DOS-format)"
 msgstr[1] "Leste %zu linjer (Konvertert fra DOS-format)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Leste %zu linje"
 msgstr[1] "Leste %zu linjer"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Ny fil"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Fil «%s» ikke funnet"
 
 # "enhet" = "device", kanskje, men det er litt forvirrande
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "«%s» er en enhetsfil (device)"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Leser fil"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Kommando som skal kjøres i ny buffer"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Kommando som skal kjøres"
 
-#: src/files.c:1049
-#, c-format
-msgid "File to insert into new buffer [from %s]"
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
 msgstr "Fil som skal settes inn i ny buffer [fra %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, fuzzy, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Fil som skal settes inn i ny buffer [fra %s]"
+
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Fil som skal settes inn [fra %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Fil som skal settes inn [fra %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Tasten er ugyldig utenfor multibuffer-modus"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Ugyldig driftskatalog\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Klarte ikke å skrive sikkerhetskopifil, fortsette å lagre? (Si N hvis du er "
 "usikker)"
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Ugyldig sikkerhetskopikatalog\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Kan ikke skrive utenfor %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Feil ved skriving av sikkerhetskopi-fil %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "For mange sikkerhetskopier?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Feil ved skriving til midlertidlig fil: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Skrivefeil %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Skrev %zu linje"
 msgstr[1] "Skrev %zu linjer"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS Format]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac Format]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Sikkerhetskopi]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Legg til valgt område først i fil"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Legg til valgt område sist i fil"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Skriv valgt område til fil"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Filnavn det skal legges til på slutten av"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Filnavn det skal legges til først i"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Filnavn som skal skrives til"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Filen eksisterer -- kan ikke overskrive"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Lagre filen under et ANNET NAVN ? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Filen «%s» finnes, SKRIVE OVER ? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Filen på disken er endret"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Filen ble endret etter at du åpnet den; fortsette å lagre?"
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(mer)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Avslutt"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Lukk"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Angre «klipp ut»"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Avjuster"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Les fil"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Finn"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Erstatt"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Gå til linje"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Forrige side"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Siste linje"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Forrige side"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Neste side"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Juster"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "JusterAlt"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Oppfrisk"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Finn neste"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Avbryt gjeldende funksjon"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Vis denne hjelpeteksten"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Lukk gjeldende buffer / Avslutt nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Lagre nåværende buffer (eller markert region) til disk"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Sett inn en annen fil i gjeldende buffer (eller i ny buffer)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Søk etter streng eller regulært uttrykk"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Søk bakover etter streng eller regulært uttrykk"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "Søk etter streng"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Søk etter streng"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Oppdater fillisten"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Gå til venstre kolonne"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Gå til høyre kolonne"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Gå til første rad i denne kolonnen"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Gå til siste rad i denne kolonnen"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Gå en skjerm opp"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Gå en skjerm ned"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Klipp gjeldende linje (eller markert region) og lagre den i ut"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Sett inn klippebufferet her"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Vis pekerposisjon"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Start stavesjekk, dersom tilgjengelig"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Erstatt streng eller regulært uttrykk"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Gå til linje- og kolonnenummer"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Gjenta siste søk"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Marker tekst fra markørposisjonen"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Kopier gjeldende linje (eller markert region) og lagre i klippebufferen"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Innrykk i gjeldende linje (eller markerte linjer)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Fjern innrykk i gjeldende linje (eller markerte linjer)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Angre siste handling"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Gjør om siste angre-operasjon"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Gå ett tegn tilbake"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Gå tett tegn frem"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Gå til forrige ord"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Gå til neste ord"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Gå til forrige linje"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Gå til neste linje"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Gå til begynnelsen av linjen"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Gå til slutten av linjen"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Gå til forrige tekstblokk"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Gå til neste tekstblokk"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Gå til begynnelsen av avsnittet, deretter forrige avsnitt"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Gå akkurat utenfor slutten av avsnittet, deretter neste avsnitt"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Gå til første linje i filen"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Gå til siste linje i filen"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Gå til matchende brakett"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Rull opp en linje uten å flytte markøren tekstlig"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Rull ned en linje uten å flytte markøren tekstlig"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Bytt til forrige buffer"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Bytt til neste buffer"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Sett inn ett og ett tegn"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Sett inn tabulatortegn ved markøren"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Sett inn et linjeskift ved markøren"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Slett tegnet under peker"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Slett tegnet til venstre for peker"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Kutt bakover fra markøren til starten av ordet"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Kutt fremover fra markøren til starten av neste ord"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Kutt fra markøren til slutten av filen"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Juster gjeldende avsnitt"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Juster hele filen"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Tell antall ord, linjer og tegn"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Tegn skjermen på nytt"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Suspender editoren (hvis suspensjon er aktivert)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Forsøk å fullføre det gjeldende ordet"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "(av)kommenter gjeldende linje (eller markerte linjer)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Lagre filen uten å spørre"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Søk bakover etter neste forekomst"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Søk fremover etter neste forekomst"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Start/stopp macroregistrering"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Kjør siste registrerte makro"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Inverter valg for skille mellom små og store bokstaver i søk"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Reverser søkeretning"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Regulære uttrykk av/på"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Hent tilbake forrige søk-/erstatt tekst"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Hent tilbake neste søk-/erstatt tekst"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "DOS filformat av/på"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Mac filformat av/på"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Inverter valg for appendering"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Inverter valg for prependering"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Inverter valg for sikkerhetskopi av orginalfil"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Eksekver ekstern kommando"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Send (pipe) nåværende buffer (eller markert region) til disk"
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Ikke konverter filer fra DOS/Mac format"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Bruk nytt buffer av/på"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Lukk buffer uten å lagre den"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Gå til fil-leser"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Gå ut av fil-leser"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Gå til første linje i listen"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Gå til siste linje i listen"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Gå til forrige fil i listen"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Gå til neste fil i listen"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Gå til katalog"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Start linter, hvis tilgjengelig"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Gå til forrige lintermelding"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Gå til neste lintermelding"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Start formaterer, hvis tilgjengelig"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Hjelp"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Avbryt"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Lagre"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Les fil"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Juster"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Oppfrisk"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Finn"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Erstatt"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Gå til katalog"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Klipp ut"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Staving"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Til linter"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formatterer"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Posisjon"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Gå til linje"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Angre"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Gjør om"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Marker tekst"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopier tekst"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Følsomt for store/små bokstavar"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Regulært uttrykk"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Bakover"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Ikke erstatt"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "JusterAlt"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Til klamme"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Lagre"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Søk bakover"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Forige"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Neste"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Bakover"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Fremover"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Forrige ord"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Neste ord"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Hjem"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Bunn"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Forrige side"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Siste linje"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Rull opp"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Rull ned"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Forrige blokk"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Neste blokk"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Avsn. start"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Avsn. slutt"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Forrige side"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Neste side"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Første linje"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Siste linje"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Forrige fil"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Neste fil"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Slett"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Slettetast"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Kutt venstre"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Kutt høyre"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "Kutt Til Slutt"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Antall ord"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Ordrett"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Suspender"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Rykk inn tekst"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
+msgstr "Innrykk"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
 msgstr "Angre «innrykk»"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Kommentarlinjer"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Fullført"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Registrer"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Kjør makro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Søk bakover"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Lagre"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "ForrigeHistorie"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "NesteHistorie"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Gå til tekst"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS Format"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac Format"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Legg til etter"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Legg til før"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Sikkerhetskopi"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "versjon"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Eksekver kommando"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "Send (pipe) tekst"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Til filer"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Første fil"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Siste fil"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Venstre kolonne"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Høyre kolonne"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Øverste rad"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Nederste rad"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Forkast buffer"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Forrige Lint-melding"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Neste Lint-melding"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Hjelp-modus"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Lås markørposisjon"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Bruk mer plass til editering"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Jevn tekstrulling"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Myk bryting av lange linjer"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Vis usynlige tegn (mellomrom, tab, linjeskift osv.)"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Fremhev syntaks ved hjelp av farger"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Smart home tast"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Automatisk indentering"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Klipp til slutten"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Hard bryting av lange linjer"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Konverter tabulator til mellomslag"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Sikkerhetskopier"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Leser filen inn i egen buffer"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Musestøtte"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Ingen konvertering fra DOS/Mac format"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Legg i bakgrunnen"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Linjenummerering"
 
@@ -1412,15 +1441,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Hjelpetekst til Kjør Kommando\n"
 "\n"
@@ -1431,7 +1459,22 @@ msgstr ""
 "Følgende funksjonstaster er definert for Kjør Kommando-modus:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+"Følgende funksjontaster er tilgjengelig i søkemodus:\\\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1454,7 +1497,7 @@ msgstr ""
 "\n"
 " "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1470,7 +1513,7 @@ msgstr ""
 "Meta-tastsekvenser vises som «M-» og kan legges inn med enten Alt, Cmd eller "
 "Esc-tasten avhengig av tastaturoppsettet ditt."
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1483,7 +1526,7 @@ msgstr ""
 "tilgjengelig i hovedvinduet. Alternative taster viss i parantes:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "skru på/av"
 
@@ -1521,19 +1564,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Feil ved skriving %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Tasten ugyldig i visninsmodus"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Denne funksjonen er deaktivert i begrenset modus"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Hjelp er ikke tilgjengelig"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1542,7 +1585,7 @@ msgstr ""
 "\n"
 "Buffer lagret til %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1551,7 +1594,7 @@ msgstr ""
 "\n"
 "Buffer ble ikke lagret til %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1560,7 +1603,7 @@ msgstr ""
 "\n"
 "Buffer ikkr lagret: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1571,7 +1614,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1580,7 +1623,7 @@ msgstr ""
 "For å plassere markøren på en bestemt linje i en fil sett linjenummeret med\n"
 "et «+» før filnavnet. Kolonnenummeret kan legges til etter et komma.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1589,277 +1632,277 @@ msgstr ""
 "Når filnavnet er «-», leser nano data fra standard inndata.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Valg\t\tGNU lang brukervalg\t\tBetydning\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Aktiver smart home tast"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Ta sikkerhetskopier av eksisterende filer"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <kat>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir==<kat>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Katalog for lagring av unike sikkerhetskopier"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Bruk fet, ikke invertert tekst"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Konverter skrevne tabulatorer til mellomslag"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Les en fil inn i en ny buffer som standard"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Bruk (vim-stil) låsefiler"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Logg og les historie med Søk/Erstatt tekster"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Ikke se på nanorc filer"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Fiks forvirringen rundt numerisk tastatus"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Legg ikke til linjeskift sist i filer"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Fjern bakre mellomrom ved hardbryting"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Ikke konverter filer fra DOS/Mac format"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Bruk en ekstra linje til tekstbehandling"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Logg og les plasseringen av markøren"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <reg.uttrykk>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<reg.uttrykk>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "Regulært uttrykk for å matche sitering"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Begrenset modus"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Bla etter linje i stedet for halvskjerm"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#kolonner>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#kolonner>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Sett bredden på en tab til # kolonner"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Bruk hurtig blanking av statuslinjen"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Skriv versjonsnummeret og avslutt"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Detekter ordskille mer nøyektig"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <tekst>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<tekst>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Hvilke andre tegn er orddeler"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <navn>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<navn>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Syntaksdefinisjon for fargekoding"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Ved myk linjebryting, bryt ved mellomrom"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Vis alltid markørposisjonen"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Fiks forvirringen rundt Backspace/Delete"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Vis markør i fil-leser"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Vis denne hjelpeteksten og avslutt"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Indenter nye linjer automatisk"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Kutt fra markøren til slutten av linjen"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Vis linjenumre foran teksten"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Aktiver musstøtte"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Ikke les filen (bare skriv den)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <kat>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatiingdir=<kat>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Sett gjeldende katalog"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Behold XON (^Q) og XOFF (^S) tegn"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#kolonner>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#kolonner>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Sett hard linjebryting ved kolonne # kolonner"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Bruk alternativt program for stavekontroll"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Autolagre ved avslutning uten spørsmål"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Lagre en fil i Unix-format som standard"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Visningsmodus (kun lesetilgang)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Ikke hardbryt lange linjer"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Ikke vis hjelpelinjene"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Få CTRL+Høyre til å stoppe ved ordendene"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Tillat suspendering"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Aktiver myk linjebryting"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, versjon %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s bidragsyterne til nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " E-post: nano@nano-editor.org\tNett: http://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1868,332 +1911,332 @@ msgstr ""
 "\n"
 " Kompilerte opsjoner:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Ingen filnavn"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Lagre endret buffer («Nei» vil forkaste endringer) ? "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "Leser fra standard inndata; skriv ^D eller ^D^D for å avslutte.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Klarte ikke å åpne standard inndata: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Kunne ikke gjenåpne standard inn fra tastaturet, beklager\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Mottok SIGHUP eller SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr "Beklager! Nano krasjet! Kode: %d. Vennligst rapporter en feil.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Bruk «fg» for å returnere til nano\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Suspensjon er ikke aktivert"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "aktivert"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "deaktivert"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Ubundet tast"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Ubundet tast: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Ubundet tast: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Ubundet tast: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Ubundet tast: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Angitt tabulatorstørrelse «%s» er ugyldig"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Foreslått fyllbredde «%s» er ugyldig"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Skriv «%s -h» for en liste over tilgjengelige alternativer.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Ugyldig linje eller kolonnenummer"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Feil i «%s»"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Velkommen til nano.  For grunnleggende hjelp trykk Ctrl+G"
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "JjYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Aa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Ja"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Nei"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Alle"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Feil i %s på linje %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argument «%s» har en uterminert \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Strenger med reg-uttrykk må begynne med et \"-tegn"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Ugyldig reg-uttrykk «%s»: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Mangler syntaksnavn"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "uparet sitat i syntaksnavn"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Syntaksen «none» (ingen) er reservert"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Syntaksen «default» kan ikke ta utvidelser"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Mangler tastenavn"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Tastenavnet er for kort"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Tastebindinger må begynne med «^», «M», eller «F»"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Nøkkelnavn «%s» er ugyldig"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Må spesifisere en funksjon å binde tasten til"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr "Må spesifisere en meny (eller «alle») i å binde / frigi tasten"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Kunne ikke tilordne navnet «%s» til en funksjon"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Kunne ikke tilordne navnet «%s» til en meny"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Funksjon «%s» eksisterer ikke i menyen «%s»"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Beklager, tastekombinasjonen «%s» kan ikke rebindes"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Feil ved utviding %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Farge «%s» ikke forstått"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Bakgrunnsfarge kan ikke være lys"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "En «%s»-kommando krever en forutgående «syntaks»-kommando"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Mangler farvenavn"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Mangler regulært uttrykk etter «%s»-kommando"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Manglende regulært uttrykk"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "«start=» forutsetter et korresponderende «end=»"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Syntaksen «default» kan ikke ta «%s»-reg-uttrykk"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Mangler argument etter «%s»"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argument «%s» mangler avsluttende \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Fatal feil: ingen taster kartlagt for funksjon «%s», avslutter.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr ""
 "Hvis nødvendig, bruk nano med valget -I for å justere nanorc-innstillinger.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Kunne ikke finne syntax «%s» for å forlenge"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Syntaksen «%s» har ingen fargekommandoer"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Kommandoen «%s» tillates ikke i inkludert fil"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "kommando «%s» ikke forstått"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Mangler valg"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Ukjent valg «%s»"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Kan ikke tilbakestille valg «%s»"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Valg «%s» krever et argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Argumentet er ikke et gyldig flerbyte-streng"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Må ha tegn som ikke er tabulator eller mellomslag"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "To enkelt-tegn kreves"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Finner ikke hjemmekatalogen! Buhu!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [skill mellom små og store bokstaver]"
@@ -2202,41 +2245,36 @@ msgstr " [skill mellom små og store bok
 msgid " [Regexp]"
 msgstr " [Regulært uttrykk]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Bakover]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (å erstatte) i utvalget"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (å erstatte)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Søker ..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "«%.*s%s» ikke funnet"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Erstatt dette tilfellet?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Erstatt med"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2244,253 +2282,244 @@ msgstr[0] "Erstattet %zd-forekomst"
 msgstr[1] "Erstattet %zd-forekomster"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Skriv linjenummer, kolonnenummer"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Ikke en klamme"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Ingen matchende klamme"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Merke satt"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Fjern merke"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Feil ved start av «%s»"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Kommentering er ikke støttet av denne filtypen"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Kan ikke kommentere forbi slutten av filen"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Ingenting i angrebuffer!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "Legg til tekst"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "linjeskift"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "slett tekst"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "linjesammenføy"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "erstatt tekst"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "klipp tekst"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "Angre «klipp ut»"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "sett inn tekst"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "filtering"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "Innrykk"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "Angre «innrykk»"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "Kommentar"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "Avkommenter"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Angret handling (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Ingenting å omgjøre"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Omgjorde handling (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Kunne ikke opprette kanal"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Kunne ikke forke"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "filtering"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Klarte ikke å åpne datakanal: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Dårlig sitatstreng %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Du kan nå avjustere!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Usøkbart ord: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Rediger erstatning"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Neste ord ..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Oppretter ordliste for feilstavelser, vennligst vent..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Kunne ikke finne størrelse på datakanal-buffer"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Feil ved start av «spell»"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Feil ved start av «sort -f»"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Feil ved start av «uniq»"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Starter stavekontroll, vennligst vent"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Stavekontroll feilet: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Stavekontroll feilet: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Stavekontroll fullført"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Ingen linter definert for denne filtypen!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Lagre endret buffer før linting?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Starter linter, vennligst vent"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Fikk 0 maskinlesbare linjer fra kommando: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr "Denne meldingen er for uåpnet fil %s, åpne den i en ny buffer?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Ingen flere feil i uåpnede filer, avbryter"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Ved siste melding"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Ved første melding"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Ferdig"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Starter formaterer, vennligst vent"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Formatering ferdig"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sOrd: %zu Linjer: %zd Tegn: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "I seksjon:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Ordrett inndata"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Ingen flere treff"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Ingen treff"
 
@@ -2520,75 +2549,120 @@ msgstr "For mange feil fra standard innd
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Ukjent sekvens"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Unikode inndata: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "KAT:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Endret"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Vis"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Ytterligere advarsler ble undertrykt"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "linje %zd/%zd (%d%%), kolonne %zu/%zu (%d%%), tegn %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Tekstbehandleren nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versjon"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Brakt til deg av:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Mange takk til:"
 
 # Oversette dette ?
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "de mange oversettere og TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "For ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "og alle de andre vi glemte ..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Takk for at du bruker nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Byttet til %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Finn neste"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Gjenta siste søk"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Start formaterer, hvis tilgjengelig"
+
+#~ msgid "Formatter"
+#~ msgstr "Formatterer"
+
+#~ msgid "Indent Text"
+#~ msgstr "Rykk inn tekst"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Angre «innrykk»"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Bruk mer plass til editering"
+
+#~ msgid "Backup files"
+#~ msgstr "Sikkerhetskopier"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Leser filen inn i egen buffer"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Ingen konvertering fra DOS/Mac format"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "Fatal feil: ingen taster kartlagt for funksjon «%s», avslutter.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Ferdig"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Starter formaterer, vennligst vent"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Formatering ferdig"
+
 #~ msgid "Quoting string"
 #~ msgstr "Kvoteringtekst"
 
Binary files 2.9.8-1/po/nl.gmo and 3.0-1/po/nl.gmo differ
diff -pruN 2.9.8-1/po/nl.po 3.0-1/po/nl.po
--- 2.9.8-1/po/nl.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/nl.po	2018-09-09 09:48:30.000000000 +0000
@@ -11,10 +11,10 @@
 # Guus Sliepen <guus@sliepen.eu.org>, 2003.
 msgid ""
 msgstr ""
-"Project-Id-Version: nano-2.9.8-pre1\n"
+"Project-Id-Version: nano-3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-06-01 17:10+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-09-05 18:09+0200\n"
 "Last-Translator: Benno Schulenberg <vertaling@coevern.nl>\n"
 "Language-Team: Dutch <vertaling@vrijschrift.org>\n"
 "Language: nl\n"
@@ -30,82 +30,86 @@ msgid "Cannot open directory: %s"
 msgstr "Kan map niet openen: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Naar map"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Geannuleerd"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Kan niet buiten %s gaan"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Kan niet naar bovenliggende map gaan"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Fout bij lezen van %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "De werkmap is verdwenen"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(map)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(oudermap)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(enorm)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Zoeken"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Achterwaarts]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Rondgelopen"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Dit is de enige overeenkomst"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Nog geen zoekpatroon bekend"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Onbekende syntaxnaam: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() is mislukt: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) is mislukt: %s"
@@ -177,7 +181,7 @@ msgstr "Bestand %s wordt al bewerkt (%s,
 msgid "Can't read file from outside of %s"
 msgstr "Kan geen bestand van buiten %s lezen"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "'%s' is een map"
@@ -187,1015 +191,1031 @@ msgstr "'%s' is een map"
 msgid "\"%s\" is not a normal file"
 msgstr "'%s' is geen gewoon bestand"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Geen andere open buffers"
-
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "Overgeschakeld naar %s"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "Spellingscorrectie"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu regel (%s)"
+msgstr[1] "%s -- %zu regels (%s)"
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Nieuwe buffer"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu regel"
+msgstr[1] "%s -- %zu regels"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Geen andere open buffers"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Bestand '%s' is niet schrijfbaar"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "%zu regel gelezen (omgezet uit DOS- en Mac-indeling)"
 msgstr[1] "%zu regels gelezen (omgezet uit DOS- en Mac-indeling)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "%zu regel gelezen (omgezet uit Mac-indeling)"
 msgstr[1] "%zu regels gelezen (omgezet uit Mac-indeling"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "%zu regel gelezen (omgezet uit DOS-indeling)"
 msgstr[1] "%zu regels gelezen (omgezet uit DOS-indeling)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "%zu regel gelezen"
 msgstr[1] "%zu regels gelezen"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Nieuw bestand"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Bestand '%s' is niet gevonden"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "'%s' is een apparaat"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Inlezen van bestand"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "In nieuwe buffer uit te voeren opdracht"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Uit te voeren opdracht"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "In nieuwe buffer in te voegen bestand [vanuit %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "In nieuwe buffer in te lezen bestand (ongeconverteerd) [vanuit %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "In nieuwe buffer in te lezen bestand [vanuit %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "In te voegen bestand (ongeconverteerd) [vanuit %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "In te voegen bestand [vanuit %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "In Kijkmodus is deze toets alleen geldig in multibuffermodus"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Ongeldige werkmap\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr "Maken van reservekopie is mislukt; toch opslaan?  (N als onzeker) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Ongeldige reservekopiemap\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Kan buiten %s niets opslaan"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Fout bij schrijven van reservekopiebestand %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Te veel reservekopieën?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Fout bij schrijven van tijdelijk bestand: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Fout bij schrijven van %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "%zu regel geschreven"
 msgstr[1] "%zu regels geschreven"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS-indeling]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac-indeling]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Kopie maken]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Selectie toevoegen vooraan bestand"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Selectie toevoegen achteraan bestand"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Selectie opslaan in bestand"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Vooraan toevoegen aan bestand"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Achteraan toevoegen aan bestand"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Opslaan in bestand"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Te klein"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Bestand bestaat al -- mag deze niet overschrijven"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Bestand opslaan onder een ANDERE NAAM? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Bestand '%s' bestaat al; OVERSCHRIJVEN? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Bestand op schijf is gewijzigd"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Bestand is gewijzigd na opening; doorgaan met opslaan? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(meer)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Afsluiten"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Sluiten"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Plakken"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "onUitvullen"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Inlezen"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Zoeken"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Vervangen"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Naar regel"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Regel terug"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Regel verder"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Blad terug"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Blad verder"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Uitvullen"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "VolUitvullen"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Verversen"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Verderzoeken"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "huidige functie annuleren"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "dit hulpscherm tonen"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "huidige buffer sluiten / nano afsluiten"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "huidige buffer (of gemarkeerde regio) op schijf opslaan"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "een bestand in huidig buffer (of in nieuw buffer) invoegen"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "voorwaarts zoeken naar tekst of reguliere expressie"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "achterwaarts zoeken naar tekst of reguliere expressie"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "deel van naam zoeken"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "deel van naam voorwaarts zoeken"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "deel van naam achterwaarts zoeken"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "de bestandenlijst verversen"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "naar de linkerkolom gaan"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "naar de rechterkolom gaan"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "naar bovenste rij in deze kolom gaan"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "naar onderste rij in deze kolom gaan"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "een schermvol terugscrollen"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "een schermvol verderscrollen"
 
 # Het woord "huidige" is weggelaten, anders wordt de tekst te lang.
 # Ook zonder dat woord is het door de context duidelijk genoeg dat
 # het alleen om de huidige regel kan gaan.
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "regel (of gemarkeerde regio) knippen en bewaren in knipbuffer"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "plakken vanuit knipbuffer naar de huidige regel"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "huidige cursorpositie tonen"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "spellingscontrole aanroepen (indien beschikbaar)"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "tekst vervangen (of een reguliere expressie)"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "naar op te geven regelnummer (en kolomnummer) gaan"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "laatste zoekactie herhalen"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "tekst markeren vanaf huidige cursorpositie"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "huidige regel (of gemarkeerde regio) kopiëren naar knipbuffer"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "huidige regel (of gemarkeerde regels) laten inspringen"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "huidige regel (of gemarkeerde regels) laten terugspringen"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "de laatste bewerking ongedaan maken"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "de laatst ongedaangemaakte bewerking herdoen"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "één teken achteruit"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "één teken vooruit"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "één woord achteruit"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "één woord vooruit"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "naar de voorgaande regel"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "naar de volgende regel"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "naar het begin van de huidige regel"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "naar het eind van de huidige regel"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "naar voorgaand tekstblok"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "naar volgend tekstblok"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "naar het begin van huidige alinea; daarna naar vorige"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "naar het eind van huidige alinea; daarna naar volgende"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "naar de eerste regel (top) van het bestand"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "naar de laatste regel (eind) van het bestand"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "naar bijbehorend haakje gaan"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "één regel terugscrollen (cursor niet verplaatsen in tekst)"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "één regel vooruitscrollen (cursor niet verplaatsen in tekst)"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "overschakelen naar voorgaande bestandsbuffer"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "overschakelen naar volgende bestandsbuffer"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "eerstvolgende toetsaanslag verbatim invoegen"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "een tab invoegen op de cursorpositie"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "een regeleinde invoegen op de cursorpositie"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "het teken onder de cursor verwijderen"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "het teken links van de cursor verwijderen"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "achterwaarts verwijderen tot begin van woord"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "voorwaarts verwijderen tot begin van volgend woord"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "de hele rest van het bestand knippen (vanaf de cursor)"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "huidige alinea uitvullen"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "het gehele bestand uitvullen"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "aantal woorden, regels en tekens in het bestand tellen"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "het scherm verversen (opnieuw tekenen)"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "de editor laten pauzeren (indien pauzering is ingeschakeld)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "proberen het huidige woord te vervolledigen"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "commentaartekens invoegen/verwijderen (op gemarkeerde regels)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "bestand opslaan zonder te vragen"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "volgende voorkomen achterwaarts zoeken"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "volgende voorkomen voorwaarts zoeken"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "opname van macro starten/stoppen"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "de laatst opgenomen macro afspelen"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "hoofdlettergevoeligheid aan-/uitzetten"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "de zoekrichting omdraaien"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "gebruik van reguliere expressies aan-/uitzetten"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "eerdere zoek-/vervangtekst oproepen"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "latere zoek-/vervangtekst oproepen"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "DOS-indeling aan-/uitzetten"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Mac-indeling aan-/uitzetten"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "achteraantoevoegen aan-/uitzetten"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "vooraantoevoegen aan-/uitzetten"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "maken van reservekopieën aan-/uitzetten"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "externe opdracht uitvoeren"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "buffer (of gemarkeerde regio) naar het commando sluizen"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "omzetten uit DOS/Mac-opmaak aan-/uitzetten"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "gebruik van een nieuwe buffer aan-/uitzetten"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "buffer sluiten zonder op te slaan"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "bestandenlijst oproepen"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "bestandenlijst verlaten"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "naar het eerste bestand in de lijst gaan"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "naar het laatste bestand in de lijst gaan"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "naar het vorige bestand in de lijst gaan"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "naar het volgende bestand in de lijst gaan"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "naar een op te geven map gaan"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "een linter aanroepen (syntaxcontrole, indien beschikbaar)"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "naar de voorgaande lintermelding springen"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "naar de volgende lintermelding springen"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "een opmaakprogramma aanroepen (indien beschikbaar)"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Hulp"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Annuleren"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Opslaan"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Inlezen"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Uitvullen"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Verversen"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Zoeken"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Vervangen"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Naar map"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Knippen"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Spelling"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Linter"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Opmaker"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Positie"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Naar regel"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Ongedaan maken"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Herdoen"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Markeren"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopiëren"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Hfdlgevoelig"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Reg.exp."
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Achterwaarts"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Zoeken"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "VolUitvullen"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Naar haakje"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Opslaan"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Terugzoeken"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Voorgaande"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Volgende"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Terug"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Vooruit"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Woord terug"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Woord verder"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Begin"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Eind"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Regel terug"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Regel verder"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Omhoog scrollen"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Omlaag scrollen"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Blok terug"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Blok verder"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Beg.v.alinea"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Eind v.alinea"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Blad terug"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Blad verder"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Naar top"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Naar eind"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Vorig bestand"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Volgend bestand"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Delete"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Backspace"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Wis links"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Wis rechts"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "RestKnippen"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Woordentelling"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Verbatim"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Pauzeren"
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+msgid "Indent"
 msgstr "Inspringen"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+msgid "Unindent"
 msgstr "Terugspringen"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Commentariseren"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Completeren"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Opnemen"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Afspelen"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Terugzoeken"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Opslaan"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Eerdere"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Latere"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Zoeken"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS-indeling"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac-indeling"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Achtertoevoegen"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Voortoevoegen"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Reservekopie"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Geen omzetting"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Opdracht uitvoeren"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "Doorsluizen"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Bestandenlijst"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Naar top"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Naar eind"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Linkerkolom"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Rechterkolom"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Bovenste"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Onderste"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Verwerpen"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Vorig Lintbericht"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Volgend Lintbericht"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Hulpregels"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Voortdurende cursorpositieweergave"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Extra regel voor bewerkingsvenster"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Per regel scrollen"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Zachte terugloop van te lange regels"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Weergave van witruimte"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Syntaxaanduiding met kleuren"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Slimme Home-toets"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Automatisch inspringen"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Knippen vanaf cursor tot regeleinde"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Afbreking van lange regels"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Omzetting van getypte tabs naar spaties"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Reservekopieën maken"
-
-# De vertaling kan hier beknopter zijn, omdat "Inlezen" in deze context
-# al voldoende aangeeft dat het om een bestand gaat.
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Inlezen in apart buffer"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Muisondersteuning"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Geen omzetting uit DOS/Mac-indeling"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Proces-pauzering"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Regelnummers"
 
@@ -1429,22 +1449,35 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "===  Externe opdracht  ===\n"
 "\n"
 " Voer de shell-opdracht in waarvan de uitvoer in het huidige bestand (of in "
-"een nieuwe buffer) ingevoegd moet worden.  Als u slechts een lege buffer "
-"nodig hebt, kies dan 'Nieuwe buffer' en voer geen opdracht in.\n"
+"een nieuwe buffer) ingevoegd moet worden.  Als de opdracht voorafgegaan "
+"wordt door een '|' (het pijpsymbool), wordt de huidige inhoud van de buffer "
+"(of van de gemarkeerde regio) als invoer naar de opdracht gesluisd.  "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+"Als u slechts een lege buffer nodig hebt, kies dan 'Nieuwe buffer' en voer "
+"geen opdracht in.\n"
 "\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
 " De volgende toetsen zijn beschikbaar in 'Externe opdracht'-modus:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1465,7 +1498,7 @@ msgstr ""
 "wordt.  De derde regel van onderen is de statusregel en toont belangrijke "
 "berichten.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1482,7 +1515,7 @@ msgstr ""
 "met 'M-' en kunnen worden ingevoerd met Alt, Cmd, of Esc, afhankelijk van uw "
 "toetsenbordinstelling.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1497,7 +1530,7 @@ msgstr ""
 "(alternatieve toetscombinaties staan tussen haakjes):\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "aan-/uitzetten"
 
@@ -1535,19 +1568,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Fout bij schrijven van %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Toets is ongeldig in Kijkmodus"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Deze functie is uitgeschakeld in beperkte modus"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Hulp is niet beschikbaar"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1556,7 +1589,7 @@ msgstr ""
 "\n"
 "Buffer is geschreven naar %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1565,7 +1598,7 @@ msgstr ""
 "\n"
 "Buffer is niet geschreven naar %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1574,7 +1607,7 @@ msgstr ""
 "\n"
 "Buffer is niet geschreven: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1585,7 +1618,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1595,7 +1628,7 @@ msgstr ""
 "een '+' voor de bestandsnaam.  Een kolomnummer kunt u toevoegen na een "
 "komma.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1604,279 +1637,279 @@ msgstr ""
 "Als een bestandsnaam '-' is, dan leest nano van standaardinvoer.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Optie\t\tLange optie\t\t  Betekenis\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "slimme Home-toets inschakelen"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "van bestaand bestand reservekopie maken"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <map>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<map>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "unieke reservekopieën maken, in deze map"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "vet in plaats van invers gebruiken"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "getypte tabs omzetten naar spaties"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "inlezen standaard in apart buffer doen"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "(vim-)vergrendelingsbestanden gebruiken"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "zoek/vervangteksten bewaren en gebruiken"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "eventuele nanorc-bestanden negeren"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "toetsverwarring numeriek bordje oplossen"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "geen regeleindeteken toevoegen aan slot"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "eindspaties verwijderen bij afbreken"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "bestand niet omzetten uit DOS/Mac-opmaak"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "bewerkingsvenster een beetje vergroten"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "cursorpositie bewaren, later herstellen"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <reg.exp.>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<reg.exp.>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "expressie die met aanhaling overeenkomt"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "toegang tot bestandssysteem beperken"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "per regel scrollen i.p.v. half scherm"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <getal>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<getal>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "te gebruiken tabbreedte"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "statusregel na één toetsaanslag wissen"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "programmaversie tonen en stoppen"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "woordgrenzen nauwkeuriger bepalen"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <tekens>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<tekens>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "welke andere tekens woordvormend zijn"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <naam>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<naam>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "te gebruiken syntax (voor kleuring)"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "bij zachtafbreken, dit op witruimte doen"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "cursorpositie voortdurend tonen"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Backspace/Delete-verwarring oplossen"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "cursor tonen in bestandenlijst"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "deze hulptekst tonen en stoppen"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "automatisch inspringen van nieuwe regels"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "vanaf cursor knippen i.p.v. hele regel"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "regelnummers weergeven voor de tekst"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "gebruik van de muis mogelijk maken"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "bestand niet lezen (alleen schrijven)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <map>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<map>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "deze werkmap gebruiken"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "XON- en XOFF-toetsen behouden (^Q en ^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <getal>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<getal>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "te gebruiken afbreek-/uitvulbreedte"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <programma>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<programma>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "deze spellingscontroleur gebruiken"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "automatisch opslaan bij afsluiten"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "bestand standaard in Unix-opmaak opslaan"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "kijkmodus (alleen lezen, geen bewerking)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "lange regels niet afbreken"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "niet de twee hulpregels tonen"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Ctrl+Rechts laten stoppen na woordeindes"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "pauzeren van editor toestaan"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "rest van lange regels tonen op volgende"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, versie %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s de bijdragers aan nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr ""
 " E-mail: <nano@nano-editor.org>  Website: https://nano-editor.org/\n"
 " Meld fouten in de vertaling aan <vertaling@vrijschrift.org>."
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1885,333 +1918,333 @@ msgstr ""
 "\n"
 " Compilatie-opties:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Geen bestandsnaam"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Gewijzigde buffer opslaan?  (bij 'N' gaan WIJZIGINGEN VERLOREN) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "Lezen van standaardinvoer; typ ^D of ^D^D om te stoppen.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Openen van standaardinvoer is mislukt: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Kan standaardinvoer vanaf toetsenbord niet heropenen\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "SIGHUP of SIGTERM ontvangen\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr "Sorry! Nano is gecrasht!  Code: %d.  Deze fout graag rapporteren.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Gebruik 'fg' om terug te keren naar nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Pauzering is niet ingeschakeld"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr " (aangezet)"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "is uitgezet"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Ongebonden toets"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Onbindbare toets: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Ongebonden toets: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Ongebonden toets: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Ongebonden toets: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Gevraagde tabgrootte '%s' is ongeldig"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Gevraagde uitvulbreedte '%s' is ongeldig"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Typ '%s -h' voor een lijst van beschikbare opties.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Ongeldig regel- of kolomnummer"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Fouten in '%s'"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Welkom bij nano.  Voor basishulp, typ Ctrl+G."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Jj"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
 # Accepteert ook de "O" van "Overal":
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "AaOo"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Ja"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Nee"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Alle"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Fout in %s op regel %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argument '%s' heeft een ongepaarde \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Reguliere expressies moeten tussen \"-tekens staan"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Onjuiste reguliere expressie '%s': %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Ontbrekende syntaxnaam"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Ongepaard aanhalingsteken in syntaxnaam"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Het woordje 'none' is gereserveerd"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "De syntax 'default' accepteert geen extensies"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Ontbrekende toetsnaam"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Toetsnaam is te kort"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Toetsnaam moet beginnen met \"^\", \"M\", of \"F\""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Toetsnaam %s is ongeldig"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Functie waaraan de toets gebonden moet worden ontbreekt"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Menu waarin de toets gebonden/ontbonden moet worden ontbreekt (of \"all\")"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Kan in naam '%s' geen functie herkennen"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Kan in naam '%s' geen menu herkennen"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Functie '%s' bestaat niet in menu '%s'"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Toets '%s' mag niet herbonden worden"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Fout bij expanderen van %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Kleur '%s' is onbekend"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Een achtergrondkleur kan niet 'bright' zijn"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Een '%s'-commando vereist een voorafgaand 'syntax'-commando"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Ontbrekende kleurnaam"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Ontbrekende reguliere expressie na '%s'-commando"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Lege tekenreeks"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "'start=' vereist een bijbehorende 'end='"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "De syntax 'default' accepteert geen '%s' ding"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Ontbrekend argument na '%s'"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argument van '%s' heeft geen afsluitend aanhalingsteken"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Fatale fout: aan functie '%s' is geen toets gebonden.  Gestopt.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr "Aan functie '%s' in menu '%s' is geen toets gebonden.  Gestopt.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr "Start eventueel nano met optie -I om uw nanorc te corrigeren.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Kan geen syntax '%s' vinden om aan toe te voegen"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Bij syntax '%s' ontbreken 'color'-commando's"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Commando '%s' is niet toegestaan in 'include'-bestand"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Commando '%s' is onbekend"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Ontbrekende optie"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Onbekende optie '%s'"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Kan optie '%s' niet uitzetten"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Optie '%s' vereist een argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Argument is geen geldige multibyte-tekenreeks"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Niet-blanco tekens zijn vereist"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Twee enkelkoloms-tekens zijn vereist"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Kan de thuismap niet vinden!  Boehoe!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Hoofdlettergevoelig]"
@@ -2220,41 +2253,36 @@ msgstr " [Hoofdlettergevoelig]"
 msgid " [Regexp]"
 msgstr " [Reg.exp.]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Achterwaarts]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (om te vervangen) in selectie"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (om te vervangen)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Zoeken..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "'%.*s%s' niet gevonden"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Deze overeenkomst vervangen?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Vervangen door"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2262,253 +2290,244 @@ msgstr[0] "%zd overeenkomst vervangen"
 msgstr[1] "%zd overeenkomsten vervangen"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Geef regelnummer, kolomnummer"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Is geen haakje"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Geen overeenkomend haakje"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Markering is aangezet"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Uitgezet"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Fout bij aanroepen van '%s'"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Commentariseren is niet mogelijk in dit bestandstype"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Kan niet commentariseren voorbij einde van bestand"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Er is niets om ongedaan te maken"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "Toevoeging"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "Regelafbreking"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "Verwijdering"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "Regelsamenvoeging"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "Vervanging"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "Knippen"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "Plakken"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "Invoeging"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "Filtering"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "Inspringing"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "Terugspringing"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "Commentering"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "Oncommentering"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "%s is ongedaan gemaakt"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Er is niets om opnieuw te doen"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "%s is opnieuw gedaan"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Kan geen pijp aanmaken"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Kan geen nieuw proces starten"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "Filtering"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Openen van pijp is mislukt: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Ongeldige aanhaaltekens-tekenreeks '%s': %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Kan nu onuitvullen!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Onvindbaar woord: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Geef de vervanging"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Volgend woord..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Aanmaken van lijst van verkeerd gespelde woorden; even geduld..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Kan grootte van doorsluisbuffer niet bepalen"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Fout bij aanroepen van 'spell'"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Fout bij aanroepen van 'sort -f'"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Fout bij aanroepen van 'uniq'"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Aanroepen van spellingscontrole; even geduld..."
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Spellingscontrole is mislukt: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Spellingscontrole is mislukt: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Spellingscontrole is voltooid"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Er is geen linter gedefinieerd voor dit type bestand"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Gewijzigd buffer opslaan alvorens te linten?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Aanroepen van de linter; even geduld..."
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Kreeg nul ontleedbare regels terug van commando '%s'"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr "Melding is voor ongeopend bestand %s; in nieuwe buffer openen?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Geen verdere fouten in ongeopende bestanden; gestopt"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Dit is de laatste melding"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Dit is de eerste melding"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Klaar"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Aanroepen van de opmaker; even geduld..."
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Het opmaken is klaar"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%s%zu woorden,  %zd regels,  %zu tekens"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "In de selectie:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Verbatim invoer"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Geen woordfragment"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Geen verdere mogelijkheden"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Geen overeenkomsten"
 
@@ -2538,74 +2557,121 @@ msgstr "Te veel fouten vanaf standaardin
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Onbekende toetscode"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Invoer van Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "Map:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Gewijzigd"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Kijken"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Verdere waarschuwingen zijn onderdrukt"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "regel %zd/%zd (%d%%), kolom %zu/%zu (%d%%), teken %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "De nano-teksteditor"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versie"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "U bezorgd door:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Met speciale dank aan:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "de Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "de vele vertalers en de TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Voor ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "en iedereen die we vergeten zijn..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Dank u voor het gebruiken van nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Overgeschakeld naar %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Verderzoeken"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "laatste zoekactie herhalen"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "een opmaakprogramma aanroepen (indien beschikbaar)"
+
+#~ msgid "Formatter"
+#~ msgstr "Opmaker"
+
+#~ msgid "Indent Text"
+#~ msgstr "Inspringen"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Terugspringen"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Extra regel voor bewerkingsvenster"
+
+#~ msgid "Backup files"
+#~ msgstr "Reservekopieën maken"
+
+# De vertaling kan hier beknopter zijn, omdat "Inlezen" in deze context
+# al voldoende aangeeft dat het om een bestand gaat.
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Inlezen in apart buffer"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Geen omzetting uit DOS/Mac-indeling"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "Fatale fout: aan functie '%s' is geen toets gebonden.  Gestopt.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Klaar"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Aanroepen van de opmaker; even geduld..."
+
+#~ msgid "Finished formatting"
+#~ msgstr "Het opmaken is klaar"
+
 #~ msgid "A syntax name must be quoted"
 #~ msgstr "Om een syntaxnaam moeten aanhalingstekens staan"
 
Binary files 2.9.8-1/po/nn.gmo and 3.0-1/po/nn.gmo differ
diff -pruN 2.9.8-1/po/nn.po 3.0-1/po/nn.po
--- 2.9.8-1/po/nn.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/nn.po	2018-09-09 09:48:30.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 1.1.7\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2002-03-22 20:34+0100\n"
 "Last-Translator: Kjetil Torgrim Homme <kjetilho@linpro.no>\n"
 "Language-Team: Norwegian nynorsk <i18n-nn@lister.ping.uio.no>\n"
@@ -24,83 +24,87 @@ msgid "Cannot open directory: %s"
 msgstr "Kan ikkje skifta til foreldrekatalogen"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 #, fuzzy
 msgid "Go To Directory"
 msgstr "G til katalog"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Avbrote"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, fuzzy, c-format
 msgid "Can't go outside of %s"
 msgstr "Kan ikkje skriva utanfor %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Kan ikkje skifta til foreldrekatalogen"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr ""
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr ""
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Sk"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Bakover]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Sket gjekk rundt"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Dette er einaste forekomst"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr ""
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr ""
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr ""
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr ""
@@ -171,7 +175,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr "Kan ikkje setja inn fil fr utanfor %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, fuzzy, c-format
 msgid "\"%s\" is a directory"
 msgstr "Fila %s er ein katalog"
@@ -181,1095 +185,1113 @@ msgstr "Fila %s er ein katalog"
 msgid "\"%s\" is not a normal file"
 msgstr ""
 
-#: src/files.c:594
-#, fuzzy
-msgid "No more open file buffers"
-msgstr "Ingen fleire opne filer"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr ""
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Bytta til %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Ny buffer"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] ""
+msgstr[1] ""
+
+#: src/files.c:640
+#, fuzzy
+msgid "No more open file buffers"
+msgstr "Ingen fleire opne filer"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr ""
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Leste %d linjer (p Mac-format)"
 msgstr[1] "Leste %d linjer (p Mac-format)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Leste %d linjer (p Mac-format)"
 msgstr[1] "Leste %d linjer (p Mac-format)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Leste %d linjer (p DOS-format)"
 msgstr[1] "Leste %d linjer (p DOS-format)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, fuzzy, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Leste %d linjer"
 msgstr[1] "Leste %d linjer"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Ny fil"
 
-#: src/files.c:946
+#: src/files.c:993
 #, fuzzy, c-format
 msgid "File \"%s\" not found"
 msgstr "%s ikkje funne"
 
 # "enhet" = "device", kanskje, men det er litt forvirrande
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, fuzzy, c-format
 msgid "\"%s\" is a device file"
 msgstr "Fila %s er ikkje ei vanleg fil"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Les fil"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr ""
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr ""
 
-#: src/files.c:1049
+#: src/files.c:1098
+#, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr ""
+
+#: src/files.c:1101
+#, fuzzy, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Fila som skal setjast inn [fr %s] "
+
+#: src/files.c:1106
 #, fuzzy, c-format
-msgid "File to insert into new buffer [from %s]"
+msgid "File to insert unconverted [from %s]"
 msgstr "Fila som skal setjast inn [fr %s] "
 
-#: src/files.c:1052
+#: src/files.c:1109
 #, fuzzy, c-format
 msgid "File to insert [from %s]"
 msgstr "Fila som skal setjast inn [fr %s] "
 
-#: src/files.c:1213
+#: src/files.c:1263
 #, fuzzy
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Tasten er ugyldig utan fleire buffer"
 
-#: src/files.c:1426
+#: src/files.c:1476
 #, fuzzy
 msgid "Invalid operating directory\n"
 msgstr " -o [kat] \tSet aktiv filkatalog\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 
-#: src/files.c:1492
+#: src/files.c:1542
 #, fuzzy
 msgid "Invalid backup directory\n"
 msgstr "Kan ikkje skifta til foreldrekatalogen"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Kan ikkje skriva utanfor %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr ""
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 #, fuzzy
 msgid "Too many backup files?"
 msgstr ""
 "\n"
 "%s vart ikkje lagra (for mange sikringskopiar?)\n"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr ""
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr ""
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, fuzzy, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Skreiv %d linjer"
 msgstr[1] "Skreiv %d linjer"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS-format]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac-format]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 #, fuzzy
 msgid " [Backup]"
 msgstr " [Bakover]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 #, fuzzy
 msgid "Prepend Selection to File"
 msgstr "Legg til valt omrde p slutten av fil"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Legg til valt omrde p slutten av fil"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Lagra valt omrde til fil"
 
-#: src/files.c:2077
+#: src/files.c:2132
 #, fuzzy
 msgid "File Name to Prepend to"
 msgstr "Namn p fil som skal leggjast til"
 
-#: src/files.c:2078
+#: src/files.c:2133
 #, fuzzy
 msgid "File Name to Append to"
 msgstr "Namn p fil som skal leggjast til"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Namn p fila som skal lagrast"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr ""
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr ""
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, fuzzy, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Fila eksisterer, SKRIV OVER?"
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr ""
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr ""
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(meir)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Avslutt"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Lukk"
 
-#: src/global.c:497
+#: src/global.c:509
 #, fuzzy
 msgid "Uncut Text"
 msgstr "U-klipp"
 
-#: src/global.c:499
+#: src/global.c:511
 #, fuzzy
 msgid "Unjustify"
 msgstr "U-ombrekk"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Les fil"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Finn"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Erstatt"
-
-#: src/global.c:508
-#, fuzzy
-msgid "Go To Line"
-msgstr "G til linje"
-
-#: src/global.c:509
-#, fuzzy
-msgid "Prev Line"
-msgstr "Frre side"
-
-#: src/global.c:510
-#, fuzzy
-msgid "Next Line"
-msgstr "Neste fil"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Frre side"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Neste side"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Brekk om"
-
-#: src/global.c:515
-#, fuzzy
-msgid "FullJstify"
-msgstr "Brekk om"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Frisk opp"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-#, fuzzy
-msgid "WhereIs Next"
-msgstr "Finn"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Avbryt gjeldande funksjon"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr ""
 
-#: src/global.c:527
+#: src/global.c:523
 #, fuzzy
 msgid "Close the current buffer / Exit from nano"
 msgstr "Lukk gjeldande fil/Avslutt nano"
 
-#: src/global.c:529
+#: src/global.c:525
 #, fuzzy
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Lagra gjeldande fil"
 
-#: src/global.c:531
+#: src/global.c:527
 #, fuzzy
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Sett inn ei anna fil i denne"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr ""
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr ""
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+msgid "Search forward for a string"
 msgstr ""
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Sk bakover"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr ""
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr ""
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr ""
 
-#: src/global.c:542
+#: src/global.c:539
 #, fuzzy
 msgid "Go to first row in this column"
 msgstr "G til frste linje i fila"
 
-#: src/global.c:543
+#: src/global.c:540
 #, fuzzy
 msgid "Go to last row in this column"
 msgstr "G til siste linje i fila"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr ""
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr ""
 
-#: src/global.c:549
+#: src/global.c:546
 #, fuzzy
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Klipp ut denne linja og lagra ho i utklippsbufferet"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Set inn utklippsbufferet her"
 
-#: src/global.c:552
+#: src/global.c:549
 #, fuzzy
 msgid "Display the position of the cursor"
 msgstr "Vis markrposisjonen"
 
-#: src/global.c:554
+#: src/global.c:551
 #, fuzzy
 msgid "Invoke the spell checker, if available"
 msgstr "Start stavekontroll (om tilgjengeleg)"
 
-#: src/global.c:556
+#: src/global.c:553
 #, fuzzy
 msgid "Replace a string or a regular expression"
 msgstr "Erstatt feila: ukjent deluttrykk!"
 
-#: src/global.c:557
+#: src/global.c:554
 #, fuzzy
 msgid "Go to line and column number"
 msgstr "Hopp til eit linjenummer"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr ""
-
-#: src/global.c:560
+#: src/global.c:556
 #, fuzzy
 msgid "Mark text starting from the cursor position"
 msgstr "Marker teksten ved markren"
 
-#: src/global.c:562
+#: src/global.c:558
 #, fuzzy
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Klipp ut denne linja og lagra ho i utklippsbufferet"
 
-#: src/global.c:563
+#: src/global.c:559
 #, fuzzy
 msgid "Indent the current line (or marked lines)"
 msgstr "Lagra gjeldande fil"
 
-#: src/global.c:564
+#: src/global.c:560
 #, fuzzy
 msgid "Unindent the current line (or marked lines)"
 msgstr "Lagra gjeldande fil"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr ""
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr ""
 
-#: src/global.c:568
+#: src/global.c:564
 #, fuzzy
 msgid "Go back one character"
 msgstr "G ein bokstav attende"
 
-#: src/global.c:569
+#: src/global.c:565
 #, fuzzy
 msgid "Go forward one character"
 msgstr "G ein bokstav fram"
 
-#: src/global.c:570
+#: src/global.c:566
 #, fuzzy
 msgid "Go back one word"
 msgstr "G ein bokstav attende"
 
-#: src/global.c:571
+#: src/global.c:567
 #, fuzzy
 msgid "Go forward one word"
 msgstr "G ein bokstav fram"
 
-#: src/global.c:572
+#: src/global.c:568
 #, fuzzy
 msgid "Go to previous line"
 msgstr "G til frre skjerm"
 
-#: src/global.c:573
+#: src/global.c:569
 #, fuzzy
 msgid "Go to next line"
 msgstr "G ei linje ned"
 
-#: src/global.c:574
+#: src/global.c:570
 #, fuzzy
 msgid "Go to beginning of current line"
 msgstr "G til starten av linja"
 
-#: src/global.c:575
+#: src/global.c:571
 #, fuzzy
 msgid "Go to end of current line"
 msgstr "G til slutten av linja"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr ""
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr ""
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr ""
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr ""
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "G til frste linje i fila"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "G til siste linje i fila"
 
-#: src/global.c:587
+#: src/global.c:583
 #, fuzzy
 msgid "Go to the matching bracket"
 msgstr "Inga motsvarande klamme"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr ""
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr ""
 
-#: src/global.c:596
+#: src/global.c:592
 #, fuzzy
 msgid "Switch to the previous file buffer"
 msgstr "G til frre skjerm"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr ""
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr ""
 
-#: src/global.c:600
+#: src/global.c:596
 #, fuzzy
 msgid "Insert a tab at the cursor position"
 msgstr "Sett inn eit linjeskift"
 
-#: src/global.c:601
+#: src/global.c:597
 #, fuzzy
 msgid "Insert a newline at the cursor position"
 msgstr "Sett inn eit linjeskift"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Slett bokstaven under markren"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Slett bokstaven til venstre for markren"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr ""
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr ""
 
-#: src/global.c:611
+#: src/global.c:607
 #, fuzzy
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Set inn utklippsbufferet her"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Brekk om avsnittet"
 
-#: src/global.c:615
+#: src/global.c:611
 #, fuzzy
 msgid "Justify the entire file"
 msgstr "Brekk om avsnittet"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr ""
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Teikn skjermen p nytt"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr ""
 
-#: src/global.c:626
+#: src/global.c:622
 #, fuzzy
 msgid "Try and complete the current word"
 msgstr "Sett inn ei anna fil i denne"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr ""
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr ""
 
-#: src/global.c:634
+#: src/global.c:629
 #, fuzzy
 msgid "Search next occurrence backward"
 msgstr "Sk bakover"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr ""
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr ""
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr ""
 
-#: src/global.c:640
+#: src/global.c:636
 #, fuzzy
 msgid "Toggle the case sensitivity of the search"
 msgstr "Sk (skil mellom store og sm bokstavar)"
 
-#: src/global.c:642
+#: src/global.c:638
 #, fuzzy
 msgid "Reverse the direction of the search"
 msgstr "Vis markrposisjonen"
 
-#: src/global.c:644
+#: src/global.c:640
 #, fuzzy
 msgid "Toggle the use of regular expressions"
 msgstr "Bruk regulre uttrykk"
 
-#: src/global.c:647
+#: src/global.c:643
 #, fuzzy
 msgid "Recall the previous search/replace string"
 msgstr "G til frre skjerm"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr ""
 
-#: src/global.c:652
+#: src/global.c:648
 #, fuzzy
 msgid "Toggle the use of DOS format"
 msgstr "Skriv fila p DOS-format"
 
-#: src/global.c:653
+#: src/global.c:649
 #, fuzzy
 msgid "Toggle the use of Mac format"
 msgstr "Skriv fila p Mac-format"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr ""
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr ""
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr ""
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr ""
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Inga omsetjing fr DOS/Mac-format"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr ""
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr ""
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "G til fillesar"
 
-#: src/global.c:667
+#: src/global.c:664
 #, fuzzy
 msgid "Exit from the file browser"
 msgstr "G til fillesar"
 
-#: src/global.c:668
+#: src/global.c:665
 #, fuzzy
 msgid "Go to the first file in the list"
 msgstr "G til frste linje i fila"
 
-#: src/global.c:669
+#: src/global.c:666
 #, fuzzy
 msgid "Go to the last file in the list"
 msgstr "G til siste linje i fila"
 
-#: src/global.c:670
+#: src/global.c:667
 #, fuzzy
 msgid "Go to the previous file in the list"
 msgstr "G til frste linje i fila"
 
-#: src/global.c:671
+#: src/global.c:668
 #, fuzzy
 msgid "Go to the next file in the list"
 msgstr "G til siste linje i fila"
 
-#: src/global.c:672
+#: src/global.c:669
 #, fuzzy
 msgid "Go to directory"
 msgstr "G til katalog"
 
-#: src/global.c:675
+#: src/global.c:672
 #, fuzzy
 msgid "Invoke the linter, if available"
 msgstr "Start stavekontroll (om tilgjengeleg)"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr ""
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr ""
 
-#: src/global.c:679
-#, fuzzy
-msgid "Invoke formatter, if available"
-msgstr "Start stavekontroll (om tilgjengeleg)"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Hjelp"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Avbryt"
 
-#: src/global.c:710
+#: src/global.c:705
 #, fuzzy
 msgid "Write Out"
 msgstr "Lagra"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Les fil"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Brekk om"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Frisk opp"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Finn"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Erstatt"
+
+#: src/global.c:745
 #, fuzzy
 msgid "Go To Dir"
 msgstr "G til katalog"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Klipp"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Staving"
 
-#: src/global.c:785
+#: src/global.c:771
 #, fuzzy
 msgid "To Linter"
 msgstr "G til linje"
 
-#: src/global.c:788
-#, fuzzy
-msgid "Formatter"
-msgstr "DOS-format"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Posisjon"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+#, fuzzy
+msgid "Go To Line"
+msgstr "G til linje"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr ""
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr ""
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Merk tekst"
 
-#: src/global.c:813
+#: src/global.c:795
 #, fuzzy
 msgid "Copy Text"
 msgstr "Klipp"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Store/sm"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Reguttrykk"
 
-#: src/global.c:821
+#: src/global.c:803
 #, fuzzy
 msgid "Backwards"
 msgstr " [Bakover]"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Inga erstatting"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+#, fuzzy
+msgid "FullJstify"
+msgstr "Brekk om"
+
+#: src/global.c:821
 #, fuzzy
 msgid "To Bracket"
 msgstr "Ikkje ei klamme"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr ""
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+#, fuzzy
+msgid "Where Was"
+msgstr "Finn"
+
+#: src/global.c:838
 #, fuzzy
 msgid "Previous"
 msgstr "Frre fil"
 
-#: src/global.c:847
+#: src/global.c:840
 #, fuzzy
 msgid "Next"
 msgstr "Neste side"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Bakover"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Framover"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr ""
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr ""
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Home"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "End"
 
-#: src/global.c:877
+#: src/global.c:865
+#, fuzzy
+msgid "Prev Line"
+msgstr "Frre side"
+
+#: src/global.c:867
+#, fuzzy
+msgid "Next Line"
+msgstr "Neste fil"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr ""
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr ""
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr ""
 
-#: src/global.c:885
+#: src/global.c:878
 #, fuzzy
 msgid "Next Block"
 msgstr "Neste fil"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr ""
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr ""
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Frre side"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Neste side"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Frste linje"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Siste linje"
 
-#: src/global.c:905
+#: src/global.c:898
 #, fuzzy
 msgid "Prev File"
 msgstr "Frre fil"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Neste fil"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Delete"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Backspace"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 #, fuzzy
 msgid "Cut Left"
 msgstr "Klipp"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr ""
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr ""
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr ""
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr ""
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Legg i bakgrunnen"
 
-#: src/global.c:969
-#, fuzzy
-msgid "Indent Text"
-msgstr "Klipp"
-
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:956
+msgid "Indent"
 msgstr ""
 
-#: src/global.c:975
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
+msgstr "Automatisk innrykk"
+
+#: src/global.c:962
 #, fuzzy
 msgid "Comment Lines"
 msgstr "G til linje"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr ""
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr ""
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr ""
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-#, fuzzy
-msgid "Where Was"
-msgstr "Finn"
-
-#: src/global.c:992
-msgid "Save"
-msgstr ""
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr ""
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr ""
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr ""
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS-format"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac-format"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Legg til"
 
-#: src/global.c:1023
+#: src/global.c:1006
 #, fuzzy
 msgid "Prepend"
 msgstr "Legg til"
 
-#: src/global.c:1026
+#: src/global.c:1009
 #, fuzzy
 msgid "Backup File"
 msgstr "Les fil"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "versjon "
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr ""
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr ""
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Til filer"
 
-#: src/global.c:1061
+#: src/global.c:1046
 #, fuzzy
 msgid "First File"
 msgstr "Frste linje"
 
-#: src/global.c:1063
+#: src/global.c:1048
 #, fuzzy
 msgid "Last File"
 msgstr "Siste linje"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr ""
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr ""
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr ""
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr ""
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr ""
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr ""
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr ""
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Hjelpetekst"
 
-#: src/global.c:1420
+#: src/global.c:1392
 #, fuzzy
 msgid "Constant cursor position display"
 msgstr "Fast markrposisjon"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr ""
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Jamn linjerulling"
 
-#: src/global.c:1426
+#: src/global.c:1396
 #, fuzzy
 msgid "Soft wrapping of overlong lines"
 msgstr " -w \t\tIkkje bryt lange linjer\n"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr ""
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr ""
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr ""
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Automatisk innrykk"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Klipp til slutten"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr ""
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr ""
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr ""
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr ""
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Musesttte"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Inga omsetjing fr DOS/Mac-format"
-
-#: src/global.c:1450
+#: src/global.c:1414
 #, fuzzy
 msgid "Suspension"
 msgstr "Legg i bakgrunnen"
 
-#: src/global.c:1452
+#: src/global.c:1416
 #, fuzzy
 msgid "Line numbering"
 msgstr "Skriv linjenummer"
@@ -1508,14 +1530,24 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
+msgstr ""
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
+msgstr ""
+
+#: src/help.c:422
+msgid ""
 " The following function keys are available in Execute Command mode:\n"
 "\n"
 msgstr ""
 
-#: src/help.c:427
+#: src/help.c:428
 #, fuzzy
 msgid ""
 "Main nano help text\n"
@@ -1542,7 +1574,7 @@ msgstr ""
 "tastaturoppsettet ditt. Dei flgjande tastetrykkja er tilgjengelege i "
 "hovudvindauget. Valfrie tastar er vist i parentes:\n"
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1552,7 +1584,7 @@ msgid ""
 "either the Alt, Cmd, or Esc key, depending on your keyboard setup.  "
 msgstr ""
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1561,7 +1593,7 @@ msgid ""
 "\n"
 msgstr ""
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 #, fuzzy
 msgid "enable/disable"
 msgstr "%s skru p/av"
@@ -1594,21 +1626,21 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr ""
 
-#: src/nano.c:536
+#: src/nano.c:543
 #, fuzzy
 msgid "Key is invalid in view mode"
 msgstr "Tasten er ulovleg i VIS-modus"
 
-#: src/nano.c:542
+#: src/nano.c:549
 #, fuzzy
 msgid "This function is disabled in restricted mode"
 msgstr "Kan ikkje g til foreldrekatalogen i avgrensa modus"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr ""
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1617,7 +1649,7 @@ msgstr ""
 "\n"
 "Buffer lagra til %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, fuzzy, c-format
 msgid ""
 "\n"
@@ -1626,7 +1658,7 @@ msgstr ""
 "\n"
 "Buffer lagra til %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, fuzzy, c-format
 msgid ""
 "\n"
@@ -1635,7 +1667,7 @@ msgstr ""
 "\n"
 "Buffer lagra til %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1644,308 +1676,308 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
 "a '+' before the filename.  The column number can be added after a comma.\n"
 msgstr ""
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, fuzzy, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opsjon\t\tLang opsjon\t\tTyding\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr ""
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr ""
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr ""
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr ""
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr ""
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr ""
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr ""
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr ""
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr ""
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr ""
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr ""
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr ""
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr ""
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 #, fuzzy
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Inga omsetjing fr DOS/Mac-format"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr ""
 
-#: src/nano.c:818
+#: src/nano.c:827
 #, fuzzy
 msgid "Log & read location of cursor position"
 msgstr "Fast markrposisjon"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr ""
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr ""
 
-#: src/nano.c:822
+#: src/nano.c:831
 #, fuzzy
 msgid "Regular expression to match quoting"
 msgstr "Sk etter regulrt uttrykk"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr ""
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr ""
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr ""
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr ""
 
-#: src/nano.c:830
+#: src/nano.c:839
 #, fuzzy
 msgid "Set width of a tab to #cols columns"
 msgstr " -T [TAL]\tSet breidda p tabulator til TAL\n"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr ""
 
-#: src/nano.c:832
+#: src/nano.c:841
 #, fuzzy
 msgid "Print version information and exit"
 msgstr " -V \t\tSkriv ut versjonsnummer og avslutt\n"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr ""
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr ""
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr ""
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr ""
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr ""
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr ""
 
-#: src/nano.c:847
+#: src/nano.c:856
 #, fuzzy
 msgid "Constantly show cursor position"
 msgstr " -c \t\tFast markrposisjon\n"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr ""
 
-#: src/nano.c:852
+#: src/nano.c:861
 #, fuzzy
 msgid "Show cursor in file browser"
 msgstr "G til fillesar"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr ""
 
-#: src/nano.c:856
+#: src/nano.c:865
 #, fuzzy
 msgid "Automatically indent new lines"
 msgstr " -i \t\tAutomatisk linjeinnrykk\n"
 
-#: src/nano.c:857
+#: src/nano.c:866
 #, fuzzy
 msgid "Cut from cursor to end of line"
 msgstr " -k \t\tLat ^K klippe fr markren og ut linja\n"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr ""
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr ""
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr ""
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr ""
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr ""
 
-#: src/nano.c:868
+#: src/nano.c:877
 #, fuzzy
 msgid "Set operating directory"
 msgstr " -o [kat] \tSet aktiv filkatalog\n"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr ""
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr ""
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr ""
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr ""
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr ""
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr ""
 
-#: src/nano.c:878
+#: src/nano.c:887
 #, fuzzy
 msgid "Enable alternate speller"
 msgstr " -s [PROG]  \tBruk PROG til stavesjekk\n"
 
-#: src/nano.c:880
+#: src/nano.c:889
 #, fuzzy
 msgid "Auto save on exit, don't prompt"
 msgstr " -t \t\tLagra utan  sprja ved avslutning\n"
 
-#: src/nano.c:882
+#: src/nano.c:891
 #, fuzzy
 msgid "Save a file by default in Unix format"
 msgstr "Skriv fila p DOS-format"
 
-#: src/nano.c:884
+#: src/nano.c:893
 #, fuzzy
 msgid "View mode (read-only)"
 msgstr " -v \t\tVis-modus (berre lesing)\n"
 
-#: src/nano.c:886
+#: src/nano.c:895
 #, fuzzy
 msgid "Don't hard-wrap long lines"
 msgstr " -w \t\tIkkje bryt lange linjer\n"
 
-#: src/nano.c:888
+#: src/nano.c:897
 #, fuzzy
 msgid "Don't show the two help lines"
 msgstr " -x \t\tIkkje vis hjelpevindu\n"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 #, fuzzy
 msgid "Enable suspension"
 msgstr " -z \t\tTillat  leggja programmet i bakgrunnen\n"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr ""
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, fuzzy, c-format
 msgid " GNU nano, version %s\n"
 msgstr "GNU nano versjon %s (kompilert %s, %s)\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr ""
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, fuzzy, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr "Epost: nano@nano-editor.org\tVev: http://www.nano-editor.org"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1954,340 +1986,340 @@ msgstr ""
 "\n"
 " Kompilerte tillegg:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 #, fuzzy
 msgid "No file name"
 msgstr "filnamnet er %s"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, fuzzy, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Kunne ikkje opna %s for skriving: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr ""
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 #, fuzzy
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Mottok SIGHUP"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr ""
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr ""
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "p"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "av"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr ""
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr ""
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr ""
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr ""
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr ""
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, fuzzy, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "tab-breidda du foreslo (%d) er for smal"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, fuzzy, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "fyllbreidda du foreslo (%d) er for smal"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr ""
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr ""
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr ""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "JjYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Aa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Ja"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Nei"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Alle"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, fuzzy, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Feil i %s p linje %d: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr ""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 #, fuzzy
 msgid "Regex strings must begin and end with a \" character"
 msgstr "reguttrykk m starte og slutte med eit \"-teikn\n"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, fuzzy, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Kan ikkje opna %s: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 #, fuzzy
 msgid "Missing syntax name"
 msgstr "Fargenamnet manglar"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr ""
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr ""
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr ""
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 #, fuzzy
 msgid "Missing key name"
 msgstr "Fargenamnet manglar"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr ""
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr ""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr ""
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr ""
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr ""
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr ""
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr ""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr ""
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr ""
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, fuzzy, c-format
 msgid "Color \"%s\" not understood"
 msgstr "kommandoen %s er ikkje forsteleg"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr ""
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr ""
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Fargenamnet manglar"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr ""
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr ""
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 #, fuzzy
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr ""
 "\n"
 "\tfor kvar start= m der vera ein end="
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr ""
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr ""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr ""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr ""
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr ""
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr ""
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr ""
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, fuzzy, c-format
 msgid "Command \"%s\" not understood"
 msgstr "kommandoen %s er ikkje forsteleg"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 #, fuzzy
 msgid "Missing option"
 msgstr "Fargenamnet manglar"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr ""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, fuzzy, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Kan ikkje endra storleik p toppvindauget"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, fuzzy, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "opsjonen %s krev eit argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr ""
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr ""
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr ""
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr ""
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Skil store/sm]"
@@ -2296,43 +2328,38 @@ msgstr " [Skil store/sm]"
 msgid " [Regexp]"
 msgstr " [Reguttrykk]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Bakover]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 #, fuzzy
 msgid " (to replace) in selection"
 msgstr " ( erstatta)"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " ( erstatta)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 #, fuzzy
 msgid "Searching..."
 msgstr "Sk"
 
-#: src/search.c:391
+#: src/search.c:388
 #, fuzzy, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "%s ikkje funne"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Erstatta dette tilfellet?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Erstatt med"
 
-#: src/search.c:738
+#: src/search.c:735
 #, fuzzy, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2340,264 +2367,255 @@ msgstr[0] "Erstatta %d tilfelle"
 msgstr[1] "Erstatta %d tilfelle"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 #, fuzzy
 msgid "Enter line number, column number"
 msgstr "Skriv linjenummer"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Ikkje ei klamme"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Inga motsvarande klamme"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Merke sett"
 
-#: src/text.c:68
+#: src/text.c:67
 #, fuzzy
 msgid "Mark Unset"
 msgstr "Merke fjerna"
 
-#: src/text.c:78
+#: src/text.c:77
 #, fuzzy, c-format
 msgid "Error invoking \"%s\""
 msgstr "Feil i %s p linje %d: "
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr ""
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr ""
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr ""
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr ""
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr ""
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 #, fuzzy
 msgid "text delete"
 msgstr "Neste fil"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr ""
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 #, fuzzy
 msgid "text replace"
 msgstr " ( erstatta)"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr ""
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr ""
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 #, fuzzy
 msgid "text insert"
 msgstr "Neste fil"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 #, fuzzy
 msgid "indent"
 msgstr "Automatisk innrykk"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 #, fuzzy
 msgid "unindent"
 msgstr "Automatisk innrykk"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr ""
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr ""
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr ""
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr ""
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr ""
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 #, fuzzy
 msgid "Could not create pipe"
 msgstr "Kunne ikkje oppretta mellombels fil: %s"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 #, fuzzy
 msgid "Could not fork"
 msgstr "Kunne ikkje lukka %s: %s"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, fuzzy, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Kan ikkje opna ~/.nanorc, %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr ""
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Du kan no gjera om ombrekkinga!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr ""
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Rediger erstatning"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr ""
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr ""
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr ""
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr ""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr ""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr ""
 
-#: src/text.c:2992
+#: src/text.c:2994
 #, fuzzy
 msgid "Invoking spell checker, please wait"
 msgstr "Start stavekontroll (om tilgjengeleg)"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, fuzzy, c-format
 msgid "Spell checking failed: %s"
 msgstr "Stavekontroll feila"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, fuzzy, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Stavekontroll feila"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Stavekontroll fullfrt"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr ""
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr ""
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr ""
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr ""
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr ""
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr ""
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr ""
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr ""
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr ""
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr ""
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr ""
 
-#: src/text.c:3508
+#: src/text.c:3397
 #, fuzzy
 msgid "In Selection:  "
 msgstr "Legg til valt omrde p slutten av fil"
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr ""
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr ""
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 #, fuzzy
 msgid "No matches"
 msgstr "Inga motsvarande klamme"
@@ -2629,74 +2647,74 @@ msgstr ""
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr ""
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr ""
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 #, fuzzy
 msgid "DIR:"
 msgstr " KAT: "
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Endra"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr ""
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr ""
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, fuzzy, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "linje %d/%d (%.0f%%), kol %ld/%ld (%.0f%%), teikn %ld/%ld (%.0f%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Teksteditoren nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 #, fuzzy
 msgid "version"
 msgstr "versjon "
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Gjeve til deg av:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Spesiell takk til:"
 
 # Oversette dette ?
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "Free Sofware Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr ""
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr ""
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "og alle dei andre vi glymde..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 #, fuzzy
 msgid "Thank you for using nano!"
 msgstr "Takk for at du brukar nano!\n"
@@ -2713,6 +2731,9 @@ msgstr "Takk for at du brukar nano!\n"
 #~ msgid "File to insert [from ./] "
 #~ msgstr "Fila som skal setjast inn [fr ./] "
 
+#~ msgid "Switched to %s"
+#~ msgstr "Bytta til %s"
+
 #~ msgid "Could not open file for writing: %s"
 #~ msgstr "Kunne ikkje opna fila for skriving: %s"
 
Binary files 2.9.8-1/po/pl.gmo and 3.0-1/po/pl.gmo differ
diff -pruN 2.9.8-1/po/pl.po 3.0-1/po/pl.po
--- 2.9.8-1/po/pl.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/pl.po	2018-09-09 09:48:30.000000000 +0000
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 2.9.5-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2018-03-25 00:30+0200\n"
 "Last-Translator: Sergey Poznyakoff <gray@gnu.org>\n"
 "Language-Team: Polish <translation-team-pl@lists.sourceforge.net>\n"
@@ -27,82 +27,86 @@ msgid "Cannot open directory: %s"
 msgstr "Nie można otworzyć katalogu: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Przejdź do katalogu"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Anulowano"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Nie można wyjść poza katalog %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Nie można przejść do katalogu wyżej"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Błąd odczytu %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Katalog bieżący zniknął"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(kat)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(kat nad)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(ogromny)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Szukaj"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Wstecz]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Wyszukiwanie minęło granicę pliku - kontynuowane od początku (końca)"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "To jedyne wystąpienie"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Brak wzorca wyszukiwania"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nieznana nazwa składni: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "błąd magic_load(): %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "błąd magic_file(%s): %s"
@@ -173,7 +177,7 @@ msgstr "Edytowanie pliku %s (przez %s u
 msgid "Can't read file from outside of %s"
 msgstr "Nie można przeczytać pliku spoza %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" jest katalogiem"
@@ -183,26 +187,51 @@ msgstr "\"%s\" jest katalogiem"
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" nie jest zwykłym plikiem"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Nie ma więcej otwartych buforów"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "Brak opcji"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Przełączono na %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Nowy bufor"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, fuzzy, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "Wczytano %zu linię"
+msgstr[1] "Wczytano %zu linie"
+msgstr[2] "Wczytano %zu linii"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Nie ma więcej otwartych buforów"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Plik '%s' nie jest dostępny do zapisu"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
@@ -210,7 +239,7 @@ msgstr[0] "Wczytano %zu linię (przekonw
 msgstr[1] "Wczytano %zu linie (przekonwertowane z formatu DOS i Mac)"
 msgstr[2] "Wczytano %zu linii (przekonwertowane z formatu DOS i Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
@@ -218,7 +247,7 @@ msgstr[0] "Wczytano %zu linię (przekonw
 msgstr[1] "Wczytano %zu linie (przekonwertowane z formatu Mac)"
 msgstr[2] "Wczytano %zu linii (przekonwertowane z formatu Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
@@ -226,7 +255,7 @@ msgstr[0] "Wczytano %zu linię (przekonw
 msgstr[1] "Wczytano %zu linie (przekonwertowane z formatu DOS)"
 msgstr[2] "Wczytano %zu linii (przekonwertowane z formatu DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
@@ -234,89 +263,99 @@ msgstr[0] "Wczytano %zu linię"
 msgstr[1] "Wczytano %zu linie"
 msgstr[2] "Wczytano %zu linii"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Nowy plik"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Nie znaleziono pliku \"%s\""
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" jest plikiem urządzenia"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Wczytywanie pliku"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Polecenie do wykonania w nowym buforze"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Polecenie do wykonania"
 
-#: src/files.c:1049
-#, c-format
-msgid "File to insert into new buffer [from %s]"
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Plik do wstawienia do nowego bufora [z %s]"
+
+#: src/files.c:1101
+#, fuzzy, c-format
+msgid "File to read into new buffer [from %s]"
 msgstr "Plik do wstawienia do nowego bufora [z %s]"
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Plik do wstawienia [z %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Plik do wstawienia [z %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Klawisz niedozwolony w trybie innym niż wielu buforów"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Niepoprawny katalog bieżący\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Utworzenie kopii zapasowej nie powiodło się; kontynuować zapis? (N jeśli nie "
 "jesteś pewien)"
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Niepoprawny katalog kopii zapasowych\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Nie można zapisać poza %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Błąd zapisu kopii zapasowej %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Za wiele kopii zapasowych?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Błąd zapisu pliku tymczasowego: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Błąd zapisu %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
@@ -324,878 +363,870 @@ msgstr[0] "Zapisano %zu linię"
 msgstr[1] "Zapisano %zu linie"
 msgstr[2] "Zapisano %zu linii"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [format DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [format Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Kopia zap.]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Wpisz wybór na początek pliku"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Dopisz wybór do pliku"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Zapisz wybór do pliku"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Nazwa pliku do wpisania"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Nazwa pliku do dopisania"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Nazwa pliku do zapisu"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Plik istnieje -- nie można zastąpić"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Zapisać plik pod INNĄ NAZWĄ? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Plik \"%s\" istnieje; ZAMAZAĆ? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Plik na dysku uległ zmianie"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Plik został zmodyfikowany po otworzeniu go, kontynuować zapis? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(więcej)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Wyjdź"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Zamknij"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Odnów Tekst"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Cofnij just."
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Wczyt.plik"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Wyszukaj"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Zastąp"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Przejdź do linii"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Poprz.lin."
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Nast. lin."
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Poprz.str."
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Nast.str."
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Wyjustuj"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Wyjustuj"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Odśwież"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Szukaj Znów"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Anuluj bieżącą funkcję"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Wyświetla ten tekst pomocy"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Zamknij bieżący bufor / Wyjdź z nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Zapisz bieżący plik (zaznaczony tekst) na dysk"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Wstaw inny plik do bieżącego (lub nowego) bufora"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Szukaj łańcucha lub wyrażenia regularnego"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Szukaj łańcucha lub wyrażenia regularnego w tył"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "Szukaj łańcucha"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Szukaj łańcucha"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Odśwież listę plików"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Przejdź do lewej kolumny"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Przejdź do prawej kolumny"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Przejdź do pierwszego wierszu w tej kolumnie"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Przejdź do ostatniego wierszu w tej kolumnie"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Przejdź do poprzedniego ekranu"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Przejdź do następnego ekranu"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Wytnij bieżącą linię (lub oznaczony tekst) i zapisz do schowka"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Wklej zawartość schowka w bieżącej linii"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Pokaż informację o pozycji kursora"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Wywołaj sprawdzanie pisowni, jeśli dostępne"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Zamień łańcuch lub wyrażenie regularne"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Przejdź do linii i kolumny"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Powtórz ostatnie wyszukiwanie"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Ustaw znacznik w bieżącym położeniu kursora"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Skopiuj bieżącą linię (lub zaznaczony tekst) i zapisz do schowka"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Wcięcie bieżącej linii lub oznaczonych linii"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Odwróć wcięcie bieżącej linii lub oznaczonych linii"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Odwołaj ostatnią operację"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Odtwórz ostatnią operację"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Przejdź o znak wstecz"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Przejdź o znak do przodu"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Przejdź o słowo wstecz"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Przejdź o słowo do przodu"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Przejdź do poprzedniej linii"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Przejdź do następnej linii"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Przejdź na początek bieżącej linii"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Przejdź na koniec bieżącej linii"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Przejdź do poprzedniego bloku tekstu"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Przejdź do następnego bloku tekstu"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Przejdź na początek akapitu; potem na początek poprzedniego akapitu"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Przejdź w koniec akapitu; potem w koniec następnego akapitu"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Przejdź do pierwszej linii pliku"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Przejdź do ostatniej linii pliku"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Przejdź do parzystego nawiasu"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Przewiń na jedną linię w górę bez przesunięcia kursora w tekście"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Przewiń na jedną linię w dół bez przesunięcia kursora w tekście"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Przejdź do poprzedniego bufora"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Przejdź do następnego bufora"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Wstaw następne naciśnięcie klawisza dosłownie"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Wstaw znak tabulacji na pozycji kursora"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Wstaw znak nowej linii na pozycji kursora"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Usuń znak na pozycji kursora"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Usuń znak na lewo od kursora"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Wycina wstecz od kursora do początku słowa"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Wycina od kursora do początku następnego słowa"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Wytnij wszystko z pozycji kursora po koniec pliku"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Wyjustuj bieżący akapit"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Wyjustuj cały plik"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Policz ilość słów, linii i znaków"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Odśwież (ponownie wyświetl) bieżący ekran"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Zawieś edytor (jeżeli zawieszenie jest włączone)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Uzupełnij bieżące słowo"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Zakomentuj/odkomentuj bieżącą linię (lub oznaczone linii)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Zapisać plik bez podpowiedzi"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Szukanie wstecz"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Szukanie naprzód"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Rozpocznij/zakończ nagrywanie makra"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Uruchom ostatnio nagrane makro"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Przełącz uwzględnienie rozmiaru znaków pod czas wyszukiwania"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Odwróć kierunek wyszukiwania"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Przełącz użycie wyrażeń regularnych"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Przywróć poprzednie łańcuchy wyszukiwania/zamiany"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Przywróć następne łańcuchy wyszukiwania/zamiany"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Przełącz użycie formatu DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Przełącz użycie formatu Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Przełącz dopisywanie w koniec"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Przełącz dopisywanie na początek"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Przełącz utworzenie kopii zapasowych oryginalnego pliku"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Wywołaj polecenie zewnętrzne"
 
-#: src/global.c:659
+#: src/global.c:655
 #, fuzzy
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Zapisz bieżący plik (zaznaczony tekst) na dysk"
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Bez konwersji z formatu DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Przełącz użycie nowego bufora"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Zamknij bufor bez zapisu"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Pokaż przeglądarkę plików"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Wyjdź z przeglądarki plików"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Przejdź do pierwszego pliku na liście"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Przejdź do ostatniego pliku na liście"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Przejdź do poprzedniego pliku na liście"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Przejdź do następnego pliku na liście"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Przejdź do katalogu"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Wywołaj sprawdzanie składni, jeśli dostępne"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Przejdź do poprzedniej linii"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Przejdź do następnej linii"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Wywołaj formater, jeśli jest dostępny"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Pomoc"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Anuluj"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Zapisz"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Wczyt.plik"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Wyjustuj"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Odśwież"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Wyszukaj"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Zastąp"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Do kat."
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Wytnij"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Pisownia"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Składnia"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formater"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Bież.poz."
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Przejdź do linii"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Odwołaj"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Odtwórz"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Zaznacz"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopiuj"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Wielk.liter"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Wyr.reg."
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Wstecz"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Nie zast."
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Wyjustuj"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Do nawiasu"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Zapisz"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Gdzie było"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Poprzedni"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Następny"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Wstecz"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "W przód"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Poprz.słowo"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Nast.słowo"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Początek"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Koniec"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Poprz.lin."
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Nast. lin."
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "W górę"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "W dół"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Poprz.Block"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Nast.Block"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "PoczAkapit"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "KonAkapit"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Poprz.str."
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Nast.str."
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Pierw.lin."
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Ost.lin."
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Plik poprz."
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Plik nast."
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Usuń"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Backspace"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Wytnij w lewo"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Wytnij w prawo"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "WytnDoKonc"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Ilość słów"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Dosłownie"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Zawieś"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Wcięcie"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Usuń Wcięcia"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
+msgstr "wcięcie"
+
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
+msgstr "usuń wcięcie"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Zakomentuj linii"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Skończono"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Zapis"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Uruchom makro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Gdzie było"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Zapisz"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Poprz.Hist"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Nast.Hist"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Do tekstu"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Format DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Format Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Dopisz"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Wpisz"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Kopia zapas."
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "wersja"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Wywołaj polecenie"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "Kopiuj"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Pliki"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Pierw.Plik"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Ost.Plik"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Lewa Kolumna"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Prawa Kolumna"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Górny wiersz"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Dolny wiersz"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Porzuć bufor"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Lint:Poprz.lin."
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Lint:Nast.lin."
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Tryb pomocy"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Stałe położenie kursora"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Użycie dodatkowej linii do redagowania"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Płynne przewijanie"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Miękkie zawijanie długich linii"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Wyświetlanie białych znaków"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Kolorowanie składni"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Rozumny klawisz \"w początek\""
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Auto wcięcia"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Wytnij do końca"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Twarde zawijanie długich linii"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Przetworzenie tabulacji na spacji"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Kopie zapasowe"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Odczyt pliku do osobnego bufora"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Obsługa myszy"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Bez konwersji z formatu DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Zawieś"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Numeracja linii"
 
@@ -1424,15 +1455,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Tekst pomocy wywołania polecenia zewnętrznego\n"
 "\n"
@@ -1444,7 +1474,22 @@ msgstr ""
 " W tym trybie dostępne są następujące klawisze:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" W trybie wyszukiwania dostępne są następujące klawisze funkcyjne:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1464,7 +1509,7 @@ msgstr ""
 "zawiera edytowany tekst. Trzecia linia od dołu, czyli linia stanu, służy do "
 "wyświetlania ważnych komunikatów. "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1481,7 +1526,7 @@ msgstr ""
 "zależnie od układu klawiatury jednym z klawiszy Esc, Alt lub Meta, są "
 "oznaczone Meta (M-). "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1496,7 +1541,7 @@ msgstr ""
 "Klawisze alternatywne ujęto w nawiasy:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "włącz/wyłącz"
 
@@ -1533,19 +1578,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Błąd zapisu %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Klawisz niedozwolony w trybie przeglądania"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Ta funkcja nie jest dostępna w trybie ograniczonym"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Pomoc niedostępna"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1554,7 +1599,7 @@ msgstr ""
 "\n"
 "Bufor zapisany w %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1563,7 +1608,7 @@ msgstr ""
 "\n"
 "Bufor nie został zapisany w %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1572,7 +1617,7 @@ msgstr ""
 "\n"
 "Bufor nie został zapisany w %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1583,7 +1628,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1594,7 +1639,7 @@ msgstr ""
 "numer linii poprzedzony znakiem '+'. Można również podać numer kolumny,\n"
 "oddzielony przecinkiem.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1603,279 +1648,279 @@ msgstr ""
 "Gdy podano '-' jako nazwę pliku, nano odczytuje dane z wejścia "
 "standardowego.\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opcja\t\tDługa opcja GNU\t\tZnaczenie\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Włącza rozumny przycisk \"w początek\""
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Tworzenie kopii zapasowych istniejących plików"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <katalog>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<katalog>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Katalog przechowywania unikatowych kopii zapasowych"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Używa tekstu pogrubionego zamiast negacji obrazu"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Przetwarza tabulacje na spacje"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Domyślny odczyt pliku do nowego bufora"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Używaj plików blokowania w stylu vim"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Rejestrowanie i odczyt historii wyszukiwania/zamiany łańcuchów"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Bez korzystania z plików nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Naprawia problem pomylenia klawiszy klawiatury numerycznej"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Wyłącza dodanie znaku nowej linii na końcu pliku"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Usuwaj białe znaki z końca linii pod czas twardego zawijania"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Bez konwersji z formatu DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Użycie dodatkowej linii do redagowania"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Zapisz i odczytaj pozycję kursora"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q <łańcuch>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<łańcuch>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr ""
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Tryb zastrzeżony"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Przewija po liniach zamiast po pół-ekranu"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#kol>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#kol>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Ustawienie szerokości tabulacji na podaną ilość kolumn"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Szybkie oczyszczenie linii stanu"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Wypisanie wersji i zakończenie pracy"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Uściśla określenie granic słów"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <łańcuch>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<łańcuch>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Jakie jeszcze znaki mogą występować w słowach"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <nazwa>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<nazwa>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Użycie zadanej definicji składni do podświetlania"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Podział wiersza na białych znakach pod czas zawijania"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Stałe pokazywanie położenia kursora"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Naprawia problem pomylenia klawiszy Backspace/Delete"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Pokaż kursor w przeglądarce plików"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Wyświetla ten tekst pomocy i wychodzi"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Automatyczne wcięcia nowych linii"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Wycina od kursora do końca linii"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Pokaż numery linii przed tekstem"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Włączenie myszy"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Bez odczytu pliku (tylko zapis)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <kat>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<kat>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Ustawienie katalogu pracy"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Zachowanie działania klawiszy XON (^Q) i XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#kol>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#kol>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Ustawia granice przewijania w podanej kolumnie"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Alternatywny program sprawdzania pisowni"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Automatyczny zapis przy kończeniu pracy, bez pytania"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Zapisz plik w formacie Unix"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Tryb przeglądania (tylko odczyt)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Bez przewijania długich linii"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Bez pokazywania linii pomocy"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Włączenie zawieszania"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Włącza miękkie przewijanie linii"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, wersja %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s współtwórcy nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " E-mail: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1884,335 +1929,333 @@ msgstr ""
 "\n"
 " Skompilowane opcje:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Brak nazwy pliku"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Zapisać zmodyfikowany bufor? (Odpowiedź \"Nie\" skasuje zmiany.)"
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Nie można otworzyć stdin: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr ""
 "Nie udało się ponownie otworzyć wejście standardowe z klawiatury, "
 "przepraszamy\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Otrzymano SIGHUP lub SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Aby powrócić do nano, użyj \"fg\".\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Zawieszenie nie jest włączone"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "włączony(e)"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "wyłączony(e)"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Nieprzypisany klawisz"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Nie można przypisać: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Nieprzypisany klawisz: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Nieprzypisany klawisz: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Nieprzypisany klawisz: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Żądana wielkość tabulacji \"%s\" nie jest poprawna"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Żądana pozycja łamania linii \"%s\" nie jest poprawna"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Podaj '%s -h' aby uzyskać listę dostępnych opcji.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Niepoprawny numer linii lub kolumny"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Błędy w '%s'"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Tt"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Ww"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Tak"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Nie"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Wszystko"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Błąd w %s w linii %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argument %s ma niedomknięty \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Wyrażenia regularne muszą zaczynać się i kończyć znakiem \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Błędne wyrażenie regularne \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Brak nazwy składni"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Nieparzysty cudzysłów w nazwie składni"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Składnia \"none\" jest zarezerwowana"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Składnia \"default\" nie przyjmuje rozszerzeń"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Brak nazwy klawisza"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Za krótka nazwa klawisza"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Nazwa klawisza musi zaczynać się z \"^\", \"M\", lub \"F\""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Niepoprawna nazwa klucza %s"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Podaj funkcje do jakiej przypisuje się klawisz"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr "Musisz podać menu (lub \"all\") w którym przypisuje się klawisz"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Nie można odwzorować nazwy \"%s\" na funkcje"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Nie można odwzorować nazwy \"%s\" na menu"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Brak funkcji '%s' w menu '%s'"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Przepraszam, przyciśnięcie \"%s\" nie może być przypisane ponownie"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Błąd rozszerzenia %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Kolor \"%s\" nie jest zrozumiały"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Kolor tła nie może być jaskrawy"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Polecenie '%s' wymaga poprzedniego polecenia 'syntax'"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Brak nazwy koloru"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Brak wyrażenia regularnego po poleceniu '%s'"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Puste regularne wyrażenie"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" wymaga odpowiadającego mu \"end=\""
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Składnia \"default\" nie przyjmuje wyrażeń regularnych '%s'"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Brak argumentu po '%s'"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argument do '%s' ma niedomknięty \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
-"Błąd krytyczny: brak przypisanego klawisza dla funkcji \"%s\".  "
-"Zakończenie.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr "Jeśli trzeba, uruchom nano z opcją -I aby dopasować ustawienia.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Nie znaleziono składni \"%s\" do rozszerzenia"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Składnia \"%s\" nie ma ustawień kolorów"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Poliecenie \"%s\" nie jest dozwolone w pliku dołączonym"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Niezrozumiałe polecenie \"%s\""
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Brak opcji"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Nieznana opcja \"%s\""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Nie można zresetować opcji \"%s\""
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Opcja \"%s\" wymaga argumentu"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Opcja nie jest poprawnym łańcuchem wielobajtowym"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Wymagane są nie-białe znaki"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Wymagane są dwa jednobajtowych znaki"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Nie mogę znaleźć swojego katalogu domowego!  Aj!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Uwzgl.wielk.liter]"
@@ -2221,41 +2264,36 @@ msgstr " [Uwzgl.wielk.liter]"
 msgid " [Regexp]"
 msgstr " [Wyr.reg.]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Wstecz]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (i zastąp) w zaznaczeniu"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (i zastąp)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Szukanie..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "Nie znaleziono \"%.*s%s\""
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Czy zastąpić to wystąpienie?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Zastąp przez"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2264,254 +2302,245 @@ msgstr[1] "Zamieniono %zd wystąpienia"
 msgstr[2] "Zamieniono %zd wystąpień"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Wprowadź numer linii, numer kolumny"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "To nie nawias"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Brak nawiasu do pary"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Znacznik ustawiony"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Znacznik skasowany"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Błąd podczas wywoływania \"%s\""
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Komentowanie nie jest obsługiwane dla tego typu plików"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Nie można komentować poza końcem linii"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Nie ma nic w buforze odwołania"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "tekst dodany"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "łamanie linii"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "tekst usunięty"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "połączenie linii"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "tekst zamieniony"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "wycięcie tekstu"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "wklejanie tekstu"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "tekst wprowadzony"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "wcięcie"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "usuń wcięcie"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "zakomentuj"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "odkomentuj"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Odwołano operację (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Nic do powtórzenia!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Powtórzono operację (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Nie można utworzyć potoku"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Nie można rozwidlić procesu"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, fuzzy, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Nie można otworzyć stdin: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Nieprawidłowy znacznik cytowania %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Można teraz cofnąć justowanie!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Słowo nie do znalezienia: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Edytuj zastąpienie"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Nast.słowo..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Tworzenie listy błędnie napisanych słów, proszę czekać..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Nie można uzyskać wielkości bufora potoku"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Błąd podczas wywoływania \"spell\""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Błąd podczas wywoływania \"sort -f\""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Błąd podczas wywoływania \"uniq\""
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Wywołanie sprawdzania pisowni, proszę zaczekać"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Niepowodzenie sprawdzania pisowni: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Niepowodzenie sprawdzania pisowni: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Zakończono sprawdzanie pisowni"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Brak analizatora składni dla tego typu pliku!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Zapisać bufor przed sprawdzaniem składni?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Sprawdzanie składni, proszę zaczekać"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Otrzymano 0 poprawnych linii od polecenia: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Ten komunikat dotyczy nie otworzonego pliku %s; otworzyć go w nowym buforze?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "W nieotwartych plikach nie ma więcej błędów; anulowanie"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Ostatni komunikat"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Pierwszy komunikat"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Zakończono"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Wywołanie formatera, proszę zaczekać"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Zakończono formatowanie"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sSłowa: %zu  Linii: %zd  Znaki: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "W zaznaczeniu:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "wprowadzanie dosłowne"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Brak dalszych wyników"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Brak wyników"
 
@@ -2541,76 +2570,123 @@ msgstr "Za dużo błędów z wejścia st
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Nieznana sekwencja"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Wejście Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "KAT:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Zmieniony"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Przeglądanie"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Dalsze ostrzeżenia wyciszono"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "lin. %zd/%zd (%d%%), kol. %zu/%zu (%d%%), zn. %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Edytor tekstu nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "wersja"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Stworzony przez:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Specjalne podziękowania otrzymują:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "Free Software Foundation (Fundacja Wolnego Oprogramowania)"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "wielu tłumaczy i TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Za ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "oraz wszyscy pozostali, o których zapomnieliśmy..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Dziękujemy za korzystanie z nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Przełączono na %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Szukaj Znów"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Powtórz ostatnie wyszukiwanie"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Wywołaj formater, jeśli jest dostępny"
+
+#~ msgid "Formatter"
+#~ msgstr "Formater"
+
+#~ msgid "Indent Text"
+#~ msgstr "Wcięcie"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Usuń Wcięcia"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Użycie dodatkowej linii do redagowania"
+
+#~ msgid "Backup files"
+#~ msgstr "Kopie zapasowe"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Odczyt pliku do osobnego bufora"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Bez konwersji z formatu DOS/Mac"
+
 #~ msgid "Quoting string"
 #~ msgstr "Znacznik cytowania"
 
 #~ msgid "Reading from stdin, ^C to abort\n"
 #~ msgstr "Odczyt z wejścia standardowego. Aby przerwać, naciśnij ^C\n"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Błąd krytyczny: brak przypisanego klawisza dla funkcji \"%s\".  "
+#~ "Zakończenie.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Zakończono"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Wywołanie formatera, proszę zaczekać"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Zakończono formatowanie"
Binary files 2.9.8-1/po/pt_BR.gmo and 3.0-1/po/pt_BR.gmo differ
diff -pruN 2.9.8-1/po/pt_BR.po 3.0-1/po/pt_BR.po
--- 2.9.8-1/po/pt_BR.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/pt_BR.po	2018-09-09 09:48:30.000000000 +0000
@@ -6,10 +6,10 @@
 # Rafael Fontenelle <rafaelff@gnome.org>, 2014-2018.
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.9.8-pre1\n"
+"Project-Id-Version: nano 3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-28 07:06-0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-30 06:30-0200\n"
 "Last-Translator: Rafael Fontenelle <rafaelff@gnome.org>\n"
 "Language-Team: Brazilian Portuguese <ldpbr-translation@lists.sourceforge."
 "net>\n"
@@ -27,82 +27,86 @@ msgid "Cannot open directory: %s"
 msgstr "Não foi possível abrir o diretório: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Ir para o diretório"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Cancelado"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Não sair de %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Não é possível mover um diretório"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Erro ao ler %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "O diretório de trabalho desapareceu"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(dir)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(dir acima)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "gigante"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Pesquisa"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Retroceder]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Pesquisa ajustada"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Esta é a única ocorrência"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Nenhum padrão de pesquisa atualmente"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nome de sintaxe desconhecido: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() falhou: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) falhou: %s"
@@ -181,7 +185,7 @@ msgstr "O arquivo %s está sendo editado
 msgid "Can't read file from outside of %s"
 msgstr "Não foi possível ler arquivo de fora de %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" é um diretório"
@@ -191,1018 +195,1036 @@ msgstr "\"%s\" é um diretório"
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" não é um arquivo normal"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Não há mais nenhum buffer de arquivos abertos"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "correção de escrita"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu linha (%s)"
+msgstr[1] "%s -- %zu linhas (%s)"
 
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "Alternado para %s"
-
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Novo buffer"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu linha"
+msgstr[1] "%s -- %zu linhas"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Não há mais nenhum buffer de arquivos abertos"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "O arquivo \"%s\" não é gravável"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "%zu linha lida (Convertida do formato DOS e Mac)"
 msgstr[1] "%zu linhas lidas (Convertidas do formato DOS e Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "%zu linha lida (Convertida do formato Mac)"
 msgstr[1] "%zu linhas lidas (Convertidas do formato Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "%zu linha lida (Convertida do formato DOS)"
 msgstr[1] "%zu linhas lidas (Convertidas do formato DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "%zu linha lida"
 msgstr[1] "%zu linhas lidas"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Novo arquivo"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Arquivo \"%s\" não encontrado"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" é um arquivo dispositivo"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Lendo o arquivo"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Comando para execução no novo buffer"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Comando para execução"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "Arquivo para inserção no novo buffer [de %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Arquivo para ler não convertido no novo buffer [de %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Arquivo para leitura no novo buffer [de %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Arquivo para inserção não convertido [de %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Arquivo para inserção [de %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Tecla inválida em modo não-multibuffer"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Diretório de operação inválido\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Falha ao escrever o arquivo reserva; continuar salvando? (Diga N se não "
 "tiver certeza) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Diretório reserva inválido\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Não foi possível escrever fora de %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Erro ao escrever o arquivo reserva %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Muitos arquivos reserva?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Erro ao escrever o arquivo temporário: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Erro ao escrever %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Escrita %zu linha"
 msgstr[1] "Escritas %zu linhas"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Formato DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Formato Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Arq reserva]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Pré-adicionar seleção para o arquivo"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Adicionar seleção para o arquivo"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Escrever a seleção para o arquivo"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Nome arquivo para pré-adicionar"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Nome do arquivo para adicionar a"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Nome do arquivo para gravar"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Pequena demais"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "O arquivo existe -- não é possível sobrescrevê-lo"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Salvar o arquivo com um NOME DIFERENTE? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Arquivo \"%s\" já existe; SOBRESCREVER? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Arquivo no disco foi alterado"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr ""
 "O arquivo foi modificado desde a última vez que você abriu; continuar "
 "salvamento? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(mais)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Sair"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Fechar"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Colar txt"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Desjustifi"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Ler o arq"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Onde está?"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Substituir"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Ir p/ linha"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Linha ant"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Prox linha"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Pág anter"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Próx pág"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Justificar"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "JstifiCmpl"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Atualiz"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "OndeTá próx."
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Cancela a função atual"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Abre este texto de ajuda"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Fecha o buffer atual / Sai do nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Escreve o buffer atual (ou a região marcada) no disco"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Insere outro arquivo no buffer atual (ou em um novo buffer)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Procura para frente por um texto ou uma expressão regular"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Procura para trás por um texto ou uma expressão regular"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Pesquisa por um texto"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Pesquisa para frente por um texto"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Pesquisa para trás por um texto"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Atualiza a lista de arquivos"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Vai para a coluna da esquerda"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Vai para a coluna da direita"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Vai para a primeira linha nesta coluna"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Vai para a última linha nesta coluna"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Vai uma tela acima"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Vai uma tela abaixo"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Recorta a linha atual (ou região marcada) e guarda-a no buffer-de-"
 "transferência"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Cola do buffer-de-transferência para a linha atual"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Mostra a posição do cursor"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Chama o verificador ortográfico, se disponível"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Substitui um texto ou expressão regular"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Vai para linha e coluna número"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Repete a última pesquisa"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Marca o texto iniciando na posição do cursor"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Copia a linha atual (ou região marcada) e guarda-a no buffer-de-transferência"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Recua a linha atual (ou linhas marcadas)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Remove recuo da linha atual (ou linhas marcadas)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Desfaz a última operação"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Refaz a última operação desfeita"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Volta em um caractere"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Avança em um caractere"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Retrocede em uma palavra"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Avança em uma palavra"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Vai para a anterior linha"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Vai para a próxima linha"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Vai para o início da linha atual"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Vai para o fim da linha atual"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Vai para o bloco de texto anterior"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Vai para a próximo bloco de texto"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Vai para o início do parágrafo; depois para o parágrafo anterior"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Vai para o fim do parágrafo; depois para o próximo parágrafo"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Vai para a primeira linha do arquivo"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Vai para a última linha do arquivo"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Vai para o fechamento do parênteses/colchetes/chaves"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Rola uma linha acima sem mover o cursor textualmente"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Rola uma linha abaixo sem mover o cursor textualmente"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Troca para o buffer de arquivo anterior"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Troca para o próximo buffer de arquivo"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Insere caractere(s) literalmente"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Insere um caractere tabular na posição do cursor"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Insere quebra de linha na posição do cursor"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Apaga o caractere sob o cursor"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Apaga o caractere a esquerda do cursor"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Recorta para trás do cursor até o início da palavra"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Recorta para frente do cursor até início da próxima palavra"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Recorta do cursor até o fim da linha"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Justifica o parágrafo atual"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Justifica o arquivo inteiro"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Conta o número de palavras, linhas e caracteres"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Atualiza (re-desenha) a tela atual"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Suspende o editor (se a suspensão estiver habilitada)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Tenta e completa a palavra atual"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Comenta/descomenta a linha atual (ou linhas marcadas)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Salva o arquivo sem perguntar"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Pesquisa a ocorrência anterior"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Pesquisa a próxima ocorrência"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Inicia/para gravação de um macro"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Executa a última macro gravada"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Ativa sensibilidade de caixa na pesquisa"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Inverte a direção da pesquisa"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Ativa o uso de expressões regulares"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Lembra o último texto de pesquisa/substituição"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Lembra o ultimo texto de pesquisa/substituição"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Ativa o uso do formato DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Ativa o uso do formato Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Ativa ajuntamento"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Ativa pré-adicionamento"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Ativa cópia de segurança do arquivo original"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Executa um comando externo"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Pipe no buffer atual (ou a região marcada) para o comando"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "Não converte do formato DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Ativa o uso de um novo buffer"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Fecha o buffer sem salvá-lo"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Vai para o navegador de arquivo"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Sai do navegador de arquivos"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Vai para o primeiro arquivo na lista"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Vai para o último arquivo na lista"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Vai para o arquivo anterior na lista"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Vai para o próximo arquivo na lista"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Vai para o diretório"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Chama o lintador, se disponível"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Vai para a mensagem anterior do lintador"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Vai para a próxima mensagem do lintador"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Chama o formatador, se disponível"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Ajuda"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Cancelar"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Gravar"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Ler o arq"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Justificar"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Atualiz"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Onde está?"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Substituir"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Ir p/ dir"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Recort txt"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "VerfOrtog"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Lintar"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formatador"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Pos atual"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Ir p/ linha"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Desfazer"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Refazer"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Marcar txt"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Copiar txt"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Sens de caixa"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Exp regular"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Contrário"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Sem substituição"
 
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "JstifiCmpl"
+
 # Aplica parênteses no texto
-#: src/global.c:839
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Parênteses"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Salvar"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Onde estava?"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Anterior"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Próxima"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Voltar"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Avançar"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Palvr ant"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Prx palvr"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Local"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Fim"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Linha ant"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Prox linha"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Rolar para cima"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Rolar para baixo"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Bloco ant"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Prx bloco"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Ini de par"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Fim de par"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Pág anter"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Próx pág"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Prim linha"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Últ linha"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Próximo arquivo"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Arquivo anterior"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Excluir"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Tecla BACKSPACE"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Recort Esq"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Recort Dir"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "RecortarAtéOFim"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Contagem de palavras"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Entrada literal"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Suspender"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Alinhar txt"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Desalinhar txt"
+#: src/global.c:956
+msgid "Indent"
+msgstr "Recuo"
+
+#: src/global.c:958
+msgid "Unindent"
+msgstr "Tirar recuo"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Comentar linhas"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Completar"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Gravar"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Executar macro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Onde estava?"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Salvar"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "RegisAnt"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "PróxRegis"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Ir para o próximo"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Formato DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Formato Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Anexar"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Pré-anexar"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Arquivo reserva"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Sem conversão"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Executar comando"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "Pipe text"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Para arquivos"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Primeira linha"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Última linha"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Coluna da esquerda"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Coluna da direita"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Linha superior"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Linha inferior"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Descartar buffer"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Msg Lint Ant"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Próx Msg Lint"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Modo ajuda"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Mostra da posição do cursor constante"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Uso de mais de uma linha para edição"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Rolagem suave"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Ajuste suave de linhas compridas"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Mostra espaços vazios"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Marcação colorida de sintaxe"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Tecla Home inteligente"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Recuo automática"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Recorta até o fim"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Ajuste rígido de linhas compridas"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Conversão de tabulações para espaços"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Reservar os arquivos"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Lendo arquivo em um buffer separado"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Suporte ao mouse"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Sem conversões do formato DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Suspensão"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Numeração de linha"
 
@@ -1439,24 +1461,35 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Texto de Ajuda da Execução de Comando\n"
 "\n"
 " Este modo permite que você insira a saída de um comando executado pelo "
-"shell dentro do buffer atual (ou em um novo buffer no modo de múltiplos "
-"buffers de arquivos).  Se você precisa de um outro buffer vazio, insira "
-"nenhum comando.\n"
+"shell no buffer atual (ou em um novo buffer).  Se o comando é precedido de "
+"\"|\" (o símbolo de pipe), o conteúdo atual do buffer (ou região marcada) "
+"será passada por pipe para o comando.  "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+"Se você não precisa de outro buffer vazio, não insira um comando.\n"
 "\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
 " As seguintes teclas de funções estão disponíveis no modo Execução de "
 "Comando:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1477,7 +1510,7 @@ msgstr ""
 "linha de status é a terceira de baixo para cima, mostrando mensagens "
 "importantes.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1494,7 +1527,7 @@ msgstr ""
 "Meta são apresentadas com 'M-' e podem ser executadas com as teclas Alt, Cmd "
 "ou Esc, dependendo da sua configuração de teclado.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1508,7 +1541,7 @@ msgstr ""
 "edição principal.  Teclas alternativas são mostradas em parênteses:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "habilitado/desabilitado"
 
@@ -1546,19 +1579,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Erro ao escrever %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "A tecla é inválida no modo de visualização"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Esta função está desabilitada no modo restrito"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Ajuda não está disponível"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1567,7 +1600,7 @@ msgstr ""
 "\n"
 "Buffer escrito em %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1576,7 +1609,7 @@ msgstr ""
 "\n"
 "Buffer não foi escrito em %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1585,7 +1618,7 @@ msgstr ""
 "\n"
 "Buffer não foi escrito: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1596,7 +1629,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1606,7 +1639,7 @@ msgstr ""
 "coloque o número da linha com um \"+\" antes do nome do arquivo.\n"
 "O número da coluna pode ser adicionar após uma vírgula.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1615,280 +1648,280 @@ msgstr ""
 "Quando um nome de arquivo é \"-\", nano lê dados da entrada padrão.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opção\t\tOpção GNU longa\t\tSignificado\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Habilita tecla Home inteligente"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Salva cópias reserva de arquivos que existem"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-E <dir>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Diretório para salvar arquivos únicos de reserva"
 
 # É necessário melhorar aqui.
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Usa negrito ao invés de texto em video inverso"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Converte tabulações digitadas em espaços"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Lê um arquivo em um novo buffer por padrão"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Usa arquivos de travas (estilo vim)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Grava & lê histórico das strings de pesquisa/substituição"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Não olha o arquivo nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Corrige confusão com o teclado numérico"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Não adiciona nova-linha ao final das linhas dos arquivos"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Apara espaços ao final fazer ajuste rígido"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Não converte arquivos do formato DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Utiliza um ou mais linhas para edição"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Registra & lê a localização da posição do cursor"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <regex>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<regex>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "Expressão regular para corresponder à citação"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Modo restrito"
 
 # revisar: meia tela
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Rola linhas ao invés de meia tela"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#cols>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#cols>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Modifica o tamanho da tabulação para #cols"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Remoção rápida da barra de status"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Imprime informação de versão e fecha"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Detecção mais precisa dos limites das palavras"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <str>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<str>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Quais caracteres são partes da palavra"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <nome>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<nome>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Definição de sintaxe para inserção de cores"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Ao fazer ajuste suave, o faz em espaço em branco"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Mostra a posição do cursor constantemente"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Corrige confusão entre Backspace/Delete"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Mostra o cursor no navegador de arquivo"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Mostra esse texto de ajuda e sai"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Avança o recuo automaticamente em nova linhas"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Recorta do cursor até o fim da linha"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Mostra números de linhas na frente do texto"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Habilita o uso do mouse"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Não lê o arquivo (apenas o escreve)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <dir>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<dir>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Define o diretório de trabalho"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Preserva as teclas XON (^Q) e XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#colun>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#colun>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Define o ponto de ajuste rígido na coluna #cols"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Habilita um verificador ortográfico alternativo"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Salva automaticamente ao sair, sem perguntar"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Salva um arquivo por padrão no formato Unix"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Modo visualização (somente leitura)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Não faz ajuste rígido em linhas compridas"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Não mostra as duas linhas de ajuda"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Faz Ctrl+Right parar nos finais das palavras"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Permite suspensão"
 
 # Soft line wrapping?
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Habilita ajuste suave de linhas compridas"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, versão %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s os contribuidores do nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1897,272 +1930,272 @@ msgstr ""
 "\n"
 " Opções compiladas:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Nenhum nome de arquivo"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "Salvar buffer modificado? (Responder \"Não\" vai DESCARTAR alterações.) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "Lendo da entrada padrão; digite ^D ou ^D^D para finalizar.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Falha ao abrir a entrada padrão: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Não foi possível reabrir a entrada padrão do teclado, desculpe\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Recebi SIGHUP ou SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr "Desculpe! Nano travou!  Código: %d.  Por favor, relate o erro.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Utilize \"fg\" para retornar ao nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Suspensão não está habilitada"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "habilitado"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "desabilitado"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Tecla não vinculada"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Tecla não vinculável: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Tecla não vinculada: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Tecla não vinculada: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Tecla não vinculada: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Tamanho \"%s\" de tabulação é inválido"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Pedido de tamanho \"%s\" inválido"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Digite \"%s -h\" para uma lista de opções disponíveis.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Linha ou número de coluna inválido"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Erros em \"%s\""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Bem-vindo ao nano. Para uma ajuda básica, digite Ctrl+G."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "SsYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Tt"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Sim"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Não"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Todos"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Erro no %s na linha %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argumento \"%s\" possui indeterminado \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Expressão regular deve começar e terminar com um caractere \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Expressão regular errônea \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Falta o nome da sintaxe"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Aspas não pareadas no nome da sintaxe"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "A sintaxe \"none\" é reservada"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "A sintaxe \"default\" não aceita extensões"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Falta o nome da chave"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Nome da tecla é muito curta"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Nome da tecla deve começar com \"^\", \"M\" ou \"F\""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "O nome de chave \"%s\" é inválido"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "É preciso especificar uma função para o vínculo da tecla"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "É preciso especificar um menu (ou \"all\") para vincular/desvincular a tecla"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Não foi possível mapear o nome \"%s\" a uma função"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Não foi possível mapear o nome \"%s\" a um menu"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Função \"%s\" não existe no menu \"%s\""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Desculpe, a sequência \"%s\" ter seu vínculo redefinido"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Erro ao expandir %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Cor \"%s\" não compreendida"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Uma cor de plano de fundo não pode ser clara"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Um comando \"%s\" requer um comando \"syntax\" anterior"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Falta o nome da cor"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Faltando texto de expressão regular após o comando \"%s\""
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Texto de expressão regular vazio"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" precisa de um \"end=\" correspondente"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "A sintaxe \"default\" não aceita expressões regulares \"%s\""
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Faltando um argumento após \"%s\""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argumento de \"%s\" falta \" de fechamento"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Erro fatal: nenhuma tecla mapeada para a função \"%s\". Saindo.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr "Nenhuma tecla está vinculada à função \"%s\" no menu \"%s\". Saindo.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2170,63 +2203,63 @@ msgstr ""
 "Se necessário, use nano com a opção -I para ajustar suas configurações no "
 "nanorc.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Não foi possível localizar a sintaxe \"%s\" para estender"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Sintaxe \"%s\" não possui comandos de cor"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Comando \"%s\" não é permitido no arquivo incluído"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Comando \"%s\" não compreendido"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Falta opção"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Opção \"%s\" desconhecida"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Não é possível desativar a opção \"%s\""
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Opção \"%s\" requer um argumento"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "O argumento não é uma string multibyte válida"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Caracteres imprimíveis são necessário"
 
 # Tradução para single-column?
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Dois caracteres de coluna única são necessários"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Não consigo localizar o meu diretório pessoal! Putz!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Sensibilidade de caixa]"
@@ -2235,41 +2268,36 @@ msgstr " [Sensibilidade de caixa]"
 msgid " [Regexp]"
 msgstr " [Expressão regular]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Retroceder]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (para substituir) na seleção"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (para substituir) na seleção"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Pesquisando..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" não encontrado"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Substituir esse termo?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Substituir por"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2277,255 +2305,246 @@ msgstr[0] "Substituiu-se %zd ocorrência
 msgstr[1] "Substituiu-se %zd ocorrências"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Insira o número da linha, número da coluna"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Não é um parênteses"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Nenhum parênteses encontrado"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Marcação feita"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Marcação desativada"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Erro ao chamar o \"%s\""
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Não há suporte a comentar neste tipo de arquivo"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Não é possível comentar após o fim do arquivo"
 
 # revisão: como traduzir undo buffer? 'desfazer' como um adjetivo?
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Não há nada para desfazer!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "adic txt"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "quebra de linha"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "remover txt"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "juntar linha"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "substituir txt"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "recortar txt"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "colar txt"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "inserir txt"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "filtragem"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "recuo"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "tirar recuo"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "comentar"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "descomentar"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Ação desfeita (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Nada para refazer!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Ação repetida (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Não foi possível criar o pipe"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Não foi possível bifurcar"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "filtragem"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Falha ao abrir o pipe: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "String de citação ruim %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "É possível DesJustificar!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Palavra não localizável: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Editar uma substituição"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Próxima palavra..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Criando a lista de palavra com erros ortográficos, por favor espere..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Não foi possível descobrir o tamanho do buffer de pipe"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Erro ao chamar o \"spell\""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Erro ao chamar o \"sort -f\""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Erro ao chamar o \"uniq\""
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Chamar pelo verificador ortográfico, se disponível"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Verificação ortográfica falhou: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Verificação ortográfica falhou: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Verificação ortográfica finalizada"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Nenhum lintador definido para este tipo de arquivo!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Salvar o buffer modificado antes de lintar?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Chamando lintador, por favor espere"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Obteve 0 linhas analisáveis a partir do comando: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Essa mensagem é para o arquivo não-aberto %s, abri-lo em um novo buffer?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Sem mais erros em arquivos não abertos, cancelando"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Na última mensagem"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Na primeira mensagem"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Finalizado"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Chamando formatador, por favor espere"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Formatação finalizada"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sPalav: %zu  Linhs: %zd  Carac: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "Na seleção:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Entrada literal"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Nenhum fragmento de palavra"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Nenhuma outra ocorrência"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Nenhuma ocorrência"
 
@@ -2555,74 +2574,119 @@ msgstr "Número excessivo de erros da en
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Sequência desconhecida"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Entrada Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "DIR:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Modificado"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Olhar"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Avisos posteriores foram suprimidos"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "lin %zd/%zd (%d%%), col %zu/%zu (%d%%), carac %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "O editor de texto nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versão"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Trazido para você por:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Agradecimentos especiais para:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "A Fundação Software Livre"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "os vários tradutores e o TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Para o ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "e qualquer outro que nós esquecemos..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Obrigado por usar o nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Alternado para %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "OndeTá próx."
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Repete a última pesquisa"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Chama o formatador, se disponível"
+
+#~ msgid "Formatter"
+#~ msgstr "Formatador"
+
+#~ msgid "Indent Text"
+#~ msgstr "Alinhar txt"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Desalinhar txt"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Uso de mais de uma linha para edição"
+
+#~ msgid "Backup files"
+#~ msgstr "Reservar os arquivos"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Lendo arquivo em um buffer separado"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Sem conversões do formato DOS/Mac"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "Erro fatal: nenhuma tecla mapeada para a função \"%s\". Saindo.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Finalizado"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Chamando formatador, por favor espere"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Formatação finalizada"
+
 #~ msgid "Quoting string"
 #~ msgstr "Texto de citação"
 
Binary files 2.9.8-1/po/pt.gmo and 3.0-1/po/pt.gmo differ
diff -pruN 2.9.8-1/po/pt.po 3.0-1/po/pt.po
--- 2.9.8-1/po/pt.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/pt.po	2018-09-09 09:48:30.000000000 +0000
@@ -5,19 +5,19 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: nano-2.9.8-pre1\n"
+"Project-Id-Version: nano-3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-28 09:09+0100\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-30 06:50+0100\n"
 "Last-Translator: Pedro Albuquerque <palbuquerque73@gmail.com>\n"
 "Language-Team: Portuguese <translation-team-pt@lists.sourceforge.net>\n"
 "Language: pt\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=n != 1;\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\\n\n"
 "X-Bugs: Report translation errors to the Language-Team address.\n"
-"X-Generator: Gtranslator 2.91.6\n"
+"X-Generator: Gtranslator 2.91.7\n"
 
 #: src/browser.c:67
 #, c-format
@@ -25,82 +25,86 @@ msgid "Cannot open directory: %s"
 msgstr "Impossível abrir a pasta: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Ir para a pasta"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Cancelado"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Impossível sair de %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Impossível subir uma pasta"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Erro ao ler %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "A pasta de trabalho desapareceu"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(pasta)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(pasta-mãe)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "enorme"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Procura"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Para trás]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Procura ajustada"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Esta é a única ocorrência"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Sem padrão de procura actual"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nome de sintaxe desconhecido: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() falhou: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) falhou: %s"
@@ -172,7 +176,7 @@ msgstr "O ficheiro %s está a ser editad
 msgid "Can't read file from outside of %s"
 msgstr "Impossível ler ficheiro fora de %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" é uma pasta"
@@ -182,1013 +186,1031 @@ msgstr "\"%s\" é uma pasta"
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" não é um ficheiro normal"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Sem mais buffers de ficheiro abertos"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "correcção ortográfica"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu linha (%s)"
+msgstr[1] "%s -- %zu linhas (%s)"
 
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "Mudado para %s"
-
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Novo buffer"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu linha"
+msgstr[1] "%s -- %zu linhas"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Sem mais buffers de ficheiro abertos"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "O ficheiro \"%s\" não é gravável"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "%zu linha lida (convertida do formato DOS e Mac)"
 msgstr[1] "%zu linhas lidas (convertidas do formato DOS e Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "%zu linha lida (convertida do formato Mac)"
 msgstr[1] "%zu linhas lidas (convertidas do formato Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "%zu linha lida (convertida do formato DOS)"
 msgstr[1] "%zu linhas lidas (convertidas do formato DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "%zu linha lida"
 msgstr[1] "%zu linhas lidas"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Novo ficheiro"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Ficheiro \"%s\" não encontrado"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" é um ficheiro dispositivo"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "A ler ficheiro"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Comando a executar no novo buffer"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Comando a executar"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "Ficheiro a inserir no novo buffer [de %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Ficheiro a ler sem conversão para o novo buffer [de %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Ficheiro a ler para o novo buffer [de %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Ficheiro a inserir sem conversão [de %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Ficheiro a inserir [de %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Tecla inválida em modo não-multibuffer"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Pasta de operação inválida\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Falha ao gravar segurança; continuar gravação (N se não tiver certeza)?"
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Pasta de segurança inválida\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Impossível escrever fora de %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Erro ao escrever segurança %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Muitas seguranças?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Erro ao escrever o ficheiro temporário: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Erro ao escrever %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "%zu linha escrita"
 msgstr[1] "%zu linhas escritas"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Formato DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Formato Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Segurança]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Prepor selecção ao ficheiro"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Acrescentar selecção ao ficheiro"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Escrever selecção no ficheiro"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Nome do ficheiro onde prepor"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Nome do ficheiro onde acrescentar"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Nome do ficheiro onde escrever"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Muito pequeno"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Ficheiro existe -- impossível sobrescrever"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Gravar com um NOME DIFERENTE? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "\"%s\" já existe; SOBRESCREVER? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Ficheiro alterado no disco"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "O ficheiro foi alterado desde que o abriu; continuar a gravar? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(mais)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Sair"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Fechar"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Repor txt"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Separar"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Carregar"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Procurar"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Substituir"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Ir p/ linha"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Linha ant"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Linha seg"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Pág anterior"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Pág seguinte"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Justificar"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Unir tudo"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Actualizar"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Procurar seg"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Cancelar a função actual"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Abre este texto de ajuda"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Fechar o buffer actual/Sair do nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Gravar o buffer actual (ou região marcada) no disco"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Inserir outro ficheiro no buffer actual( ou em novo buffer)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Procurar para a frente por cadeia ou expressão regular"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Procurar para trás por cadeia ou expressão regular"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Procurar cadeia"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Procurar cadeia para a frente"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Procurar cadeia para trás"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Actualiza a lista de ficheiros"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Ir para a coluna esquerda"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Ir para a coluna direita"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Ir para a primeira linha nesta coluna"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Ir para a última linha nesta coluna"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Subir um ecrã"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Descer um ecrã"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Cortar a linha actual (ou região marcada) e gravá-la no buffer de corte"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Colar da memória na linha actual"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Mostrar a posição do cursor"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Abrir verificador ortográfico, se disponível"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Substituir cadeia ou expressão regular"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Ir para linha e coluna número"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Repetir a última procura"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Marcar texto a partir da posição do cursor"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Copiar linha actual (ou região marcada) e gravar no buffer-de-corte"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Indentar linha actual (ou linhas marcadas)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Recuar linha actual (ou linhas marcadas)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Desfazer última operação"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Refazer última operação desfeita"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Recuar um carácter"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Avançar um carácter"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Recuar uma palavra"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Avançar uma palavra"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Ir para linha anterior"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Ir para linha seguinte"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Ir para o início da linha actual"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Ir para o fim da linha actual"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Ir para bloco de texto anterior"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Ir para bloco de texto seguinte"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Ir para o início do parágrafo; e depois, do parágrafo anterior"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Ir para o fim do parágrafo; e depois, do parágrafo seguinte"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Ir para a primeira linha do ficheiro"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Ir para a última linha do ficheiro"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Ir para parênteses-irmão"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Rolar uma linha acima sem mover o cursor textualmente"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Rolar uma linha abaixo sem mover o cursor textualmente"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Mudar para buffer de ficheiro anterior"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Mudar para buffer de ficheiro seguinte"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Inserir tecla seguinte literalmente"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Inserir tabulação na posição do cursor"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Inserir nova linha na posição do cursor"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Elimina o carácter sob o cursor"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Elimina o carácter à esquerda do cursor"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Cortar do cursor até o início da palavra"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Cortar do cursor até ao início da palavra seguinte"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Cortar do cursor até o fim da linha"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Justificar parágrafo actual"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Justificar todo o ficheiro"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Contar número de palavras, linhas e caracteres"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Actualizar (re-desenha) o ecrã actual"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Suspende o editor (se a suspensão estiver activa)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Tentar completar a palavra actual"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Mostrar/Ocultar nota da linha actual (ou linhas marcadas)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Gravar ficheiro sem perguntar"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Procura a ocorrência para trás"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Procura a ocorrência para a frente"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Iniciar/Parar gravação de macro"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Executar a última macro gravada"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Activa sensibilidade a maiúsculas na procura"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Inverter direcção da procura"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Activar o uso de expressões regulares"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Relembrar a procura/substituição anterior"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Relembrar a procura/substituição seguinte"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Activar o uso do formato DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Activar o uso do formato Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Alternar acrescentar"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Activar prepor"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Alternar segurança do ficheiro original"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Executar comando externo"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Encaminhar o buffer actual (ou região marcada) para o comando"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "Não converter do formato DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Alternar o uso de um novo buffer"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Fechar buffer sem gravar"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Abrir explorador"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Fechar explorador"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Ir para o primeiro ficheiro na lista"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Ir para o último ficheiro na lista"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Ir para o ficheiro anterior na lista"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Ir para o ficheiro seguinte na lista"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Ir para pasta"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Chamar limpeza, se disponível"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Mensagem de limpeza anterior"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Mensagem de limpeza seguinte"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Chamar formatação, se disponível"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Ajuda"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Cancelar"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Gravar"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Carregar"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Justificar"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Actualizar"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Procurar"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Substituir"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Ir p/ pasta"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Cortar txt"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Ortografia"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Limpar"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formatar"
-
 # Tem 12 espaços disponíveis
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Pos cursor"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Ir p/ linha"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Desfazer"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Refazer"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Marcar txt"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Copiar txt"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Sens Maiúscl"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "ExpReg"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Reverso"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Não subst"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Unir tudo"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Parênteses"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Gravar"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Onde estava?"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Anterior"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Seguinte"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Recuar"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Avançar"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Palvr ant"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Palvr seg"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Início"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Fim"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Linha ant"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Linha seg"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Rolar acima"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Rolar abaixo"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Bloco ant"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Bloco seg"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "In. parág"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Fim parág"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Pág anterior"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Pág seguinte"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Prim. lin"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Últ. lin"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Fich ant"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Fich seg"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Delete"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Backspace"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Cort esq"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Cort dir"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "Cort fim"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Tot palavras"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Literal"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Suspender"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Avançar txt"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Recuar txt"
+#: src/global.c:956
+msgid "Indent"
+msgstr "Indentar"
+
+#: src/global.c:958
+msgid "Unindent"
+msgstr "De-indentar"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Comentar linhas"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Completar"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Gravar macro"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Executar macro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Onde estava?"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Gravar"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Hist. Ant."
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Hist. Seg."
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Ir para txt"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Formato DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Formato Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Anexar"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Prepor"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Segurança"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Sem conversão"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Executar comando"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "Encaminhar texto"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "P/ ficheiros"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "1º ficheiro"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Últ ficheiro"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Coluna esquerda"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Coluna direita"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Linha superior"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Linha inferior"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Descartar buffer"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Msg limpeza ant"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Msg limpeza seg"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Modo ajuda"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Mostra posição do cursor constante"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Uso de mais uma linha para edição"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Rolamento suave"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Ajuste suave de linhas compridas"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Mostrar espaços vazios"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Realce de sintaxe por cor"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Tecla Home inteligente"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Indentação automática"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Cortar até ao fim"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Ajuste rígido de linhas compridas"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Conversão de tabulações em espaços"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Seguranças"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Ler ficheiro em buffer separado"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Suporte ao rato"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Sem conversão em formato DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Suspensão"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Números de linha"
 
@@ -1415,22 +1437,33 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Ajuda da execução de comandos\n"
 "\n"
 " Este modo permite-lhe inserir a saída de um comando executado no terminal "
-"no buffer actual (ou num novo buffer no modo de múltiplos buffers de "
-"ficheiros). Se precisa de outro buffer vazio, não insira nenhum comando.\n"
+"no buffer actual (ou num novo buffer). Se o comando é precedido de \"|\", o "
+"conteúdo actual do buffer (ou região marcada) será enviado ao comando."
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
-" Estão disponíveis as seguintes teclas de função neste comando:\n"
+msgstr ""
+"Se só precisa de um novo buffer vazio, não insira nenhum comando.\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" Estão disponíveis as seguintes teclas de função em modo Executar comando:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1450,7 +1483,7 @@ msgstr ""
 "mostrando o conteúdo do ficheiro. A linha de estado é a terceira a contar de "
 "baixo e mostra mensagens importantes. "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1467,7 +1500,7 @@ msgstr ""
 "com \"M-\" e podem ser inseridas com Alt, Cmd ou Esc, dependendo da sua "
 "configuração de teclado. "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1481,7 +1514,7 @@ msgstr ""
 "alternativas são mostradas entre parênteses:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "activar/desactivar"
 
@@ -1519,19 +1552,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Erro ao escrever %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "A tecla é inválida no modo de exibição"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Esta função está desactivada no modo restrito"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Ajuda não disponível"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1540,7 +1573,7 @@ msgstr ""
 "\n"
 "Buffer escrito em %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1549,7 +1582,7 @@ msgstr ""
 "\n"
 "Buffer não escrito em %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1558,7 +1591,7 @@ msgstr ""
 "\n"
 "Buffer não escrito: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1569,7 +1602,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1580,7 +1613,7 @@ msgstr ""
 "com um \"+\" antes do nome do ficheiro. Pode pôr o nº de coluna após uma "
 "vírgula.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1589,277 +1622,277 @@ msgstr ""
 "Quando um nome de ficheiro é \"-\", o Nano lê dados da entrada padrão.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opção\t\tOpção GNU longa\t\tSignificado\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Activa a tecla Home inteligente"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Gravar seguranças de ficheiros existentes"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <pasta>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<pst>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Pasta para gravar seguranças únicas"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Usa negrito em vez de texto reverso"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Converte tabulações digitadas em espaços"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Lê sempre o ficheiro para novo buffer"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Usa ficheiros-travão (estilo vim)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Grava/Lê hist. das procuras/substituições"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Não ler o ficheiro nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Corrige confusão com o teclado numérico"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Não apôr nova-linha ao fim dos ficheiros"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Aparar espaços finais em quebra rígida"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Não converte ficheiros do formato DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Usa uma ou mais linhas para edição"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Grava/Lê localização da posição do cursor"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <regex>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<regex>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "Expressão regular para corresponder à citação"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Modo restrito"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Rola linhas em vez de meio ecrã"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <numcols>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<numcols>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Define tamanho da tabulação para numcols"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Limpeza rápida da barra de estado"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Imprime informação de versão e sai"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Detecta melhor os limites das palavras"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <cadeia>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<cadeia>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Quais caracteres são partes da palavra"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <nome>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<nome>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Definição de sintaxe para uso de cores"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "No ajuste suave, fazê-lo em espaço vazio"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Mostra sempre a posição do cursor"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Corrige confusão entre Backspace/Delete"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Mostra o cursor no explorador"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Mostra este texto de ajuda e sai"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Indentação automática em novas linhas"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Cortar do cursor até o fim da linha"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Mostra números de linha à frente do texto"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Activa o uso do rato"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Não lê o ficheiro (só o escreve)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <pasta>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<pasta>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Define a pasta de trabalho"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Preserva as teclas XON (^Q) e XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <numcols>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<numcols>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Define o ajuste rígido na coluna numcols"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Activa outro verificador ortográfico"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Gravação automática ao sair, sem perguntar"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Gravação Unix predefinida dos ficheiros"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Modo de leitura (só de leitura)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Sem ajuste rígido em linhas compridas"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Não mostra as duas linhas de ajuda"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Ctrl+Direita para no fim das palavras"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Permite suspensão"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Activa ajuste suave de linhas compridas"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, versão %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s os contribuidores do nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1868,333 +1901,333 @@ msgstr ""
 "\n"
 " Opções compiladas:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Sem nome de ficheiro"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "Gravar buffer modificado (responder \"Não\" vai DESCARTAR alterações.)?"
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "A ler da entrada padrão; digite ^D ou ^D^D para terminar.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Falha ao abrir stdin: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Impossível reabrir stdin do teclado, desculpe\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Recebido SIGHUP ou SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr "O Nano rebentou!  Código: %d. Por favor, reporte o erro.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Use \"fg\" para retornar ao Nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Suspensão não activada"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "activada"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "desactivada"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Tecla não vinculada"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Tecla não vinculável: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Tecla não vinculada: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Tecla não vinculada: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Tecla não vinculada: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Tamanho \"%s\" de tabulação é inválido"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Pedido de tamanho \"%s\" inválido"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Digite \"%s -h\" para uma lista de opções disponíveis.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Número de linha ou coluna inválido"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Erros em \"%s\""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Boas vindas ao Nano... Para ajuda básica digite Ctrl+G."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "SsYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "NnNn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "TtAa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Sim"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Não"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Todos"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Erro em %s na linha %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argumento \"%s\" tem indeterminado \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Expreg deve começar e terminar com um carácter \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Expreg errada \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Falta o nome da sintaxe"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Aspas sem par no nome da sintaxe"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "A sintaxe \"none\" é reservada"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "A sintaxe \"default\" não aceita extensões"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Falta o nome da tecla"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Nome da tecla muito curto"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Nome da tecla deve começar com \"^\", \"M\" ou \"F\""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "O nome de tecla \"%s\" é inválido"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Tem de especificar uma função para vincular a tecla"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "É preciso especificar um menu (ou \"all\") para vincular/desvincular a tecla"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Impossível mapear o nome \"%s\" a uma função"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Impossível mapear o nome \"%s\" a um menu"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Função \"%s\" não existe no menu \"%s\""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Não pode redefinir o vínculo da sequência \"%s\""
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Erro ao expandir %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Cor \"%s\" não compreendida"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Uma cor de fundo não pode ser clara"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Um comando \"%s\" requer um comando \"syntax\" precedente"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Falta o nome da cor"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Falta a expressão regular após o comando \"%s\""
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Expressão regular vazia"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" precisa de um \"end=\" correspondente"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "A sintaxe \"default\" não aceita expressões regulares \"%s\""
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Falta o argumento após \"%s\""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Faltam \" de fecho no argumento de \"%s\""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Erro fatal: nenhuma tecla mapeada para a função \"%s\". A sair.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr "Nenhuma tecla associada à função \"%s\" no menu \"%s\". A sair.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr "Se necessário, use o Nano -I para ajustar as definições no nanorc.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Impossível localizar a sintaxe \"%s\" para estender"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Sintaxe \"%s\" não tem comandos de cor"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Comando \"%s\" não é permitido no ficheiro incluído"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Comando \"%s\" não compreendido"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Falta opção"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Opção \"%s\" desconhecida"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Impossível desactivar a opção \"%s\""
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Opção \"%s\" requer um argumento"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "O argumento não é uma cadeia multibyte válida"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "São requeridos caracteres imprimíveis"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "São requeridos dois caracteres de coluna única"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Não consigo localizar a minha pasta pessoal!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Sensível a maiúsculas]"
@@ -2203,41 +2236,36 @@ msgstr " [Sensível a maiúsculas]"
 msgid " [Regexp]"
 msgstr " [Expressão regular]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Para trás]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (para substituir) na selecção"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (para substituir)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "A procurar..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" não encontrado"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Substituir esta ocorrência?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Substituir por"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2245,254 +2273,245 @@ msgstr[0] "Substituida %zd ocorrência"
 msgstr[1] "Substituidas %zd ocorrências"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Insira nº da linha, nº da coluna"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Não é parênteses"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Nenhum parênteses irmanado"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Marcação feita"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Marcação desfeita"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Erro ao chamar \"%s\""
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Não há suporte a comentários neste tipo de ficheiro"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Impossível comentar após o fim do ficheiro"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Nada a desfazer!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "adicionar txt"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "quebra de linha"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "remover txt"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "unir linha"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "substituir txt"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "cortar txt"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "repor txt"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "inserir txt"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "a filtrar"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "indentar"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "de-indentar"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "comentar"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "descomentar"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Acção desfeita (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Nada a refazer!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Acção refeita (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Impossível criar pipe"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Impossível bifurcar"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "a filtrar"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Falha ao abrir pipe: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Má citação %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Pode agora desalinhar!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Palavra não localizável: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Editar uma substituição"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Palavra seguinte..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "A criar lista de palavra com erros, por favor aguarde..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Impossível obter tamanho do buffer do pipe"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Erro ao chamar \"spell\""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Erro ao chamar \"sort -f\""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Erro ao chamar \"uniq\""
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "A chamar verificador ortográfico, aguarde"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Verificação ortográfica falhou: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Verificação ortográfica falhou: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Verificação ortográfica concluída"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Sem limpeza definida para este tipo de ficheiro!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Gravar buffer modificado antes de limpar?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "A chamar limpeza, por favor aguarde"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Obtidas 0 linhas analisáveis do comando: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Esta mensagem é para o ficheiro não-aberto %s, abri-lo num novo buffer?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Sem mais erros em ficheiros não abertos, a cancelar"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Na última mensagem"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Na primeira mensagem"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Concluído"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "A chamar formatação, por favor aguarde"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Formatação concluída"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%spalavras: %zu, linhas: %zd, caracteres: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "Na selecção: "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Entrada literal"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Sem fragmento de palavra"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Nenhuma outra ocorrência"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Sem ocorrências"
 
@@ -2522,74 +2541,119 @@ msgstr "Demasiados erros de stdin"
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Sequência desconhecida"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Entrada Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "PST:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Modificado"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Ver"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Avisos posteriores foram suprimidos"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "linha %zd/%zd (%d%%), col %zu/%zu (%d%%), car %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "O editor de texto Nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versão"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Trazido até si por:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Agradecimentos especiais para:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "A Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "os vários tradutores e o TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Para o ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "e qualquer outro que esquecemos..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Obrigado por usar o Nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Mudado para %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Procurar seg"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Repetir a última procura"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Chamar formatação, se disponível"
+
+#~ msgid "Formatter"
+#~ msgstr "Formatar"
+
+#~ msgid "Indent Text"
+#~ msgstr "Avançar txt"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Recuar txt"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Uso de mais uma linha para edição"
+
+#~ msgid "Backup files"
+#~ msgstr "Seguranças"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Ler ficheiro em buffer separado"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Sem conversão em formato DOS/Mac"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "Erro fatal: nenhuma tecla mapeada para a função \"%s\". A sair.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Concluído"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "A chamar formatação, por favor aguarde"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Formatação concluída"
+
 #~ msgid "Quoting string"
 #~ msgstr "Texto de citação"
 
Binary files 2.9.8-1/po/ro.gmo and 3.0-1/po/ro.gmo differ
diff -pruN 2.9.8-1/po/ro.po 3.0-1/po/ro.po
--- 2.9.8-1/po/ro.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/ro.po	2018-09-09 09:48:30.000000000 +0000
@@ -6,10 +6,10 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.9.7-pre1\n"
+"Project-Id-Version: nano 3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-10 16:13+0300\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-31 07:18+0300\n"
 "Last-Translator: Mihai Cristescu <mihai.cristescu@gmail.com>\n"
 "Language-Team: Romanian <translation-team-ro@lists.sourceforge.net>\n"
 "Language: ro\n"
@@ -19,7 +19,7 @@ msgstr ""
 "X-Bugs: Report translation errors to the Language-Team address.\n"
 "Plural-Forms: nplurals=3; plural=(n==1?0:(((n%100>19)||((n%100==0)&&(n!=0)))?"
 "2:1));\n"
-"X-Generator: Poedit 2.0.7\n"
+"X-Generator: Poedit 2.1.1\n"
 "X-Poedit-SourceCharset: UTF-8\n"
 "X-Poedit-Basepath: .\n"
 "X-Poedit-SearchPath-0: src\n"
@@ -30,82 +30,86 @@ msgid "Cannot open directory: %s"
 msgstr "Nu se poate deschide directorul: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Mergi la director"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "S-a renunțat"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Nu se poate deplasa în afara %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Nu se poate schimba mai sus directorul"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Eroare la citirea %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Directorul de lucru a dispărut"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(dir)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(dir sup.)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(imens)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Caută"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Înapoi]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Caută de la început"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Aceasta este singura apariție"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Nici un termen de căutare definit"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Nume necunoscut sintaxă: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() a eșuat: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) a eșuat: %s"
@@ -180,7 +184,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr "Nu se poate citi un fișier din afara %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "„%s” este un director"
@@ -190,26 +194,50 @@ msgstr "„%s” este un director"
 msgid "\"%s\" is not a normal file"
 msgstr "„%s” nu este un fișier normal"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Nu mai sunt fișiere deschise"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "corecție ortografică"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s — %zu linie (%s)"
+msgstr[1] "%s — %zu linii (%s)"
+msgstr[2] "%s — %zu de linii (%s)"
 
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "S-a schimbat la %s"
-
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Spațiu nou"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu linie"
+msgstr[1] "%s -- %zu linii"
+msgstr[2] "%s -- %zu de linii"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Nu mai sunt fișiere deschise"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Fișierul „%s” este needitabil"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
@@ -217,7 +245,7 @@ msgstr[0] "S-a citit %zu rând (converti
 msgstr[1] "S-au citit %zu rânduri (convertite din formatul DOS și Mac)"
 msgstr[2] "S-au citit %zu de rânduri (convertite din formatul DOS și Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
@@ -225,7 +253,7 @@ msgstr[0] "S-a citit %zu rând (converti
 msgstr[1] "S-au citit %zu rânduri (convertite din formatul Mac)"
 msgstr[2] "S-au citit %zu de rânduri (convertite din formatul Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
@@ -233,7 +261,7 @@ msgstr[0] "S-a citit %zu rând (converti
 msgstr[1] "S-au citit %zu rânduri (convertite din formatul DOS)"
 msgstr[2] "S-au citit %zu de rânduri (convertite din formatul DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
@@ -241,89 +269,99 @@ msgstr[0] "S-a citit %zu rând"
 msgstr[1] "S-au citit %zu rânduri"
 msgstr[2] "S-au citit %zu de rânduri"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Fișier nou"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Fișierul „%s” nu a fost găsit"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "„%s” este un fișier dispozitiv"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Se citește fișierul"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Comandă de executat într-un spațiu nou"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Comandă de executat"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "Fișier de inserat într-un spațiu nou [din %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Fișier de citit neconvertit într-un spațiu nou [din %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Fișier de citit într-un spațiu nou [din %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Fișier de inserat neconvertit [din %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Fișier de inserat [din %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Tastă ilegală în afara modului multi-spațiu"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Director de operare nevalid\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Scrierea copiei de rezervă a eșuat; se continuă salvarea? (Tastați N dacă "
 "sunteți nesigur) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Director pentru copii de rezervă nevalid\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Nu se poate scrie în afara %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Eroare la scrierea copiei de rezervă %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Prea multe copii de rezervă?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Eroare la scrierea fișierului temporar: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Eroare la scrierea %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
@@ -331,887 +369,871 @@ msgstr[0] "S-a scris %zu rând"
 msgstr[1] "S-au scris %zu rânduri"
 msgstr[2] "S-au scris %zu de rânduri"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Format DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Format Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Copie de rezervă]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Adaugă selecție la începutul fișierului"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Adaugă selecție la fișier"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Scrie selecție în fișier"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Numele fișierului la începutul căruia se adaugă"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Numele fișierului la sfârșitul căruia se adaugă"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Numele fișierului pentru scriere"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Prea mic"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Fișierul există — nu se poate suprascrie"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Se salvează fișierul cu un NUME DIFERIT? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Fișierul „%s” există, SE SUPRASCRIE ? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Fișierul de pe disc s-a schimbat"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr ""
 "Fișierul a fost modificat de când a fost deschis, se continuă salvarea? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(mai mult)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Ieșire"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Închide"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Lipește"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Anul. alin."
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Citire fiș."
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Caută"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Înlocuiește"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Sari la rând"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Rândul anterior"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Rândul următor"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Pagina anter."
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Pagina urm."
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Aliniază"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Alin.compl"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Reîmprospătează"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Căutarea urm."
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Anulează funcția curentă"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Afișează acest text de ajutor"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Închide spațiul curent / Ieșire din nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Scrie spațiul curent (sau regiunea marcată) pe disc"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Inserează alt fișier în spațiul curent (sau într-un spațiu nou)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Caută înainte un text sau o expresie regulată"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Caută înapoi un text sau o expresie regulată"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Caută un text"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Caută înainte un text"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Caută înapoi un text"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Reîmprospătează lista de fișiere"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Sari la coloana de pe stânga"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Sari la coloana de pe dreapta"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Sari la primul rând în această coloană"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Sari la ultimul rând în această coloană"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Deplasează cursorul în sus cu un ecran"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Deplasează cursorul în jos cu un ecran"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Decupează rândul curent (sau regiunea marcată) și salvează-l în memoria "
 "temporară"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Lipește din memoria temporară în rândul curent"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Afișează poziția cursorului"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Lansează corectorul ortografic, dacă este disponibil"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Înlocuiește un text sau o expresie regulată"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Sari la rândul și coloana numărul"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Repetă ultima căutare"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Marchează începutul textului de la poziția cursorului"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Copiază rândul curent (sau regiunea marcată) și salvează-l în memoria "
 "temporară"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Identează rândul curent (sau rândurile marcate)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Deidentează rândul curent (sau rândurile marcate)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Anulează ultima operație"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Repetă ultima operație anulată"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Înapoi cu un caracter"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Avansează cu un caracter"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Înapoi cu un cuvânt"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Avansează cu un cuvânt"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Sari la rândul anterior"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Sari la rândul următor"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Sari la începutul rândului curent"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Sari la sfârșitul rândului curent"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Sari la blocul de test anterior"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Sari la blocul de text următor"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr ""
 "Deplasează cursorul la începutul paragrafului; apoi la începutul "
 "paragrafului anterior"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr ""
 "Deplasează cursorul dincolo de sfârșitul paragrafului; apoi la sfârșitul "
 "paragrafului următor"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Sari la primul rând din fișier"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Sari la ultimul rând din fișier"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Sari la paranteza pereche"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Derulează în sus un rând fără a deplasa textual cursorul"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Derulează în jos un rând fără a deplasa textual cursorul"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Comută la spațiul fișier anterior"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Comută la următorul spațiu fișier"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Inserează următoarea apăsare de tastă verbatim"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Inserează un tab la poziția cursorului"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Inserează un rând nou la poziția cursorului"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Șterge caracterul de sub cursor"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Șterge caracterul de la stânga cursorului"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Decupează înapoi de la cursor până la începutul cuvântului"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Decupează înainte de la cursor până la următorul început de cuvânt"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Decupează de la cursor până la sfârșitul fișierului"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Aliniază paragraful curent"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Aliniază întregul fișier"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Contorizează numărul cuvintelor, rândurilor și caracterelor"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Reîmprospătează zona de ecran curentă"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Suspendă editorul (dacă suspendarea este activată)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Încercați și completați cuvântul curent"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Comentați/decomentați rândul curent (sau rândurile marcate)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Salvează fișierul fără confirmare"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Caută următoarea apariție înapoi"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Caută următoarea apariție înainte"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Pornire/Oprire înregistrare macro"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Rulează ultimul macro înregistrat"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Comută sensibilitatea la majuscule a căutării"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Inversează direcția căutării"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Comută folosirea expresiilor regulate"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Reapelează șirul anterior caută/înlocuiește"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Reapelează șirul următor caută/înlocuiește"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Comută folosirea formatului DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Comuta folosirea formatului Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Comută adăugarea la sfârșit"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Comută adăugarea la început"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Comută realizarea copiei de siguranță a fișierului original"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Execută comandă externă"
 
-#: src/global.c:659
-#, fuzzy
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
-msgstr "Scrie spațiul curent (sau regiunea marcată) pe disc"
+msgstr "Transmite spațiul curent (sau regiunea marcată) la comanda"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "Nu converti fișierele din formatul DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Comută folosirea unui spațiu nou"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Închide spațiul fără a-l salva"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Mergi la navigatorul de fișiere"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Ieși din navigatorul de fișiere"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Sari la primul fișier din listă"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Sari la ultimul fișier din listă"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Sari la fișierul anterior din listă"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Sari la următorul fișier din listă"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Mergi la director"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Lansează analiza statică, dacă este disponibilă"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Sari la mesajul anterior al analizei statice"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Mergi la mesajul următor al analizei statice"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Lansează utilitarul de formatare, dacă este disponibil"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Ajutor"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Renunță"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Salvează"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Citire fiș."
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Aliniază"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Reîmprospătează"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Caută"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Înlocuiește"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Mergi la Director"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Decupează"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Ortograf."
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Analiză statică"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formatare"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Poz. curent."
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Sari la rând"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Anulează"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Repetă"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Marchează text"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Copiază text"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Sensibil Majusc."
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Regexp"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Înapoi"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Nicio înlocuire"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Alin.compl"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Paranteză"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Salvează"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Unde era"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Precedent"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Următor"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Înapoi"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Înainte"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Cuvânt anterior"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Cuvântul următor"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Acasă"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Sfârșit"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Rândul anterior"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Rândul următor"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Derulează în sus"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Derulează în jos"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Bloc prec."
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Bloc următ."
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Început Par"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Sfârșit Par"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Pagina anter."
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Pagina urm."
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Primul rând"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Ultimul rând"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Fișierul anterior"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Fiș urm"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Șterge"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Șterge înapoi"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Decupează Stânga"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Decupează dreapta"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "Taie->Sfârșit"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Contorizare cuvinte"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Verbatim"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Suspendă"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Identează text"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Micș. marg"
+#: src/global.c:956
+msgid "Indent"
+msgstr "Indentare"
+
+#: src/global.c:958
+msgid "Unindent"
+msgstr "Deindentare"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Comentare rânduri"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Complet"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Înregistrare"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Rulează Macro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Unde era"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Salvează"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Anterioara"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Următoarea"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Sari la text"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Format DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Format Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Adaugă la sfârșit"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Adaugă la început"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Fișier copie de rezervă"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Nicio conversie"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Execută comandă"
 
-#: src/global.c:1047
-#, fuzzy
+#: src/global.c:1028
 msgid "Pipe Text"
-msgstr "Copiază text"
+msgstr "Transmite text"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "La fișiere"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Primul fișier"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Ultimul fișier"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Coloana stângă"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Coloana dreaptă"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Rândul de sus"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Rândul de jos"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Renunță la spațiu"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Analiză anter."
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Analiza urm."
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Bara de ajutor"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Afișare continuă poziție cursor"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Folosirea unui rând suplimentar pentru editare"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Derulare fină"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Despărțire rânduri lungi"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Afișare spațiu-alb"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Evidențiere sintaxă color"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Tastă acasă inteligentă"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Auto identare"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Decupare până la sfârșit"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Despărțire permanentă rânduri lungi"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Conversie a tab-urilor introduse în spații"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Salvare fișiere copii de rezervă"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Se citește fișierul într-un spațiu separat"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Funcționalitate maus"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Conversie din formatul DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Suspendare"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Numerotare rânduri"
 
@@ -1453,23 +1475,34 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
+msgstr ""
+"Text de ajutor pentru execuție comenzi\n"
 "\n"
-" The following function keys are available in Execute Command mode:\n"
+" Acest mod vă permite să inserați ieșirea execuției unei comenzi rulată de "
+"shell în spațiul curent (sau într-un spațiu nou). Dacă comanda este "
+"precedată de ‘|’ (simbolul pipe), conținutul curent al spațiului (sau "
+"regiunea marcată) va fi transmisă la comandă."
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
 msgstr ""
-"Text de ajutor pentru execuție comenzi externe\n"
+"Daca aveți nevoie doar de un spațiu gol, nu introduceți nicio comandă.\n"
 "\n"
-" Acest meniu vă permite să inserați textul produs de execuția unei comenzi "
-"rulată de shell în spațiul curent (sau un spațiu nou în modul multi-spațiu). "
-"Dacă aveți nevoie de un spațiu gol, nu introduceți nici o comandă.\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
 "\n"
-" Următoarele taste de funcții sunt disponibile în modul de execuție comenzi "
-"externe:\n"
+msgstr ""
+" Următoarele taste de funcții sunt disponibile în modul Execuție comandă:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1490,7 +1523,7 @@ msgstr ""
 "fișierul în curs de modificare. Rândul de stare este al treilea rând de jos, "
 "acesta afișează mesajele importante. "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1508,7 +1541,7 @@ msgstr ""
 "introduse folosind oricare din tastele  Alt, Cmd sau Esc, în funcție de "
 "configurația tastaturii. "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1522,7 +1555,7 @@ msgstr ""
 "de editare principală. Tastele alternative sunt afișate între paranteze:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "activare/dezactivare"
 
@@ -1560,19 +1593,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Eroare la scrierea %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Tastă nevalidă în modul vizualizare"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Această funcție este dezactivată în modul restricționat"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Ajutorul nu este disponibil"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1581,7 +1614,7 @@ msgstr ""
 "\n"
 "Spațiu scris în %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1590,7 +1623,7 @@ msgstr ""
 "\n"
 "Spațiu nu s-a scris în %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1599,7 +1632,7 @@ msgstr ""
 "\n"
 "Spațiul nu s-a scris: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1610,7 +1643,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1618,10 +1651,10 @@ msgid ""
 msgstr ""
 "Pentru a plasa cursorul pe un anumit rând al fişierului, pune numărul "
 "rândului cu\n"
-"un \"+\" înainte de numele fişierului.  Numărul de coloane poate fi adăugat "
+"un \"+\" înainte de numele fişierului. Numărul de coloane poate fi adăugat "
 "după o virgulă.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1630,279 +1663,277 @@ msgstr ""
 "Când numele fișierului este „-”, nano citeste date de la intrarea standard.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Opțiune\t\tOpțiune lungă GNU\t\tSemnificație\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Activează tasta acasă inteligentă"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Salvează copii de rezervă ale fișierelor existente"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <dir>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Director pentru salvarea fișierelor unice copiid de rezervă"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Folosește bold în loc de textul video inversat"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Convertește tab-urile introduse în spații"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Citește un fișier într-un spațiu nou în mod implicit"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Folosește fișiere de blocare în stilul vim"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Scrie în jurnal și citește istoria șirurilor de căutare/înlocuire"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Nu te uita la fișierele nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Rezolvă problema de confuzie a tastelor numerice"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Nu se adaugă rânduri noi la sfârșitul fișierelor"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Elimină spațiile de capăt atunci când se despart permanent rândurile"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Nu converti fișierele din formatul DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Se folosește încă un rând pentru editare"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Scrie în jurnal & citește locația poziției cursorului"
 
-#: src/nano.c:821
-#, fuzzy
+#: src/nano.c:830
 msgid "-Q <regex>"
-msgstr "-Q <str>"
+msgstr "-Q <regex>"
 
-#: src/nano.c:821
-#, fuzzy
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
-msgstr "--quotestr=<str>"
+msgstr "--quotestr=<regex>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
-msgstr ""
+msgstr "Expresie regulată pentru a găsi citări"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Mod restricționat"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Derulare cu rânduri în loc de jumătate de ecran"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#coloană>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#număr>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Setează lungimea unui tab la #număr coloane"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Realizează o clipire rapidă a barei de stare"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Afișează informații despre versiune și termină"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Detectează limitele cuvântului mai exact"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <str>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<str>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Care celelalte caractere sunt părți de cuvânt"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <nume>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<nume>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Definiția sintaxei de folosit pentru colorare"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Când se despart rândurile, se face la spațiile albe"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Arată continuu poziția cursorului"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Repară confuzia cu tastele Backspace/Delete"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Arată cursor în navigatorul de fișiere"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Arată acest text de ajutor și termină"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Indentează automat rândurile noi"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Decupează de la cursor până la sfârșitul rândului"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Arată numărul rândului în fața textului"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Activează folosirea mouse-ului"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Nu citi fișierul (doar scrie-l)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <dir>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<dir>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Setează directorul de operare"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Conservă tastele XON (^Q) și XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#coloană>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#număr>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Setează punctul de rupere permanentă la coloana #număr"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Activează corectorul ortografic alternativ"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Salvează automat la ieșire, nu întreba"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Salvează un fișier în mod implicit în format Unix"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Mod vizualizare (doar citire)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Nu rupe permanent rândurile lungi"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Nu arăta cele două rânduri de ajutor"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Face Ctrl+Dreapta să se oprească la sfârșitul cuvintelor"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Activează suspendarea"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Activează despărțirea rândului"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, versiunea %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s colaboratorii la nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1911,274 +1942,274 @@ msgstr ""
 "\n"
 " Opțiuni compilate:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Nici un nume de fișier"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Se salvează spațiul modificat? (Răspunsul „Nu” va ANULA schimbările.) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 "Se citește de la intrarea standard; scrieți ^D sau ^D^D pentru a finaliza.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Deschiderea stdin a eșuat: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Nu s-a putut redeschide stdin din tastatură, ne pare rău\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Am recepționat SIGHUP sau SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 "Ne pare rău! Nano s-a întrerupt! Cod: %d. Vă rugăm să raportați problema.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Folosiți „fg” pentru a reveni la nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Suspendarea nu este activată"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "activată"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "dezactivată"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Tastă nealocată"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Tastă nealocabilă: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Tastă nealocată: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Tastă nealocată: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Tastă nealocată: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Mărimea tab solicitată „%s” este nevalidă"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Mărimea de umplere solicitată „%s” este nevalidă"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Tastați „%s -h” pentru o listă de opțiuni disponibile.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Număr de rând sau coloană nevalid"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Greșeli în „%s”"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
-msgstr ""
+msgstr "Bine ați venit la Nano. Pentru ajutor de bază, tastați CTRL+G."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Yy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Aa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Da"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Nu"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Toate"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Eroare în %s pe rândul %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argumentul „%s” are un \" neterminat"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Șirurile regex trebuie să înceapă și să se termine cu caracterul \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Regex incorect „%s”: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Lipsește nume sintaxă"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Ghilimele lipsă în numele de sintaxă"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Sintaxa „none” este rezervată"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Sintaxa „default” nu acceptă extensii"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Lipsește numele tastei"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Numele tastei este prea scurt"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Numele tastei trebuie să înceapă cu „^”, „M” sau „F”"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Numele cheii %s este nevalid"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Trebuie specificată o funcție la care se asociază tasta"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Trebuie specificat un meniu (sau „all“) în care se asociază/anulează tasta"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Imposibil de mapat numele „%s“ la o funcție"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Imposibil de mapat numele „%s“ la un meniu"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Funcția „%s“ nu există în meniul „%s“"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Ne pare rău, tasta „%s“ nu poate fi reasociată"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Eroare la extinderea %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Culoarea „%s” nu a fost înțeleasă"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "O culoare de fundal nu poate fi strălucitoare"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
-msgstr "O comandă '%s' necesită o comandă 'syntax' precendentă"
+msgstr "O comandă „%s” necesită o comandă „syntax” precendentă"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Lipsește numele culorii"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Șirul regex lipsește după comanda „%s”"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Șir regex gol"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" necesită un \"end=\" corespunzător"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Sintaxa „default” nu acceptă șiruri regex „%s”"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Lipsă argument după „%s”"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argumentului „%s” îi lipsește \" de închidere"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
-"Eroare fatală: nu este asociată nici o tastă pentru funcția „%s”. Ieșire.\n"
+"Nicio tastă nu este asociată pentru funcția „%s” în meniul „%s”. Ieșire.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2186,62 +2217,62 @@ msgstr ""
 "Dacă este nevoie, folosiți nano cu opțiunea -I pentru a ajusta setările "
 "voastre nanorc.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Nu s-a putut găsi sintaxa „%s” pentru extindere"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Sintaxa „%s” nu are comenzi de colorare"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Comanda „%s” nu este permisă într-un fișier inclus"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Comanda „%s” nu a fost înțeleasă"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Lipsește opțiunea"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Opțiune „%s” necunoscută"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Imposibil de dezactivat opțiunea „%s”"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Opțiunea „%s” necesită un argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Argumentul nu este un șir multioctet valid"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Sunt necesare caractere care nu sunt goale"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Sunt necesare două caractere monocoloană"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Nu pot găsi directorul meu acasă!  Uau!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Sensibil la majuscule]"
@@ -2250,41 +2281,36 @@ msgstr " [Sensibil la majuscule]"
 msgid " [Regexp]"
 msgstr " [Regexp]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Înapoi]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (de înlocuit) în selecție"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (de înlocuit)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Se caută..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "„%.*s%s” nu a fost găsit"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Se înlocuiește această apariție?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Se înlocuiește cu"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2293,255 +2319,246 @@ msgstr[1] "S-au înlocuit %zd apariții"
 msgstr[2] "S-au înlocuit %zd de apariții"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Introduceți numărul rândului, numărul coloanei"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Nu este o paranteză"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Nu am găsit o paranteză pereche"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Marcaj aplicat"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Marcaj ridicat"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Eroare la apelarea „%s”"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Comentarea nu este suportată pentru acest tip de fișier"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Nu se poate comenta după sfârșitul fișierului"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Nici o operație de anulat!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "adăugare de text"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "întrerupere rând"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "ștergere de text"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "fuziune de rânduri"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "înlocuire de text"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "decupare de text"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "lipire de text"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "inserare de text"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "indentare"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "deindentare"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "comentați"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "decomentați"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Acțiune anulată (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Nimic de refăcut!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Acțiune refăcută (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Nu am putut crea o țeavă"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Nu am putut crea un proces nou"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "filtrare"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Eroare la deschidere intrării țeavă: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Șir greșit de citare %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Acum este posibilă de-alinierea!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Cuvânt negăsit: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Editează o înlocuire"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Cuvântul următor..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Se creează lista cuvintelor ortografiate greșit, vă rog așteptați..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Nu am putut obține dimensiunea spațiului țeavă"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Eroare la apelarea „spell”"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Eroare la apelarea „sort -f”"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Eroare la apelarea „uniq”"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Se apelează corectorul ortografic, vă rugăm așteptați"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Corectarea ortografică a eșuat: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Verificarea ortografiei a eșuat: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Verificarea ortografică s-a terminat"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Nu este definit nici un analizor static pentru acest tip de fișiere!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Se salvează spațiul modificat înainte de analiza statică?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Se lansează analiza statică, vă rugăm așteptați"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Comanda „%s” nu a produs niciun rând analizabil"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Acest mesaj este pentru fișierul nedeschis %s, se deschide într-un spațiu "
 "nou?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Nu mai sunt erori în fișierele nedeschise, se renunță"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Ultimul mesaj"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Primul mesaj"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Finalizat"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Se lansează utilitarul de formatare, vă rugăm așteptați"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Formatarea s-a finalizat"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sCuvinte: %zu  Rânduri: %zd  Caractere: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "În selecție:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Intrare Verbatim"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Niciun fragment de cuvânt"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Nu mai sunt potriviri"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Nu sunt potriviri"
 
@@ -2571,77 +2588,124 @@ msgstr "Prea multe erori de la stdin"
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Secvență necunoscută"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Intrare Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "DIR:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Modificat"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Vedere"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Avertismentele suplimentare au fost eliminate"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "rând %zd/%zd (%d%%), col %zu/%zu (%d%%), caract %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Editorul de texte nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "versiune"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Prezentat de:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Mulțumiri speciale pentru:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "Fundația Free Software"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "traducătorilor cei mulți și pentru TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Pentru ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "și oricine altcineva a fost uitat..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Mulțumim că folosiți nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "S-a schimbat la %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Căutarea urm."
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Repetă ultima căutare"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Lansează utilitarul de formatare, dacă este disponibil"
+
+#~ msgid "Formatter"
+#~ msgstr "Formatare"
+
+#~ msgid "Indent Text"
+#~ msgstr "Identează text"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Micș. marg"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Folosirea unui rând suplimentar pentru editare"
+
+#~ msgid "Backup files"
+#~ msgstr "Salvare fișiere copii de rezervă"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Se citește fișierul într-un spațiu separat"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Conversie din formatul DOS/Mac"
+
 #~ msgid "Quoting string"
 #~ msgstr "Text de citare"
 
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Eroare fatală: nu este asociată nici o tastă pentru funcția „%s”. "
+#~ "Ieșire.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Finalizat"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Se lansează utilitarul de formatare, vă rugăm așteptați"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Formatarea s-a finalizat"
+
 #~ msgid "Reading from stdin, ^C to abort\n"
 #~ msgstr "Se citește din stdin, ^C pentru a abandona\n"
 
Binary files 2.9.8-1/po/ru.gmo and 3.0-1/po/ru.gmo differ
diff -pruN 2.9.8-1/po/ru.po 3.0-1/po/ru.po
--- 2.9.8-1/po/ru.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/ru.po	2018-09-09 09:48:30.000000000 +0000
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 2.3.3pre2\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2014-05-27 08:39+0200\n"
 "Last-Translator: Pavel Maryanov <acid@jack.kiev.ua>\n"
 "Language-Team: Russian <gnu@mx.ru>\n"
@@ -29,82 +29,86 @@ msgid "Cannot open directory: %s"
 msgstr "Не удаётся переместить каталог"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "К каталогу"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Отменено"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, fuzzy, c-format
 msgid "Can't go outside of %s"
 msgstr "Не удаётся записать за пределами %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Не удаётся переместить каталог"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Ошибка чтения %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(каталог)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(вверх)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr ""
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Поиск"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Назад]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Поиск завёрнут"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Это единственное совпадение"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Нечего искать"
 
-#: src/color.c:183
+#: src/color.c:182
 #, fuzzy, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Отсутствует название синтаксиса"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr ""
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr ""
@@ -177,7 +181,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr "Не удаётся вставить файл снаружи %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "Файл «%s» является каталогом"
@@ -187,26 +191,51 @@ msgstr "Файл «%s» является
 msgid "\"%s\" is not a normal file"
 msgstr "Файл «%s» является файлом устройства"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Нет больше открытых файловых буферов"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "Параметр отсутствует "
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Переключено в %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Новый буфер"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Нет больше открытых файловых буферов"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr ""
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
@@ -214,7 +243,7 @@ msgstr[0] "Прочитана %lu стр
 msgstr[1] "Прочитано %lu строки (преобразовано из формата Mac и DOS)"
 msgstr[2] "Прочитано %lu строк (преобразовано из формата Mac и DOS)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
@@ -222,7 +251,7 @@ msgstr[0] "Прочитана %lu стр
 msgstr[1] "Прочитано %lu строки (преобразовано из формата Mac)"
 msgstr[2] "Прочитано %lu строк (преобразовано из формата Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
@@ -230,7 +259,7 @@ msgstr[0] "Прочитана %lu стр
 msgstr[1] "Прочитано %lu строки (преобразовано из формата DOS)"
 msgstr[2] "Прочитано %lu строк (преобразовано из формата DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, fuzzy, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
@@ -238,94 +267,104 @@ msgstr[0] "Прочитана %lu стр
 msgstr[1] "Прочитано %lu строки"
 msgstr[2] "Прочитано %lu строк"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Новый файл"
 
-#: src/files.c:946
+#: src/files.c:993
 #, fuzzy, c-format
 msgid "File \"%s\" not found"
 msgstr "Файл «%s» не найден"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "Файл «%s» является файлом устройства"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Чтение файла"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 #, fuzzy
 msgid "Command to execute in new buffer"
 msgstr "Команда для выполнения в новом буфере [от %s] "
 
-#: src/files.c:1043
+#: src/files.c:1090
 #, fuzzy
 msgid "Command to execute"
 msgstr "Команда для выполнения [от %s] "
 
-#: src/files.c:1049
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Файл для вставки в новый буфер [от %s] "
+
+#: src/files.c:1101
 #, fuzzy, c-format
-msgid "File to insert into new buffer [from %s]"
+msgid "File to read into new buffer [from %s]"
 msgstr "Файл для вставки в новый буфер [от %s] "
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Файл для вставки [от %s] "
+
+#: src/files.c:1109
 #, fuzzy, c-format
 msgid "File to insert [from %s]"
 msgstr "Файл для вставки [от %s] "
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Недопустимая клавиша в немногобуферном режиме"
 
-#: src/files.c:1426
+#: src/files.c:1476
 #, fuzzy
 msgid "Invalid operating directory\n"
 msgstr "Установить рабочий каталог"
 
-#: src/files.c:1475
+#: src/files.c:1525
 #, fuzzy
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Не удалось записать файл резервной копии, продолжить сохранение? (Ответьте Н "
 "- если не уверены)"
 
-#: src/files.c:1492
+#: src/files.c:1542
 #, fuzzy
 msgid "Invalid backup directory\n"
 msgstr "Не удаётся переместить каталог"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Не удаётся записать за пределами %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Ошибка записи файла резервной копии %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Слишком много резервных файлов?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Ошибка записи временного файла: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Ошибка записи %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, fuzzy, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
@@ -333,909 +372,899 @@ msgstr[0] "Записана %lu стро
 msgstr[1] "Записано %lu строки"
 msgstr[2] "Записано %lu строк"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [формат DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [формат Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Копия]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Добавить выделенное в начало файла"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Добавить выделенное в конец файла"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Записать выделенное в файл"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Имя файла для добавления (в конец)"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Имя файла для добавления (в начало)"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Имя файла для записи"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr ""
 
-#: src/files.c:2200
+#: src/files.c:2259
 #, fuzzy
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Записать файл под ДРУГИМ ИМЕНЕМ?"
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, fuzzy, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Файл существует. ПЕРЕЗАПИСАТЬ? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr ""
 
-#: src/files.c:2237
+#: src/files.c:2296
 #, fuzzy
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Файл был изменён после открытия. Продолжить сохранение?"
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(ещё)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Выход"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Закрыть"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Отмен. вырезку"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Отмен. растяж."
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "ЧитФайл"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Поиск"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Замена"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "К строке"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Пред. строка"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "След. строка"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "ПредCтр"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "СледCтр"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Выровнять"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Выровнять"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Обновить"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Найти далее"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Отменить текущую функцию"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Показать эту справку"
 
-#: src/global.c:527
+#: src/global.c:523
 #, fuzzy
 msgid "Close the current buffer / Exit from nano"
 msgstr "Закрыть текущий буфер / Выйти из nano"
 
-#: src/global.c:529
+#: src/global.c:525
 #, fuzzy
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Записать текущий файл на диск"
 
-#: src/global.c:531
+#: src/global.c:527
 #, fuzzy
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Вставить другой файл в текущий"
 
-#: src/global.c:533
+#: src/global.c:529
 #, fuzzy
 msgid "Search forward for a string or a regular expression"
 msgstr "Искать текст или регулярное выражение"
 
-#: src/global.c:535
+#: src/global.c:531
 #, fuzzy
 msgid "Search backward for a string or a regular expression"
 msgstr "Искать текст или регулярное выражение"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "Искать текст"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Искать текст"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr ""
 
-#: src/global.c:540
+#: src/global.c:537
 #, fuzzy
 msgid "Go to lefthand column"
 msgstr "Перейти на указанный номер строки и столбца"
 
-#: src/global.c:541
+#: src/global.c:538
 #, fuzzy
 msgid "Go to righthand column"
 msgstr "Перейти на указанный номер строки и столбца"
 
-#: src/global.c:542
+#: src/global.c:539
 #, fuzzy
 msgid "Go to first row in this column"
 msgstr "Перейти к первому файлу в списке"
 
-#: src/global.c:543
+#: src/global.c:540
 #, fuzzy
 msgid "Go to last row in this column"
 msgstr "Перейти к последнему файлу в списке"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Перейти на экран вверх"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Перейти на экран вниз"
 
-#: src/global.c:549
+#: src/global.c:546
 #, fuzzy
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Вырезать текущую строку и сохранить её в буфере обмена"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Вставить содержимое буфера обмена в текущую строку"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Показать положение курсора"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Проверить орфографию, если доступно"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Заменить текст или регулярное выражение"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Перейти на указанный номер строки и столбца"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Повторить последний поиск"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Отметить текст от текущей позиции курсора"
 
-#: src/global.c:562
+#: src/global.c:558
 #, fuzzy
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Копировать текущую строку и сохранить ее в буфере обмена"
 
-#: src/global.c:563
+#: src/global.c:559
 #, fuzzy
 msgid "Indent the current line (or marked lines)"
 msgstr "Увеличить отступ строки"
 
-#: src/global.c:564
+#: src/global.c:560
 #, fuzzy
 msgid "Unindent the current line (or marked lines)"
 msgstr "Уменьшить отступ строки"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Отменить последнее действие"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Повторить последнее отменённое действие"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Назад на один символ"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Вперёд на один символ"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Назад на одно слово"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Вперёд на одно слово"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "На предыдущую строку"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "На следующую строку"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "На начало текущей строки"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "В конец текущей строки"
 
-#: src/global.c:576
+#: src/global.c:572
 #, fuzzy
 msgid "Go to previous block of text"
 msgstr "На предыдущую строку"
 
-#: src/global.c:577
+#: src/global.c:573
 #, fuzzy
 msgid "Go to next block of text"
 msgstr "На следующую строку"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "На начало текущего абзаца; потом следующего абзаца"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "В конец текущего абзаца; потом следующего абзаца"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "На первую строку файла"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "На последнюю строку файла"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "На соответствующую скобку"
 
-#: src/global.c:591
+#: src/global.c:587
 #, fuzzy
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Прокрутить одну строку вверх, не перемещая курсор"
 
-#: src/global.c:593
+#: src/global.c:589
 #, fuzzy
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Прокрутить одну строку вниз, не перемещая курсор"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Перейти в предыдущий буфер"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Перейти в следующий буфер"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Вставить следующую комбинацию клавиш как есть"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Вставить табуляцию в позиции курсора"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Вставить строку в позиции курсора"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Удалить символ под курсором"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Удалить символ слева от курсора"
 
-#: src/global.c:607
+#: src/global.c:603
 #, fuzzy
 msgid "Cut backward from cursor to word start"
 msgstr "Вырезать от курсора до конца строки"
 
-#: src/global.c:609
+#: src/global.c:605
 #, fuzzy
 msgid "Cut forward from cursor to next word start"
 msgstr "Вырезать от курсора до конца строки"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Вырезать от позиции курсора до конца файла"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Выровнять текущий абзац"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Выровнять по ширине текущий абзац"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Подсчитать количество слов, строк и символов"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Обновить текущий экран"
 
-#: src/global.c:624
+#: src/global.c:620
 #, fuzzy
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Приостановить редактор (если включено)"
 
-#: src/global.c:626
+#: src/global.c:622
 #, fuzzy
 msgid "Try and complete the current word"
 msgstr "Увеличить отступ строки"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr ""
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr ""
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr ""
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr ""
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr ""
 
-#: src/global.c:637
+#: src/global.c:633
 #, fuzzy
 msgid "Run the last recorded macro"
 msgstr "Отменить последнее действие"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Искать с учётом регистра"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Изменить направление поиска"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Использовать регулярные выражения"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Сбросить предыдущую строку поиска/замены"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Сбросить следующую строку поиска/замены"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Использовать формат DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Использовать формат Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Добавлять в конец"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Добавлять в начало"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Делать резервные копии оригинала"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Выполнить внешнюю команду"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Не преобразовывать из DOS/Mac формата"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Использовать новый буфер"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr ""
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Перейти в файловый браузер"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Выйти из файлового браузера"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Перейти к первому файлу в списке"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Перейти к последнему файлу в списке"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Перейти к предыдущему файлу в списке"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Перейти к следующему файлу в списке"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Перейти к каталогу"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Проверить синтаксис кода, если доступно"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "На предыдущее сообщение"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "На следующее сообщение"
 
-#: src/global.c:679
-#, fuzzy
-msgid "Invoke formatter, if available"
-msgstr "Проверить синтаксис кода, если доступно"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Помощь"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Отмена"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Записать"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "ЧитФайл"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Выровнять"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Обновить"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Поиск"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Замена"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Перейти к"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Вырезать"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Словарь"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Пров. синтак."
 
-#: src/global.c:788
-#, fuzzy
-msgid "Formatter"
-msgstr "Формат DOS"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "ТекПозиц"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "К строке"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Отмена"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Повтор"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Отметить"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Копировать"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Уч.регистр"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Рег.выраж."
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Назад"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Не заменять"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Выровнять"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "На скобку"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr ""
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+#, fuzzy
+msgid "Where Was"
+msgstr "Поиск"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr ""
 
-#: src/global.c:847
+#: src/global.c:840
 #, fuzzy
 msgid "Next"
 msgstr "След. строка"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Назад"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Вперёд"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Пред. слово"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "След. слово"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Начало"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Конец"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Пред. строка"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "След. строка"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Прокрутить вверх"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Прокрутить вниз"
 
-#: src/global.c:883
+#: src/global.c:876
 #, fuzzy
 msgid "Prev Block"
 msgstr "Пред. слово"
 
-#: src/global.c:885
+#: src/global.c:878
 #, fuzzy
 msgid "Next Block"
 msgstr "След. слово"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "НачПар"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "КонПар"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "ПредCтр"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "СледCтр"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "ПервСтрока"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "ПослСтрока"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Предыдущий файл"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Следующий файл"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Табуляция"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Ввод"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Удалить"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Возврат каретки"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 #, fuzzy
 msgid "Cut Left"
 msgstr "Вырезать"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr ""
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "Обрез. до конца"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Счётчик слов"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Подробный"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Приостановка"
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
 msgstr "Отступ"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
 msgstr "ОтмОтступа"
 
-#: src/global.c:975
+#: src/global.c:962
 #, fuzzy
 msgid "Comment Lines"
 msgstr "След. строка"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr ""
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr ""
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr ""
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-#, fuzzy
-msgid "Where Was"
-msgstr "Поиск"
-
-#: src/global.c:992
-msgid "Save"
-msgstr ""
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "ПредИстор"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "СледИстор"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "К строке"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Формат DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Формат Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Доп. в начало"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Доп. в конец"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Резерв. копия"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "версия"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Выполнить команду"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "Копировать"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "К файлам"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "ПервыйФайл"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "ПоследнФайл"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr ""
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr ""
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr ""
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr ""
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr ""
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Пред. сообщ. пров."
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "След. сообщ. пров."
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Режим справки"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Отображение постоянного положения курсора"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Использование дополнительной строки для редактирования"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Плавная прокрутка"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Мягкий перенос длинных строк"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Отображение пробелов"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Подсветка синтаксиса"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Умная клавиша HOME"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Автоотступы"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Вырезать до конца"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Жесткий перенос длинных строк"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Конвертация табуляций в пробелы"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Резервные файлы"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr ""
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Поддержка мыши"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Без преобразования из формата DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Приостановка"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr ""
 
@@ -1466,15 +1495,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Текст помощи режима Внешняя Команда\n"
 "\n"
@@ -1486,7 +1514,22 @@ msgstr ""
 " Следующие функциональные клавиши доступны в режиме Внешняя Команда:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" Следующие функциональные клавиши доступны в режиме Поиск просмотрщика:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1506,7 +1549,7 @@ msgstr ""
 "это главное окно редактирования, в котором отображен редактируемый файл. "
 "Строка состояния - 3 строка снизу - показывает разные важные сообщения.  "
 
-#: src/help.c:437
+#: src/help.c:438
 #, fuzzy
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
@@ -1524,7 +1567,7 @@ msgstr ""
 "и могут быть введены при помощи кнопок Esc, Alt или Meta, в зависимости от "
 "используемой клавиатуры.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1538,7 +1581,7 @@ msgstr ""
 "возрастанию:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "разрешить/запретить"
 
@@ -1574,21 +1617,21 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Ошибка записи %s: %s"
 
-#: src/nano.c:536
+#: src/nano.c:543
 #, fuzzy
 msgid "Key is invalid in view mode"
 msgstr "Неверная клавиша в режиме просмотра"
 
-#: src/nano.c:542
+#: src/nano.c:549
 #, fuzzy
 msgid "This function is disabled in restricted mode"
 msgstr "Не удаётся выйти за границы %s в ограниченном режиме"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr ""
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1597,7 +1640,7 @@ msgstr ""
 "\n"
 "Буфер записан в %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1606,7 +1649,7 @@ msgstr ""
 "\n"
 "Буфер не записан в %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1615,7 +1658,7 @@ msgstr ""
 "\n"
 "Буфер не записан в %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, fuzzy, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1626,298 +1669,298 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
 "a '+' before the filename.  The column number can be added after a comma.\n"
 msgstr ""
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Опция\t\tДлинная форма\t\tЗначение\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Включить умную клавишу home"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Делать резервные копии существующих файлов при сохранении"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <дир>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<дир>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Каталог для сохранения уникальных резервных файлов"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Использовать жирный шрифт вместо обычного"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Конвертировать табуляции в пробелы"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr ""
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Использовать файлы блокировки (vim-стиль)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Сохранять и читать историю поиска/замены строк"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Не использовать на файлы nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Решить проблему зависания цифровой клавиатуры"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Не добавлять пустые строки в конце файла"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Не преобразовывать из DOS/Mac формата"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Использование дополнительной строки для редактирования"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Сохранять и загружать позицию курсора"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q <стр>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<стр>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr ""
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Запрещенный режим"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Построчная прокрутка вместо полу-экранной"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#чис>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#чис>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Установить ширину табуляции в #чис столбцов"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Делать быструю очистку строки состояния"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Показать версию и выйти"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Определять границы слов более точно"
 
-#: src/nano.c:836
+#: src/nano.c:845
 #, fuzzy
 msgid "-X <str>"
 msgstr "-Q <стр>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 #, fuzzy
 msgid "--wordchars=<str>"
 msgstr "--quotestr=<стр>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 #, fuzzy
 msgid "--syntax=<name>"
 msgstr "--syntax=<стр>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Использовать описание синтаксиса для подсветки"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr ""
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Постоянно показывать позицию курсора"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Решить проблему Backspace/Delete"
 
-#: src/nano.c:852
+#: src/nano.c:861
 #, fuzzy
 msgid "Show cursor in file browser"
 msgstr "Перейти в файловый браузер"
 
-#: src/nano.c:854
+#: src/nano.c:863
 #, fuzzy
 msgid "Show this help text and exit"
 msgstr "Показать эту справку"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Автоматический отступ на новых строках"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Вырезать от курсора до конца строки"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr ""
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Разрешить использование мыши"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Не читать файл (только писать его)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <дир>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<дир>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Установить рабочий каталог"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Зарезервировать кнопки XON (^Q) и XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#столбцы>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#столбцы>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Установить точку жесткого переноса строки на #столбцы"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <программа>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<программа>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Использовать альтернативную программу проверки орфографии"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Автозапись при выходе, без лишних вопросов"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr ""
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Режим просмотра (только чтение)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Не делать жесткий перенос длинных строк"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Не показывать две строки помощи внизу"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Разрешить приостановку"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Включить мягкий перенос строк"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, fuzzy, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano версия %s (собрано %s, %s)\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr ""
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, fuzzy, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Эл. почта: nano@nano-editor.org\tСайт: http://www.nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1926,277 +1969,277 @@ msgstr ""
 "\n"
 " Параметры сборки:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr ""
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr ""
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Не удалось повторно открыть стандартный ввод с клавиатуры\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Получен SIGHUP или SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Используйте «fg» для возврата в nano\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr ""
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "включено"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "отключено"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr ""
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr ""
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr ""
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr ""
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr ""
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Запрошенный размер табуляции «%s» не подходит"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Запрошенный размер заполнения «%s» не подходит"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Введите «%s -h» для получения списка доступных опций.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Неправильный номер строки или столбца"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr ""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "YyДд"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "NnНн"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "AaВв"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Да"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Нет"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Все"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, fuzzy, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Ошибка в позиции %s строки %lu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Аргумент «%s» имеет незакрытую \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr ""
 "Строки регулярных выражений должны начинаться и заканчиваться символом \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Плохое регулярное выражение «%s»: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Отсутствует название синтаксиса"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 #, fuzzy
 msgid "Unpaired quote in syntax name"
 msgstr "Отсутствует название синтаксиса"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Синтаксис «none» зарезервирован"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 #, fuzzy
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Синтаксис «default» не должен иметь расширений"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Отсутствует название клавиши"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Название ключа слишком короткое"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Привязки клавиш должны начинаться с «^», «M» или «F»"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, fuzzy, c-format
 msgid "Key name %s is invalid"
 msgstr "Запрошенный размер табуляции «%s» не подходит"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Укажите функцию, которой назначается клавиша"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Вы должны указать имя меню (или «все») на которое нужно назначить/убрать "
 "назначение клавиши"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Не удалось сопоставить имя «%s» к функции"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Не удалось сопоставить имя «%s» к меню"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr ""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Привязка «%s» не может быть переназначена"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Ошибка расширения %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, fuzzy, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Непонятная команда «%s»"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 #, fuzzy
 msgid "A background color cannot be bright"
 msgstr "Цвет фона «%s» не может быть светлым"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr ""
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Отсутствует название цвета"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, fuzzy, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Отсутствует команда анализатора синтаксиса"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 #, fuzzy
 msgid "Empty regex string"
 msgstr "Отсутствует регулярное выражение"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "«start=» требует соответствующего «end=»"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, fuzzy, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Синтаксис «default» не должен иметь расширений"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr ""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, fuzzy, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Аргумент «%s» имеет незакрытую \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Критическая ошибка: для функции «%s» не назначены клавиши.  Выхожу.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2204,63 +2247,63 @@ msgstr ""
 "Используйте nano с опцией -I, если требуется подстроить параметры вашего "
 "nanorc.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Не удалось сопоставить имя «%s» к расширению"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Синтаксис «%s» не имеет цветовых команд"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Команда «%s» не разрешена во включенном файле"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Непонятная команда «%s»"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Параметр отсутствует "
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Неизвестная опция «%s»"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Не удалось снять опцию «%s»"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Опция «%s» требует аргумент"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 #, fuzzy
 msgid "Argument is not a valid multibyte string"
 msgstr "Опция не правильная многобайтовая строка"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Требуется не пустой символ"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Требуется два однострочных символа"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Не могу найти собственную домашнюю директорию! Йой!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [С учётом регистра]"
@@ -2269,42 +2312,37 @@ msgstr " [С учётом регистр
 msgid " [Regexp]"
 msgstr " [РегВыр]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Назад]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (что менять) в выделении"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (что менять)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 #, fuzzy
 msgid "Searching..."
 msgstr "Поиск"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "«%.*s%s» не найден"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Заменить это вхождение?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Заменить на"
 
-#: src/search.c:738
+#: src/search.c:735
 #, fuzzy, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2313,257 +2351,247 @@ msgstr[1] "Замененные %lu вх
 msgstr[2] "Заменено %lu вхождений"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Введите номер строки и столбца"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Не скобка"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Нет соответствующей скобки"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Метка установлена"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Метка снята"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Ошибка выполнения «%s»"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr ""
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr ""
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Буфер отмены действий пуст!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "добавление текста"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "новая строка"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "удаление текста"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "объединение строк"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "замена текста"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "обрезка текста"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "отмена обрезки текста"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "вставка текста"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 #, fuzzy
 msgid "indent"
 msgstr "Автоотступы"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 #, fuzzy
 msgid "unindent"
 msgstr "Автоотступы"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr ""
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr ""
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Отменённое действие (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Нечего повторять!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Повторённое действие (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Не удалось создать конвейер"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Не удалось создать дочерний процесс"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr ""
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Недопустимая строка цитирования %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Сейчас можно отменить выравнивание!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr ""
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Редактировать замену"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 #, fuzzy
 msgid "Next word..."
 msgstr "След. слово"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Идёт создание списка ошибочных слов. Подождите..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Не удалось получить размер буфера конвейера"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Ошибка выполнения «spell»"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Ошибка выполнения «sort -f»"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Ошибка выполнения «uniq»"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Запуск проверки орфографии, подождите"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Проверка правописания не удалась: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Проверка правописания не удалась: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Проверка правописания завершена"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Для данного типа файла не настроена программа проверки синтаксиса!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Сохранить измененный буфер перед проверкой?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Запуск проверки, подождите"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Получено 0 распознанных строк от комманды: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr "Это сообщение о не открытом файле %s, открыть его в новом буфере?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr ""
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Последнее сообщение"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Первое сообщение"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr ""
-
-#: src/text.c:3376
-#, fuzzy
-msgid "Invoking formatter, please wait"
-msgstr "Запуск проверки, подождите"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr ""
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, fuzzy, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sСлов: %lu  Строк: %ld  Символов: %lu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "В выделении:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Ввод «как есть»"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr ""
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 #, fuzzy
 msgid "No matches"
 msgstr "Нет соответствующей скобки"
@@ -2594,77 +2622,80 @@ msgstr ""
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr ""
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, fuzzy, c-format
 msgid "Unicode Input: %s"
 msgstr "Юникод код"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "Дир:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Изменён"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Смотр"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr ""
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, fuzzy, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "строка %ld/%ld (%d%%), столбец %lu/%lu (%d%%), символ %lu/%lu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Текстовый редактор nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "версия"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Предоставлен вам:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Особая благодарность:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr ""
 "The Free Software Foundation (фонд свободного программного обеспечения)"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr ""
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Для ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr ""
 "Дмитрию Рязанцеву за помощь в переводе и всем остальным, кого мы забыли "
 "упомянуть..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Спасибо за то, что выбрали nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Переключено в %s"
+
 #~ msgid ""
 #~ "Read %lu line (Converted from DOS and Mac format - Warning: No write "
 #~ "permission)"
@@ -2734,12 +2765,27 @@ msgstr "Спасибо за то, что
 #~ "на новое место (%s)\n"
 #~ "(смотрите в nano FAQ об этом изменении)"
 
+#~ msgid "WhereIs Next"
+#~ msgstr "Найти далее"
+
 #~ msgid "Exit from nano"
 #~ msgstr "Выход из nano"
 
+#~ msgid "Repeat the last search"
+#~ msgstr "Повторить последний поиск"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Использование дополнительной строки для редактирования"
+
+#~ msgid "Backup files"
+#~ msgstr "Резервные файлы"
+
 #~ msgid "Multiple file buffers"
 #~ msgstr "Несколько файловых буферов"
 
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Без преобразования из формата DOS/Mac"
+
 #~ msgid "Window size is too small for nano...\n"
 #~ msgstr "Размер окна слишком мал для Nano...\n"
 
@@ -2817,6 +2863,10 @@ msgstr "Спасибо за то, что
 #~ msgid "Cannot add a linter without a syntax command"
 #~ msgstr "Не удаётся добавить анализатор синтаксиса без команды синтаксиса"
 
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Критическая ошибка: для функции «%s» не назначены клавиши.  Выхожу.\n"
+
 #~ msgid ""
 #~ "\n"
 #~ "Press Enter to continue starting nano.\n"
Binary files 2.9.8-1/po/sl.gmo and 3.0-1/po/sl.gmo differ
diff -pruN 2.9.8-1/po/sl.po 3.0-1/po/sl.po
--- 2.9.8-1/po/sl.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/sl.po	2018-09-09 09:48:30.000000000 +0000
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 2.3.2pre4\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2013-03-18 21:33+0100\n"
 "Last-Translator: Klemen Košir <klemen913@gmail.com>\n"
 "Language-Team: Slovenian <translation-team-sl@lists.sourceforge.net>\n"
@@ -28,82 +28,86 @@ msgid "Cannot open directory: %s"
 msgstr "Mape ni mogoče premakniti višje"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Pojdi v mapo"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Preklicano"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, fuzzy, c-format
 msgid "Can't go outside of %s"
 msgstr "Ni mogoče pisati zunaj %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Mape ni mogoče premakniti višje"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Napaka med branjem %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr ""
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(mapa)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(nad. mapa)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr ""
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Iskanje"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Backwards]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Iskanje je ovito"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "To je edina pojavitev niza"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Ni trenutnega vzorca iskanja"
 
-#: src/color.c:183
+#: src/color.c:182
 #, fuzzy, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Manjka ime skladnje"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr ""
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr ""
@@ -178,7 +182,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr "Ni mogoče vstaviti datoteke izven %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" je mapa"
@@ -188,26 +192,52 @@ msgstr "\"%s\" je mapa"
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" je datoteka naprave"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Ni več medpomnilnikov odprtih datotek"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr ""
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Preklopljeno na %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
+msgstr[3] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Nov medpomnilnik"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
+msgstr[3] ""
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Ni več medpomnilnikov odprtih datotek"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr ""
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
@@ -216,7 +246,7 @@ msgstr[1] "Prebrana je %lu vrstica (pret
 msgstr[2] "Prebrani sta %lu vrstici (pretvorjeno iz oblike DOS in Mac)"
 msgstr[3] "Prebrane so %lu vrstice (pretvorjeno iz oblike DOS in Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
@@ -225,7 +255,7 @@ msgstr[1] "Prebrana je %lu vrstica (pret
 msgstr[2] "Prebrani sta %lu vrstici (pretvorjeno iz oblike Mac)"
 msgstr[3] "Prebrane so %lu vrstice (pretvorjeno iz oblike Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, fuzzy, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
@@ -234,7 +264,7 @@ msgstr[1] "Prebrana je %lu vrstica (Pret
 msgstr[2] "Prebrani sta %lu vrstici (Pretvorjeno iz oblike DOS)"
 msgstr[3] "Prebrane so %lu vrstice (Pretvorjeno iz oblike DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, fuzzy, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
@@ -243,94 +273,104 @@ msgstr[1] "Prebrana je %lu vrstica"
 msgstr[2] "Prebrani sta %lu vrstici"
 msgstr[3] "Prebrane so %lu vrstice"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Nova datoteka"
 
-#: src/files.c:946
+#: src/files.c:993
 #, fuzzy, c-format
 msgid "File \"%s\" not found"
 msgstr "\"%s\" ni mogoče najti"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" je datoteka naprave"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Branje datoteke"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 #, fuzzy
 msgid "Command to execute in new buffer"
 msgstr "Ukaz za izvedbo v novem medpomnilniku [iz %s] "
 
-#: src/files.c:1043
+#: src/files.c:1090
 #, fuzzy
 msgid "Command to execute"
 msgstr "Ukaz za izvedbo [iz %s] "
 
-#: src/files.c:1049
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Datoteka za vstavitev v nov medpomnilnik [iz %s] "
+
+#: src/files.c:1101
 #, fuzzy, c-format
-msgid "File to insert into new buffer [from %s]"
+msgid "File to read into new buffer [from %s]"
 msgstr "Datoteka za vstavitev v nov medpomnilnik [iz %s] "
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Datoteka za vstavitev [iz %s] "
+
+#: src/files.c:1109
 #, fuzzy, c-format
 msgid "File to insert [from %s]"
 msgstr "Datoteka za vstavitev [iz %s] "
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Neveljavna tipka v ne-več-medpomnilniškem načinu"
 
-#: src/files.c:1426
+#: src/files.c:1476
 #, fuzzy
 msgid "Invalid operating directory\n"
 msgstr "Nastavi mapo delovanja"
 
-#: src/files.c:1475
+#: src/files.c:1525
 #, fuzzy
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Varnostne datoteke ni mogoče zapisati. Ali želite datoteko vseeno shraniti? "
 "Če niste popolnoma prepričani, pritisnite N."
 
-#: src/files.c:1492
+#: src/files.c:1542
 #, fuzzy
 msgid "Invalid backup directory\n"
 msgstr "Mape ni mogoče premakniti višje"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Ni mogoče pisati zunaj %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Napaka med pisanjem datoteke varnostne kopije %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Ali je preveč varnostnih kopij datotek?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Napaka med pisanjem v začasno datoteko: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Napaka med pisanjem %s:%s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, fuzzy, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
@@ -339,930 +379,917 @@ msgstr[1] "Zapisana je %lu vrstica"
 msgstr[2] "Zapisani sta %lu vrstici"
 msgstr[3] "Zapisane so %lu vrstice"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Oblika DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Oblika Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Varnostna kopija]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Pripni izbiro pred datoteko"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Pripni izbiro datoteki"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Zapiši izbiro v datoteko"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Ime datoteke, ki naj bo pripeta na začetek"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Ime datoteke, ki naj bo pripeta"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Ime datoteke za zapis"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr ""
 
-#: src/files.c:2200
+#: src/files.c:2259
 #, fuzzy
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Ali želite datoteko shraniti z DRUGIM imenom? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, fuzzy, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Datoteka že obstraja. Ali naj bo prepisana? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr ""
 
-#: src/files.c:2237
+#: src/files.c:2296
 #, fuzzy
 msgid "File was modified since you opened it; continue saving? "
 msgstr ""
 "Datoteka je bila po odpiranju spremenjena. Ali jo želite vseeno shraniti? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(več)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Končaj"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Zapri"
 
-#: src/global.c:497
+#: src/global.c:509
 #, fuzzy
 msgid "Uncut Text"
 msgstr "Odizr. be."
 
-#: src/global.c:499
+#: src/global.c:511
 #, fuzzy
 msgid "Unjustify"
 msgstr "Odporavnaj"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Odpri dat."
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Poišči"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Zamenjaj"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "V vrstico"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Pred. vrs."
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Nasl. vrs."
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Pred. str."
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Nasl. str."
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Poravnaj"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Pop. por."
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Osveži"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Išči nas."
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Prekliči trenutno funkcijo"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Pokaži to besedilo pomoči"
 
-#: src/global.c:527
+#: src/global.c:523
 #, fuzzy
 msgid "Close the current buffer / Exit from nano"
 msgstr "Zapri trenutni medpomnilnik datoteke / Končaj nano"
 
-#: src/global.c:529
+#: src/global.c:525
 #, fuzzy
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Zapiši trenutno datoteko na disk"
 
-#: src/global.c:531
+#: src/global.c:527
 #, fuzzy
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Vstavi drugo datoteko v trenutno"
 
-#: src/global.c:533
+#: src/global.c:529
 #, fuzzy
 msgid "Search forward for a string or a regular expression"
 msgstr "Poišči niz znakov ali logični izraz"
 
-#: src/global.c:535
+#: src/global.c:531
 #, fuzzy
 msgid "Search backward for a string or a regular expression"
 msgstr "Poišči niz znakov ali logični izraz"
 
-#: src/global.c:537
+#: src/global.c:533
 #, fuzzy
-msgid "Search for a string"
+msgid "Search forward for a string"
 msgstr "Poišči niz znakov ali logični izraz"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr ""
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr ""
 
-#: src/global.c:540
+#: src/global.c:537
 #, fuzzy
 msgid "Go to lefthand column"
 msgstr "Pojdi v številko vrstice in stolpca"
 
-#: src/global.c:541
+#: src/global.c:538
 #, fuzzy
 msgid "Go to righthand column"
 msgstr "Pojdi v številko vrstice in stolpca"
 
-#: src/global.c:542
+#: src/global.c:539
 #, fuzzy
 msgid "Go to first row in this column"
 msgstr "Pojdi k prvi datoteki na seznamu"
 
-#: src/global.c:543
+#: src/global.c:540
 #, fuzzy
 msgid "Go to last row in this column"
 msgstr "Pojdi k zadnji datoteki na seznamu"
 
-#: src/global.c:546
+#: src/global.c:543
 #, fuzzy
 msgid "Go one screenful up"
 msgstr "Pojdi na naslednji zaslon"
 
-#: src/global.c:547
+#: src/global.c:544
 #, fuzzy
 msgid "Go one screenful down"
 msgstr "Pojdi na naslednji zaslon"
 
-#: src/global.c:549
+#: src/global.c:546
 #, fuzzy
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Izreži trenutno vrstico in jo shrani v medpomnil. izreza"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Prilepi iz medpomnilnika izreza v trenutno vrstico"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Prikaži položaj kazalke"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Vključi črkovalnik, če je na voljo"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Zamenjaj niz ali logični izraz"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Pojdi v številko vrstice in stolpca"
 
-#: src/global.c:558
-#, fuzzy
-msgid "Repeat the last search"
-msgstr "Ponovi zadnje iskanje"
-
-#: src/global.c:560
+#: src/global.c:556
 #, fuzzy
 msgid "Mark text starting from the cursor position"
 msgstr "Označi besedilo na mestu kazalke"
 
-#: src/global.c:562
+#: src/global.c:558
 #, fuzzy
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Kopiraj trenutno vrstico in jo shrani v medpomni. izreza"
 
-#: src/global.c:563
+#: src/global.c:559
 #, fuzzy
 msgid "Indent the current line (or marked lines)"
 msgstr "Zamakni trenutno vrstico"
 
-#: src/global.c:564
+#: src/global.c:560
 #, fuzzy
 msgid "Unindent the current line (or marked lines)"
 msgstr "Odstrani zamik trenutne vrstice"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Razveljavi zadnje dejanje"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Uveljavi zadnje razveljavljeno dejanje"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Pojdi nazaj za en znak"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Pojdi naprej za en znak"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Pojdi nazaj za eno besedo"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Pojdi naprej za eno besedo"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Pojdi v predhodno vrstico"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Pojdi v naslednjo vrstico"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Pojdi na začetek trenutne vrstice"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Pojdi na konec trenutne vrstice"
 
-#: src/global.c:576
+#: src/global.c:572
 #, fuzzy
 msgid "Go to previous block of text"
 msgstr "Pojdi v predhodno vrstico"
 
-#: src/global.c:577
+#: src/global.c:573
 #, fuzzy
 msgid "Go to next block of text"
 msgstr "Pojdi v naslednjo vrstico"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Pojdi na začetek odstavka; nato prejšnjega odstavka"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Pojdi preko konca odstavka; nato naslednjega odstavka"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Pojdi v prvo vrstico datoteke"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Pojdi v zadnjo vrstico datoteke"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Pojdi do ujemajočega oklepaja"
 
-#: src/global.c:591
+#: src/global.c:587
 #, fuzzy
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Pomakni se navzgor za eno vrstico brez drsenja kazalke"
 
-#: src/global.c:593
+#: src/global.c:589
 #, fuzzy
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Pomakni se navzdol za eno vrstico brez drsenja kazalke"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Preklopi na prejšnji medpomnilnik datoteke"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Preklopi na naslednji medpomnilnik datoteke"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Vstavi naslednji natančni pritisk tipk"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Vstavi tabulator na položaju kazalke"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Vstavi novo vrstico na položaju kazalke"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Izbriši znak pod kazalko"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Izbriši znak levo od kazalke"
 
-#: src/global.c:607
+#: src/global.c:603
 #, fuzzy
 msgid "Cut backward from cursor to word start"
 msgstr "Izreži od kazalke do konca vrstice"
 
-#: src/global.c:609
+#: src/global.c:605
 #, fuzzy
 msgid "Cut forward from cursor to next word start"
 msgstr "Izreži od kazalke do konca vrstice"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Izreži s položaja kazalke na konec datoteke"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Poravnaj trenutni odstavek"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Poravnaj celotno datoteko"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Preštej število besed, vrstic in znakov"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Osveži (ponovno nariši) trenutni zaslon"
 
-#: src/global.c:624
+#: src/global.c:620
 #, fuzzy
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Daj urejevalnik v pripravljenost (če je omogočeno)"
 
-#: src/global.c:626
+#: src/global.c:622
 #, fuzzy
 msgid "Try and complete the current word"
 msgstr "Zamakni trenutno vrstico"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr ""
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr ""
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr ""
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr ""
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr ""
 
-#: src/global.c:637
+#: src/global.c:633
 #, fuzzy
 msgid "Run the last recorded macro"
 msgstr "Razveljavi zadnje dejanje"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Preklopi ločevanje velikosti črk iskanja"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Obrni smer iskanja"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Preklopi uporabo logičnih izrazov"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Prikliči predhodni niz iskanja/zamenjave"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Prikliči naslednji niz iskanja/zamenjave"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Preklopi uporabo oblike DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Preklopi uporabo oblike Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Preklopi pripenjanje"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Preklopi pripenjanje na začetek"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Preklopi ustvarjanje varnostne kopije izvirne datoteke"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Izvedi zunanji ukaz"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Ne pretvarjaj datotek iz oblike DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Preklopi uporabo novega medpomnilnika"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr ""
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Pojdi v brskalnik datotek"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Končaj brskalnik datotek"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Pojdi k prvi datoteki na seznamu"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Pojdi k zadnji datoteki na seznamu"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Pojdi k predhodni datoteki na seznamu"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Pojdi k naslednji datoteki na seznamu"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Pojdi v mapo"
 
-#: src/global.c:675
+#: src/global.c:672
 #, fuzzy
 msgid "Invoke the linter, if available"
 msgstr "Vključi črkovalnik, če je na voljo"
 
-#: src/global.c:676
+#: src/global.c:673
 #, fuzzy
 msgid "Go to previous linter msg"
 msgstr "Pojdi v predhodno vrstico"
 
-#: src/global.c:677
+#: src/global.c:674
 #, fuzzy
 msgid "Go to next linter msg"
 msgstr "Pojdi v naslednjo vrstico"
 
-#: src/global.c:679
-#, fuzzy
-msgid "Invoke formatter, if available"
-msgstr "Vključi črkovalnik, če je na voljo"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Pomoč"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Prekliči"
 
-#: src/global.c:710
+#: src/global.c:705
 #, fuzzy
 msgid "Write Out"
 msgstr "Zapiši"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Odpri dat."
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Poravnaj"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Osveži"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Poišči"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Zamenjaj"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Pojdi v mapo"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Izre. bes."
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Črkuj"
 
-#: src/global.c:785
+#: src/global.c:771
 #, fuzzy
 msgid "To Linter"
 msgstr "V vrstico"
 
-#: src/global.c:788
-#, fuzzy
-msgid "Formatter"
-msgstr "oblika DOS"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Položaj kaz."
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "V vrstico"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Razveljavi"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Uveljavi"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Ozna. bes."
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopi. bes."
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Loč. črk"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Log. izraz"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Nazaj"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Brez. zam."
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Pop. por."
+
+#: src/global.c:821
 #, fuzzy
 msgid "To Bracket"
 msgstr "Ni oklepaj"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr ""
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+#, fuzzy
+msgid "Where Was"
+msgstr "Poišči"
+
+#: src/global.c:838
 #, fuzzy
 msgid "Previous"
 msgstr "Predhodna datoteka"
 
-#: src/global.c:847
+#: src/global.c:840
 #, fuzzy
 msgid "Next"
 msgstr "Nasl. str."
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Nazaj"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Naprej"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Pred. bes."
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Nasl. bes."
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Domov"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Konec"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Pred. vrs."
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Nasl. vrs."
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Pomik gor"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Pomik dol"
 
-#: src/global.c:883
+#: src/global.c:876
 #, fuzzy
 msgid "Prev Block"
 msgstr "Pred. bes."
 
-#: src/global.c:885
+#: src/global.c:878
 #, fuzzy
 msgid "Next Block"
 msgstr "Nasl. bes."
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Zač. odst."
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Kon. odst."
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Pred. str."
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Nasl. str."
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Prva vrst."
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Zad. vrst."
 
-#: src/global.c:905
+#: src/global.c:898
 #, fuzzy
 msgid "Prev File"
 msgstr "Predhodna datoteka"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Naslednja datoteka"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tabulator"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Delete"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Vračalka"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 #, fuzzy
 msgid "Cut Left"
 msgstr "Izre. bes."
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr ""
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "IzrezDoKonca"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Štetje besed"
 
-#: src/global.c:959
+#: src/global.c:946
 #, fuzzy
 msgid "Verbatim"
 msgstr "Natančni vnos"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "V priprav."
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
 msgstr "Zama. bes."
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
 msgstr "Odzam. be."
 
-#: src/global.c:975
+#: src/global.c:962
 #, fuzzy
 msgid "Comment Lines"
 msgstr "Nasl. vrs."
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr ""
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr ""
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr ""
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-#, fuzzy
-msgid "Where Was"
-msgstr "Poišči"
-
-#: src/global.c:992
-msgid "Save"
-msgstr ""
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Prej. Zgo."
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Nasl. Zgo."
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Nasl. bes."
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "oblika DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "oblika Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Pripni"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Pripni na začet."
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Varnostna kopija"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "različica"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Izvedi ukaz"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "Kopi. bes."
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Do datotek"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Prva dat."
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Zadnja dat."
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr ""
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr ""
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr ""
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr ""
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr ""
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 #, fuzzy
 msgid "Prev Lint Msg"
 msgstr "Pred. vrs."
 
-#: src/global.c:1084
+#: src/global.c:1069
 #, fuzzy
 msgid "Next Lint Msg"
 msgstr "Nasl. vrs."
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Način pomoči"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Stalni prikaz položaja kazalke"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Uporaba ene vrstice več za urejanje"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Gladko drsenje"
 
-#: src/global.c:1426
+#: src/global.c:1396
 #, fuzzy
 msgid "Soft wrapping of overlong lines"
 msgstr "Ne lomi dolgih vrstic"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Prikaz presledkov"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Barvno poudarjanje skladnje"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Pametna tipka za Domov"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Samodejno zamikanje"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Izreži do konca"
 
-#: src/global.c:1438
+#: src/global.c:1408
 #, fuzzy
 msgid "Hard wrapping of overlong lines"
 msgstr "Ne lomi dolgih vrstic"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Pretvarjanje tabulatorjev v presledne znake"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Datoteke varnostnih kopij"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr ""
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Podpora za miško"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Ni pretvorbe iz oblike DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Stanje pripravljenosti"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr ""
 
@@ -1486,15 +1513,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Pomoč za izvajanje ukazov\n"
 "\n"
@@ -1505,7 +1531,22 @@ msgstr ""
 " V načinu izvajanja ukazov so na voljo naslednje funkcijske tipke:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" V načinu iskanja v brskalniku so na voljo naslednje funkcijske tipke:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1525,7 +1566,7 @@ msgstr ""
 "je osrednje okno urejevalnika z besedilom odprte datoteke. Vrstica stanja je "
 "tretja vrstica od spodaj navzgor, v kateri so izpisana pomembna sporočila."
 
-#: src/help.c:437
+#: src/help.c:438
 #, fuzzy
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
@@ -1543,7 +1584,7 @@ msgstr ""
 "zabeležena s simbolom Meta (M-) in se jih lahko vnese s tipkami Esc, Alt ali "
 "Meta, odvisno od nastavitve tipkovnice."
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1557,7 +1598,7 @@ msgstr ""
 "Nadomestne tipke so prikazane v oklepajih:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "omogoči/onemogoči"
 
@@ -1595,21 +1636,21 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Napaka med pisanjem %s:%s"
 
-#: src/nano.c:536
+#: src/nano.c:543
 #, fuzzy
 msgid "Key is invalid in view mode"
 msgstr "Ključ je neveljaven v načinu pogleda"
 
-#: src/nano.c:542
+#: src/nano.c:549
 #, fuzzy
 msgid "This function is disabled in restricted mode"
 msgstr "V omejenem načinu ni mogoče zapustiti %s"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr ""
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1618,7 +1659,7 @@ msgstr ""
 "\n"
 "Medpomnilnik je zapisan v %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1627,7 +1668,7 @@ msgstr ""
 "\n"
 "Medpomnilnik ni zapisan v %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1636,7 +1677,7 @@ msgstr ""
 "\n"
 "Medpomnilnik ni zapisan: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, fuzzy, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1647,301 +1688,301 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
 "a '+' before the filename.  The column number can be added after a comma.\n"
 msgstr ""
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
 "\n"
 msgstr ""
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Možnost\t\tdolga možnost GNU\t\tPomen\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Omogoči pametno tipko za Domov"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Shrani varnostne kopije obstoječih datotek"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <mapa>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<mapa>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Mapa za shranjevanje edinstvenih varnostnih kopij"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Uporabi krepko namesto obratnega besedila videa"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Pretvori vpisane tabulatorske znake v presledke"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr ""
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Uporabi zaklepne datoteke"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Beleži in beri zgodovino niza iskanja in zamenjave"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Ne glej datotek nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Popravi težavo z zmedo s tipkami številčnice"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Ne dodajaj novih vrstic na konec datotek"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Ne pretvarjaj datotek iz oblike DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Uporabi eno ali več vrstic za urejanje"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Shrani in preberi mesto kazalke"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q <niz>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<niz>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr ""
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Omejen način"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Pomikaj se vrstično namesto pol-zaslonsko"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <št. stolpcev>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<št. stolpcev>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Nastavi širino tabulatorja na št. stolpcev stolpcev"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Hitro prazni vrstico stanja"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Prikaži podrobnosti različice in končaj"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Zaznaj meje besed natančneje"
 
-#: src/nano.c:836
+#: src/nano.c:845
 #, fuzzy
 msgid "-X <str>"
 msgstr "-Q <niz>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 #, fuzzy
 msgid "--wordchars=<str>"
 msgstr "--quotestr=<niz>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr ""
 
-#: src/nano.c:841
+#: src/nano.c:850
 #, fuzzy
 msgid "--syntax=<name>"
 msgstr "--syntax=<niz>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Uporaba določila skladnje za barvanje"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr ""
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Nenehno kaži položaj kazalke"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Popravi težavo zmede tipk vračalke/izbriši"
 
-#: src/nano.c:852
+#: src/nano.c:861
 #, fuzzy
 msgid "Show cursor in file browser"
 msgstr "Pojdi v brskalnik datotek"
 
-#: src/nano.c:854
+#: src/nano.c:863
 #, fuzzy
 msgid "Show this help text and exit"
 msgstr "Pokaži to besedilo pomoči"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Samodejno zamakni nove vrstice"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Izreži od kazalke do konca vrstice"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr ""
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Omogoči uporabo miške"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr ""
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <mapa>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<mapa>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Nastavi mapo delovanja"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Ohrani tipke XON (^Q) in XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <št. stolpcev>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<št. stolpcev>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 #, fuzzy
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Nastavi točko preloma na stolpcu št. stoplca"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Omogoči nadomestni črkovalnik"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Samodejno shrani ob izhodu in ne pokaži poziva"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr ""
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Način pogleda (samo za branje)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 #, fuzzy
 msgid "Don't hard-wrap long lines"
 msgstr "Ne lomi dolgih vrstic"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Ne pokaži dveh vrstic pomoči"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Omogoči stanje pripravljenosti"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Omogoči blage prelome vrstic"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, fuzzy, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano različica %s (kodno prevedena %s, %s)\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr ""
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, fuzzy, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr ""
 " Elektronska pošta: nano@nano-editor.org\tSplet: http://www.nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1950,276 +1991,276 @@ msgstr ""
 "\n"
 " Kodno prevedene možnosti:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr ""
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr ""
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Na žalost ni bilo mogoče ponovno odpreti stdin s tipkovnice\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Prejet je bil SIGHUP ali SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Za vrnitev v nano uporabite \"fg\".\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr ""
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "omogočeno"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "onemogočeno"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr ""
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr ""
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr ""
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr ""
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr ""
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Zahtevana velikost tabulatorja \"%s\" je neveljavna"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Zahtevana velikost zapolnitve \"%s\" je neveljavna"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr ""
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Neveljavna številka vrstice ali stolpca"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr ""
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "DdYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "NnNn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "VvAa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Da"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Ne"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Vse"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, fuzzy, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Napaka v %s v vrstici %lu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argument '%s' ima neuničen \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Nizi logičnega izraza se morajo začeti in končati z znakom \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Slab logični izraz \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Manjka ime skladnje"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 #, fuzzy
 msgid "Unpaired quote in syntax name"
 msgstr "Manjka ime skladnje"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Skladnja \"none\" je pridržana"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 #, fuzzy
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Skladnja \"default\" ne sme prejeti nobene pripone"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Manjka ime tipke"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr ""
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 #, fuzzy
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Tipkovne bližnjice se morajo začeti s \"^\", \"M\", ali \"F\""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, fuzzy, c-format
 msgid "Key name %s is invalid"
 msgstr "Zahtevana velikost tabulatorja \"%s\" je neveljavna"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 #, fuzzy
 msgid "Must specify a function to bind the key to"
 msgstr "Treba je navesti funkcijo, ki se veže na tipko"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, fuzzy, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Ni mogoče preslikati imena \"%s\" k funkciji"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, fuzzy, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Ni mogoče preslikati imena \"%s\" k meniju"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr ""
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, fuzzy, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Na žalost je pritisk tipk \"%s\" neveljavna vezava"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, fuzzy, c-format
 msgid "Error expanding %s: %s"
 msgstr "Napaka med branjem %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, fuzzy, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Ukaz \"%s\" ni razumljiv"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 #, fuzzy
 msgid "A background color cannot be bright"
 msgstr "Barva ozadja \"%s\" ne more biti svetla"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr ""
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Manjka ime barve"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, fuzzy, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Manjka niz logičnega izraza"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 #, fuzzy
 msgid "Empty regex string"
 msgstr "Manjka niz logičnega izraza"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" potrebuje ustrezen \"end=\""
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, fuzzy, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Skladnja \"default\" ne sme prejeti nobene pripone"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr ""
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, fuzzy, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argument '%s' ima neuničen \""
 
-#: src/rcfile.c:898
-#, fuzzy, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Usodna napaka: nobenih tipk ni preslikanih za funkcijo \"%s\""
+#: src/rcfile.c:890
+#, c-format
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, fuzzy, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2227,64 +2268,64 @@ msgstr ""
 "Poteka končanje programa. Za prilagajanje nastavitev nanorc, uporabite ukaz "
 "nano z možnostjo -I.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, fuzzy, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Ni mogoče preslikati imena \"%s\" k meniju"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Skladnja \"%s\" nima ukazov barv"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Ukaz \"%s\" ni dovoljen v vključeni datoteki"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Ukaz \"%s\" ni razumljiv"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 #, fuzzy
 msgid "Missing option"
 msgstr "Manjka ime barve"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, fuzzy, c-format
 msgid "Unknown option \"%s\""
 msgstr "Neznana zastavica \"%s\""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, fuzzy, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Ni mogoče ponastaviti zastavice \"%s\""
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Možnost \"%s\" zahteva argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 #, fuzzy
 msgid "Argument is not a valid multibyte string"
 msgstr "Možnost ni veljaven večbajtni niz"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Zahtevani so ne-prazni znaki"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Potrebna sta dva enostolpčna znaka"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Ni mogoče najti domače mape!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Case Sensitive]"
@@ -2293,42 +2334,37 @@ msgstr " [Case Sensitive]"
 msgid " [Regexp]"
 msgstr " [Regexp]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Backwards]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (za zamenjavo) v izbor"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (za zamenjavo)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 #, fuzzy
 msgid "Searching..."
 msgstr "Iskanje"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" ni mogoče najti"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Ali naj se primerek zamenja?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Zamenjaj z"
 
-#: src/search.c:738
+#: src/search.c:735
 #, fuzzy, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2338,260 +2374,251 @@ msgstr[2] "Zamenjani sta %lu pojavitvi"
 msgstr[3] "Zamenjane so %lu pojavitve"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Vnesite številko vrstice, številko stolpca"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Ni oklepaj"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Ni ujemajočega oklepaja"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Označba je nastavljena"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Označba je ponastavljena"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Napaka pri priklicu \"%s\""
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr ""
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr ""
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Ničesar ni v medpomnilniku razveljavitve!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "dodaj besedilo"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "prekini vrstico"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "izbriši besedilo"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "združi vrstici"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "zamenjaj besedilo"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "izreži besedilo"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "odizreži besedilo"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "vnesi besedilo"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 #, fuzzy
 msgid "indent"
 msgstr "Samodejno zamikanje"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 #, fuzzy
 msgid "unindent"
 msgstr "Samodejno zamikanje"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr ""
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr ""
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Ponastavljeno dejanje (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Ničesar ni mogoče uveljaviti!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Uveljavljeno dejanje (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Ni mogoče ustvariti cevi"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Ni mogoče razvejiti"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr ""
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Slab niz navedka %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Zdaj je mogoče preklicati poravnavo!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr ""
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Uredi zamenjavo"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 #, fuzzy
 msgid "Next word..."
 msgstr "Nasl. bes."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Ustvarjanje napačno črkovanega seznama besed, počakajte ..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Ni mogoče pridobiti velikosti medpomnilnika cevi"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Napaka pri priklicu \"spell\""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Napaka pri priklicu \"sort -f\""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Napaka pri priklicu \"uniq\""
 
-#: src/text.c:2992
+#: src/text.c:2994
 #, fuzzy
 msgid "Invoking spell checker, please wait"
 msgstr "Vključi črkovalnik, če je na voljo"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Preverjanje črkovanja je spodletelo: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Preverjanje črkovanja je spodletelo: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Končano preverjanje črkovanja"
 
-#: src/text.c:3037
+#: src/text.c:3039
 #, fuzzy
 msgid "No linter defined for this type of file!"
 msgstr "Ne dodajaj novih vrstic na konec datotek"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr ""
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr ""
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr ""
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr ""
 
-#: src/text.c:3311
+#: src/text.c:3313
 #, fuzzy
 msgid "At last message"
 msgstr "Pokaži to sporočilo"
 
-#: src/text.c:3316
+#: src/text.c:3318
 #, fuzzy
 msgid "At first message"
 msgstr "Pokaži to sporočilo"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr ""
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr ""
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr ""
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, fuzzy, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sBesede: %lu  Vrstice: %ld  Znaki: %lu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "V izboru:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Natančni vnos"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr ""
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 #, fuzzy
 msgid "No matches"
 msgstr "Ni ujemajočega oklepaja"
@@ -2622,74 +2649,77 @@ msgstr ""
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr ""
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, fuzzy, c-format
 msgid "Unicode Input: %s"
 msgstr "Vnos Unikod"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "MAPA:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Spremenjeno"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Pogled"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr ""
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, fuzzy, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "vrstica %ld/%ld (%d%%), stolpec %lu/%lu (%d%%), znak %lu/%lu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Urejevalnik besedil nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "različica"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Zaslužni za izid programa:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Posebna zahvala:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "The Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr ""
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Za ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "in vse, ki smo jih pozabili navesti ..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Hvala, ker uporabljate nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Preklopljeno na %s"
+
 #~ msgid ""
 #~ "Read %lu line (Converted from DOS and Mac format - Warning: No write "
 #~ "permission)"
@@ -2770,6 +2800,9 @@ msgstr "Hvala, ker uporabljate nano!"
 #~ "Premaknjena je na prednostno mesto (%s)\n"
 #~ "Za več podrobnosti si poglejte pogosto zastavljena vprašanja."
 
+#~ msgid "WhereIs Next"
+#~ msgstr "Išči nas."
+
 #~ msgid "Insert File"
 #~ msgstr "Vstavi dat."
 
@@ -2779,15 +2812,27 @@ msgstr "Hvala, ker uporabljate nano!"
 #~ msgid "Go to previous screen"
 #~ msgstr "Pojdi na predhodni zaslon"
 
+#~ msgid "Repeat last search"
+#~ msgstr "Ponovi zadnje iskanje"
+
 #~ msgid "Find Other Bracket"
 #~ msgstr "Najdi drug oklepaj"
 
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Uporaba ene vrstice več za urejanje"
+
 #~ msgid "Long line wrapping"
 #~ msgstr "Prelomi dolgih vrstic"
 
+#~ msgid "Backup files"
+#~ msgstr "Datoteke varnostnih kopij"
+
 #~ msgid "Multiple file buffers"
 #~ msgstr "Več medpomnilnikov datotek"
 
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Ni pretvorbe iz oblike DOS/Mac"
+
 #~ msgid "Soft line wrapping"
 #~ msgstr "Blagi prelomi vrstic"
 
@@ -2873,6 +2918,9 @@ msgstr "Hvala, ker uporabljate nano!"
 #~ msgid "Cannot add a header regex without a syntax command"
 #~ msgstr "Ni mogoče dodati logičnega izraza glave brez ukaza skladnje"
 
+#~ msgid "Fatal error: no keys mapped for function \"%s\""
+#~ msgstr "Usodna napaka: nobenih tipk ni preslikanih za funkcijo \"%s\""
+
 #~ msgid "Missing flag"
 #~ msgstr "Manjka zastavica"
 
Binary files 2.9.8-1/po/sr.gmo and 3.0-1/po/sr.gmo differ
diff -pruN 2.9.8-1/po/sr.po 3.0-1/po/sr.po
--- 2.9.8-1/po/sr.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/sr.po	2018-09-09 09:48:30.000000000 +0000
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano-2.9.4-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2018-03-19 05:33+0200\n"
 "Last-Translator: Мирослав Николић <miroslavnikolic@rocketmail.com>\n"
 "Language-Team: Serbian <(nothing)>\n"
@@ -25,82 +25,86 @@ msgid "Cannot open directory: %s"
 msgstr "Не могу да отворим директоријум: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Иди у директоријум"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Отказано"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Не могу да идем ван „%s“"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Не могу да идем директоријум изнад"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Грешка при читању „%s“: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Радни директоријум је нестао"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(дир)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(главни дир)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(велик)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Тражи"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [уназад]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Тражи у круг"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Ово је једина појава"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Нема шаблона текуће претраге"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Непознат назив синтаксе: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "„magic_load()“ није успело: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "„magic_file(%s)“ није успело: %s"
@@ -173,7 +177,7 @@ msgstr "Датотека „%s“ је 
 msgid "Can't read file from outside of %s"
 msgstr "Не могу да читам датотеку изван „%s“"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "„%s“ је директоријум"
@@ -183,26 +187,51 @@ msgstr "„%s“ је директори
 msgid "\"%s\" is not a normal file"
 msgstr "„%s“ није обична датотека"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Нема више међумеморије отворених датотека"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "Недостаје опција"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Прешао сам на %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Нова међумеморија"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, fuzzy, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "Учитах %zu ред"
+msgstr[1] "Учитах %zu реда"
+msgstr[2] "Учитах %zu редова"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Нема више међумеморије отворених датотека"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Датотека „%s“ није уписива"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
@@ -210,7 +239,7 @@ msgstr[0] "Учитах %zu ред (пр
 msgstr[1] "Учитах %zu реда (претворених из ДОС и Мекинтош записа)"
 msgstr[2] "Учитах %zu редова (претворених из ДОС и Мекинтош записа)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
@@ -218,7 +247,7 @@ msgstr[0] "Учитах %zu ред (пр
 msgstr[1] "Учитах %zu реда (претворених из Мекинтош записа)"
 msgstr[2] "Учитах %zu редова (претворених из Мекинтош записа)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
@@ -226,7 +255,7 @@ msgstr[0] "Учитах %zu ред (пр
 msgstr[1] "Учитах %zu реда (претворених из ДОС записа)"
 msgstr[2] "Учитах %zu редова (претворених из ДОС записа)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
@@ -234,89 +263,99 @@ msgstr[0] "Учитах %zu ред"
 msgstr[1] "Учитах %zu реда"
 msgstr[2] "Учитах %zu редова"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Нова датотека"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Нисам нашао датотеку „%s“"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "„%s“ је датотека уређаја"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Учитавам датотеку"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Наредба за извршавање у новој међумеморији"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Наредба за извршавање"
 
-#: src/files.c:1049
-#, c-format
-msgid "File to insert into new buffer [from %s]"
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Датотека за унос у нову међумеморију [из „%s“]"
+
+#: src/files.c:1101
+#, fuzzy, c-format
+msgid "File to read into new buffer [from %s]"
 msgstr "Датотека за унос у нову међумеморију [из „%s“]"
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Датотека за унос [из „%s“]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Датотека за унос [из „%s“]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Недозвољен тастер у не-вишемеђумеморијском режиму"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Неисправан радни директоријум\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Нисам успео да запишем датотеку резерве; да наставим са чувањем? (Одговорите "
 "са „N“ ако нисте сигурни.) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Неисправан директоријум резерве\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Не могу да пишем ван %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Грешка записивања датотеке резерве „%s“: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Превише резервних датотека?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Грешка писања привремене датотеке: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Грешка приликом писања „%s“: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
@@ -324,880 +363,872 @@ msgstr[0] "Уписах %zu ред"
 msgstr[1] "Уписах %zu реда"
 msgstr[2] "Уписах %zu редова"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [ДОС запис]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Мек запис]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Резерва]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Додаје избор на почетак датотеке"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Додаје избор на крај датотеке"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Уписује избор у датотеку"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Назив датотеке којој ће претходити"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Назив датотеке за којом ће следити"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Назив датотеке у којој ће уписати"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Датотека постоји —— не могу да је препишем"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Да сачувам датотеку под ДРУГАЧИЈИМ НАЗИВОМ? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Датотека „%s“ постоји, да ПРЕСНИМИМ? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Датотека на диску је измењена"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Датотека је измењена од када сте је отворили; да наставим са чувањем? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(још)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Изађи"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Затвори"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Не сеци текст"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Одравнај"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Читај датотеку"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Где је"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Замени"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "На ред"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Претходни ред"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Следећи ред"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Претходна страна"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Следећа страна"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Пораванај"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Пуно поравнање"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Освежи"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Где је слдћи"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Отказује текућу операцију"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Приказује текст ове помоћи"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Затвара текућу међумеморију / излази из нана"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Уписује текућу међумеморију (или назначену област) на диск"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Умеће другу фатотеку у текућу међумеморију (или у нову)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Тражи унапред ниску или регуларни израз"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Тражи уназа ниску или регуларни израз"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "Тражи ниску"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Тражи ниску"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Освежава списак датотека"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Иде на стубац са леве стане"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Иде на стубац са десне стане"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Иде на први ред у овом ступцу"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Иде на последњи ред у овом ступцу"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "На следећи екран"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "На претходни екран"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Исеца текући ред (или означену област) и смешта га у исечке"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Убацује исечак у текући ред"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Приказује положај курзора"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Покреће проверу правописа, ако је доступна"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Замењује ниску или регуларни израз"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "На ред и број ступца"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Понавља последњу претрагу"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Означава текст почевши од положаја курзора"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Исеца текући ред (или означену област) и смешта га у исечке"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Увлачи текући ред (или означене редове)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Поништава увлачење текућег реда (или означених редова)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Поништава последњу радњу"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Враћа последњу поништену радњу"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Иде један знак уназад"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Иде један знак унапред"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Иде једну реч уназад"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Иде једну реч унапред"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "На претходни ред"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "На следећи ред"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "На почетак текућег реда"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "На крај текућег реда"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Иде на претходни блок текста"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Иде на следећи блок текста"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "На почетак пасуса; затим претходног пасуса"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Иде одмах после краја пасуса; затим следећег пасуса"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Иде у први ред датотеке"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Иде у последњи ред датотеке"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "На одговарајућу заграду"
 
-#: src/global.c:591
+#: src/global.c:587
 #, fuzzy
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Помера се један ред горе без померања курсора"
 
-#: src/global.c:593
+#: src/global.c:589
 #, fuzzy
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Помера се један ред доле без померања курсора"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Пребацује се на међумеморију претходне датотеке"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Пребацује се на међумеморију следеће датотеке"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Умеће следећу дословност притиска тастера"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Умеће табулатор на положај курсора"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Умеће нови ред на положај курсора"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Брише знак под курзором"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Брише знак лево од курзора"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Исеца уназад од курзора до почетка реда"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Исеца унапред од курзора до почетка следеће речи"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Одсеца од положаја курзора до краја датотеке"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Поравнава текући пасус"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Поравнава читаву датотеку"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Броји речи, редова, и знакова"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Освежава (поново исцртава) текући екран"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Обуставља уређивача (ако је обустављање укључено)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Покушава и довршава текућу реч"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Поставља/уклања напомену текућег реда (или означених редова)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Чува датотеку без постављања упита"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Тражи следеће појављивање уназад"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Тражи следеће појављивање унапред"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Покреће/зауставља снимање макроа"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Покреће последњи снимљени макро"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Пребацује осетљивост величине слова у претрази"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Заокреће правац претраге"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Пребацује коришћење регуларних израза"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Опозива ниску претходне претраге и замене"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Опозива ниску следеће претраге и замене"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Пребацује коришћење ДОС записа"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Пребацује коришћење Мекинтош записа"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Пребацује додавање након"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Пребацује додавање пре"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Пребацује стварање резерве изворне датотеке"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Извршава спољну наредбу"
 
-#: src/global.c:659
+#: src/global.c:655
 #, fuzzy
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Уписује текућу међумеморију (или назначену област) на диск"
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Не претвара датотеке из ДОС/Мекинтош записа"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Пребацује коришћење нове међумеморије"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Затвара међумеморију без чувања"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Иде у прегледач датотека"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Излази из прегледача датотека"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Иде у прву датотеку на списку"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Иде у последњу датотеку на списку"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "На претходну датотеку на списку"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Иде у следећу датотеку на списку"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Иде у директоријум"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Покреће чистача, ако је доступан"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Иде на претходну поруку чистача"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Иде на следећу поруку чистача"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Покреће обликовача, ако је доступан"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Добави помоћ"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Откажи"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Испиши"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Читај датотеку"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Пораванај"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Освежи"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Где је"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Замени"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "У директорјум"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Исеци текст"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "На проверу писања"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "На чишћење"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Обликовач"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Положај курзора"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "На ред"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Опозови"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Поврати"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Означи текст"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Умножи текст"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Вел. слова"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Рег. израз"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Уназад"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Не мењај"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Пуно поравнање"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "До заграде"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Сачувај"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Где беше"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Претходно"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Следеће"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Назад"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Напред"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Претходна реч"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Следећа реч"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Почетак"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Крај"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Претходни ред"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Следећи ред"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Помакни горе"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Помакни доле"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Претходни блок"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Следећи блок"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Почeтaк пасуса"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Крај пасуса"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Претходна страна"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Следећа страна"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Први ред"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Последњи ред"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Претходна датотека"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Следећа датотека"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Табулатор"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Унеси"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Обриши"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Врати простор"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Исеци лево"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Исеци десно"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "Исеци до краја"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Изброј речи"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Вербатим"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Обустави"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Увуци текст"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Поништи увлачење"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
+msgstr "увлачење"
+
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
+msgstr "поништавање увлачења"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Комент. редове"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Доврши"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Сними"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Покрени макро"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Где беше"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Сачувај"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Прет. историјат"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "След. историјат"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "На текст"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "ДОС запис"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Мекинтош запис"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Додај позади"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Додај напред"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Направи резерву"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "издање"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Изврши наредбу"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "Умножи текст"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "У датотеке"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Прва датотека"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Пследња датотека"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Леви стубац"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Десни стубац"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Горњи ред"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Доњи ред"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Одбаци међумеморију"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Пртх пор чистч"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "След пор чистч"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Режим помоћи"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Сталан приказ положаја курзора"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Користи још један ред за уређивање"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Глатко клизање"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Слабо преламање превише дугих редова"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Приказ празнина"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Истицање синтаксе у боји"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Паметни тастер „Почетак“"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Самоувлачење"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Исецање до краја"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Јако преламање превише дугих редова"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Претварање укуцаних табулатора у размаке"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Резервне датотеке"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Читам датотеку у одвојену међумеморију"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Подршка за миша"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Без претварања из Мекинтош/ДОС записа"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Обустави"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Набрајање редова"
 
@@ -1426,15 +1457,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Помоћ за извршавање наредбе\n"
 "\n"
@@ -1446,7 +1476,22 @@ msgstr ""
 " Следећи тастери су доступни у овом режиму:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" Следећи тастери су доступни у режиму претраге прегледача:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1466,7 +1511,7 @@ msgstr ""
 "који приказује датотеку која се уређује. Ред са стањем је трећи ред одоздо и "
 "приказује важне поруке.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1483,7 +1528,7 @@ msgstr ""
 "помоћу тастера „Alt“, „Cmd“ или „Esc“, у зависности од подешавања ваше "
 "тастатуре.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1497,7 +1542,7 @@ msgstr ""
 "тастери су приказани у загради:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "— укључује/искључује"
 
@@ -1534,19 +1579,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Грешка писања „%s“: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Тастер је неисправан у режиму прегледа"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Ова функција је искључена у ограниченом режиму"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Помоћ није доступна"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1555,7 +1600,7 @@ msgstr ""
 "\n"
 "Међумеморија је уписана у %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1564,7 +1609,7 @@ msgstr ""
 "\n"
 "Међумеморија није уписана у %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1573,7 +1618,7 @@ msgstr ""
 "\n"
 "Међумеморија није уписана: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1584,7 +1629,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1593,7 +1638,7 @@ msgstr ""
 "Да поставите курзор на одређени ред у датотеци, ставите број реда са\n"
 "знаком + пре назива датотеке.  Број ступца се може додати после зареза.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1602,279 +1647,279 @@ msgstr ""
 "Када је назив датотеке -, нано чита податке са стандардног улаза.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Опција\t\tГнуова дуга опција\tЗначење\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Укључује паметни тастер „Почетак“"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Чува резерве постојећих датотека"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C [дир]"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=[дир]"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Директоријум за чување јединствених датотека резерве"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Користи подебљање уместо обрнутог видео текста"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Претвара укуцане табулаторе у размаке"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Чита датотеку у нову међумеморију по основи"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Користи (вим-стила) датотеке закључавања"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Бележи и чита историјат претраге/замене ниске"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Не тражи у нанорц датотекама"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Поправља проблеме тастера нумеричке тастатуре"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Не додаје нове редове на крајеве датотека"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Крати крајње размаке приликом јаког преламања"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Не претвара датотеке из ДОС/Мекинтош записа"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Користи још један ред за уређивање"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Бележи и чита место положаја курзора"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q [ниска]"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=[ниска]"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr ""
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Ограничени режим"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Премиче по ред уместо пола екрана"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T [#ступци]"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=[#ступци]"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Поставља ширину табулатора на „#ступци“ стубаца"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Обавља брзо чишћење траке стања"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Исписује податке о издању и излази"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Тачније открива границе речи"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X [ниска]"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=[ниска]"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Који други знаци су делови речи"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <назив>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<назив>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Одредница синтаксе за обојавање"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Приликом меког преламања, чини то на празнинама"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Непрекидно приказује положај курзора"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Поправља проблеме тастера Поврати простор/Обриши"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Приказује курзор у прегледачу датотека"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Приказује овај текст помоћи и излази"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Самостално увлачи нове редове"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Исеца од курзора до краја реда"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Приказује бројеве редова испред текста"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Укључује коришћење миша"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Не чита датотеку (само је пише)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o [дир]"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=[дир]"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Поставља радни директоријум"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Очувава тастере XON (^Q) и XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r [#стубац]"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=[#стубац]"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Поставља тачку јаког прелома на ступцу бр. стубац"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s [програм]"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=[програм]"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Укључује заменску проверу правописа"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Сам чува при излазу, не пита"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Чува датотеку по основи у Јуникс запису"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Режим прегледа (само за читање)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Не прелама јако дуге редове"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Не приказује два реда помоћи"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Укључује обуставу"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Укључује меко преламање редова"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " Гнуов нано, издање %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " © 2014—%s доприносиоци за нано\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Е-пошта: nano@nano-editor.org\tВеб: http://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1883,272 +1928,272 @@ msgstr ""
 "\n"
 " Уграђене опције:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Нема назива датотеке"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "Да сачувам измењену међумеморију?  (Ако одговорите са „Не“ измене ће се "
 "ОДБАЦИТИ.) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Нисам уепео да отворим стандардни улаз: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Не могу поново да отворим стандардни улаз са тастатуре, извините\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Примих SIGHUP или SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Користите „fg“ да се вратите у нано.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Обустава није укључена"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "укључено"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "искључено"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Развежи тастер"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Несвезиви тастер: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Развежи тастер: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Развежи тастер: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Развежи тастер: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Тражена величина табулатора %s је неисправна"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Тражена величина попуне %s је неисправна"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Укуцајте „%s -h“ за списак доступних опција.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Неисправан број реда или ступца"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Грешка у „%s“"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "ДдDdYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "НнNn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "АаАа"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Да"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Не"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Све"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Грешка у %s у %zu. реду: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Аргумент „%s“ садржи недовршени знак \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Ниске регуларних израза морају почети и завршити се знаком \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Лош регуларни израз „%s“: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Недостаје назив синтаксе"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Неупарени наводник у називу синтаксе"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Синтакса „none“ је резервисана"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Синтакса „default“ не прихвата проширења"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Недостаје назив тастера"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Назив тастера је прекратак"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Назив тастера мора почети са ^, M, или F"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Назив тастера „%s“ је неисправан"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Морате навести функцију за коју свезати тастер"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr "Морате навести изборник (или „all“) у коме свезати/развезати тастер"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Не могу да мапирам назив „%s“ ка функцији"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Не могу да мапирам назив „%s“ ка изборнику"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Функција „%s“ не постоји у изборнику „%s“"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Извините, ниска тастера „%s“ не може бити поново свезана"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Грешка ширења „%s“: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Нисам разумео боју „%s“"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Боја позадине не може бити светла"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Наредба „%s“ захтева да јој претходи наредба „syntax“"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Недостаје назив боје"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Недостаје ниска регуларног израза након наредбе „%s“"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Празна ниска регуларног израза"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "„start=“ захтева и одговарајући „end=“"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Синтакса „default“ не прихвата регуларне изразе „%s“"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Недостаје аргумент након „%s“"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Аргументу „%s“ недостаје затварајући \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Кобна грешка: нема мапираних тастера за функцију „%s“.  Излазим.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2156,62 +2201,62 @@ msgstr ""
 "Ако је потребно, користите нано са опцијом „-I“ да дотерате ваша подешавања "
 "нанорц-а.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Не могу да нађем синтаксу „%s“ за ширење"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Синтакса „%s“ нема наредбе боје"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Наредба „%s“ није дозвољена у укљученој датотеци"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Нисам разумео наредбу „%s“"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Недостаје опција"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Непозната опција „%s“"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Не могу да расподесим опцију „%s“"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Опција „%s“ захтева аргумент"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Аргумент није исправна вишебитна ниска"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Потребни су не-празни знаци"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Потребна су два знака једног-ступца"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Ја не могу да нађем мој лични директоријум! Бре, брате!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [разл. величину слова]"
@@ -2220,41 +2265,36 @@ msgstr " [разл. величину с
 msgid " [Regexp]"
 msgstr " [рег. израз]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [уназад]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (за замену) у избору"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (за замену)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Тражим..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "Нисам нашао „%.*s%s“"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Да заменим ову појаву?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Замени са"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2263,256 +2303,247 @@ msgstr[1] "Замених %zd појав
 msgstr[2] "Замених %zd појава"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Унесите број реда, број ступца"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Није заграда"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Нема одговарајуће заграде"
 
 # 48x48/emblems/emblem-marketing.icon.in.h:1
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Постављена ознака"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Поништена ознака"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Грешка при покретању „%s“-а"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Напомене нису подржане за ову врсту датотеке"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Не могу да прокоментаришем прошли крај датотеке"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Нема ничега у међумеморији поништавања!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "додавање текста"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "крај реда"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "брисање текста"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "спој реда"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "замена текста"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "исецање текста"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "поништавање исецања текста"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "уметање текста"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "увлачење"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "поништавање увлачења"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "уметни напомену"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "уклони напомену"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Радња поништавања обављеног (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Ничега за поновно обављање!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Радња поновног обављања (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Не могу да направим спојку"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Не могу да расцепим"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, fuzzy, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Нисам уепео да отворим стандардни улаз: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Лоша ниска за цитирање %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Сада могу да „одравнам“!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Реч се не може наћи: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Измените замену"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Следећа реч..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Правим списак погрешно унетих речи, сачекајте..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Не могу да добавим величину међумеморије спојке"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Грешка при покретању „spell“-а"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Грешка при покретању „sort -f“-а"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Грешка при покретању „uniq“-а"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Призивам проверу правописа, сачекајте мало"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Провера правописа није успела: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Провера правописа није успела: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Завршио сам проверу правописа"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Чистач није одређен за ову врсту датотеке!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Да сачувам измењену међумеморију пре чишћења?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Призивам чистача, сачекајте мало"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Добих 0 обрадивих редова од наредбе: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Ова порука је за неотворену датотеку „%s“, да је отворим у новој "
 "међумеморији?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Нема више грешака у неотвореним датотекама, отказујем"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "На последњу поруку"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "На прву поруку"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Завршено"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Призивам обликовача, сачекајте мало"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Обликовање је завршено"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sРечи: %zu  Редова: %zd  Знакова: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "У избору:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Улаз дословности"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Нема даљих поклапања"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Нема поклапања"
 
@@ -2542,80 +2573,125 @@ msgstr "Превише грешака с
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Непознати низ"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Улаз Уникода: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "ДИР:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Измењено"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Преглед"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Будућа упозорења су потиснута"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "ред %zd/%zd (%d%%), стубац %zu/%zu (%d%%), знак %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Уређивач текста нано"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "издање"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Припремили:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Посебно се захваљујемо:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "Задужбини слободног софтвера"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "многим преводиоцима и ТП-у"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "За ен-курсис:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "и свима осталима које смо пропустили..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Хвала вам што користите нано!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Прешао сам на %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Где је слдћи"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Понавља последњу претрагу"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Покреће обликовача, ако је доступан"
+
+#~ msgid "Formatter"
+#~ msgstr "Обликовач"
+
+#~ msgid "Indent Text"
+#~ msgstr "Увуци текст"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Поништи увлачење"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Користи још један ред за уређивање"
+
+#~ msgid "Backup files"
+#~ msgstr "Резервне датотеке"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Читам датотеку у одвојену међумеморију"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Без претварања из Мекинтош/ДОС записа"
+
 #~ msgid "Quoting string"
 #~ msgstr "Ниска за цитирање"
 
 #~ msgid "Reading from stdin, ^C to abort\n"
 #~ msgstr "Читам са стандардног улаза, ^C да прекинете\n"
 
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "Кобна грешка: нема мапираних тастера за функцију „%s“.  Излазим.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Завршено"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Призивам обликовача, сачекајте мало"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Обликовање је завршено"
+
 #~ msgid ""
 #~ "Detected a legacy nano history file (%s) which I tried to move\n"
 #~ "to the preferred location (%s) but encountered an error: %s"
Binary files 2.9.8-1/po/sv.gmo and 3.0-1/po/sv.gmo differ
diff -pruN 2.9.8-1/po/sv.po 3.0-1/po/sv.po
--- 2.9.8-1/po/sv.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/sv.po	2018-09-09 09:48:30.000000000 +0000
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: nano 2.9.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
 "PO-Revision-Date: 2017-11-20 19:01+0100\n"
 "Last-Translator: Josef Andersson <l10nl18nsweja@gmail.com>\n"
 "Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
@@ -28,82 +28,86 @@ msgid "Cannot open directory: %s"
 msgstr "Det går inte att öppna katalog: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Gå till katalog"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Avbruten"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Kan inte gå utanför %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Kan inte gå upp en katalog"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Fel vid inläsning av %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Arbetskatalogen har försvunnit"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(kat)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(föräldkat)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(enorm)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Sök"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Baklänges]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Sökningen började om från början"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Detta är enda förekomsten"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Inget aktuellt sökmönster"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Okänt syntaxnamn: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "Misslyckades med magic_load(): %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "Misslyckades med magic_file(%s): %s"
@@ -175,7 +179,7 @@ msgstr "Filen %s redigeras (av %s med %s
 msgid "Can't read file from outside of %s"
 msgstr "Det går inte att läsa fil från utanför %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" är en katalog"
@@ -185,1027 +189,1052 @@ msgstr "\"%s\" är en katalog"
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" är inte en normal fil"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Inga fler öppna filbuffertar"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "Saknad flagga"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "Växlade till %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
+msgstr[1] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Ny buffert"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, fuzzy, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "Läste %zu rad"
+msgstr[1] "Läste %zu rader"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Inga fler öppna filbuffertar"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Sökvägen ”%s” är inte skrivbar"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Läste %zu rad (konverterad från DOS- och Mac-format)"
 msgstr[1] "Läste %zu rader (konverterade från DOS- och Mac-format)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Läste %zu rad (konverterad från Mac-format)"
 msgstr[1] "Läste %zu rader (konverterade från Mac-format)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Läste %zu rad (konverterad från DOS-format)"
 msgstr[1] "Läste %zu rader (konverterade från DOS-format)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Läste %zu rad"
 msgstr[1] "Läste %zu rader"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Ny fil"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Filen \"%s\" kunde inte hittas"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" är en enhetsfil"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Läser filen"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Kommando att köra i ny buffert"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Kommando att köra"
 
-#: src/files.c:1049
-#, c-format
-msgid "File to insert into new buffer [from %s]"
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Fil att infoga i ny buffert  [från %s]"
+
+#: src/files.c:1101
+#, fuzzy, c-format
+msgid "File to read into new buffer [from %s]"
 msgstr "Fil att infoga i ny buffert  [från %s]"
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Fil att infoga [från %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Fil att infoga [från %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Tangenten ogiltig i icke-flerbuffertläget"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Ogiltig arbetskatalog\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Misslyckades med skrivning av säkerhetskopian, fortsätt spara? (N om "
 "osäker.) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Ogiltig katalog för säkerhetskopia\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Kan inte skriva utanför %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Fel vid skrivning av säkerhetskopian %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "För många säkerhetskopierade filer?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Fel vid skrivning av temporär fil: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Fel vid skrivning av %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Skrev %zu rad"
 msgstr[1] "Skrev %zu rader"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS-format]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac-format]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Säkerhetskopia]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Infoga markering till fil"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Lägg till markering till fil"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Skriv markering till fil"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Filnamn att infoga i"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Filnamn att lägga till i"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Filnamn att skriva"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Filen existerar -- kan inte skriva över"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Spara filen med ANNAT NAMN? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Filen ”%s” existerar, SKRIVA ÖVER? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Filen har ändrats på disk"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Filen har ändrats sedan du öppnade den; fortsätt spara? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(mer)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Avsluta"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Stäng"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Ångra klipp ut text"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Ojustera"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Läs fil"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Var finns"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Ersätt"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Gå till rad"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Föreg rad"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Nästa rad"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Föreg sid"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Nästa sid"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Justera"
-
-# Osäker
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Fulljstera"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Uppdatera"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "VarFinnsNäst"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Avbryt den aktuella funktionen"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Visa denna hjälptext"
 
-#: src/global.c:527
+#: src/global.c:523
 #, fuzzy
 msgid "Close the current buffer / Exit from nano"
 msgstr "Stäng aktuell filbuffert / Avsluta nano"
 
-#: src/global.c:529
+#: src/global.c:525
 #, fuzzy
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Skriv den aktuella filen till disk"
 
-#: src/global.c:531
+#: src/global.c:527
 #, fuzzy
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Infoga ytterligare en fil i den nuvarande"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Sök framåt efter en sträng eller ett reguljärt uttryck"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Sök bakåt efter en sträng eller ett reguljärt uttryck"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "Sök efter en sträng"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "Sök efter en sträng"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Uppdatera fillistan"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Gå till vänstra kolumnen"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Gå till högra kolumnen"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Gå till första raden i denna kolumn"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Gå till sista raden i denna kolumn"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Gå en hel skärm upp"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Gå en hel skärm ned"
 
-#: src/global.c:549
+#: src/global.c:546
 #, fuzzy
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Klipp ut den aktuella raden och lagra den i urklippsbufferten"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Klistra in från urklippsbufferten i aktuell rad"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Visa markörens position"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Starta stavningskontrollen, om tillgänglig"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Ersätt en sträng eller ett reguljärt uttryck"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Gå till rad- och kolumnnummer"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Upprepa senaste sökning"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Markera text med början vid markörpositionen"
 
-#: src/global.c:562
+#: src/global.c:558
 #, fuzzy
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "Kopiera den aktuella raden och lagra den i urklippsbufferten"
 
-#: src/global.c:563
+#: src/global.c:559
 #, fuzzy
 msgid "Indent the current line (or marked lines)"
 msgstr "Kommentera/avkommentera aktuell rad eller markerade rader"
 
-#: src/global.c:564
+#: src/global.c:560
 #, fuzzy
 msgid "Unindent the current line (or marked lines)"
 msgstr "Kommentera/avkommentera aktuell rad eller markerade rader"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Ångra senaste åtgärden"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Gör om den senaste ångraåtgärden"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Gå bakåt ett tecken"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Gå framåt ett tecken"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Gå bakåt ett ord"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Gå framåt ett ord"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Gå till föregående rad"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Gå till nästa rad"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Gå till början på aktuell rad"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Gå till slutet på aktuell rad"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Gå till föregående textblock"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Gå till nästa textblock"
 
 # Biten efter ; är konstig
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Gå till början på det aktuella stycket; sedan för föregående stycke"
 
 # Biten efter ; är konstig
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Gå till slutet på det aktuella stycket; sedan för nästa stycke"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Gå till filens första rad"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Gå till filens sista rad"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Gå till den matchande klammern"
 
-#: src/global.c:591
+#: src/global.c:587
 #, fuzzy
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Rulla upp en rad utan att rulla markören"
 
-#: src/global.c:593
+#: src/global.c:589
 #, fuzzy
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Rulla ned en rad utan att rulla markören"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Växla till föregående filbuffert"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Växla till nästa filbuffert"
 
 # Osäker
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Infoga nästa tecken ordagrant"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Infoga ett tabulatortecken vid markörpositionen"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Infoga ny rad-tecken vid markörpositionen"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Ta bort tecknet under markören"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Ta bort tecknet till vänster om markören"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Klipp ut bakåt från markören till ordets början"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Klipp ut framåt från markören till början på nästa ord"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Klipp ut från markörens position till slutet av filen"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Justera det aktuella stycket"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Justera hela filen"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Räkna antalet ord, rader och tecken"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Uppdatera (rita om) den aktuella skärmen"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Försätt redigeraren i vänteläge (om vänteläge är aktiverat)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Försök att komplettera det aktuella ordet"
 
-#: src/global.c:630
+#: src/global.c:626
 #, fuzzy
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Kommentera/avkommentera aktuell rad eller markerade rader"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Spara fil utan att fråga"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Sök nästa förekomst bakåt"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Sök nästa förekomst framåt"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Börja/avsluta inspelning av ett makro"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Kör det senast inspelade makrot"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Växla skiftlägeskänslig sökning"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Vänd riktning för sökningen"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Växla användningen av reguljära uttryck"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Återkalla den föregående sök/ersätt-strängen"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Återkalla nästa sök/ersätt-sträng"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Växla användning av DOS-format"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Växla användning av Mac-format"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Växla inmatning efter"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Växla inmatning före"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Växla säkerhetskopiering av originalfilen"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Kör externt kommando"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr ""
 
-#: src/global.c:662
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "Konvertera inte filer från DOS/Mac-format"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Växla användning av en ny buffert"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Stäng buffert utan att spara den"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Gå till filbläddrare"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Avsluta från filbläddraren"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Gå till första filen i listan"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Gå till sista filen i listan"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Gå till föregående fil i listan"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Gå till nästa fil i listan"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Gå till katalog"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Starta felkontrollen, om tillgänglig"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Gå till föregående felkontrmedd"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Gå till nästa felkontrmedd"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Starta formaterare, om tillgänglig"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Få hjälp"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Avbryt"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Skriv ut"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Läs fil"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Justera"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Uppdatera"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Var finns"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Ersätt"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Gå till katalog"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Klipp ut"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Stavkontr."
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Till felkontrollsverktyg"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formaterare"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Akt. pos"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Gå till rad"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Ångra"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Gör om"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Markera text"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Kopiera text"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Skiftkänsl"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Reguljärt uttr"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Bakåt"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Ingen ersättning"
 
-#: src/global.c:839
+# Osäker
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Fulljstera"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Till klammer"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Spara"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Var fanns"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Föregående"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Nästa"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Bakåt"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Framåt"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Föreg ord"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Nästa ord"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Hem"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Slut"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Föreg rad"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Nästa rad"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Rulla upp"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Rulla ned"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Föreg block"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Nästa block"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Börj på sty"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Slut på sty"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Föreg sid"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Nästa sid"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Första raden"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Sista raden"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Föregående fil"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Nästa fil"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tabb"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Retur"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Ta bort"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Backsteg"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Klipp vänster"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Klipp höger"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "KlippTillSlut"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Antal ord"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Ordagrann"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Vänteläge"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Dra in text"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Ångra indragning av text"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
+msgstr "indrag"
+
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
+msgstr "Ångra indragning"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Kommentera rader"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Komplettera"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Spela in"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Kör makro"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Var fanns"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Spara"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "FöregHisto"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "NästaHisto"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Gå till text"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS-format"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac-format"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Lägg till"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Infoga"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Säkerhetskopiera fil"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "version"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Kör kommando"
 
-#: src/global.c:1047
+#: src/global.c:1028
 #, fuzzy
 msgid "Pipe Text"
 msgstr "Kopiera text"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Till filer"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Första filen"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Sista filen"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Vänster kolumn"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Höger kolumn"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Översta raden"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Nedersta raden"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Kasta buffert"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Föreg felkontrolsmed"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Nästa felkontrollsmed"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Hjälpläge"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Konstant visning av markörposition"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Användning av ytterligare en rad för redigering"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Mjuk rullning"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Mjuk radbrytning av långa rader"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Visning av blanktecken"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Färgmarkering av syntax"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Smart hemtangent"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Automatisk indragning"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Klipp ut till slutet"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Fast radbrytning av långa rader"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Konvertering av inmatade tabulatorer till blanksteg"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Säkerhetskopiera filer"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Läser fil till separat buffert"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Musstöd"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Ingen konvertering från DOS/Mac-format"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Vänteläge"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Radnumrering"
 
@@ -1435,15 +1464,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Hjälptext för att kör kommando\n"
 "\n"
@@ -1454,7 +1482,22 @@ msgstr ""
 " Följande funktionstangenter är tillgängliga i läget kör kommando:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" Följande funktionstangenter är tillgängliga i sökläget:\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1474,7 +1517,7 @@ msgstr ""
 "visar filen som redigeras. Statusraden är tredje raden från nederkanten och "
 "visar viktiga meddelanden.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1492,7 +1535,7 @@ msgstr ""
 "sekvenser skrivs med metatecknet (M) och anges antingen med Esc-, Alt- eller "
 "Cmd-tangenten beroende på dina tangentbordsinställningar.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1506,7 +1549,7 @@ msgstr ""
 "huvudfönster. Alternativa tangenter visas inom parentes:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "aktivera/inaktivera"
 
@@ -1542,19 +1585,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Fel vid skrivning av %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Tangenten ogiltig i visningsläget"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Funktionen är inaktiverad i begränsat läge"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Hjälp är inte tillgängligt"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1563,7 +1606,7 @@ msgstr ""
 "\n"
 "Bufferten skrevs till %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1572,7 +1615,7 @@ msgstr ""
 "\n"
 "Bufferten skrevs inte till %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1581,7 +1624,7 @@ msgstr ""
 "\n"
 "Bufferten skrevs inte: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1592,7 +1635,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1601,7 +1644,7 @@ msgstr ""
 "För att placera markören på en specifik rad i en fil, ange radnummer med\n"
 "ett ”+” före filnamnet. Kolumnnumret kan sedan läggas till efter ett komma.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1610,280 +1653,280 @@ msgstr ""
 "När ett filnamn är ”-” läser nano data från standard in.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Flagga\t\tLång GNU-flagga\t\tBetydelse\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Aktivera smart hemtangent"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Spara säkerhetskopior av befintliga filer"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <kat>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<kat>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Katalog för att spara unika säkerhetskopior"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Använd fet stil istället för omvänd videotext"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Konvertera angivna tabulatorer till blanksteg"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Läs en fil till en ny buffert som standard"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Använd låsfiler (i vim-stil)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Logga och läs stränghistorik för sök/ersätt"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Titta inte i nanorc-filer"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Ta hand om förvirringsproblemet med numeriska tangentbordet"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Lägg inte till nya rader på slutet av filer"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr ""
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Konvertera inte filer från DOS/Mac-format"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Använd en rad till för redigering"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Logga & läs plats för markörposition"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "-Q <regex>"
 msgstr "-Q <str>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 #, fuzzy
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<str>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 #, fuzzy
 msgid "Regular expression to match quoting"
 msgstr "Sök med reguljärt uttryck"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Begränsat läge"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Rulla efter rad istället för halvskärm"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <kolumner>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<kolumner>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Ställ in bredden på ett tabbsteg till antal kolumner"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Gör en snabb rensning av statusraden"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Skriv ut versionsinformation och avsluta"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Identifiera ordgränsen mer noggrant"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <str>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<str>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Vilka andra tecken är orddelar"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <name>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<name>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Syntaxdefinition att använda för färger"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Radbryt vid mellanslag"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Visa markörposition hela tiden"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Fixa förvirringsproblemet med Backsteg/Delete"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Visa markör i filbläddraren"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Visa denna hjälptext och avsluta"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Dra automatiskt in nya rader"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Klipp ut från markören till slutet på raden"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Visa radnummer före texten"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Aktivera användning av musen"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Läs inte filen (skriv den bara)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <kat>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<kat>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Ställ in arbetskatalog"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Bevara XON (^Q)- och XOFF (^S)-tangenter"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <kolumner>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<kolumner>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Ställ in fast radbryt-punkt vid kolumnen #cols"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Använd alternativ stavningskontroll"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Spara automatiskt vid avslut, fråga inte"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Spara som standard en fil i Unix-format"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Visningsläge (skrivskyddat)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Använd inte fast radbryt för långa rader"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Visa inte de två hjälpraderna"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr ""
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Använd vänteläge"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Aktivera mjuk radbrytning"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, version %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s nanos skapare\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " E-post: nano@nano-editor.org\tHemsida: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1892,273 +1935,272 @@ msgstr ""
 "\n"
 " Kompileringsflaggor:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Inget filnamn"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "Spara ändrad buffert? (Att svara \"Nej\" kommer att FÖRKASTA ändringar.) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Misslyckades med att öppna stdin: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Kunde inte återöppna stdin från tangentbordet\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Mottog SIGHUP eller SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Använd \"fg\" för att återvända till nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Vänteläge är inte aktiverat"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "aktiverad"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "inaktiverad"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Obunden tangent"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Obindbar tangent:M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Obunden tangent:M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Obunden tangent:^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Obunden tangent:%c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Begärd tabulatorstorlek \"%s\" är ogiltig"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Begärd fyllningsstorlek \"%s\" är ogiltig"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Skriv ”%s -h” för en lista över tillgängliga flaggor.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Ogiltigt rad- eller kolumnnummer"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Misstag i ”%s”"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr ""
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "JjYy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Aa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Ja"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Nej"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Alla"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, fuzzy, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Fel i %s på rad %lu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Argumentet \"%s\" har ett oavslutat \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Strängar med reguljära uttryck måste börja och sluta med ett \"-tecken"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Felaktigt reguljärt uttryck \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Syntaxnamn saknas"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 #, fuzzy
 msgid "Unpaired quote in syntax name"
 msgstr "Syntaxnamn saknas"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Syntaxen \"none\" är reserverad"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Syntaxen \"default\" accepterar inte utökningar"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Saknar tangentnamn"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Tangentnamnet är för kort"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Tangentnamnet måste börja med ”^”, ”M” eller ”F”"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Tangentnamnet \"%s\" är ogiltigt"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Måste ange en funktion att binda tangenten till"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr "Måste ange en meny (eller \"all\") för att ändra bindning för tangent"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Kan inte mappa namnet ”%s” till en funktion"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Kan inte mappa namnet ”%s” till en meny"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Funktionen ”%s”  existerar inte i meny ”%s”"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Tangentnedtryckningen ”%s” kan inte bindas om"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Fel vid utökning av %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, fuzzy, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Förstår inte kommandot \"%s\""
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "En bakgrundsfärg kan inte vara ljus"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Ett ”%s”-kommando kräver ett föregående ”syntax”-kommando"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Färgnamn saknas"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Saknar regex-sträng efter ”%s”-kommando"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Tom sträng för reguljärt uttryck"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" kräver ett motsvarande \"end=\""
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Syntaxen \"default\" accepterar inte reguljära uttryck som ”%s”"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Saknar argument efter ”%s”"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Argumentet \"%s\" har ett oavslutat \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
 msgstr ""
-"Allvarligt fel: Inga tangenter mappade för funktionen \"%s\". Avslutar.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2166,62 +2208,62 @@ msgstr ""
 "Om det behövs, använd nano med flaggan -I för att justera dina nanorc-"
 "inställningar.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Kunde inte hitta syntax %s att utöka"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Syntax \"%s\" har inga färgkommandon"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Kommandot \"%s\" tillåts inte i inkluderad fil"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Förstår inte kommandot \"%s\""
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Saknad flagga"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Okänd flagga \"%s\""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Kan inte bort flaggan \"%s\""
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Flaggan \"%s\" kräver ett argument"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Argument är inte en giltig flerbytesträng"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Icke-blanktecken krävs"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Två enkel-kolumntecken krävs"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Jag kan inte hitta min hemkatalog! Buhu!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Skiftlägeskänslig]"
@@ -2230,41 +2272,36 @@ msgstr " [Skiftlägeskänslig]"
 msgid " [Regexp]"
 msgstr " [Reguljärt uttryck]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Baklänges]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (att ersätta) i markering"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (att ersätta)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Söker…"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" kunde inte hittas"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Ersätta denna förekomst?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Ersätt med"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2272,253 +2309,244 @@ msgstr[0] "Ersatte %zd förekomst"
 msgstr[1] "Ersatte %zd förekomster"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Ange radnummer, kolumnnummer"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Inte en klammer"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Ingen matchande klammer"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Markering satt"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Markera borttagen"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Fel vid start av \"%s\""
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Kommentarer stöds inte för denna filtyp"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Kan inte kommentera bortom filavslutet"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Inget i ångra-bufferten!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "lägg till text"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "radbryt"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "textborttagning"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "lägg ihop rad"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "textersättning"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "klipp ut text"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "ångra klipp ut text"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "textinmatning"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "indrag"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "Ångra indragning"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "kommentera"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "avkommentera"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Ångrade åtgärd (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Inget att göra om!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Gjorde om åtgärd (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Kunde inte skapa rör"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Kunde inte grena"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr ""
+
+#: src/text.c:1249
 #, fuzzy, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Misslyckades med att öppna stdin: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Felaktig citeringssträng %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Kan ojustera nu!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Ord kan inte hittas: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Redigera en ersättning"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Nästa ord…"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Skapar lista över felstavade ord, var vänlig vänta…"
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Kunde inte få tag i rörbuffertens storlek"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Fel vid start av \"spell\""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Fel vid start av \"sort -f\""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Fel vid start av \"uniq\""
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Starta stavningskontrollen"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Stavningskontrollen misslyckades: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Stavningskontrollen misslyckades: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Stavningskontrollen slutfördes"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Ingen felkontroll definierad för denna typ av fil!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Spara ändrad buffert före felkontroll?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Startar felkontroll, vänta."
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Fick 0 tolkningsbara rader från kommando: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr "Meddelandet är för oöppnade filen %s, öppna den i en ny buffer?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Inga fler fel i oöppnade filer, avbryter"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Vid sista meddelandet"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Vid första meddelandet"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Slutförd"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Startar formaterare, vänta"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Formatering slutfördes"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, fuzzy, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sOrd: %lu  Rader: %ld  Tecken: %lu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "I markering:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Ordagrann inmatning"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Inga fler träffar"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Inga matchningar"
 
@@ -2548,83 +2576,116 @@ msgstr "För många fel från stdin"
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Okänd sekvens"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Unicode-inmatning:%s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "KAT:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Ändrad"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Visa"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Ytterligare varningar doldes"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, fuzzy, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "rad %ld/%ld (%d%%), kolumn %lu/%lu (%d%%), tecken %lu/%lu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Textredigeraren nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "version"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Presenteras av:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Ytterligare tack till:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "de många översättarna och TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "För ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "och alla andra som vi har glömt…"
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Tack för att du använder nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Växlade till %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "VarFinnsNäst"
+
 #~ msgid "Exit from nano"
 #~ msgstr "Avsluta nano"
 
+#~ msgid "Repeat the last search"
+#~ msgstr "Upprepa senaste sökning"
+
 #~ msgid "Indent the current line"
 #~ msgstr "Dra in aktuell rad"
 
 #~ msgid "Unindent the current line"
 #~ msgstr "Ångra indragning av aktuell rad"
 
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Starta formaterare, om tillgänglig"
+
+#~ msgid "Formatter"
+#~ msgstr "Formaterare"
+
+#~ msgid "Indent Text"
+#~ msgstr "Dra in text"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Ångra indragning av text"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Användning av ytterligare en rad för redigering"
+
+#~ msgid "Backup files"
+#~ msgstr "Säkerhetskopiera filer"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Läser fil till separat buffert"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Ingen konvertering från DOS/Mac-format"
+
 #~ msgid "Quoting string"
 #~ msgstr "Citatsträng"
 
@@ -2647,9 +2708,22 @@ msgstr "Tack för att du använder nano!
 #~ "\"cyan\", \"magenta\" och \"black\" (svart), med\n"
 #~ "valfria prefixet \"bright\" (ljus) för förgrundsfärger."
 
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Allvarligt fel: Inga tangenter mappade för funktionen \"%s\". Avslutar.\n"
+
 #~ msgid "Can unindent only by a full tab size"
 #~ msgstr "Kan endast avindentera med hel tabbstorlek"
 
+#~ msgid "Finished"
+#~ msgstr "Slutförd"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Startar formaterare, vänta"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Formatering slutfördes"
+
 #~ msgid "Wrote %lu line"
 #~ msgid_plural "Wrote %lu lines"
 #~ msgstr[0] "Skrev %lu rad"
Binary files 2.9.8-1/po/tr.gmo and 3.0-1/po/tr.gmo differ
diff -pruN 2.9.8-1/po/tr.po 3.0-1/po/tr.po
--- 2.9.8-1/po/tr.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/tr.po	2018-09-09 09:48:30.000000000 +0000
@@ -6,10 +6,10 @@
 # Volkan Gezer <volkangezer@gmail.com>, 2017.
 msgid ""
 msgstr ""
-"Project-Id-Version: nano-2.9.8-pre1\n"
+"Project-Id-Version: nano-3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-28 02:27+0300\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-30 17:47+0300\n"
 "Last-Translator: Mehmet Kececi <mkececi@mehmetkececi.com>\n"
 "Language-Team: Turkish <gnu-tr-u12a@lists.sourceforge.net>\n"
 "Language: tr\n"
@@ -26,82 +26,86 @@ msgid "Cannot open directory: %s"
 msgstr "Dizin açılamıyor: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Dizine Git"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "İptal edildi"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "%s dışına çıkamazsın"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Bir üst dizine geçilemiyor"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Okuma hatası %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Çalışma dizini kayboldu"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(dizin)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(üst dir)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(büyük)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Ara"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Geriye Doğru]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Arama Döngülendi"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Bu tek olaydır"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Geçerli bir arama deseni yok"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Bilinmeyen sözdizimi adı: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() hatalı: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) hatalı: %s"
@@ -172,7 +176,7 @@ msgstr "%s dosyası düzenlenmiştir (%s
 msgid "Can't read file from outside of %s"
 msgstr "%s'in dışında dosyayı dışarıdan okuyamaz"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" bir dizindir"
@@ -182,1009 +186,1025 @@ msgstr "\"%s\" bir dizindir"
 msgid "\"%s\" is not a normal file"
 msgstr "\"%s\" normal bir dosya değildir"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Artık açık dosya tamponları yok"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "yazım düzeltmesi"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu satırları (%s)"
 
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "%s'e geçildi"
-
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Yeni Arabellek"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu satırları"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Artık açık dosya tamponları yok"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "'%s' dosyası yazılabilir değildir"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "%zu satır okundu (DOS ve Mac biçiminden dönüştürüldü)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "%zu satır okundu (Mac biçiminden dönüştürüldü)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "%zu satır okundu (DOS biçiminden dönüştürüldü)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "%zu satırnı oku"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Yeni Dosya"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "\"%s\" dosyası bulunamadı"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" bir aygıt dosyasıdır"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Dosya Okunuyor"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Yeni tamponda çalıştırılacak komut"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Çalıştırılacak komut"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "Yeni arabelleğe eklenecek dosya [%s'den]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "[%s'den] yeni arabelleğe dönüştürülmemiş okunacak dosya"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "[%s'den] yeni arabelleğe okunacak dosya"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "[%s tarafından] dönüştürülmemiş eklenecek dosya"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Eklenecek dosya [%s tarafından]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Anahtar çoklu olmayan arabellek kipinde geçersiz"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Geçersiz işletim dizini\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Yedek dosya yazımı başarısız; kaydetmeye devam edecek misiniz? (Emin "
 "değilsen H deyin.) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Geçersiz yedek dizini\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "%s'in dışına yazılamaz"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "%s yedek dosyası yazılırken hata oluştu: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Çok fazla yedek dosyası?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Geçici dosya yazarken hata oluştu: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Yazma hatası %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "%zu satır yazıldı"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS Biçimi]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac Biçimi]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Yedek]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Seçimi Dosyanın Başına Ekle"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Seçimi Dosyanın Sonuna Ekle"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Seçimi Dosyaya Yaz"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Başına Eklenecek Dosya Adı"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Sonuna Eklenecek Dosya Adı"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Yazılacak Dosya Adı"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Çok küçük"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Dosya mevcut -- üzerine yazılamıyor"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Dosyayı FARKLI İSİMDE kaydet? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "\"%s\" dosyası mevcut; ÜZERİNE YAZ? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Disk üzerindeki dosya değişmiştir"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Dosya açtığınızdan bu yana değiştirilmiş, kayda devam et? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(daha)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Çık"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Kapat"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Metni Kesme"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "Düzeni Kaldır"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Dosya Oku"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Ara"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Değiştir"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Satıra Git"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Önceki Satır"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Sonraki Satır"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Önceki Sayfa"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Sonraki Sayfa"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Yasla"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "İki Yana Yaslama"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Tazele"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Sonraki Nrde"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Yürürlükteki fonksiyonu iptal et"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Bu yardım metnini göster"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Geçerli dosya tamponunu kapat / Nanodan çık"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Geçerli tamponu (veya işaretli bölgeyi) diske yazın"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Geçerli arabelleğe (veya yeni arabelleğe) başka bir dosya ekleyin"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Bir dize veya normal ifade için ileriye doğru arama"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Bir dize veya bir düzenli ifade için geriye doğru arama"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Bir metin ara"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Bir dize için ileri arama"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Bir dize için geri arama"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Dosya listesini yenile"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Sol sütuna geç"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Sağ sütuna geç"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Bu sütundaki ilk satıra git"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Bu sütundaki son satıra git"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Bir ekran yukarı git"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Bir ekran aşağı git"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Mevcut satırı kesin (veya işaretli bölge) ve kesme arabelleğinde saklayın"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Şu anki satıra kesim arabelleğini yapıştır"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "İmlecin konumunu göster"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Yazım denetleyicisini çağır, eğer mümkün ise"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Bir dizgi ya da düzenli ifadeyi değiştir"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Satır ve sütun numarasına git"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Son aramayı tekrarla"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "İmleç konumundan başlayan metni işaretle"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Geçerli satırı (veya işaretli bölge) kopyalayıp kesme arabelleğinde saklayın"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Geçerli satıra (veya işaretli satırlara) girinti yapın"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Geçerli satırı (veya işaretli satırları) kaldırın"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Son işlemi geri al"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Son geri alınan işlemi yeniden yap"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Bir karakter geri git"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Bir karakter ileri git"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Bir kelime geri git"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Bir kelime ileri git"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Önceki satıra git"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Sonraki satıra git"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Geçerli satırın başına git"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Geçerli satırın sonuna git"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Önceki metin bloğuna git"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Sonraki metin bloğuna git"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Paragrafın başına ve ardından önceki paragrafın başına git"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "Paragrafın sonuna ve ardından sonraki paragrafın sonuna git"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Dosyanın ilk satırına git"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Dosyanın son satırına git"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Eşleşen paranteze git"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "İmleci metinsel olarak hareket ettirmeden bir satır yukarı kaydır"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "İmleci metinsel olarak hareket ettirmeden bir satır aşağı kaydır"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Bir önceki dosya arabelleğine geç"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Sonraki dosya tamponuna geç"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Sonraki tuş vuruşunu birebir ekle"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "İmleç konumunu bir sekme ekle"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "İmleç konumuna yeni bir satır ekle"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "İmlecin altındaki karakteri sil"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "İmlecin solundaki karakteri sil"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "İmleçten kelime başlangıcına kadar kes"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "İmleçten sonraki kelime başlangıcına kadar ileri kes"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "İmleç yerinden dosyanın sonuna kadar kes"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Şu anki paragrafı yasla"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Dosyanın tamamını yasla"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Kelimeleri, satırları ve karakterleri say"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Şu anki ekranı tazele (yeniden çiz)"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Düzenleyiciyi askıya al (askıya alma etkinse)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Geçerli kelimeyi tamamlamayı dene"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Geçerli satırı (veya işaretli satırları) yorumlama/yorumlamama"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Dosyayı sormadan kaydet"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Geriye doğru sonrakini ara"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Sonrakini ileri ara"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Bir makro kaydını başlat/durdur"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Son kaydedilen makro çalıştırma"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Büyük/küçük harfe duyarlı arama seçimi"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Arama yönünü tersine çevir"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Düzenli ifade kullanımını aç/kapat"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Önceki arama/değiştirme dizgisini geri çağır"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Sonraki arama/değiştirme dizgisini geri çağır"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "DOS biçiminin kullanımını değiştir"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Mac biçiminin kullanımını değiştir"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Eklemeyi aç/kapat"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Öne eklemeyi aç/kapat"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Özgün dosyanın yedeklenmesini aç/kapat"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Harici komut çalıştır"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Geçerli tamponu (veya işaretli bölgeyi) komuta yöneltin"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "Dosyaları DOS/Mac biçiminden dönüştürme"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Yeni bir tampon kullanımını aç/kapat"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Tamponu kaydetmeden kapat"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Dosya tarayıcısına git"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Dosya yöneticisinden çık"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Listedeki ilk dosyaya git"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Listedeki son dosyaya git"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Listedeki önceki dosyaya git"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Listedeki sonraki dosyaya git"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Dizine git"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Linter mevcutsa uygula"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Bir önceki linter mesajına git"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Bir sonraki linter mesajına git"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Mevcutsa biçimlendiriciyi uygula"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Yardım Al"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "İptal"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Yaz"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Dosya Oku"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Yasla"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Tazele"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Ara"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Değiştir"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Dizine Git"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Metni Kes"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Denetime"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "Linter'a"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Biçimlendirici"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "İmleç Pozisyonu"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Satıra Git"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Geri Al"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Yinele"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Metni İşaretle"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Metni Kopyala"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "Harf Duyarlı"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "Düzenli İfade"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Geriye Doğru"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Değiştirme Yok"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "İki Yana Yaslama"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Paranteze"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Kaydet"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Neredeydi"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Önceki"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Sonraki"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Geri"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "İleri"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Önceki Kelime"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Sonraki Kelime"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Ev"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Son"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Önceki Satır"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Sonraki Satır"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Yukarı Kaydır"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Aşağı Kaydır"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Önceki Blok"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Sonraki Blok"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Par Başına"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Par Sonuna"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Önceki Sayfa"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Sonraki Sayfa"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "İlk Satır"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Son Satır"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Önceki Dosya"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Sonraki Dosya"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Sekme"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Gir Tuşu"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Sil"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Geri tuşu"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Sola Kes"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Sağa Kes"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "SonaKadarKes"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Kelime Sayısı"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Birebir"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Askıya Al"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Metni Girintile"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Metindeki Girintiyi Kaldır"
+#: src/global.c:956
+msgid "Indent"
+msgstr "Girinti"
+
+#: src/global.c:958
+msgid "Unindent"
+msgstr "Girintiyi kaldır"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Satırları Yorumla"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Tamam"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Kayıt"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Makro çalıştır"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Neredeydi"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Kaydet"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "Önckigeçmş"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "Snrkigçmş"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Yazıya Git"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS Biçimi"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac Biçimi"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Sonuna Ekle"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Başına Ekle"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Yedek Dosyası"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Dönüşüm Yok"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Komut Çalıştır"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "Taşınan Metin"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Dosyalara"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "İlk Dosya"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Son Dosya"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Sol Sütun"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Sağ Sütun"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Üst Satır"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Alt Satır"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Tamponu unut"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Önceki Lint Msj"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Sonraki Lint Msj"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Yardım Kipi"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Sabit imleç pozisyonu gösterimi"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Düzenleme için birden fazla satır kullan"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Yumuşak kaydırma"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Uzun satırların yumuşak kaydırılması"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Boşluk göster"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Renkli sözdizimi vurgusu"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Akıllı ev tuşu"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Otomatik hizala"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Sonuna kes"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Uzun satırların katı kaydırılması"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Sekmelerin boşluğa dönüşümü"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Yedek dosyaları"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Dosyanın ayrı tampona okunması"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Fare Desteği"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "DOS/Mac biçimi dönüşümü yok"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Askıya al"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Satır numaralandırma"
 
@@ -1417,23 +1437,31 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "Komut Yardımı Metnini Çalıştırma\n"
 "\n"
-" Komut yardımcı metin modu geçerli arabellek (veya birden çok dosya "
-"arabellek modunun yeni bir arabellek) kabuk tarafından girmek bir komutun "
-"çıktısını eklemenize olanak sağlar bu yürütmek.  Başka bir boş arabellek "
-"gerekiyorsa, herhangi bir komut girmeyin.\n"
+" Bu mod, kabuk tarafından çalıştırılan komutun çıktısını geçerli arabelleğe "
+"(veya yeni bir arabelleğe) eklemenizi sağlar. Komut önceliği ise '|' (boru "
+"sembolü), tamponun mevcut içeriğini (veya işaretli bölge) komuta verilir."
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
 "\n"
-" Aşağıdaki işlev tuşlarını yürütmek komut modunda kullanılabilir:\n"
+msgstr ""
+" Çalıştırılabilir Komut kipinde aşağıdaki işlev tuşları kullanılabilir:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1453,7 +1481,7 @@ msgstr ""
 "dosyanın gösterildiği ana düzenleyici penceresi bulunur.  Alttan üçüncü "
 "satır durum satırıdır ve önemli mesajları gösterir.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1469,7 +1497,7 @@ msgstr ""
 "Meta-tuşu bileşenleri 'M-' ile gösterilmiştir ve klavye yapılandırmasına "
 "göre Alt, Cmd veya ESC tuşları ile girilebilir.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1483,7 +1511,7 @@ msgstr ""
 "tuşlar parantez içinde gösterilmiştir:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "etkin/etkisiz"
 
@@ -1519,19 +1547,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "%s yazarken hata: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Tuş görünüm kipinde geçersizdir"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Bu fonksiyon kısıtlı kipte geçersizdir"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Yardım kullanılabilir değil"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1540,7 +1568,7 @@ msgstr ""
 "\n"
 "Arabellek %s olarak yazıldı\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1549,7 +1577,7 @@ msgstr ""
 "\n"
 "Arabellek %s'ye yazılamadı: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1558,7 +1586,7 @@ msgstr ""
 "\n"
 "Arabellek yazılamadı: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1569,7 +1597,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1579,7 +1607,7 @@ msgstr ""
 "dosya adından\n"
 "önce '+' ile koyun.  Sütun numarası bir virgülden sonra eklenebilir.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1588,277 +1616,277 @@ msgstr ""
 "Nezaman bir dosya adı '-', nano veriyi standart girdiden okur.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Seçenek\t\tGNU uzun seçenek\t\tAnlamı\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Akıllı ev tuşunu etkinleştir"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Var olan dosyaların yedeklerini kaydet"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <dir>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Benzersiz yedek dosyalarını kaydetmek için dizin"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Ters video metni yerine kalın kullan"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Yazılan sekmeleri boşluklara dönüştür"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Varsayılan olarak dosyayı yeni bir tampona oku"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Kilit dosyaları (vim biçemi) kullan"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Metin arama/değiştirme geçmişini oku & günlükle"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "nanorc dosyalarına bakma"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Sayısal tuş karmaşıklığı sorununu çöz"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Dosya sonlarına yeni satırlar ekleme"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Sabit-sarma yaparken kuyruk boşluklarını kırp"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Dosyalaro DOS/Mac biçiminden dönüştürme"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Düzenlemek için bir satır daha kullan"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "İmleç konumunun konumunu tut ve oku"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <regex>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<regex>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "Alıntıyı eşleştirmek için normal ifade"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Sınırlı mod"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Yarım ekran yerine satır kaydır"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#cols>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#cols>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Bir sekme genişliğini #süt sütuna ayarla"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Hızlı durum çubuğu boşaltması yap"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Sürüm bilgisini yaz ve çık"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Kelime sınırlarını daha isabetli algıla"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <dizge>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<dizge>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Hangi diğer karakterler kelime bölümleri"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <isim>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<isim>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Renklendirmek için sözdizimi tanımı"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Ne zaman yumuşak-kaydırma, onu boşluk yap"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "İmleç pozisyonunu daimi göster"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Backspace/Delete karışıklığını düzelt"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Dosya tarayıcısında imleci göster"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Bu yardım metnini göster ve çık"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Yeni satırlarda otomatik paragraf başı yap"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "İmlecin bulunduğu yerden satır sonuna kadar kes"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Metnin önünde satır numaralarını göster"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Fare kullanımı etkin"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Dosyayı okuma (sadece yaz)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <dir>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<dir>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Çalışma dizinini belirle"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "XON (^Q) ve XOFF (^S) tuşlarını sakla"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#cols>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#cols>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "#süt sütununda sabit kaydırma noktası ayarla"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <prog>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<prog>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Alternatif yazım kontrolcüsü etkin"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Çıkışta sormaksızın otomatik kaydet"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Dosyayı varsayılan olarak Unix biçiminde kaydet"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Görünüm modu (salt okunur)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Uzun satırları zorla kaydırma"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "İki yardım satırını gösterme"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Ctrl+Sağ kelime bitiminde durdurur"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Asıkya alma aktif"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Yumuşak satır kaydırmayı etkinleştir"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, sürüm %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s nano katkıcıları\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " E-posta: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1867,274 +1895,272 @@ msgstr ""
 "\n"
 " Derleme seçenekleri:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Dosya adı yok"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr ""
 "Değiştirilen tampon kaydeidlsin mi?  (\"Hayır\" demek değişiklikleri "
 "SİLECEK.) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "Standart girdiden okuma; bitirmek için ^D veya ^D^D yazın.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Açılma hatası stdin: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "stdin klavyeden yeniden açılamadı, üzgünüz\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "SIGHUP ya da SIGTERM sinyali alındı\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr "Özür dileriz! Nano çöktü!  Kod: %d.  Lütfen bir hata bildirin.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Nanoya geri dönmek için \"fg\" tkullan.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Askıya alma etkin değil"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "etkin"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "etkisiz"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Tuş atamasını kaldır"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Atama kaldırılamaz tuş: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Tuş atamasını kaldır: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Tuş atamasını kaldır: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Tuş atamasını kaldır: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "İstenen sekme boyutu \"%s\" geçersiz"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "istenen doldurma değeri \"%s\" geçerli değil"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Kullanılabilir seçeneklerin bir listesi için '%s -h' yazın.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Geçersiz satır veya sütun numarası"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "'%s' olarak hatalar"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Nano'ya hoşgeldiniz.  Temel yardım için Ctrl+G tuşlarına basın."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Ee"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Hh"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Tt"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Evet"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Hayır"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Tümü"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Error in %s on line %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "'%s' argümanı sonlandırılmamış bir \" içeriyor"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Düzenli ifade satırları \" işareti ile başlamak ve bitmek zorundadır"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Kötü düzenli i̇fade \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Sözdizim ismi eksik"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Sözdizimi adında eşleşmeyen alıntı"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "\"none\" sözdizimi ayrılmış"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "\"default\" sözdizimi uzantıları kabul etmiyor"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Eksik anahtar adı"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Tuş adı çok kısa"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Tuş adı şunlarla başlamalı \"^\", \"M\", veya \"F\""
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Tuş adı %s geçersiz"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Anahtarın bağlayacağı bir işlev belirtmeli"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr "Anahtarın bağlanacağı/kaldırılacağı bir menü (veya \"all\") belirtmeli"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "\"%s\" adı bir işleve eşlenemiyor"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "\"%s\" adı bir menüye eşlenemiyor"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "'%s' fonksiyonu '%s' menüsünde yok"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Üzgünüz, \"%s\" tuş vuruşu tekrar atanamayabilir"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "%s genişletilirken hata: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Renk \"%s\" anlaşılmadı"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Bir arka plan rengi parlak olamaz"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Bir '%s' komutu öncesinde bir 'sözdizimi' komutu gerektirir"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Renk ismi eksik"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "'%s' komutundan sonra düzenli ifade eksik"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Boş düzenli ifade dizgisi"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\", \"end=\"e ihtiyaç duyar"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "\"Varsayılan\" sözdizimi '%s' regexes kabul etmez"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "'%s' sonrasında eksik değişken"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Bağımsız değişken '%s' kapanma eksikliği \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr ""
-"Ölümcül hata: \"%s\" işlevi için eşlenen hiçbir tuş haritalanamadı.  "
-"Çıkılıyor.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr "Hiçbir anahtar '%s' menüsünde '%s' işlevine bağlı değildir. Çıkıyor.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2142,62 +2168,62 @@ msgstr ""
 "Gerekirse, nano ile -I seçeneğini kullanın nanorc ayarlarınızı belirlemek "
 "için.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Sözdizimi genişletmek için \"%s\" bulunamadı"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Sözdizimi \"%s\" renk komutlarına sahip değildir"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Dosyada \"%s\" komutunun kullanımına izin verilmiyor"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "\"%s\" komutu anlaşılamadı"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Eksik seçenek"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Bilinmeyen seçenek \"%s\""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "\"%s\" seçeneği silinemiyor"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "\"%s\" seçeneği bir bağımsız değişkene ihtiyaç duyuyor"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Argüman geçerli bir çokbaytlı dizge değil"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Boş olmayan karakter gerekli"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "İki tek sütün karakter gerekli"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Ev dizinimi bulamıyorum!  Vay canına!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Büyük / Küçük Harfe Duyarlı]"
@@ -2206,295 +2232,281 @@ msgstr " [Büyük / Küçük Harfe Duyar
 msgid " [Regexp]"
 msgstr " [Düzenli İfade]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Geriye Doğru]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (değiştirilecek) seçimde"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (değiştirilecek)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Aranıyor..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" bulunamadı"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Bu bulgu değiştirilsin mi?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "İle değiştir"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
 msgstr[0] "Değiştirilen %zd oluşumu"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Satır numarasını, sütun numarasını girin"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Ayraç değil"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Eşleşen ayraç yok"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "İşaretle"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Metni İşaretleme"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "\"%s\" çağrılmasında hata"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Yorumlama bu dosya türü için desteklenmiyor"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Dosyanın sonundan sonra yorum yapılamaz"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Geri al tamponu boş!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "metin ekleme"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "satır sonu"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "metin silme"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "satırı birleştir"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "metni değiştir"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "metin kesme"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "metin kesmesi iptal"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "metin ekle"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "filtreleme"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "girinti"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "Girintisini kaldır"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "yorumla"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "yorumu kaldır"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Eylem geri alındı (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Yeniden yapılacak hiçbir şey yok!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Eylem geri alındı (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Boru yaratılamadı"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Fork işlemi gerçekleştirilemedi"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "filtreleme"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Hat açılamadı: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Hatalı alıntı dizgesi %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Şmdi yaslamayı geri alabilirsiniz!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Ulaşılamıyan kelime: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Bir yerdeğiştirmeyi düzenle"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Sonraki kelime..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Yazım hatası içeren kelimeler listeleniyor, lütfen bekleyiniz..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Boru arabelleğinin boyutu alınamıyor"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "\"spell\" çağırılırken hata"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "\"sort -f\" çağırılırken hata"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "\"uniq\" çağırılırken hata"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Yazım denetleyici uygulanıyor, lütfen bekleyin"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Yazım kontrolü başarısız oldu: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Yazım kontrolü başarısız oldu: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Yazım kontrolü bitti"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Bu dosya türü için tanımlanmış hiçbir linter yok!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Haddelenmeden önce değiştirilmiş arabellek kaydedilsin mi?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Linter çağırma, lütfen bekleyin"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Komuttan 0 ayrıştırılabilir satırlar var: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Bu mesaj için %s açılmamış dosyası, yeni bir arabellekte mi onu açalım?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Açılmamış dosyalarındaki yok daha fazla hata yok, iptal ediliyor"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Son mesajda"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "İlk mesajda"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Bitti"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Biçemleyici çağırma, lütfen bekleyin"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Biçimlendirme bitti"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sKelimeler: %zu  Satırlar: %zd  Karakterler: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "Seçimde:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Birebir Girdi"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Sözcük parçası yok"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Başka eşleşme yok"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Eşleşme yok"
 
@@ -2524,74 +2536,121 @@ msgstr "stdin den çok sayıda hata"
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Bilinmeyen sıralama"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Unicode giriş: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "DIR:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Değiştirildi"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Görünüm"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Diğer uyarılar bastırıldı"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "satır %zd/%zd (%d%%), sütun %zu/%zu (%d%%), karakter %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Nano metin düzenleyicisi"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "sürüm"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Size sağlayan:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Özel teşekkürler:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "The Free Software Foundation"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "Birçok çevirmen ve TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "ncurses için:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "ve unuttuğumuz kişilere..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Nano'yu kullandığınız için teşekkür ederiz!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "%s'e geçildi"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Sonraki Nrde"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Son aramayı tekrarla"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Mevcutsa biçimlendiriciyi uygula"
+
+#~ msgid "Formatter"
+#~ msgstr "Biçimlendirici"
+
+#~ msgid "Indent Text"
+#~ msgstr "Metni Girintile"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Metindeki Girintiyi Kaldır"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Düzenleme için birden fazla satır kullan"
+
+#~ msgid "Backup files"
+#~ msgstr "Yedek dosyaları"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Dosyanın ayrı tampona okunması"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "DOS/Mac biçimi dönüşümü yok"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr ""
+#~ "Ölümcül hata: \"%s\" işlevi için eşlenen hiçbir tuş haritalanamadı.  "
+#~ "Çıkılıyor.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Bitti"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Biçemleyici çağırma, lütfen bekleyin"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Biçimlendirme bitti"
+
 #~ msgid "Quoting string"
 #~ msgstr "Dizge alıntılama"
 
Binary files 2.9.8-1/po/uk.gmo and 3.0-1/po/uk.gmo differ
diff -pruN 2.9.8-1/po/uk.po 3.0-1/po/uk.po
--- 2.9.8-1/po/uk.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/uk.po	2018-09-09 09:48:30.000000000 +0000
@@ -6,10 +6,10 @@
 # Yuri Chornoivan <yurchor@ukr.net>, 2014, 2015, 2016, 2017, 2018.
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.9.8-pre1\n"
+"Project-Id-Version: nano 3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-27 20:46+0200\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-29 22:26+0300\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian <translation-team-uk@lists.sourceforge.net>\n"
 "Language: uk\n"
@@ -27,83 +27,87 @@ msgid "Cannot open directory: %s"
 msgstr "Не вдалося відкрити каталог: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Перейти до каталогу"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Скасовано"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Не можу вийти за межі %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Не можу перейти на каталог вище"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Помилка під час спроби читання %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Робочий каталог зник"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(кат)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(батьк. кат.)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(вел.)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Пошук"
 
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Назад]"
+
 # message
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Дісталися кінця файла, почали спочатку"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Це єдиний збіг"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Немає поточного зразка для пошуку"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Невідома назва синтаксису: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "Помилка magic_load(): %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "Помилка magic_file(%s): %s"
@@ -178,7 +182,7 @@ msgstr ""
 msgid "Can't read file from outside of %s"
 msgstr "Не вдалося прочитати файл поза %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "«%s» є каталогом"
@@ -188,26 +192,50 @@ msgstr "«%s» є каталогом"
 msgid "\"%s\" is not a normal file"
 msgstr "«%s» не є звичайним файлом"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Більше немає відкритих файлових буферів"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "виправлення помилок"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu рядок (%s)"
+msgstr[1] "%s -- %zu рядки (%s)"
+msgstr[2] "%s -- %zu рядків (%s)"
 
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "Перемкнуто до %s"
-
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Новий Буфер"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu рядок"
+msgstr[1] "%s -- %zu рядки"
+msgstr[2] "%s -- %zu рядків"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Більше немає відкритих файлових буферів"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Файл «%s» непридатний до запису"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
@@ -215,7 +243,7 @@ msgstr[0] "Прочитано %zu ряд
 msgstr[1] "Прочитано %zu рядки (перетворено з формату DOS та Mac)"
 msgstr[2] "Прочитано %zu рядків (перетворено з формату DOS та Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
@@ -223,7 +251,7 @@ msgstr[0] "Прочитано %zu ряд
 msgstr[1] "Прочитано %zu рядки (перетворено з формату Mac)"
 msgstr[2] "Прочитано %zu рядків (перетворено з формату Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
@@ -231,7 +259,7 @@ msgstr[0] "Прочитано %zu ряд
 msgstr[1] "Прочитано %zu рядки (перетворено з формату DOS)"
 msgstr[2] "Прочитано %zu рядків (перетворено з формату DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
@@ -239,89 +267,99 @@ msgstr[0] "Прочитано %zu ряд
 msgstr[1] "Прочитано %zu рядки"
 msgstr[2] "Прочитано %zu рядків"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Новий файл"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Файла «%s» не знайдено"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "«%s» є файлом пристрою"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Читаємо файл"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Команда, яку слід виконати у новому буфері"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Команда, яку слід виконати"
 
-#: src/files.c:1049
+#: src/files.c:1098
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "Файл для вставляння (до нового буфера) [від %s]"
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Файл для читання до нового буфера без перетворення [від %s]"
 
-#: src/files.c:1052
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Файл для читання до нового буфера [від %s]"
+
+#: src/files.c:1106
+#, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "Файл для вставляння без перетворення [від %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Файл для вставляння [від %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Клавіша недійсна у не мультибуферному режимі"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Некоректний робочий каталог\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Не вдалося записати дані до файла резервної копії, продовжити спробу "
 "зберегти дані? (Натисніть N, якщо не певні.) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Некоректний резервний каталог\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Не можу записати поза %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Помилка під час спроби записати до файла резервної копії %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Забагато файлів резервних копій?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Помилка під час спроби записати до тимчасового файла: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Помилка під час спроби записати %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
@@ -329,880 +367,866 @@ msgstr[0] "Записано %zu рядо
 msgstr[1] "Записано %zu рядки"
 msgstr[2] "Записано %zu рядків"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [формат DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [формат Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Резерв]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Дописати позначене до файла на початку"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Дописати позначене до файла наприкінці"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Записати позначене до файла"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Назва файла для дописування"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Назва файла для дописування"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Назва файла для записування"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Замалий"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Файл вже існує - перезапис неможливий"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Зберегти файл з ІНШОЮ НАЗВОЮ? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Файл «%s» вже існує, ПЕРЕЗАПИСАТИ? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Файл змінено на диску"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr ""
 "З часу, коли було відкрито файл, до нього було внесено зміни. Продовжити "
 "спроби зберегти дані? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(далі)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Вихід"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Закрити"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "СкасВиріз"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "СкасВирівн"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Чит. файл"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Пошук"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Заміна"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "До Рядка"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "ПопРядок"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "НастРядок"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "Поп.Стор."
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Наст.Стор."
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Вирівняти"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "Вирівняти"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Перемалювати"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Знайти далі"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Скасувати поточну функцію"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Показати цю довідку"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Закрити поточний буфер / Вийти з nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Записати поточний буфер (або позначену область) до файла"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "Вставити інший файл до поточного буфера (або до нового буфера)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Шукати рядок або формальний вираз далі за текстом"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Шукати рядок або формальний вираз у напрямку до початку тексту"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Шукати рядок"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Шукати рядок далі"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Шукати рядок раніше"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Освіжити список файлів"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Перейти до стовпчика ліворуч"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Перейти до стовпчика праворуч"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Перейти до першого рядка у цьому стовпчику"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Перейти до останнього рядка у цьому стовпчику"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "На один екран вгору"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "На один екран вниз"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Вирізати поточний рядок (або позначену область) і помістити його до «кишені»"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Скасувати вирізання та вставити зміст \"кишені\" до поточного рядка"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Показати розташування курсора"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Викликати програму пошуку друкарських помилок (якщо є)"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Замінити рядок або формальний вираз"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Перейти до рядка і позиції"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Повторити останній пошук"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Позначити текст, починаючи з поточної позиції курсора"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Скопіювати поточний рядок (або позначену область) і зберегти його до «кишені»"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Додати відступ у поточному рядку (або позначених рядках)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Вилучити відступ для поточного рядка (або позначених рядків)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Скасувати останню дію"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Відновити останню скасовану дію"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Назад на один символ"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Вперед на один символ"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Назад на одне слово"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Вперед на одне слово"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Повернутися до попереднього рядка"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Перейти до наступного рядка"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Перейти до початку рядка"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Перейти до кінця рядка"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Повернутися до попереднього блоку тексту"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Перейти до наступного блоку тексту"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "На початок поточного абзацу; потім наступного абзацу"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "У кінець поточного абзацу; потім наступного абзацу"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Перейти до першого рядка файла"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Перейти до останнього рядка файла"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Перейти до відповідної дужки"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Гортати на один рядок вгору без переміщення курсора"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Гортати на один рядок вниз без переміщення курсора"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Перемкнутися на попередній файловий буфер"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Перемкнутися на наступний файловий буфер"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Вставити наступну комбінацію клавіш як є"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Вставити знак табуляції в місце розташування курсора"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Вставити новий рядок у місці розташування курсора"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Видалити літеру під курсором"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Видалити літеру зліва від курсора"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Вирізати назад від курсора до початку слова"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Вирізати вперед від курсора до початку слова"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Вирізати від позиції курсора до кінця файла"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Вирівняти поточний абзац"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Вирівняти цілий файл"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Підрахувати кількість слів, рядків та символів"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Перемалювати поточний екран"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Призупинити редактор (якщо увімкнено призупинення)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Спробувати доповнити поточне слово"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Додати/Зняти коментування поточного рядка (або позначених рядків)"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Зберегти файл без запитань"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Шукати відповідник у напрямку до початку"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Шукати відповідник у напрямку до кінця"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Почати/Припинити запис макросу"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Виконати останній записаний макрос"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Увімкнути/вимкнути чутливість пошуку до регістру"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Змінити напрямок пошуку на протилежний"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Увімкнути/вимкнути використання формальних виразів"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Згадати попередній рядок пошуку/заміни"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Згадати наступний рядок пошуку/заміни"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Увімкнути/вимкнути використання формату DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Увімкнути/вимкнути використання формату Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Увімкнути/вимкнути додавання до кінця"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Увімкнути/вимкнути додавання до початку"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Увімкнути/вимкнути резервне копіювання початкового файла"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Виконати зовнішню команду"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Передати каналом поточний буфер (або позначену область) команді"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "Не перетворювати з формату DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Увімкнути/вимкнути використання нового буферу"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Закрити буфер без його збереження"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "До переглядача файлів"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Вийти з переглядача файлів"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Перейти до першого файла у списку"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Перейти до останнього файла у списку"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Перейти до попереднього файла у списку"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Перейти до наступного файла у списку"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "До каталогу"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Викликати linter, якщо доступний"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "До попереднього пов. linter"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Перейти до наступного повідомлення linter"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Викликати formatter, якщо доступний"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Довідка"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Скасувати"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Виписати"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Чит. файл"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Вирівняти"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Перемалювати"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Пошук"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Заміна"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "До каталогу"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Вирізати"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Правопис"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "До linter"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Formatter"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Позиція"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "До Рядка"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Скасувати"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Повторити"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Помітити"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Скопіювати текст"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "РегЗалеж"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "ФормВир"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Назад"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Не Заміщати"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "Вирівняти"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "До дужки"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Зберегти"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Де було"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Назад"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Далі"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Назад"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Вперед"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "ПопСлово"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "НастСлово"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Початок"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Кінець"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "ПопРядок"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "НастРядок"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Гортати вгору"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Гортати вниз"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Поп. блок"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Наст. блок"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Поч.абзацу"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Кін.абзацу"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "Поп.Стор."
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Наст.Стор."
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Перший Рядок"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Останній Рядок"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Поп. файл"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Наступний файл"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Delete"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Backspace"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Вирізати ліворуч"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Вирізати праворуч"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "ВирДоКінця"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Кількість слів"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Буквально"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Призупинка -"
 
-#: src/global.c:969
-msgid "Indent Text"
+#: src/global.c:956
+msgid "Indent"
 msgstr "Відступ"
 
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "СкасВідст"
+#: src/global.c:958
+msgid "Unindent"
+msgstr "Скас.відступ"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Закоментувати рядки"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Завершено"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Записати"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Виконати макрос"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Де було"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Зберегти"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "ПопЖурнал"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "НастЖурнал"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "До тексту"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "формат DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "формат Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Додати"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Додати(0)"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Зробити резервну копію"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Без перетворення"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Виконати команду"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "Передати текст каналом"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "До Файлів"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Перший файл"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Ост. файл"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Лівий стовпчик"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Правий стовпчик"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Перший рядок"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Останній рядок"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Відкинути буфер"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "Поп. пов. lint"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "Наст. пов. lint"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Режим довідки"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Постійно показувати місце розташування курсора"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Використання додаткового рядка для редагування"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Плавна прокрутка"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "М’яке перенесення надто довгих рядків"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Показ пробілів"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Підсвічування синтаксису кольором"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Розумна клавіша Home"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Автовідступ"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Вирізати до кінця"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Жорстке перенесення надзвичайно довгих рядків"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Перетворення знаків табуляції на пробіли"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Резервні копії"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Читаємо файл до окремого буфера"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Підтримка миші"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Нема перетворювання із DOS/Mac формату"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Призупинення"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Нумерація рядків"
 
@@ -1436,23 +1460,35 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
+msgstr ""
+"Текст довідки режиму виконання команд\n"
 "\n"
-" The following function keys are available in Execute Command mode:\n"
+" У цьому режимі можна вставляти дані, виведені у результаті виконання "
+"команди у командній оболонці, до поточного буфера (або до нового буфера). "
+"Якщо перед командою вказано «|» (символ каналу), команді буде передано "
+"поточний вміст буфера (або позначеного фрагмента).  "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
 msgstr ""
-"Текст довідки режиму Зовнішня Команда\n"
+"Якщо вам просто потрібен іще один порожній буфер, не вводьте ніяких команд.\n"
 "\n"
-" Це меню дозволяє вам вставити вивід команди, виконаної у командному "
-"інтерпретаторі, у поточний файловий буфер (або у новий буфер у "
-"мультибуферному режимі). Якщо вам потрібен інший порожній буфер, не вводьте "
-"ніякої команди взагалі.\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
 "\n"
-" Наступні функціональні клавіші доступні у режимі Зовнішня Команда:\n"
+msgstr ""
+" В режимі виконання команд можна скористатися такими функціональними "
+"клавішами:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1472,7 +1508,7 @@ msgstr ""
 "головне вікно редагування, у якому  показано редагований файл. Рядок стану — "
 "3 рядок знизу — містить різні важливі повідомлення.  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1489,7 +1525,7 @@ msgstr ""
 "позначено символом «M», їх можна ввести за допомогою клавіш Alt, Cmd або "
 "Esc, залежно від моделі використаної клавіатури.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1503,7 +1539,7 @@ msgstr ""
 "Альтернативні комбінації наведено у дужках:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "дозволити/заборонити"
 
@@ -1541,19 +1577,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Помилка під час спроби записати %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Некоректна клавіша у режимі перегляду"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Цю функцію вимкнено у обмеженому режимі"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Довідка недоступна"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1562,7 +1598,7 @@ msgstr ""
 "\n"
 "Буфер записано до %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1571,7 +1607,7 @@ msgstr ""
 "\n"
 "Буфер не записано до %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1580,7 +1616,7 @@ msgstr ""
 "\n"
 "Буфер не записано: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1591,7 +1627,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1600,7 +1636,7 @@ msgstr ""
 "Щоб розташувати курсор у певному рядку файла, вкажіть номер рядка із «+»\n"
 "перед назвою файла. Позицію у рядку можна вказати після коми.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1610,277 +1646,277 @@ msgstr ""
 "введення.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Параметр\t\tДовга форма\t\tПризначення\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Увімкнути розумну кнопку Home"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Зберігати резервні копії наявних файлів"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <кат>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<dir>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Каталог для зберігання унікальних резервних копій"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Використовувати жирний шрифт замість звичайного"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Перетворювати табуляції у пробіли"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Типово читати файл до нового буфера"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Використовувати файли блокування (як у vim)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Вести журнал та читати історію умов пошуку/заміни"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Не використовувати файли nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Виправляти проблему малої клавіатури"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Не додавати порожні рядки у кінці файла"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Обрізати кінцеві пробіли при жорсткому перенесенні"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Не перетворювати файли з формату DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Використовувати додатковий рядок для редагування"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Записувати до журналу і читати позицію курсора"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <ф_вираз>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<ф_вираз>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "Формальний вираз для відповідника лапок"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Обмежений режим"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Гортати на рядок, а не на пів екрана"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#число>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#число>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Встановити ширину табуляції у #число позицій"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Використовувати швидке очищування рядка стану"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "Показати версію та вийти"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Використовувати більш точне визначення меж слів"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <ряд>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<ряд>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Які інші символи є частинами слів"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <назва>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<назва>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Опис синтаксису, який слід використовувати для розфарбування"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Розривати рядки на пробілах"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Постійно показувати позицію курсора"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Виправити проблему Backspace/Delete"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Показувати курсор у переглядачі файлів"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Показати текст цієї довідки і завершити роботу"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Автоматично вирівнювати нові рядки"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Вирізати від курсора до кінця рядка"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Показувати номери рядків перед текстом"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Дозволити використання миші"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Не читати файл (лише записувати до нього)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <кат>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<кат>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Встановити робочий каталог"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Зберегти клавіші XON (^Q) та XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#поз>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#поз>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Встановити значення позиції жорсткого перенесення #поз"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <програма>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<програма>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Альтернативна програма перевірки правопису"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Автоматичне збереження при виході, без запитань"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Типово зберігати файл у форматі Unix"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Режим перегляду (лише читання)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Не переносити надто довгі рядки жорстко"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Не показувати два рядка довідки внизу"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Ctrl+Стрілка праворуч зупиняється на кінцях слів"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Дозволити призупинення"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Увімкнути м’яке перенесення рядків"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano версії %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " © Учасники розробки nano, 2014-%s\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " Ел. пошта: nano@nano-editor.org\tІнтернет: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1889,278 +1925,280 @@ msgstr ""
 "\n"
 " Зібрано з таким параметрами:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Немає назви файла"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Зберегти зміни у буфері? (Відповідь «Ні» призведе до ВТРАТИ змін.) "
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr ""
 "Читаємо дані зі стандартного джерела даних; натисніть ^D або ^D^D, щоб "
 "завершити.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Не вдалося відкрити stdin: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Не вдалося повторно відкрити стандартний ввід з клавіатури\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Прийнято SIGHUP або SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr ""
 "Вибачте! Nano зазнала аварії! Код: %d. Будь ласка, повідомте розробникам про "
 "цю ваду.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Використовуйте «fg» для повернення у nano\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Призупинення не увімкнено"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "дозволено"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "заборонено"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Непов’язана комбінація"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Непов’язана комбінація: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Непов’язана комбінація: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Непов’язана комбінація: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Непов’язана комбінація: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Запитаний розмір табуляції «%s» не підходить"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Надіслано запит на некоректний розмір заповнення «%s»"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Введіть команду «%s -h», щоб отримати список доступних параметрів.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Некоректний номер рядка або позиції"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Помилки у «%s»"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Вітаємо у nano. Базова довідка: Ctrl+G."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "YyТт"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "NnНн"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "AaВв"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Так"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Ні"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Все"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Помилка в %s на рядку %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Аргумент %s має незакриту \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr ""
 "Рядки формальних виразів повинні починатися та закінчуватися лапками (\")"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Не вірний формальний вираз «%s»: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Пропущено назву синтаксису"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Непарний знак лапок у назві синтаксису"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Синтаксис «none» зарезервовано"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Синтаксис «default» не може мати розширень"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Пропущено назву клавіші"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Назва клавіші є надто короткою"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Назва клавіші має починатися з «^», «M» або «F»"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Назва ключа %s є некоректною"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Для прив’язування клавіші слід вказати функцію"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Слід вказати меню (або «all»), до якого слід прив’язати клавішу або "
 "відв’язати її"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Не можна пов’язати назву «%s» з функцією"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Неможливо пов’язати назву «%s» з меню"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "У меню «%2$s» немає пункту «%1$s»"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Вибачте, призначення «%s» змінювати не можна"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Помилка під час розгортання %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Невідомий колір «%s»"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Колір тла не може бути світлим"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr ""
 "Використання команди «%s» потребує попереднього використання команди «syntax»"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Пропущено назву кольору"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Не вистачає рядка формального виразу після команди «%s»"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Порожній формальний вираз"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" потребує відповідного \"end=\""
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Синтаксис «default» не може використовувати формальні вирази «%s»"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Пропущений аргумент після «%s»"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Аргумент «%s», не вистачає завершальної \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Критична помилка: з функцією «%s» не пов’язано клавіш. Виходимо.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
+"Із функцією «%s» у меню «%s» не пов'язано ніяких комбінацій клавіш. "
+"Завершуємо роботу.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2168,62 +2206,62 @@ msgstr ""
 "Якщо потрібно, скористайтеся nano з параметром -I, щоб скоригувати параметри "
 "у nanorc.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Не вдалося знайти синтаксичну конструкцію «%s» для розширення"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Синтаксис «%s» не має колірних команд"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Команда «%s» не дозволена у включеному файлі"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Невідома команда «%s»"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Пропущено параметр"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Невідомий параметр «%s»"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Неможливо скасувати визначення параметра «%s»"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Опція «%s» вимагає аргумент"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Аргумент не є коректним багатобайтовим рядком"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Вимагається непорожній символ"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Вимагається два одинарних символи"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Я не можу знайти свою домівку! Жах!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [РегЗалеж]"
@@ -2232,41 +2270,36 @@ msgstr " [РегЗалеж]"
 msgid " [Regexp]"
 msgstr " [ФормВир]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Назад]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (що змінювати) у позначеному"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (до заміни)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Шукаємо…"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "\"%.*s%s\" не знайдено"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Замінити цей примірник?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Замінити на"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
@@ -2275,255 +2308,246 @@ msgstr[1] "Замінено %zd збіг
 msgstr[2] "Замінено %zd збігів"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Введіть номер рядка, номер ряду"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Не дужка"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Нема відповідної дужки"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Мітку встановлено"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Мітку знято"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Помилка виконання «%s»"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Додавання коментарів у файлах цього типу не передбачено"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Не можна закоментувати дані за кінцем файла"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Буфер скасування дій порожній!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "додавання тексту"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "розрив рядка"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "вилучення тексту"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "об’єднання рядків"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "заміна тексту"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "обрізка тексту"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "скасування обрізки тексту"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "вставка тексту"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "фільтрування"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "відступ"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "скас.відступ"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "закоментувати"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "розкоментувати"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Скасована дія (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Немає чого повторювати!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Повторена дія (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Не можу створити канал (pipe)"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Не можу зробити fork()"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "фільтрування"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Не вдалося відкрити канал: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Поганий рядок цитування %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Можу зараз же СкасВирівнювання!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Непридатне до пошуку слово: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Редагувати заміну"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Наступне слово…"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Створюємо перелік орфографічних помилок, зачекайте..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Не можу отримати розмір буферу каналу"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Помилка виконання \"spell\""
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Помилка виконання \"sort -f\""
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Помилка виконання \"uniq\""
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Викликаємо програму для пошуку друкарських помилок, зачекайте"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Перевірка орфографії не вдалася: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Не вдалось перевірити орфографію: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Перевірку орфографії завершено"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Для цього типу файлів не визначено обробника!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Зберегти змінений буфер перед обробкою?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Викликаємо linter, зачекайте"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Від команди отримано 0 придатних рядків: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Це повідомлення пов’язано із невідкритим файлом %s. Відкрити його у новому "
 "буфері?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "У невідкритих файлах немає більше помилок, скасовуємо дію"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "На останньому повідомленні"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "На першому повідомленні"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Завершено"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Викликаємо formatter, зачекайте"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Форматування завершено"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sСлів: %zu Рядків: %zd  Символів: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "У позначеному:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Буквальний ввід"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Немає фрагмента слова"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Далі немає відповідників"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Немає відповідників"
 
@@ -2553,74 +2577,119 @@ msgstr "Забагато помилок
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Невідома послідовність"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Введення Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "Кат.:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Змінено"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Вигляд"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Подальші попередження не показано"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "рядок %zd/%zd (%d%%), позиція %zu/%zu (%d%%), символ %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Текстовий редактор nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "версія"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Створено для Вас:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Особлива подяка:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "The Free Software Foundation (Фонд Вільного Програмного забезпечення)"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "багатьом перекладачам та TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "За ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "та іншим, кого ми забули..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Дякуємо за використання nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Перемкнуто до %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Знайти далі"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Повторити останній пошук"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Викликати formatter, якщо доступний"
+
+#~ msgid "Formatter"
+#~ msgstr "Formatter"
+
+#~ msgid "Indent Text"
+#~ msgstr "Відступ"
+
+#~ msgid "Unindent Text"
+#~ msgstr "СкасВідст"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Використання додаткового рядка для редагування"
+
+#~ msgid "Backup files"
+#~ msgstr "Резервні копії"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Читаємо файл до окремого буфера"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Нема перетворювання із DOS/Mac формату"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "Критична помилка: з функцією «%s» не пов’язано клавіш. Виходимо.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Завершено"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Викликаємо formatter, зачекайте"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Форматування завершено"
+
 #~ msgid "Quoting string"
 #~ msgstr "Рядок цитування"
 
Binary files 2.9.8-1/po/vi.gmo and 3.0-1/po/vi.gmo differ
diff -pruN 2.9.8-1/po/vi.po 3.0-1/po/vi.po
--- 2.9.8-1/po/vi.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/vi.po	2018-09-09 09:48:30.000000000 +0000
@@ -8,10 +8,10 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.9.8-pre1\n"
+"Project-Id-Version: nano 3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-29 14:32+0700\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-30 15:08+0700\n"
 "Last-Translator: Trần Ngọc Quân <vnwildman@gmail.com>\n"
 "Language-Team: Vietnamese <translation-team-vi@lists.sourceforge.net>\n"
 "Language: vi\n"
@@ -29,82 +29,86 @@ msgid "Cannot open directory: %s"
 msgstr "Không thể mở thư mục: %s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "Đi tới thư mục"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "Bị hủy bỏ"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "Không thể đi ra bên ngoài của %s"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "Không thể nhảy lên một thư mục"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "Gặp lỗi khi đọc %s: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "Thư mục làm việc đã biến mất"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(thmục)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(thmục cha)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(lớn)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "Tìm kiếm"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [Ngược lại]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "Tìm Toàn bộ"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "Đây là lần xảy ra duy nhất"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "Không có mẫu tìm kiếm hiện tại"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "Không hiểu tên cú pháp: %s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() gặp lỗi: %s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) gặp lỗi: %s"
@@ -177,7 +181,7 @@ msgstr "Tập tin %s đang được biê
 msgid "Can't read file from outside of %s"
 msgstr "Không thể chèn tập tin từ bên ngoài của %s"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "“%s” là một thư mục"
@@ -187,1010 +191,1026 @@ msgstr "“%s” là một thư mục"
 msgid "\"%s\" is not a normal file"
 msgstr "“%s” không phải là một tập tin thường"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "Không còn bộ đệm mở tập tin nữa"
-
-#: src/files.c:619
-#, c-format
-msgid "Switched to %s"
-msgstr "Đã chuyển tới %s"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "sửa chính tả"
+
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
+#, c-format
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu dòng (%s)"
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "Bộ nhớ đệm mới"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu dòng"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "Không còn bộ đệm mở tập tin nữa"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "Tập tin “%s” không ghi ghi được"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "Đọc %zu dòng (Được chuyển đổi từ định dạng DOS và Mac)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "Đọc %zu dòng (Đã chuyển đổi từ định dạng Mac)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "Đọc %zu dòng (Đã chuyển đổi từ định dạng DOS)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "Đọc %zu dòng"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "Tập tin mới"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "Không tìm thấy tập tin “%s”"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "“%s” là một tập tin thiết bị"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "Đang đọc tập tin"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "Câu lệnh để thực hiện trong bộ đệm mới"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "Câu lệnh để thực hiện"
 
-#: src/files.c:1049
+#: src/files.c:1098
+#, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "Tập tin để đọc không được chuyển đổi vào bộ đệm mới [từ %s]"
+
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "Tập tin để đọc vào bộ đệm mới [từ %s]"
+
+#: src/files.c:1106
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "Tập tin để chèn vào bộ đệm mới [từ %s]"
+msgid "File to insert unconverted [from %s]"
+msgstr "Tập tin để chèn không được chuyển đổi [từ %s]"
 
-#: src/files.c:1052
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "Tập tin để chèn [từ %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "Phím không hợp lệ trong chế độ khác đa bộ đệm"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "Thư mục thao tác không hợp lệ\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr ""
 "Gặp lỗi khi ghi tập tin sao lưu dự phòng, tiếp tục ghi? (Gõ N hay K nếu "
 "không chắc chắn.)"
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "Thư mục sao lưu dự phòng không hợp lệ\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "Không ghi được ra bên ngoài của %s"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "Gặp lỗi khi ghi tập tin sao lưu %s: %s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "Quá nhiều tập tin sao lưu dự phòng?"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "Gặp lỗi khi ghi tập tin tạm thời: %s"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "Gặp lỗi khi ghi %s: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "Đã ghi %zu dòng"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [Định dạng DOS]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Định dạng Mac]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [Sao lưu dự phòng]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "Thêm lựa chọn vào trước Tập tin"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "Thêm lựa chọn vào sau Tập tin"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "Lưu lựa chọn vào một tập tin"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "Tên tập tin để thêm vào trước"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "Tên tập tin để thêm vào sau"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "Tên tập tin dùng để ghi vào"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "Quá bé"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "Tập tin đã sẵn có -- không thể ghi đè"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "Ghi tập tin bằng TÊN MỚI? "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "Tập tin \"%s\" đã có sẵn, GHI ĐÈ LÊN? "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "Tập tin trên đĩa đã bị thay đổi"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "Tập tin bị sửa đổi kể từ lần bạn mở cuối cùng, có tiếp tục lưu không? "
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(còn nữa)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "Thoát"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "Đóng"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "Dán chữ"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "BỏCănHàng"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "Đọc T.tin"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "Tìm kiếm"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "Thay thế"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "Tới dòng"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "Dòng trước"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "Dòng kế"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "TrangTrước"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "Trang kế"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "Sắp hàng"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "SắpHàngĐủ"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "Cập nhật"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "Tiếp là đâu"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "Hủy hàm hiện tại"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "Hiển thị trợ giúp này"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "Đóng bộ đệm tập tin hiện tại / Thoát khỏi nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "Ghi bộ đệm tập tin hiện tại (hoặc vùng đã đánh dấu) lên đĩa"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr ""
 "Chèn tập tin khác vào bộ nhớ đệm tập tin hiện tại (hoặc vào một bộ đệm mới)"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "Tìm tiếp một chuỗi hay biểu thức chính quy"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "Tìm chiều ngược một chuỗi hay biểu thức chính quy"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "Tìm một chuỗi nào đó"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "Tìm tiếp cho một chuỗi"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "Tìm ngược lại cho  một chuỗi"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "Lấy danh sách tập tin"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "Chuyển tới cột tay trái"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "Chuyển tới cột tay phải"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "Chuyển tới dòng đầu tiên trong cột này"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "Chuyển tới dòng cuối cùng trong cột này"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "Đi lên một màn hình"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "Đi xuống một màn hình"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "Cắt dòng hiện tại (hoặc vùng đã đánh dấu) và ghi nó vào bộ đệm cắt"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "Dán từ bộ đệm cắt vào dòng hiện tại"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "Hiển thị vị trí con trỏ"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "Gọi trình kiểm tra chính tả, nếu có thể"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "Thay thế một chuỗi hay biểu thức chính quy"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "Chuyển tới dòng và cột có số thứ tự đưa ra"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "Lặp lại tìm kiếm cuối"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "Đánh dấu văn bản bắt đầu tại vị trí con trỏ"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr ""
 "Sao chép dòng hiện tại (hoặc vùng đã đánh dấu) và ghi nó vào bộ đệm cắt"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "Thụt lề dòng hiện tại (hoặc dòng đánh dấu)"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "Bỏ thụt lề dòng hiện tại (hoặc dòng đánh dấu)"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "Hủy bước vừa mới làm"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "Làm lại bước vừa mới được hủy"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "Lùi lại một ký tự"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "Tiếp tới một ký tự"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "Lùi lại một từ"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "Tiếp tới một từ"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "Về dòng trước"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "Tới dòng kế"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "Về đầu của dòng hiện tại"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "Tới cuối của dòng hiện tại"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "Về khối văn bản kế trước"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "Về khối văn bản kế tiếp"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "Về đầu của đoạn văn này; rồi về đầu của đoạn văn trước"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr ""
 "Tới đúng sau cuối của đoạn văn này; rồi tới đúng sau cuối của đoạn văn sau"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "Về dòng đầu của tập tin"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "Tới dòng cuối của tập tin"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "Tới dấu ngoặc tương ứng"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "Cuộn lên một dòng nhưng giữ nguyên vị trí con trỏ"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "Cuộn xuống một dòng nhưng giữ nguyên vị trí con trỏ"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "Chuyển tới bộ đệm tập tin trước"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "Chuyển tới bộ đệm tập tin tiếp theo"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "Chèn ký tự kế tiếp đúng nguyên văn"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "Chèn một ký tự tab tại vị trí con trỏ"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "Chèn một ký tự dòng mới tại vị trí con trỏ"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "Xóa ký tự nằm dưới con trỏ"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "Xóa ký tự ở bên trái con trỏ"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "Cắt từ vị trí con trỏ ngược tới đầu từ"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "Cắt từ vị trí con trỏ tới từ kế tiếp"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "Cắt từ vị trí con trỏ tới cuối tập tin"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "Sắp chữ đúng hàng cho đoạn văn hiện tại"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "Sắp chữ đúng hàng cho cả tập tin"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "Đếm số từ, số dòng và số ký tự"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "Cập nhật (vẽ lại) màn hình hiện tại"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "Ngưng trình soạn thảo (nếu tính năng ngưng đã được bật)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "Thử và điền nốt từ hiện tại"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "Đổi dòng hiện tại hay đã đánh dấu thành chú thích/hoặc thôi"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "Lưu tập tin mà không cần hỏi"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "Tìm chỗ khớp kế trước"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "Tìm chỗ khớp phía trước"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "Bắt đầu hoặc dừng ghi một vĩ lệnh"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "Chạy vĩ lệnh được ghi cuối cùng"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "Bật/tắt phân biệt chữ HOA/thường khi tìm kiếm"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "Đảo ngược hướng tìm"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "Bật/tắt khả năng sử dụng biểu thức chính quy"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "Xem lại chuỗi tìm kiếm/thay thế trước"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "Xem lại chuỗi tìm kiếm/thay thế kế"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "Bật/tắt khả năng sử dụng định dạng DOS"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "Bật/tắt khả năng sử dụng định dạng Mac"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "Bật/tắt khả năng phụ thêm"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "Bật/tắt khả năng thêm vào trước"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "Bật/tắt khả năng sao lưu tập tin gốc"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "Thực hiện câu lệnh ngoại trú"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "Chuyển bằng đường ống bộ đệm hiện tại (hoặc vùng đã đánh dấu) đến lệnh"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "Đừng chuyển đổi từ định dạng DOS/Mac"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "Bật/tắt khả năng sử dụng bộ đệm mới"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "Đóng bộ đệm dữ liệu mà không ghi lại nó"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "Đi tới trình duyệt tập tin"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "Thoát khỏi trình duyệt tập tin"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "Chuyển tới dòng đầu tiên của danh sách"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "Chuyển tới dòng cuối cùng của danh sách"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "Chuyển tới tập tin đằng trước trong danh sách"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "Chuyển tới tập tin đằng sau trong danh sách"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "Đi tới thư mục"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "Gọi phần mềm kiểm chuẩn, nếu có"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "Đến lời nhắn kiểm chuẩn kế trước"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "Đến lời nhắn kiểm chuẩn kế"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "Gọi trình định dạng, nếu có thể"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "Trợ giúp"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "Hủy bỏ"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "Ghi lại"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "Đọc T.tin"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "Sắp hàng"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "Cập nhật"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "Tìm kiếm"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "Thay thế"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "Tới ThMục"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "Cắt chữ"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "Chính tả"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "KiểmChuẩn"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "Bđịnh dạng"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "Vị trí"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "Tới dòng"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "Hủy bước"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "Hoàn lại"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "Đdấu VBản"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "Chép VBản"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "HOA/thường"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "BTCQ"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "Ngược lại"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "Không thay"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "SắpHàngĐủ"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "Đặt Ngoặc"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "Lưu"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "Tìm ngược"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "Kế trước"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "Kế tiếp"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "Lùi"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "Kế tiếp"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "Từ trước"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "Từ kế"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "Nhà"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "Cuối"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "Dòng trước"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "Dòng kế"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "Cuộn lên"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "Cuộn xuống"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "Khối trước"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "Khối sau"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "Đầu đoạn"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "Cuối đoạn"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "TrangTrước"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "Trang kế"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "Dòng đầu"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "Dòng cuối"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "Tệp Trước"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "Tệp Sau"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "Tab"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "Enter"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "Xóa"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "Xóa lùi"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "Cắt Trái"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "Cắt Phải"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "CắtĐếnCuối"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "Đếm từ"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "Đúng nguyên văn"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "Ngưng"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "Thụt VBản"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "Thôi thụt VBản"
+#: src/global.c:956
+msgid "Indent"
+msgstr "Thụt lề"
+
+#: src/global.c:958
+msgid "Unindent"
+msgstr "Bỏ thụt lề"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "Thành ghi chú"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "Điền nốt"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "Ghi lại"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "Chạy vĩ lệnh"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "Tìm ngược"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "Lưu"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "LịchSửTrước"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "LịchSửKế"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "Tới văn bản"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "Định dạng DOS"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Định dạng Mac"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "Phụ thêm"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "Thêm vào trước"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "Tập tin Sao lưu dự phòng"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "Không chuyển đổi"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "Thực hiện lệnh"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "VBản ra ống"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "Tới tập tin"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "Tệp đầu"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "Tệp cuối"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "Cột trái"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "Cột phải"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "Dòng đỉnh"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "Dòng đáy"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "Loại bỏ bộ đệm"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "LNhắn Lint tr"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "LNhắn Lint sau"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "Chế độ Trợ giúp"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "Hiển thị ví trí cố định của con trỏ"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "Sử dụng nhiều dòng hơn dành cho việc soạn thảo"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "Cuộn trơn mượt"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "Ngắt mềm những dòng dài"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "Hiển thị khoảng trắng"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "Tô sáng cú pháp"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "Phím home khéo"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "Tự thụt lề"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "Cắt tới cuối"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "Ngắt cứng những dòng dài"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "Chuyển các tab thành dấu cách"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "Tập tin sao lưu dự phòng"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "Đang đọc tập tin vào một bộ đệm khác"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "Hỗ trợ chuột"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "Không chuyển đổi từ định dạng DOS/Mac"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "Tạm dừng"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "Đánh số dòng"
 
@@ -1421,22 +1441,34 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
+msgstr ""
+"Văn bản của Trợ giúp cho Thực hiện Câu lệnh\n"
 "\n"
-" The following function keys are available in Execute Command mode:\n"
+" Chế độ này cho phép bạn chèn kết xuất từ một câu lệnh chạy bằng hệ vỏ vào "
+"bộ đệm hiện tại (hoặc vào một bộ đệm mới). Nếu lệnh được có dấu “|” (ký hiệu "
+"đường ống) đứng trước, nội dung hiện tại của bộ đệm (hoặc vùng đã được đánh "
+"dấu) sẽ được chuyển qua đường ống đến lệnh.  "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
 msgstr ""
-"Văn bản của Trợ giúp cho Thực hiện Câu lệnh\n"
+"Nếu bạn chỉ cần một bộ đệm trống khác, đừng nhập bất kỳ lệnh nào.\n"
 "\n"
-" Chế độ này cho phép bạn chèn kết quả của một câu lệnh chạy bằng trình bao "
-"vào bộ đệm hiện tại (hoặc vào một bộ đệm mới ở chế độ đa bộ đệm). Nếu cần "
-"một bộ đệm trống khác, thì đừng nhập câu lệnh.\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
 "\n"
-" Có thể dùng các phím sau trong chế độ Thực hiện Câu lệnh:\n"
+msgstr ""
+" Có thể dùng các phím chức năng sau trong chế độ Thực thi Lệnh:\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1456,7 +1488,7 @@ msgstr ""
 "đang soạn thảo.  Dòng trạng thái là dòng thứ ba từ dưới lên và hiển thị "
 "những thông báo quan trọng."
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1473,7 +1505,7 @@ msgstr ""
 "ký hiệu bằng ký hiệu “M-” và nhập vào bằng một trong số các phím Alt, Cmd "
 "hay Esc, tùy thuộc vào cách cấu hình bàn phím của bạn.  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1486,7 +1518,7 @@ msgstr ""
 "sổ soạn thảo chính. Các phím tương đương đặt trong dấu ngoặc đơn:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "bật/tắt"
 
@@ -1522,19 +1554,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "Gặp lỗi khi ghi %s: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "Phím không hợp lệ trong chế độ xem"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "Chức năng này bị tắt trong chế độ hạn chế"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "Phần trợ giúp không sẵn có"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1543,7 +1575,7 @@ msgstr ""
 "\n"
 "Bộ nhớ đệm ghi vào %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1552,7 +1584,7 @@ msgstr ""
 "\n"
 "Bộ nhớ đệm chưa được ghi vào %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1561,7 +1593,7 @@ msgstr ""
 "\n"
 "Bộ nhớ đệm chưa được ghi lại: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1572,7 +1604,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1581,7 +1613,7 @@ msgstr ""
 "Đặt con trỏ trên một dòng rõ ràng của tập tin, đặt con số dòng với\n"
 "một “+” trước tên tập tin. Số dòng có thể thêm sau một dấu phẩy.\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1590,279 +1622,279 @@ msgstr ""
 "Khi tên tập tin là “-”, sẽ đọc dữ liệu từ đầu vào tiêu chuẩn.\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "Tùy chọn\tTùy chọn GNU dài\tÝ nghĩa\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "Bật dùng phím home khéo"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "Lưu trữ các tập tin đã có"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <thư_mục>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<thư_mục>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "Thư mục để lưu tập tin lưu trữ duy nhất"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "Hiển thị chữ in đậm thay cho chữ ảnh động đảo ngược"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "Chuyển tab thành dấu cách"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "Đọc một tập tin vào một bộ đệm mới theo mặc định"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "Dùng các tập tin khóa (kiểu-vim)"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "Ghi lại & đọc lịch sử chuỗi tìm kiếm/thay thế"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "Đừng xem các tập tin nanorc"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "Giải quyết vấn đề nhầm lẫn trên bàn phím số"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "Đừng thêm dòng mới vào cuối tập tin"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "Cắt bỏ khoảng trắng khi ngắt dòng cứng"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "Đừng chuyển đổi tập tin từ định dạng DOS/Mac"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "Sử dụng một dòng thêm để soạn thảo"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "Ghi nhật ký & đọc vị trí tại vị trí con trỏ"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <btcq>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<btcq>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "Biểu thức chính quy để khớp trính dẫn"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "Chế độ hạn chế"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "Cuộn theo dòng thay vào theo nửa màn hình"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#số_cột>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#số_cột>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "Đặt độ rộng của tab tính theo cột tới số cột này"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "Xóa nhanh dòng trạng thái"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "In ra thông tin phiên bản và thoát"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "Nhận dạng ranh giới của từ cẩn thận hơn"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <chuỗi>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<chuỗi>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "Khối khác nào là các bộ phận của từ"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <tên>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<tên>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "Định nghĩa cú pháp để sử dụng khi tô màu"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "Khi ngắt dòng mềm, thực hiện nó tại vị trí khoảng trắng"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "Luôn luôn hiển thị vị trí con trỏ"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "Giải quyết vấn đề nhầm lẫn Backspace/Delete"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "Hiện con trỏ trong bộ duyệt tập tin"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "Hiển thị trợ giúp này rồi thoát"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "Tự động thụt các dòng mới"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "Cắt từ vị trí con trỏ tới cuối dòng"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "Hiển thị số của dòng phía trước của vă bản"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "Hỗ trợ việc dùng chuột"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "Không thể đọc tập tin (chỉ có thể ghi nó)"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <thư_mục>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<tmục>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "Đặt thư mục thao tác"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "Cấm các phím XON (^Q) và XOFF (^S)"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#số_cột>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#số_cột>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "Đặt điểm ngắt dòng cứng tính tại #cột này"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <chương trình>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<ch_trình>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "Dùng chương trình kiểm tra chính tả khác"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "Tự động lưu khi thoát, đừng hỏi lại"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "Lưu một tập tin theo mặc định ở dạng định Unix"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "Chế độ xem (chỉ đọc)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "Đừng ngắt những dòng dài"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "Đừng hiển thị hai dòng trợ giúp"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "Làm cho Ctrl+Right dừng tại cuối từ"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "Bật tạm ngưng"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "Bật ngắt dòng mềm"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano, phiên bản %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s những người đóng góp cho nano\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr ""
 " Địa chỉ thư: nano@nano-editor.org\tWeb: https://www.nano-editor.org/\n"
 " Thông báo lỗi dịch cho: http://translationproject.org/team/vi.html"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1871,271 +1903,272 @@ msgstr ""
 "\n"
 " Tùy chọn biên dịch:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "Không có tên tập tin"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "Lưu bộ đệm đã sửa? (Câu trả lời \"No\" sẽ LOẠI BỎ các thay đổi.)"
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "Đọc từ đầu vào tiêu chuẩn; gõ ^D hay ^D^D để hoàn tất.\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "Gặp lỗi khi khi mở đầu vào tiêu chuẩn: %s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "Tiếc là không thể mở lại đầu vào tiêu chuẩn từ bàn phím\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "Nhận được tín hiệu SIGHUP hoặc SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr "Rất tiếc! Nano đã đổ vỡ! Mã: %d. Vui lòng báo cáo lỗi này.\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "Dùng “fg” để quay lại nano.\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "Chế độ tạm dừng không được bật"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "được bật"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "bị tắt"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "Thôi ràng buộc phím"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "Thôi ràng buộc phím: M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "Thôi ràng buộc phím: M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "Thôi ràng buộc phím: ^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "Thôi ràng buộc phím: %c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "Yêu cầu một kích thước tab “%s” không hợp lệ"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "Yêu cầu một kích thước tô đầy “%s” không hợp lệ"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "Gõ “%s -h” để biết danh sách các tùy chọn sẵn có.\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "Sai số thứ tự dòng hoặc cột"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "Sai trong “%s”"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "Chào đón bạn dùng nano. Để xem trợ giúp cơ bản, hãy gõ Ctrl+G."
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "YyCc"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "NnKk"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "AaTt"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "Có"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "Không"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "Tất cả"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "Có lỗi trong %s trên dòng %zu: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "Đối số “%s” chưa được \" kết thúc"
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "Biểu thức chính quy phải bắt đầu và kết thúc bởi một ký tự \""
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "Biểu thức chính quy sai “%s”: %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "Thiếu tên cú pháp"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "Dấu trích dẫn không đủ cặp trong tên cú pháp"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "Cú pháp “none” là được để dành dùng trong tương lai"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "Cú pháp “default” không chấp nhận phần mở rộng"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "Thiếu tên phím"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "Tên phím quá ngắn"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "Tên phím phải bắt đầu với “^”, “M” hoặc “F”"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "Tên phím “%s” không hợp lệ"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "Phải ghi rõ hàm ràng buộc với tổ hợp phím"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr ""
 "Phải chỉ định một trình đơn (hoặc \"all\") để mà ràng buộc hay không vào phím"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "Không thể ánh xạ tên “%s” đến một hàm"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "Không thể ánh xạ tên “%s” đến một trình đơn"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "Chức năng “%s” không tồn tại trong trình đơn “%s”"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "Tiếc là không cho phép dùng tổ hợp phím “%s”"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "Gặp lỗi khi khải triển %s: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "Không hiểu màu “%s”"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "Màu nền không thể là màu sáng"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "Một lệnh “%s” cần có lệnh “syntax” đi trước"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "Thiếu tên màu"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "Thiếu chuỗi biểu thức chính quy sau lệnh “%s”"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "Chuỗi biểu thức chính quy trống rỗng"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "“start=” (bắt đầu) thì yêu cầu một phần “end=” (kết thúc) tương ứng"
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "Cú pháp “default” không chấp nhận biểu thức chính quy “%s”"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "Thiếu tham số sau “%s”"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "Đối số của “%s” thiếu \" kết thúc"
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "Lỗi nghiêm trọng: chưa ánh xạ phím với chức năng “%s”. Thoát ra.\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
+"Chưa có phím nào tổ hợp cùng hàm “%s” trong trình đơn “%s”. Nên thoát ra.\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
@@ -2143,62 +2176,62 @@ msgstr ""
 "Nếu cần, hãy sử dụng trình soạn thảo nano với tùy chọn “-I” để điều chỉnh "
 "cài đặt nanorc của bạn.\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "Không thể tìm thấy cú pháp “%s” để khai triển"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "Cú pháp “%s” không có câu lệnh màu"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "Lệnh “%s” không được phép trong tập tin đã bao gồm"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "Không hiểu câu lệnh “%s”"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "Thiếu tùy chọn"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "Không hiểu tùy chọn “%s”"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "Không thể bỏ đặt tùy chọn “%s”"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "Tùy chọn “%s” cần một tham số"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "Tham số không phải là một chuỗi đa byte hợp lệ"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "Yêu cầu các ký tự không phải khoảng trắng"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "Yêu cầu hai ký tự một cột"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "Tôi không thể tìm thấy thư mục cá nhân của mình!"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [Phân biệt HOA/thường]"
@@ -2207,295 +2240,281 @@ msgstr " [Phân biệt HOA/thường]"
 msgid " [Regexp]"
 msgstr " [BTCQ]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [Ngược lại]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " (thay thế) trong lựa chọn"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (thay thế)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "Đang tìm kiếm…"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "Không tìm thấy “%.*s%s”"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "Thay thế minh dụ này?"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "Thay thế bằng"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
 msgstr[0] "Đã thay thế %zd lần"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "Nhập số thứ tự dòng, cột"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "Không phải ngoặc đơn"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "Không có ngoặc đơn tương ứng"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "Đánh dấu văn bản"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "Hủy dấu văn bản"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "Lỗi gọi “%s”"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "Đổi sang thành ghi chú không được hỗ trợ với kiểu tập tin này"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "Không thể chuyển sang ghi chú qua cuối tập tin"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "Không có gì trong vùng đệm hủy bước!"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "thêm văn bản"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "ngắt dòng"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "xóa văn bản"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "nối dòng"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "thay thế văn bản"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "văn bản cắt"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "văn bản dán"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "chèn văn bản"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "lọc"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "thụt lề"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "thôi thụt lề"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "ghi chú"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "bỏ ghi chú"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "Bước được hủy (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "Không có gì cần hoàn lại!"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "Bước được hoàn lại (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "Không thể tạo đường ống"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "Không thể tạo tiến trình con"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "lọc"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "Gặp lỗi khi mở đường ống: %s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "Chuỗi trích dẫn sai %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "Bây giờ có thể Bỏ sắp chữ!"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "Không thể tìm từ: %s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "Sửa chuỗi thay thế"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "Từ kế…"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "Đang tạo danh sách từ sai chính tả, xin hãy chờ…"
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "Không lấy được kích thước của bộ đệm đường ống"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "Gặp lỗi khi gọi “spell”"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "Gặp lỗi khi gọi “sort -f”"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "Gặp lỗi khi gọi “uniq”"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "Gọi trình kiểm tra chính tả, vui lòng chờ"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "Kiểm tra chính tả không thành công: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "Kiểm tra chính tả không thành công: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "Hoàn thành việc kiểm tra chính tả"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "Không có kiểm chuẩn cho kiểu này của tập tin!"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "Ghi lại bộ đệm đã sửa trước khi kiểm chuẩn?"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "Đang gọi bộ kiểm chuẩn, vui lòng chờ"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "Nhận được 0 dòng có thể phân tích từ lệnh: %s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr ""
 "Lời nhắn này là dành cho tập tin %s chưa được mở, mở nó trong bộ đệm mới?"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "Không có thêm các lỗi trong các tập tin chưa được mở, nên hủy bỏ"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "Tại thông báo cuối"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "Tại thông báo đầu"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "Đã xong"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "Đang gọi bộ định dạng, vui lòng chờ"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "Hoàn tất định dạng"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%sTừ: %zu  Dòng: %zd  Ký tự: %zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "Trong lựa chọn:  "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "Dữ liệu nhập nguyên bản"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "Không mảnh chữ nào"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "Không tìm thấy thêm kết quả nào khớp"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "Không tìm thấy"
 
@@ -2525,74 +2544,119 @@ msgstr "Quá nhiều lỗi từ đầu v
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "Chuỗi chưa biết"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Đầu vào Unicode: %s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "TMỤC:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "Đã sửa đổi"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "Trình bày"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "Chặn nhiều cảnh báo hơn nữa"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "dòng %zd/%zd (%d%%), cột %zu/%zu (%d%%), ký tự %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "Trình soạn thảo văn bản nano"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "phiên bản"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "Được đem tới bởi:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "Đặc biệt cảm ơn:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "Tổ chức Phần mềm Tự do (FSF)"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "nhiều người dịch thuật và TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "Dành cho ncurses:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "và những người khác mà chúng tôi quên…"
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "Cảm ơn bạn đã dùng nano!"
 
+#~ msgid "Switched to %s"
+#~ msgstr "Đã chuyển tới %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "Tiếp là đâu"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "Lặp lại tìm kiếm cuối"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "Gọi trình định dạng, nếu có thể"
+
+#~ msgid "Formatter"
+#~ msgstr "Bđịnh dạng"
+
+#~ msgid "Indent Text"
+#~ msgstr "Thụt VBản"
+
+#~ msgid "Unindent Text"
+#~ msgstr "Thôi thụt VBản"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "Sử dụng nhiều dòng hơn dành cho việc soạn thảo"
+
+#~ msgid "Backup files"
+#~ msgstr "Tập tin sao lưu dự phòng"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "Đang đọc tập tin vào một bộ đệm khác"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "Không chuyển đổi từ định dạng DOS/Mac"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "Lỗi nghiêm trọng: chưa ánh xạ phím với chức năng “%s”. Thoát ra.\n"
+
+#~ msgid "Finished"
+#~ msgstr "Đã xong"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "Đang gọi bộ định dạng, vui lòng chờ"
+
+#~ msgid "Finished formatting"
+#~ msgstr "Hoàn tất định dạng"
+
 #~ msgid "Quoting string"
 #~ msgstr "Chuỗi dùng để trích dẫn"
 
@@ -2698,21 +2762,57 @@ msgstr "Cảm ơn bạn đã dùng nano!
 #~ msgid "Start at line LINE, column COLUMN"
 #~ msgstr "Bắt đầu tại dòng DÒNG, cột CỘT"
 
+#~ msgid "-Y <str>"
+#~ msgstr "-Y <chuỗi>"
+
 #~ msgid ""
 #~ "Warning: Modifying a file which is not locked, check directory permission?"
 #~ msgstr ""
 #~ "Cảnh báo: Sửa một tập tin không được khóa, hãy kiểm tra quyền của thư mục?"
 
+#~ msgid "Internal error: can't match line %d.  Please save your work."
+#~ msgstr "Lỗi nội bộ: không thể khớp dòng %d. Hãy lưu công việc của bạn lại."
+
 #~ msgid "Window size is too small for nano...\n"
 #~ msgstr "Kích thước cửa sổ quá nhỏ cho nano…\n"
 
 #~ msgid "Can't go outside of %s in confined mode"
 #~ msgstr "Không thể đi ra bên ngoài của %s trong chế độ hạn chế"
 
+#~ msgid ""
+#~ "Read %lu line (Converted from DOS and Mac format - Warning: No write "
+#~ "permission)"
+#~ msgid_plural ""
+#~ "Read %lu lines (Converted from DOS and Mac format - Warning: No write "
+#~ "permission)"
+#~ msgstr[0] ""
+#~ "Đọc %lu dòng (Đã chuyển đổi từ định dạng DOS và Mac — Cảnh báo: Không có "
+#~ "quyền ghi)"
+
+#~ msgid ""
+#~ "Read %lu line (Converted from Mac format - Warning: No write permission)"
+#~ msgid_plural ""
+#~ "Read %lu lines (Converted from Mac format - Warning: No write permission)"
+#~ msgstr[0] ""
+#~ "Đọc %lu dòng (Đã chuyển đổi từ định dạng Mac — Cảnh báo: không có quyền "
+#~ "ghi)"
+
+#~ msgid ""
+#~ "Read %lu line (Converted from DOS format - Warning: No write permission)"
+#~ msgid_plural ""
+#~ "Read %lu lines (Converted from DOS format - Warning: No write permission)"
+#~ msgstr[0] ""
+#~ "Đọc %lu dòng (Đã chuyển đổi từ định dạng DOS — Cảnh báo: không có quyền "
+#~ "ghi)"
+
 #~ msgid "Read %lu line (Warning: No write permission)"
 #~ msgid_plural "Read %lu lines (Warning: No write permission)"
 #~ msgstr[0] "Đọc %lu dòng (Cảnh báo: Không có quyền ghi)"
 
+#~ msgid "Save modified buffer (ANSWERING \"No\" WILL DESTROY CHANGES) ? "
+#~ msgstr ""
+#~ "Ghi lại bộ đệm đã được sửa đổi (TRẢ LỜI “K” SẼ BỎ MỌI THAY ĐỔI) (C/K) ? "
+
 #~ msgid "Unknown Command"
 #~ msgstr "Lệnh không rõ"
 
Binary files 2.9.8-1/po/zh_CN.gmo and 3.0-1/po/zh_CN.gmo differ
diff -pruN 2.9.8-1/po/zh_CN.po 3.0-1/po/zh_CN.po
--- 2.9.8-1/po/zh_CN.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/zh_CN.po	2018-09-09 09:48:30.000000000 +0000
@@ -7,10 +7,10 @@
 # Boyuan Yang <073plan@gmail.com>, 2018.
 msgid ""
 msgstr ""
-"Project-Id-Version: nano 2.9.8-pre1\n"
+"Project-Id-Version: nano 3.0-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-28 14:04+0800\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-08-30 11:13-0400\n"
 "Last-Translator: Boyuan Yang <073plan@gmail.com>\n"
 "Language-Team: Chinese (simplified) <i18n-zh@googlegroups.com>\n"
 "Language: zh_CN\n"
@@ -19,7 +19,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "X-Bugs: Report translation errors to the Language-Team address.\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Generator: Poedit 2.0.7\n"
+"X-Generator: Poedit 2.1.1\n"
 
 #: src/browser.c:67
 #, c-format
@@ -27,82 +27,86 @@ msgid "Cannot open directory: %s"
 msgstr "无法打开目录：%s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "跳至目录"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "已取消"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "无法访问 %s 外部"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "无法上移一个目录"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "读取 %s 出错：%s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "工作目录已消失"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
-msgstr "(目录)"
+msgstr "（目录）"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
-msgstr "(父目录)"
+msgstr "（父目录）"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "（巨大）"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "搜索"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [向后搜索]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "已从头搜索"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
-msgstr "这是惟一出现之处"
+msgstr "这是唯一出现之处"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "没有当前搜索模式"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "未知语法名称：%s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() 失败：%s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) 失败：%s"
@@ -173,1015 +177,1031 @@ msgstr "文件 %s 已被编辑（编辑
 msgid "Can't read file from outside of %s"
 msgstr "无法读取 %s 外部的文件"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
-msgstr "\"%s\" 是一个目录"
+msgstr "“%s”是一个目录"
 
 #: src/files.c:447
 #, c-format
 msgid "\"%s\" is not a normal file"
 msgstr "“%s”不是普通文件"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "无多余文件缓冲区可启用"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+msgid "spelling correction"
+msgstr "拼写检查"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "切换至 %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] "%s -- %zu 行（%s）"
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "新缓冲区"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr "DOS"
+
+#: src/files.c:626
+msgid "Mac"
+msgstr "Mac"
+
+#: src/files.c:629
+#, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "%s -- %zu 行"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "无多余文件缓冲区可启用"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "文件“%s”不可写入"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "已读取 %zu 行（转换自 DOS 与 Mac 格式）"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "已读取 %zu 行（转换自 Mac 格式）"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "已读取 %zu 行（转换自 DOS 格式）"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "已读取 %zu 行"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "新文件"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "文件“%s”未找到"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" 是一个设备文件"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "正在读取文件"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "在新缓冲区中要执行的命令"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "要执行的命令"
 
-#: src/files.c:1049
+#: src/files.c:1098
+#, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "要不经转换读入新缓冲区的文件 [来自 %s]"
+
+#: src/files.c:1101
+#, c-format
+msgid "File to read into new buffer [from %s]"
+msgstr "要读入新缓冲区的文件 [来自 %s]"
+
+#: src/files.c:1106
 #, c-format
-msgid "File to insert into new buffer [from %s]"
-msgstr "要插入新缓冲区的文件 [来自 %s]"
+msgid "File to insert unconverted [from %s]"
+msgstr "要不经转换插入的文件 [来自 %s]"
 
-#: src/files.c:1052
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "要插入的文件 [来自 %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "非多重缓冲区模式中此按键无效"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "无效的操作目录\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
-msgstr "写入备份文件失败；继续保存吗？(如果不确定请输入N)"
+msgstr "写入备份文件失败；继续保存吗？（如果不确定请输入N。）"
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "无效的备份目录\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "无法写入%s 外部"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "写入备份文件 %s 出错：%s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "太多备份文件？"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "写入临时文件%s 出错"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "写入%s 出错：%s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "已写入 %zu 行"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS 格式]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac 格式]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [备份]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "前引选择部份于文件"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "附加选择部份至文件"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "写入选择部份至文件"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "要前引于的文件名"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "要附加至的文件名"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "要写入的文件名"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr "屏幕过小"
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "文件已存在——无法覆写"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "以不同的名称保存文件？ "
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "文件“%s”已存在；要覆盖吗？ "
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "磁盘上的文件已改变"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "在您打开文件后文件已被改变；是否继续保存？"
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(更多)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "离开"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "关闭"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "还原剪切"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "还原对齐"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "读档"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "搜索"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "替换"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "跳行"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "上行"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "下行"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "上页"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "下页"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "对齐"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "全部对齐"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "刷新"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "搜索下一个"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "取消当前功能"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "显示帮助"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "关闭当前缓冲区 / 离开 nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "将当前缓冲区（或标记的区域）写入磁盘"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "将另一个文件插入当前缓冲区（或者插入新缓冲区）"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "正向查找字符串或正则表达式"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "反向查找字符串或正则表达式"
 
-#: src/global.c:537
-msgid "Search for a string"
-msgstr "查找字符串"
+#: src/global.c:533
+msgid "Search forward for a string"
+msgstr "向前查找字符串"
 
-#: src/global.c:538
+#: src/global.c:534
+msgid "Search backward for a string"
+msgstr "向后查找字符串"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "刷新文件列表"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "跳至左栏"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "跳至右栏"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "跳至本栏第一列"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "跳至本栏最后一列"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr "向上跳转一屏"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "向下跳转一屏"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "剪切当前行（或者标记的区域）并存至剪贴缓冲区"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "从剪贴板粘贴至当前行"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "显示光标位置"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "尝试运行拼写检查"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "替换字符串或正则表达式"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "跳至指定行与列位置"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "重复上次搜索"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "标记游标所在位置开始的文本"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "复制当前行（或者标记的区域）并存至剪贴缓冲区"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "缩进当前行（或者标记的行）"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "取消缩进当前行（或者标记的行）"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "撤销上次操作"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "重做撤销的操作"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "向后跳一字符"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "向前跳一字符"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "向后跳一个词"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "向前跳一个词"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "跳至前一行"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "跳至后一行"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "跳至当前行首"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "跳至当前行尾"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "跳至前一段文本"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "跳至后一段文本"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "跳至当前段落开头，如已在段落开头，则调至上一段落起始处"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "跳至当前段落结尾，如已在段落结尾，则调至下一段落结尾"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "跳至文件第一行"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "跳至文件最后一行"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "移动至对应括号"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "向上滚动一行但不移动文本中的游标"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "向下滚动一行但不移动文本中的游标"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "切换至上个文件缓冲区"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "切换至下个文件缓冲区"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "插入下一按键原型"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "插入制表符于游标位置"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "插入新行于游标位置"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "删除游标之下的字符"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "删除游标左侧的字符"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "从游标剪切至单词开始位置"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "从游标剪切至下一个单词开始位置"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "从游标位置剪切至文件结尾"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "对齐当前段落"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "对齐整个文件"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "计算字数、行数与字符数"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "重新显示当前画面"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "挂起编辑器（如果启用了挂起功能）"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "尝试补全当前单词"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "注释/反注释当前行（或者标记的行）"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "不提示而保存文件"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "向后搜索下一个出现位置"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "向前搜索下一个出现位置"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "开始/停止录制宏"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "运行最近录制的宏"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "切换查找的区分大小写选项"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "反转搜索方向"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "切换使用正则表达式"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "编辑前次搜索/替换字符串"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "编辑下次搜索/替换字符串"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "切换使用DOS 格式"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "切换使用Mac 格式"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "切换追加"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "切换前置插入"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "切换储存既有文件的备份"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "执行外部命令"
 
-#: src/global.c:659
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
 msgstr "将当前缓冲区（或标记的区域）通过管道送给外部命令"
 
-#: src/global.c:662
+#: src/global.c:656
+msgid "Do not convert from DOS/Mac format"
+msgstr "不要从 DOS/Mac 格式转换"
+
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "切换使用新缓冲区"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "不保存而关闭缓冲区"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "打开文件选单"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "从文件选单离开"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "跳至文件第一列"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "跳至文件最后一列"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "跳至列表中的前一个文件"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "跳至列表中的下一个文件"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "跳至目录"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "尝试运行代码语法检查"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "跳至上一个 linter 信息"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "跳至下一个 linter 信息"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "尝试运行文本格式化工具"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "求助"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "取消"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "写入"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "读档"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "对齐"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "刷新"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "搜索"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "替换"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "跳至目录"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "剪切文字"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "拼写检查"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "转至代码语法检查器"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "格式化工具"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "游标位置"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "跳行"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "撤销"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "重做"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "标记文字"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "复制文字"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "区分大小写"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "正则表达式"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "向后搜索"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "不替换"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "全部对齐"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "至括号"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "保存"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "向前搜索"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "上一个"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "下一个"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "向后"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "向前"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "前一个字"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "后一个字"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "顶端"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "尾端"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "上行"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "下行"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "向上卷动"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "向下卷动"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "上一段"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "下一段"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "段落开头"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "段落结尾"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "上页"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "下页"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "首行"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "尾行"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "上个文件"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "下个文件"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "制表符"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "回车"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "删除"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "退格"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "向左剪切"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "向右剪切"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "剪切至文末"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "字数统计"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "原本形式"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "挂起"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "缩进文字"
+#: src/global.c:956
+msgid "Indent"
+msgstr "缩进"
 
-#: src/global.c:971
-msgid "Unindent Text"
+#: src/global.c:958
+msgid "Unindent"
 msgstr "取消缩进"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "注释行"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "补全"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "录制"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "运行宏"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "向前搜索"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "保存"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "前一记录"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "后一记录"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "跳至文字"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS 格式"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac 格式"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "附加"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "前引"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "备份文件"
 
-#: src/global.c:1032
+#: src/global.c:1020
+msgid "No Conversion"
+msgstr "不转换"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "执行命令"
 
-#: src/global.c:1047
+#: src/global.c:1028
 msgid "Pipe Text"
 msgstr "管道传递文字"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "文件选单"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "首文件"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "末文件"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "左栏"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "右栏"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "顶行"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "底行"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "禁用缓冲区"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "上一条 Lint 信息"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "下一条 Lint 信息"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "辅助模式"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "持续显示游标位置"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "编辑时使用多一行"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "平滑式卷动画面"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "为过长行进行软折行"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "显示空格"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "语法色彩高亮"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "智能HOME键"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "自动缩进"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "剪切至行尾"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "为过长行强制换行"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "已输入制表符至空白的转换"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "备份文件"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "正读取文件至单独的缓冲区"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "鼠标支持"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "不从 DOS/Mac 格式转换"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "挂起"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "行编号"
 
@@ -1203,7 +1223,7 @@ msgstr ""
 "字，画面就会更新到最合乎搜索字符串的位置。\n"
 "\n"
 "最近一次搜索的字符串将会显示在搜索提示符后的括号中。不输入任何文字而直接按下"
-"回车键则会重复使用最近一次的搜索条件。"
+"回车键则会重复使用最近一次的搜索条件。  "
 
 #: src/help.c:316
 msgid ""
@@ -1398,21 +1418,33 @@ msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
+msgstr ""
+"执行命令辅助说明\n"
 "\n"
-" The following function keys are available in Execute Command mode:\n"
+" 本选单允许您将 shell 执行的命令输出结果，插入当前的缓冲区（或是插入一个新缓"
+"冲区）。  如果命令前输入了一个“|”字符（管道符号），则当前缓冲区中的内容（或者"
+"标记的区域）将通过管道提供给对应命令。  "
+
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
 "\n"
 msgstr ""
-"执行命令辅助说明\n"
+"如果您仅仅需要另一个空白缓冲区，请不要输入任何命令。\n"
 "\n"
-" 本选单允许您将shell 执行的命令输出结果，插入当前的缓冲区(或是多重缓冲区模式"
-"下的新缓冲区)。如果您需要另一个空白缓冲区，就不要输入任何命令。\n"
+
+#: src/help.c:422
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
 "\n"
-" 以下的功能键可用于执行命令模式：\n"
+msgstr ""
+"在执行模式可使用如下的功能键：\n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1430,7 +1462,7 @@ msgstr ""
 "是否已被修改。  接着是主要编辑区，显示正在编辑的文件。  状态行位于倒数第三"
 "行，用来显示重要的信息。  "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1445,7 +1477,7 @@ msgstr ""
 "按 Esc 键两次的方式进行输入。Meta 键序列使用“M-”符号标记，它可以用 Alt、Cmd "
 "或 Esc 键输入，具体取决于您的键盘设置。  "
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1457,7 +1489,7 @@ msgstr ""
 "对应的字符。下列按键组合可用于主要编辑区，替代按键则显示于括号内：\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "启用/关闭"
 
@@ -1493,19 +1525,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "写入 %s 出错：%s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "观看模式中此按键无效"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "在限制模式中此功能被禁用"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "帮助不可用"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1514,7 +1546,7 @@ msgstr ""
 "\n"
 "缓冲内容已写入 %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1523,7 +1555,7 @@ msgstr ""
 "\n"
 "缓冲内容未写入至 %s：%s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1532,7 +1564,7 @@ msgstr ""
 "\n"
 "缓冲区未写入：%s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1543,7 +1575,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1552,7 +1584,7 @@ msgstr ""
 "如需启动时将游标置放在文件的特定行上，请在文件名前使用“+”符号加上行号以\n"
 "进行指定。如需同时指定特定列，可以在其后添加半角逗号和列号。\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1561,277 +1593,277 @@ msgstr ""
 "当文件名为“-”时，nano 从标准输入读取数据。\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "选项\t\tGNU 长选项\t\t意义\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "启用智能 HOME 键"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "储存既有文件的备份"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <目录>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<目录>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "用以储存独一备份文件的目录"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "用粗体替代颜色反转"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "将已输入的制表符转换为空白"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "默认从文件读入到一个新的缓冲区"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "使用（vim 风格）锁文件"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "记录与读取搜索/替换的历史字符串"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "不要参考nanorc 文件"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "修正数字键区按键混淆问题"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "不要将换行加到文件末端"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "强制折行时移除末尾空白"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "不要从 DOS/Mac 格式转换"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "编辑时多使用一行"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "记录并读取光标位置"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "-Q <regex>"
 msgstr "-Q <正则表达式>"
 
-#: src/nano.c:821
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
 msgstr "--quotestr=<正则表达式>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
 msgstr "匹配引用的正则表达式"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "限制模式"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "按行滚动而不是半屏"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#列数>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#列数>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "设定制表符宽度为 #列数"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "状态行快速闪动"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "显示版本信息并离开"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "更正确地侦测单字边界"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <字符串>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<字符串>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "指定哪些其它特殊字符也是单词的一部分"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <名称>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<名称>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "用于加亮的语法定义"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "软折行时在空白处进行"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "持续显示游标位置"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "修正退格键/删除键混淆问题"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "在文件浏览器中显示游标"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "显示本帮助文本并退出"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "自动缩进新行"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "从游标剪切至行尾"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "在文本之前显示行号"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "启用鼠标功能"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "不要读取文件（仅写入）"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <目录>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<目录>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "设定操作目录"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "保留XON (^Q) 和XOFF (^S) 按键"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#列数>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#列数>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "设定强制折行宽度为 #列数"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <程序>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<程序>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "启用替代的拼写检查程序"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "离开时自动储存，不要提示"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "默认将文件保存为 Unix 格式"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "查看(只读)模式"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "不要为过长行强制折行"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "不要显示辅助区"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "使 Ctrl+Right 在单词末尾处停止"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "启用挂起功能"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "启用软换行"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano，版本 %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s nano 贡献者\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " 电子邮件：nano@nano-editor.org\t网页：https://www.nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1840,331 +1872,331 @@ msgstr ""
 "\n"
 " 编译选项："
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "无文件名"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "保存已修改的缓冲区？（回答“否”会丢弃所有修改。）"
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "正在从标准输入读取；输入 ^D 或 ^D^D 以结束。\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "打开标准输入失败：%s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "对不起，无法从键盘设备重新打开标准输入\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "接收到SIGHUP 或SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr "抱歉！Nano 崩溃了！代码：%d。请报告这个问题。\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "使用 \"fg\" 返回 nano\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "挂起功能未启用"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "已启用"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "已禁用"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "按键未绑定"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "不可绑定的按键：M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "按键未绑定：M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "按键未绑定：^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "按键未绑定：%c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "所要求的制表符宽度%s 无效"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "所要求的填满行数\"%s\" 无效"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "输入“%s -h”以获取所有可用选项的列表。\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "无效的列号或行号"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "“%s”中的错误"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
 msgstr "欢迎使用 nano。  如需基本帮助信息，请按下 Ctrl+G。"
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Yy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Aa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "是"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "否"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "全部"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "在 %s（第 %zu 行）中发生错误："
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "参数%s 有未封闭的 \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "正则表达式字符串必须以 \" 字符开始及结束"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "非法的正则表达式 \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "缺少语法名称"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "语法名称中的未配对引用"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "\"none\" 语法已被保留"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "默认“default”语法不接受扩展"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "缺少键名称"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "键名称过短"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "键名称必须以“^”、“M”或“F”开始"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "键名称 %s 无效"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "必须指定键绑定到的功能"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr "必须指定一个要绑定/接触绑定按键的菜单（或“全部（all）”）"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "无法映射名字“%s”到一个功能"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "无法映射名字“%s”到一个菜单"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "功能“%s”在菜单“%s”中不存在"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "对不起，按键“%s”无法重新绑定"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "展开 %s 出错：%s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "无法识别颜色“%s”"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "背景色不可为明亮"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "“%s”命令需要一个前导 \"syntax\" 命令"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "缺少颜色名称"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "“%s”命令后缺少正则表达式字符串"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "空正则表达式字符串"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" 要求对应的\"end=\""
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "\"default\" 语法不接受“%s”正则表达式"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "“%s”后缺少参数"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "“%s”的参数缺少封闭的 \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "致命错误：没有键映射到功能“%s”。退出。\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr "没有绑定到功能“%s”的按键（在菜单“%s”中）。退出。\n"
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr "如有需要，请在启动 nano 时带上 -I 选项以调整您的 nanorc 设置。\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "无法找到要扩展的语法“%s”"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "语法“%s”没有color 命令"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "命令“%s”被禁止在包含文件中使用"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "无法识别“%s”命令"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "缺少选项"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "未知选项“%s”"
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "无法解除选项设定“%s”"
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "选项%s 需要参数"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "参数并非有效的多字节字符串"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "需要非空格字符"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "需要两个单行字符"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "我找不到我的家目录！哇！"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [区分大小写]"
@@ -2173,294 +2205,280 @@ msgstr " [区分大小写]"
 msgid " [Regexp]"
 msgstr " [正则表达式]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [向后搜索]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " 在标记中(替换)"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (替换)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "正在搜索..."
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "找不到 \"%.*s%s\""
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "替换这个？"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "替换为"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
 msgstr[0] "已替换 %zd 处"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "输入列号，行号"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "并非一个括号"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "无对应括号"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "标记设定"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "标记解除"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "调用 \"%s\" 错误"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "该文件类型不支持做注释"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "无法注释越过文件末尾"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "没有可撤销的操作！"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "文字增加"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "换行符"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "文本删除"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "行合并"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "文本替换"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "文字剪切"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "取消剪切"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "文本插入"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr "过滤"
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "缩进"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "取消缩进"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "注释"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "取消注释"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "已撤销操作(%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "没有可重做的操作！"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "已重做操作（%s）"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "无法创建管道"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "无法 fork"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "过滤"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "打开管道失败：%s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "不良的引用字符串 %s：%s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "现在可以还原对齐！"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "无法找到单词：%s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "编辑替代文字"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "下一个单词..."
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "正在建立错字列表，请稍待..."
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "无法获取管道缓冲区大小"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "调用 \"spell\" 错误"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "调用 \"sort -f\" 错误"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "调用 \"uniq\" 错误"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "正在调用拼写检查器，请稍候"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "拼写检查失败：%s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "拼写检查失败：%s：%s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "拼写检查结束"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "没有为该类型文件而定义的代码语法检查器！"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "运行代码语法检查之前保存已修改的缓冲区吗？"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "正在调用代码语法检查器，请稍候"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "从命令 %s 获得了 0 行可解析的行"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr "该信息对应于未打开的文件 %s，在新缓冲区打开它吗？"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "未打开的文件中没有更多错误，取消操作"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "在最后一条消息"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "在第一条消息"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "已完成"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "正在调用格式化工具，请稍等"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "格式化完成"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%s字数：%zu  行数：%zd  字符数：%zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "于选择部分："
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "原形输入"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr "没有单词片段"
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "没有更多匹配"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "没有匹配"
 
@@ -2490,74 +2508,119 @@ msgstr "标准输入含有太多错误"
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "未知序列"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "Unicode 输入：%s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "目录："
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "已更改"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "查看"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "更多的警告信息未显示"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "行 %zd/%zd (%d%%)，列 %zu/%zu (%d%%)，字符 %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "nano 文本编辑器"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "版本"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "来自于："
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "特别感谢："
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "自由软件基金会"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "TP 项目和众多翻译人员"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "ncurses 部分:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "以及其他我们不记得的人..."
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "感谢您使用 nano！"
 
+#~ msgid "Switched to %s"
+#~ msgstr "切换至 %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "搜索下一个"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "重复上次搜索"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "尝试运行文本格式化工具"
+
+#~ msgid "Formatter"
+#~ msgstr "格式化工具"
+
+#~ msgid "Indent Text"
+#~ msgstr "缩进文字"
+
+#~ msgid "Unindent Text"
+#~ msgstr "取消缩进"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "编辑时使用多一行"
+
+#~ msgid "Backup files"
+#~ msgstr "备份文件"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "正读取文件至单独的缓冲区"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "不从 DOS/Mac 格式转换"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "致命错误：没有键映射到功能“%s”。退出。\n"
+
+#~ msgid "Finished"
+#~ msgstr "已完成"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "正在调用格式化工具，请稍等"
+
+#~ msgid "Finished formatting"
+#~ msgstr "格式化完成"
+
 #~ msgid "Quoting string"
 #~ msgstr "引用代表字符串"
 
Binary files 2.9.8-1/po/zh_TW.gmo and 3.0-1/po/zh_TW.gmo differ
diff -pruN 2.9.8-1/po/zh_TW.po 3.0-1/po/zh_TW.po
--- 2.9.8-1/po/zh_TW.po	2018-06-02 08:23:42.000000000 +0000
+++ 3.0-1/po/zh_TW.po	2018-09-09 09:48:30.000000000 +0000
@@ -6,10 +6,10 @@
 # pan93412 <pan93412@gmail.com>, 2018.
 msgid ""
 msgstr ""
-"Project-Id-Version: GNU nano 2.9.7-pre1\n"
+"Project-Id-Version: GNU nano 2.9.8-pre1\n"
 "Report-Msgid-Bugs-To: nano-devel@gnu.org\n"
-"POT-Creation-Date: 2018-06-02 10:23+0200\n"
-"PO-Revision-Date: 2018-05-16 19:14+0800\n"
+"POT-Creation-Date: 2018-09-09 11:48+0200\n"
+"PO-Revision-Date: 2018-06-11 06:58+0800\n"
 "Last-Translator: pan93412 <pan93412@gmail.com>\n"
 "Language-Team: Chinese (traditional) <zh-l10n@linux.org.tw>\n"
 "Language: zh_TW\n"
@@ -26,82 +26,86 @@ msgid "Cannot open directory: %s"
 msgstr "無法開啟目錄：%s"
 
 #. TRANSLATORS: This is a prompt.
-#: src/browser.c:230
+#: src/browser.c:228
 msgid "Go To Directory"
 msgstr "跳至目錄"
 
-#: src/browser.c:233 src/browser.c:693 src/files.c:1074 src/files.c:2104
-#: src/nano.c:1073 src/search.c:117 src/search.c:210 src/search.c:718
-#: src/search.c:770 src/text.c:3050 src/text.c:3232
+#: src/browser.c:231 src/browser.c:691 src/files.c:1131 src/files.c:2159
+#: src/nano.c:1078 src/search.c:116 src/search.c:209 src/search.c:715
+#: src/search.c:767 src/text.c:3052 src/text.c:3234
 msgid "Cancelled"
 msgstr "已取消"
 
 #. TRANSLATORS: This refers to the confining effect of the
 #. * option --operatingdir, not of --restricted.
-#: src/browser.c:250 src/browser.c:281
+#: src/browser.c:248 src/browser.c:279
 #, c-format
 msgid "Can't go outside of %s"
 msgstr "無法超出 %s 範圍"
 
-#: src/browser.c:272
+#: src/browser.c:270
 msgid "Can't move up a directory"
 msgstr "無法上移一個目錄"
 
-#: src/browser.c:287 src/files.c:965 src/files.c:971 src/files.c:1627
-#: src/files.c:1744 src/files.c:1785 src/files.c:1805 src/files.c:1917
-#: src/history.c:311 src/history.c:407 src/rcfile.c:538 src/rcfile.c:1222
+#: src/browser.c:285 src/files.c:1012 src/files.c:1018 src/files.c:1677
+#: src/files.c:1794 src/files.c:1836 src/files.c:1856 src/files.c:1970
+#: src/history.c:311 src/history.c:407 src/rcfile.c:528 src/rcfile.c:1206
 #, c-format
 msgid "Error reading %s: %s"
 msgstr "讀取 %s 時發生錯誤: %s"
 
-#: src/browser.c:371
+#: src/browser.c:369
 msgid "The working directory has disappeared"
 msgstr "目前的工作目錄已經消失"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
-#: src/browser.c:566 src/browser.c:573
+#: src/browser.c:562 src/browser.c:569
 msgid "(dir)"
 msgstr "(目錄)"
 
 #. TRANSLATORS: Try to keep this at most 12 characters.
-#: src/browser.c:570
+#: src/browser.c:566
 msgid "(parent dir)"
 msgstr "(上層目錄)"
 
 #. TRANSLATORS: Try to keep this at most 7 characters.
 #. * If necessary, you can leave out the parentheses.
-#: src/browser.c:600
+#: src/browser.c:596
 msgid "(huge)"
 msgstr "(huge)"
 
 #. TRANSLATORS: This is the main search prompt.
-#: src/browser.c:684 src/search.c:103
+#: src/browser.c:681 src/search.c:103
 msgid "Search"
 msgstr "搜尋"
 
-#: src/browser.c:723 src/browser.c:728 src/search.c:280
+#: src/browser.c:682 src/search.c:107
+msgid " [Backwards]"
+msgstr " [向後搜尋]"
+
+#: src/browser.c:721 src/browser.c:726 src/search.c:279
 msgid "Search Wrapped"
 msgstr "已從頭搜尋"
 
-#: src/browser.c:739 src/search.c:415
+#: src/browser.c:737 src/search.c:412
 msgid "This is the only occurrence"
 msgstr "這是惟一出現之處"
 
-#: src/browser.c:784 src/search.c:354
+#: src/browser.c:783 src/search.c:353
 msgid "No current search pattern"
 msgstr "沒有符合目前搜尋形式者"
 
-#: src/color.c:183
+#: src/color.c:182
 #, c-format
 msgid "Unknown syntax name: %s"
 msgstr "未知的語法名稱：%s"
 
-#: src/color.c:239
+#: src/color.c:238
 #, c-format
 msgid "magic_load() failed: %s"
 msgstr "magic_load() 錯誤：%s"
 
-#: src/color.c:243
+#: src/color.c:242
 #, c-format
 msgid "magic_file(%s) failed: %s"
 msgstr "magic_file(%s) 錯誤：%s"
@@ -172,7 +176,7 @@ msgstr "檔案 %s 正在被編輯（來
 msgid "Can't read file from outside of %s"
 msgstr "無法讀取 %s 外的檔案"
 
-#: src/files.c:445 src/files.c:955 src/rcfile.c:517
+#: src/files.c:445 src/files.c:1002 src/rcfile.c:507
 #, c-format
 msgid "\"%s\" is a directory"
 msgstr "\"%s\" 是一個目錄"
@@ -182,1007 +186,1028 @@ msgstr "\"%s\" 是一個目錄"
 msgid "\"%s\" is not a normal file"
 msgstr "「%s」不是一個正常檔案"
 
-#: src/files.c:594
-msgid "No more open file buffers"
-msgstr "無多餘檔案緩衝區可開啟"
+#: src/files.c:526 src/files.c:548 src/files.c:572 src/files.c:590
+#, fuzzy
+msgid "spelling correction"
+msgstr "缺少選項"
 
-#: src/files.c:619
+#. TRANSLATORS: first %s is file name, second %s is file format.
+#: src/files.c:623
 #, c-format
-msgid "Switched to %s"
-msgstr "切換至 %s"
+msgid "%s -- %zu line (%s)"
+msgid_plural "%s -- %zu lines (%s)"
+msgstr[0] ""
 
-#: src/files.c:621 src/global.c:1042 src/winio.c:2047
+#: src/files.c:625 src/files.c:631 src/global.c:1016 src/winio.c:2072
 msgid "New Buffer"
 msgstr "新緩衝區"
 
-#: src/files.c:886
+#: src/files.c:626
+msgid "DOS"
+msgstr ""
+
+#: src/files.c:626
+msgid "Mac"
+msgstr ""
+
+#: src/files.c:629
+#, fuzzy, c-format
+msgid "%s -- %zu line"
+msgid_plural "%s -- %zu lines"
+msgstr[0] "已讀取 %zu 列"
+
+#: src/files.c:640
+msgid "No more open file buffers"
+msgstr "無多餘檔案緩衝區可開啟"
+
+#: src/files.c:933
 #, c-format
 msgid "File '%s' is unwritable"
 msgstr "檔案「%s」唯讀"
 
 #. TRANSLATORS: Keep the next four messages at most 78 characters.
-#: src/files.c:890
+#: src/files.c:937
 #, c-format
 msgid "Read %zu line (Converted from DOS and Mac format)"
 msgid_plural "Read %zu lines (Converted from DOS and Mac format)"
 msgstr[0] "已讀取 %zu 列 (轉檔自 DOS 與 Mac 格式)"
 
-#: src/files.c:895
+#: src/files.c:942
 #, c-format
 msgid "Read %zu line (Converted from Mac format)"
 msgid_plural "Read %zu lines (Converted from Mac format)"
 msgstr[0] "已讀取 %zu 列 (轉檔自 Mac 格式)"
 
-#: src/files.c:900
+#: src/files.c:947
 #, c-format
 msgid "Read %zu line (Converted from DOS format)"
 msgid_plural "Read %zu lines (Converted from DOS format)"
 msgstr[0] "已讀取 %zu 列 (轉檔自 DOS 格式)"
 
-#: src/files.c:906
+#: src/files.c:953
 #, c-format
 msgid "Read %zu line"
 msgid_plural "Read %zu lines"
 msgstr[0] "已讀取 %zu 列"
 
-#: src/files.c:941
+#: src/files.c:988
 msgid "New File"
 msgstr "新檔案"
 
-#: src/files.c:946
+#: src/files.c:993
 #, c-format
 msgid "File \"%s\" not found"
 msgstr "找不到檔案「%s」"
 
-#: src/files.c:956 src/rcfile.c:518
+#: src/files.c:1003 src/rcfile.c:508
 #, c-format
 msgid "\"%s\" is a device file"
 msgstr "\"%s\" 是一個裝置檔案"
 
-#: src/files.c:974
+#: src/files.c:1021
 msgid "Reading File"
 msgstr "正在讀取檔案"
 
-#. TRANSLATORS: The next four messages are prompts.
-#: src/files.c:1040
+#. TRANSLATORS: The next six messages are prompts.
+#: src/files.c:1087
 msgid "Command to execute in new buffer"
 msgstr "在新緩衝區中執行的命令"
 
-#: src/files.c:1043
+#: src/files.c:1090
 msgid "Command to execute"
 msgstr "執行的命令 "
 
-#: src/files.c:1049
-#, c-format
-msgid "File to insert into new buffer [from %s]"
+#: src/files.c:1098
+#, fuzzy, c-format
+msgid "File to read unconverted into new buffer [from %s]"
+msgstr "所要插入新緩衝區的檔案 [從 %s]"
+
+#: src/files.c:1101
+#, fuzzy, c-format
+msgid "File to read into new buffer [from %s]"
 msgstr "所要插入新緩衝區的檔案 [從 %s]"
 
-#: src/files.c:1052
+#: src/files.c:1106
+#, fuzzy, c-format
+msgid "File to insert unconverted [from %s]"
+msgstr "所要插入的檔案 [從 %s]"
+
+#: src/files.c:1109
 #, c-format
 msgid "File to insert [from %s]"
 msgstr "所要插入的檔案 [從 %s]"
 
-#: src/files.c:1213
+#: src/files.c:1263
 msgid "Key invalid in non-multibuffer mode"
 msgstr "非多重緩衝區模式中此按鍵無效"
 
-#: src/files.c:1426
+#: src/files.c:1476
 msgid "Invalid operating directory\n"
 msgstr "無效的操作目錄\n"
 
-#: src/files.c:1475
+#: src/files.c:1525
 msgid "Failed to write backup file; continue saving? (Say N if unsure.) "
 msgstr "寫入備份檔案時失敗；要繼續儲存？(如果不確定就以 N 表示。) "
 
-#: src/files.c:1492
+#: src/files.c:1542
 msgid "Invalid backup directory\n"
 msgstr "無效的備份目錄\n"
 
-#: src/files.c:1585
+#: src/files.c:1635
 #, c-format
 msgid "Can't write outside of %s"
 msgstr "無法寫入 %s 外部"
 
-#: src/files.c:1663 src/files.c:1687 src/files.c:1705 src/files.c:1719
-#: src/files.c:1731 src/files.c:1754
+#: src/files.c:1713 src/files.c:1737 src/files.c:1755 src/files.c:1769
+#: src/files.c:1781 src/files.c:1804
 #, c-format
 msgid "Error writing backup file %s: %s"
 msgstr "寫入暫存檔案 %s 時發生錯誤：%s"
 
-#: src/files.c:1664 src/nano.c:656
+#: src/files.c:1714 src/nano.c:666
 msgid "Too many backup files?"
 msgstr "太多備份檔案？"
 
-#: src/files.c:1794 src/files.c:1816 src/help.c:55 src/help.c:122
-#: src/text.c:2968 src/text.c:2986 src/text.c:3359 src/text.c:3370
+#: src/files.c:1845 src/files.c:1867 src/help.c:55 src/help.c:122
+#: src/text.c:2970 src/text.c:2988
 #, c-format
 msgid "Error writing temp file: %s"
 msgstr "寫入暫存檔案 %s 時發生錯誤"
 
-#: src/files.c:1835 src/files.c:1845 src/files.c:1865 src/files.c:1882
-#: src/files.c:1892 src/files.c:1924 src/files.c:1931
+#: src/files.c:1887 src/files.c:1897 src/files.c:1917 src/files.c:1934
+#: src/files.c:1944 src/files.c:1977 src/files.c:1986
 #, c-format
 msgid "Error writing %s: %s"
 msgstr "寫入 %s 時發生錯誤: %s"
 
-#: src/files.c:1981
+#: src/files.c:2036
 #, c-format
 msgid "Wrote %zu line"
 msgid_plural "Wrote %zu lines"
 msgstr[0] "已寫入 %zu 列"
 
-#: src/files.c:2064
+#: src/files.c:2119
 msgid " [DOS Format]"
 msgstr " [DOS 格式]"
 
-#: src/files.c:2065
+#: src/files.c:2120
 msgid " [Mac Format]"
 msgstr " [Mac 格式]"
 
-#: src/files.c:2066
+#: src/files.c:2121
 msgid " [Backup]"
 msgstr " [備份]"
 
 #. TRANSLATORS: The next six strings are prompts.
-#: src/files.c:2073
+#: src/files.c:2128
 msgid "Prepend Selection to File"
 msgstr "前引選擇部分於檔案"
 
-#: src/files.c:2074
+#: src/files.c:2129
 msgid "Append Selection to File"
 msgstr "附加選擇部分至檔案"
 
-#: src/files.c:2075
+#: src/files.c:2130
 msgid "Write Selection to File"
 msgstr "寫入選擇部分至檔案"
 
-#: src/files.c:2077
+#: src/files.c:2132
 msgid "File Name to Prepend to"
 msgstr "要前引於的檔案名稱"
 
-#: src/files.c:2078
+#: src/files.c:2133
 msgid "File Name to Append to"
 msgstr "要附加至的檔案名稱"
 
-#: src/files.c:2081
+#: src/files.c:2136
 msgid "File Name to Write"
 msgstr "要寫入的檔案名稱"
 
+#. TRANSLATORS: Concisely say the screen is too small.
+#: src/files.c:2219
+msgid "Too tiny"
+msgstr ""
+
 #. TRANSLATORS: Restricted mode forbids overwriting.
-#: src/files.c:2190
+#: src/files.c:2249
 msgid "File exists -- cannot overwrite"
 msgstr "檔案已存在 -- 無法覆蓋"
 
-#: src/files.c:2200
+#: src/files.c:2259
 msgid "Save file under DIFFERENT NAME? "
 msgstr "以不同的名稱存檔？"
 
-#: src/files.c:2208
+#: src/files.c:2267
 #, c-format
 msgid "File \"%s\" exists; OVERWRITE? "
 msgstr "檔案「%s」已存在；要覆寫嗎？"
 
-#: src/files.c:2235
+#: src/files.c:2294
 msgid "File on disk has changed"
 msgstr "磁碟上的檔案已變更"
 
-#: src/files.c:2237
+#: src/files.c:2296
 msgid "File was modified since you opened it; continue saving? "
 msgstr "檔案從您開啟它後已被修改；要繼續儲存？"
 
-#: src/files.c:2657
+#: src/files.c:2716
 msgid "(more)"
 msgstr "(更多)"
 
-#. TRANSLATORS: Try to keep the next fifteen strings at most 10 characters.
-#: src/global.c:495
+#. TRANSLATORS: Try to keep the next four strings at most 10 characters.
+#: src/global.c:507
 msgid "Exit"
 msgstr "離開"
 
-#: src/global.c:496
+#: src/global.c:508
 msgid "Close"
 msgstr "關閉"
 
-#: src/global.c:497
+#: src/global.c:509
 msgid "Uncut Text"
 msgstr "還原剪下文字"
 
-#: src/global.c:499
+#: src/global.c:511
 msgid "Unjustify"
 msgstr "還原對齊"
 
-#: src/global.c:505
-msgid "Read File"
-msgstr "讀檔"
-
-#: src/global.c:506
-msgid "Where Is"
-msgstr "搜尋"
-
-#: src/global.c:507
-msgid "Replace"
-msgstr "置換"
-
-#: src/global.c:508
-msgid "Go To Line"
-msgstr "跳列"
-
-#: src/global.c:509
-msgid "Prev Line"
-msgstr "上列"
-
-#: src/global.c:510
-msgid "Next Line"
-msgstr "下列"
-
-#: src/global.c:511
-msgid "Prev Page"
-msgstr "上頁"
-
-#: src/global.c:512
-msgid "Next Page"
-msgstr "下頁"
-
-#: src/global.c:514
-msgid "Justify"
-msgstr "對齊"
-
-#: src/global.c:515
-msgid "FullJstify"
-msgstr "全部對齊"
-
-#: src/global.c:517
-msgid "Refresh"
-msgstr "重新顯示"
-
-#. TRANSLATORS: Try to keep this string at most 12 characters.
-#: src/global.c:519
-msgid "WhereIs Next"
-msgstr "下一個位置"
-
 #. TRANSLATORS: The next long series of strings are shortcut descriptions;
 #. * they are best kept shorter than 56 characters, but may be longer.
-#: src/global.c:524
+#: src/global.c:520
 msgid "Cancel the current function"
 msgstr "取消目前功能"
 
-#: src/global.c:525
+#: src/global.c:521
 msgid "Display this help text"
 msgstr "顯示這份說明文字"
 
-#: src/global.c:527
+#: src/global.c:523
 msgid "Close the current buffer / Exit from nano"
 msgstr "關閉目前緩衝區 / 離開 nano"
 
-#: src/global.c:529
+#: src/global.c:525
 msgid "Write the current buffer (or the marked region) to disk"
 msgstr "寫入目前緩衝區（或者是已標記區域）至磁碟"
 
-#: src/global.c:531
+#: src/global.c:527
 msgid "Insert another file into current buffer (or into new buffer)"
 msgstr "插入其他檔案至目前緩衝區（或插入新的緩衝區）"
 
-#: src/global.c:533
+#: src/global.c:529
 msgid "Search forward for a string or a regular expression"
 msgstr "使用字串或正規表示式來向前搜尋"
 
-#: src/global.c:535
+#: src/global.c:531
 msgid "Search backward for a string or a regular expression"
 msgstr "使用字串或正規表示式來往回搜尋"
 
-#: src/global.c:537
-msgid "Search for a string"
+#: src/global.c:533
+#, fuzzy
+msgid "Search forward for a string"
 msgstr "搜尋一個字串"
 
-#: src/global.c:538
+#: src/global.c:534
+#, fuzzy
+msgid "Search backward for a string"
+msgstr "搜尋一個字串"
+
+#: src/global.c:535
 msgid "Refresh the file list"
 msgstr "重新整理檔案列表"
 
-#: src/global.c:540
+#: src/global.c:537
 msgid "Go to lefthand column"
 msgstr "跳至左欄"
 
-#: src/global.c:541
+#: src/global.c:538
 msgid "Go to righthand column"
 msgstr "跳至右欄"
 
-#: src/global.c:542
+#: src/global.c:539
 msgid "Go to first row in this column"
 msgstr "跳至此欄中的第一行"
 
-#: src/global.c:543
+#: src/global.c:540
 msgid "Go to last row in this column"
 msgstr "跳至此欄中的最後一列"
 
-#: src/global.c:546
+#: src/global.c:543
 msgid "Go one screenful up"
 msgstr " 向上捲動一個畫面"
 
-#: src/global.c:547
+#: src/global.c:544
 msgid "Go one screenful down"
 msgstr "向下捲動一個畫面"
 
-#: src/global.c:549
+#: src/global.c:546
 msgid "Cut current line (or marked region) and store it in cutbuffer"
 msgstr "在剪貼板剪下目前的行（或選取的區域）並且儲存它"
 
-#: src/global.c:551
+#: src/global.c:548
 msgid "Uncut from the cutbuffer into the current line"
 msgstr "從剪貼簿還原至目前這列"
 
-#: src/global.c:552
+#: src/global.c:549
 msgid "Display the position of the cursor"
 msgstr "顯示游標位置"
 
-#: src/global.c:554
+#: src/global.c:551
 msgid "Invoke the spell checker, if available"
 msgstr "嘗試呼叫拼字檢查"
 
-#: src/global.c:556
+#: src/global.c:553
 msgid "Replace a string or a regular expression"
 msgstr "置換字串或正規表示式"
 
-#: src/global.c:557
+#: src/global.c:554
 msgid "Go to line and column number"
 msgstr "跳至指定列與行位置"
 
-#: src/global.c:558
-msgid "Repeat the last search"
-msgstr "重覆上次搜尋"
-
-#: src/global.c:560
+#: src/global.c:556
 msgid "Mark text starting from the cursor position"
 msgstr "從游標開始標記文字"
 
-#: src/global.c:562
+#: src/global.c:558
 msgid "Copy current line (or marked region) and store it in cutbuffer"
 msgstr "剪下目前的列（或選取的區域）並存至剪貼簿"
 
-#: src/global.c:563
+#: src/global.c:559
 msgid "Indent the current line (or marked lines)"
 msgstr "縮排目前這列（或選取的區域）"
 
-#: src/global.c:564
+#: src/global.c:560
 msgid "Unindent the current line (or marked lines)"
 msgstr "取消目前這列（或選取的區域）的縮排"
 
-#: src/global.c:565
+#: src/global.c:561
 msgid "Undo the last operation"
 msgstr "復原上次的動作"
 
-#: src/global.c:566
+#: src/global.c:562
 msgid "Redo the last undone operation"
 msgstr "重做最後一筆已復原作業"
 
-#: src/global.c:568
+#: src/global.c:564
 msgid "Go back one character"
 msgstr "向後跳一字元"
 
-#: src/global.c:569
+#: src/global.c:565
 msgid "Go forward one character"
 msgstr "向前跳一字元"
 
-#: src/global.c:570
+#: src/global.c:566
 msgid "Go back one word"
 msgstr "向後跳一字詞"
 
-#: src/global.c:571
+#: src/global.c:567
 msgid "Go forward one word"
 msgstr "向前跳一字詞"
 
-#: src/global.c:572
+#: src/global.c:568
 msgid "Go to previous line"
 msgstr "跳至前一列"
 
-#: src/global.c:573
+#: src/global.c:569
 msgid "Go to next line"
 msgstr "跳至後一列"
 
-#: src/global.c:574
+#: src/global.c:570
 msgid "Go to beginning of current line"
 msgstr "跳至目前列首"
 
-#: src/global.c:575
+#: src/global.c:571
 msgid "Go to end of current line"
 msgstr "跳至目前列尾"
 
-#: src/global.c:576
+#: src/global.c:572
 msgid "Go to previous block of text"
 msgstr "跳至前一塊文字"
 
-#: src/global.c:577
+#: src/global.c:573
 msgid "Go to next block of text"
 msgstr "跳至後一塊文字"
 
-#: src/global.c:580
+#: src/global.c:576
 msgid "Go to beginning of paragraph; then of previous paragraph"
 msgstr "跳至目前段落開頭；然後是前一段落的開頭"
 
-#: src/global.c:582
+#: src/global.c:578
 msgid "Go just beyond end of paragraph; then of next paragraph"
 msgstr "跳至目前段落結尾；然後是後一段落的結尾"
 
-#: src/global.c:584
+#: src/global.c:580
 msgid "Go to the first line of the file"
 msgstr "跳至檔案第一列"
 
-#: src/global.c:585
+#: src/global.c:581
 msgid "Go to the last line of the file"
 msgstr "跳至檔案最後一列"
 
-#: src/global.c:587
+#: src/global.c:583
 msgid "Go to the matching bracket"
 msgstr "跳至對應的括號"
 
-#: src/global.c:591
+#: src/global.c:587
 msgid "Scroll up one line without moving the cursor textually"
 msgstr "向上捲動一列而不捲動文字上的游標"
 
-#: src/global.c:593
+#: src/global.c:589
 msgid "Scroll down one line without moving the cursor textually"
 msgstr "向下捲動一列而不捲動文字上的游標"
 
-#: src/global.c:596
+#: src/global.c:592
 msgid "Switch to the previous file buffer"
 msgstr "切換至上個檔案緩衝區"
 
-#: src/global.c:597
+#: src/global.c:593
 msgid "Switch to the next file buffer"
 msgstr "切換至下個檔案緩衝區"
 
-#: src/global.c:599
+#: src/global.c:595
 msgid "Insert the next keystroke verbatim"
 msgstr "插入下個按鍵的原形"
 
-#: src/global.c:600
+#: src/global.c:596
 msgid "Insert a tab at the cursor position"
 msgstr "插入跳格字元於游標位置"
 
-#: src/global.c:601
+#: src/global.c:597
 msgid "Insert a newline at the cursor position"
 msgstr "插入換列字元於游標位置"
 
-#: src/global.c:602
+#: src/global.c:598
 msgid "Delete the character under the cursor"
 msgstr "刪除游標之下的字元"
 
-#: src/global.c:604
+#: src/global.c:600
 msgid "Delete the character to the left of the cursor"
 msgstr "刪除游標左側的字元"
 
-#: src/global.c:607
+#: src/global.c:603
 msgid "Cut backward from cursor to word start"
 msgstr "從游標向後剪下至字的開頭"
 
-#: src/global.c:609
+#: src/global.c:605
 msgid "Cut forward from cursor to next word start"
 msgstr "從游標向前剪下至下個字的開頭"
 
-#: src/global.c:611
+#: src/global.c:607
 msgid "Cut from the cursor position to the end of the file"
 msgstr "從游標位置剪下至檔案結尾"
 
-#: src/global.c:614
+#: src/global.c:610
 msgid "Justify the current paragraph"
 msgstr "對齊目前段落"
 
-#: src/global.c:615
+#: src/global.c:611
 msgid "Justify the entire file"
 msgstr "對齊整個檔案"
 
-#: src/global.c:619
+#: src/global.c:615
 msgid "Count the number of words, lines, and characters"
 msgstr "計算字數、列數與字元數"
 
-#: src/global.c:622
+#: src/global.c:618
 msgid "Refresh (redraw) the current screen"
 msgstr "重新顯示目前畫面"
 
-#: src/global.c:624
+#: src/global.c:620
 msgid "Suspend the editor (if suspension is enabled)"
 msgstr "懸置編輯器 (如果懸置已啟用)"
 
-#: src/global.c:626
+#: src/global.c:622
 msgid "Try and complete the current word"
 msgstr "嘗試完成目前的單字"
 
-#: src/global.c:630
+#: src/global.c:626
 msgid "Comment/uncomment the current line (or marked lines)"
 msgstr "註解 / 取消註解目前的列（或標記的列）"
 
-#: src/global.c:632
+#: src/global.c:628
 msgid "Save file without prompting"
 msgstr "儲存檔案而不經確認"
 
-#: src/global.c:634
+#: src/global.c:629
 msgid "Search next occurrence backward"
 msgstr "向後搜尋下一個結果"
 
-#: src/global.c:635
+#: src/global.c:630
 msgid "Search next occurrence forward"
 msgstr "向前搜尋下一個結果"
 
-#: src/global.c:636
+#: src/global.c:632
 msgid "Start/stop recording a macro"
 msgstr "開始 / 停止錄製巨集"
 
-#: src/global.c:637
+#: src/global.c:633
 msgid "Run the last recorded macro"
 msgstr "執行上次錄製的巨集"
 
-#: src/global.c:640
+#: src/global.c:636
 msgid "Toggle the case sensitivity of the search"
 msgstr "切換搜尋的大小寫符合"
 
-#: src/global.c:642
+#: src/global.c:638
 msgid "Reverse the direction of the search"
 msgstr "倒轉搜尋方向"
 
-#: src/global.c:644
+#: src/global.c:640
 msgid "Toggle the use of regular expressions"
 msgstr "切換使用正規表示式"
 
-#: src/global.c:647
+#: src/global.c:643
 msgid "Recall the previous search/replace string"
 msgstr "重用上次搜尋/置換字串"
 
-#: src/global.c:649
+#: src/global.c:645
 msgid "Recall the next search/replace string"
 msgstr "重用下次搜尋/置換字串"
 
-#: src/global.c:652
+#: src/global.c:648
 msgid "Toggle the use of DOS format"
 msgstr "切換使用 DOS 格式"
 
-#: src/global.c:653
+#: src/global.c:649
 msgid "Toggle the use of Mac format"
 msgstr "切換使用 Mac 格式"
 
-#: src/global.c:654
+#: src/global.c:650
 msgid "Toggle appending"
 msgstr "切換附加"
 
-#: src/global.c:655
+#: src/global.c:651
 msgid "Toggle prepending"
 msgstr "切換前置"
 
-#: src/global.c:656
+#: src/global.c:652
 msgid "Toggle backing up of the original file"
 msgstr "切換備份既有檔案"
 
-#: src/global.c:657
+#: src/global.c:653
 msgid "Execute external command"
 msgstr "執行外部命令"
 
-#: src/global.c:659
-#, fuzzy
+#: src/global.c:655
 msgid "Pipe the current buffer (or marked region) to the command"
-msgstr "寫入目前緩衝區（或者是已標記區域）至磁碟"
+msgstr "將目前緩衝區（或者是已標記區域）管線 pipe 至指令"
+
+#: src/global.c:656
+#, fuzzy
+msgid "Do not convert from DOS/Mac format"
+msgstr "不要從 DOS/Mac 格式轉檔"
 
-#: src/global.c:662
+#: src/global.c:659
 msgid "Toggle the use of a new buffer"
 msgstr "切換使用新緩衝區"
 
-#: src/global.c:664
+#: src/global.c:661
 msgid "Close buffer without saving it"
 msgstr "關閉緩衝區而不儲存"
 
-#: src/global.c:666
+#: src/global.c:663
 msgid "Go to file browser"
 msgstr "呼叫檔案選單"
 
-#: src/global.c:667
+#: src/global.c:664
 msgid "Exit from the file browser"
 msgstr "從檔案選單離開"
 
-#: src/global.c:668
+#: src/global.c:665
 msgid "Go to the first file in the list"
 msgstr "跳至列表中的第一個檔案"
 
-#: src/global.c:669
+#: src/global.c:666
 msgid "Go to the last file in the list"
 msgstr "跳至列表中的最後一個檔案"
 
-#: src/global.c:670
+#: src/global.c:667
 msgid "Go to the previous file in the list"
 msgstr "跳至列表中的上一個檔案"
 
-#: src/global.c:671
+#: src/global.c:668
 msgid "Go to the next file in the list"
 msgstr "跳至列表中的下一個檔案"
 
-#: src/global.c:672
+#: src/global.c:669
 msgid "Go to directory"
 msgstr "跳至目錄"
 
-#: src/global.c:675
+#: src/global.c:672
 msgid "Invoke the linter, if available"
 msgstr "嘗試呼叫 linter。"
 
-#: src/global.c:676
+#: src/global.c:673
 msgid "Go to previous linter msg"
 msgstr "跳至上一個 linter 訊息"
 
-#: src/global.c:677
+#: src/global.c:674
 msgid "Go to next linter msg"
 msgstr "跳至下一個 linter 訊息"
 
-#: src/global.c:679
-msgid "Invoke formatter, if available"
-msgstr "嘗試呼叫程式碼格式化工具"
-
-#. TRANSLATORS: Try to keep the following strings at most 10 characters.
-#: src/global.c:694
+#. TRANSLATORS: Try to keep the next ninety strings or so at most 10
+#. * characters.  Some strings may be longer -- run nano and see.
+#: src/global.c:689
 msgid "Get Help"
 msgstr "求助"
 
-#: src/global.c:697 src/prompt.c:711
+#: src/global.c:692 src/prompt.c:706
 msgid "Cancel"
 msgstr "取消"
 
-#: src/global.c:710
+#: src/global.c:705
 msgid "Write Out"
 msgstr "輸出"
 
-#: src/global.c:749
+#: src/global.c:715 src/global.c:1031
+msgid "Read File"
+msgstr "讀檔"
+
+#: src/global.c:726 src/global.c:762
+msgid "Justify"
+msgstr "對齊"
+
+#: src/global.c:733 src/global.c:748 src/global.c:949
+msgid "Refresh"
+msgstr "重新顯示"
+
+#: src/global.c:738 src/global.c:830
+msgid "Where Is"
+msgstr "搜尋"
+
+#: src/global.c:741 src/global.c:806
+msgid "Replace"
+msgstr "置換"
+
+#: src/global.c:745
 msgid "Go To Dir"
 msgstr "跳至目錄"
 
-#: src/global.c:766
+#: src/global.c:752
 msgid "Cut Text"
 msgstr "剪下文字"
 
-#: src/global.c:781
+#: src/global.c:767
 msgid "To Spell"
 msgstr "拼字檢查"
 
-#: src/global.c:785
+#: src/global.c:771
 msgid "To Linter"
 msgstr "至 Linter"
 
-#: src/global.c:788
-msgid "Formatter"
-msgstr "程式碼格式化工具"
-
-#: src/global.c:794
+#: src/global.c:776
 msgid "Cur Pos"
 msgstr "游標位置"
 
-#: src/global.c:806
+#: src/global.c:783 src/global.c:816 src/global.c:906 src/global.c:986
+msgid "Go To Line"
+msgstr "跳列"
+
+#: src/global.c:788
 msgid "Undo"
 msgstr "復原"
 
-#: src/global.c:808
+#: src/global.c:790
 msgid "Redo"
 msgstr "重做"
 
-#: src/global.c:811
+#: src/global.c:793
 msgid "Mark Text"
 msgstr "標記文字"
 
-#: src/global.c:813
+#: src/global.c:795
 msgid "Copy Text"
 msgstr "複製文字"
 
-#: src/global.c:817
+#: src/global.c:799
 msgid "Case Sens"
 msgstr "依大小寫"
 
-#: src/global.c:819
+#: src/global.c:801
 msgid "Regexp"
 msgstr "正規表示式"
 
-#: src/global.c:821
+#: src/global.c:803
 msgid "Backwards"
 msgstr "向後搜尋"
 
-#: src/global.c:827
+#: src/global.c:809
 msgid "No Replace"
 msgstr "不置換"
 
-#: src/global.c:839
+#: src/global.c:813 src/global.c:937
+msgid "FullJstify"
+msgstr "全部對齊"
+
+#: src/global.c:821
 msgid "To Bracket"
 msgstr "至 Bracket"
 
-#: src/global.c:845
+#: src/global.c:825 src/global.c:975
+msgid "Save"
+msgstr "儲存"
+
+#. TRANSLATORS: This starts a backward search.
+#: src/global.c:832 src/global.c:836
+msgid "Where Was"
+msgstr "搜尋"
+
+#: src/global.c:838
 msgid "Previous"
 msgstr "上個"
 
-#: src/global.c:847
+#: src/global.c:840
 msgid "Next"
 msgstr "下個"
 
-#: src/global.c:851 src/global.c:856
+#. TRANSLATORS: This means move the cursor one character back.
+#: src/global.c:844 src/global.c:849
 msgid "Back"
 msgstr "向後"
 
-#: src/global.c:853 src/global.c:858
+#: src/global.c:846 src/global.c:851
 msgid "Forward"
 msgstr "向前"
 
-#: src/global.c:862
+#: src/global.c:855
 msgid "Prev Word"
 msgstr "前一個字"
 
-#: src/global.c:864
+#: src/global.c:857
 msgid "Next Word"
 msgstr "後一個字"
 
-#: src/global.c:867
+#: src/global.c:860
 msgid "Home"
 msgstr "頂端"
 
-#: src/global.c:869
+#: src/global.c:862
 msgid "End"
 msgstr "尾端"
 
-#: src/global.c:877
+#: src/global.c:865
+msgid "Prev Line"
+msgstr "上列"
+
+#: src/global.c:867
+msgid "Next Line"
+msgstr "下列"
+
+#: src/global.c:870
 msgid "Scroll Up"
 msgstr "向上捲動"
 
-#: src/global.c:879
+#: src/global.c:872
 msgid "Scroll Down"
 msgstr "向下捲動"
 
-#: src/global.c:883
+#: src/global.c:876
 msgid "Prev Block"
 msgstr "前一個區塊"
 
-#: src/global.c:885
+#: src/global.c:878
 msgid "Next Block"
 msgstr "後一個區塊"
 
-#: src/global.c:888
+#: src/global.c:881
 msgid "Beg of Par"
 msgstr "段落開頭"
 
-#: src/global.c:890
+#: src/global.c:883
 msgid "End of Par"
 msgstr "段落結尾"
 
-#: src/global.c:899
+#: src/global.c:887 src/global.c:1041 src/global.c:1043
+msgid "Prev Page"
+msgstr "上頁"
+
+#: src/global.c:889
+msgid "Next Page"
+msgstr "下頁"
+
+#: src/global.c:892
 msgid "First Line"
 msgstr "首列"
 
-#: src/global.c:901
+#: src/global.c:894
 msgid "Last Line"
 msgstr "尾列"
 
-#: src/global.c:905
+#: src/global.c:898
 msgid "Prev File"
 msgstr "上個檔案"
 
-#: src/global.c:907
+#: src/global.c:900
 msgid "Next File"
 msgstr "下個檔案"
 
-#: src/global.c:923
+#: src/global.c:910
 msgid "Tab"
 msgstr "跳格鍵"
 
-#: src/global.c:925
+#: src/global.c:912
 msgid "Enter"
 msgstr "輸入鍵"
 
-#: src/global.c:928
+#: src/global.c:915
 msgid "Delete"
 msgstr "刪除鍵"
 
-#: src/global.c:930
+#: src/global.c:917
 msgid "Backspace"
 msgstr "退格鍵"
 
 #. TRANSLATORS: The next two strings refer to cutting words.
-#: src/global.c:941
+#: src/global.c:928
 msgid "Cut Left"
 msgstr "切割左邊"
 
-#: src/global.c:943
+#: src/global.c:930
 msgid "Cut Right"
 msgstr "切割右邊"
 
-#: src/global.c:945
+#: src/global.c:932
 msgid "CutTillEnd"
 msgstr "刪至末端"
 
-#: src/global.c:955
+#: src/global.c:942
 msgid "Word Count"
 msgstr "計算字數"
 
-#: src/global.c:959
+#: src/global.c:946
 msgid "Verbatim"
 msgstr "原形"
 
-#: src/global.c:965
+#: src/global.c:952
 msgid "Suspend"
 msgstr "懸置"
 
-#: src/global.c:969
-msgid "Indent Text"
-msgstr "縮排文字"
-
-#: src/global.c:971
-msgid "Unindent Text"
-msgstr "取消縮排文字"
+#: src/global.c:956
+#, fuzzy
+msgid "Indent"
+msgstr "縮排"
+
+#: src/global.c:958
+#, fuzzy
+msgid "Unindent"
+msgstr "還原縮排"
 
-#: src/global.c:975
+#: src/global.c:962
 msgid "Comment Lines"
 msgstr "備註行"
 
-#: src/global.c:979
+#: src/global.c:966
 msgid "Complete"
 msgstr "完成"
 
-#: src/global.c:983
+#: src/global.c:970
 msgid "Record"
 msgstr "錄製"
 
-#: src/global.c:985
+#: src/global.c:972
 msgid "Run Macro"
 msgstr "執行巨集"
 
-#. TRANSLATORS: This starts a backward search.
-#: src/global.c:989
-msgid "Where Was"
-msgstr "搜尋"
-
-#: src/global.c:992
-msgid "Save"
-msgstr "儲存"
-
-#: src/global.c:996
+#: src/global.c:979
 msgid "PrevHstory"
 msgstr "上一筆記錄"
 
-#: src/global.c:998
+#: src/global.c:981
 msgid "NextHstory"
 msgstr "下一筆記錄"
 
-#: src/global.c:1007
+#: src/global.c:990
 msgid "Go To Text"
 msgstr "跳至文字"
 
-#: src/global.c:1011
+#: src/global.c:994
 msgid "DOS Format"
 msgstr "DOS 格式"
 
-#: src/global.c:1013
+#: src/global.c:996
 msgid "Mac Format"
 msgstr "Mac 格式"
 
-#: src/global.c:1021
+#: src/global.c:1004
 msgid "Append"
 msgstr "附加"
 
-#: src/global.c:1023
+#: src/global.c:1006
 msgid "Prepend"
 msgstr "前引"
 
-#: src/global.c:1026
+#: src/global.c:1009
 msgid "Backup File"
 msgstr "備份檔案"
 
-#: src/global.c:1032
+#: src/global.c:1020
+#, fuzzy
+msgid "No Conversion"
+msgstr "版本"
+
+#: src/global.c:1025
 msgid "Execute Command"
 msgstr "執行命令"
 
-#: src/global.c:1047
-#, fuzzy
+#: src/global.c:1028
 msgid "Pipe Text"
-msgstr "複製文字"
+msgstr "管線文字"
 
-#: src/global.c:1053
+#: src/global.c:1038
 msgid "To Files"
 msgstr "檔案選單"
 
-#: src/global.c:1061
+#: src/global.c:1046
 msgid "First File"
 msgstr "第一個檔案"
 
-#: src/global.c:1063
+#: src/global.c:1048
 msgid "Last File"
 msgstr "最後的檔案"
 
-#: src/global.c:1066
+#: src/global.c:1051
 msgid "Left Column"
 msgstr "左欄"
 
-#: src/global.c:1068
+#: src/global.c:1053
 msgid "Right Column"
 msgstr "右欄"
 
-#: src/global.c:1070
+#: src/global.c:1055
 msgid "Top Row"
 msgstr "上排"
 
-#: src/global.c:1072
+#: src/global.c:1057
 msgid "Bottom Row"
 msgstr "下排"
 
-#: src/global.c:1077
+#: src/global.c:1062
 msgid "Discard buffer"
 msgstr "放棄緩衝區"
 
 #. TRANSLATORS: Try to keep the next two strings at most 20 characters.
-#: src/global.c:1082
+#: src/global.c:1067
 msgid "Prev Lint Msg"
 msgstr "上一個 Lint 訊息"
 
-#: src/global.c:1084
+#: src/global.c:1069
 msgid "Next Lint Msg"
 msgstr "下一個 Lint 訊息"
 
-#. TRANSLATORS: The next eighteen strings are toggle descriptions;
+#. TRANSLATORS: The next fourteen strings are toggle descriptions;
 #. * they are best kept shorter than 40 characters, but may be longer.
-#: src/global.c:1418
+#: src/global.c:1390
 msgid "Help mode"
 msgstr "輔助模式"
 
-#: src/global.c:1420
+#: src/global.c:1392
 msgid "Constant cursor position display"
 msgstr "持續顯示游標位置"
 
-#: src/global.c:1422
-msgid "Use of one more line for editing"
-msgstr "編輯時多使用一列"
-
-#: src/global.c:1424
+#: src/global.c:1394
 msgid "Smooth scrolling"
 msgstr "平滑式捲動畫面"
 
-#: src/global.c:1426
+#: src/global.c:1396
 msgid "Soft wrapping of overlong lines"
 msgstr "軟換行過長的行"
 
-#: src/global.c:1428
+#: src/global.c:1398
 msgid "Whitespace display"
 msgstr "顯示空格"
 
-#: src/global.c:1430
+#: src/global.c:1400
 msgid "Color syntax highlighting"
 msgstr "語法色彩標示"
 
-#: src/global.c:1432
+#: src/global.c:1402
 msgid "Smart home key"
 msgstr "智慧型 HOME 按鍵"
 
-#: src/global.c:1434
+#: src/global.c:1404
 msgid "Auto indent"
 msgstr "自動縮排"
 
-#: src/global.c:1436
+#: src/global.c:1406
 msgid "Cut to end"
 msgstr "剪下至列尾"
 
-#: src/global.c:1438
+#: src/global.c:1408
 msgid "Hard wrapping of overlong lines"
 msgstr "硬換行過長的行"
 
-#: src/global.c:1440
+#: src/global.c:1410
 msgid "Conversion of typed tabs to spaces"
 msgstr "已輸入跳格符號至空白的轉換"
 
-#: src/global.c:1442
-msgid "Backup files"
-msgstr "備份檔案"
-
-#: src/global.c:1444
-msgid "Reading file into separate buffer"
-msgstr "讀取資料至獨立的緩衝區"
-
-#: src/global.c:1446
+#: src/global.c:1412
 msgid "Mouse support"
 msgstr "滑鼠支援"
 
-#: src/global.c:1448
-msgid "No conversion from DOS/Mac format"
-msgstr "不從 DOS/Mac 格式轉檔"
-
-#: src/global.c:1450
+#: src/global.c:1414
 msgid "Suspension"
 msgstr "懸置"
 
-#: src/global.c:1452
+#: src/global.c:1416
 msgid "Line numbering"
 msgstr "標記列號"
 
@@ -1396,15 +1421,14 @@ msgstr ""
 "\n"
 
 #: src/help.c:414
+#, fuzzy
 msgid ""
 "Execute Command Help Text\n"
 "\n"
 " This mode allows you to insert the output of a command run by the shell "
-"into the current buffer (or a new buffer in multiple file buffer mode).  If "
-"you need another blank buffer, do not enter any command.\n"
-"\n"
-" The following function keys are available in Execute Command mode:\n"
-"\n"
+"into the current buffer (or into a new buffer).  If the command is preceded "
+"by '|' (the pipe symbol), the current contents of the buffer (or marked "
+"region) will be piped to the command.  "
 msgstr ""
 "執行命令輔助說明\n"
 "\n"
@@ -1414,7 +1438,22 @@ msgstr ""
 " 以下的功能鍵可用於執行命令模式: \n"
 "\n"
 
-#: src/help.c:427
+#: src/help.c:420
+msgid ""
+"If you just need another blank buffer, do not enter any command.\n"
+"\n"
+msgstr ""
+
+#: src/help.c:422
+#, fuzzy
+msgid ""
+" The following function keys are available in Execute Command mode:\n"
+"\n"
+msgstr ""
+" 下列功能鍵可用於瀏覽器搜尋模式：\n"
+"\n"
+
+#: src/help.c:428
 msgid ""
 "Main nano help text\n"
 "\n"
@@ -1434,7 +1473,7 @@ msgstr ""
 "\n"
 " "
 
-#: src/help.c:437
+#: src/help.c:438
 msgid ""
 "The bottom two lines show the most commonly used shortcuts in the editor.\n"
 "\n"
@@ -1449,7 +1488,7 @@ msgstr ""
 "藉由使用 Ctrl 鍵或按兩下 Esc 鍵輸入。Meta-Key 序列是以「M-」符號表示，且可以"
 "藉由您的鍵盤設定來選擇使用 Alt、Cmd 或 Esc 鍵輸入。"
 
-#: src/help.c:444
+#: src/help.c:445
 msgid ""
 "Also, pressing Esc twice and then typing a three-digit decimal number from "
 "000 to 255 will enter the character with the corresponding value.  The "
@@ -1461,7 +1500,7 @@ msgstr ""
 "對應的字 元。下列按鍵組合可用於主要編輯區，替代按鍵則顯示於括弧內:\n"
 "\n"
 
-#: src/help.c:476 src/help.c:557
+#: src/help.c:477 src/help.c:558
 msgid "enable/disable"
 msgstr "開啟/關閉"
 
@@ -1497,19 +1536,19 @@ msgstr ""
 msgid "Error writing %s: %s\n"
 msgstr "寫入 %s 時發生錯誤: %s\n"
 
-#: src/nano.c:536
+#: src/nano.c:543
 msgid "Key is invalid in view mode"
 msgstr "在檢視模式中，此按鍵無效。"
 
-#: src/nano.c:542
+#: src/nano.c:549
 msgid "This function is disabled in restricted mode"
 msgstr "這功能已經在限制模式中被停用"
 
-#: src/nano.c:550
+#: src/nano.c:557
 msgid "Help is not available"
 msgstr "說明不可用"
 
-#: src/nano.c:650
+#: src/nano.c:660
 #, c-format
 msgid ""
 "\n"
@@ -1518,7 +1557,7 @@ msgstr ""
 "\n"
 "緩衝區已寫入 %s\n"
 
-#: src/nano.c:652
+#: src/nano.c:662
 #, c-format
 msgid ""
 "\n"
@@ -1527,7 +1566,7 @@ msgstr ""
 "\n"
 "緩衝區未寫入至 %s: %s\n"
 
-#: src/nano.c:655
+#: src/nano.c:665
 #, c-format
 msgid ""
 "\n"
@@ -1536,7 +1575,7 @@ msgstr ""
 "\n"
 "緩衝區未寫入: %s\n"
 
-#: src/nano.c:764
+#: src/nano.c:773
 #, c-format
 msgid ""
 "Usage: nano [OPTIONS] [[+LINE[,COLUMN]] FILE]...\n"
@@ -1547,7 +1586,7 @@ msgstr ""
 
 #. TRANSLATORS: The next two strings are part of the --help output.
 #. * It's best to keep its lines within 80 characters.
-#: src/nano.c:767
+#: src/nano.c:776
 #, c-format
 msgid ""
 "To place the cursor on a specific line of a file, put the line number with\n"
@@ -1556,7 +1595,7 @@ msgstr ""
 "為了要擺放游標至一個檔案中指定的行，在檔案名稱之間放入一個「+」於行碼前面。\n"
 "欄碼可以在逗號後增加。\n"
 
-#: src/nano.c:769
+#: src/nano.c:778
 #, c-format
 msgid ""
 "When a filename is '-', nano reads data from standard input.\n"
@@ -1565,279 +1604,277 @@ msgstr ""
 "當檔案名稱為「-」，Nano 將從標準輸入內讀取資料\n"
 "\n"
 
-#: src/nano.c:770
+#: src/nano.c:779
 #, c-format
 msgid "Option\t\tGNU long option\t\tMeaning\n"
 msgstr "選項\t\tGNU 長選項\t\t意義\n"
 
 #. TRANSLATORS: The next forty or so strings are option descriptions
 #. * for the --help output.  Try to keep them at most 40 characters.
-#: src/nano.c:774
+#: src/nano.c:783
 msgid "Enable smart home key"
 msgstr "開啟智慧型 HOME 按鍵功能"
 
-#: src/nano.c:776
+#: src/nano.c:785
 msgid "Save backups of existing files"
 msgstr "儲存既有檔案的備份"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "-C <dir>"
 msgstr "-C <目錄>"
 
-#: src/nano.c:777
+#: src/nano.c:786
 msgid "--backupdir=<dir>"
 msgstr "--backupdir=<目錄>"
 
-#: src/nano.c:778
+#: src/nano.c:787
 msgid "Directory for saving unique backup files"
 msgstr "用以儲存獨一備份檔案的目錄"
 
-#: src/nano.c:781
+#: src/nano.c:790
 msgid "Use bold instead of reverse video text"
 msgstr "使用粗體以代替反白顯示文字"
 
-#: src/nano.c:783
+#: src/nano.c:792
 msgid "Convert typed tabs to spaces"
 msgstr "將已輸入的跳格符號轉換為空白"
 
-#: src/nano.c:788
+#: src/nano.c:797
 msgid "Read a file into a new buffer by default"
 msgstr "預設值為讀取一個檔案至新的緩衝區"
 
-#: src/nano.c:791
+#: src/nano.c:800
 msgid "Use (vim-style) lock files"
 msgstr "使用 (vim 形式) 鎖定檔案"
 
-#: src/nano.c:796
+#: src/nano.c:805
 msgid "Log & read search/replace string history"
 msgstr "記錄與讀取 搜尋/置換 的歷史字串"
 
-#: src/nano.c:800
+#: src/nano.c:809
 msgid "Don't look at nanorc files"
 msgstr "不要參考 nanorc 檔案"
 
-#: src/nano.c:803
+#: src/nano.c:812
 msgid "Fix numeric keypad key confusion problem"
 msgstr "修正數字鍵區按鍵混淆問題"
 
-#: src/nano.c:805
+#: src/nano.c:814
 msgid "Don't add newlines to the ends of files"
 msgstr "不要將換列加到檔案末端"
 
-#: src/nano.c:808
+#: src/nano.c:817
 msgid "Trim tail spaces when hard-wrapping"
 msgstr "當使用硬換行，修剪後端的空白"
 
-#: src/nano.c:812
+#: src/nano.c:821
 msgid "Don't convert files from DOS/Mac format"
 msgstr "不要從 DOS/Mac 格式轉檔"
 
-#: src/nano.c:814
+#: src/nano.c:823
 msgid "Use one more line for editing"
 msgstr "編輯時多使用一列"
 
-#: src/nano.c:818
+#: src/nano.c:827
 msgid "Log & read location of cursor position"
 msgstr "記錄 & 讀取游標所在位置"
 
-#: src/nano.c:821
-#, fuzzy
+#: src/nano.c:830
 msgid "-Q <regex>"
-msgstr "-Q <字串>"
+msgstr "-Q <正規表達式>"
 
-#: src/nano.c:821
-#, fuzzy
+#: src/nano.c:830
 msgid "--quotestr=<regex>"
-msgstr "--quotestr=<字串>"
+msgstr "--quotestr=<正規表達式>"
 
-#: src/nano.c:822
+#: src/nano.c:831
 msgid "Regular expression to match quoting"
-msgstr ""
+msgstr "匹配中括號的正規表達式"
 
-#: src/nano.c:825
+#: src/nano.c:834
 msgid "Restricted mode"
 msgstr "限制模式"
 
-#: src/nano.c:827
+#: src/nano.c:836
 msgid "Scroll by line instead of half-screen"
 msgstr "逐列捲動以代替半個畫面"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "-T <#cols>"
 msgstr "-T <#行數>"
 
-#: src/nano.c:829
+#: src/nano.c:838
 msgid "--tabsize=<#cols>"
 msgstr "--tabsize=<#行數>"
 
-#: src/nano.c:830
+#: src/nano.c:839
 msgid "Set width of a tab to #cols columns"
 msgstr "設定跳格寬度為 #行數"
 
-#: src/nano.c:831
+#: src/nano.c:840
 msgid "Do quick statusbar blanking"
 msgstr "狀態列快速閃動"
 
-#: src/nano.c:832
+#: src/nano.c:841
 msgid "Print version information and exit"
 msgstr "顯示版本資訊並離開"
 
-#: src/nano.c:835
+#: src/nano.c:844
 msgid "Detect word boundaries more accurately"
 msgstr "更正確地偵測單字邊界"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "-X <str>"
 msgstr "-X <字串>"
 
-#: src/nano.c:836
+#: src/nano.c:845
 msgid "--wordchars=<str>"
 msgstr "--wordchars=<字串>"
 
-#: src/nano.c:837
+#: src/nano.c:846
 msgid "Which other characters are word parts"
 msgstr "哪些其他符號為單字部份"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "-Y <name>"
 msgstr "-Y <名稱>"
 
-#: src/nano.c:841
+#: src/nano.c:850
 msgid "--syntax=<name>"
 msgstr "--syntax=<名稱>"
 
-#: src/nano.c:842
+#: src/nano.c:851
 msgid "Syntax definition to use for coloring"
 msgstr "用於顏色的語法定義"
 
-#: src/nano.c:845
+#: src/nano.c:854
 msgid "When soft-wrapping, do it at whitespace"
 msgstr "當使用軟換行，請在空白處進行"
 
-#: src/nano.c:847
+#: src/nano.c:856
 msgid "Constantly show cursor position"
 msgstr "持續顯示游標位置"
 
-#: src/nano.c:849
+#: src/nano.c:858
 msgid "Fix Backspace/Delete confusion problem"
 msgstr "修正 退格鍵/刪除鍵 混淆問題"
 
-#: src/nano.c:852
+#: src/nano.c:861
 msgid "Show cursor in file browser"
 msgstr "在檔案瀏覽器中顯示游標"
 
-#: src/nano.c:854
+#: src/nano.c:863
 msgid "Show this help text and exit"
 msgstr "顯示這份說明文字並退出"
 
-#: src/nano.c:856
+#: src/nano.c:865
 msgid "Automatically indent new lines"
 msgstr "自動縮排新列"
 
-#: src/nano.c:857
+#: src/nano.c:866
 msgid "Cut from cursor to end of line"
 msgstr "從游標剪下至列尾"
 
-#: src/nano.c:860
+#: src/nano.c:869
 msgid "Show line numbers in front of the text"
 msgstr "顯示行號於文字前"
 
-#: src/nano.c:863
+#: src/nano.c:872
 msgid "Enable the use of the mouse"
 msgstr "開啟滑鼠功能"
 
-#: src/nano.c:865
+#: src/nano.c:874
 msgid "Do not read the file (only write it)"
 msgstr "不讀取這個檔案（只寫入檔案）"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "-o <dir>"
 msgstr "-o <目錄>"
 
-#: src/nano.c:867
+#: src/nano.c:876
 msgid "--operatingdir=<dir>"
 msgstr "--operatingdir=<目錄>"
 
-#: src/nano.c:868
+#: src/nano.c:877
 msgid "Set operating directory"
 msgstr "設定操作目錄"
 
-#: src/nano.c:870
+#: src/nano.c:879
 msgid "Preserve XON (^Q) and XOFF (^S) keys"
 msgstr "保留 XON (^Q) 和 XOFF (^S) 按鍵"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "-r <#cols>"
 msgstr "-r <#行數>"
 
-#: src/nano.c:872
+#: src/nano.c:881
 msgid "--fill=<#cols>"
 msgstr "--fill=<#行數>"
 
-#: src/nano.c:873
+#: src/nano.c:882
 msgid "Set hard-wrapping point at column #cols"
 msgstr "設定硬換列點為 #行數"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "-s <prog>"
 msgstr "-s <程式>"
 
-#: src/nano.c:877
+#: src/nano.c:886
 msgid "--speller=<prog>"
 msgstr "--speller=<程式>"
 
-#: src/nano.c:878
+#: src/nano.c:887
 msgid "Enable alternate speller"
 msgstr "啟用替代的拼字檢查程式"
 
-#: src/nano.c:880
+#: src/nano.c:889
 msgid "Auto save on exit, don't prompt"
 msgstr "離開時自動儲存，不要提示"
 
-#: src/nano.c:882
+#: src/nano.c:891
 msgid "Save a file by default in Unix format"
 msgstr "預設值以 Unix 格式儲存檔案"
 
-#: src/nano.c:884
+#: src/nano.c:893
 msgid "View mode (read-only)"
 msgstr "觀看模式 (唯讀)"
 
-#: src/nano.c:886
+#: src/nano.c:895
 msgid "Don't hard-wrap long lines"
 msgstr "不硬換行長行"
 
-#: src/nano.c:888
+#: src/nano.c:897
 msgid "Don't show the two help lines"
 msgstr "不要顯示兩說明列"
 
-#: src/nano.c:890
+#: src/nano.c:899
 msgid "Make Ctrl+Right stop at word ends"
 msgstr "讓 Ctrl + Right 停在單詞尾端"
 
-#: src/nano.c:893
+#: src/nano.c:902
 msgid "Enable suspension"
 msgstr "開啟懸置功能"
 
-#: src/nano.c:895
+#: src/nano.c:904
 msgid "Enable soft line wrapping"
 msgstr "開啟長列換列"
 
-#: src/nano.c:907
+#: src/nano.c:916
 #, c-format
 msgid " GNU nano, version %s\n"
 msgstr " GNU nano，版本 %s\n"
 
-#: src/nano.c:910
+#: src/nano.c:919
 #, c-format
 msgid " (C) 2014-%s the contributors to nano\n"
 msgstr " (C) 2014-%s Nano 貢獻者\n"
 
-#: src/nano.c:911
+#: src/nano.c:920
 #, c-format
 msgid " Email: nano@nano-editor.org\tWeb: https://nano-editor.org/"
 msgstr " 電子郵件: nano@nano-editor.org\t網頁: https://nano-editor.org/"
 
-#: src/nano.c:912
+#: src/nano.c:921
 #, c-format
 msgid ""
 "\n"
@@ -1846,331 +1883,331 @@ msgstr ""
 "\n"
 " 編譯選項:"
 
-#: src/nano.c:1058
+#: src/nano.c:1067
 msgid "No file name"
 msgstr "沒有檔案名稱"
 
-#: src/nano.c:1060
+#: src/nano.c:1069
 msgid "Save modified buffer?  (Answering \"No\" will DISCARD changes.) "
 msgstr "儲存修改過的緩衝區？（回答「No」將會失去所有變更。）"
 
-#: src/nano.c:1111
+#: src/nano.c:1116
 #, c-format
 msgid "Reading from standard input; type ^D or ^D^D to finish.\n"
 msgstr "正在從標準輸入讀取；輸入 ^D 或 ^D^D 完成。\n"
 
-#: src/nano.c:1138
+#: src/nano.c:1143
 #, c-format
 msgid "Failed to open stdin: %s"
 msgstr "無法開啟標準輸入：%s"
 
-#: src/nano.c:1151
+#: src/nano.c:1156
 msgid "Couldn't reopen stdin from keyboard, sorry\n"
 msgstr "無法重新開啟來自鍵盤的標準輸入，抱歉\n"
 
-#: src/nano.c:1232
+#: src/nano.c:1237
 msgid "Received SIGHUP or SIGTERM\n"
 msgstr "接收到 SIGHUP 或 SIGTERM\n"
 
-#: src/nano.c:1239
+#: src/nano.c:1244
 #, c-format
 msgid "Sorry! Nano crashed!  Code: %d.  Please report a bug.\n"
 msgstr "喔喔… 抱歉，Nano 當掉了！錯誤代碼：%d。請回報問題。\n"
 
-#: src/nano.c:1255
+#: src/nano.c:1260
 #, c-format
 msgid "Use \"fg\" to return to nano.\n"
 msgstr "利用 \"fg\" 來回到 nano。\n"
 
-#: src/nano.c:1273
+#: src/nano.c:1278
 msgid "Suspension is not enabled"
 msgstr "懸置尚未啟用"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "enabled"
 msgstr "開啟"
 
-#: src/nano.c:1418
+#: src/nano.c:1422
 msgid "disabled"
 msgstr "關閉"
 
-#: src/nano.c:1572
+#: src/nano.c:1576
 msgid "Unbound key"
 msgstr "未綁定的按鍵"
 
-#: src/nano.c:1575
+#: src/nano.c:1579
 msgid "Unbindable key: M-["
 msgstr "未綁定的按鍵：M-["
 
-#: src/nano.c:1577
+#: src/nano.c:1581
 #, c-format
 msgid "Unbound key: M-%c"
 msgstr "未綁定的按鍵：M-%c"
 
-#: src/nano.c:1579
+#: src/nano.c:1583
 #, c-format
 msgid "Unbound key: ^%c"
 msgstr "未指定的按鍵：^%c"
 
-#: src/nano.c:1581
+#: src/nano.c:1585
 #, c-format
 msgid "Unbound key: %c"
 msgstr "未綁定按鍵：%c"
 
-#: src/nano.c:2171 src/rcfile.c:1180
+#: src/nano.c:2174 src/rcfile.c:1167
 #, c-format
 msgid "Requested tab size \"%s\" is invalid"
 msgstr "所要求的跳格寬度 \"%s\" 無效"
 
-#: src/nano.c:2248 src/rcfile.c:1119
+#: src/nano.c:2251 src/rcfile.c:1106
 #, c-format
 msgid "Requested fill size \"%s\" is invalid"
 msgstr "所要求的填滿行數 \"%s\" 無效"
 
-#: src/nano.c:2306
+#: src/nano.c:2309
 #, c-format
 msgid "Type '%s -h' for a list of available options.\n"
 msgstr "輸入「%s -h」顯示可用的選項列表。\n"
 
-#: src/nano.c:2616 src/search.c:787
+#: src/nano.c:2621 src/search.c:784
 msgid "Invalid line or column number"
 msgstr "無效的列號或行號"
 
-#: src/nano.c:2660
+#: src/nano.c:2669
 #, c-format
 msgid "Mistakes in '%s'"
 msgstr "「%s」發生錯誤"
 
-#: src/nano.c:2665
+#: src/nano.c:2675
 msgid "Welcome to nano.  For basic help, type Ctrl+G."
-msgstr ""
+msgstr "歡迎使用 nano。若需基本說明，請按 Ctrl+G。"
 
 #. TRANSLATORS: For the next three strings, specify the starting letters
 #. * of the translations for "Yes"/"No"/"All".  The first letter of each of
 #. * these strings MUST be a single-byte letter; others may be multi-byte.
-#: src/prompt.c:674
+#: src/prompt.c:667
 msgid "Yy"
 msgstr "Yy"
 
-#: src/prompt.c:675
+#: src/prompt.c:668
 msgid "Nn"
 msgstr "Nn"
 
-#: src/prompt.c:676
+#: src/prompt.c:669
 msgid "Aa"
 msgstr "Aa"
 
-#: src/prompt.c:698
+#: src/prompt.c:693
 msgid "Yes"
 msgstr "是"
 
-#: src/prompt.c:702
+#: src/prompt.c:697
 msgid "No"
 msgstr "否"
 
-#: src/prompt.c:707
+#: src/prompt.c:702
 msgid "All"
 msgstr "全部"
 
-#: src/rcfile.c:152
+#: src/rcfile.c:151
 #, c-format
 msgid "Error in %s on line %zu: "
 msgstr "在 %s (位於第 %zu 列) 中發生錯誤: "
 
-#: src/rcfile.c:203
+#: src/rcfile.c:202
 #, c-format
 msgid "Argument '%s' has an unterminated \""
 msgstr "引數 '%s' 有未封閉的 \""
 
-#: src/rcfile.c:228 src/rcfile.c:691 src/rcfile.c:743 src/rcfile.c:823
+#: src/rcfile.c:227 src/rcfile.c:683 src/rcfile.c:735 src/rcfile.c:815
 msgid "Regex strings must begin and end with a \" character"
 msgstr "正規表示式字串必須以 \" 字元開始及結束"
 
-#: src/rcfile.c:254 src/search.c:47
+#: src/rcfile.c:253 src/search.c:47
 #, c-format
 msgid "Bad regex \"%s\": %s"
 msgstr "不良的正規表示式 \"%s\": %s"
 
-#: src/rcfile.c:273
+#: src/rcfile.c:272
 msgid "Missing syntax name"
 msgstr "缺少語法名稱"
 
-#: src/rcfile.c:281
+#: src/rcfile.c:280
 msgid "Unpaired quote in syntax name"
 msgstr "語法名稱中的不成對引號"
 
-#: src/rcfile.c:293
+#: src/rcfile.c:292
 msgid "The \"none\" syntax is reserved"
 msgstr "\"none\" 語法已被保留"
 
-#: src/rcfile.c:324
+#: src/rcfile.c:318
 msgid "The \"default\" syntax does not accept extensions"
 msgstr "\"default\" 語法不允許副檔名"
 
-#: src/rcfile.c:359
+#: src/rcfile.c:349
 msgid "Missing key name"
 msgstr "缺少語法名稱"
 
-#: src/rcfile.c:368 src/rcfile.c:379
+#: src/rcfile.c:358 src/rcfile.c:369
 msgid "Key name is too short"
 msgstr "按鍵名稱過短"
 
-#: src/rcfile.c:389
+#: src/rcfile.c:379
 msgid "Key name must begin with \"^\", \"M\", or \"F\""
 msgstr "按鍵名稱必須以 \"^\", \"M\", 或 \"F\" 開始"
 
-#: src/rcfile.c:392
+#: src/rcfile.c:382
 #, c-format
 msgid "Key name %s is invalid"
 msgstr "按鍵名稱 %s 無效"
 
-#: src/rcfile.c:401
+#: src/rcfile.c:391
 msgid "Must specify a function to bind the key to"
 msgstr "必須指定按鍵所繫結的功能"
 
 #. TRANSLATORS: Do not translate the word "all".
-#: src/rcfile.c:412
+#: src/rcfile.c:402
 msgid "Must specify a menu (or \"all\") in which to bind/unbind the key"
 msgstr "必須指定一個目錄（或「all」（所有））以綁定 / 取消綁定按鍵"
 
-#: src/rcfile.c:430
+#: src/rcfile.c:420
 #, c-format
 msgid "Cannot map name \"%s\" to a function"
 msgstr "無法映射名稱「%s」到某一功能"
 
-#: src/rcfile.c:437
+#: src/rcfile.c:427
 #, c-format
 msgid "Cannot map name \"%s\" to a menu"
 msgstr "無法映射名稱「%s」到某一選單"
 
-#: src/rcfile.c:464
+#: src/rcfile.c:454
 #, c-format
 msgid "Function '%s' does not exist in menu '%s'"
 msgstr "功能「%s」不存在於目錄「%s」"
 
-#: src/rcfile.c:473
+#: src/rcfile.c:463
 #, c-format
 msgid "Sorry, keystroke \"%s\" may not be rebound"
 msgstr "抱歉，按鍵敲擊「%s」不應該被綁定"
 
-#: src/rcfile.c:573
+#: src/rcfile.c:559
 #, c-format
 msgid "Error expanding %s: %s"
 msgstr "展開 %s 時發生錯誤: %s"
 
-#: src/rcfile.c:613
+#: src/rcfile.c:599
 #, c-format
 msgid "Color \"%s\" not understood"
 msgstr "無法辨識顏色「%s」"
 
-#: src/rcfile.c:626
+#: src/rcfile.c:615
 msgid "A background color cannot be bright"
 msgstr "背景顏色不能太亮"
 
-#: src/rcfile.c:655 src/rcfile.c:795 src/rcfile.c:855
+#: src/rcfile.c:647 src/rcfile.c:787 src/rcfile.c:847
 #, c-format
 msgid "A '%s' command requires a preceding 'syntax' command"
 msgstr "「%s」指令需要一個前置的 'syntax' 指令"
 
-#: src/rcfile.c:661
+#: src/rcfile.c:653
 msgid "Missing color name"
 msgstr "缺少顏色名稱"
 
-#: src/rcfile.c:671 src/rcfile.c:807
+#: src/rcfile.c:663 src/rcfile.c:799
 #, c-format
 msgid "Missing regex string after '%s' command"
 msgstr "在「%s」指令之後缺少正規表示式字串"
 
-#: src/rcfile.c:702 src/rcfile.c:753
+#: src/rcfile.c:694 src/rcfile.c:745
 msgid "Empty regex string"
 msgstr "空的正規表示式字串"
 
-#: src/rcfile.c:737
+#: src/rcfile.c:729
 msgid "\"start=\" requires a corresponding \"end=\""
 msgstr "\"start=\" 要求對應的 \"end=\""
 
-#: src/rcfile.c:802
+#: src/rcfile.c:794
 #, c-format
 msgid "The \"default\" syntax does not accept '%s' regexes"
 msgstr "「default」語法不允許「%s」正規表達式"
 
-#: src/rcfile.c:860
+#: src/rcfile.c:852
 #, c-format
 msgid "Missing argument after '%s'"
 msgstr "在「%s」之後缺少參數"
 
-#: src/rcfile.c:870
+#: src/rcfile.c:862
 #, c-format
 msgid "Argument of '%s' lacks closing \""
 msgstr "引數 '%s' 缺少關閉用的 \""
 
-#: src/rcfile.c:898
+#: src/rcfile.c:890
 #, c-format
-msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
-msgstr "嚴重錯誤：沒有按鍵映射至功能「%s」。正在退出。\n"
+msgid "No key is bound to function '%s' in menu '%s'.  Exiting.\n"
+msgstr ""
 
-#: src/rcfile.c:900
+#: src/rcfile.c:893 src/rcfile.c:1256
 #, c-format
 msgid ""
 "If needed, use nano with the -I option to adjust your nanorc settings.\n"
 msgstr "假如需要，使用 nano 的 -I 選項來調整您的 nanorc 設定。\n"
 
-#: src/rcfile.c:955
+#: src/rcfile.c:948
 #, c-format
 msgid "Could not find syntax \"%s\" to extend"
 msgstr "無法找到要展開的語法「%s」"
 
-#: src/rcfile.c:977 src/rcfile.c:1190
+#: src/rcfile.c:970 src/rcfile.c:1177
 #, c-format
 msgid "Syntax \"%s\" has no color commands"
 msgstr "語法「%s」沒有任何顏色命令"
 
-#: src/rcfile.c:1008
+#: src/rcfile.c:1000
 #, c-format
 msgid "Command \"%s\" not allowed in included file"
 msgstr "命令「%s」在包含的檔案中不允許"
 
-#: src/rcfile.c:1023
+#: src/rcfile.c:1015
 #, c-format
 msgid "Command \"%s\" not understood"
 msgstr "無法辨識 \"%s\" 命令"
 
-#: src/rcfile.c:1035
+#: src/rcfile.c:1027
 msgid "Missing option"
 msgstr "缺少選項"
 
-#: src/rcfile.c:1049
+#: src/rcfile.c:1041
 #, c-format
 msgid "Unknown option \"%s\""
 msgstr "未知的選項 \"%s\""
 
-#: src/rcfile.c:1062
+#: src/rcfile.c:1050
 #, c-format
 msgid "Cannot unset option \"%s\""
 msgstr "無法取消選項 \"%s\""
 
-#: src/rcfile.c:1074
+#: src/rcfile.c:1062
 #, c-format
 msgid "Option \"%s\" requires an argument"
 msgstr "選項 \"%s\" 要求引數"
 
-#: src/rcfile.c:1090
+#: src/rcfile.c:1077
 msgid "Argument is not a valid multibyte string"
 msgstr "參數不是一個有效的多位元組字串"
 
-#: src/rcfile.c:1131 src/rcfile.c:1151 src/rcfile.c:1157
+#: src/rcfile.c:1118 src/rcfile.c:1138 src/rcfile.c:1144
 msgid "Non-blank characters required"
 msgstr "需要非空格字元"
 
-#: src/rcfile.c:1138
+#: src/rcfile.c:1125
 msgid "Two single-column characters required"
 msgstr "需要兩個單行字元"
 
-#: src/rcfile.c:1265
+#: src/rcfile.c:1248
 msgid "I can't find my home directory!  Wah!"
 msgstr "我找不到我的家目錄！哇！"
 
-#. TRANSLATORS: The next three modify the search prompt.
+#. TRANSLATORS: The next four modify the search prompt.
 #: src/search.c:105
 msgid " [Case Sensitive]"
 msgstr " [符合大小寫]"
@@ -2179,294 +2216,280 @@ msgstr " [符合大小寫]"
 msgid " [Regexp]"
 msgstr " [正規表示式]"
 
-#: src/search.c:107
-msgid " [Backwards]"
-msgstr " [向後搜尋]"
-
-#. TRANSLATORS: The next two modify the search prompt.
-#: src/search.c:110
+#: src/search.c:109
 msgid " (to replace) in selection"
 msgstr " 在標記中(置換)"
 
-#: src/search.c:112
+#: src/search.c:111
 msgid " (to replace)"
 msgstr " (置換)"
 
 #. TRANSLATORS: This is shown when searching takes
 #. * more than half a second.
-#: src/search.c:220
+#: src/search.c:219
 msgid "Searching..."
 msgstr "搜尋中…"
 
-#: src/search.c:391
+#: src/search.c:388
 #, c-format
 msgid "\"%.*s%s\" not found"
 msgstr "找不到 \"%.*s%s\""
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:585
+#: src/search.c:582
 msgid "Replace this instance?"
 msgstr "置換這個？"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:707
+#: src/search.c:704
 msgid "Replace with"
 msgstr "以此置換"
 
-#: src/search.c:738
+#: src/search.c:735
 #, c-format
 msgid "Replaced %zd occurrence"
 msgid_plural "Replaced %zd occurrences"
 msgstr[0] "已置換 %zd 處"
 
 #. TRANSLATORS: This is a prompt.
-#: src/search.c:766
+#: src/search.c:763
 msgid "Enter line number, column number"
 msgstr "輸入列號，行號"
 
-#: src/search.c:955
+#: src/search.c:952
 msgid "Not a bracket"
 msgstr "並非一個括號"
 
-#: src/search.c:1016
+#: src/search.c:1013
 msgid "No matching bracket"
 msgstr "無對應括號"
 
-#: src/text.c:64
+#: src/text.c:63
 msgid "Mark Set"
 msgstr "標記設定"
 
-#: src/text.c:68
+#: src/text.c:67
 msgid "Mark Unset"
 msgstr "標記解除"
 
-#: src/text.c:78
+#: src/text.c:77
 #, c-format
 msgid "Error invoking \"%s\""
 msgstr "呼叫 \"%s\" 錯誤"
 
-#: src/text.c:553
+#: src/text.c:568
 msgid "Commenting is not supported for this file type"
 msgstr "這個檔案類型不支援註記"
 
-#: src/text.c:563
+#: src/text.c:578
 msgid "Cannot comment past end of file"
 msgstr "無法備註於檔案結尾"
 
-#: src/text.c:686
+#: src/text.c:701
 msgid "Nothing in undo buffer!"
 msgstr "復原緩衝區中沒有任何東西！"
 
 #. TRANSLATORS: The next thirteen strings describe actions
 #. * that are undone or redone.  They are all nouns, not verbs.
-#: src/text.c:705 src/text.c:776 src/text.c:887 src/text.c:956
+#: src/text.c:716 src/text.c:786 src/text.c:894 src/text.c:962
 msgid "text add"
 msgstr "文字加入"
 
-#: src/text.c:720 src/text.c:899
+#: src/text.c:731 src/text.c:906
 msgid "line break"
 msgstr "分列符號"
 
-#: src/text.c:732 src/text.c:912
+#: src/text.c:743 src/text.c:919
 msgid "text delete"
 msgstr "文字刪除"
 
-#: src/text.c:742 src/text.c:925
+#: src/text.c:753 src/text.c:932
 msgid "line join"
 msgstr "列聯結"
 
-#: src/text.c:761 src/text.c:940
+#: src/text.c:772 src/text.c:947
 msgid "text replace"
 msgstr "文字置換"
 
-#: src/text.c:781 src/text.c:961
+#: src/text.c:791 src/text.c:967
 msgid "text cut"
 msgstr "文字剪下"
 
-#: src/text.c:785 src/text.c:965
+#: src/text.c:795 src/text.c:971
 msgid "text uncut"
 msgstr "文字取消剪下"
 
-#: src/text.c:789 src/text.c:969
+#: src/text.c:799 src/text.c:975
 msgid "text insert"
 msgstr "文字插入"
 
-#: src/text.c:805 src/text.c:982
-msgid "filtering"
-msgstr ""
-
-#: src/text.c:815 src/text.c:986
+#: src/text.c:826 src/text.c:993
 msgid "indent"
 msgstr "縮排"
 
-#: src/text.c:819 src/text.c:990
+#: src/text.c:830 src/text.c:997
 msgid "unindent"
 msgstr "還原縮排"
 
-#: src/text.c:824 src/text.c:995
+#: src/text.c:835 src/text.c:1002
 msgid "comment"
 msgstr "備註"
 
-#: src/text.c:828 src/text.c:999
+#: src/text.c:839 src/text.c:1006
 msgid "uncomment"
 msgstr "解除備註"
 
-#: src/text.c:837
+#: src/text.c:848
 #, c-format
 msgid "Undid action (%s)"
 msgstr "已復原動作 (%s)"
 
-#: src/text.c:862
+#: src/text.c:873
 msgid "Nothing to re-do!"
 msgstr "沒有任何東西可重做！"
 
-#: src/text.c:1008
+#: src/text.c:1015
 #, c-format
 msgid "Redid action (%s)"
 msgstr "已重做動作 (%s)"
 
-#: src/text.c:1143 src/text.c:2671 src/text.c:3058
+#: src/text.c:1148 src/text.c:2677 src/text.c:3060
 msgid "Could not create pipe"
 msgstr "無法建立管線功能"
 
-#: src/text.c:1179 src/text.c:2758 src/text.c:2875 src/text.c:3095
-#: src/text.c:3391
+#: src/text.c:1184 src/text.c:2766 src/text.c:2882 src/text.c:3097
 msgid "Could not fork"
 msgstr "執行功能無效"
 
-#: src/text.c:1243
+#: src/text.c:1203 src/text.c:1255
+msgid "filtering"
+msgstr "正在篩選"
+
+#: src/text.c:1249
 #, c-format
 msgid "Failed to open pipe: %s"
 msgstr "無法開啟管線 pipe：%s"
 
-#: src/text.c:2129
+#: src/text.c:2135
 #, c-format
 msgid "Bad quote string %s: %s"
 msgstr "不良引用字串 %s: %s"
 
-#: src/text.c:2439
+#: src/text.c:2445
 msgid "Can now UnJustify!"
 msgstr "現在可以還原對齊！"
 
-#: src/text.c:2594
+#: src/text.c:2600
 #, c-format
 msgid "Unfindable word: %s"
 msgstr "無法搜尋的單字：%s"
 
-#: src/text.c:2613
+#: src/text.c:2619
 msgid "Edit a replacement"
 msgstr "編輯替代文字"
 
 #. TRANSLATORS: Shown after fixing misspellings in one word.
-#: src/text.c:2622
+#: src/text.c:2628
 msgid "Next word..."
 msgstr "下一個字…"
 
-#: src/text.c:2673
+#: src/text.c:2679
 msgid "Creating misspelled word list, please wait..."
 msgstr "正在建立錯字列表，請稍待…"
 
-#: src/text.c:2764 src/text.c:3102
+#: src/text.c:2772 src/text.c:3104
 msgid "Could not get size of pipe buffer"
 msgstr "無法得知管線緩衝區大小"
 
-#: src/text.c:2818
+#: src/text.c:2826
 msgid "Error invoking \"spell\""
 msgstr "呼叫 \"spell\" 錯誤"
 
-#: src/text.c:2821
+#: src/text.c:2829
 msgid "Error invoking \"sort -f\""
 msgstr "呼叫 \"sort -f\" 錯誤"
 
-#: src/text.c:2824
+#: src/text.c:2832
 msgid "Error invoking \"uniq\""
 msgstr "呼叫 \"uniq\" 錯誤"
 
-#: src/text.c:2992
+#: src/text.c:2994
 msgid "Invoking spell checker, please wait"
 msgstr "嘗試呼叫拼字檢查，請稍等"
 
-#: src/text.c:3009
+#: src/text.c:3011
 #, c-format
 msgid "Spell checking failed: %s"
 msgstr "拼字檢查失敗: %s"
 
-#: src/text.c:3011
+#: src/text.c:3013
 #, c-format
 msgid "Spell checking failed: %s: %s"
 msgstr "拼字檢查失敗: %s: %s"
 
-#: src/text.c:3014
+#: src/text.c:3016
 msgid "Finished checking spelling"
 msgstr "拼字檢查結束"
 
-#: src/text.c:3037
+#: src/text.c:3039
 msgid "No linter defined for this type of file!"
 msgstr "沒有這個檔案類型的 Linter 被定義！"
 
-#: src/text.c:3047
+#: src/text.c:3049
 msgid "Save modified buffer before linting?"
 msgstr "在 Lint 之前儲存已修改過的緩衝區？"
 
-#: src/text.c:3064
+#: src/text.c:3066
 msgid "Invoking linter, please wait"
 msgstr "調用 linter 中，請稍候"
 
-#: src/text.c:3196
+#: src/text.c:3198
 #, c-format
 msgid "Got 0 parsable lines from command: %s"
 msgstr "從指令中取得 0 個可解析的行：%s"
 
-#: src/text.c:3226
+#: src/text.c:3228
 #, c-format
 msgid "This message is for unopened file %s, open it in a new buffer?"
 msgstr "這個訊息是為了未開啟的檔案 %s，在新緩衝區開啟它？"
 
-#: src/text.c:3262
+#: src/text.c:3266
 msgid "No more errors in unopened files, cancelling"
 msgstr "在未開啟的檔案中沒有其他錯誤，取消中"
 
-#: src/text.c:3311
+#: src/text.c:3313
 msgid "At last message"
 msgstr "最近的訊息"
 
-#: src/text.c:3316
+#: src/text.c:3318
 msgid "At first message"
 msgstr "第一個訊息"
 
-#: src/text.c:3352
-msgid "Finished"
-msgstr "完成"
-
-#: src/text.c:3376
-msgid "Invoking formatter, please wait"
-msgstr "調用格式化工具，請稍候"
-
-#: src/text.c:3425
-msgid "Finished formatting"
-msgstr "完成格式化"
-
-#: src/text.c:3507
+#: src/text.c:3396
 #, c-format
 msgid "%sWords: %zu  Lines: %zd  Chars: %zu"
 msgstr "%s字數：%zu  行： %zd 位元組：%zu"
 
-#: src/text.c:3508
+#: src/text.c:3397
 msgid "In Selection:  "
 msgstr "於選擇部分: "
 
 #. TRANSLATORS: This is displayed when the next keystroke will be
 #. * inserted verbatim.
-#: src/text.c:3521
+#: src/text.c:3410
 msgid "Verbatim Input"
 msgstr "原形輸入"
 
-#: src/text.c:3713
+#: src/text.c:3511
+msgid "No word fragment"
+msgstr ""
+
+#: src/text.c:3603
 msgid "No further matches"
 msgstr "沒有其他符合項目"
 
 #. TRANSLATORS: Shown when there are zero possible completions.
-#: src/text.c:3717
+#: src/text.c:3607
 msgid "No matches"
 msgstr "找不到符合結果"
 
@@ -2496,80 +2519,145 @@ msgstr "來自標準輸入的內容擁
 
 #. TRANSLATORS: This refers to a sequence of escape codes
 #. * (from the keyboard) that nano does not recogize.
-#: src/winio.c:1289
+#: src/winio.c:1314
 msgid "Unknown sequence"
 msgstr "未知的序列"
 
 #. TRANSLATORS: This is shown while a six-digit hexadecimal
 #. * Unicode character code (%s) is being typed in.
-#: src/winio.c:1425
+#: src/winio.c:1450
 #, c-format
 msgid "Unicode Input: %s"
 msgstr "萬國碼輸入：%s"
 
-#: src/winio.c:2031
+#: src/winio.c:2056
 msgid "DIR:"
 msgstr "目錄:"
 
-#: src/winio.c:2052 src/winio.c:2056
+#: src/winio.c:2077 src/winio.c:2081
 msgid "Modified"
 msgstr "已更動"
 
-#: src/winio.c:2054
+#: src/winio.c:2079
 msgid "View"
 msgstr "觀看"
 
-#: src/winio.c:2184
+#: src/winio.c:2208
 msgid "Further warnings were suppressed"
 msgstr "更多錯誤已經抑制"
 
-#: src/winio.c:3359
+#: src/winio.c:3382
 #, c-format
 msgid "line %zd/%zd (%d%%), col %zu/%zu (%d%%), char %zu/%zu (%d%%)"
 msgstr "列 %zd/%zd (%d%%), 行 %zu/%zu (%d%%), 字元 %zu/%zu (%d%%)"
 
-#: src/winio.c:3557
+#: src/winio.c:3580
 msgid "The nano text editor"
 msgstr "nano 文字編輯器"
 
-#: src/winio.c:3558
+#: src/winio.c:3581
 msgid "version"
 msgstr "版本"
 
-#: src/winio.c:3559
+#: src/winio.c:3582
 msgid "Brought to you by:"
 msgstr "來自於:"
 
-#: src/winio.c:3560
+#: src/winio.c:3583
 msgid "Special thanks to:"
 msgstr "特別感謝:"
 
-#: src/winio.c:3561
+#: src/winio.c:3584
 msgid "The Free Software Foundation"
 msgstr "自由軟體基金會"
 
-#: src/winio.c:3562
+#: src/winio.c:3585
 msgid "the many translators and the TP"
 msgstr "許多的翻譯者與 TP"
 
-#: src/winio.c:3563
+#: src/winio.c:3586
 msgid "For ncurses:"
 msgstr "ncurses 部分:"
 
-#: src/winio.c:3564
+#: src/winio.c:3587
 msgid "and anyone else we forgot..."
 msgstr "以及其他我們不記得的人…"
 
-#: src/winio.c:3565
+#: src/winio.c:3588
 msgid "Thank you for using nano!"
 msgstr "謝謝您使用 nano﹗"
 
+#~ msgid "Switched to %s"
+#~ msgstr "切換至 %s"
+
+#~ msgid "WhereIs Next"
+#~ msgstr "下一個位置"
+
+#~ msgid "Repeat the last search"
+#~ msgstr "重覆上次搜尋"
+
+#~ msgid "Invoke formatter, if available"
+#~ msgstr "嘗試呼叫程式碼格式化工具"
+
+#~ msgid "Formatter"
+#~ msgstr "程式碼格式化工具"
+
+#~ msgid "Indent Text"
+#~ msgstr "縮排文字"
+
+#~ msgid "Unindent Text"
+#~ msgstr "取消縮排文字"
+
+#~ msgid "Use of one more line for editing"
+#~ msgstr "編輯時多使用一列"
+
+#~ msgid "Backup files"
+#~ msgstr "備份檔案"
+
+#~ msgid "Reading file into separate buffer"
+#~ msgstr "讀取資料至獨立的緩衝區"
+
+#~ msgid "No conversion from DOS/Mac format"
+#~ msgstr "不從 DOS/Mac 格式轉檔"
+
+#~ msgid "Fatal error: no keys mapped for function \"%s\".  Exiting.\n"
+#~ msgstr "嚴重錯誤：沒有按鍵映射至功能「%s」。正在退出。\n"
+
+#~ msgid "Finished"
+#~ msgstr "完成"
+
+#~ msgid "Invoking formatter, please wait"
+#~ msgstr "調用格式化工具，請稍候"
+
+#~ msgid "Finished formatting"
+#~ msgstr "完成格式化"
+
 #~ msgid "Quoting string"
 #~ msgstr "引用代表字串"
 
 #~ msgid "Reading from stdin, ^C to abort\n"
 #~ msgstr "讀取自標準輸入，^C 以放棄\n"
 
+#~ msgid ""
+#~ "Read %lu line (Converted from DOS and Mac format - Warning: No write "
+#~ "permission)"
+#~ msgid_plural ""
+#~ "Read %lu lines (Converted from DOS and Mac format - Warning: No write "
+#~ "permission)"
+#~ msgstr[0] "已讀取 %lu 列 (轉檔自 DOS 與 Mac 格式 - 警告：沒有寫入權限)"
+
+#~ msgid ""
+#~ "Read %lu line (Converted from Mac format - Warning: No write permission)"
+#~ msgid_plural ""
+#~ "Read %lu lines (Converted from Mac format - Warning: No write permission)"
+#~ msgstr[0] "已讀取 %lu 列 (轉檔自 Mac 格式 - 警告：沒有寫入權限)"
+
+#~ msgid ""
+#~ "Read %lu line (Converted from DOS format - Warning: No write permission)"
+#~ msgid_plural ""
+#~ "Read %lu lines (Converted from DOS format - Warning: No write permission)"
+#~ msgstr[0] "已讀取 %lu 列 (轉檔自 DOS 格式 - 警告：沒有寫入權限)"
+
 #~ msgid "Read %lu line ( Warning: No write permission)"
 #~ msgid_plural "Read %lu lines (Warning: No write permission)"
 #~ msgstr[0] "已讀取 %lu 列 (警告：沒有寫入權限)"
@@ -2629,6 +2717,9 @@ msgstr "謝謝您使用 nano﹗"
 #~ msgid "Enable multiple file buffers"
 #~ msgstr "開啟多重檔案緩衝區功能"
 
+#~ msgid "-Y <str>"
+#~ msgstr "-Y <字串>"
+
 #~ msgid "Don't follow symbolic links, overwrite"
 #~ msgstr "不要依照符號連結，而是覆寫"
 
@@ -2644,6 +2735,9 @@ msgstr "謝謝您使用 nano﹗"
 #~ msgid "Sorry, support for this function has been disabled"
 #~ msgstr "抱歉，已經關閉此功能的支援"
 
+#~ msgid "Save modified buffer (ANSWERING \"No\" WILL DESTROY CHANGES) ? "
+#~ msgstr "儲存更動過的緩衝區嗎 (回答 \"No\" 會撤銷修改)？"
+
 #~ msgid "Unknown Command"
 #~ msgstr "不明的命令"
 
@@ -2691,6 +2785,9 @@ msgstr "謝謝您使用 nano﹗"
 #~ "\n"
 #~ "按下輸入鍵以繼續啟動 nano。\n"
 
+#~ msgid "Internal error: can't match line %d.  Please save your work"
+#~ msgstr "內部錯誤：無法匹配第 %d 列。 請儲存您的工作"
+
 #~ msgid "line wrap"
 #~ msgstr "長列換列"
 
diff -pruN 2.9.8-1/src/browser.c 3.0-1/src/browser.c
--- 2.9.8-1/src/browser.c	2018-05-15 07:06:08.000000000 +0000
+++ 3.0-1/src/browser.c	2018-08-29 17:37:02.000000000 +0000
@@ -166,15 +166,13 @@ char *do_browser(char *path)
 			say_there_is_no_help();
 #endif
 		} else if (func == do_search_forward) {
-			do_filesearch();
-		} else if (func == do_research) {
-			do_fileresearch(FORWARD);
-#ifndef NANO_TINY
+			do_filesearch(FORWARD);
+		} else if (func == do_search_backward) {
+			do_filesearch(BACKWARD);
 		} else if (func == do_findprevious) {
 			do_fileresearch(BACKWARD);
 		} else if (func == do_findnext) {
 			do_fileresearch(FORWARD);
-#endif
 		} else if (func == do_left) {
 			if (selected > 0)
 				selected--;
@@ -488,11 +486,9 @@ functionptrtype parse_browser_input(int
 			case '/':
 				return do_search_forward;
 			case 'N':
-#ifndef NANO_TINY
 				return do_findprevious;
-#endif
 			case 'n':
-				return do_research;
+				return do_findnext;
 		}
 	}
 	return func_from_key(kbinput);
@@ -659,10 +655,11 @@ void browser_select_dirname(const char *
 	}
 }
 
-/* Prepare the prompt and ask the user what to search for.  Return -2
+/* Prepare the prompt and ask the user what to search for.  If forwards is
+ * TRUE, search forward in the list; otherwise, search backward.  Return -2
  * for a blank answer, -1 for Cancel, 0 when we have a string, and a
  * positive value when some function was run. */
-int filesearch_init(void)
+int filesearch_init(bool forwards)
 {
 	char *thedefault;
 	int response;
@@ -681,7 +678,8 @@ int filesearch_init(void)
 
 	/* Now ask what to search for. */
 	response = do_prompt(FALSE, FALSE, MWHEREISFILE, NULL, &search_history,
-						browser_refresh, "%s%s", _("Search"), thedefault);
+						browser_refresh, "%s%s%s", _("Search"),
+						!forwards ? _(" [Backwards]") : "", thedefault);
 	free(thedefault);
 
 	/* If only Enter was pressed but we have a previous string, it's okay. */
@@ -754,11 +752,12 @@ void findfile(const char *needle, bool f
 	selected = looking_at;
 }
 
-/* Search for a filename. */
-void do_filesearch(void)
+/* Search for a filename.  If forwards is TRUE, search forward in the list;
+ * otherwise, search backward.*/
+void do_filesearch(bool forwards)
 {
 	/* If the user cancelled or jumped to first or last file, don't search. */
-	if (filesearch_init() != 0)
+	if (filesearch_init(forwards) != 0)
 		return;
 
 	/* If answer is now "", copy last_search into answer. */
@@ -773,7 +772,7 @@ void do_filesearch(void)
 		update_history(&search_history, answer);
 #endif
 
-	findfile(answer, TRUE);
+	findfile(answer, forwards);
 }
 
 /* Search again without prompting for the last given search string,
diff -pruN 2.9.8-1/src/chars.c 3.0-1/src/chars.c
--- 2.9.8-1/src/chars.c	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/src/chars.c	2018-07-12 07:02:56.000000000 +0000
@@ -62,11 +62,6 @@ bool is_byte(int c)
 	return ((unsigned int)c == (unsigned char)c);
 }
 
-void mbtowc_reset(void)
-{
-	IGNORE_CALL_RESULT(mbtowc(NULL, NULL, 0));
-}
-
 /* This function is equivalent to isalpha() for multibyte characters. */
 bool is_alpha_mbchar(const char *c)
 {
@@ -74,10 +69,8 @@ bool is_alpha_mbchar(const char *c)
 	if (use_utf8) {
 		wchar_t wc;
 
-		if (mbtowc(&wc, c, MAXCHARLEN) < 0) {
-			mbtowc_reset();
+		if (mbtowc(&wc, c, MAXCHARLEN) < 0)
 			return 0;
-		}
 
 		return iswalpha(wc);
 	} else
@@ -92,10 +85,8 @@ bool is_alnum_mbchar(const char *c)
 	if (use_utf8) {
 		wchar_t wc;
 
-		if (mbtowc(&wc, c, MAXCHARLEN) < 0) {
-			mbtowc_reset();
+		if (mbtowc(&wc, c, MAXCHARLEN) < 0)
 			return 0;
-		}
 
 		return iswalnum(wc);
 	} else
@@ -110,10 +101,8 @@ bool is_blank_mbchar(const char *c)
 	if (use_utf8) {
 		wchar_t wc;
 
-		if (mbtowc(&wc, c, MAXCHARLEN) < 0) {
-			mbtowc_reset();
+		if (mbtowc(&wc, c, MAXCHARLEN) < 0)
 			return 0;
-		}
 
 		return iswblank(wc);
 	} else
@@ -128,13 +117,6 @@ bool is_ascii_cntrl_char(int c)
 	return (0 <= c && c < 32);
 }
 
-/* This function is equivalent to iscntrl(), except in that it also
- * handles high-bit control characters. */
-bool is_cntrl_char(int c)
-{
-	return ((c & 0x60) == 0 || c == 127);
-}
-
 /* This function is equivalent to iscntrl() for multibyte characters,
  * except in that it also handles multibyte control characters with
  * their high bits set. */
@@ -146,7 +128,7 @@ bool is_cntrl_mbchar(const char *c)
 				((signed char)c[0] == -62 && (signed char)c[1] < -96));
 	} else
 #endif
-		return is_cntrl_char((unsigned char)*c);
+		return (((unsigned char)*c & 0x60) == 0 || (unsigned char)*c == 127);
 }
 
 /* This function is equivalent to ispunct() for multibyte characters. */
@@ -156,10 +138,8 @@ bool is_punct_mbchar(const char *c)
 	if (use_utf8) {
 		wchar_t wc;
 
-		if (mbtowc(&wc, c, MAXCHARLEN) < 0) {
-			mbtowc_reset();
+		if (mbtowc(&wc, c, MAXCHARLEN) < 0)
 			return 0;
-		}
 
 		return iswpunct(wc);
 	} else
@@ -232,10 +212,8 @@ int length_of_char(const char *c, int *w
 		int charlen = mbtowc(&wc, c, MAXCHARLEN);
 
 		/* If the sequence is invalid... */
-		if (charlen < 0) {
-			mbtowc_reset();
+		if (charlen < 0)
 			return -1;
-		}
 
 		/* If the codepoint is invalid... */
 		if (!is_valid_unicode(wc))
@@ -260,10 +238,8 @@ int mbwidth(const char *c)
 		wchar_t wc;
 		int width;
 
-		if (mbtowc(&wc, c, MAXCHARLEN) < 0) {
-			mbtowc_reset();
+		if (mbtowc(&wc, c, MAXCHARLEN) < 0)
 			return 1;
-		}
 
 		width = wcwidth(wc);
 
@@ -309,65 +285,45 @@ char *make_mbchar(long chr, int *chr_mb_
  * col isn't NULL, add the character's width (in columns) to it. */
 int parse_mbchar(const char *buf, char *chr, size_t *col)
 {
+	int length;
+
 #ifdef ENABLE_UTF8
-	if (use_utf8) {
-		/* Get the number of bytes in the multibyte character. */
-		int length = mblen(buf, MAXCHARLEN);
+	/* If this is a UTF-8 starter byte, get the number of bytes of the character. */
+	if ((signed char)*buf < 0) {
+		length = mblen(buf, MAXCHARLEN);
 
 		/* When the multibyte sequence is invalid, only take the first byte. */
-		if (length <= 0) {
-			IGNORE_CALL_RESULT(mblen(NULL, 0));
+		if (length <= 0)
 			length = 1;
-		}
-
-		/* When requested, store the multibyte character in chr. */
-		if (chr != NULL) {
-			int i;
-
-			for (i = 0; i < length; i++)
-				chr[i] = buf[i];
-		}
-
-		/* When requested, add the width of the character to col. */
-		if (col != NULL) {
-			/* If we have a tab, compute its width in columns based on the
-			 * current value of col. */
-			if (*buf == '\t')
-				*col += tabsize - *col % tabsize;
-			/* If we have a control character, it's two columns wide: one
-			 * column for the "^", and one for the visible character. */
-			else if (is_cntrl_mbchar(buf)) {
-				*col += 2;
-			/* If we have a normal character, get its width normally. */
-			} else
-				*col += mbwidth(buf);
-		}
-
-		return length;
 	} else
 #endif
-	{
-		/* When requested, store the byte character in chr. */
-		if (chr != NULL)
-			*chr = *buf;
-
-		/* When requested, add the width of the character to col. */
-		if (col != NULL) {
-			/* If we have a tab, compute its width in columns using the
-			 * current value of col. */
-			if (*buf == '\t')
-				*col += tabsize - *col % tabsize;
-			/* If we have a control character, it's two columns wide: one
-			 * column for the "^", and one for the visible character. */
-			else if (is_cntrl_char((unsigned char)*buf))
-				*col += 2;
-			/* If we have a normal character, it's one column wide. */
-			else
-				(*col)++;
-		}
+		length = 1;
 
-		return 1;
+	/* When requested, store the multibyte character in chr. */
+	if (chr != NULL)
+		for (int i = 0; i < length; i++)
+			chr[i] = buf[i];
+
+	/* When requested, add the width of the character to col. */
+	if (col != NULL) {
+		/* If we have a tab, compute its width in columns based on the
+		 * current value of col. */
+		if (*buf == '\t')
+			*col += tabsize - *col % tabsize;
+		/* If we have a control character, it's two columns wide: one
+		 * column for the "^", and one for the visible character. */
+		else if (is_cntrl_mbchar(buf))
+			*col += 2;
+		/* If we have a normal character, get its width normally. */
+		else if (length == 1)
+			*col += 1;
+#ifdef ENABLE_UTF8
+		else
+			*col += mbwidth(buf);
+#endif
 	}
+
+	return length;
 }
 
 /* Return the index in buf of the beginning of the multibyte character
@@ -430,17 +386,8 @@ int mbstrncasecmp(const char *s1, const
 		wchar_t wc1, wc2;
 
 		while (*s1 != '\0' && *s2 != '\0' && n > 0) {
-			bool bad1 = FALSE, bad2 = FALSE;
-
-			if (mbtowc(&wc1, s1, MAXCHARLEN) < 0) {
-				mbtowc_reset();
-				bad1 = TRUE;
-			}
-
-			if (mbtowc(&wc2, s2, MAXCHARLEN) < 0) {
-				mbtowc_reset();
-				bad2 = TRUE;
-			}
+			bool bad1 = (mbtowc(&wc1, s1, MAXCHARLEN) < 0);
+			bool bad2 = (mbtowc(&wc2, s2, MAXCHARLEN) < 0);
 
 			if (bad1 || bad2) {
 				if (*s1 != *s2)
@@ -556,22 +503,26 @@ char *mbrevstrcasestr(const char *haysta
 		return revstrcasestr(haystack, needle, pointer);
 }
 
-/* This function is equivalent to strlen() for multibyte strings. */
+/* Count the number of (multibyte) characters in the given string. */
 size_t mbstrlen(const char *s)
 {
-	return mbstrnlen(s, (size_t)-1);
-}
+	size_t maxlen = (size_t)-1;
 
-/* This function is equivalent to strnlen() for multibyte strings. */
-size_t mbstrnlen(const char *s, size_t maxlen)
-{
 #ifdef ENABLE_UTF8
 	if (use_utf8) {
 		size_t n = 0;
 
-		for (; *s != '\0' && maxlen > 0; s += move_mbright(s, 0),
-				maxlen--, n++)
-			;
+		while (*s != '\0' && maxlen > 0) {
+			if ((signed char)*s < 0) {
+				int length = mblen(s, MAXCHARLEN);
+
+				s += (length < 0 ? 1 : length);
+			} else
+				s++;
+
+			maxlen--;
+			n++;
+		}
 
 		return n;
 	} else
@@ -591,7 +542,6 @@ char *mbstrchr(const char *s, const char
 		wchar_t ws, wc;
 
 		if (mbtowc(&wc, c, MAXCHARLEN) < 0) {
-			mbtowc_reset();
 			wc = (unsigned char)*c;
 			bad_c_mb = TRUE;
 		}
@@ -600,7 +550,6 @@ char *mbstrchr(const char *s, const char
 			int sym_len = parse_mbchar(s, symbol, NULL);
 
 			if (mbtowc(&ws, symbol, sym_len) < 0) {
-				mbtowc_reset();
 				ws = (unsigned char)*s;
 				bad_s_mb = TRUE;
 			}
@@ -731,17 +680,3 @@ bool is_valid_unicode(wchar_t wc)
 				(0xFFFF < wc && wc <= 0x10FFFF && (wc & 0xFFFF) <= 0xFFFD));
 }
 #endif
-
-#ifdef ENABLE_NANORC
-/* Check if the string s is a valid multibyte string.  Return TRUE if it
- * is, and FALSE otherwise. */
-bool is_valid_mbstring(const char *s)
-{
-#ifdef ENABLE_UTF8
-	if (use_utf8)
-		return (mbstowcs(NULL, s, 0) != (size_t)-1);
-	else
-#endif
-		return TRUE;
-}
-#endif /* ENABLE_NANORC */
diff -pruN 2.9.8-1/src/color.c 3.0-1/src/color.c
--- 2.9.8-1/src/color.c	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/src/color.c	2018-08-29 17:37:02.000000000 +0000
@@ -66,7 +66,7 @@ void set_colorpairs(void)
 				combo->bg = COLOR_BLACK;
 			init_pair(i + 1, combo->fg, combo->bg);
 			interface_color_pair[i] = COLOR_PAIR(i + 1) | A_BANDAID |
-										(combo->bright ? A_BOLD : A_NORMAL);
+										combo->attributes;
 		} else {
 			if (i == FUNCTION_TAG)
 				interface_color_pair[i] = A_NORMAL;
@@ -98,8 +98,7 @@ void set_colorpairs(void)
 			else
 				ink->pairnum = new_number++;
 
-			ink->attributes = COLOR_PAIR(ink->pairnum) | A_BANDAID |
-								(ink->bright ? A_BOLD : A_NORMAL);
+			ink->attributes |= COLOR_PAIR(ink->pairnum) | A_BANDAID;
 		}
 	}
 }
diff -pruN 2.9.8-1/src/cut.c 3.0-1/src/cut.c
--- 2.9.8-1/src/cut.c	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/src/cut.c	2018-08-29 17:37:02.000000000 +0000
@@ -111,7 +111,7 @@ void cut_to_eof(void)
  * copy_text is TRUE, copy the text back into the buffer afterward.
  * If cut_till_eof is TRUE, move all text from the current cursor
  * position to the end of the file into the cutbuffer. */
-void do_cut_text(bool copy_text, bool cut_till_eof)
+void do_cut_text(bool copy_text, bool marked, bool cut_till_eof)
 {
 #ifndef NANO_TINY
 	filestruct *cb_save = NULL;
@@ -125,12 +125,12 @@ void do_cut_text(bool copy_text, bool cu
 #endif
 	size_t was_totsize = openfile->totsize;
 
-	/* If a chain of cuts was broken, empty the cutbuffer. */
-	if (!keep_cutbuffer) {
+	/* If cuts were not continuous, or when cutting a region, clear the slate. */
+	if (!keep_cutbuffer || marked || cut_till_eof) {
 		free_filestruct(cutbuffer);
 		cutbuffer = NULL;
-		/* Indicate that future cuts should add to the cutbuffer. */
-		keep_cutbuffer = TRUE;
+		/* After a line cut, future line cuts should add to the cutbuffer. */
+		keep_cutbuffer = !marked && !cut_till_eof;
 	}
 
 #ifndef NANO_TINY
@@ -187,10 +187,6 @@ void do_cut_text(bool copy_text, bool cu
 		set_modified();
 
 	refresh_needed = TRUE;
-
-#ifdef DEBUG
-	dump_filestruct(cutbuffer);
-#endif
 }
 
 /* Move text from the current buffer into the cutbuffer. */
@@ -198,10 +194,10 @@ void do_cut_text_void(void)
 {
 #ifndef NANO_TINY
 	add_undo(CUT);
-#endif
-	do_cut_text(FALSE, FALSE);
-#ifndef NANO_TINY
+	do_cut_text(FALSE, openfile->mark, FALSE);
 	update_undo(CUT);
+#else
+	do_cut_text(FALSE, FALSE, FALSE);
 #endif
 }
 
@@ -211,7 +207,7 @@ void do_cut_text_void(void)
  * was moved, blow away previous contents of the cutbuffer. */
 void do_copy_text(void)
 {
-	static struct filestruct *next_contiguous_line = NULL;
+	static filestruct *next_contiguous_line = NULL;
 	bool mark_is_set = (openfile->mark != NULL);
 
 	/* Remember the current viewport and cursor position. */
@@ -223,7 +219,7 @@ void do_copy_text(void)
 	if (mark_is_set || openfile->current != next_contiguous_line)
 		cutbuffer_reset();
 
-	do_cut_text(TRUE, FALSE);
+	do_cut_text(TRUE, mark_is_set, FALSE);
 
 	/* If the mark was set, blow away the cutbuffer on the next copy. */
 	next_contiguous_line = (mark_is_set ? NULL : openfile->current);
@@ -241,7 +237,7 @@ void do_copy_text(void)
 void do_cut_till_eof(void)
 {
 	add_undo(CUT_TO_EOF);
-	do_cut_text(FALSE, TRUE);
+	do_cut_text(FALSE, FALSE, TRUE);
 	update_undo(CUT_TO_EOF);
 }
 #endif /* !NANO_TINY */
diff -pruN 2.9.8-1/src/files.c 3.0-1/src/files.c
--- 2.9.8-1/src/files.c	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/src/files.c	2018-09-09 09:39:27.000000000 +0000
@@ -512,6 +512,7 @@ void replace_buffer(const char *filename
 {
 	FILE *f;
 	int descriptor;
+	filestruct *was_cutbuffer = cutbuffer;
 
 	/* Open the file quietly. */
 	descriptor = open_file(filename, FALSE, TRUE, &f);
@@ -520,29 +521,44 @@ void replace_buffer(const char *filename
 	if (descriptor < 0)
 		return;
 
-	/* Reinitialize the text of the current buffer. */
-	free_filestruct(openfile->fileage);
-	initialize_buffer_text();
+#ifndef NANO_TINY
+	add_undo(COUPLE_BEGIN);
+	openfile->undotop->strdata = mallocstrcpy(NULL, _("spelling correction"));
+#endif
+
+	/* Throw away the text of the file. */
+	cutbuffer = NULL;
+	openfile->current = openfile->fileage;
+	openfile->current_x = 0;
+#ifndef NANO_TINY
+	add_undo(CUT_TO_EOF);
+#endif
+	do_cut_text(FALSE, FALSE, TRUE);
+#ifndef NANO_TINY
+	update_undo(CUT_TO_EOF);
+#endif
+	free_filestruct(cutbuffer);
+	cutbuffer = was_cutbuffer;
 
 	/* Insert the processed file into its place. */
-	read_file(f, descriptor, filename, FALSE);
+	read_file(f, descriptor, filename, TRUE);
 
-	/* Put current at a place that is certain to exist. */
-	openfile->current = openfile->fileage;
+#ifndef NANO_TINY
+	add_undo(COUPLE_END);
+	openfile->undotop->strdata = mallocstrcpy(NULL, _("spelling correction"));
+#endif
 }
 
 #ifndef NANO_TINY
 /* Open the specified file, and if that succeeds, blow away the text of
- * the current buffer at the given coordinates and read the file
+ * the current buffer covered by the mark and read the file
  * contents into its place. */
-void replace_marked_buffer(const char *filename, filestruct *top, size_t top_x,
-		filestruct *bot, size_t bot_x)
+void replace_marked_buffer(const char *filename)
 {
 	FILE *f;
 	int descriptor;
 	bool old_no_newlines = ISSET(NO_NEWLINES);
-	filestruct *trash_top = NULL;
-	filestruct *trash_bot = NULL;
+	filestruct *was_cutbuffer = cutbuffer;
 
 	descriptor = open_file(filename, FALSE, TRUE, &f);
 
@@ -552,15 +568,26 @@ void replace_marked_buffer(const char *f
 	/* Don't add a magicline when replacing text in the buffer. */
 	SET(NO_NEWLINES);
 
-	/* Throw away the text under the mark, and insert the processed file
-	 * where the marked text was. */
-	extract_buffer(&trash_top, &trash_bot, top, top_x, bot, bot_x);
-	free_filestruct(trash_top);
-	read_file(f, descriptor, filename, FALSE);
+	add_undo(COUPLE_BEGIN);
+	openfile->undotop->strdata = mallocstrcpy(NULL, _("spelling correction"));
+
+	/* Throw away the text under the mark. */
+	cutbuffer = NULL;
+	add_undo(CUT);
+	do_cut_text(FALSE, TRUE, FALSE);
+	update_undo(CUT);
+	free_filestruct(cutbuffer);
+	cutbuffer = was_cutbuffer;
+
+	/* Insert the processed file where the marked text was. */
+	read_file(f, descriptor, filename, TRUE);
 
 	/* Restore the magicline behavior now that we're done fiddling. */
 	if (!old_no_newlines)
 		UNSET(NO_NEWLINES);
+
+	add_undo(COUPLE_END);
+	openfile->undotop->strdata = mallocstrcpy(NULL, _("spelling correction"));
 }
 #endif /* !NANO_TINY */
 #endif /* ENABLE_SPELLER */
@@ -585,12 +612,31 @@ void prepare_for_display(void)
 }
 
 #ifdef ENABLE_MULTIBUFFER
+/* Show name of current buffer and its number of lines on the status bar. */
+void mention_name_and_linecount(void)
+{
+	size_t count = openfile->filebot->lineno -
+						(openfile->filebot->data[0] == '\0' ? 1 : 0);
+#ifndef NANO_TINY
+	if (openfile->fmt != NIX_FILE)
+		/* TRANSLATORS: first %s is file name, second %s is file format. */
+		statusline(HUSH, P_("%s -- %zu line (%s)", "%s -- %zu lines (%s)", count),
+						openfile->filename[0] == '\0' ?
+						_("New Buffer") : tail(openfile->filename), count,
+						openfile->fmt == DOS_FILE ? _("DOS") : _("Mac"));
+	else
+#endif
+		statusline(HUSH, P_("%s -- %zu line", "%s -- %zu lines", count),
+						openfile->filename[0] == '\0' ?
+						_("New Buffer") : tail(openfile->filename), count);
+}
+
 /* Switch to a neighbouring file buffer; to the next if to_next is TRUE;
  * otherwise, to the previous one. */
 void switch_to_adjacent_buffer(bool to_next)
 {
 	/* If only one file buffer is open, say so and get out. */
-	if (openfile == openfile->next && !inhelp) {
+	if (openfile == openfile->next) {
 		statusbar(_("No more open file buffers"));
 		return;
 	}
@@ -615,14 +661,8 @@ void switch_to_adjacent_buffer(bool to_n
 	/* Ensure that the main loop will redraw the help lines. */
 	currmenu = MMOST;
 
-	/* Indicate the switch on the statusbar. */
-	statusline(HUSH, _("Switched to %s"),
-						((openfile->filename[0] == '\0') ?
-						_("New Buffer") : openfile->filename));
-
-#ifdef DEBUG
-	dump_filestruct(openfile->current);
-#endif
+	/* Indicate on the status bar where we switched to. */
+	mention_name_and_linecount();
 }
 
 /* Switch to the previous entry in the list of open files. */
@@ -760,8 +800,12 @@ void read_file(FILE *f, int fd, const ch
 	topline = make_new_node(NULL);
 	bottomline = topline;
 
+	/* Lock the file before starting to read it, to avoid the overhead
+	 * of locking it for each single byte that we read from it. */
+	flockfile(f);
+
 	/* Read the entire file into the new buffer. */
-	while ((input_int = getc(f)) != EOF) {
+	while ((input_int = getc_unlocked(f)) != EOF) {
 		input = (char)input_int;
 
 		/* If it's a *nix file ("\n") or a DOS file ("\r\n"), and file
@@ -828,6 +872,9 @@ void read_file(FILE *f, int fd, const ch
 #endif
 	}
 
+	/* We are done with the file, unlock it. */
+	funlockfile(f);
+
 	/* Perhaps this could use some better handling. */
 	if (ferror(f))
 		nperror(filename);
@@ -1036,7 +1083,7 @@ void do_insertfile(void)
 		if (execute) {
 #ifdef ENABLE_MULTIBUFFER
 			if (ISSET(MULTIBUFFER))
-				/* TRANSLATORS: The next four messages are prompts. */
+				/* TRANSLATORS: The next six messages are prompts. */
 				msg = _("Command to execute in new buffer");
 			else
 #endif
@@ -1046,10 +1093,20 @@ void do_insertfile(void)
 		{
 #ifdef ENABLE_MULTIBUFFER
 			if (ISSET(MULTIBUFFER))
-				msg = _("File to insert into new buffer [from %s]");
+#ifndef NANO_TINY
+				if ISSET(NO_CONVERT)
+					msg = _("File to read unconverted into new buffer [from %s]");
+				else
+#endif
+					msg = _("File to read into new buffer [from %s]");
 			else
 #endif
-				msg = _("File to insert [from %s]");
+#ifndef NANO_TINY
+				if ISSET(NO_CONVERT)
+					msg = _("File to insert unconverted [from %s]");
+				else
+#endif
+					msg = _("File to insert [from %s]");
 		}
 
 		present_path = mallocstrcpy(present_path, "./");
@@ -1092,6 +1149,10 @@ void do_insertfile(void)
 			}
 #endif
 #ifndef NANO_TINY
+			if (func == flip_convert) {
+				TOGGLE(NO_CONVERT);
+				continue;
+			}
 			if (func == flip_execute) {
 				execute = !execute;
 				continue;
@@ -1112,18 +1173,7 @@ void do_insertfile(void)
 #endif
 #ifndef NANO_TINY
 			if (func == flip_pipe) {
-				/* Remove or add the pipe character at the answer's head. */
-				if (answer[0] == '|') {
-					charmove(answer, answer + 1, strlen(answer) + 1);
-					if (statusbar_x > 0)
-						statusbar_x--;
-				} else {
-					answer = charealloc(answer, strlen(answer) + 2);
-					charmove(answer + 1, answer, strlen(answer) + 1);
-					answer[0] = '|';
-					statusbar_x++;
-				}
-
+				add_or_remove_pipe_symbol_from_answer();
 				given = mallocstrcpy(given, answer);
 				continue;
 			}
@@ -1773,6 +1823,7 @@ bool write_file(const char *name, FILE *
 			umask(original_umask);
 	}
 
+#ifndef NANO_TINY
 	/* If we're prepending, copy the file to a temp file. */
 	if (method == PREPEND) {
 		int fd_source;
@@ -1819,6 +1870,7 @@ bool write_file(const char *name, FILE *
 			goto cleanup_and_exit;
 		}
 	}
+#endif /* !NANO_TINY */
 
 	if (f_open == NULL) {
 		/* Now open the file in place.  Use O_EXCL if tmp is TRUE.  This
@@ -1900,6 +1952,7 @@ bool write_file(const char *name, FILE *
 		lineswritten++;
 	}
 
+#ifndef NANO_TINY
 	/* If we're prepending, open the temp file, and append it to f. */
 	if (method == PREPEND) {
 		int fd_source;
@@ -1927,7 +1980,9 @@ bool write_file(const char *name, FILE *
 		}
 
 		unlink(tempname);
-	} else if (fclose(f) != 0) {
+	} else
+#endif
+	if (fclose(f) != 0) {
 		statusline(ALERT, _("Error writing %s: %s"), realname,
 						strerror(errno));
 		goto cleanup_and_exit;
@@ -2156,8 +2211,12 @@ int do_writeout(bool exiting, bool withp
 		 * egg.  Display the credits. */
 		if (!did_credits && exiting && !ISSET(TEMP_FILE) &&
 								strcasecmp(answer, "zzy") == 0) {
-			do_credits();
-			did_credits = TRUE;
+			if (LINES > 5 && COLS > 31) {
+				do_credits();
+				did_credits = TRUE;
+			} else
+				/* TRANSLATORS: Concisely say the screen is too small. */
+				statusbar(_("Too tiny"));
 			break;
 		}
 #endif
diff -pruN 2.9.8-1/src/global.c 3.0-1/src/global.c
--- 2.9.8-1/src/global.c	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/src/global.c	2018-09-09 09:39:27.000000000 +0000
@@ -69,6 +69,7 @@ int didfind = 0;
 		/* Whether the last search found something. */
 
 int controlleft, controlright, controlup, controldown, controlhome, controlend;
+int controldelete, controlshiftdelete;
 #ifndef NANO_TINY
 int shiftcontrolleft, shiftcontrolright, shiftcontrolup, shiftcontroldown;
 int shiftcontrolhome, shiftcontrolend;
@@ -77,12 +78,8 @@ int shiftaltleft, shiftaltright, shiftal
 #endif
 
 #ifdef ENABLED_WRAPORJUSTIFY
-ssize_t fill = 0;
+ssize_t fill = -COLUMNS_FROM_EOL;
 		/* The column where we will wrap lines. */
-ssize_t wrap_at = -CHARS_FROM_EOL;
-		/* The position where we will wrap lines.  fill is equal to this
-		 * if it's greater than zero, and equal to (COLS + this) if it
-		 * isn't. */
 #endif
 
 char *last_search = NULL;
@@ -152,8 +149,6 @@ char *word_chars = NULL;
 
 char *answer = NULL;
 		/* The answer string used by the statusbar prompt. */
-size_t statusbar_x = HIGHEST_POSITIVE;
-		/* The cursor position in answer. */
 
 ssize_t tabsize = -1;
 		/* The width of a tab in spaces.  The default is set in main(). */
@@ -234,19 +229,33 @@ regmatch_t regmatches[10];
 int hilite_attribute = A_REVERSE;
 		/* The curses attribute we use to highlight something. */
 #ifdef ENABLE_COLOR
-colortype* color_combo[] = {NULL};
+colortype* color_combo[NUMBER_OF_ELEMENTS] = {NULL};
 		/* The color combinations for interface elements given in the rcfile. */
 #endif
-int interface_color_pair[] = {0};
+int interface_color_pair[NUMBER_OF_ELEMENTS] = {0};
 		/* The processed color pairs for the interface elements. */
 
 char *homedir = NULL;
 		/* The user's home directory, from $HOME or /etc/passwd. */
 char *statedir = NULL;
 		/* The directory for nano's history files. */
+
+#ifdef ENABLE_NANORC
+#define NUMBER_OF_MENUS  16
+char *menunames[NUMBER_OF_MENUS] = { "main", "search", "replace", "replacewith",
+									"yesno", "gotoline", "writeout", "insert",
+									"extcmd", "help", "spell", "linter",
+									"browser", "whereisfile", "gotodir",
+									"all" };
+int menusymbols[NUMBER_OF_MENUS] = { MMAIN, MWHEREIS, MREPLACE, MREPLACEWITH,
+									MYESNO, MGOTOLINE, MWRITEFILE, MINSERTFILE,
+									MEXTCMD, MHELP, MSPELL, MLINTER,
+									MBROWSER, MWHEREISFILE, MGOTODIR,
+									MMOST|MHELP|MYESNO };
+
 char *rcfile_with_errors = NULL;
 		/* The first nanorc file, if any, that produced warnings. */
-
+#endif
 
 /* Return the number of entries in the shortcut list for a given menu. */
 size_t length_of_list(int menu)
@@ -316,6 +325,9 @@ void flip_execute(void)
 void flip_pipe(void)
 {
 }
+void flip_convert(void)
+{
+}
 #endif
 #ifdef ENABLE_MULTIBUFFER
 void flip_newbuffer(void)
@@ -450,20 +462,20 @@ int keycode_from_string(const char *keys
 	if (keystring[0] == '^') {
 		if (strcasecmp(keystring, "^Space") == 0)
 			return 0;
-		if (strlen(keystring) == 2)
+		if (keystring[1] <= '_' && strlen(keystring) == 2)
 			return keystring[1] - 64;
 		else
 			return -1;
 	} else if (keystring[0] == 'M') {
 		if (strcasecmp(keystring, "M-Space") == 0)
 			return (int)' ';
-		if (keystring[1] == '-')
+		if (keystring[1] == '-' && strlen(keystring) == 3)
 			return tolower((unsigned char)keystring[2]);
 		else
 			return -1;
 	} else if (keystring[0] == 'F') {
 		int fn = atoi(&keystring[1]);
-		if (fn < 0 || fn > 63)
+		if (fn < 1 || fn > 16)
 			return -1;
 		return KEY_F0 + fn;
 	} else if (!strcasecmp(keystring, "Ins"))
@@ -491,7 +503,7 @@ void print_sclist(void)
 #endif
 
 /* These four tags are used elsewhere too, so they are global. */
-/* TRANSLATORS: Try to keep the next fifteen strings at most 10 characters. */
+/* TRANSLATORS: Try to keep the next four strings at most 10 characters. */
 const char *exit_tag = N_("Exit");
 const char *close_tag = N_("Close");
 const char *uncut_tag = N_("Uncut Text");
@@ -502,22 +514,6 @@ const char *unjust_tag = N_("Unjustify")
 /* Initialize the list of functions and the list of shortcuts. */
 void shortcut_init(void)
 {
-	const char *readfile_tag = N_("Read File");
-	const char *whereis_tag = N_("Where Is");
-	const char *replace_tag = N_("Replace");
-	const char *gotoline_tag = N_("Go To Line");
-	const char *prevline_tag = N_("Prev Line");
-	const char *nextline_tag = N_("Next Line");
-	const char *prevpage_tag = N_("Prev Page");
-	const char *nextpage_tag = N_("Next Page");
-#ifdef ENABLE_JUSTIFY
-	const char *justify_tag = N_("Justify");
-	const char *fulljustify_tag = N_("FullJstify");
-#endif
-	const char *refresh_tag = N_("Refresh");
-	/* TRANSLATORS: Try to keep this string at most 12 characters. */
-	const char *whereisnext_tag = N_("WhereIs Next");
-
 #ifdef ENABLE_HELP
 	/* TRANSLATORS: The next long series of strings are shortcut descriptions;
 	 * they are best kept shorter than 56 characters, but may be longer. */
@@ -534,7 +530,8 @@ void shortcut_init(void)
 	const char *wherewas_gist =
 		N_("Search backward for a string or a regular expression");
 #ifdef ENABLE_BROWSER
-	const char *browserwhereis_gist = N_("Search for a string");
+	const char *browserwhereis_gist = N_("Search forward for a string");
+	const char *browserwherewas_gist = N_("Search backward for a string");
 	const char *browserrefresh_gist = N_("Refresh the file list");
 #ifndef NANO_TINY
 	const char *browserlefthand_gist = N_("Go to lefthand column");
@@ -555,7 +552,6 @@ void shortcut_init(void)
 #endif
 	const char *replace_gist = N_("Replace a string or a regular expression");
 	const char *gotoline_gist = N_("Go to line and column number");
-	const char *whereisnext_gist = N_("Repeat the last search");
 #ifndef NANO_TINY
 	const char *mark_gist = N_("Mark text starting from the cursor position");
 	const char *copy_gist =
@@ -630,9 +626,9 @@ void shortcut_init(void)
 		N_("Comment/uncomment the current line (or marked lines)");
 #endif
 	const char *savefile_gist = N_("Save file without prompting");
-#ifndef NANO_TINY
 	const char *findprev_gist = N_("Search next occurrence backward");
 	const char *findnext_gist = N_("Search next occurrence forward");
+#ifndef NANO_TINY
 	const char *recordmacro_gist = N_("Start/stop recording a macro");
 	const char *runmacro_gist = N_("Run the last recorded macro");
 #endif
@@ -657,6 +653,7 @@ void shortcut_init(void)
 	const char *execute_gist = N_("Execute external command");
 	const char *pipe_gist =
 		N_("Pipe the current buffer (or marked region) to the command");
+	const char *convert_gist = N_("Do not convert from DOS/Mac format");
 #endif
 #ifdef ENABLE_MULTIBUFFER
 	const char *newbuffer_gist = N_("Toggle the use of a new buffer");
@@ -675,9 +672,6 @@ void shortcut_init(void)
 	const char *lint_gist = N_("Invoke the linter, if available");
 	const char *prevlint_gist = N_("Go to previous linter msg");
 	const char *nextlint_gist = N_("Go to next linter msg");
-#ifdef ENABLE_SPELLER
-	const char *formatter_gist = N_("Invoke formatter, if available");
-#endif
 #endif
 #endif /* ENABLE_HELP */
 
@@ -690,7 +684,8 @@ void shortcut_init(void)
 	/* Start populating the different menus with functions. */
 
 	add_to_funcs(do_help_void, MMOST & ~MFINDINHELP,
-		/* TRANSLATORS: Try to keep the following strings at most 10 characters. */
+		/* TRANSLATORS: Try to keep the next ninety strings or so at most 10
+		 * characters.  Some strings may be longer -- run nano and see. */
 		N_("Get Help"), WITHORSANS(help_gist), TOGETHER, VIEW);
 
 	add_to_funcs(do_cancel, ((MMOST & ~MMAIN & ~MBROWSER) | MYESNO),
@@ -717,7 +712,7 @@ void shortcut_init(void)
 	if (TRUE) {
 #endif
 		add_to_funcs(do_insertfile_void, MMAIN,
-				readfile_tag, WITHORSANS(readfile_gist), BLANKAFTER,
+				N_("Read File"), WITHORSANS(readfile_gist), BLANKAFTER,
 				/* We allow inserting files in view mode if multibuffer mode
 				 * is switched on, so that we can view multiple files. */
 #ifdef ENABLE_MULTIBUFFER
@@ -728,38 +723,29 @@ void shortcut_init(void)
 	} else {
 #ifdef ENABLE_JUSTIFY
 		add_to_funcs(do_justify_void, MMAIN,
-				justify_tag, WITHORSANS(justify_gist), BLANKAFTER, NOVIEW);
+				N_("Justify"), WITHORSANS(justify_gist), BLANKAFTER, NOVIEW);
 #endif
 	}
 
-	add_to_funcs(do_search_forward, MMAIN,
-		whereis_tag, WITHORSANS(whereis_gist), TOGETHER, VIEW);
+#ifdef ENABLE_HELP
+	/* The description ("x") and blank_after (0) are irrelevant,
+	 * because the help viewer does not have a help text. */
+	add_to_funcs(total_refresh, MHELP, N_("Refresh"), "x", 0, VIEW);
+	add_to_funcs(do_exit, MHELP, close_tag, "x", 0, VIEW);
+#endif
+
+	add_to_funcs(do_search_forward, MMAIN|MHELP,
+		N_("Where Is"), WITHORSANS(whereis_gist), TOGETHER, VIEW);
 
 	add_to_funcs(do_replace, MMAIN,
-		replace_tag, WITHORSANS(replace_gist), TOGETHER, NOVIEW);
+		N_("Replace"), WITHORSANS(replace_gist), TOGETHER, NOVIEW);
 
 #ifdef ENABLE_BROWSER
-	add_to_funcs(do_search_forward, MBROWSER,
-		whereis_tag, WITHORSANS(browserwhereis_gist), TOGETHER, VIEW);
-
-	add_to_funcs(do_research, MBROWSER,
-		whereisnext_tag, WITHORSANS(whereisnext_gist), BLANKAFTER, VIEW);
-
 	add_to_funcs(goto_dir_void, MBROWSER,
 		N_("Go To Dir"), WITHORSANS(gotodir_gist), TOGETHER, VIEW);
 
 	add_to_funcs(total_refresh, MBROWSER,
-		refresh_tag, WITHORSANS(browserrefresh_gist), BLANKAFTER, VIEW);
-#endif
-
-#ifdef ENABLE_HELP
-	/* The description ("x") and blank_after (0) are irrelevant,
-	 * because the help viewer does not have a help text. */
-	add_to_funcs(total_refresh, MHELP, refresh_tag, "x", 0, VIEW);
-	add_to_funcs(do_exit, MHELP, close_tag, "x", 0, VIEW);
-
-	add_to_funcs(do_search_forward, MHELP, whereis_tag, "x", 0, VIEW);
-	add_to_funcs(do_research, MHELP, whereisnext_tag, "x", 0, VIEW);
+		N_("Refresh"), WITHORSANS(browserrefresh_gist), BLANKAFTER, VIEW);
 #endif
 
 	add_to_funcs(do_cut_text_void, MMAIN,
@@ -773,7 +759,7 @@ void shortcut_init(void)
 	if (!ISSET(RESTRICTED)) {
 #ifdef ENABLE_JUSTIFY
 		add_to_funcs(do_justify_void, MMAIN,
-				justify_tag, WITHORSANS(justify_gist), TOGETHER, NOVIEW);
+				N_("Justify"), WITHORSANS(justify_gist), TOGETHER, NOVIEW);
 #endif
 
 #ifdef ENABLE_SPELLER
@@ -783,10 +769,6 @@ void shortcut_init(void)
 #ifdef ENABLE_COLOR
 		add_to_funcs(do_linter, MMAIN,
 				N_("To Linter"), WITHORSANS(lint_gist), TOGETHER, NOVIEW);
-#ifdef ENABLE_SPELLER
-		add_to_funcs(do_formatter, MMAIN,
-				N_("Formatter"), WITHORSANS(formatter_gist), BLANKAFTER, NOVIEW);
-#endif
 #endif
 	}
 
@@ -798,7 +780,7 @@ void shortcut_init(void)
 	/* Conditionally placing this one here or further on, to keep the
 	 * help items nicely paired in most conditions. */
 	add_to_funcs(do_gotolinecolumn_void, MMAIN,
-		gotoline_tag, WITHORSANS(gotoline_gist), BLANKAFTER, VIEW);
+		N_("Go To Line"), WITHORSANS(gotoline_gist), BLANKAFTER, VIEW);
 #endif
 
 #ifndef NANO_TINY
@@ -821,33 +803,44 @@ void shortcut_init(void)
 		N_("Backwards"), WITHORSANS(reverse_gist), TOGETHER, VIEW);
 
 	add_to_funcs(flip_replace, MWHEREIS,
-		replace_tag, WITHORSANS(replace_gist), BLANKAFTER, VIEW);
+		N_("Replace"), WITHORSANS(replace_gist), BLANKAFTER, VIEW);
 
 	add_to_funcs(flip_replace, MREPLACE,
 		N_("No Replace"), WITHORSANS(whereis_gist), BLANKAFTER, VIEW);
 
 #ifdef ENABLE_JUSTIFY
 	add_to_funcs(do_full_justify, MWHEREIS,
-		fulljustify_tag, WITHORSANS(fulljustify_gist), TOGETHER, NOVIEW);
+		N_("FullJstify"), WITHORSANS(fulljustify_gist), TOGETHER, NOVIEW);
 
 	add_to_funcs(flip_goto, MWHEREIS,
-		gotoline_tag, WITHORSANS(gotoline_gist), BLANKAFTER, VIEW);
+		N_("Go To Line"), WITHORSANS(gotoline_gist), BLANKAFTER, VIEW);
 #endif
 
 #ifndef NANO_TINY
 	add_to_funcs(do_find_bracket, MMAIN,
 		N_("To Bracket"), WITHORSANS(bracket_gist), BLANKAFTER, VIEW);
+#else
+	/* Place this one here only in the tiny version; otherwise further down. */
+	add_to_funcs(do_savefile, MMAIN,
+		N_("Save"), WITHORSANS(savefile_gist), BLANKAFTER, NOVIEW);
+#endif
 
-	add_to_funcs(do_research, MMAIN,
-		whereisnext_tag, WITHORSANS(whereisnext_gist), TOGETHER, VIEW);
-
-	add_to_funcs(do_findprevious, MMAIN,
+#ifdef ENABLE_BROWSER
+	add_to_funcs(do_search_forward, MBROWSER,
+		N_("Where Is"), WITHORSANS(browserwhereis_gist), TOGETHER, VIEW);
+	add_to_funcs(do_search_backward, MBROWSER,
+		N_("Where Was"), WITHORSANS(browserwherewas_gist), TOGETHER, VIEW);
+#endif
+	add_to_funcs(do_search_backward, MMAIN|MHELP,
+		/* TRANSLATORS: This starts a backward search. */
+		N_("Where Was"), WITHORSANS(wherewas_gist), TOGETHER, VIEW);
+	add_to_funcs(do_findprevious, MMAIN|MHELP|MBROWSER,
 		N_("Previous"), WITHORSANS(findprev_gist), TOGETHER, VIEW);
-	add_to_funcs(do_findnext, MMAIN,
+	add_to_funcs(do_findnext, MMAIN|MHELP|MBROWSER,
 		N_("Next"), WITHORSANS(findnext_gist), BLANKAFTER, VIEW);
-#endif /* !NANO_TINY */
 
 	add_to_funcs(do_left, MMAIN,
+		/* TRANSLATORS: This means move the cursor one character back. */
 		N_("Back"), WITHORSANS(back_gist), TOGETHER, VIEW);
 	add_to_funcs(do_right, MMAIN,
 		N_("Forward"), WITHORSANS(forward_gist), TOGETHER, VIEW);
@@ -869,9 +862,9 @@ void shortcut_init(void)
 		N_("End"), WITHORSANS(end_gist), BLANKAFTER, VIEW);
 
 	add_to_funcs(do_up, MMAIN|MHELP|MBROWSER,
-		prevline_tag, WITHORSANS(prevline_gist), TOGETHER, VIEW);
+		N_("Prev Line"), WITHORSANS(prevline_gist), TOGETHER, VIEW);
 	add_to_funcs(do_down, MMAIN|MHELP|MBROWSER,
-		nextline_tag, WITHORSANS(nextline_gist), TOGETHER, VIEW);
+		N_("Next Line"), WITHORSANS(nextline_gist), TOGETHER, VIEW);
 #ifdef ENABLE_HELP
 	add_to_funcs(do_scroll_up, MMAIN,
 		N_("Scroll Up"), WITHORSANS(scrollup_gist), TOGETHER, VIEW);
@@ -891,9 +884,9 @@ void shortcut_init(void)
 #endif
 
 	add_to_funcs(do_page_up, MMAIN|MHELP,
-		prevpage_tag, WITHORSANS(prevpage_gist), TOGETHER, VIEW);
+		N_("Prev Page"), WITHORSANS(prevpage_gist), TOGETHER, VIEW);
 	add_to_funcs(do_page_down, MMAIN|MHELP,
-		nextpage_tag, WITHORSANS(nextpage_gist), TOGETHER, VIEW);
+		N_("Next Page"), WITHORSANS(nextpage_gist), TOGETHER, VIEW);
 
 	add_to_funcs(to_first_line, MMAIN|MHELP|MWHEREIS|MREPLACE|MREPLACEWITH|MGOTOLINE,
 		N_("First Line"), WITHORSANS(firstline_gist), TOGETHER, VIEW);
@@ -910,13 +903,7 @@ void shortcut_init(void)
 #if (!defined(ENABLE_JUSTIFY) && (defined(ENABLE_SPELLER) || defined(ENABLE_COLOR)) || \
 		defined(ENABLE_JUSTIFY) && !defined(ENABLE_SPELLER) && !defined(ENABLE_COLOR))
 	add_to_funcs(do_gotolinecolumn_void, MMAIN,
-		gotoline_tag, WITHORSANS(gotoline_gist), BLANKAFTER, VIEW);
-#endif
-
-#ifdef NANO_TINY
-	/* Place this one here only in the tiny version; otherwise further up. */
-	add_to_funcs(do_research, MMAIN,
-		whereisnext_tag, WITHORSANS(whereisnext_gist), TOGETHER, VIEW);
+		N_("Go To Line"), WITHORSANS(gotoline_gist), BLANKAFTER, VIEW);
 #endif
 
 	add_to_funcs(do_tab, MMAIN,
@@ -947,7 +934,7 @@ void shortcut_init(void)
 
 #ifdef ENABLE_JUSTIFY
 	add_to_funcs(do_full_justify, MMAIN,
-		fulljustify_tag, WITHORSANS(fulljustify_gist), TOGETHER, NOVIEW);
+		N_("FullJstify"), WITHORSANS(fulljustify_gist), TOGETHER, NOVIEW);
 #endif
 
 #ifndef NANO_TINY
@@ -959,16 +946,16 @@ void shortcut_init(void)
 		N_("Verbatim"), WITHORSANS(verbatim_gist), BLANKAFTER, NOVIEW);
 
 	add_to_funcs(total_refresh, MMAIN,
-		refresh_tag, WITHORSANS(refresh_gist), TOGETHER, VIEW);
+		N_("Refresh"), WITHORSANS(refresh_gist), TOGETHER, VIEW);
 
 	add_to_funcs(do_suspend_void, MMAIN,
 		N_("Suspend"), WITHORSANS(suspend_gist), BLANKAFTER, VIEW);
 
 #ifndef NANO_TINY
 	add_to_funcs(do_indent, MMAIN,
-		N_("Indent Text"), WITHORSANS(indent_gist), TOGETHER, NOVIEW);
+		N_("Indent"), WITHORSANS(indent_gist), TOGETHER, NOVIEW);
 	add_to_funcs(do_unindent, MMAIN,
-		N_("Unindent Text"), WITHORSANS(unindent_gist), BLANKAFTER, NOVIEW);
+		N_("Unindent"), WITHORSANS(unindent_gist), BLANKAFTER, NOVIEW);
 #endif
 #ifdef ENABLE_COMMENT
 	add_to_funcs(do_comment, MMAIN,
@@ -983,14 +970,10 @@ void shortcut_init(void)
 		N_("Record"), WITHORSANS(recordmacro_gist), TOGETHER, VIEW);
 	add_to_funcs(run_macro, MMAIN,
 		N_("Run Macro"), WITHORSANS(runmacro_gist), BLANKAFTER, VIEW);
-#endif
-	add_to_funcs(do_search_backward, MMAIN,
-		/* TRANSLATORS: This starts a backward search. */
-		N_("Where Was"), WITHORSANS(wherewas_gist), BLANKAFTER, VIEW);
 
 	add_to_funcs(do_savefile, MMAIN,
 		N_("Save"), WITHORSANS(savefile_gist), BLANKAFTER, NOVIEW);
-
+#endif
 #ifdef ENABLE_HISTORIES
 	add_to_funcs(get_history_older_void, MWHEREIS|MREPLACE|MREPLACEWITH|MWHEREISFILE,
 		N_("PrevHstory"), WITHORSANS(prevhistory_gist), TOGETHER, VIEW);
@@ -1000,7 +983,7 @@ void shortcut_init(void)
 
 #ifndef ENABLE_JUSTIFY
 	add_to_funcs(flip_goto, MWHEREIS,
-		gotoline_tag, WITHORSANS(gotoline_gist), BLANKAFTER, VIEW);
+		N_("Go To Line"), WITHORSANS(gotoline_gist), BLANKAFTER, VIEW);
 #endif
 
 	add_to_funcs(flip_goto, MGOTOLINE,
@@ -1025,15 +1008,6 @@ void shortcut_init(void)
 		add_to_funcs(backup_file_void, MWRITEFILE,
 			N_("Backup File"), WITHORSANS(backup_gist), BLANKAFTER, NOVIEW);
 	}
-
-	/* Command execution is only available when not in restricted mode. */
-	if (!ISSET(RESTRICTED)) {
-		add_to_funcs(flip_execute, MINSERTFILE,
-			N_("Execute Command"), WITHORSANS(execute_gist), TOGETHER, NOVIEW);
-
-		add_to_funcs(flip_execute, MEXTCMD,
-			readfile_tag, WITHORSANS(readfile_gist), TOGETHER, NOVIEW);
-	}
 #endif /* !NANO_TINY */
 #ifdef ENABLE_MULTIBUFFER
 	/* Multiple buffers are only available when not in restricted mode. */
@@ -1042,9 +1016,20 @@ void shortcut_init(void)
 			N_("New Buffer"), WITHORSANS(newbuffer_gist), TOGETHER, NOVIEW);
 #endif
 #ifndef NANO_TINY
-	if (!ISSET(RESTRICTED))
+	add_to_funcs(flip_convert, MINSERTFILE,
+		N_("No Conversion"), WITHORSANS(convert_gist), TOGETHER, NOVIEW);
+
+	/* Command execution is only available when not in restricted mode. */
+	if (!ISSET(RESTRICTED)) {
+		add_to_funcs(flip_execute, MINSERTFILE,
+			N_("Execute Command"), WITHORSANS(execute_gist), TOGETHER, NOVIEW);
+
 		add_to_funcs(flip_pipe, MEXTCMD,
 			N_("Pipe Text"), WITHORSANS(pipe_gist), TOGETHER, NOVIEW);
+
+		add_to_funcs(flip_execute, MEXTCMD,
+			N_("Read File"), WITHORSANS(readfile_gist), TOGETHER, NOVIEW);
+	}
 #endif
 #ifdef ENABLE_BROWSER
 	/* The file browser is only available when not in restricted mode. */
@@ -1053,9 +1038,9 @@ void shortcut_init(void)
 			N_("To Files"), WITHORSANS(tofiles_gist), TOGETHER, VIEW);
 
 	add_to_funcs(do_page_up, MBROWSER,
-		prevpage_tag, WITHORSANS(prevpage_gist), TOGETHER, VIEW);
+		N_("Prev Page"), WITHORSANS(prevpage_gist), TOGETHER, VIEW);
 	add_to_funcs(do_page_down, MBROWSER,
-		nextpage_tag, WITHORSANS(nextpage_gist), TOGETHER, VIEW);
+		N_("Prev Page"), WITHORSANS(nextpage_gist), TOGETHER, VIEW);
 
 	add_to_funcs(to_first_file, MBROWSER|MWHEREISFILE,
 		N_("First File"), WITHORSANS(firstfile_gist), TOGETHER, VIEW);
@@ -1103,7 +1088,7 @@ void shortcut_init(void)
 	add_to_sclist(MMAIN, "^R", 0, do_insertfile_void, 0);
 	add_to_sclist(MMAIN, "F5", 0, do_insertfile_void, 0);
 	add_to_sclist(MMAIN, "Ins", 0, do_insertfile_void, 0);
-	add_to_sclist(MMAIN, "^Q", 0, do_search_backward, 0);
+	add_to_sclist(MMAIN|MHELP|MBROWSER, "^Q", 0, do_search_backward, 0);
 	add_to_sclist(MMAIN|MHELP|MBROWSER, "^W", 0, do_search_forward, 0);
 	add_to_sclist(MMAIN|MHELP|MBROWSER, "F6", 0, do_search_forward, 0);
 	add_to_sclist(MMAIN, "^\\", 0, do_replace, 0);
@@ -1132,20 +1117,19 @@ void shortcut_init(void)
 	add_to_sclist(MMAIN, "M-G", 0, do_gotolinecolumn_void, 0);
 	add_to_sclist(MMAIN, "F13", 0, do_gotolinecolumn_void, 0);
 	add_to_sclist(MMAIN|MHELP|MBROWSER|MLINTER, "^Y", 0, do_page_up, 0);
+	add_to_sclist(MHELP|MBROWSER, "Bsp", KEY_BACKSPACE, do_page_up, 0);
 	add_to_sclist(MMAIN|MHELP|MBROWSER|MLINTER, "F7", 0, do_page_up, 0);
 	add_to_sclist(MMAIN|MHELP|MBROWSER|MLINTER, "PgUp", KEY_PPAGE, do_page_up, 0);
-	add_to_sclist(MHELP|MBROWSER, "Bsp", KEY_BACKSPACE, do_page_up, 0);
 	add_to_sclist(MMAIN|MHELP|MBROWSER|MLINTER, "^V", 0, do_page_down, 0);
+	add_to_sclist(MHELP|MBROWSER, "Space", 0x20, do_page_down, 0);
 	add_to_sclist(MMAIN|MHELP|MBROWSER|MLINTER, "F8", 0, do_page_down, 0);
 	add_to_sclist(MMAIN|MHELP|MBROWSER|MLINTER, "PgDn", KEY_NPAGE, do_page_down, 0);
 	add_to_sclist(MMAIN|MHELP, "M-\\", 0, to_first_line, 0);
 	add_to_sclist(MMAIN|MHELP, "^Home", CONTROL_HOME, to_first_line, 0);
-	add_to_sclist(MMAIN|MHELP, "M-|", 0, to_first_line, 0);
 	add_to_sclist(MMAIN|MHELP, "M-/", 0, to_last_line, 0);
 	add_to_sclist(MMAIN|MHELP, "^End", CONTROL_END, to_last_line, 0);
-	add_to_sclist(MMAIN|MHELP, "M-?", 0, to_last_line, 0);
-	add_to_sclist(MMAIN|MHELP|MBROWSER, "M-W", 0, do_research, 0);
-	add_to_sclist(MMAIN|MHELP|MBROWSER, "F16", 0, do_research, 0);
+	add_to_sclist(MMAIN|MHELP|MBROWSER, "M-W", 0, do_findnext, 0);
+	add_to_sclist(MMAIN|MHELP|MBROWSER, "M-Q", 0, do_findprevious, 0);
 #ifndef NANO_TINY
 	add_to_sclist(MMAIN, "M-]", 0, do_find_bracket, 0);
 	add_to_sclist(MMAIN, "M-A", 0, do_mark, 0);
@@ -1162,6 +1146,8 @@ void shortcut_init(void)
 	add_to_sclist(MMAIN, "M-;", 0, run_macro, 0);
 	add_to_sclist(MMAIN, "M-U", 0, do_undo, 0);
 	add_to_sclist(MMAIN, "M-E", 0, do_redo, 0);
+	add_to_sclist(MMAIN, "M-|", 0, do_cut_prev_word, 0);
+	add_to_sclist(MMAIN, "^Del", CONTROL_DELETE, do_cut_next_word, 0);
 #endif
 #ifdef ENABLE_WORDCOMPLETION
 	add_to_sclist(MMAIN, "^]", 0, complete_a_word, 0);
@@ -1250,7 +1236,6 @@ void shortcut_init(void)
 	/* Group of "Appearance" toggles. */
 	add_to_sclist(MMAIN, "M-X", 0, do_toggle_void, NO_HELP);
 	add_to_sclist(MMAIN, "M-C", 0, do_toggle_void, CONSTANT_SHOW);
-	add_to_sclist(MMAIN, "M-O", 0, do_toggle_void, MORE_SPACE);
 	add_to_sclist(MMAIN, "M-S", 0, do_toggle_void, SMOOTH_SCROLL);
 	add_to_sclist(MMAIN, "M-$", 0, do_toggle_void, SOFTWRAP);
 #ifdef ENABLE_LINENUMBERS
@@ -1268,17 +1253,12 @@ void shortcut_init(void)
 #ifdef ENABLE_WRAPPING
 	add_to_sclist(MMAIN, "M-L", 0, do_toggle_void, NO_WRAP);
 #endif
-	add_to_sclist(MMAIN, "M-Q", 0, do_toggle_void, TABS_TO_SPACES);
+	add_to_sclist(MMAIN, "M-O", 0, do_toggle_void, TABS_TO_SPACES);
 
 	/* Group of "Peripheral-feature" toggles. */
-	add_to_sclist(MMAIN, "M-B", 0, do_toggle_void, BACKUP_FILE);
-#ifdef ENABLE_MULTIBUFFER
-	add_to_sclist(MMAIN, "M-F", 0, do_toggle_void, MULTIBUFFER);
-#endif
 #ifdef ENABLE_MOUSE
 	add_to_sclist(MMAIN, "M-M", 0, do_toggle_void, USE_MOUSE);
 #endif
-	add_to_sclist(MMAIN, "M-N", 0, do_toggle_void, NO_CONVERT);
 	add_to_sclist(MMAIN, "M-Z", 0, do_toggle_void, SUSPEND);
 #endif /* !NANO_TINY */
 
@@ -1316,8 +1296,6 @@ void shortcut_init(void)
 	add_to_sclist(MBROWSER|MWHEREISFILE, "M-/", 0, to_last_file, 0);
 	add_to_sclist(MBROWSER, "Home", KEY_HOME, to_first_file, 0);
 	add_to_sclist(MBROWSER, "End", KEY_END, to_last_file, 0);
-	add_to_sclist(MBROWSER|MWHEREISFILE, "M-|", 0, to_first_file, 0);
-	add_to_sclist(MBROWSER|MWHEREISFILE, "M-?", 0, to_last_file, 0);
 	add_to_sclist(MBROWSER, "^Home", CONTROL_HOME, to_first_file, 0);
 	add_to_sclist(MBROWSER, "^End", CONTROL_END, to_last_file, 0);
 	add_to_sclist(MBROWSER, "^_", 0, goto_dir_void, 0);
@@ -1337,6 +1315,7 @@ void shortcut_init(void)
 		add_to_sclist(MWRITEFILE, "M-B", 0, backup_file_void, 0);
 		add_to_sclist(MINSERTFILE|MEXTCMD, "^X", 0, flip_execute, 0);
 	}
+	add_to_sclist(MINSERTFILE, "M-N", 0, flip_convert, 0);
 #endif
 #ifdef ENABLE_MULTIBUFFER
 	/* Only when not in restricted mode, allow multiple buffers. */
@@ -1379,21 +1358,14 @@ void replace_scs_for(void (*oldfunc)(voi
 			s->func = newfunc;
 }
 
-void set_lint_or_format_shortcuts(void)
+void set_linter_shortcut(void)
 {
-	if (openfile->syntax->formatter) {
-		replace_scs_for(do_spell, do_formatter);
-		replace_scs_for(do_linter, do_formatter);
-	} else {
-		replace_scs_for(do_spell, do_linter);
-		replace_scs_for(do_formatter, do_linter);
-	}
+	replace_scs_for(do_spell, do_linter);
 }
 
-void set_spell_shortcuts(void)
+void set_speller_shortcut(void)
 {
-		replace_scs_for(do_formatter, do_spell);
-		replace_scs_for(do_linter, do_spell);
+	replace_scs_for(do_linter, do_spell);
 }
 #endif /* ENABLE_COLOR && ENABLE_SPELLER */
 
@@ -1413,13 +1385,11 @@ const char *flagtostr(int flag)
 {
 	switch (flag) {
 		case NO_HELP:
-			/* TRANSLATORS: The next eighteen strings are toggle descriptions;
+			/* TRANSLATORS: The next fourteen strings are toggle descriptions;
 			 * they are best kept shorter than 40 characters, but may be longer. */
 			return N_("Help mode");
 		case CONSTANT_SHOW:
 			return N_("Constant cursor position display");
-		case MORE_SPACE:
-			return N_("Use of one more line for editing");
 		case SMOOTH_SCROLL:
 			return N_("Smooth scrolling");
 		case SOFTWRAP:
@@ -1438,14 +1408,8 @@ const char *flagtostr(int flag)
 			return N_("Hard wrapping of overlong lines");
 		case TABS_TO_SPACES:
 			return N_("Conversion of typed tabs to spaces");
-		case BACKUP_FILE:
-			return N_("Backup files");
-		case MULTIBUFFER:
-			return N_("Reading file into separate buffer");
 		case USE_MOUSE:
 			return N_("Mouse support");
-		case NO_CONVERT:
-			return N_("No conversion from DOS/Mac format");
 		case SUSPEND:
 			return N_("Suspension");
 		case LINE_NUMBERS:
@@ -1458,7 +1422,7 @@ const char *flagtostr(int flag)
 
 #ifdef ENABLE_NANORC
 /* Interpret a function string given in the rc file, and return a
- * shortcut struct with the corresponding function filled in. */
+ * shortcut record with the corresponding function filled in. */
 sc *strtosc(const char *input)
 {
 	sc *s = nmalloc(sizeof(sc));
@@ -1488,24 +1452,22 @@ sc *strtosc(const char *input)
 		s->func = do_search_forward;
 	else if (!strcasecmp(input, "wherewas"))
 		s->func = do_search_backward;
-	else if (!strcasecmp(input, "searchagain"))
-		s->func = do_research;
-#ifndef NANO_TINY
 	else if (!strcasecmp(input, "findprevious"))
 		s->func = do_findprevious;
 	else if (!strcasecmp(input, "findnext"))
 		s->func = do_findnext;
-#endif
 	else if (!strcasecmp(input, "replace"))
 		s->func = do_replace;
 	else if (!strcasecmp(input, "cut"))
 		s->func = do_cut_text_void;
-	else if (!strcasecmp(input, "uncut"))
+	else if (!strcasecmp(input, "paste") ||
+			 !strcasecmp(input, "uncut"))  /* Deprecated.  Remove end of 2018. */
 		s->func = do_uncut_text;
 #ifndef NANO_TINY
 	else if (!strcasecmp(input, "cutrestoffile"))
 		s->func = do_cut_till_eof;
-	else if (!strcasecmp(input, "copytext"))
+	else if (!strcasecmp(input, "copy") ||
+			 !strcasecmp(input, "copytext"))  /* Deprecated.  Remove end of 2018. */
 		s->func = do_copy_text;
 	else if (!strcasecmp(input, "mark"))
 		s->func = do_mark;
@@ -1655,6 +1617,8 @@ sc *strtosc(const char *input)
 		s->func = flip_execute;
 	else if (!strcasecmp(input, "flippipe"))
 		s->func = flip_pipe;
+	else if (!strcasecmp(input, "flipconvert"))
+		s->func = flip_convert;
 #endif
 #ifdef ENABLE_MULTIBUFFER
 	else if (!strcasecmp(input, "flipnewbuffer"))
@@ -1679,8 +1643,6 @@ sc *strtosc(const char *input)
 		else if (!strcasecmp(input, "constantshow") ||
 				 !strcasecmp(input, "constupdate"))  /* Deprecated.  Remove end of 2018. */
 			s->toggle = CONSTANT_SHOW;
-		else if (!strcasecmp(input, "morespace"))
-			s->toggle = MORE_SPACE;
 		else if (!strcasecmp(input, "smoothscroll"))
 			s->toggle = SMOOTH_SCROLL;
 		else if (!strcasecmp(input, "softwrap"))
@@ -1708,18 +1670,10 @@ sc *strtosc(const char *input)
 #endif
 		else if (!strcasecmp(input, "tabstospaces"))
 			s->toggle = TABS_TO_SPACES;
-		else if (!strcasecmp(input, "backupfile"))
-			s->toggle = BACKUP_FILE;
-#ifdef ENABLE_MULTIBUFFER
-		else if (!strcasecmp(input, "multibuffer"))
-			s->toggle = MULTIBUFFER;
-#endif
 #ifdef ENABLE_MOUSE
 		else if (!strcasecmp(input, "mouse"))
 			s->toggle = USE_MOUSE;
 #endif
-		else if (!strcasecmp(input, "noconvert"))
-			s->toggle = NO_CONVERT;
 		else if (!strcasecmp(input, "suspendenable"))
 			s->toggle = SUSPEND;
 		else
@@ -1732,157 +1686,27 @@ sc *strtosc(const char *input)
 	return s;
 }
 
-/* Interpret a menu name and return the corresponding menu flag. */
-int strtomenu(const char *input)
+/* Return the symbol that corresponds to the given menu name. */
+int name_to_menu(const char *name)
 {
-	if (!strcasecmp(input, "all"))
-		return (MMOST|MHELP|MYESNO);
-	else if (!strcasecmp(input, "main"))
-		return MMAIN;
-	else if (!strcasecmp(input, "search"))
-		return MWHEREIS;
-	else if (!strcasecmp(input, "replace"))
-		return MREPLACE;
-	else if (!strcasecmp(input, "replacewith"))
-		return MREPLACEWITH;
-	else if (!strcasecmp(input, "gotoline"))
-		return MGOTOLINE;
-	else if (!strcasecmp(input, "writeout"))
-		return MWRITEFILE;
-	else if (!strcasecmp(input, "insert"))
-		return MINSERTFILE;
-	else if (!strcasecmp(input, "externalcmd") ||
-			 !strcasecmp(input, "extcmd"))
-		return MEXTCMD;
-#ifdef ENABLE_HELP
-	else if (!strcasecmp(input, "help"))
-		return MHELP;
-#endif
-#ifdef ENABLE_SPELLER
-	else if (!strcasecmp(input, "spell"))
-		return MSPELL;
-#endif
-	else if (!strcasecmp(input, "linter"))
-		return MLINTER;
-#ifdef ENABLE_BROWSER
-	else if (!strcasecmp(input, "browser"))
-		return MBROWSER;
-	else if (!strcasecmp(input, "whereisfile"))
-		return MWHEREISFILE;
-	else if (!strcasecmp(input, "gotodir"))
-		return MGOTODIR;
-#endif
-	return -1;
-}
-#endif /* ENABLE_NANORC */
+	int index = -1;
 
+	while (++index < NUMBER_OF_MENUS)
+		if (strcasecmp(name, menunames[index]) == 0)
+			return menusymbols[index];
 
-#ifdef DEBUG
-/* This function is used to gracefully return all the memory we've used.
- * It should be called just before calling exit().  Practically, the
- * only effect is to cause a segmentation fault if the various data
- * structures got bolloxed earlier.  Thus, we don't bother having this
- * function unless debugging is turned on. */
-void thanks_for_all_the_fish(void)
-{
-	if (topwin != NULL)
-		delwin(topwin);
-	delwin(edit);
-	delwin(bottomwin);
+	return -1;
+}
 
-	free(word_chars);
-#ifdef ENABLE_JUSTIFY
-	free(quotestr);
-	regfree(&quotereg);
-	free(quoteerr);
-#endif
-#ifndef NANO_TINY
-	free(backup_dir);
-#endif
-#ifdef ENABLE_OPERATINGDIR
-	free(operating_dir);
-#endif
-	free(answer);
-	free(last_search);
-	free(present_path);
-#ifdef ENABLE_SPELLER
-	free(alt_speller);
-#endif
-	free_filestruct(cutbuffer);
-#ifdef ENABLE_MULTIBUFFER
-	/* Free the memory associated with each open file buffer. */
-	while (openfile != openfile->next) {
-		openfile = openfile->next;
-		delete_opennode(openfile->prev);
-	}
-	delete_opennode(openfile);
-#endif
-#ifdef ENABLE_COLOR
-	free(syntaxstr);
-	while (syntaxes != NULL) {
-		syntaxtype *sint = syntaxes;
-		syntaxes = syntaxes->next;
-
-		free(sint->name);
-		free(sint->linter);
-		free(sint->formatter);
-
-		while (sint->extensions != NULL) {
-			regexlisttype *item = sint->extensions;
-			sint->extensions = sint->extensions->next;
-			free(item->full_regex);
-			free(item);
-		}
-		while (sint->headers != NULL) {
-			regexlisttype *item = sint->headers;
-			sint->headers = sint->headers->next;
-			free(item->full_regex);
-			free(item);
-		}
-		while (sint->magics != NULL) {
-			regexlisttype *item = sint->magics;
-			sint->magics = sint->magics->next;
-			free(item->full_regex);
-			free(item);
-		}
+/* Return the name that corresponds to the given menu symbol. */
+char *menu_to_name(int menu)
+{
+	int index = -1;
 
-		while (sint->color != NULL) {
-			colortype *ink = sint->color;
-			sint->color = sint->color->next;
-			free(ink->start_regex);
-			if (ink->start != NULL) {
-				regfree(ink->start);
-				free(ink->start);
-			}
-			free(ink->end_regex);
-			if (ink->end != NULL) {
-				regfree(ink->end);
-				free(ink->end);
-			}
-			free(ink);
-		}
+	while (++index < NUMBER_OF_MENUS)
+		if (menusymbols[index] == menu)
+			return menunames[index];
 
-		free(sint);
-	}
-#endif /* ENABLE_COLOR */
-#ifdef ENABLE_HISTORIES
-	/* Free the search, replace, and execute history lists. */
-	free_filestruct(searchtop);
-	free_filestruct(replacetop);
-	free_filestruct(executetop);
-#endif
-	/* Free the list of functions. */
-	while (allfuncs != NULL) {
-		subnfunc *f = allfuncs;
-		allfuncs = allfuncs->next;
-		free(f);
-	}
-	/* Free the list of shortcuts. */
-	while (sclist != NULL) {
-		sc *s = sclist;
-		sclist = sclist->next;
-		free(s);
-	}
-	free(homedir);
+	return "boooo";
 }
-#endif /* DEBUG */
+#endif /* ENABLE_NANORC */
diff -pruN 2.9.8-1/src/help.c 3.0-1/src/help.c
--- 2.9.8-1/src/help.c	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/src/help.c	2018-08-29 18:25:33.000000000 +0000
@@ -161,7 +161,6 @@ void do_help(void)
 	didfind = 0;
 
 	bottombars(MHELP);
-	wnoutrefresh(bottomwin);
 
 	/* Extract the title from the head of the help text. */
 	length = break_line(help_text, MAX_BUF_SIZE, TRUE);
@@ -206,11 +205,11 @@ void do_help(void)
 		} else if (func == to_last_line) {
 			to_last_line();
 		} else if (func == do_search_forward) {
-			do_search();
+			do_search_forward();
+			bottombars(MHELP);
+		} else if (func == do_search_backward) {
+			do_search_backward();
 			bottombars(MHELP);
-		} else if (func == do_research) {
-			do_research();
-#ifndef NANO_TINY
 		} else if (func == do_findprevious) {
 			do_findprevious();
 		} else if (func == do_findnext) {
@@ -219,6 +218,7 @@ void do_help(void)
 		} else if (func == (functionptrtype)implant) {
 			implant(first_sc_for(MHELP, func)->expansion);
 #endif
+#ifndef NANO_TINY
 		} else if (kbinput == KEY_WINCH) {
 			; /* Nothing to do. */
 #endif
@@ -414,12 +414,13 @@ void help_init(void)
 		htx[0] = N_("Execute Command Help Text\n\n "
 				"This mode allows you to insert the output of a "
 				"command run by the shell into the current buffer (or "
-				"a new buffer in multiple file buffer mode).  If you "
-				"need another blank buffer, do not enter any "
-				"command.\n\n The following function keys are "
+				"into a new buffer).  If the command is preceded by '|' "
+				"(the pipe symbol), the current contents of the buffer "
+				"(or marked region) will be piped to the command.  ");
+		htx[1] = N_("If you just need another blank buffer, do not enter any "
+				"command.\n\n");
+		htx[2] = N_(" The following function keys are "
 				"available in Execute Command mode:\n\n");
-		htx[1] = NULL;
-		htx[2] = NULL;
 	}
 #endif /* !NANO_TINY */
 	else {
@@ -582,11 +583,9 @@ functionptrtype parse_help_input(int *kb
 			case '/':
 				return do_search_forward;
 			case 'N':
-#ifndef NANO_TINY
 				return do_findprevious;
-#endif
 			case 'n':
-				return do_research;
+				return do_findnext;
 			case 'E':
 			case 'e':
 			case 'Q':
diff -pruN 2.9.8-1/src/Makefile.in 3.0-1/src/Makefile.in
--- 2.9.8-1/src/Makefile.in	2018-06-02 08:22:43.000000000 +0000
+++ 3.0-1/src/Makefile.in	2018-09-09 09:47:50.000000000 +0000
@@ -108,16 +108,16 @@ am__aclocal_m4_deps = $(top_srcdir)/m4/0
 	$(top_srcdir)/m4/extern-inline.m4 $(top_srcdir)/m4/fcntl-o.m4 \
 	$(top_srcdir)/m4/fcntl_h.m4 $(top_srcdir)/m4/flexmember.m4 \
 	$(top_srcdir)/m4/float_h.m4 $(top_srcdir)/m4/fnmatch.m4 \
-	$(top_srcdir)/m4/fpieee.m4 $(top_srcdir)/m4/frexp.m4 \
-	$(top_srcdir)/m4/frexpl.m4 $(top_srcdir)/m4/fstat.m4 \
-	$(top_srcdir)/m4/futimens.m4 $(top_srcdir)/m4/getdelim.m4 \
-	$(top_srcdir)/m4/getline.m4 $(top_srcdir)/m4/getlogin.m4 \
-	$(top_srcdir)/m4/getlogin_r.m4 $(top_srcdir)/m4/getopt.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gettime.m4 \
-	$(top_srcdir)/m4/gettimeofday.m4 $(top_srcdir)/m4/glibc21.m4 \
-	$(top_srcdir)/m4/glob.m4 $(top_srcdir)/m4/gnulib-common.m4 \
+	$(top_srcdir)/m4/fnmatch_h.m4 $(top_srcdir)/m4/fpieee.m4 \
+	$(top_srcdir)/m4/frexp.m4 $(top_srcdir)/m4/frexpl.m4 \
+	$(top_srcdir)/m4/fstat.m4 $(top_srcdir)/m4/futimens.m4 \
+	$(top_srcdir)/m4/getdelim.m4 $(top_srcdir)/m4/getline.m4 \
+	$(top_srcdir)/m4/getlogin.m4 $(top_srcdir)/m4/getlogin_r.m4 \
+	$(top_srcdir)/m4/getopt.m4 $(top_srcdir)/m4/gettext.m4 \
+	$(top_srcdir)/m4/gettime.m4 $(top_srcdir)/m4/gettimeofday.m4 \
+	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/glob.m4 \
+	$(top_srcdir)/m4/glob_h.m4 $(top_srcdir)/m4/gnulib-common.m4 \
 	$(top_srcdir)/m4/gnulib-comp.m4 \
-	$(top_srcdir)/m4/hard-locale.m4 \
 	$(top_srcdir)/m4/host-cpu-c-abi.m4 $(top_srcdir)/m4/iconv.m4 \
 	$(top_srcdir)/m4/include_next.m4 \
 	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/intmax_t.m4 \
@@ -295,6 +295,7 @@ GETOPT_CDEFS_H = @GETOPT_CDEFS_H@
 GETOPT_H = @GETOPT_H@
 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
 GLIBC21 = @GLIBC21@
+GLOB_H = @GLOB_H@
 GMSGFMT = @GMSGFMT@
 GMSGFMT_015 = @GMSGFMT_015@
 GNULIB_ACOSF = @GNULIB_ACOSF@
@@ -369,6 +370,7 @@ GNULIB_FMAL = @GNULIB_FMAL@
 GNULIB_FMOD = @GNULIB_FMOD@
 GNULIB_FMODF = @GNULIB_FMODF@
 GNULIB_FMODL = @GNULIB_FMODL@
+GNULIB_FNMATCH = @GNULIB_FNMATCH@
 GNULIB_FOPEN = @GNULIB_FOPEN@
 GNULIB_FPRINTF = @GNULIB_FPRINTF@
 GNULIB_FPRINTF_POSIX = @GNULIB_FPRINTF_POSIX@
@@ -404,9 +406,11 @@ GNULIB_GETLOADAVG = @GNULIB_GETLOADAVG@
 GNULIB_GETLOGIN = @GNULIB_GETLOGIN@
 GNULIB_GETLOGIN_R = @GNULIB_GETLOGIN_R@
 GNULIB_GETPAGESIZE = @GNULIB_GETPAGESIZE@
+GNULIB_GETPASS = @GNULIB_GETPASS@
 GNULIB_GETSUBOPT = @GNULIB_GETSUBOPT@
 GNULIB_GETTIMEOFDAY = @GNULIB_GETTIMEOFDAY@
 GNULIB_GETUSERSHELL = @GNULIB_GETUSERSHELL@
+GNULIB_GLOB = @GNULIB_GLOB@
 GNULIB_GL_UNISTD_H_GETOPT = @GNULIB_GL_UNISTD_H_GETOPT@
 GNULIB_GRANTPT = @GNULIB_GRANTPT@
 GNULIB_GROUP_MEMBER = @GNULIB_GROUP_MEMBER@
@@ -790,6 +794,8 @@ HAVE_FMAF = @HAVE_FMAF@
 HAVE_FMAL = @HAVE_FMAL@
 HAVE_FMODF = @HAVE_FMODF@
 HAVE_FMODL = @HAVE_FMODL@
+HAVE_FNMATCH = @HAVE_FNMATCH@
+HAVE_FNMATCH_H = @HAVE_FNMATCH_H@
 HAVE_FREXPF = @HAVE_FREXPF@
 HAVE_FSEEKO = @HAVE_FSEEKO@
 HAVE_FSTATAT = @HAVE_FSTATAT@
@@ -803,8 +809,12 @@ HAVE_GETHOSTNAME = @HAVE_GETHOSTNAME@
 HAVE_GETLOGIN = @HAVE_GETLOGIN@
 HAVE_GETOPT_H = @HAVE_GETOPT_H@
 HAVE_GETPAGESIZE = @HAVE_GETPAGESIZE@
+HAVE_GETPASS = @HAVE_GETPASS@
 HAVE_GETSUBOPT = @HAVE_GETSUBOPT@
 HAVE_GETTIMEOFDAY = @HAVE_GETTIMEOFDAY@
+HAVE_GLOB = @HAVE_GLOB@
+HAVE_GLOB_H = @HAVE_GLOB_H@
+HAVE_GLOB_PATTERN_P = @HAVE_GLOB_PATTERN_P@
 HAVE_GRANTPT = @HAVE_GRANTPT@
 HAVE_GROUP_MEMBER = @HAVE_GROUP_MEMBER@
 HAVE_HYPOTF = @HAVE_HYPOTF@
@@ -1055,6 +1065,7 @@ NEXT_AS_FIRST_DIRECTIVE_DIRENT_H = @NEXT
 NEXT_AS_FIRST_DIRECTIVE_ERRNO_H = @NEXT_AS_FIRST_DIRECTIVE_ERRNO_H@
 NEXT_AS_FIRST_DIRECTIVE_FCNTL_H = @NEXT_AS_FIRST_DIRECTIVE_FCNTL_H@
 NEXT_AS_FIRST_DIRECTIVE_FLOAT_H = @NEXT_AS_FIRST_DIRECTIVE_FLOAT_H@
+NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H = @NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H@
 NEXT_AS_FIRST_DIRECTIVE_GETOPT_H = @NEXT_AS_FIRST_DIRECTIVE_GETOPT_H@
 NEXT_AS_FIRST_DIRECTIVE_GLOB_H = @NEXT_AS_FIRST_DIRECTIVE_GLOB_H@
 NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H = @NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H@
@@ -1083,6 +1094,7 @@ NEXT_DIRENT_H = @NEXT_DIRENT_H@
 NEXT_ERRNO_H = @NEXT_ERRNO_H@
 NEXT_FCNTL_H = @NEXT_FCNTL_H@
 NEXT_FLOAT_H = @NEXT_FLOAT_H@
+NEXT_FNMATCH_H = @NEXT_FNMATCH_H@
 NEXT_GETOPT_H = @NEXT_GETOPT_H@
 NEXT_GLOB_H = @NEXT_GLOB_H@
 NEXT_LANGINFO_H = @NEXT_LANGINFO_H@
@@ -1170,6 +1182,7 @@ REPLACE_FMAL = @REPLACE_FMAL@
 REPLACE_FMOD = @REPLACE_FMOD@
 REPLACE_FMODF = @REPLACE_FMODF@
 REPLACE_FMODL = @REPLACE_FMODL@
+REPLACE_FNMATCH = @REPLACE_FNMATCH@
 REPLACE_FOPEN = @REPLACE_FOPEN@
 REPLACE_FPRINTF = @REPLACE_FPRINTF@
 REPLACE_FPURGE = @REPLACE_FPURGE@
@@ -1193,8 +1206,10 @@ REPLACE_GETGROUPS = @REPLACE_GETGROUPS@
 REPLACE_GETLINE = @REPLACE_GETLINE@
 REPLACE_GETLOGIN_R = @REPLACE_GETLOGIN_R@
 REPLACE_GETPAGESIZE = @REPLACE_GETPAGESIZE@
+REPLACE_GETPASS = @REPLACE_GETPASS@
 REPLACE_GETTIMEOFDAY = @REPLACE_GETTIMEOFDAY@
 REPLACE_GLOB = @REPLACE_GLOB@
+REPLACE_GLOB_PATTERN_P = @REPLACE_GLOB_PATTERN_P@
 REPLACE_GMTIME = @REPLACE_GMTIME@
 REPLACE_HUGE_VAL = @REPLACE_HUGE_VAL@
 REPLACE_HYPOT = @REPLACE_HYPOT@
diff -pruN 2.9.8-1/src/nano.c 3.0-1/src/nano.c
--- 2.9.8-1/src/nano.c	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/src/nano.c	2018-09-09 09:39:27.000000000 +0000
@@ -465,11 +465,18 @@ void ingraft_buffer(filestruct *somebuff
 	}
 #endif
 
+#ifdef DEBUG
+#include <time.h>
+	clock_t start = clock();
+#endif
 	/* Add the number of characters in the copied text to the file size. */
 	openfile->totsize += get_totsize(openfile->fileage, openfile->filebot);
+#ifdef DEBUG
+	statusline(ALERT, "Took: %.2f", (double)(clock() - start) / CLOCKS_PER_SEC);
+#endif
 
 	/* If we pasted onto the first line of the edit window, the corresponding
-	 * struct has been freed, so... point at the start of the copied text. */
+	 * record has been freed, so... point at the start of the copied text. */
 	if (edittop_inside)
 		openfile->edittop = openfile->fileage;
 
@@ -559,6 +566,13 @@ void finish(void)
 	blank_bottombars();
 	wrefresh(bottomwin);
 
+#ifndef NANO_TINY
+	/* Deallocate the two or three subwindows. */
+	if (topwin != NULL)
+		delwin(topwin);
+	delwin(edit);
+	delwin(bottomwin);
+#endif
 	/* Switch on the cursor and exit from curses mode. */
 	curs_set(1);
 	endwin();
@@ -575,10 +589,6 @@ void finish(void)
 	}
 #endif
 
-#ifdef DEBUG
-	thanks_for_all_the_fish();
-#endif
-
 	/* Get out. */
 	exit(0);
 }
@@ -711,7 +721,6 @@ void window_init(void)
 
 #ifdef ENABLED_WRAPORJUSTIFY
 	/* Set up the wrapping point, accounting for screen width when negative. */
-	fill = wrap_at;
 	if (fill <= 0)
 		fill += COLS;
 	if (fill < 0)
@@ -1061,10 +1070,6 @@ void do_exit(void)
 						"(Answering \"No\" will DISCARD changes.) "));
 	}
 
-#ifdef DEBUG
-	dump_filestruct(openfile->fileage);
-#endif
-
 	/* If the user chose not to save, or if the user chose to save and
 	 * the save succeeded, we're ready to exit. */
 	if (i == 0 || (i == 1 && do_writeout(TRUE, TRUE) > 0))
@@ -1386,7 +1391,6 @@ void do_toggle(int flag)
 			mouse_init();
 			break;
 #endif
-		case MORE_SPACE:
 		case NO_HELP:
 			window_init();
 			focusing = FALSE;
@@ -1577,7 +1581,7 @@ void unbound_key(int code)
 			statusline(ALERT, _("Unbound key: M-%c"), toupper(code));
 	} else if (code < 0x20)
 		statusline(ALERT, _("Unbound key: ^%c"), code + 0x40);
-	else if (currmenu != MHELP)
+	else
 		statusline(ALERT, _("Unbound key: %c"), code);
 }
 
@@ -1759,7 +1763,6 @@ int do_input(bool allow_funcs)
 		if (shortcut->func == do_cut_text_void
 #ifndef NANO_TINY
 				|| shortcut->func == do_copy_text
-				|| shortcut->func == do_cut_till_eof
 #endif
 				)
 			retain_cuts = TRUE;
@@ -2244,7 +2247,7 @@ int main(int argc, char **argv)
 #endif
 #ifdef ENABLED_WRAPORJUSTIFY
 			case 'r':
-				if (!parse_num(optarg, &wrap_at)) {
+				if (!parse_num(optarg, &fill)) {
 					fprintf(stderr, _("Requested fill size \"%s\" is invalid"), optarg);
 					fprintf(stderr, "\n");
 					exit(1);
@@ -2332,7 +2335,7 @@ int main(int argc, char **argv)
 		char *operating_dir_cpy = operating_dir;
 #endif
 #ifdef ENABLED_WRAPORJUSTIFY
-		ssize_t wrap_at_cpy = wrap_at;
+		ssize_t fill_cpy = fill;
 #endif
 #ifndef NANO_TINY
 		char *backup_dir_cpy = backup_dir;
@@ -2380,7 +2383,7 @@ int main(int argc, char **argv)
 #endif
 #ifdef ENABLED_WRAPORJUSTIFY
 		if (fill_used)
-			wrap_at = wrap_at_cpy;
+			fill = fill_cpy;
 #endif
 #ifndef NANO_TINY
 		if (backup_dir_cpy != NULL) {
@@ -2576,6 +2579,8 @@ int main(int argc, char **argv)
 	/* Ask for the codes for Control+Home/End. */
 	controlhome = get_keycode("kHOM5", CONTROL_HOME);
 	controlend = get_keycode("kEND5", CONTROL_END);
+	controldelete = get_keycode("kDC5", CONTROL_DELETE);
+	controlshiftdelete = get_keycode("kDC6", KEY_BACKSPACE);
 #ifndef NANO_TINY
 	/* Ask for the codes for Shift+Control+Left/Right/Up/Down. */
 	shiftcontrolleft = get_keycode("kLFT6", SHIFT_CONTROL_LEFT);
@@ -2646,8 +2651,11 @@ int main(int argc, char **argv)
 		UNSET(VIEW_MODE);
 	}
 #ifdef ENABLE_MULTIBUFFER
-	else
+	else {
 		openfile = openfile->next;
+		if (more_than_one)
+			mention_name_and_linecount();
+	}
 #endif
 
 #ifdef DEBUG
@@ -2656,8 +2664,10 @@ int main(int argc, char **argv)
 
 	prepare_for_display();
 
+#ifdef ENABLE_NANORC
 	if (rcfile_with_errors != NULL)
 		statusline(ALERT, _("Mistakes in '%s'"), rcfile_with_errors);
+#endif
 
 #ifdef ENABLE_HELP
 	if (*openfile->filename == '\0' && openfile->totsize == 0 &&
@@ -2690,8 +2700,8 @@ int main(int argc, char **argv)
 		errno = 0;
 		focusing = TRUE;
 
-		/* Forget any earlier statusbar x position. */
-		reinit_statusbar_x();
+		/* Forget any earlier cursor position at the prompt. */
+		put_cursor_at_end_of_answer();
 
 		/* Read in and interpret keystrokes. */
 		do_input(TRUE);
diff -pruN 2.9.8-1/src/nano.h 3.0-1/src/nano.h
--- 2.9.8-1/src/nano.h	2018-05-27 17:04:47.000000000 +0000
+++ 3.0-1/src/nano.h	2018-08-29 17:37:02.000000000 +0000
@@ -188,8 +188,6 @@ typedef struct colortype {
 		/* This syntax's foreground color. */
 	short bg;
 		/* This syntax's background color. */
-	bool bright;
-		/* Is this color A_BOLD? */
 	int pairnum;
 		/* The color pair number used for this foreground color and
 		 * background color. */
@@ -229,8 +227,6 @@ typedef struct syntaxtype {
 		/* The list of libmagic results that this syntax applies to. */
 	char *linter;
 		/* The command with which to lint this type of file. */
-	char *formatter;
-		/* The formatting command (for programming languages mainly). */
 #ifdef ENABLE_COMMENT
 	char *comment;
 		/* The line comment prefix (and postfix) for this type of file. */
@@ -585,6 +581,7 @@ enum
 #define CONTROL_DOWN 0x404
 #define CONTROL_HOME 0x405
 #define CONTROL_END 0x406
+#define CONTROL_DELETE 0x407
 #define SHIFT_CONTROL_LEFT 0x411
 #define SHIFT_CONTROL_RIGHT 0x412
 #define SHIFT_CONTROL_UP 0x413
@@ -622,7 +619,6 @@ enum
 #define WAS_FINAL_BACKSPACE   (1<<1)
 #define WAS_WHOLE_LINE        (1<<2)
 #define WAS_FINAL_LINE        (1<<3)
-/* The flags for the mark need to be the highest. */
 #define MARK_WAS_SET          (1<<4)
 #define WAS_MARKED_FORWARD    (1<<5)
 #endif /* !NANO_TINY */
@@ -630,9 +626,8 @@ enum
 /* The maximum number of entries displayed in the main shortcut list. */
 #define MAIN_VISIBLE (((COLS + 40) / 20) * 2)
 
-/* The default number of characters from the end of the line where
- * wrapping occurs. */
-#define CHARS_FROM_EOL 8
+/* The default number of columns from end of line where wrapping occurs. */
+#define COLUMNS_FROM_EOL 8
 
 /* The default width of a tab in spaces. */
 #define WIDTH_OF_TAB 8
diff -pruN 2.9.8-1/src/prompt.c 3.0-1/src/prompt.c
--- 2.9.8-1/src/prompt.c	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/src/prompt.c	2018-08-29 17:37:02.000000000 +0000
@@ -25,6 +25,8 @@
 
 static char *prompt = NULL;
 		/* The prompt string used for statusbar questions. */
+static size_t typing_x = HIGHEST_POSITIVE;
+		/* The cursor position in answer. */
 
 #ifdef ENABLE_MOUSE
 /* Handle a mouse click on the statusbar prompt or the shortcut list. */
@@ -38,12 +40,10 @@ int do_statusbar_mouse(void)
 		size_t start_col = strlenpt(prompt) + 2;
 
 		/* Move to where the click occurred. */
-		if (click_row == 0 && click_col >= start_col) {
-			statusbar_x = actual_x(answer,
+		if (click_row == 0 && click_col >= start_col)
+			typing_x = actual_x(answer,
 							get_statusbar_page_start(start_col, start_col +
-							statusbar_xplustabs()) + click_col - start_col);
-			update_the_statusbar();
-		}
+							strnlenpt(answer, typing_x)) + click_col - start_col);
 	}
 
 	return retval;
@@ -208,69 +208,59 @@ void do_statusbar_output(int *the_input,
 
 		/* Insert the typed character into the existing answer string. */
 		answer = charealloc(answer, strlen(answer) + char_len + 1);
-		charmove(answer + statusbar_x + char_len, answer + statusbar_x,
-								strlen(answer) - statusbar_x + 1);
-		strncpy(answer + statusbar_x, onechar, char_len);
+		charmove(answer + typing_x + char_len, answer + typing_x,
+								strlen(answer) - typing_x + 1);
+		strncpy(answer + typing_x, onechar, char_len);
 
-		statusbar_x += char_len;
+		typing_x += char_len;
 	}
 
 	free(output);
-
-	update_the_statusbar();
 }
 
 /* Move to the beginning of the answer. */
 void do_statusbar_home(void)
 {
-	statusbar_x = 0;
-	update_the_statusbar();
+	typing_x = 0;
 }
 
 /* Move to the end of the answer. */
 void do_statusbar_end(void)
 {
-	statusbar_x = strlen(answer);
-	update_the_statusbar();
+	typing_x = strlen(answer);
 }
 
 /* Move left one character. */
 void do_statusbar_left(void)
 {
-	if (statusbar_x > 0) {
-		statusbar_x = move_mbleft(answer, statusbar_x);
-		update_the_statusbar();
-	}
+	if (typing_x > 0)
+		typing_x = move_mbleft(answer, typing_x);
 }
 
 /* Move right one character. */
 void do_statusbar_right(void)
 {
-	if (answer[statusbar_x] != '\0') {
-		statusbar_x = move_mbright(answer, statusbar_x);
-		update_the_statusbar();
-	}
-}
-
-/* Backspace over one character. */
-void do_statusbar_backspace(void)
-{
-	if (statusbar_x > 0) {
-		statusbar_x = move_mbleft(answer, statusbar_x);
-		do_statusbar_delete();
-	}
+	if (answer[typing_x] != '\0')
+		typing_x = move_mbright(answer, typing_x);
 }
 
 /* Delete one character. */
 void do_statusbar_delete(void)
 {
-	if (answer[statusbar_x] != '\0') {
-		int char_len = parse_mbchar(answer + statusbar_x, NULL, NULL);
+	if (answer[typing_x] != '\0') {
+		int char_len = parse_mbchar(answer + typing_x, NULL, NULL);
 
-		charmove(answer + statusbar_x, answer + statusbar_x + char_len,
-						strlen(answer) - statusbar_x - char_len + 1);
+		charmove(answer + typing_x, answer + typing_x + char_len,
+						strlen(answer) - typing_x - char_len + 1);
+	}
+}
 
-		update_the_statusbar();
+/* Backspace over one character. */
+void do_statusbar_backspace(void)
+{
+	if (typing_x > 0) {
+		typing_x = move_mbleft(answer, typing_x);
+		do_statusbar_delete();
 	}
 }
 
@@ -278,43 +268,39 @@ void do_statusbar_delete(void)
 void do_statusbar_cut_text(void)
 {
 	if (!ISSET(CUT_FROM_CURSOR))
-		statusbar_x = 0;
-
-	answer[statusbar_x] = '\0';
+		typing_x = 0;
 
-	update_the_statusbar();
+	answer[typing_x] = '\0';
 }
 
 #ifndef NANO_TINY
 /* Move to the next word in the answer. */
 void do_statusbar_next_word(void)
 {
-	bool seen_space = !is_word_mbchar(answer + statusbar_x, FALSE);
+	bool seen_space = !is_word_mbchar(answer + typing_x, FALSE);
 	bool seen_word = !seen_space;
 
 	/* Move forward until we reach either the end or the start of a word,
 	 * depending on whether the AFTER_ENDS flag is set or not. */
-	while (answer[statusbar_x] != '\0') {
-		statusbar_x = move_mbright(answer, statusbar_x);
+	while (answer[typing_x] != '\0') {
+		typing_x = move_mbright(answer, typing_x);
 
 		if (ISSET(AFTER_ENDS)) {
 			/* If this is a word character, continue; else it's a separator,
 			 * and if we've already seen a word, then it's a word end. */
-			if (is_word_mbchar(answer + statusbar_x, FALSE))
+			if (is_word_mbchar(answer + typing_x, FALSE))
 				seen_word = TRUE;
 			else if (seen_word)
 				break;
 		} else {
 			/* If this is not a word character, then it's a separator; else
 			 * if we've already seen a separator, then it's a word start. */
-			if (!is_word_mbchar(answer + statusbar_x, FALSE))
+			if (!is_word_mbchar(answer + typing_x, FALSE))
 				seen_space = TRUE;
 			else if (seen_space)
 				break;
 		}
 	}
-
-	update_the_statusbar();
 }
 
 /* Move to the previous word in the answer. */
@@ -323,10 +309,10 @@ void do_statusbar_prev_word(void)
 	bool seen_a_word = FALSE, step_forward = FALSE;
 
 	/* Move backward until we pass over the start of a word. */
-	while (statusbar_x != 0) {
-		statusbar_x = move_mbleft(answer, statusbar_x);
+	while (typing_x != 0) {
+		typing_x = move_mbleft(answer, typing_x);
 
-		if (is_word_mbchar(answer + statusbar_x, FALSE))
+		if (is_word_mbchar(answer + typing_x, FALSE))
 			seen_a_word = TRUE;
 		else if (seen_a_word) {
 			/* This is space now: we've overshot the start of the word. */
@@ -337,9 +323,7 @@ void do_statusbar_prev_word(void)
 
 	if (step_forward)
 		/* Move one character forward again to sit on the start of the word. */
-		statusbar_x = move_mbright(answer, statusbar_x);
-
-	update_the_statusbar();
+		typing_x = move_mbright(answer, typing_x);
 }
 #endif /* !NANO_TINY */
 
@@ -356,12 +340,6 @@ void do_statusbar_verbatim_input(void)
 	free(kbinput);
 }
 
-/* Return the zero-based column position of the cursor in the answer. */
-size_t statusbar_xplustabs(void)
-{
-	return strnlenpt(answer, statusbar_x);
-}
-
 /* Paste the first line of the cutbuffer into the current answer. */
 void do_statusbar_uncut_text(void)
 {
@@ -370,13 +348,13 @@ void do_statusbar_uncut_text(void)
 
 	/* Concatenate: the current answer before the cursor, the first line
 	 * of the cutbuffer, plus the rest of the current answer. */
-	strncpy(fusion, answer, statusbar_x);
-	strncpy(fusion + statusbar_x, cutbuffer->data, pastelen);
-	strcpy(fusion + statusbar_x + pastelen, answer + statusbar_x);
+	strncpy(fusion, answer, typing_x);
+	strncpy(fusion + typing_x, cutbuffer->data, pastelen);
+	strcpy(fusion + typing_x + pastelen, answer + typing_x);
 
 	free(answer);
 	answer = fusion;
-	statusbar_x += pastelen;
+	typing_x += pastelen;
 }
 
 /* Return the column number of the first character of the answer that is
@@ -394,19 +372,19 @@ size_t get_statusbar_page_start(size_t b
 }
 
 /* Reinitialize the cursor position in the answer. */
-void reinit_statusbar_x(void)
+void put_cursor_at_end_of_answer(void)
 {
-	statusbar_x = HIGHEST_POSITIVE;
+	typing_x = HIGHEST_POSITIVE;
 }
 
 /* Redraw the promptbar and place the cursor at the right spot. */
-void update_the_statusbar(void)
+void draw_the_promptbar(void)
 {
 	size_t base = strlenpt(prompt) + 2;
 	size_t the_page, end_page, column;
 	char *expanded;
 
-	the_page = get_statusbar_page_start(base, base + strnlenpt(answer, statusbar_x));
+	the_page = get_statusbar_page_start(base, base + strnlenpt(answer, typing_x));
 	end_page = get_statusbar_page_start(base, base + strlenpt(answer) - 1);
 
 	/* Color the promptbar over its full width. */
@@ -429,12 +407,29 @@ void update_the_statusbar(void)
 	wmove(bottomwin, 0, 0);
 	wrefresh(bottomwin);
 
-	/* Place the cursor at statusbar_x in the answer. */
-	column = base + statusbar_xplustabs();
+	/* Place the cursor at the right spot. */
+	column = base + strnlenpt(answer, typing_x);
 	wmove(bottomwin, 0, column - get_statusbar_page_start(base, column));
 	wnoutrefresh(bottomwin);
 }
 
+#ifndef NANO_TINY
+/* Remove or add the pipe character at the answer's head. */
+void add_or_remove_pipe_symbol_from_answer(void)
+{
+	if (answer[0] == '|') {
+		charmove(answer, answer + 1, strlen(answer) + 1);
+		if (typing_x > 0)
+			typing_x--;
+	} else {
+		answer = charealloc(answer, strlen(answer) + 2);
+		charmove(answer + 1, answer, strlen(answer) + 1);
+		answer[0] = '|';
+		typing_x++;
+	}
+}
+#endif
+
 /* Get a string of input at the statusbar prompt. */
 functionptrtype acquire_an_answer(int *actual, bool allow_tabs,
 		bool allow_files, bool *listed, filestruct **history_list,
@@ -462,12 +457,12 @@ functionptrtype acquire_an_answer(int *a
 #endif
 #endif /* ENABLE_HISTORIES */
 
-	if (statusbar_x > strlen(answer))
-		statusbar_x = strlen(answer);
-
-	update_the_statusbar();
+	if (typing_x > strlen(answer))
+		typing_x = strlen(answer);
 
 	while (TRUE) {
+		draw_the_promptbar();
+
 		kbinput = do_statusbar_input(&finished);
 
 #ifndef NANO_TINY
@@ -500,12 +495,12 @@ functionptrtype acquire_an_answer(int *a
 				if (complete_len > 0) {
 					answer = get_history_completion(history_list,
 										answer, complete_len);
-					statusbar_x = strlen(answer);
+					typing_x = strlen(answer);
 				}
 			} else
 #endif
 			if (allow_tabs)
-				answer = input_tab(answer, allow_files, &statusbar_x,
+				answer = input_tab(answer, allow_files, &typing_x,
 										&tabbed, refresh_func, listed);
 		} else
 #endif /* ENABLE_TABCOMP */
@@ -521,7 +516,7 @@ functionptrtype acquire_an_answer(int *a
 				 * answer.  If there is no older search, don't do anything. */
 				if ((history = get_history_older(history_list)) != NULL) {
 					answer = mallocstrcpy(answer, history);
-					statusbar_x = strlen(answer);
+					typing_x = strlen(answer);
 				}
 
 				/* This key has a shortcut-list entry when it's used to
@@ -536,7 +531,7 @@ functionptrtype acquire_an_answer(int *a
 				 * answer.  If there is no newer search, don't do anything. */
 				if ((history = get_history_newer(history_list)) != NULL) {
 					answer = mallocstrcpy(answer, history);
-					statusbar_x = strlen(answer);
+					typing_x = strlen(answer);
 				}
 
 				/* If, after scrolling down, we're at the bottom of the
@@ -545,7 +540,7 @@ functionptrtype acquire_an_answer(int *a
 				if ((*history_list)->next == NULL &&
 						*answer == '\0' && magichistory != NULL) {
 					answer = mallocstrcpy(answer, magichistory);
-					statusbar_x = strlen(answer);
+					typing_x = strlen(answer);
 				}
 
 				/* This key has a shortcut-list entry when it's used to
@@ -570,8 +565,6 @@ functionptrtype acquire_an_answer(int *a
 		if (finished)
 			break;
 
-		update_the_statusbar();
-
 #if defined(ENABLE_HISTORIES) && defined(ENABLE_TABCOMP)
 		last_kbinput = kbinput;
 #endif
@@ -610,7 +603,7 @@ int do_prompt(bool allow_tabs, bool allo
 	functionptrtype func = NULL;
 	bool listed = FALSE;
 	/* Save a possible current statusbar x position and prompt. */
-	size_t was_statusbar_x = statusbar_x;
+	size_t was_typing_x = typing_x;
 	char *saved_prompt = prompt;
 
 	bottombars(menu);
@@ -641,7 +634,7 @@ int do_prompt(bool allow_tabs, bool allo
 	/* If we're done with this prompt, restore the x position to what
 	 * it was at a possible previous prompt. */
 	if (func == do_cancel || func == do_enter)
-		statusbar_x = was_statusbar_x;
+		typing_x = was_typing_x;
 
 	/* If we left the prompt via Cancel or Enter, set the return value
 	 * properly. */
@@ -685,6 +678,8 @@ int do_yesno_prompt(bool all, const char
 		if (!ISSET(NO_HELP)) {
 			char shortstr[MAXCHARLEN + 2];
 				/* Temporary string for (translated) " Y", " N" and " A". */
+			const sc *cancelshortcut = first_sc_for(MYESNO, do_cancel);
+				/* The keystroke that is bound to the Cancel function. */
 
 			if (COLS < 32)
 				width = COLS / 2;
@@ -708,7 +703,7 @@ int do_yesno_prompt(bool all, const char
 			}
 
 			wmove(bottomwin, 2, width);
-			post_one_key("^C", _("Cancel"), width);
+			post_one_key(cancelshortcut->keystr, _("Cancel"), width);
 		}
 
 		/* Color the statusbar over its full width and display the question. */
@@ -758,7 +753,7 @@ int do_yesno_prompt(bool all, const char
 		else if (kbinput == KEY_MOUSE) {
 			int mouse_x, mouse_y;
 			/* We can click on the Yes/No/All shortcuts to select an answer. */
-			if (get_mouseinput(&mouse_x, &mouse_y, FALSE) == 0 &&
+			if (get_mouseinput(&mouse_y, &mouse_x, FALSE) == 0 &&
 						wmouse_trafo(bottomwin, &mouse_y, &mouse_x, FALSE) &&
 						mouse_x < (width * 2) && mouse_y > 0) {
 				int x = mouse_x / width;
diff -pruN 2.9.8-1/src/proto.h 3.0-1/src/proto.h
--- 2.9.8-1/src/proto.h	2018-05-27 17:04:47.000000000 +0000
+++ 3.0-1/src/proto.h	2018-09-09 09:39:27.000000000 +0000
@@ -61,6 +61,8 @@ extern int controlup;
 extern int controldown;
 extern int controlhome;
 extern int controlend;
+extern int controldelete;
+extern int controlshiftdelete;
 #ifndef NANO_TINY
 extern int shiftcontrolleft;
 extern int shiftcontrolright;
@@ -80,7 +82,6 @@ extern int shiftaltdown;
 
 #ifdef ENABLED_WRAPORJUSTIFY
 extern ssize_t fill;
-extern ssize_t wrap_at;
 #endif
 
 extern char *last_search;
@@ -124,7 +125,6 @@ extern char *quoteerr;
 extern char *word_chars;
 
 extern char *answer;
-extern size_t statusbar_x;
 
 extern ssize_t tabsize;
 
@@ -179,7 +179,9 @@ extern int interface_color_pair[NUMBER_O
 
 extern char *homedir;
 extern char *statedir;
+#ifdef ENABLE_NANORC
 extern char *rcfile_with_errors;
+#endif
 
 typedef void (*functionptrtype)(void);
 
@@ -190,7 +192,7 @@ void read_the_list(const char *path, DIR
 functionptrtype parse_browser_input(int *kbinput);
 void browser_refresh(void);
 void browser_select_dirname(const char *needle);
-void do_filesearch(void);
+void do_filesearch(bool forwards);
 void do_fileresearch(bool forwards);
 void to_first_file(void);
 void to_last_file(void);
@@ -222,7 +224,6 @@ char *mbstrcasestr(const char *haystack,
 char *revstrstr(const char *haystack, const char *needle, const char *index);
 char *mbrevstrcasestr(const char *haystack, const char *needle, const char *index);
 size_t mbstrlen(const char *s);
-size_t mbstrnlen(const char *s, size_t maxlen);
 #if !defined(NANO_TINY) || defined(ENABLE_JUSTIFY)
 char *mbstrchr(const char *s, const char *c);
 #endif
@@ -237,9 +238,6 @@ bool has_blank_mbchars(const char *s);
 #ifdef ENABLE_UTF8
 bool is_valid_unicode(wchar_t wc);
 #endif
-#ifdef ENABLE_NANORC
-bool is_valid_mbstring(const char *s);
-#endif
 
 /* Most functions in color.c. */
 #ifdef ENABLE_COLOR
@@ -257,7 +255,7 @@ bool keeping_cutbuffer(void);
 #ifndef NANO_TINY
 void cut_marked(bool *right_side_up);
 #endif
-void do_cut_text(bool copy_text, bool cut_till_eof);
+void do_cut_text(bool copy_text, bool marked, bool cut_till_eof);
 void do_cut_text_void(void);
 #ifndef NANO_TINY
 void do_copy_text(void);
@@ -272,12 +270,12 @@ bool open_buffer(const char *filename, b
 #ifdef ENABLE_SPELLER
 void replace_buffer(const char *filename);
 #ifndef NANO_TINY
-void replace_marked_buffer(const char *filename, filestruct *top, size_t top_x,
-		filestruct *bot, size_t bot_x);
+void replace_marked_buffer(const char *filename);
 #endif
 #endif
 void prepare_for_display(void);
 #ifdef ENABLE_MULTIBUFFER
+void mention_name_and_linecount(void);
 void switch_to_prev_buffer(void);
 void switch_to_next_buffer(void);
 bool close_buffer(void);
@@ -326,15 +324,15 @@ void assign_keyinfo(sc *s, const char *k
 void print_sclist(void);
 void shortcut_init(void);
 #ifdef ENABLE_COLOR
-void set_lint_or_format_shortcuts(void);
-void set_spell_shortcuts(void);
+void set_linter_shortcut(void);
+void set_speller_shortcut(void);
 #endif
 const subnfunc *sctofunc(const sc *s);
 const char *flagtostr(int flag);
+#ifdef ENABLE_NANORC
 sc *strtosc(const char *input);
-int strtomenu(const char *input);
-#ifdef DEBUG
-void thanks_for_all_the_fish(void);
+int name_to_menu(const char *name);
+char *menu_to_name(int menu);
 #endif
 
 /* All functions in help.c. */
@@ -465,10 +463,9 @@ void do_statusbar_prev_word(void);
 void do_statusbar_next_word(void);
 #endif
 void do_statusbar_verbatim_input(void);
-size_t statusbar_xplustabs(void);
 size_t get_statusbar_page_start(size_t start_col, size_t column);
-void reinit_statusbar_x(void);
-void update_the_statusbar(void);
+void put_cursor_at_end_of_answer(void);
+void add_or_remove_pipe_symbol_from_answer(void);
 int do_prompt(bool allow_tabs, bool allow_files,
 		int menu, const char *curranswer, filestruct **history_list,
 		void (*refresh_func)(void), const char *msg, ...);
@@ -490,11 +487,8 @@ int findnextstr(const char *needle, bool
 void do_search(void);
 void do_search_forward(void);
 void do_search_backward(void);
-void do_research(void);
-#ifndef NANO_TINY
 void do_findprevious(void);
 void do_findnext(void);
-#endif
 void not_found_msg(const char *str);
 void go_looking(void);
 ssize_t do_replace_loop(const char *needle, bool whole_word_only,
@@ -562,7 +556,6 @@ void do_spell(void);
 #endif
 #ifdef ENABLE_COLOR
 void do_linter(void);
-void do_formatter(void);
 #endif
 #ifndef NANO_TINY
 void do_wordlinechar_count(void);
@@ -616,9 +609,6 @@ size_t get_totsize(const filestruct *beg
 #ifndef NANO_TINY
 filestruct *fsfromline(ssize_t lineno);
 #endif
-#ifdef DEBUG
-void dump_filestruct(const filestruct *inptr);
-#endif
 
 /* Most functions in winio.c. */
 void record_macro(void);
@@ -714,6 +704,7 @@ void prepend_void(void);
 void backup_file_void(void);
 void flip_execute(void);
 void flip_pipe(void);
+void flip_convert(void);
 #endif
 #ifdef ENABLE_MULTIBUFFER
 void flip_newbuffer(void);
diff -pruN 2.9.8-1/src/rcfile.c 3.0-1/src/rcfile.c
--- 2.9.8-1/src/rcfile.c	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/src/rcfile.c	2018-09-09 09:39:27.000000000 +0000
@@ -94,7 +94,6 @@ static const rcoption rcopts[] = {
 	{"autoindent", AUTOINDENT},
 	{"backup", BACKUP_FILE},
 	{"backupdir", 0},
-	{"backwards", BACKWARDS_SEARCH},
 	{"casesensitive", CASE_SENSITIVE},
 	{"cut", CUT_FROM_CURSOR},  /* deprecated form, remove end of 2018 */
 	{"cutfromcursor", CUT_FROM_CURSOR},
@@ -301,7 +300,6 @@ void parse_syntax(char *ptr)
 	live_syntax->headers = NULL;
 	live_syntax->magics = NULL;
 	live_syntax->linter = NULL;
-	live_syntax->formatter = NULL;
 #ifdef ENABLE_COMMENT
 	live_syntax->comment = mallocstrcpy(NULL, GENERAL_COMMENT_CHARACTER);
 #endif
@@ -315,10 +313,6 @@ void parse_syntax(char *ptr)
 
 	opensyntax = TRUE;
 
-#ifdef DEBUG
-	fprintf(stderr, "Starting a new syntax type: \"%s\"\n", nameptr);
-#endif
-
 	/* The default syntax should have no associated extensions. */
 	if (strcmp(live_syntax->name, "default") == 0 && *ptr != '\0') {
 		rcfile_error(N_("The \"default\" syntax does not accept extensions"));
@@ -351,10 +345,6 @@ void parse_binding(char *ptr, bool dobin
 	sc *s, *newsc = NULL;
 	int menu;
 
-#ifdef DEBUG
-	fprintf(stderr, "Starting the rebinding code...\n");
-#endif
-
 	if (*ptr == '\0') {
 		rcfile_error(N_("Missing key name"));
 		return;
@@ -424,7 +414,7 @@ void parse_binding(char *ptr, bool dobin
 			newsc->toggle = 0;
 #endif
 		} else
-		    newsc = strtosc(funcptr);
+			newsc = strtosc(funcptr);
 
 		if (newsc == NULL) {
 			rcfile_error(N_("Cannot map name \"%s\" to a function"), funcptr);
@@ -432,7 +422,7 @@ void parse_binding(char *ptr, bool dobin
 		}
 	}
 
-	menu = strtomenu(menuptr);
+	menu = name_to_menu(menuptr);
 	if (menu < 1) {
 		rcfile_error(N_("Cannot map name \"%s\" to a menu"), menuptr);
 		goto free_things;
@@ -544,10 +534,6 @@ static void parse_one_include(char *file
 	nanorc = file;
 	lineno = 0;
 
-#ifdef DEBUG
-	fprintf(stderr, "Parsing file \"%s\"\n", file);
-#endif
-
 	parse_rcfile(rcstream, TRUE);
 }
 
@@ -616,13 +602,16 @@ short color_to_short(const char *colorna
 
 /* Parse the color name (or pair of color names) in the given string.
  * Return FALSE when any color name is invalid; otherwise return TRUE. */
-bool parse_color_names(char *combostr, short *fg, short *bg, bool *bright)
+bool parse_color_names(char *combostr, short *fg, short *bg, int *attributes)
 {
 	char *comma = strchr(combostr, ',');
+	bool bright;
+
+	*attributes = A_NORMAL;
 
 	if (comma != NULL) {
-		*bg = color_to_short(comma + 1, bright);
-		if (*bright) {
+		*bg = color_to_short(comma + 1, &bright);
+		if (bright) {
 			rcfile_error(N_("A background color cannot be bright"));
 			return FALSE;
 		}
@@ -633,9 +622,12 @@ bool parse_color_names(char *combostr, s
 		*bg = USE_THE_DEFAULT;
 
 	if (comma != combostr) {
-		*fg = color_to_short(combostr, bright);
+		*fg = color_to_short(combostr, &bright);
 		if (*fg == BAD_COLOR)
 			return FALSE;
+
+		if (bright)
+			*attributes = A_BOLD;
 	} else
 		*fg = USE_THE_DEFAULT;
 
@@ -648,7 +640,7 @@ bool parse_color_names(char *combostr, s
 void parse_colors(char *ptr, int rex_flags)
 {
 	short fg, bg;
-	bool bright;
+	int attributes;
 	char *item;
 
 	if (!opensyntax) {
@@ -664,7 +656,7 @@ void parse_colors(char *ptr, int rex_fla
 
 	item = ptr;
 	ptr = parse_next_word(ptr);
-	if (!parse_color_names(item, &fg, &bg, &bright))
+	if (!parse_color_names(item, &fg, &bg, &attributes))
 		return;
 
 	if (*ptr == '\0') {
@@ -711,7 +703,7 @@ void parse_colors(char *ptr, int rex_fla
 
 			newcolor->fg = fg;
 			newcolor->bg = bg;
-			newcolor->bright = bright;
+			newcolor->attributes = attributes;
 			newcolor->rex_flags = rex_flags;
 
 			newcolor->start_regex = mallocstrcpy(NULL, item);
@@ -774,7 +766,7 @@ colortype *parse_interface_color(char *c
 {
 	colortype *trio = nmalloc(sizeof(colortype));
 
-	if (parse_color_names(combostr, &trio->fg, &trio->bg, &trio->bright)) {
+	if (parse_color_names(combostr, &trio->fg, &trio->bg, &trio->attributes)) {
 		free(combostr);
 		return trio;
 	} else {
@@ -847,7 +839,7 @@ void grab_and_store(const char *kind, ch
 	}
 }
 
-/* Gather and store the string after a comment/linter/formatter command. */
+/* Gather and store the string after a comment/linter command. */
 void pick_up_name(const char *kind, char *ptr, char **storage)
 {
 	if (!opensyntax) {
@@ -886,17 +878,18 @@ static void check_vitals_mapped(void)
 {
 	subnfunc *f;
 	int v;
-#define VITALS 5
-	void (*vitals[VITALS])(void) = { do_exit, do_exit, do_cancel, do_cancel, do_cancel };
-	int inmenus[VITALS] = { MMAIN, MHELP, MWHEREIS, MREPLACE, MGOTOLINE };
+#define VITALS 3
+	void (*vitals[VITALS])(void) = { do_exit, do_exit, do_cancel };
+	int inmenus[VITALS] = { MMAIN, MHELP, MYESNO };
 
 	for  (v = 0; v < VITALS; v++) {
 		for (f = allfuncs; f != NULL; f = f->next) {
 			if (f->func == vitals[v] && f->menus & inmenus[v]) {
 				const sc *s = first_sc_for(inmenus[v], f->func);
 				if (!s) {
-					fprintf(stderr, _("Fatal error: no keys mapped for function "
-										"\"%s\".  Exiting.\n"), f->desc);
+					fprintf(stderr, _("No key is bound to function '%s' in "
+										"menu '%s'.  Exiting.\n"), f->desc,
+										menu_to_name(inmenus[v]));
 					fprintf(stderr, _("If needed, use nano with the -I option "
 										"to adjust your nanorc settings.\n"));
 					exit(1);
@@ -941,7 +934,7 @@ void parse_rcfile(FILE *rcstream, bool s
 
 #ifdef ENABLE_COLOR
 		/* Handle extending first... */
-		if (strcasecmp(keyword, "extendsyntax") == 0) {
+		if (strcasecmp(keyword, "extendsyntax") == 0 && !syntax_only) {
 			syntaxtype *sint;
 			char *syntaxname = ptr;
 
@@ -998,13 +991,12 @@ void parse_rcfile(FILE *rcstream, bool s
 			parse_colors(ptr, NANO_REG_EXTENDED | REG_ICASE);
 		else if (strcasecmp(keyword, "linter") == 0)
 			pick_up_name("linter", ptr, &live_syntax->linter);
-		else if (strcasecmp(keyword, "formatter") == 0)
-#ifdef ENABLE_SPELLER
-			pick_up_name("formatter", ptr, &live_syntax->formatter);
-#else
-			;
-#endif
-		else if (syntax_only)
+		else if (syntax_only && (strcasecmp(keyword, "set") == 0 ||
+								strcasecmp(keyword, "unset") == 0 ||
+								strcasecmp(keyword, "bind") == 0 ||
+								strcasecmp(keyword, "unbind") == 0 ||
+								strcasecmp(keyword, "include") == 0 ||
+								strcasecmp(keyword, "extendsyntax") == 0))
 			rcfile_error(N_("Command \"%s\" not allowed in included file"),
 										keyword);
 		else if (strcasecmp(keyword, "include") == 0)
@@ -1050,10 +1042,6 @@ void parse_rcfile(FILE *rcstream, bool s
 			continue;
 		}
 
-#ifdef DEBUG
-		fprintf(stderr, "    Option name = \"%s\"\n", rcopts[i].name);
-		fprintf(stderr, "    Flag = %ld\n", rcopts[i].flag);
-#endif
 		/* First handle unsetting. */
 		if (set == -1) {
 			if (rcopts[i].flag != 0)
@@ -1082,15 +1070,14 @@ void parse_rcfile(FILE *rcstream, bool s
 		ptr = parse_argument(ptr);
 
 		option = mallocstrcpy(NULL, option);
-#ifdef DEBUG
-		fprintf(stderr, "    Option argument = \"%s\"\n", option);
-#endif
-		/* Make sure the option argument is a valid multibyte string. */
-		if (!is_valid_mbstring(option)) {
+
+#ifdef ENABLE_UTF8
+		/* When in a UTF-8 locale, ignore arguments with invalid sequences. */
+		if (using_utf8() && mbstowcs(NULL, option, 0) == (size_t)-1) {
 			rcfile_error(N_("Argument is not a valid multibyte string"));
 			continue;
 		}
-
+#endif
 #ifdef ENABLE_COLOR
 		if (strcasecmp(rcopts[i].name, "titlecolor") == 0)
 			color_combo[TITLE_BAR] = parse_interface_color(option);
@@ -1115,10 +1102,10 @@ void parse_rcfile(FILE *rcstream, bool s
 #endif
 #ifdef ENABLED_WRAPORJUSTIFY
 		if (strcasecmp(rcopts[i].name, "fill") == 0) {
-			if (!parse_num(option, &wrap_at)) {
+			if (!parse_num(option, &fill)) {
 				rcfile_error(N_("Requested fill size \"%s\" is invalid"),
 								option);
-				wrap_at = -CHARS_FROM_EOL;
+				fill = -COLUMNS_FROM_EOL;
 			} else
 				UNSET(NO_WRAP);
 			free(option);
@@ -1209,9 +1196,6 @@ void parse_one_nanorc(void)
 	if (!is_good_file(nanorc))
 		return;
 
-#ifdef DEBUG
-	fprintf(stderr, "Going to parse file \"%s\"\n", nanorc);
-#endif
 	rcstream = fopen(nanorc, "rb");
 
 	/* If opening the file succeeded, parse it.  Otherwise, only
@@ -1238,9 +1222,8 @@ void do_rcfiles(void)
 {
 	const char *xdgconfdir;
 
+	/* First process the system-wide nanorc, if there is one. */
 	nanorc = mallocstrcpy(nanorc, SYSCONFDIR "/nanorc");
-
-	/* Process the system-wide nanorc. */
 	parse_one_nanorc();
 
 	/* When configured with --disable-wrapping-as-root, turn wrapping off
@@ -1253,8 +1236,8 @@ void do_rcfiles(void)
 	get_homedir();
 	xdgconfdir = getenv("XDG_CONFIG_HOME");
 
-	/* Now try the to find a nanorc file in the user's home directory
-	 * or in the XDG configuration directories. */
+	/* Now try the to find a nanorc file in the user's home directory or in
+	 * the XDG configuration directories, and process the first one found. */
 	if (have_nanorc(homedir, "/" HOME_RC_NAME))
 		parse_one_nanorc();
 	else if (have_nanorc(xdgconfdir, "/nano/" RCFILE_NAME))
@@ -1266,6 +1249,16 @@ void do_rcfiles(void)
 
 	check_vitals_mapped();
 
+#ifdef __linux__
+	/* On a Linux console, don't start nano when there are rcfile errors,
+	 * because otherwise these error messages get wiped. */
+	if (on_a_vt && rcfile_with_errors) {
+		fprintf(stderr, _("If needed, use nano with the -I option "
+							"to adjust your nanorc settings.\n"));
+		exit(1);
+	}
+#endif
+
 	free(nanorc);
 }
 
diff -pruN 2.9.8-1/src/search.c 3.0-1/src/search.c
--- 2.9.8-1/src/search.c	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/src/search.c	2018-08-29 18:25:33.000000000 +0000
@@ -101,12 +101,11 @@ void search_init(bool replacing, bool ke
 					answer, &search_history,
 					/* TRANSLATORS: This is the main search prompt. */
 					edit_refresh, "%s%s%s%s%s%s", _("Search"),
-					/* TRANSLATORS: The next three modify the search prompt. */
+					/* TRANSLATORS: The next four modify the search prompt. */
 					ISSET(CASE_SENSITIVE) ? _(" [Case Sensitive]") : "",
 					ISSET(USE_REGEXP) ? _(" [Regexp]") : "",
 					ISSET(BACKWARDS_SEARCH) ? _(" [Backwards]") : "", replacing ?
 #ifndef NANO_TINY
-					/* TRANSLATORS: The next two modify the search prompt. */
 					openfile->mark ? _(" (to replace) in selection") :
 #endif
 					_(" (to replace)") : "", thedefault);
@@ -366,7 +365,6 @@ void do_research(void)
 	tidy_up_after_search();
 }
 
-#ifndef NANO_TINY
 /* Search in the backward direction for the next occurrence. */
 void do_findprevious(void)
 {
@@ -380,7 +378,6 @@ void do_findnext(void)
 	UNSET(BACKWARDS_SEARCH);
 	do_research();
 }
-#endif /* !NANO_TINY */
 
 /* Report on the status bar that the given string was not found. */
 void not_found_msg(const char *str)
diff -pruN 2.9.8-1/src/text.c 3.0-1/src/text.c
--- 2.9.8-1/src/text.c	2018-06-02 08:20:07.000000000 +0000
+++ 3.0-1/src/text.c	2018-09-09 09:39:27.000000000 +0000
@@ -32,9 +32,8 @@
 #include <sys/wait.h>
 
 #ifndef NANO_TINY
-static pid_t pid = -1;
-		/* The PID of the forked process in execute_command(), for use
-		 * with the cancel_command() signal handler. */
+static pid_t pid_of_command = -1;
+		/* The PID of the forked process -- needed when wanting to abort it. */
 #endif
 #ifdef ENABLE_WRAPPING
 static bool prepend_wrap = FALSE;
@@ -206,11 +205,27 @@ void do_cutword(bool backward)
 	cutbuffer = NULL;
 	cutbottom = NULL;
 
-	/* Move the cursor to a word start, to the left or to the right. */
-	if (backward)
+	/* Move the cursor to a word start, to the left or to the right.
+	 * If that word is on another line and the cursor was not already
+	 * on the edge of the original line, then put the cursor on that
+	 * edge instead, so that lines will not be joined unexpectedly. */
+	if (backward) {
 		do_prev_word(ISSET(WORD_BOUNDS), FALSE);
-	else
+		if (openfile->current != is_current) {
+			if (is_current_x > 0) {
+				openfile->current = is_current;
+				openfile->current_x = 0;
+			} else
+				openfile->current_x = strlen(openfile->current->data);
+		}
+	} else {
 		do_next_word(FALSE, ISSET(WORD_BOUNDS), FALSE);
+		if (openfile->current != is_current &&
+							is_current->data[is_current_x] != '\0') {
+			openfile->current = is_current;
+			openfile->current_x = strlen(is_current->data);
+		}
+	}
 
 	/* Set the mark at the start of that word. */
 	openfile->mark = openfile->current;
@@ -633,16 +648,16 @@ void handle_comment_action(undo *u, bool
 /* Undo a cut, or redo an uncut. */
 void undo_cut(undo *u)
 {
-	/* If we cut the magicline, we may as well not crash. :/ */
-	if (!u->cutbuffer)
-		return;
-
 	/* Get to where we need to uncut from. */
 	if (u->xflags == WAS_WHOLE_LINE)
 		goto_line_posx(u->mark_begin_lineno, 0);
 	else
 		goto_line_posx(u->mark_begin_lineno, u->mark_begin_x);
 
+	/* If nothing was actually cut, positioning the cursor was enough. */
+	if (!u->cutbuffer)
+		return;
+
 	copy_from_buffer(u->cutbuffer);
 
 	if (u->xflags != WAS_MARKED_FORWARD && u->type != PASTE)
@@ -654,19 +669,19 @@ void redo_cut(undo *u)
 {
 	filestruct *oldcutbuffer = cutbuffer, *oldcutbottom = cutbottom;
 
-	/* If we cut the magicline, we may as well not crash. :/ */
+	goto_line_posx(u->lineno, u->begin);
+
+	/* If nothing was actually cut, positioning the cursor was enough. */
 	if (!u->cutbuffer)
 		return;
 
 	cutbuffer = NULL;
 	cutbottom = NULL;
 
-	goto_line_posx(u->lineno, u->begin);
-
 	openfile->mark = fsfromline(u->mark_begin_lineno);
 	openfile->mark_x = (u->xflags == WAS_WHOLE_LINE) ? 0 : u->mark_begin_x;
 
-	do_cut_text(FALSE, FALSE);
+	do_cut_text(FALSE, TRUE, FALSE);
 
 	free_filestruct(cutbuffer);
 	cutbuffer = oldcutbuffer;
@@ -693,10 +708,6 @@ void do_undo(void)
 			return;
 	}
 
-#ifdef DEBUG
-	fprintf(stderr, "  >> Undoing a type %d...\n", u->type);
-#endif
-
 	openfile->current_x = u->begin;
 	switch (u->type) {
 	case ADD:
@@ -768,7 +779,6 @@ void do_undo(void)
 	case SPLIT_END:
 		goto_line_posx(u->lineno, u->begin);
 		openfile->current_undo = openfile->current_undo->next;
-		openfile->last_action = OTHER;
 		while (openfile->current_undo->type != SPLIT_BEGIN)
 			do_undo();
 		u = openfile->current_undo;
@@ -802,7 +812,8 @@ void do_undo(void)
 		cutbottom = oldcutbottom;
 		break;
 	case COUPLE_BEGIN:
-		undidmsg = _("filtering");
+		undidmsg = u->strdata;
+		goto_line_posx(u->lineno, u->begin);
 		break;
 	case COUPLE_END:
 		openfile->current_undo = openfile->current_undo->next;
@@ -867,7 +878,7 @@ void do_redo(void)
 	while (u != NULL && u->next != openfile->current_undo)
 		u = u->next;
 
-	if (u->next != openfile->current_undo) {
+	if (u == NULL) {
 		statusline(ALERT, "Bad undo stack -- please report a bug");
 		return;
 	}
@@ -878,10 +889,6 @@ void do_redo(void)
 			return;
 	}
 
-#ifdef DEBUG
-	fprintf(stderr, "  >> Redoing a type %d...\n", u->type);
-#endif
-
 	switch (u->type) {
 	case ADD:
 		redidmsg = _("text add");
@@ -947,7 +954,6 @@ void do_redo(void)
 	case SPLIT_BEGIN:
 		goto_line_posx(u->lineno, u->begin);
 		openfile->current_undo = u;
-		openfile->last_action = OTHER;
 		while (openfile->current_undo->type != SPLIT_END)
 			do_redo();
 		u = openfile->current_undo;
@@ -979,7 +985,8 @@ void do_redo(void)
 		do_redo();
 		return;
 	case COUPLE_END:
-		redidmsg = _("filtering");
+		redidmsg = u->strdata;
+		goto_line_posx(u->lineno, u->begin);
 		break;
 	case INDENT:
 		handle_indent_action(u, FALSE, TRUE);
@@ -1060,8 +1067,6 @@ void do_enter(void)
 		/* If there were only blanks before the cursor, trim them. */
 		if (allblanks)
 			openfile->current_x = 0;
-		else
-			openfile->totsize += extra;
 	}
 #endif
 
@@ -1091,6 +1096,8 @@ void do_enter(void)
 	set_modified();
 
 #ifndef NANO_TINY
+	if (ISSET(AUTOINDENT) && !allblanks)
+		openfile->totsize += extra;
 	update_undo(ENTER);
 #endif
 
@@ -1099,12 +1106,10 @@ void do_enter(void)
 }
 
 #ifndef NANO_TINY
-/* Send a SIGKILL (unconditional kill) to the forked process in
- * execute_command(). */
-RETSIGTYPE cancel_command(int signal)
+/* Send an unconditional kill signal to the running external command. */
+RETSIGTYPE cancel_the_command(int signal)
 {
-	if (kill(pid, SIGKILL) == -1)
-		nperror("kill");
+	kill(pid_of_command, SIGKILL);
 }
 
 /* Send the text that starts at the given line to file descriptor fd. */
@@ -1150,7 +1155,7 @@ bool execute_command(const char *command
 		shellenv = (char *) "/bin/sh";
 
 	/* Fork a child process to run the command in. */
-	if ((pid = fork()) == 0) {
+	if ((pid_of_command = fork()) == 0) {
 		/* Child: close the unused read end of the output pipe. */
 		close(from_fd[0]);
 
@@ -1175,7 +1180,7 @@ bool execute_command(const char *command
 	/* Parent: close the unused write end of the pipe. */
 	close(from_fd[1]);
 
-	if (pid == -1) {
+	if (pid_of_command == -1) {
 		statusbar(_("Could not fork"));
 		close(from_fd[0]);
 		return FALSE;
@@ -1190,17 +1195,18 @@ bool execute_command(const char *command
 		if (ISSET(MULTIBUFFER)) {
 			switch_to_prev_buffer();
 			if (openfile->mark)
-				do_cut_text(TRUE, FALSE);
+				do_cut_text(TRUE, TRUE, FALSE);
 		} else
 #endif
 		{
 			add_undo(COUPLE_BEGIN);
+			openfile->undotop->strdata = mallocstrcpy(NULL, _("filtering"));
 			if (openfile->mark == NULL) {
 				openfile->current = openfile->fileage;
 				openfile->current_x = 0;
 			}
 			add_undo(CUT);
-			do_cut_text(FALSE, openfile->mark == NULL);
+			do_cut_text(FALSE, openfile->mark, openfile->mark == NULL);
 			update_undo(CUT);
 		}
 
@@ -1231,7 +1237,7 @@ bool execute_command(const char *command
 		setup_failed = TRUE;
 		nperror("sigaction");
 	} else {
-		newaction.sa_handler = cancel_command;
+		newaction.sa_handler = cancel_the_command;
 		if (sigaction(SIGINT, &newaction, &oldaction) == -1) {
 			setup_failed = TRUE;
 			nperror("sigaction");
@@ -1244,11 +1250,16 @@ bool execute_command(const char *command
 	else
 		read_file(stream, 0, "pipe", TRUE);
 
-	if (should_pipe && !ISSET(MULTIBUFFER))
+	if (should_pipe && !ISSET(MULTIBUFFER)) {
 		add_undo(COUPLE_END);
+		openfile->undotop->strdata = mallocstrcpy(NULL, _("filtering"));
+	}
 
+	/* Wait for the external command (and possibly data sender) to terminate. */
 	if (wait(NULL) == -1)
 		nperror("wait");
+	if (should_pipe && (wait(NULL) == -1))
+		nperror("wait");
 
 	/* If it was changed, restore the handler for SIGINT. */
 	if (!setup_failed && sigaction(SIGINT, &oldaction, NULL) == -1)
@@ -1296,26 +1307,22 @@ void discard_until(const undo *thisitem,
 		thefile->last_saved = (undo *)0xbeeb;
 }
 
-/* Add a new undo struct of the given type to the top of the current pile. */
+/* Add a new undo item of the given type to the top of the current pile. */
 void add_undo(undo_type action)
 {
 	undo *u = openfile->current_undo;
 		/* The thing we did previously. */
 
-	/* When doing contiguous adds or contiguous cuts -- which means: with
-	 * no cursor movement in between -- don't add a new undo item. */
-	if (u && u->mark_begin_lineno == openfile->current->lineno && action == openfile->last_action &&
-		((action == ADD && u->type == ADD && u->mark_begin_x == openfile->current_x) ||
-		(action == CUT && u->type == CUT && u->xflags < MARK_WAS_SET && keeping_cutbuffer())))
+	/* When doing contiguous adds or cuts, don't add a new undo item. */
+	if (u != NULL && action == openfile->last_action && action == u->type &&
+					openfile->current->lineno == u->mark_begin_lineno &&
+					((action == ADD && u->mark_begin_x == openfile->current_x) ||
+					(action == CUT && keeping_cutbuffer())))
 		return;
 
 	/* Blow away newer undo items if we add somewhere in the middle. */
 	discard_until(u, openfile, TRUE);
 
-#ifdef DEBUG
-	fprintf(stderr, "  >> Adding an undo... action = %d\n", action);
-#endif
-
 	/* Allocate and initialize a new undo item. */
 	u = (undo *) nmalloc(sizeof(undo));
 	u->type = action;
@@ -1327,6 +1334,7 @@ void add_undo(undo_type action)
 	u->mark_begin_lineno = openfile->current->lineno;
 	u->mark_begin_x = openfile->current_x;
 	u->wassize = openfile->totsize;
+	u->newsize = openfile->totsize;
 	u->xflags = 0;
 	u->grouping = NULL;
 
@@ -1395,10 +1403,8 @@ void add_undo(undo_type action)
 		break;
 #endif
 	case CUT_TO_EOF:
-		cutbuffer_reset();
 		break;
 	case CUT:
-		cutbuffer_reset();
 		if (openfile->mark) {
 			u->mark_begin_lineno = openfile->mark->lineno;
 			u->mark_begin_x = openfile->mark_x;
@@ -1475,14 +1481,11 @@ void update_undo(undo_type action)
 	char *char_buf;
 	int char_len;
 
-#ifdef DEBUG
-fprintf(stderr, "  >> Updating an undo... action = %d\n", action);
-#endif
-
 	/* If the action is different or the position changed, don't update the
 	 * current record but add a new one instead. */
 	if (action != openfile->last_action ||
 				(action != ENTER && action != CUT && action != INSERT &&
+				action != COUPLE_END &&
 				openfile->current->lineno != openfile->current_undo->lineno)) {
 		add_undo(action);
 		return;
@@ -1577,7 +1580,10 @@ fprintf(stderr, "  >> Updating an undo..
 		u->mark_begin_lineno = openfile->current->lineno;
 		u->mark_begin_x = openfile->current_x;
 	case COUPLE_BEGIN:
+		break;
 	case COUPLE_END:
+		u->lineno = openfile->current->lineno;
+		u->begin = openfile->current_x;
 		break;
 	default:
 		statusline(ALERT, "Wrong undo update type -- please report a bug");
@@ -2158,9 +2164,9 @@ bool find_paragraph(size_t *const quote,
 		}
 	}
 
-	/* If the current line isn't the first line of the paragraph, move
+	/* If the current line is in a paragraph and isn't its first line, move
 	 * back to the first line of the paragraph. */
-	if (!begpar(openfile->current, 0))
+	if (inpar(openfile->current) && !begpar(openfile->current, 0))
 		do_para_begin(FALSE);
 
 	/* Now current is the first line of the paragraph.  Set quote_len to
@@ -2681,8 +2687,10 @@ const char *do_int_speller(const char *t
 		if ((tempfile_fd = open(tempfile_name, O_RDONLY)) == -1)
 			goto close_pipes_and_exit;
 
-		if (dup2(tempfile_fd, STDIN_FILENO) != STDIN_FILENO)
+		if (dup2(tempfile_fd, STDIN_FILENO) != STDIN_FILENO) {
+			close(tempfile_fd);
 			goto close_pipes_and_exit;
+		}
 
 		close(tempfile_fd);
 
@@ -2828,7 +2836,6 @@ const char *do_int_speller(const char *t
 
   close_pipes_and_exit:
 	/* Don't leak any handles. */
-	close(tempfile_fd);
 	close(spell_fd[0]);
 	close(spell_fd[1]);
 	close(sort_fd[0]);
@@ -2891,51 +2898,46 @@ const char *do_alt_speller(char *tempfil
 	if (!WIFEXITED(alt_spell_status) || WEXITSTATUS(alt_spell_status) != 0)
 		return invocation_error(alt_speller);
 
-#ifndef NANO_TINY
-	/* Replace the marked text (or the entire text) of the current buffer
-	 * with the spell-checked text. */
-	if (openfile->mark) {
-		filestruct *top, *bot;
-		size_t top_x, bot_x;
-		bool right_side_up;
-		ssize_t was_mark_lineno = openfile->mark->lineno;
-
-		mark_order((const filestruct **)&top, &top_x,
-						(const filestruct **)&bot, &bot_x, &right_side_up);
-		openfile->mark = NULL;
-
-		replace_marked_buffer(tempfile_name, top, top_x, bot, bot_x);
+	/* Stat the temporary file again. */
+	stat(tempfile_name, &spellfileinfo);
 
-		/* Adjust the end point of the marked region for any change in
-		 * length of the region's last line. */
-		if (right_side_up)
-			current_x_save = openfile->current_x;
-		else
-			openfile->mark_x = openfile->current_x;
+	/* Use the spell-checked file only when it changed. */
+	if (spellfileinfo.st_mtime != timestamp) {
+#ifndef NANO_TINY
+		/* Replace the marked text (or entire text) with the corrected text. */
+		if (openfile->mark) {
+			filestruct *top, *bot;
+			size_t top_x, bot_x;
+			bool right_side_up;
+			ssize_t was_mark_lineno = openfile->mark->lineno;
+
+			mark_order((const filestruct **)&top, &top_x,
+							(const filestruct **)&bot, &bot_x, &right_side_up);
+
+			replace_marked_buffer(tempfile_name);
+
+			/* Adjust the end point of the marked region for any change in
+			 * length of the region's last line. */
+			if (right_side_up)
+				current_x_save = openfile->current_x;
+			else
+				openfile->mark_x = openfile->current_x;
 
-		/* Restore the mark. */
-		openfile->mark = fsfromline(was_mark_lineno);
-	} else
+			/* Restore the mark. */
+			openfile->mark = fsfromline(was_mark_lineno);
+		} else
 #endif
-		replace_buffer(tempfile_name);
-
-	/* Go back to the old position. */
-	goto_line_posx(lineno_save, current_x_save);
-	if (was_at_eol || openfile->current_x > strlen(openfile->current->data))
-		openfile->current_x = strlen(openfile->current->data);
-	openfile->placewewant = pww_save;
-	adjust_viewport(STATIONARY);
+			replace_buffer(tempfile_name);
 
-	/* Stat the temporary file again, and mark the buffer as modified only
-	 * if this file was changed since it was written. */
-	stat(tempfile_name, &spellfileinfo);
-	if (spellfileinfo.st_mtime != timestamp) {
-		set_modified();
+		/* Go back to the old position. */
+		goto_line_posx(lineno_save, current_x_save);
+		if (was_at_eol || openfile->current_x > strlen(openfile->current->data))
+			openfile->current_x = strlen(openfile->current->data);
 #ifndef NANO_TINY
-		/* Flush the undo stack, to avoid making a mess when the user
-		 * tries to undo things in spell-corrected lines. */
-		discard_until(NULL, openfile, FALSE);
+		update_undo(COUPLE_END);
 #endif
+		openfile->placewewant = pww_save;
+		adjust_viewport(STATIONARY);
 	}
 
 #ifndef NANO_TINY
@@ -3258,6 +3260,8 @@ void do_linter(void)
 						}
 					}
 
+					free(dontwantfile);
+
 					if (restlint == NULL) {
 						statusbar(_("No more errors in unopened files, cancelling"));
 						napms(2400);
@@ -3266,8 +3270,6 @@ void do_linter(void)
 						curlint = restlint;
 						continue;
 					}
-
-					free(dontwantfile);
 #ifdef ENABLE_MULTIBUFFER
 				}
 			}
@@ -3330,119 +3332,6 @@ void do_linter(void)
 		free(tmplint);
 	}
 }
-
-#ifdef ENABLE_SPELLER
-/* Run a formatter for the current syntax.  This expects the formatter
- * to be non-interactive and operate on a file in-place, which we'll
- * pass it on the command line. */
-void do_formatter(void)
-{
-	bool status;
-	FILE *temp_file;
-	int format_status;
-	ssize_t lineno_save = openfile->current->lineno;
-	size_t current_x_save = openfile->current_x;
-	size_t pww_save = openfile->placewewant;
-	bool was_at_eol = (openfile->current->data[openfile->current_x] == '\0');
-	pid_t pid_format;
-	static char **formatargs = NULL;
-	char *temp, *finalstatus = NULL;
-
-	if (openfile->totsize == 0) {
-		statusbar(_("Finished"));
-		return;
-	}
-
-	temp = safe_tempfile(&temp_file);
-
-	if (temp == NULL) {
-		statusline(ALERT, _("Error writing temp file: %s"), strerror(errno));
-		return;
-	}
-
-#ifndef NANO_TINY
-	/* We're not supporting partial formatting, oi vey. */
-	openfile->mark = NULL;
-#endif
-	status = write_file(temp, temp_file, TRUE, OVERWRITE, TRUE);
-
-	if (!status) {
-		statusline(ALERT, _("Error writing temp file: %s"), strerror(errno));
-		free(temp);
-		return;
-	}
-
-	blank_bottombars();
-	statusbar(_("Invoking formatter, please wait"));
-
-	construct_argument_list(&formatargs, openfile->syntax->formatter, temp);
-
-	/* Start a new process for the formatter. */
-	if ((pid_format = fork()) == 0) {
-		/* Start the formatting program; we are using $PATH. */
-		execvp(formatargs[0], formatargs);
-
-		/* Should not be reached, if the formatter is found! */
-		exit(1);
-	}
-
-	/* If we couldn't fork, get out. */
-	if (pid_format < 0) {
-		statusbar(_("Could not fork"));
-		unlink(temp);
-		free(temp);
-		return;
-	}
-
-#ifndef NANO_TINY
-	/* Block SIGWINCHes so the formatter doesn't get any. */
-	allow_sigwinch(FALSE);
-#endif
-
-	/* Wait for the formatter to finish. */
-	wait(&format_status);
-
-	if (!WIFEXITED(format_status) || WEXITSTATUS(format_status) != 0)
-		finalstatus = invocation_error(openfile->syntax->formatter);
-	else {
-		/* Replace the text of the current buffer with the formatted text. */
-		replace_buffer(temp);
-
-		/* Restore the cursor position. */
-		goto_line_posx(lineno_save, current_x_save);
-		if (was_at_eol || openfile->current_x > strlen(openfile->current->data))
-			openfile->current_x = strlen(openfile->current->data);
-		openfile->placewewant = pww_save;
-		adjust_viewport(STATIONARY);
-
-		set_modified();
-
-#ifndef NANO_TINY
-		/* Flush the undo stack, to avoid a mess or crash when
-		 * the user tries to undo things in reformatted lines. */
-		discard_until(NULL, openfile, FALSE);
-#endif
-		finalstatus = _("Finished formatting");
-	}
-
-	unlink(temp);
-	free(temp);
-
-#ifndef NANO_TINY
-	/* Unblock SIGWINCHes again. */
-	allow_sigwinch(TRUE);
-#endif
-
-	statusbar(finalstatus);
-
-	/* If there were error messages, allow the user some time to read them. */
-	if (WIFEXITED(format_status) && WEXITSTATUS(format_status) == 2)
-		sleep(4);
-
-	/* If there were any messages, clear them off. */
-	total_refresh();
-}
-#endif /* ENABLE_SPELLER */
 #endif /* ENABLE_COLOR */
 
 #ifndef NANO_TINY
@@ -3619,6 +3508,7 @@ void complete_a_word(void)
 
 	/* If there is no word fragment before the cursor, do nothing. */
 	if (start_of_shard == openfile->current_x) {
+		statusbar(_("No word fragment"));
 		pletion_line = NULL;
 		return;
 	}
diff -pruN 2.9.8-1/src/utils.c 3.0-1/src/utils.c
--- 2.9.8-1/src/utils.c	2018-04-24 15:57:10.000000000 +0000
+++ 3.0-1/src/utils.c	2018-07-21 07:49:11.000000000 +0000
@@ -590,21 +590,3 @@ size_t get_totsize(const filestruct *beg
 
 	return totsize;
 }
-
-#ifdef DEBUG
-/* Dump the given buffer to stderr. */
-void dump_filestruct(const filestruct *inptr)
-{
-	if (inptr == openfile->fileage)
-		fprintf(stderr, "Dumping file buffer to stderr...\n");
-	else if (inptr == cutbuffer)
-		fprintf(stderr, "Dumping cutbuffer to stderr...\n");
-	else
-		fprintf(stderr, "Dumping a buffer to stderr...\n");
-
-	while (inptr != NULL) {
-		fprintf(stderr, "(%zd) %s\n", inptr->lineno, inptr->data);
-		inptr = inptr->next;
-	}
-}
-#endif /* DEBUG */
diff -pruN 2.9.8-1/src/winio.c 3.0-1/src/winio.c
--- 2.9.8-1/src/winio.c	2018-06-02 08:15:07.000000000 +0000
+++ 3.0-1/src/winio.c	2018-09-09 09:39:27.000000000 +0000
@@ -385,7 +385,7 @@ int parse_kbinput(WINDOW *win)
 		if (escapes > 3)
 			escapes = 1;
 		/* Take note when an Esc arrived by itself. */
-		solitary = (escapes == 1 && key_buffer_len == 0);
+		solitary = (key_buffer_len == 0);
 		return ERR;
 	}
 
@@ -476,12 +476,13 @@ int parse_kbinput(WINDOW *win)
 					}
 				} else {
 					if (digit_count == 0)
-						/* Two escapes followed by a non-decimal
-						 * digit (or a decimal digit that would
-						 * create a byte sequence greater than 2XX)
-						 * and there aren't any other codes waiting:
-						 * control character sequence mode. */
-						retval = get_control_kbinput(keycode);
+						/* Two escapes followed by a non-digit: meta key
+						 * or control character sequence mode. */
+						if (!solitary) {
+							meta_key = TRUE;
+							retval = keycode;
+						} else
+							retval = get_control_kbinput(keycode);
 					else {
 						/* An invalid digit in the middle of a byte
 						 * sequence: reset the byte sequence counter
@@ -505,11 +506,13 @@ int parse_kbinput(WINDOW *win)
 			}
 			break;
 		case 3:
-			if (key_buffer_len == 0)
+			if (key_buffer_len == 0) {
+				if (!solitary)
+					meta_key = TRUE;
 				/* Three escapes followed by a non-escape, and no
 				 * other codes are waiting: normal input mode. */
 				retval = keycode;
-			else
+			} else
 				/* Three escapes followed by a non-escape, and more
 				 * codes are waiting: combined control character and
 				 * escape sequence mode.  First interpret the escape
@@ -535,7 +538,11 @@ int parse_kbinput(WINDOW *win)
 		return CONTROL_HOME;
 	else if (retval == controlend)
 		return CONTROL_END;
+	else if (retval == controldelete)
+		return CONTROL_DELETE;
 #ifndef NANO_TINY
+	else if (retval == controlshiftdelete)
+		return the_code_for(do_cut_prev_word, KEY_BACKSPACE);
 	else if (retval == shiftcontrolleft) {
 		shift_held = TRUE;
 		return CONTROL_LEFT;
@@ -606,6 +613,8 @@ int parse_kbinput(WINDOW *win)
 				return CONTROL_HOME;
 			else if (retval == KEY_END)
 				return CONTROL_END;
+			else if (retval == KEY_DC)
+				return CONTROL_DELETE;
 		}
 #ifndef NANO_TINY
 		/* Are both Shift and Alt being held? */
@@ -698,6 +707,7 @@ int parse_kbinput(WINDOW *win)
 			return KEY_NPAGE;
 #ifdef KEY_SDC  /* Slang doesn't support KEY_SDC. */
 		case KEY_SDC:
+				return KEY_BACKSPACE;
 #endif
 		case DEL_CODE:
 			if (ISSET(REBIND_DELETE))
@@ -1077,11 +1087,26 @@ int convert_sequence(const int *seq, siz
 							/* Esc [ 2 ~ == Insert on VT220/VT320/
 							 * Linux console/xterm/Terminal. */
 							return KEY_IC;
+						else if (length > 4 && seq[2] == ';' && seq[4] == '~')
+							/* Esc [ 2 ; x ~ == modified Insert on xterm. */
+							*consumed = 5;
 						break;
 					case '3': /* Esc [ 3 ~ == Delete on VT220/VT320/
 							   * Linux console/xterm/Terminal. */
 						if (length > 2 && seq[2] == '~')
 							return KEY_DC;
+						if (length > 4 && seq[2] == ';' && seq[4] == '~') {
+							/* Esc [ 3 ; x ~ == modified Delete on xterm. */
+							*consumed = 5;
+							if (seq[3] == '5')
+								/* Esc [ 3 ; 5 ~ == Ctrl-Delete on xterm. */
+								return CONTROL_DELETE;
+						}
+						if (length > 2 && seq[2] == '^') {
+							/* Esc [ 3 ^ == Ctrl-Delete on urxvt. */
+							*consumed = 3;
+							return CONTROL_DELETE;
+						}
 						break;
 					case '4': /* Esc [ 4 ~ == End on VT220/VT320/
 							   * Linux console/xterm. */
@@ -1093,26 +1118,26 @@ int convert_sequence(const int *seq, siz
 							   * Esc [ 5 ^ == PageUp on Eterm. */
 						if (length > 2 && (seq[2] == '~' || seq[2] == '^'))
 							return KEY_PPAGE;
-#ifndef NANO_TINY
-						else if (length > 4 && seq[2] == ';' &&
-									seq[3] == '2' && seq[4] == '~') {
+						else if (length > 4 && seq[2] == ';' && seq[4] == '~') {
 							*consumed = 5;
-							return shiftaltup;
-						}
+#ifndef NANO_TINY
+							if (seq[3] == '2')
+								return shiftaltup;
 #endif
+						}
 						break;
 					case '6': /* Esc [ 6 ~ == PageDown on VT220/VT320/
 							   * Linux console/xterm/Terminal;
 							   * Esc [ 6 ^ == PageDown on Eterm. */
 						if (length > 2 && (seq[2] == '~' || seq[2] == '^'))
 							return KEY_NPAGE;
-#ifndef NANO_TINY
-						else if (length > 4 && seq[2] == ';' &&
-									seq[3] == '2' && seq[4] == '~') {
+						else if (length > 4 && seq[2] == ';' && seq[4] == '~') {
 							*consumed = 5;
-							return shiftaltdown;
-						}
+#ifndef NANO_TINY
+							if (seq[3] == '2')
+								return shiftaltdown;
 #endif
+						}
 						break;
 					case '7': /* Esc [ 7 ~ == Home on Eterm/rxvt;
 							   * Esc [ 7 $ == Shift-Home on Eterm/rxvt;
@@ -2132,8 +2157,7 @@ void statusbar(const char *msg)
  * message can be noticed and read. */
 void warn_and_shortly_pause(const char *msg)
 {
-	statusbar(msg);
-	beep();
+	statusline(ALERT, msg);
 	napms(1800);
 }
 
@@ -2154,6 +2178,11 @@ void statusline(message_type importance,
 	UNSET(WHITESPACE_DISPLAY);
 #endif
 
+	/* Ignore a message with an importance that is lower than the last one. */
+	if ((lastmessage == ALERT && importance != ALERT) ||
+				(lastmessage == MILD && importance == HUSH))
+		return;
+
 	va_start(ap, msg);
 
 	/* Curses mode is turned off.  If we use wmove() now, it will muck
@@ -2165,11 +2194,6 @@ void statusline(message_type importance,
 		return;
 	}
 
-	/* If there already was an alert message, ignore lesser ones. */
-	if ((lastmessage == ALERT && importance != ALERT) ||
-				(lastmessage == MILD && importance == HUSH))
-		return;
-
 	/* If the ALERT status has been reset, reset the counter. */
 	if (lastmessage == HUSH)
 		alerts = 0;
@@ -3312,11 +3336,10 @@ void total_refresh(void)
 void display_main_list(void)
 {
 #if defined(ENABLE_COLOR) && defined(ENABLE_SPELLER)
-	if (openfile->syntax &&
-				(openfile->syntax->formatter || openfile->syntax->linter))
-		set_lint_or_format_shortcuts();
+	if (openfile->syntax && openfile->syntax->linter)
+		set_linter_shortcut();
 	else
-		set_spell_shortcuts();
+		set_speller_shortcut();
 #endif
 
 	bottombars(MMAIN);
diff -pruN 2.9.8-1/syntax/awk.nanorc 3.0-1/syntax/awk.nanorc
--- 2.9.8-1/syntax/awk.nanorc	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/syntax/awk.nanorc	2018-08-29 17:37:02.000000000 +0000
@@ -1,6 +1,7 @@
 ## Here is an example for awk.
 
 syntax awk "\.awk$"
+header "^#!.*awk"
 magic "awk script"
 comment "#"
 
diff -pruN 2.9.8-1/syntax/default.nanorc 3.0-1/syntax/default.nanorc
--- 2.9.8-1/syntax/default.nanorc	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/syntax/default.nanorc	2018-09-07 15:29:01.000000000 +0000
@@ -11,7 +11,7 @@ color cyan "^[[:space:]]*#.*"
 color ,red " +	+"
 
 # Nano's name, including version.
-color brightred "(GNU )?nano [1-9]\.[0-9]\.[^[:space:][:punct:]]+"
+color brightred "(GNU )?[Nn]ano [1-3]\.[0-9][-.[:alnum:]]*\>"
 
 # Email addresses.
 color magenta "<[[:alnum:].%_+-]+@[[:alnum:].-]+\.[[:alpha:]]{2,}>"
diff -pruN 2.9.8-1/syntax/go.nanorc 3.0-1/syntax/go.nanorc
--- 2.9.8-1/syntax/go.nanorc	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/syntax/go.nanorc	2018-08-29 17:37:02.000000000 +0000
@@ -3,9 +3,6 @@
 syntax go "\.go$"
 comment "//"
 
-# Set up a formatter since spelling is probably useless...
-formatter gofmt -w
-
 # Types.
 color green "\<(bool|u?int(8|16|32|64)?|float(32|64)|complex(64|128)|byte|rune|uintptr|string|error)\>"
 color green "\<((<-[[:space:]]*)chan|chan[[:space:]]*<-|const|func|interface|map|struct|type|var)\>"
diff -pruN 2.9.8-1/syntax/lua.nanorc 3.0-1/syntax/lua.nanorc
--- 2.9.8-1/syntax/lua.nanorc	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/syntax/lua.nanorc	2018-08-29 17:37:02.000000000 +0000
@@ -5,12 +5,15 @@
 
 syntax lua "\.lua$"
 magic "Lua script"
+linter "luacheck --no-color"
 comment "--"
 
 color brightwhite "\[\[.*\]\]"
 
 # Operators
-color brightyellow ":|\*|/|%|\+|-|\^|>|>=|<|<=|~=|=|\.\.|\<(not|and|or)\>"
+color brightyellow ":|\*|/|%|\+|-|\^|>|>=|<|<=|~=|=|\.\.|#|\<(not|and|or)\>"
+# Don't partially color ... as an operator
+color normal "\.\.\."
 
 # Statements
 color brightblue "\<(do|end|while|repeat|until|if|elseif|then|else|for|in|function|local|return|break)\>"
@@ -49,9 +52,9 @@ color brightmagenta "\(|\)|\[|\]|\{|\}"
 # Shebang
 color brightcyan "^#!.*"
 
+# Strings
+color red ""(\\.|[^"\])*"|'(\\.|[^'\])*'"
+
 # Simple comments and multiline comments
 color green "--.*"
 color green start="--\[\[" end="\]\]"
-
-# Strings
-color red ""(\\.|[^"\])*"|'(\\.|[^'\])*'"
diff -pruN 2.9.8-1/syntax/Makefile.in 3.0-1/syntax/Makefile.in
--- 2.9.8-1/syntax/Makefile.in	2018-06-02 08:22:44.000000000 +0000
+++ 3.0-1/syntax/Makefile.in	2018-09-09 09:47:50.000000000 +0000
@@ -107,16 +107,16 @@ am__aclocal_m4_deps = $(top_srcdir)/m4/0
 	$(top_srcdir)/m4/extern-inline.m4 $(top_srcdir)/m4/fcntl-o.m4 \
 	$(top_srcdir)/m4/fcntl_h.m4 $(top_srcdir)/m4/flexmember.m4 \
 	$(top_srcdir)/m4/float_h.m4 $(top_srcdir)/m4/fnmatch.m4 \
-	$(top_srcdir)/m4/fpieee.m4 $(top_srcdir)/m4/frexp.m4 \
-	$(top_srcdir)/m4/frexpl.m4 $(top_srcdir)/m4/fstat.m4 \
-	$(top_srcdir)/m4/futimens.m4 $(top_srcdir)/m4/getdelim.m4 \
-	$(top_srcdir)/m4/getline.m4 $(top_srcdir)/m4/getlogin.m4 \
-	$(top_srcdir)/m4/getlogin_r.m4 $(top_srcdir)/m4/getopt.m4 \
-	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gettime.m4 \
-	$(top_srcdir)/m4/gettimeofday.m4 $(top_srcdir)/m4/glibc21.m4 \
-	$(top_srcdir)/m4/glob.m4 $(top_srcdir)/m4/gnulib-common.m4 \
+	$(top_srcdir)/m4/fnmatch_h.m4 $(top_srcdir)/m4/fpieee.m4 \
+	$(top_srcdir)/m4/frexp.m4 $(top_srcdir)/m4/frexpl.m4 \
+	$(top_srcdir)/m4/fstat.m4 $(top_srcdir)/m4/futimens.m4 \
+	$(top_srcdir)/m4/getdelim.m4 $(top_srcdir)/m4/getline.m4 \
+	$(top_srcdir)/m4/getlogin.m4 $(top_srcdir)/m4/getlogin_r.m4 \
+	$(top_srcdir)/m4/getopt.m4 $(top_srcdir)/m4/gettext.m4 \
+	$(top_srcdir)/m4/gettime.m4 $(top_srcdir)/m4/gettimeofday.m4 \
+	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/glob.m4 \
+	$(top_srcdir)/m4/glob_h.m4 $(top_srcdir)/m4/gnulib-common.m4 \
 	$(top_srcdir)/m4/gnulib-comp.m4 \
-	$(top_srcdir)/m4/hard-locale.m4 \
 	$(top_srcdir)/m4/host-cpu-c-abi.m4 $(top_srcdir)/m4/iconv.m4 \
 	$(top_srcdir)/m4/include_next.m4 \
 	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/intmax_t.m4 \
@@ -277,6 +277,7 @@ GETOPT_CDEFS_H = @GETOPT_CDEFS_H@
 GETOPT_H = @GETOPT_H@
 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
 GLIBC21 = @GLIBC21@
+GLOB_H = @GLOB_H@
 GMSGFMT = @GMSGFMT@
 GMSGFMT_015 = @GMSGFMT_015@
 GNULIB_ACOSF = @GNULIB_ACOSF@
@@ -351,6 +352,7 @@ GNULIB_FMAL = @GNULIB_FMAL@
 GNULIB_FMOD = @GNULIB_FMOD@
 GNULIB_FMODF = @GNULIB_FMODF@
 GNULIB_FMODL = @GNULIB_FMODL@
+GNULIB_FNMATCH = @GNULIB_FNMATCH@
 GNULIB_FOPEN = @GNULIB_FOPEN@
 GNULIB_FPRINTF = @GNULIB_FPRINTF@
 GNULIB_FPRINTF_POSIX = @GNULIB_FPRINTF_POSIX@
@@ -386,9 +388,11 @@ GNULIB_GETLOADAVG = @GNULIB_GETLOADAVG@
 GNULIB_GETLOGIN = @GNULIB_GETLOGIN@
 GNULIB_GETLOGIN_R = @GNULIB_GETLOGIN_R@
 GNULIB_GETPAGESIZE = @GNULIB_GETPAGESIZE@
+GNULIB_GETPASS = @GNULIB_GETPASS@
 GNULIB_GETSUBOPT = @GNULIB_GETSUBOPT@
 GNULIB_GETTIMEOFDAY = @GNULIB_GETTIMEOFDAY@
 GNULIB_GETUSERSHELL = @GNULIB_GETUSERSHELL@
+GNULIB_GLOB = @GNULIB_GLOB@
 GNULIB_GL_UNISTD_H_GETOPT = @GNULIB_GL_UNISTD_H_GETOPT@
 GNULIB_GRANTPT = @GNULIB_GRANTPT@
 GNULIB_GROUP_MEMBER = @GNULIB_GROUP_MEMBER@
@@ -772,6 +776,8 @@ HAVE_FMAF = @HAVE_FMAF@
 HAVE_FMAL = @HAVE_FMAL@
 HAVE_FMODF = @HAVE_FMODF@
 HAVE_FMODL = @HAVE_FMODL@
+HAVE_FNMATCH = @HAVE_FNMATCH@
+HAVE_FNMATCH_H = @HAVE_FNMATCH_H@
 HAVE_FREXPF = @HAVE_FREXPF@
 HAVE_FSEEKO = @HAVE_FSEEKO@
 HAVE_FSTATAT = @HAVE_FSTATAT@
@@ -785,8 +791,12 @@ HAVE_GETHOSTNAME = @HAVE_GETHOSTNAME@
 HAVE_GETLOGIN = @HAVE_GETLOGIN@
 HAVE_GETOPT_H = @HAVE_GETOPT_H@
 HAVE_GETPAGESIZE = @HAVE_GETPAGESIZE@
+HAVE_GETPASS = @HAVE_GETPASS@
 HAVE_GETSUBOPT = @HAVE_GETSUBOPT@
 HAVE_GETTIMEOFDAY = @HAVE_GETTIMEOFDAY@
+HAVE_GLOB = @HAVE_GLOB@
+HAVE_GLOB_H = @HAVE_GLOB_H@
+HAVE_GLOB_PATTERN_P = @HAVE_GLOB_PATTERN_P@
 HAVE_GRANTPT = @HAVE_GRANTPT@
 HAVE_GROUP_MEMBER = @HAVE_GROUP_MEMBER@
 HAVE_HYPOTF = @HAVE_HYPOTF@
@@ -1037,6 +1047,7 @@ NEXT_AS_FIRST_DIRECTIVE_DIRENT_H = @NEXT
 NEXT_AS_FIRST_DIRECTIVE_ERRNO_H = @NEXT_AS_FIRST_DIRECTIVE_ERRNO_H@
 NEXT_AS_FIRST_DIRECTIVE_FCNTL_H = @NEXT_AS_FIRST_DIRECTIVE_FCNTL_H@
 NEXT_AS_FIRST_DIRECTIVE_FLOAT_H = @NEXT_AS_FIRST_DIRECTIVE_FLOAT_H@
+NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H = @NEXT_AS_FIRST_DIRECTIVE_FNMATCH_H@
 NEXT_AS_FIRST_DIRECTIVE_GETOPT_H = @NEXT_AS_FIRST_DIRECTIVE_GETOPT_H@
 NEXT_AS_FIRST_DIRECTIVE_GLOB_H = @NEXT_AS_FIRST_DIRECTIVE_GLOB_H@
 NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H = @NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H@
@@ -1065,6 +1076,7 @@ NEXT_DIRENT_H = @NEXT_DIRENT_H@
 NEXT_ERRNO_H = @NEXT_ERRNO_H@
 NEXT_FCNTL_H = @NEXT_FCNTL_H@
 NEXT_FLOAT_H = @NEXT_FLOAT_H@
+NEXT_FNMATCH_H = @NEXT_FNMATCH_H@
 NEXT_GETOPT_H = @NEXT_GETOPT_H@
 NEXT_GLOB_H = @NEXT_GLOB_H@
 NEXT_LANGINFO_H = @NEXT_LANGINFO_H@
@@ -1152,6 +1164,7 @@ REPLACE_FMAL = @REPLACE_FMAL@
 REPLACE_FMOD = @REPLACE_FMOD@
 REPLACE_FMODF = @REPLACE_FMODF@
 REPLACE_FMODL = @REPLACE_FMODL@
+REPLACE_FNMATCH = @REPLACE_FNMATCH@
 REPLACE_FOPEN = @REPLACE_FOPEN@
 REPLACE_FPRINTF = @REPLACE_FPRINTF@
 REPLACE_FPURGE = @REPLACE_FPURGE@
@@ -1175,8 +1188,10 @@ REPLACE_GETGROUPS = @REPLACE_GETGROUPS@
 REPLACE_GETLINE = @REPLACE_GETLINE@
 REPLACE_GETLOGIN_R = @REPLACE_GETLOGIN_R@
 REPLACE_GETPAGESIZE = @REPLACE_GETPAGESIZE@
+REPLACE_GETPASS = @REPLACE_GETPASS@
 REPLACE_GETTIMEOFDAY = @REPLACE_GETTIMEOFDAY@
 REPLACE_GLOB = @REPLACE_GLOB@
+REPLACE_GLOB_PATTERN_P = @REPLACE_GLOB_PATTERN_P@
 REPLACE_GMTIME = @REPLACE_GMTIME@
 REPLACE_HUGE_VAL = @REPLACE_HUGE_VAL@
 REPLACE_HYPOT = @REPLACE_HYPOT@
diff -pruN 2.9.8-1/syntax/nanohelp.nanorc 3.0-1/syntax/nanohelp.nanorc
--- 2.9.8-1/syntax/nanohelp.nanorc	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/syntax/nanohelp.nanorc	2018-08-29 17:37:02.000000000 +0000
@@ -4,8 +4,8 @@
 syntax nanohelp
 
 # Key combos:
-color cyan "\^[]4-8A-Z^\_◀▶▲▼]"  "[◀▶▲▼]"  "(\^|M-)Space"  "\<M-."  "\<F1?[0-9]"
-color cyan "\<(Tab|Sh-Tab|Enter|Ins|Del|Bsp|Up|Down|Left|Right|Home|End|PgUp|PgDn)\>"
+color cyan "\^[]4-8A-Z^\_◀▶▲▼]"  "[◀▶▲▼]"  "\<M-."  "\<F1?[0-9]"
+color cyan "\<(Tab|Sh-Tab|Enter|Ins|Del|Space|Bsp|Up|Down|Left|Right|Home|End|PgUp|PgDn)\>"
 
 # Quoted indicators:
 color brightred "'(\^|M-)'"
diff -pruN 2.9.8-1/syntax/nanorc.nanorc 3.0-1/syntax/nanorc.nanorc
--- 2.9.8-1/syntax/nanorc.nanorc	2018-05-10 11:18:29.000000000 +0000
+++ 3.0-1/syntax/nanorc.nanorc	2018-08-29 17:37:02.000000000 +0000
@@ -4,17 +4,17 @@ syntax nanorc "\.?nanorc$"
 comment "#"
 
 # Possible errors and parameters
-icolor brightred "^[[:space:]]*((un)?(bind|set)|include|syntax|header|magic|comment|linter|formatter|i?color|extendsyntax).*$"
+icolor brightred "^[[:space:]]*((un)?(bind|set)|include|syntax|header|magic|comment|linter|i?color|extendsyntax).*$"
 
 # Keywords
 icolor brightgreen "^[[:space:]]*(set|unset)[[:space:]]+(afterends|allow_insecure_backup|atblanks|autoindent|backup|backwards|boldtext|casesensitive|constantshow|cutfromcursor|fill[[:space:]]+-?[[:digit:]]+|historylog|linenumbers|locking|morespace|mouse|multibuffer|noconvert|nohelp|nopauses|nonewlines|nowrap|positionlog|preserve|quickblank|quiet|rebinddelete|rebindkeypad|regexp|showcursor|smarthome|smooth|softwrap|suspend|tabsize[[:space:]]+[1-9][0-9]*|tabstospaces|tempfile|trimblanks|unix|view|wordbounds)\>"
 icolor yellow "^[[:space:]]*set[[:space:]]+((error|function|key|number|selected|status|title)color)[[:space:]]+(bright)?(white|black|red|blue|green|yellow|magenta|cyan|normal)?(,(white|black|red|blue|green|yellow|magenta|cyan|normal))?\>"
 icolor brightgreen "^[[:space:]]*set[[:space:]]+(backupdir|brackets|errorcolor|functioncolor|keycolor|matchbrackets|numbercolor|operatingdir|punct|quotestr|selectedcolor|speller|statuscolor|titlecolor|whitespace|wordchars)[[:space:]]+"
-icolor brightgreen "^[[:space:]]*bind[[:space:]]+((\^([[:alpha:]]|[]0-9\^_]|Space)|M-([[:alpha:]]|[]!"#$%&'()*+,./0-9:;<=>?@\^_`{|}~-]|Space))|F([1-9]|1[0-6])|Ins|Del)[[:space:]]+([[:alpha:]]+|".*")[[:space:]]+(all|main|search|replace(with)?|gotoline|writeout|insert|ext(ernal)?cmd|help|spell|linter|browser|whereisfile|gotodir)([[:space:]]+#|[[:space:]]*$)"
-icolor brightgreen "^[[:space:]]*unbind[[:space:]]+((\^([[:alpha:]]|[]0-9\^_]|Space)|M-([[:alpha:]]|[]!"#$%&'()*+,./0-9:;<=>?@\^_`{|}~-]|Space))|F([1-9]|1[0-6])|Ins|Del)[[:space:]]+(all|main|search|replace(with)?|gotoline|writeout|insert|ext(ernal)?cmd|help|spell|linter|browser|whereisfile|gotodir)([[:space:]]+#|[[:space:]]*$)"
-icolor brightgreen "^[[:space:]]*extendsyntax[[:space:]]+[[:alpha:]]+[[:space:]]+(i?color|header|magic|comment|linter|formatter)[[:space:]]+.*$"
-icolor brightgreen "^[[:space:]]*(syntax|linter|formatter)[[:space:]]+[^[:blank:]]+"
-icolor green "^[[:space:]]*((un)?(bind|set)|include|syntax|header|magic|comment|linter|formatter|extendsyntax)\>"
+icolor brightgreen "^[[:space:]]*bind[[:space:]]+((\^([[:alpha:]]|[]@\^_]|Space)|M-([[:alpha:]]|[]!"#$%&'()*+,./0-9:;<=>?@\^_`{|}~-]|Space))|F([1-9]|1[0-6])|Ins|Del)[[:space:]]+([[:alpha:]]+|".*")[[:space:]]+(all|main|search|replace(with)?|yesno|gotoline|writeout|insert|ext(ernal)?cmd|help|spell|linter|browser|whereisfile|gotodir)([[:space:]]+#|[[:space:]]*$)"
+icolor brightgreen "^[[:space:]]*unbind[[:space:]]+((\^([[:alpha:]]|[]@\^_]|Space)|M-([[:alpha:]]|[]!"#$%&'()*+,./0-9:;<=>?@\^_`{|}~-]|Space))|F([1-9]|1[0-6])|Ins|Del)[[:space:]]+(all|main|search|replace(with)?|yesno|gotoline|writeout|insert|ext(ernal)?cmd|help|spell|linter|browser|whereisfile|gotodir)([[:space:]]+#|[[:space:]]*$)"
+icolor brightgreen "^[[:space:]]*extendsyntax[[:space:]]+[[:alpha:]]+[[:space:]]+(i?color|header|magic|comment|linter)[[:space:]]+.*$"
+icolor brightgreen "^[[:space:]]*(syntax|linter)[[:space:]]+[^[:blank:]]+"
+icolor green "^[[:space:]]*((un)?(bind|set)|include|syntax|header|magic|comment|linter|extendsyntax)\>"
 
 # Strings
 color brightmagenta "".+"([[:space:]]|$)"
diff -pruN 2.9.8-1/syntax/perl.nanorc 3.0-1/syntax/perl.nanorc
--- 2.9.8-1/syntax/perl.nanorc	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/syntax/perl.nanorc	2018-08-29 17:37:02.000000000 +0000
@@ -1,7 +1,7 @@
 ## Here is an example for Perl.
 
 syntax perl "\.p[lm]$"
-header "^#!.*perl[-0-9._]*"
+header "^#!.*perl"
 magic "Perl script"
 comment "#"
 
diff -pruN 2.9.8-1/syntax/python.nanorc 3.0-1/syntax/python.nanorc
--- 2.9.8-1/syntax/python.nanorc	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/syntax/python.nanorc	2018-08-29 17:37:02.000000000 +0000
@@ -1,7 +1,7 @@
 ## Here is an example for Python.
 
 syntax python "\.py$"
-header "^#!.*python[-0-9._]*"
+header "^#!.*python"
 magic "Python script"
 linter pyflakes
 comment "#"
@@ -14,6 +14,9 @@ color brightcyan "\<(def|del|elif|else|e
 color brightcyan "\<(global|if|import|in|is|lambda|nonlocal|not|or)\>"
 color brightcyan "\<(pass|print|raise|return|try|while|with|yield)\>"
 
+# Special values.
+color brightmagenta "\<(False|None|True)\>"
+
 # Single-quoted strings.
 color brightgreen "'([^'\]|\\.)+'"
 color brightgreen ""([^"\]|\\.)+""
@@ -23,9 +26,6 @@ color brightred "(^|[[:blank:]])#.*$"
 color brightgreen    start="'''([^'),]|$)" end="(^|[^(\])'''"
 color brightgreen start="\"\"\"([^"),]|$)" end="(^|[^(\])\"\"\""
 
-# Special values.
-color brightmagenta "\<(False|None|True)\>"
-
 # Reminders.
 color brightwhite,yellow "(FIXME|TODO|XXX)"
 
diff -pruN 2.9.8-1/syntax/ruby.nanorc 3.0-1/syntax/ruby.nanorc
--- 2.9.8-1/syntax/ruby.nanorc	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/syntax/ruby.nanorc	2018-08-29 17:37:02.000000000 +0000
@@ -1,7 +1,7 @@
 ## Here is an example for Ruby.
 
 syntax ruby "\.rb$"
-header "^#!.*ruby[-0-9._]*"
+header "^#!.*ruby"
 magic "Ruby script"
 linter ruby -w -c
 comment "#"
diff -pruN 2.9.8-1/syntax/sh.nanorc 3.0-1/syntax/sh.nanorc
--- 2.9.8-1/syntax/sh.nanorc	2018-04-10 09:57:51.000000000 +0000
+++ 3.0-1/syntax/sh.nanorc	2018-08-29 17:37:02.000000000 +0000
@@ -1,7 +1,7 @@
 ## Here is an example for Bourne shell scripts.
 
-syntax sh "\.sh$"
-header "^#!.*((ba|da|k|pdk)?sh[-0-9_]*|openrc-run|runscript)"
+syntax sh "(\.sh|\.(a|ba|c|da|k|mk|pdk|tc|z)(sh|shrc|sh_profile)|/(etc/|\.)profile)$"
+header "^#!.*/(((a|ba|c|da|k|mk|pdk|tc|z)?sh)|openrc-run|runscript)"
 magic "(POSIX|Bourne-Again) shell script.*text"
 linter dash -n
 comment "#"
